package im.uecahxyvjd.ui;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.StateListAnimator;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.pm.PackageInfo;
import android.content.res.Configuration;
import android.graphics.Canvas;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import android.text.style.ForegroundColorSpan;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewOutlineProvider;
import android.view.ViewTreeObserver;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.DecelerateInterpolator;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.core.content.FileProvider;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.baidu.mapapi.UIMsg;
import com.bjz.comm.net.SPConstant;
import com.google.mlkit.common.MlKitException;
import com.king.zxing.util.CodeUtils;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ApplicationLoader;
import im.uecahxyvjd.messenger.BuildVars;
import im.uecahxyvjd.messenger.ContactsController;
import im.uecahxyvjd.messenger.DispatchQueue;
import im.uecahxyvjd.messenger.FileLoader;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.ImageLoader;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MediaDataController;
import im.uecahxyvjd.messenger.MessageObject;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.SharedConfig;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.messenger.Utilities;
import im.uecahxyvjd.messenger.browser.Browser;
import im.uecahxyvjd.phoneformat.PhoneFormat;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.SerializedData;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.PhotoViewer;
import im.uecahxyvjd.ui.SettingsActivity;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.ActionBarMenuItem;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.BottomSheet;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.actionbar.ThemeDescription;
import im.uecahxyvjd.ui.cells.EmptyCell;
import im.uecahxyvjd.ui.cells.GraySectionCell;
import im.uecahxyvjd.ui.cells.HeaderCell;
import im.uecahxyvjd.ui.cells.SettingsSearchCell;
import im.uecahxyvjd.ui.cells.ShadowSectionCell;
import im.uecahxyvjd.ui.cells.TextCell;
import im.uecahxyvjd.ui.cells.TextDetailCell;
import im.uecahxyvjd.ui.cells.TextInfoPrivacyCell;
import im.uecahxyvjd.ui.components.AlertsCreator;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.components.EmptyTextProgressView;
import im.uecahxyvjd.ui.components.ImageUpdater;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RadialProgressView;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.components.voip.VoIPHelper;
import im.uecahxyvjd.ui.hui.discovery.ActionIntroActivity;
import im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.LinkedHashSet;
import java.util.Locale;
import java.util.Set;
import java.util.zip.ZipEntry;
import java.util.zip.ZipOutputStream;
import okhttp3.internal.http.StatusLine;
import org.slf4j.Marker;
@Deprecated
/* loaded from: classes12.dex */
public class SettingsActivity extends BaseFragment implements NotificationCenter.NotificationCenterDelegate, ImageUpdater.ImageUpdaterDelegate {
    private static final int edit_name = 1;
    private static final int logout = 2;
    private static final int search_button = 3;
    private TLRPC.FileLocation avatar;
    private AnimatorSet avatarAnimation;
    private TLRPC.FileLocation avatarBig;
    private FrameLayout avatarContainer;
    private AvatarDrawable avatarDrawable;
    private BackupImageView avatarImage;
    private View avatarOverlay;
    private RadialProgressView avatarProgressView;
    private int bioRow;
    private int chatRow;
    private int dataRow;
    private EmptyTextProgressView emptyView;
    private int extraHeight;
    private View extraHeightView;
    private int helpRow;
    private ImageUpdater imageUpdater;
    private int languageRow;
    private LinearLayoutManager layoutManager;
    private ListAdapter listAdapter;
    private RecyclerListView listView;
    private TextView nameTextView;
    private int notificationRow;
    private int numberRow;
    private int numberSectionRow;
    private TextView onlineTextView;
    private ActionBarMenuItem otherItem;
    private int overscrollRow;
    private int privacyRow;
    private PhotoViewer.PhotoViewerProvider provider = new PhotoViewer.EmptyPhotoViewerProvider() { // from class: im.uecahxyvjd.ui.SettingsActivity.1
        @Override // im.uecahxyvjd.ui.PhotoViewer.EmptyPhotoViewerProvider, im.uecahxyvjd.ui.PhotoViewer.PhotoViewerProvider
        public PhotoViewer.PlaceProviderObject getPlaceForPhoto(MessageObject messageObject, TLRPC.FileLocation fileLocation, int index, boolean needPreview) {
            TLRPC.User user;
            if (fileLocation != null && (user = MessagesController.getInstance(SettingsActivity.this.currentAccount).getUser(Integer.valueOf(UserConfig.getInstance(SettingsActivity.this.currentAccount).getClientUserId()))) != null && user.photo != null && user.photo.photo_big != null) {
                TLRPC.FileLocation photoBig = user.photo.photo_big;
                if (photoBig.local_id == fileLocation.local_id && photoBig.volume_id == fileLocation.volume_id && photoBig.dc_id == fileLocation.dc_id) {
                    int[] coords = new int[2];
                    SettingsActivity.this.avatarImage.getLocationInWindow(coords);
                    PhotoViewer.PlaceProviderObject object = new PhotoViewer.PlaceProviderObject();
                    object.viewX = coords[0];
                    object.viewY = coords[1] - 0;
                    object.parentView = SettingsActivity.this.avatarImage;
                    object.imageReceiver = SettingsActivity.this.avatarImage.getImageReceiver();
                    object.dialogId = UserConfig.getInstance(SettingsActivity.this.currentAccount).getClientUserId();
                    object.thumb = object.imageReceiver.getBitmapSafe();
                    object.size = -1;
                    object.radius = SettingsActivity.this.avatarImage.getImageReceiver().getRoundRadius();
                    object.scale = SettingsActivity.this.avatarContainer.getScaleX();
                    return object;
                }
            }
            return null;
        }

        @Override // im.uecahxyvjd.ui.PhotoViewer.EmptyPhotoViewerProvider, im.uecahxyvjd.ui.PhotoViewer.PhotoViewerProvider
        public void willHidePhotoViewer() {
            SettingsActivity.this.avatarImage.getImageReceiver().setVisible(true, true);
        }
    };
    private int rowCount;
    private SearchAdapter searchAdapter;
    private int settingsSectionRow;
    private int settingsSectionRow2;
    private View shadowView;
    private TLRPC.UserFull userInfo;
    private int usernameRow;
    private int versionRow;
    private ImageView writeButton;
    private AnimatorSet writeButtonAnimation;

    @Override // im.uecahxyvjd.ui.components.ImageUpdater.ImageUpdaterDelegate
    public /* synthetic */ void didSelectPhotos(ArrayList arrayList, boolean z, int i) {
        ImageUpdater.ImageUpdaterDelegate.CC.$default$didSelectPhotos(this, arrayList, z, i);
    }

    @Override // im.uecahxyvjd.ui.components.ImageUpdater.ImageUpdaterDelegate
    public /* synthetic */ String getInitialSearchString() {
        return ImageUpdater.ImageUpdaterDelegate.CC.$default$getInitialSearchString(this);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        super.onFragmentCreate();
        ImageUpdater imageUpdater = new ImageUpdater();
        this.imageUpdater = imageUpdater;
        imageUpdater.parentFragment = this;
        this.imageUpdater.delegate = this;
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.updateInterfaces);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.userFullInfoDidLoad);
        NotificationCenter.getGlobalInstance().addObserver(this, NotificationCenter.emojiDidLoad);
        this.rowCount = 0;
        int i = 0 + 1;
        this.rowCount = i;
        this.overscrollRow = 0;
        int i2 = i + 1;
        this.rowCount = i2;
        this.numberSectionRow = i;
        int i3 = i2 + 1;
        this.rowCount = i3;
        this.numberRow = i2;
        int i4 = i3 + 1;
        this.rowCount = i4;
        this.usernameRow = i3;
        int i5 = i4 + 1;
        this.rowCount = i5;
        this.bioRow = i4;
        int i6 = i5 + 1;
        this.rowCount = i6;
        this.settingsSectionRow = i5;
        int i7 = i6 + 1;
        this.rowCount = i7;
        this.settingsSectionRow2 = i6;
        int i8 = i7 + 1;
        this.rowCount = i8;
        this.notificationRow = i7;
        int i9 = i8 + 1;
        this.rowCount = i9;
        this.privacyRow = i8;
        int i10 = i9 + 1;
        this.rowCount = i10;
        this.dataRow = i9;
        int i11 = i10 + 1;
        this.rowCount = i11;
        this.chatRow = i10;
        int i12 = i11 + 1;
        this.rowCount = i12;
        this.languageRow = i11;
        int i13 = i12 + 1;
        this.rowCount = i13;
        this.helpRow = i12;
        this.rowCount = i13 + 1;
        this.versionRow = i13;
        MediaDataController.getInstance(this.currentAccount).checkFeaturedStickers();
        this.userInfo = MessagesController.getInstance(this.currentAccount).getUserFull(UserConfig.getInstance(this.currentAccount).getClientUserId());
        MessagesController.getInstance(this.currentAccount).loadUserInfo(UserConfig.getInstance(this.currentAccount).getCurrentUser(), true, this.classGuid);
        return true;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        super.onFragmentDestroy();
        BackupImageView backupImageView = this.avatarImage;
        if (backupImageView != null) {
            backupImageView.setImageDrawable(null);
        }
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.updateInterfaces);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.userFullInfoDidLoad);
        NotificationCenter.getGlobalInstance().removeObserver(this, NotificationCenter.emojiDidLoad);
        this.imageUpdater.clear();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        int scrollTo;
        this.actionBar.setBackgroundColor(Theme.getColor(Theme.key_avatar_backgroundActionBarBlue));
        this.actionBar.setItemsBackgroundColor(Theme.getColor(Theme.key_avatar_actionBarSelectorBlue), false);
        this.actionBar.setItemsColor(Theme.getColor(Theme.key_avatar_actionBarIconBlue), false);
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setAddToContainer(false);
        this.extraHeight = 88;
        if (AndroidUtilities.isTablet()) {
            this.actionBar.setOccupyStatusBar(false);
        }
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.SettingsActivity.2
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    SettingsActivity.this.finishFragment();
                } else if (id == 1) {
                    SettingsActivity.this.presentFragment(new ChangeNameActivity());
                } else if (id == 2) {
                    SettingsActivity.this.presentFragment(new LogoutActivity());
                }
            }
        });
        ActionBarMenu menu = this.actionBar.createMenu();
        ActionBarMenuItem searchItem = menu.addItem(3, R.drawable.ic_ab_search).setIsSearchField(true).setActionBarMenuItemSearchListener(new ActionBarMenuItem.ActionBarMenuItemSearchListener() { // from class: im.uecahxyvjd.ui.SettingsActivity.3
            @Override // im.uecahxyvjd.ui.actionbar.ActionBarMenuItem.ActionBarMenuItemSearchListener
            public void onSearchExpand() {
                if (SettingsActivity.this.otherItem != null) {
                    SettingsActivity.this.otherItem.setVisibility(8);
                }
                SettingsActivity.this.searchAdapter.loadFaqWebPage();
                SettingsActivity.this.listView.setAdapter(SettingsActivity.this.searchAdapter);
                SettingsActivity.this.listView.setEmptyView(SettingsActivity.this.emptyView);
                SettingsActivity.this.avatarContainer.setVisibility(8);
                SettingsActivity.this.writeButton.setVisibility(8);
                SettingsActivity.this.nameTextView.setVisibility(8);
                SettingsActivity.this.onlineTextView.setVisibility(8);
                SettingsActivity.this.extraHeightView.setVisibility(8);
                SettingsActivity.this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                SettingsActivity.this.fragmentView.setTag(Theme.key_windowBackgroundWhite);
                SettingsActivity.this.needLayout();
            }

            @Override // im.uecahxyvjd.ui.actionbar.ActionBarMenuItem.ActionBarMenuItemSearchListener
            public void onSearchCollapse() {
                if (SettingsActivity.this.otherItem != null) {
                    SettingsActivity.this.otherItem.setVisibility(0);
                }
                SettingsActivity.this.listView.setAdapter(SettingsActivity.this.listAdapter);
                SettingsActivity.this.listView.setEmptyView(null);
                SettingsActivity.this.emptyView.setVisibility(8);
                SettingsActivity.this.avatarContainer.setVisibility(0);
                SettingsActivity.this.writeButton.setVisibility(0);
                SettingsActivity.this.nameTextView.setVisibility(0);
                SettingsActivity.this.onlineTextView.setVisibility(0);
                SettingsActivity.this.extraHeightView.setVisibility(0);
                SettingsActivity.this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
                SettingsActivity.this.fragmentView.setTag(Theme.key_windowBackgroundGray);
                SettingsActivity.this.needLayout();
            }

            @Override // im.uecahxyvjd.ui.actionbar.ActionBarMenuItem.ActionBarMenuItemSearchListener
            public void onTextChanged(EditText editText) {
                SettingsActivity.this.searchAdapter.search(editText.getText().toString().toLowerCase());
            }
        });
        searchItem.setContentDescription(LocaleController.getString("SearchInSettings", R.string.SearchInSettings));
        searchItem.setSearchFieldHint(LocaleController.getString("SearchInSettings", R.string.SearchInSettings));
        ActionBarMenuItem addItem = menu.addItem(0, R.drawable.ic_ab_other);
        this.otherItem = addItem;
        addItem.setContentDescription(LocaleController.getString("AccDescrMoreOptions", R.string.AccDescrMoreOptions));
        this.otherItem.addSubItem(1, R.drawable.msg_edit, LocaleController.getString("EditName", R.string.EditName));
        this.otherItem.addSubItem(2, R.drawable.msg_leave, LocaleController.getString("LogOut", R.string.LogOut));
        int scrollToPosition = 0;
        Object writeButtonTag = null;
        if (this.listView != null) {
            scrollTo = this.layoutManager.findFirstVisibleItemPosition();
            View topView = this.layoutManager.findViewByPosition(scrollTo);
            if (topView != null) {
                scrollToPosition = topView.getTop();
            } else {
                scrollTo = -1;
            }
            writeButtonTag = this.writeButton.getTag();
        } else {
            scrollTo = -1;
        }
        this.listAdapter = new ListAdapter(context);
        this.searchAdapter = new SearchAdapter(context);
        this.fragmentView = new FrameLayout(context);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        this.fragmentView.setTag(Theme.key_windowBackgroundGray);
        FrameLayout frameLayout = (FrameLayout) this.fragmentView;
        RecyclerListView recyclerListView = new RecyclerListView(context);
        this.listView = recyclerListView;
        recyclerListView.setVerticalScrollBarEnabled(false);
        RecyclerListView recyclerListView2 = this.listView;
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(context, 1, false) { // from class: im.uecahxyvjd.ui.SettingsActivity.4
            @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.LayoutManager
            public boolean supportsPredictiveItemAnimations() {
                return false;
            }
        };
        this.layoutManager = linearLayoutManager;
        recyclerListView2.setLayoutManager(linearLayoutManager);
        this.listView.setGlowColor(Theme.getColor(Theme.key_avatar_backgroundActionBarBlue));
        frameLayout.addView(this.listView, LayoutHelper.createFrame(-1, -1, 51));
        this.listView.setAdapter(this.listAdapter);
        this.listView.setItemAnimator(null);
        this.listView.setLayoutAnimation(null);
        this.listView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.SettingsActivity$$ExternalSyntheticLambda0
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                SettingsActivity.this.m2181lambda$createView$0$imuecahxyvjduiSettingsActivity(view, i);
            }
        });
        this.listView.setOnItemLongClickListener(new AnonymousClass5());
        EmptyTextProgressView emptyTextProgressView = new EmptyTextProgressView(context);
        this.emptyView = emptyTextProgressView;
        emptyTextProgressView.showTextView();
        this.emptyView.setTextSize(18);
        this.emptyView.setVisibility(8);
        this.emptyView.setShowAtCenter(true);
        frameLayout.addView(this.emptyView, LayoutHelper.createFrame(-1, -1.0f));
        frameLayout.addView(this.actionBar);
        View view = new View(context);
        this.extraHeightView = view;
        view.setPivotY(0.0f);
        this.extraHeightView.setBackgroundColor(Theme.getColor(Theme.key_avatar_backgroundActionBarBlue));
        frameLayout.addView(this.extraHeightView, LayoutHelper.createFrame(-1, 88.0f));
        View view2 = new View(context);
        this.shadowView = view2;
        view2.setBackgroundResource(R.drawable.header_shadow);
        frameLayout.addView(this.shadowView, LayoutHelper.createFrame(-1, 3.0f));
        FrameLayout frameLayout2 = new FrameLayout(context);
        this.avatarContainer = frameLayout2;
        frameLayout2.setPivotX(LocaleController.isRTL ? AndroidUtilities.dp(42.0f) : 0.0f);
        this.avatarContainer.setPivotY(0.0f);
        frameLayout.addView(this.avatarContainer, LayoutHelper.createFrame(42.0f, 42.0f, (LocaleController.isRTL ? 5 : 3) | 48, LocaleController.isRTL ? 0 : 64, 0.0f, LocaleController.isRTL ? 112 : 0, 0.0f));
        this.avatarContainer.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.SettingsActivity$$ExternalSyntheticLambda2
            @Override // android.view.View.OnClickListener
            public final void onClick(View view3) {
                SettingsActivity.this.m2182lambda$createView$1$imuecahxyvjduiSettingsActivity(view3);
            }
        });
        BackupImageView backupImageView = new BackupImageView(context);
        this.avatarImage = backupImageView;
        backupImageView.setRoundRadius(AndroidUtilities.dp(21.0f));
        this.avatarImage.setContentDescription(LocaleController.getString("AccDescrProfilePicture", R.string.AccDescrProfilePicture));
        this.avatarContainer.addView(this.avatarImage, LayoutHelper.createFrame(42, 42.0f));
        final Paint paint = new Paint(1);
        paint.setColor(1426063360);
        RadialProgressView radialProgressView = new RadialProgressView(context) { // from class: im.uecahxyvjd.ui.SettingsActivity.6
            /* JADX INFO: Access modifiers changed from: protected */
            @Override // im.uecahxyvjd.ui.components.RadialProgressView, android.view.View
            public void onDraw(Canvas canvas) {
                if (SettingsActivity.this.avatarImage != null && SettingsActivity.this.avatarImage.getImageReceiver().hasNotThumb()) {
                    paint.setAlpha((int) (SettingsActivity.this.avatarImage.getImageReceiver().getCurrentAlpha() * 85.0f));
                    canvas.drawCircle(getMeasuredWidth() / 2, getMeasuredHeight() / 2, AndroidUtilities.dp(21.0f), paint);
                }
                super.onDraw(canvas);
            }
        };
        this.avatarProgressView = radialProgressView;
        radialProgressView.setSize(AndroidUtilities.dp(26.0f));
        this.avatarProgressView.setProgressColor(-1);
        this.avatarContainer.addView(this.avatarProgressView, LayoutHelper.createFrame(42, 42.0f));
        showAvatarProgress(false, false);
        TextView textView = new TextView(context) { // from class: im.uecahxyvjd.ui.SettingsActivity.7
            @Override // android.widget.TextView, android.view.View
            protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
                super.onMeasure(widthMeasureSpec, heightMeasureSpec);
                setPivotX(LocaleController.isRTL ? getMeasuredWidth() : 0.0f);
            }
        };
        this.nameTextView = textView;
        textView.setTextColor(Theme.getColor(Theme.key_profile_title));
        this.nameTextView.setTextSize(1, 18.0f);
        this.nameTextView.setLines(1);
        this.nameTextView.setMaxLines(1);
        this.nameTextView.setSingleLine(true);
        this.nameTextView.setEllipsize(TextUtils.TruncateAt.END);
        this.nameTextView.setGravity(LocaleController.isRTL ? 5 : 3);
        this.nameTextView.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
        this.nameTextView.setPivotY(0.0f);
        frameLayout.addView(this.nameTextView, LayoutHelper.createFrame(-2.0f, -2.0f, (LocaleController.isRTL ? 5 : 3) | 48, LocaleController.isRTL ? 48.0f : 118.0f, 0.0f, LocaleController.isRTL ? 166.0f : 96.0f, 0.0f));
        TextView textView2 = new TextView(context);
        this.onlineTextView = textView2;
        textView2.setTextColor(Theme.getColor(Theme.key_profile_status));
        this.onlineTextView.setTextSize(1, 14.0f);
        this.onlineTextView.setLines(1);
        this.onlineTextView.setMaxLines(1);
        this.onlineTextView.setSingleLine(true);
        this.onlineTextView.setEllipsize(TextUtils.TruncateAt.END);
        this.onlineTextView.setGravity(LocaleController.isRTL ? 5 : 3);
        frameLayout.addView(this.onlineTextView, LayoutHelper.createFrame(-2.0f, -2.0f, (LocaleController.isRTL ? 5 : 3) | 48, LocaleController.isRTL ? 48.0f : 118.0f, 0.0f, LocaleController.isRTL ? 166.0f : 96.0f, 0.0f));
        this.writeButton = new ImageView(context);
        Drawable drawable = Theme.createSimpleSelectorCircleDrawable(AndroidUtilities.dp(56.0f), Theme.getColor(Theme.key_profile_actionBackground), Theme.getColor(Theme.key_profile_actionPressedBackground));
        this.writeButton.setBackgroundDrawable(drawable);
        this.writeButton.setImageResource(R.drawable.menu_camera_av);
        this.writeButton.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_profile_actionIcon), PorterDuff.Mode.MULTIPLY));
        this.writeButton.setScaleType(ImageView.ScaleType.CENTER);
        StateListAnimator animator = new StateListAnimator();
        animator.addState(new int[]{16842919}, ObjectAnimator.ofFloat(this.writeButton, "translationZ", AndroidUtilities.dp(2.0f), AndroidUtilities.dp(4.0f)).setDuration(200L));
        animator.addState(new int[0], ObjectAnimator.ofFloat(this.writeButton, "translationZ", AndroidUtilities.dp(4.0f), AndroidUtilities.dp(2.0f)).setDuration(200L));
        this.writeButton.setStateListAnimator(animator);
        this.writeButton.setOutlineProvider(new ViewOutlineProvider() { // from class: im.uecahxyvjd.ui.SettingsActivity.8
            @Override // android.view.ViewOutlineProvider
            public void getOutline(View view3, Outline outline) {
                outline.setOval(0, 0, AndroidUtilities.dp(56.0f), AndroidUtilities.dp(56.0f));
            }
        });
        frameLayout.addView(this.writeButton, LayoutHelper.createFrame(56.0f, 56.0f, (LocaleController.isRTL ? 3 : 5) | 48, LocaleController.isRTL ? 16.0f : 0.0f, 0.0f, LocaleController.isRTL ? 0.0f : 16.0f, 0.0f));
        this.writeButton.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.SettingsActivity$$ExternalSyntheticLambda3
            @Override // android.view.View.OnClickListener
            public final void onClick(View view3) {
                SettingsActivity.this.m2184lambda$createView$3$imuecahxyvjduiSettingsActivity(view3);
            }
        });
        this.writeButton.setContentDescription(LocaleController.getString("AccDescrChangeProfilePicture", R.string.AccDescrChangeProfilePicture));
        if (scrollTo != -1) {
            this.layoutManager.scrollToPositionWithOffset(scrollTo, scrollToPosition);
            if (writeButtonTag != null) {
                this.writeButton.setTag(0);
                this.writeButton.setScaleX(0.2f);
                this.writeButton.setScaleY(0.2f);
                this.writeButton.setAlpha(0.0f);
                this.writeButton.setVisibility(8);
            }
        }
        needLayout();
        this.listView.setOnScrollListener(new RecyclerView.OnScrollListener() { // from class: im.uecahxyvjd.ui.SettingsActivity.9
            @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
            public void onScrollStateChanged(RecyclerView recyclerView, int newState) {
                if (newState == 1 && SettingsActivity.this.listView.getAdapter() == SettingsActivity.this.searchAdapter) {
                    AndroidUtilities.hideKeyboard(SettingsActivity.this.getParentActivity().getCurrentFocus());
                }
            }

            @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
            public void onScrolled(RecyclerView recyclerView, int dx, int dy) {
                if (SettingsActivity.this.layoutManager.getItemCount() == 0) {
                    return;
                }
                int height = 0;
                View child = recyclerView.getChildAt(0);
                if (child != null && SettingsActivity.this.avatarContainer.getVisibility() == 0) {
                    if (SettingsActivity.this.layoutManager.findFirstVisibleItemPosition() == 0) {
                        height = AndroidUtilities.dp(88.0f) + (child.getTop() < 0 ? child.getTop() : 0);
                    }
                    if (SettingsActivity.this.extraHeight != height) {
                        SettingsActivity.this.extraHeight = height;
                        SettingsActivity.this.needLayout();
                    }
                }
            }
        });
        return this.fragmentView;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$0$im-uecahxyvjd-ui-SettingsActivity  reason: not valid java name */
    public /* synthetic */ void m2181lambda$createView$0$imuecahxyvjduiSettingsActivity(View view, int position) {
        if (this.listView.getAdapter() == this.listAdapter) {
            if (position == this.notificationRow) {
                presentFragment(new NoticeAndSoundSettingActivity());
            } else if (position == this.privacyRow) {
                presentFragment(new PrivacySettingsActivity());
            } else if (position == this.dataRow) {
                presentFragment(new DataSettingsActivity());
            } else if (position == this.chatRow) {
                presentFragment(new ThemeActivity(0));
            } else if (position == this.helpRow) {
                showHelpAlert();
            } else if (position == this.languageRow) {
                presentFragment(new LanguageSelectActivity());
            } else if (position == this.usernameRow) {
                presentFragment(new ChangeUsernameActivity());
            } else if (position == this.bioRow) {
                if (this.userInfo != null) {
                    presentFragment(new ChangeBioActivity());
                }
            } else if (position == this.numberRow) {
                presentFragment(new ActionIntroActivity(3));
            }
        } else if (position < 0) {
        } else {
            Object object = Integer.valueOf(this.numberRow);
            if (!this.searchAdapter.searchWas) {
                int position2 = position - 1;
                if (position2 < 0) {
                    return;
                }
                if (position2 < this.searchAdapter.recentSearches.size()) {
                    object = this.searchAdapter.recentSearches.get(position2);
                }
            } else if (position < this.searchAdapter.searchResults.size()) {
                object = this.searchAdapter.searchResults.get(position);
            } else {
                int position3 = position - (this.searchAdapter.searchResults.size() + 1);
                if (position3 >= 0 && position3 < this.searchAdapter.faqSearchResults.size()) {
                    object = this.searchAdapter.faqSearchResults.get(position3);
                }
            }
            if (object instanceof SearchAdapter.SearchResult) {
                SearchAdapter.SearchResult result = (SearchAdapter.SearchResult) object;
                result.open();
            } else if (object instanceof SearchAdapter.FaqSearchResult) {
                SearchAdapter.FaqSearchResult result2 = (SearchAdapter.FaqSearchResult) object;
                NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.openArticle, this.searchAdapter.faqWebPage, result2.url);
            }
            if (object != null) {
                this.searchAdapter.addRecent(object);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: im.uecahxyvjd.ui.SettingsActivity$5  reason: invalid class name */
    /* loaded from: classes12.dex */
    public class AnonymousClass5 implements RecyclerListView.OnItemLongClickListener {
        private int pressCount = 0;

        AnonymousClass5() {
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemLongClickListener
        public boolean onItemClick(View view, int position) {
            String str;
            int i;
            String str2;
            int i2;
            if (SettingsActivity.this.listView.getAdapter() != SettingsActivity.this.searchAdapter) {
                if (position == SettingsActivity.this.versionRow) {
                    int i3 = this.pressCount + 1;
                    this.pressCount = i3;
                    if (i3 >= 2 || BuildVars.DEBUG_PRIVATE_VERSION) {
                        AlertDialog.Builder builder = new AlertDialog.Builder(SettingsActivity.this.getParentActivity());
                        builder.setTitle(LocaleController.getString("DebugMenu", R.string.DebugMenu));
                        CharSequence[] items = new CharSequence[11];
                        items[0] = LocaleController.getString("DebugMenuImportContacts", R.string.DebugMenuImportContacts);
                        items[1] = LocaleController.getString("DebugMenuReloadContacts", R.string.DebugMenuReloadContacts);
                        items[2] = LocaleController.getString("DebugMenuResetContacts", R.string.DebugMenuResetContacts);
                        items[3] = LocaleController.getString("DebugMenuResetDialogs", R.string.DebugMenuResetDialogs);
                        if (BuildVars.LOGS_ENABLED) {
                            str = "DebugMenuDisableLogs";
                            i = R.string.DebugMenuDisableLogs;
                        } else {
                            str = "DebugMenuEnableLogs";
                            i = R.string.DebugMenuEnableLogs;
                        }
                        items[4] = LocaleController.getString(str, i);
                        if (SharedConfig.inappCamera) {
                            str2 = "DebugMenuDisableCamera";
                            i2 = R.string.DebugMenuDisableCamera;
                        } else {
                            str2 = "DebugMenuEnableCamera";
                            i2 = R.string.DebugMenuEnableCamera;
                        }
                        items[5] = LocaleController.getString(str2, i2);
                        items[6] = LocaleController.getString("DebugMenuClearMediaCache", R.string.DebugMenuClearMediaCache);
                        items[7] = LocaleController.getString("DebugMenuCallSettings", R.string.DebugMenuCallSettings);
                        items[8] = null;
                        items[9] = BuildVars.DEBUG_PRIVATE_VERSION ? "Check for app updates" : null;
                        items[10] = LocaleController.getString("DebugMenuReadAllDialogs", R.string.DebugMenuReadAllDialogs);
                        builder.setItems(items, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.SettingsActivity$5$$ExternalSyntheticLambda1
                            @Override // android.content.DialogInterface.OnClickListener
                            public final void onClick(DialogInterface dialogInterface, int i4) {
                                SettingsActivity.AnonymousClass5.this.m2193lambda$onItemClick$1$imuecahxyvjduiSettingsActivity$5(dialogInterface, i4);
                            }
                        });
                        builder.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
                        SettingsActivity.this.showDialog(builder.create());
                    } else {
                        ToastUtils.show((CharSequence) "¯\\_(ツ)_/¯");
                    }
                    return true;
                }
                return false;
            }
            AlertDialog.Builder builder2 = new AlertDialog.Builder(SettingsActivity.this.getParentActivity());
            builder2.setTitle(LocaleController.getString("AppName", R.string.AppName));
            builder2.setMessage(LocaleController.getString("ClearSearch", R.string.ClearSearch));
            builder2.setPositiveButton(LocaleController.getString("ClearButton", R.string.ClearButton).toUpperCase(), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.SettingsActivity$5$$ExternalSyntheticLambda0
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i4) {
                    SettingsActivity.AnonymousClass5.this.m2192lambda$onItemClick$0$imuecahxyvjduiSettingsActivity$5(dialogInterface, i4);
                }
            });
            builder2.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
            SettingsActivity.this.showDialog(builder2.create());
            return true;
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$0$im-uecahxyvjd-ui-SettingsActivity$5  reason: not valid java name */
        public /* synthetic */ void m2192lambda$onItemClick$0$imuecahxyvjduiSettingsActivity$5(DialogInterface dialogInterface, int i) {
            SettingsActivity.this.searchAdapter.clearRecent();
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$1$im-uecahxyvjd-ui-SettingsActivity$5  reason: not valid java name */
        public /* synthetic */ void m2193lambda$onItemClick$1$imuecahxyvjduiSettingsActivity$5(DialogInterface dialog, int which) {
            if (which == 0) {
                UserConfig.getInstance(SettingsActivity.this.currentAccount).syncContacts = true;
                UserConfig.getInstance(SettingsActivity.this.currentAccount).saveConfig(false);
                ContactsController.getInstance(SettingsActivity.this.currentAccount).forceImportContacts();
            } else if (which == 1) {
                ContactsController.getInstance(SettingsActivity.this.currentAccount).loadContacts(false, 0);
            } else if (which == 2) {
                ContactsController.getInstance(SettingsActivity.this.currentAccount).resetImportedContacts();
            } else if (which == 3) {
                MessagesController.getInstance(SettingsActivity.this.currentAccount).forceResetDialogs();
            } else if (which == 4) {
                BuildVars.LOGS_ENABLED = true ^ BuildVars.LOGS_ENABLED;
                SharedPreferences sharedPreferences = ApplicationLoader.applicationContext.getSharedPreferences(SPConstant.SP_SYSTEM_CONFIG, 0);
                sharedPreferences.edit().putBoolean("logsEnabled", BuildVars.LOGS_ENABLED).commit();
            } else if (which == 5) {
                SharedConfig.toggleInappCamera();
            } else if (which == 6) {
                MessagesStorage.getInstance(SettingsActivity.this.currentAccount).clearSentMedia();
                SharedConfig.setNoSoundHintShowed(false);
                SharedPreferences.Editor editor = MessagesController.getGlobalMainSettings().edit();
                editor.remove("archivehint").remove("archivehint_l").remove("gifhint").remove("soundHint").commit();
            } else if (which == 7) {
                VoIPHelper.showCallDebugSettings(SettingsActivity.this.getParentActivity());
            } else if (which == 8) {
                SharedConfig.toggleRoundCamera16to9();
            } else if (which == 9) {
                ((LaunchActivity) SettingsActivity.this.getParentActivity()).checkAppUpdate(true);
            } else if (which == 10) {
                MessagesStorage.getInstance(SettingsActivity.this.currentAccount).readAllDialogs();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$1$im-uecahxyvjd-ui-SettingsActivity  reason: not valid java name */
    public /* synthetic */ void m2182lambda$createView$1$imuecahxyvjduiSettingsActivity(View v) {
        TLRPC.User user;
        if (this.avatar == null && (user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(UserConfig.getInstance(this.currentAccount).getClientUserId()))) != null && user.photo != null && user.photo.photo_big != null) {
            PhotoViewer.getInstance().setParentActivity(getParentActivity());
            if (user.photo.dc_id != 0) {
                user.photo.photo_big.dc_id = user.photo.dc_id;
            }
            PhotoViewer.getInstance().openPhoto(user.photo.photo_big, this.provider);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$3$im-uecahxyvjd-ui-SettingsActivity  reason: not valid java name */
    public /* synthetic */ void m2184lambda$createView$3$imuecahxyvjduiSettingsActivity(View v) {
        TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(UserConfig.getInstance(this.currentAccount).getClientUserId()));
        if (user == null) {
            user = UserConfig.getInstance(this.currentAccount).getCurrentUser();
        }
        if (user == null) {
            return;
        }
        this.imageUpdater.openMenu((user.photo == null || user.photo.photo_big == null || (user.photo instanceof TLRPC.TL_userProfilePhotoEmpty)) ? false : true, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$$ExternalSyntheticLambda8
            @Override // java.lang.Runnable
            public final void run() {
                SettingsActivity.this.m2183lambda$createView$2$imuecahxyvjduiSettingsActivity();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$2$im-uecahxyvjd-ui-SettingsActivity  reason: not valid java name */
    public /* synthetic */ void m2183lambda$createView$2$imuecahxyvjduiSettingsActivity() {
        MessagesController.getInstance(this.currentAccount).deleteUserPhoto(null);
    }

    @Override // im.uecahxyvjd.ui.components.ImageUpdater.ImageUpdaterDelegate
    public void didUploadPhoto(final TLRPC.InputFile file, final TLRPC.PhotoSize bigSize, final TLRPC.PhotoSize smallSize) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$$ExternalSyntheticLambda5
            @Override // java.lang.Runnable
            public final void run() {
                SettingsActivity.this.m2187lambda$didUploadPhoto$6$imuecahxyvjduiSettingsActivity(file, smallSize, bigSize);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$didUploadPhoto$6$im-uecahxyvjd-ui-SettingsActivity  reason: not valid java name */
    public /* synthetic */ void m2187lambda$didUploadPhoto$6$imuecahxyvjduiSettingsActivity(TLRPC.InputFile file, TLRPC.PhotoSize smallSize, TLRPC.PhotoSize bigSize) {
        if (file != null) {
            TLRPC.TL_photos_uploadProfilePhoto req = new TLRPC.TL_photos_uploadProfilePhoto();
            req.file = file;
            ConnectionsManager.getInstance(this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.SettingsActivity$$ExternalSyntheticLambda1
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    SettingsActivity.this.m2186lambda$didUploadPhoto$5$imuecahxyvjduiSettingsActivity(tLObject, tL_error);
                }
            });
            return;
        }
        this.avatar = smallSize.location;
        this.avatarBig = bigSize.location;
        this.avatarImage.setImage(ImageLocation.getForLocal(this.avatar), "50_50", this.avatarDrawable, (Object) null);
        showAvatarProgress(true, false);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$didUploadPhoto$5$im-uecahxyvjd-ui-SettingsActivity  reason: not valid java name */
    public /* synthetic */ void m2186lambda$didUploadPhoto$5$imuecahxyvjduiSettingsActivity(TLObject response, TLRPC.TL_error error) {
        if (error == null) {
            TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(UserConfig.getInstance(this.currentAccount).getClientUserId()));
            if (user == null) {
                user = UserConfig.getInstance(this.currentAccount).getCurrentUser();
                if (user != null) {
                    MessagesController.getInstance(this.currentAccount).putUser(user, false);
                } else {
                    return;
                }
            } else {
                UserConfig.getInstance(this.currentAccount).setCurrentUser(user);
            }
            TLRPC.TL_photos_photo photo = (TLRPC.TL_photos_photo) response;
            ArrayList<TLRPC.PhotoSize> sizes = photo.photo.sizes;
            TLRPC.PhotoSize small = FileLoader.getClosestPhotoSizeWithSize(sizes, 150);
            TLRPC.PhotoSize big = FileLoader.getClosestPhotoSizeWithSize(sizes, CodeUtils.DEFAULT_REQ_HEIGHT);
            user.photo = new TLRPC.TL_userProfilePhoto();
            user.photo.photo_id = photo.photo.id;
            if (small != null) {
                user.photo.photo_small = small.location;
            }
            if (big != null) {
                user.photo.photo_big = big.location;
            } else if (small != null) {
                user.photo.photo_small = small.location;
            }
            if (photo != null) {
                if (small != null && this.avatar != null) {
                    File destFile = FileLoader.getPathToAttach(small, true);
                    File src = FileLoader.getPathToAttach(this.avatar, true);
                    src.renameTo(destFile);
                    String oldKey = this.avatar.volume_id + "_" + this.avatar.local_id + "@50_50";
                    String newKey = small.location.volume_id + "_" + small.location.local_id + "@50_50";
                    ImageLoader.getInstance().replaceImageInCache(oldKey, newKey, ImageLocation.getForUser(user, false), true);
                }
                if (big != null && this.avatarBig != null) {
                    File destFile2 = FileLoader.getPathToAttach(big, true);
                    File src2 = FileLoader.getPathToAttach(this.avatarBig, true);
                    src2.renameTo(destFile2);
                }
            }
            MessagesStorage.getInstance(this.currentAccount).clearUserPhotos(user.id);
            ArrayList<TLRPC.User> users = new ArrayList<>();
            users.add(user);
            MessagesStorage.getInstance(this.currentAccount).putUsersAndChats(users, null, false, true);
        }
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$$ExternalSyntheticLambda7
            @Override // java.lang.Runnable
            public final void run() {
                SettingsActivity.this.m2185lambda$didUploadPhoto$4$imuecahxyvjduiSettingsActivity();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$didUploadPhoto$4$im-uecahxyvjd-ui-SettingsActivity  reason: not valid java name */
    public /* synthetic */ void m2185lambda$didUploadPhoto$4$imuecahxyvjduiSettingsActivity() {
        this.avatar = null;
        this.avatarBig = null;
        updateUserData();
        showAvatarProgress(false, true);
        NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.updateInterfaces, Integer.valueOf((int) MessagesController.UPDATE_MASK_ALL));
        NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.mainUserInfoChanged, new Object[0]);
        UserConfig.getInstance(this.currentAccount).saveConfig(true);
    }

    private void showAvatarProgress(final boolean show, boolean animated) {
        if (this.avatarProgressView == null) {
            return;
        }
        AnimatorSet animatorSet = this.avatarAnimation;
        if (animatorSet != null) {
            animatorSet.cancel();
            this.avatarAnimation = null;
        }
        if (animated) {
            AnimatorSet animatorSet2 = new AnimatorSet();
            this.avatarAnimation = animatorSet2;
            if (show) {
                this.avatarProgressView.setVisibility(0);
                this.avatarAnimation.playTogether(ObjectAnimator.ofFloat(this.avatarProgressView, View.ALPHA, 1.0f));
            } else {
                animatorSet2.playTogether(ObjectAnimator.ofFloat(this.avatarProgressView, View.ALPHA, 0.0f));
            }
            this.avatarAnimation.setDuration(180L);
            this.avatarAnimation.addListener(new AnimatorListenerAdapter() { // from class: im.uecahxyvjd.ui.SettingsActivity.10
                @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                public void onAnimationEnd(Animator animation) {
                    if (SettingsActivity.this.avatarAnimation == null || SettingsActivity.this.avatarProgressView == null) {
                        return;
                    }
                    if (!show) {
                        SettingsActivity.this.avatarProgressView.setVisibility(4);
                    }
                    SettingsActivity.this.avatarAnimation = null;
                }

                @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                public void onAnimationCancel(Animator animation) {
                    SettingsActivity.this.avatarAnimation = null;
                }
            });
            this.avatarAnimation.start();
        } else if (show) {
            this.avatarProgressView.setAlpha(1.0f);
            this.avatarProgressView.setVisibility(0);
        } else {
            this.avatarProgressView.setAlpha(0.0f);
            this.avatarProgressView.setVisibility(4);
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onActivityResultFragment(int requestCode, int resultCode, Intent data) {
        this.imageUpdater.onActivityResult(requestCode, resultCode, data);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void saveSelfArgs(Bundle args) {
        ImageUpdater imageUpdater = this.imageUpdater;
        if (imageUpdater != null && imageUpdater.currentPicturePath != null) {
            args.putString("path", this.imageUpdater.currentPicturePath);
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void restoreSelfArgs(Bundle args) {
        ImageUpdater imageUpdater = this.imageUpdater;
        if (imageUpdater != null) {
            imageUpdater.currentPicturePath = args.getString("path");
        }
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        RecyclerListView recyclerListView;
        ListAdapter listAdapter;
        if (id == NotificationCenter.updateInterfaces) {
            int mask = ((Integer) args[0]).intValue();
            if ((mask & 2) != 0 || (mask & 1) != 0) {
                updateUserData();
            }
        } else if (id == NotificationCenter.userFullInfoDidLoad) {
            Integer uid = (Integer) args[0];
            if (uid.intValue() == UserConfig.getInstance(this.currentAccount).getClientUserId() && (listAdapter = this.listAdapter) != null) {
                this.userInfo = (TLRPC.UserFull) args[1];
                listAdapter.notifyItemChanged(this.bioRow);
            }
        } else if (id == NotificationCenter.emojiDidLoad && (recyclerListView = this.listView) != null) {
            recyclerListView.invalidateViews();
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onResume() {
        super.onResume();
        ListAdapter listAdapter = this.listAdapter;
        if (listAdapter != null) {
            listAdapter.notifyDataSetChanged();
        }
        updateUserData();
        fixLayout();
        setParentActivityTitle(LocaleController.getString("Settings", R.string.Settings));
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onConfigurationChanged(Configuration newConfig) {
        super.onConfigurationChanged(newConfig);
        fixLayout();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void needLayout() {
        int currentExtraHeight;
        int newTop = (this.actionBar.getOccupyStatusBar() ? AndroidUtilities.statusBarHeight : 0) + ActionBar.getCurrentActionBarHeight();
        RecyclerListView recyclerListView = this.listView;
        if (recyclerListView != null) {
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) recyclerListView.getLayoutParams();
            if (layoutParams.topMargin != newTop) {
                layoutParams.topMargin = newTop;
                this.listView.setLayoutParams(layoutParams);
                this.extraHeightView.setTranslationY(newTop);
            }
            FrameLayout.LayoutParams layoutParams2 = (FrameLayout.LayoutParams) this.emptyView.getLayoutParams();
            if (layoutParams2.topMargin != newTop) {
                layoutParams2.topMargin = newTop;
                this.emptyView.setLayoutParams(layoutParams2);
            }
        }
        FrameLayout frameLayout = this.avatarContainer;
        if (frameLayout != null) {
            if (frameLayout.getVisibility() == 0) {
                currentExtraHeight = this.extraHeight;
            } else {
                currentExtraHeight = 0;
            }
            float diff = currentExtraHeight / AndroidUtilities.dp(88.0f);
            this.extraHeightView.setScaleY(diff);
            this.shadowView.setTranslationY(newTop + currentExtraHeight);
            this.writeButton.setTranslationY((((this.actionBar.getOccupyStatusBar() ? AndroidUtilities.statusBarHeight : 0) + ActionBar.getCurrentActionBarHeight()) + currentExtraHeight) - AndroidUtilities.dp(29.5f));
            final boolean setVisible = diff > 0.2f;
            boolean currentVisible = this.writeButton.getTag() == null;
            if (setVisible != currentVisible) {
                if (setVisible) {
                    this.writeButton.setTag(null);
                    this.writeButton.setVisibility(0);
                } else {
                    this.writeButton.setTag(0);
                }
                if (this.writeButtonAnimation != null) {
                    AnimatorSet old = this.writeButtonAnimation;
                    this.writeButtonAnimation = null;
                    old.cancel();
                }
                AnimatorSet animatorSet = new AnimatorSet();
                this.writeButtonAnimation = animatorSet;
                if (setVisible) {
                    animatorSet.setInterpolator(new DecelerateInterpolator());
                    this.writeButtonAnimation.playTogether(ObjectAnimator.ofFloat(this.writeButton, "scaleX", 1.0f), ObjectAnimator.ofFloat(this.writeButton, "scaleY", 1.0f), ObjectAnimator.ofFloat(this.writeButton, "alpha", 1.0f));
                } else {
                    animatorSet.setInterpolator(new AccelerateInterpolator());
                    this.writeButtonAnimation.playTogether(ObjectAnimator.ofFloat(this.writeButton, "scaleX", 0.2f), ObjectAnimator.ofFloat(this.writeButton, "scaleY", 0.2f), ObjectAnimator.ofFloat(this.writeButton, "alpha", 0.0f));
                }
                this.writeButtonAnimation.setDuration(150L);
                this.writeButtonAnimation.addListener(new AnimatorListenerAdapter() { // from class: im.uecahxyvjd.ui.SettingsActivity.11
                    @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                    public void onAnimationEnd(Animator animation) {
                        if (SettingsActivity.this.writeButtonAnimation != null && SettingsActivity.this.writeButtonAnimation.equals(animation)) {
                            SettingsActivity.this.writeButton.setVisibility(setVisible ? 0 : 8);
                            SettingsActivity.this.writeButtonAnimation = null;
                        }
                    }
                });
                this.writeButtonAnimation.start();
            }
            this.avatarContainer.setScaleX(((diff * 18.0f) + 42.0f) / 42.0f);
            this.avatarContainer.setScaleY(((18.0f * diff) + 42.0f) / 42.0f);
            this.avatarProgressView.setSize(AndroidUtilities.dp(26.0f / this.avatarContainer.getScaleX()));
            this.avatarProgressView.setStrokeWidth(3.0f / this.avatarContainer.getScaleX());
            float avatarY = (((this.actionBar.getOccupyStatusBar() ? AndroidUtilities.statusBarHeight : 0) + ((ActionBar.getCurrentActionBarHeight() / 2.0f) * (diff + 1.0f))) - (AndroidUtilities.density * 21.0f)) + (AndroidUtilities.density * 27.0f * diff);
            this.avatarContainer.setTranslationY((float) Math.ceil(avatarY));
            this.nameTextView.setTranslationY((((float) Math.floor(avatarY)) - ((float) Math.ceil(AndroidUtilities.density))) + ((float) Math.floor(AndroidUtilities.density * 7.0f * diff)));
            this.onlineTextView.setTranslationY(((float) Math.floor(avatarY)) + AndroidUtilities.dp(22.0f) + (((float) Math.floor(AndroidUtilities.density * 11.0f)) * diff));
            this.nameTextView.setScaleX((diff * 0.12f) + 1.0f);
            this.nameTextView.setScaleY((0.12f * diff) + 1.0f);
            if (LocaleController.isRTL) {
                this.avatarContainer.setTranslationX(AndroidUtilities.dp(95.0f) * diff);
                this.nameTextView.setTranslationX(AndroidUtilities.density * 69.0f * diff);
                this.onlineTextView.setTranslationX(AndroidUtilities.density * 69.0f * diff);
                return;
            }
            this.avatarContainer.setTranslationX((-AndroidUtilities.dp(47.0f)) * diff);
            this.nameTextView.setTranslationX(AndroidUtilities.density * (-21.0f) * diff);
            this.onlineTextView.setTranslationX(AndroidUtilities.density * (-21.0f) * diff);
        }
    }

    private void fixLayout() {
        if (this.fragmentView == null) {
            return;
        }
        this.fragmentView.getViewTreeObserver().addOnPreDrawListener(new ViewTreeObserver.OnPreDrawListener() { // from class: im.uecahxyvjd.ui.SettingsActivity.12
            @Override // android.view.ViewTreeObserver.OnPreDrawListener
            public boolean onPreDraw() {
                if (SettingsActivity.this.fragmentView != null) {
                    SettingsActivity.this.needLayout();
                    SettingsActivity.this.fragmentView.getViewTreeObserver().removeOnPreDrawListener(this);
                    return true;
                }
                return true;
            }
        });
    }

    private void updateUserData() {
        TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(UserConfig.getInstance(this.currentAccount).getClientUserId()));
        if (user == null) {
            return;
        }
        TLRPC.FileLocation photoBig = null;
        if (user.photo != null) {
            photoBig = user.photo.photo_big;
        }
        AvatarDrawable avatarDrawable = new AvatarDrawable(user, true);
        this.avatarDrawable = avatarDrawable;
        avatarDrawable.setColor(Theme.getColor(Theme.key_avatar_backgroundInProfileBlue));
        BackupImageView backupImageView = this.avatarImage;
        if (backupImageView != null) {
            backupImageView.setImage(ImageLocation.getForUser(user, false), "50_50", this.avatarDrawable, user);
            this.avatarImage.getImageReceiver().setVisible(!PhotoViewer.isShowingImage(photoBig), false);
            this.nameTextView.setText(UserObject.getName(user));
            this.onlineTextView.setText(LocaleController.getString("Online", R.string.Online));
            this.avatarImage.getImageReceiver().setVisible(true ^ PhotoViewer.isShowingImage(photoBig), false);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void showHelpAlert() {
        String text;
        if (getParentActivity() == null) {
            return;
        }
        Context context = getParentActivity();
        final BottomSheet.Builder builder = new BottomSheet.Builder(context);
        builder.setApplyTopPadding(false);
        LinearLayout linearLayout = new LinearLayout(context);
        linearLayout.setOrientation(1);
        HeaderCell headerCell = new HeaderCell(context, true, 23, 15, false);
        headerCell.setHeight(47);
        headerCell.setText(LocaleController.getString("SettingsHelp", R.string.SettingsHelp));
        linearLayout.addView(headerCell);
        LinearLayout linearLayoutInviteContainer = new LinearLayout(context);
        linearLayoutInviteContainer.setOrientation(1);
        linearLayout.addView(linearLayoutInviteContainer, LayoutHelper.createLinear(-1, -2));
        int a2 = 0;
        while (a2 < 6) {
            if ((a2 < 3 || a2 > 4 || BuildVars.LOGS_ENABLED) && (a2 != 5 || BuildVars.DEBUG_VERSION)) {
                TextCell textCell = new TextCell(context);
                switch (a2) {
                    case 0:
                        text = LocaleController.getString("AskAQuestion", R.string.AskAQuestion);
                        break;
                    case 1:
                        text = LocaleController.getString("AppFaq", R.string.AppFaq);
                        break;
                    case 2:
                        text = LocaleController.getString("PrivacyPolicy", R.string.PrivacyPolicy);
                        break;
                    case 3:
                        text = LocaleController.getString("DebugSendLogs", R.string.DebugSendLogs);
                        break;
                    case 4:
                        text = LocaleController.getString("DebugClearLogs", R.string.DebugClearLogs);
                        break;
                    default:
                        text = "Switch Backend";
                        break;
                }
                textCell.setText(text, BuildVars.LOGS_ENABLED || BuildVars.DEBUG_VERSION ? a2 != 6 + (-1) : a2 != 2);
                textCell.setTag(Integer.valueOf(a2));
                textCell.setBackgroundDrawable(Theme.getSelectorDrawable(false));
                linearLayoutInviteContainer.addView(textCell, LayoutHelper.createLinear(-1, -2));
                textCell.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.SettingsActivity$$ExternalSyntheticLambda10
                    @Override // android.view.View.OnClickListener
                    public final void onClick(View view) {
                        SettingsActivity.this.m2191lambda$showHelpAlert$8$imuecahxyvjduiSettingsActivity(builder, view);
                    }
                });
            }
            a2++;
        }
        builder.setCustomView(linearLayout);
        showDialog(builder.create());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$showHelpAlert$8$im-uecahxyvjd-ui-SettingsActivity  reason: not valid java name */
    public /* synthetic */ void m2191lambda$showHelpAlert$8$imuecahxyvjduiSettingsActivity(BottomSheet.Builder builder, View v2) {
        Integer tag = (Integer) v2.getTag();
        switch (tag.intValue()) {
            case 0:
                showDialog(AlertsCreator.createSupportAlert(this));
                break;
            case 1:
                Browser.openUrl(getParentActivity(), LocaleController.getString("AppFaqUrl", R.string.AppFaqUrl));
                break;
            case 2:
                Browser.openUrl(getParentActivity(), LocaleController.getString("PrivacyPolicyUrl", R.string.PrivacyPolicyUrl));
                break;
            case 3:
                sendLogs();
                break;
            case 4:
                FileLog.cleanupLogs();
                break;
            case 5:
                if (getParentActivity() == null) {
                    return;
                }
                AlertDialog.Builder builder1 = new AlertDialog.Builder(getParentActivity());
                builder1.setMessage(LocaleController.getString("AreYouSure", R.string.AreYouSure));
                builder1.setTitle(LocaleController.getString("AppName", R.string.AppName));
                builder1.setPositiveButton(LocaleController.getString("OK", R.string.OK), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.SettingsActivity$$ExternalSyntheticLambda9
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        SettingsActivity.this.m2190lambda$showHelpAlert$7$imuecahxyvjduiSettingsActivity(dialogInterface, i);
                    }
                });
                builder1.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
                showDialog(builder1.create());
                break;
        }
        builder.getDismissRunnable().run();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$showHelpAlert$7$im-uecahxyvjd-ui-SettingsActivity  reason: not valid java name */
    public /* synthetic */ void m2190lambda$showHelpAlert$7$imuecahxyvjduiSettingsActivity(DialogInterface dialogInterface, int i) {
        SharedConfig.pushAuthKey = null;
        SharedConfig.pushAuthKeyId = null;
        SharedConfig.saveConfig();
        ConnectionsManager.getInstance(this.currentAccount).switchBackend();
    }

    private void sendLogs() {
        if (getParentActivity() == null) {
            return;
        }
        final AlertDialog progressDialog = new AlertDialog(getParentActivity(), 3);
        progressDialog.setCanCancel(false);
        progressDialog.show();
        Utilities.globalQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$$ExternalSyntheticLambda6
            @Override // java.lang.Runnable
            public final void run() {
                SettingsActivity.this.m2188lambda$sendLogs$10$imuecahxyvjduiSettingsActivity(progressDialog);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendLogs$10$im-uecahxyvjd-ui-SettingsActivity  reason: not valid java name */
    public /* synthetic */ void m2188lambda$sendLogs$10$imuecahxyvjduiSettingsActivity(final AlertDialog progressDialog) {
        try {
            File sdCard = ApplicationLoader.applicationContext.getExternalFilesDir(null);
            File dir = new File(sdCard.getAbsolutePath() + "/logs");
            final File zipFile = new File(dir, "logs.zip");
            if (zipFile.exists()) {
                zipFile.delete();
            }
            File[] files = dir.listFiles();
            final boolean[] finished = new boolean[1];
            BufferedInputStream origin = null;
            ZipOutputStream out = null;
            try {
                try {
                    FileOutputStream dest = new FileOutputStream(zipFile);
                    out = new ZipOutputStream(new BufferedOutputStream(dest));
                    byte[] data = new byte[65536];
                    for (int i = 0; i < files.length; i++) {
                        FileInputStream fi = new FileInputStream(files[i]);
                        BufferedInputStream origin2 = new BufferedInputStream(fi, data.length);
                        ZipEntry entry = new ZipEntry(files[i].getName());
                        out.putNextEntry(entry);
                        while (true) {
                            int count = origin2.read(data, 0, data.length);
                            if (count != -1) {
                                out.write(data, 0, count);
                            }
                        }
                        origin2.close();
                        origin = null;
                    }
                    finished[0] = true;
                    if (origin != null) {
                        origin.close();
                    }
                } catch (Exception e) {
                    e = e;
                    e.printStackTrace();
                    return;
                }
            } catch (Exception e2) {
                e2.printStackTrace();
                if (origin != null) {
                    origin.close();
                }
                if (out != null) {
                }
            }
            out.close();
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$$ExternalSyntheticLambda4
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.this.m2189lambda$sendLogs$9$imuecahxyvjduiSettingsActivity(progressDialog, finished, zipFile);
                }
            });
        } catch (Exception e3) {
            e = e3;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendLogs$9$im-uecahxyvjd-ui-SettingsActivity  reason: not valid java name */
    public /* synthetic */ void m2189lambda$sendLogs$9$imuecahxyvjduiSettingsActivity(AlertDialog progressDialog, boolean[] finished, File zipFile) {
        Uri uri;
        try {
            progressDialog.dismiss();
        } catch (Exception e) {
        }
        if (finished[0]) {
            if (Build.VERSION.SDK_INT >= 24) {
                uri = FileProvider.getUriForFile(getParentActivity(), "im.uecahxyvjd.messenger.provider", zipFile);
            } else {
                uri = Uri.fromFile(zipFile);
            }
            Intent i = new Intent("android.intent.action.SEND");
            if (Build.VERSION.SDK_INT >= 24) {
                i.addFlags(1);
            }
            i.setType("message/rfc822");
            i.putExtra("android.intent.extra.EMAIL", "");
            i.putExtra("android.intent.extra.SUBJECT", "Logs from " + LocaleController.getInstance().formatterStats.format(System.currentTimeMillis()));
            i.putExtra("android.intent.extra.STREAM", uri);
            getParentActivity().startActivityForResult(Intent.createChooser(i, "Select email application."), 500);
            return;
        }
        ToastUtils.show((int) R.string.ErrorOccurred);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes12.dex */
    public class SearchAdapter extends RecyclerListView.SelectionAdapter {
        private TLRPC.WebPage faqWebPage;
        private String lastSearchString;
        private boolean loadingFaqPage;
        private Context mContext;
        private SearchResult[] searchArray;
        private Runnable searchRunnable;
        private boolean searchWas;
        private ArrayList<FaqSearchResult> faqSearchArray = new ArrayList<>();
        private ArrayList<CharSequence> resultNames = new ArrayList<>();
        private ArrayList<SearchResult> searchResults = new ArrayList<>();
        private ArrayList<FaqSearchResult> faqSearchResults = new ArrayList<>();
        private ArrayList<Object> recentSearches = new ArrayList<>();

        /* JADX INFO: Access modifiers changed from: private */
        /* loaded from: classes12.dex */
        public class SearchResult {
            private int guid;
            private int iconResId;
            private int num;
            private Runnable openRunnable;
            private String[] path;
            private String rowName;
            private String searchTitle;

            public SearchResult(SearchAdapter searchAdapter, int g, String search, int icon, Runnable open) {
                this(g, search, null, null, null, icon, open);
            }

            public SearchResult(SearchAdapter searchAdapter, int g, String search, String pathArg1, int icon, Runnable open) {
                this(g, search, null, pathArg1, null, icon, open);
            }

            public SearchResult(SearchAdapter searchAdapter, int g, String search, String row, String pathArg1, int icon, Runnable open) {
                this(g, search, row, pathArg1, null, icon, open);
            }

            public SearchResult(int g, String search, String row, String pathArg1, String pathArg2, int icon, Runnable open) {
                this.guid = g;
                this.searchTitle = search;
                this.rowName = row;
                this.openRunnable = open;
                this.iconResId = icon;
                if (pathArg1 != null && pathArg2 != null) {
                    this.path = new String[]{pathArg1, pathArg2};
                } else if (pathArg1 != null) {
                    this.path = new String[]{pathArg1};
                }
            }

            public boolean equals(Object obj) {
                if (obj instanceof SearchResult) {
                    SearchResult result = (SearchResult) obj;
                    return this.guid == result.guid;
                }
                return false;
            }

            public String toString() {
                SerializedData data = new SerializedData();
                data.writeInt32(this.num);
                data.writeInt32(1);
                data.writeInt32(this.guid);
                return Utilities.bytesToHex(data.toByteArray());
            }

            /* JADX INFO: Access modifiers changed from: private */
            public void open() {
                this.openRunnable.run();
                if (this.rowName != null) {
                    final BaseFragment openingFragment = SettingsActivity.this.parentLayout.fragmentsStack.get(SettingsActivity.this.parentLayout.fragmentsStack.size() - 1);
                    try {
                        Field listViewField = openingFragment.getClass().getDeclaredField("listView");
                        listViewField.setAccessible(true);
                        RecyclerListView.IntReturnCallback callback = new RecyclerListView.IntReturnCallback() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$SearchResult$$ExternalSyntheticLambda0
                            @Override // im.uecahxyvjd.ui.components.RecyclerListView.IntReturnCallback
                            public final int run() {
                                return SettingsActivity.SearchAdapter.SearchResult.this.m2279x5cf4d4db(openingFragment);
                            }
                        };
                        RecyclerListView listView = (RecyclerListView) listViewField.get(openingFragment);
                        listView.highlightRow(callback);
                        listViewField.setAccessible(false);
                    } catch (Throwable th) {
                    }
                }
            }

            /* JADX INFO: Access modifiers changed from: package-private */
            /* renamed from: lambda$open$0$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter$SearchResult  reason: not valid java name */
            public /* synthetic */ int m2279x5cf4d4db(BaseFragment openingFragment) {
                int position = -1;
                try {
                    Field rowField = openingFragment.getClass().getDeclaredField(this.rowName);
                    Field linearLayoutField = openingFragment.getClass().getDeclaredField("layoutManager");
                    rowField.setAccessible(true);
                    linearLayoutField.setAccessible(true);
                    LinearLayoutManager layoutManager = (LinearLayoutManager) linearLayoutField.get(openingFragment);
                    position = rowField.getInt(openingFragment);
                    layoutManager.scrollToPositionWithOffset(position, 0);
                    rowField.setAccessible(false);
                    linearLayoutField.setAccessible(false);
                    return position;
                } catch (Throwable th) {
                    return position;
                }
            }
        }

        /* JADX INFO: Access modifiers changed from: private */
        /* loaded from: classes12.dex */
        public class FaqSearchResult {
            private int num;
            private String[] path;
            private String title;
            private String url;

            public FaqSearchResult(String t, String[] p, String u) {
                this.title = t;
                this.path = p;
                this.url = u;
            }

            public boolean equals(Object obj) {
                if (!(obj instanceof FaqSearchResult)) {
                    return false;
                }
                FaqSearchResult result = (FaqSearchResult) obj;
                return this.title.equals(result.title);
            }

            public String toString() {
                SerializedData data = new SerializedData();
                data.writeInt32(this.num);
                data.writeInt32(0);
                data.writeString(this.title);
                String[] strArr = this.path;
                data.writeInt32(strArr != null ? strArr.length : 0);
                if (this.path != null) {
                    int a2 = 0;
                    while (true) {
                        String[] strArr2 = this.path;
                        if (a2 >= strArr2.length) {
                            break;
                        }
                        data.writeString(strArr2[a2]);
                        a2++;
                    }
                }
                data.writeString(this.url);
                return Utilities.bytesToHex(data.toByteArray());
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$0$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2195lambda$new$0$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new ChangeNameActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$1$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2196lambda$new$1$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new ActionIntroActivity(3));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$2$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2207lambda$new$2$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            int freeAccount = -1;
            int a2 = 0;
            while (true) {
                if (a2 >= 3) {
                    break;
                } else if (UserConfig.getInstance(a2).isClientActivated()) {
                    a2++;
                } else {
                    freeAccount = a2;
                    break;
                }
            }
            if (freeAccount >= 0) {
                SettingsActivity.this.presentFragment(new LoginActivity(freeAccount));
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$3$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2218lambda$new$3$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            if (SettingsActivity.this.userInfo != null) {
                SettingsActivity.this.presentFragment(new ChangeBioActivity());
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$4$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2229lambda$new$4$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new NotificationsSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$5$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2240lambda$new$5$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new NotificationsCustomSettingsActivity(1, new ArrayList(), true));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$6$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2251lambda$new$6$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new NotificationsCustomSettingsActivity(0, new ArrayList(), true));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$7$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2262lambda$new$7$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new NotificationsCustomSettingsActivity(2, new ArrayList(), true));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$8$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2272lambda$new$8$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new NotificationsSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$9$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2276lambda$new$9$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new NotificationsSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$10$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2197lambda$new$10$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new NotificationsSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$11$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2198lambda$new$11$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new NotificationsSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$12$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2199lambda$new$12$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new NotificationsSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$13$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2200lambda$new$13$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new NotificationsSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$14$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2201lambda$new$14$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new PrivacySettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$15$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2202lambda$new$15$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new PrivacyUsersActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$16$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2203lambda$new$16$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new PrivacyControlActivity(6, true));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$17$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2204lambda$new$17$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new PrivacyControlActivity(0, true));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$18$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2205lambda$new$18$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new PrivacyControlActivity(4, true));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$19$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2206lambda$new$19$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new PrivacyControlActivity(5, true));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$20$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2208lambda$new$20$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new PrivacyControlActivity(3, true));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$21$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2209lambda$new$21$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new PrivacyControlActivity(2, true));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$22$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2210lambda$new$22$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new PrivacyControlActivity(1, true));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$23$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2211lambda$new$23$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new PasscodeActivity(SharedConfig.passcodeHash.length() > 0 ? 2 : 0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$24$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2212lambda$new$24$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new TwoStepVerificationActivity(0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$25$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2213lambda$new$25$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new SessionsActivity(0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$26$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2214lambda$new$26$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new PrivacySettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$27$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2215lambda$new$27$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new PrivacySettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$28$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2216lambda$new$28$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new PrivacySettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$29$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2217lambda$new$29$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new SessionsActivity(1));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$30$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2219lambda$new$30$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new PrivacySettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$31$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2220lambda$new$31$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new PrivacySettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$32$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2221lambda$new$32$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new PrivacySettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$33$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2222lambda$new$33$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new PrivacySettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$34$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2223lambda$new$34$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new PrivacySettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$35$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2224lambda$new$35$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new DataSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$36$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2225lambda$new$36$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new DataSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$37$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2226lambda$new$37$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new CacheControlActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$38$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2227lambda$new$38$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new CacheControlActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$39$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2228lambda$new$39$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new CacheControlActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$40$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2230lambda$new$40$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new CacheControlActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$41$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2231lambda$new$41$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new DataUsageActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$42$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2232lambda$new$42$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new DataSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$43$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2233lambda$new$43$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new DataAutoDownloadActivity(0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$44$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2234lambda$new$44$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new DataAutoDownloadActivity(1));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$45$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2235lambda$new$45$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new DataAutoDownloadActivity(2));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$46$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2236lambda$new$46$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new DataSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$47$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2237lambda$new$47$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new DataSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$48$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2238lambda$new$48$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new DataSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$49$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2239lambda$new$49$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new DataSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$50$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2241lambda$new$50$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new DataSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$51$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2242lambda$new$51$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new DataSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$52$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2243lambda$new$52$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new DataSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$53$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2244lambda$new$53$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new DataSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$54$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2245lambda$new$54$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new DataSettingsActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$55$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2246lambda$new$55$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new ProxyListActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$56$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2247lambda$new$56$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new ProxyListActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$57$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2248lambda$new$57$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new ThemeActivity(0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$58$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2249lambda$new$58$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new ThemeActivity(0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$59$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2250lambda$new$59$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new WallpapersListActivity(0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$60$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2252lambda$new$60$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new WallpapersListActivity(1));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$61$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2253lambda$new$61$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new WallpapersListActivity(0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$62$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2254lambda$new$62$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new ThemeActivity(1));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$63$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2255lambda$new$63$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new ThemeActivity(0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$64$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2256lambda$new$64$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new ThemeActivity(0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$65$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2257lambda$new$65$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new ThemeActivity(0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$66$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2258lambda$new$66$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new ThemeActivity(0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$67$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2259lambda$new$67$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new ThemeActivity(0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$68$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2260lambda$new$68$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new ThemeActivity(0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$69$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2261lambda$new$69$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new ThemeActivity(0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$70$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2263lambda$new$70$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new ThemeActivity(0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$71$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2264lambda$new$71$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new StickersActivity(0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$72$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2265lambda$new$72$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new StickersActivity(0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$73$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2266lambda$new$73$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new FeaturedStickersActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$74$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2267lambda$new$74$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new StickersActivity(1));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$75$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2268lambda$new$75$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new ArchivedStickersActivity(0));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$76$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2269lambda$new$76$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new ArchivedStickersActivity(1));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$77$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2270lambda$new$77$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity.this.presentFragment(new LanguageSelectActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$79$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2271lambda$new$79$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            SettingsActivity settingsActivity = SettingsActivity.this;
            settingsActivity.showDialog(AlertsCreator.createSupportAlert(settingsActivity));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$80$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2273lambda$new$80$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            Browser.openUrl(SettingsActivity.this.getParentActivity(), LocaleController.getString("AppFaqUrl", R.string.AppFaqUrl));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$81$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2274lambda$new$81$imuecahxyvjduiSettingsActivity$SearchAdapter() {
            Browser.openUrl(SettingsActivity.this.getParentActivity(), LocaleController.getString("PrivacyPolicyUrl", R.string.PrivacyPolicyUrl));
        }

        public SearchAdapter(Context context) {
            this.searchArray = new SearchResult[]{new SearchResult(this, 500, LocaleController.getString("EditName", R.string.EditName), 0, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda22
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2195lambda$new$0$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, UIMsg.d_ResultType.VERSION_CHECK, LocaleController.getString("ChangePhoneNumber", R.string.ChangePhoneNumber), 0, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda4
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2196lambda$new$1$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, UIMsg.d_ResultType.NEWVERSION_DOWNLOAD, LocaleController.getString("AddAnotherAccount", R.string.AddAnotherAccount), 0, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda16
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2207lambda$new$2$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, UIMsg.d_ResultType.CELLID_LOCATE_REQ, LocaleController.getString("UserBio", R.string.UserBio), 0, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda28
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2218lambda$new$3$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 1, LocaleController.getString("NotificationsAndSounds", R.string.NotificationsAndSounds), R.drawable.menu_notifications, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda40
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2229lambda$new$4$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 2, LocaleController.getString("NotificationsPrivateChats", R.string.NotificationsPrivateChats), LocaleController.getString("NotificationsAndSounds", R.string.NotificationsAndSounds), R.drawable.menu_notifications, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda52
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2240lambda$new$5$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 3, LocaleController.getString("NotificationsGroups", R.string.NotificationsGroups), LocaleController.getString("NotificationsAndSounds", R.string.NotificationsAndSounds), R.drawable.menu_notifications, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda64
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2251lambda$new$6$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 4, LocaleController.getString("NotificationsChannels", R.string.NotificationsChannels), LocaleController.getString("NotificationsAndSounds", R.string.NotificationsAndSounds), R.drawable.menu_notifications, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda76
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2262lambda$new$7$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 5, LocaleController.getString("VoipNotificationSettings", R.string.VoipNotificationSettings), "callsSectionRow", LocaleController.getString("NotificationsAndSounds", R.string.NotificationsAndSounds), R.drawable.menu_notifications, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda81
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2272lambda$new$8$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 6, LocaleController.getString("BadgeNumber", R.string.BadgeNumber), "badgeNumberSection", LocaleController.getString("NotificationsAndSounds", R.string.NotificationsAndSounds), R.drawable.menu_notifications, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda82
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2276lambda$new$9$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 7, LocaleController.getString("InAppNotifications", R.string.InAppNotifications), "inappSectionRow", LocaleController.getString("NotificationsAndSounds", R.string.NotificationsAndSounds), R.drawable.menu_notifications, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda33
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2197lambda$new$10$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 8, LocaleController.getString("ContactJoined", R.string.ContactJoined), "contactJoinedRow", LocaleController.getString("NotificationsAndSounds", R.string.NotificationsAndSounds), R.drawable.menu_notifications, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda44
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2198lambda$new$11$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 9, LocaleController.getString("PinnedMessages", R.string.PinnedMessages), "pinnedMessageRow", LocaleController.getString("NotificationsAndSounds", R.string.NotificationsAndSounds), R.drawable.menu_notifications, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda55
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2199lambda$new$12$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 10, LocaleController.getString("ResetAllNotifications", R.string.ResetAllNotifications), "resetNotificationsRow", LocaleController.getString("NotificationsAndSounds", R.string.NotificationsAndSounds), R.drawable.menu_notifications, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda66
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2200lambda$new$13$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 100, LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda77
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2201lambda$new$14$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 101, LocaleController.getString("BlockedUsers", R.string.BlockedUsers), LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda84
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2202lambda$new$15$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 105, LocaleController.getString("PrivacyPhone", R.string.PrivacyPhone), LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda85
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2203lambda$new$16$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 102, LocaleController.getString("PrivacyLastSeen", R.string.PrivacyLastSeen), LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda1
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2204lambda$new$17$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 103, LocaleController.getString("PrivacyProfilePhoto", R.string.PrivacyProfilePhoto), LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda2
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2205lambda$new$18$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 104, LocaleController.getString("PrivacyForwards", R.string.PrivacyForwards), LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda3
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2206lambda$new$19$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 105, LocaleController.getString("PrivacyP2P", R.string.PrivacyP2P), LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda5
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2208lambda$new$20$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 106, LocaleController.getString("Calls", R.string.Calls), LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda6
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2209lambda$new$21$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 107, LocaleController.getString("GroupsAndChannels", R.string.GroupsAndChannels), LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda7
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2210lambda$new$22$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 108, LocaleController.getString("Passcode", R.string.Passcode), LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda8
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2211lambda$new$23$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 109, LocaleController.getString("TwoStepVerification", R.string.TwoStepVerification), LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda9
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2212lambda$new$24$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 110, LocaleController.getString("SessionsTitle", R.string.SessionsTitle), LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda10
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2213lambda$new$25$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 111, LocaleController.getString("PrivacyDeleteCloudDrafts", R.string.PrivacyDeleteCloudDrafts), "clearDraftsRow", LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda12
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2214lambda$new$26$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 112, LocaleController.getString("DeleteAccountIfAwayFor2", R.string.DeleteAccountIfAwayFor2), "deleteAccountRow", LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda13
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2215lambda$new$27$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 113, LocaleController.getString("PrivacyPaymentsClear", R.string.PrivacyPaymentsClear), "paymentsClearRow", LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda14
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2216lambda$new$28$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 114, LocaleController.getString("WebSessionsTitle", R.string.WebSessionsTitle), LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda15
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2217lambda$new$29$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 115, LocaleController.getString("SyncContactsDelete", R.string.SyncContactsDelete), "contactsDeleteRow", LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda17
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2219lambda$new$30$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 116, LocaleController.getString("SyncContacts", R.string.SyncContacts), "contactsSyncRow", LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda18
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2220lambda$new$31$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 117, LocaleController.getString("SuggestContacts", R.string.SuggestContacts), "contactsSuggestRow", LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda19
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2221lambda$new$32$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 118, LocaleController.getString("MapPreviewProvider", R.string.MapPreviewProvider), "secretMapRow", LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda20
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2222lambda$new$33$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 119, LocaleController.getString("SecretWebPage", R.string.SecretWebPage), "secretWebpageRow", LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda21
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2223lambda$new$34$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 200, LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda23
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2224lambda$new$35$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, MlKitException.CODE_SCANNER_CANCELLED, LocaleController.getString("DataUsage", R.string.DataUsage), "usageSectionRow", LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda24
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2225lambda$new$36$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, MlKitException.CODE_SCANNER_CAMERA_PERMISSION_NOT_GRANTED, LocaleController.getString("StorageUsage", R.string.StorageUsage), LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda25
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2226lambda$new$37$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(MlKitException.CODE_SCANNER_APP_NAME_UNAVAILABLE, LocaleController.getString("KeepMedia", R.string.KeepMedia), "keepMediaRow", LocaleController.getString("DataSettings", R.string.DataSettings), LocaleController.getString("StorageUsage", R.string.StorageUsage), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda26
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2227lambda$new$38$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(MlKitException.CODE_SCANNER_TASK_IN_PROGRESS, LocaleController.getString("ClearMediaCache", R.string.ClearMediaCache), "cacheRow", LocaleController.getString("DataSettings", R.string.DataSettings), LocaleController.getString("StorageUsage", R.string.StorageUsage), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda27
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2228lambda$new$39$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(MlKitException.CODE_SCANNER_PIPELINE_INITIALIZATION_ERROR, LocaleController.getString("LocalDatabase", R.string.LocalDatabase), "databaseRow", LocaleController.getString("DataSettings", R.string.DataSettings), LocaleController.getString("StorageUsage", R.string.StorageUsage), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda29
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2230lambda$new$40$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, MlKitException.CODE_SCANNER_PIPELINE_INFERENCE_ERROR, LocaleController.getString("NetworkUsage", R.string.NetworkUsage), LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda30
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2231lambda$new$41$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 207, LocaleController.getString("AutomaticMediaDownload", R.string.AutomaticMediaDownload), "mediaDownloadSectionRow", LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda31
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2232lambda$new$42$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 208, LocaleController.getString("WhenUsingMobileData", R.string.WhenUsingMobileData), LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda32
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2233lambda$new$43$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 209, LocaleController.getString("WhenConnectedOnWiFi", R.string.WhenConnectedOnWiFi), LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda34
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2234lambda$new$44$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 210, LocaleController.getString("WhenRoaming", R.string.WhenRoaming), LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda35
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2235lambda$new$45$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 211, LocaleController.getString("ResetAutomaticMediaDownload", R.string.ResetAutomaticMediaDownload), "resetDownloadRow", LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda36
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2236lambda$new$46$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 212, LocaleController.getString("AutoplayMedia", R.string.AutoplayMedia), "autoplayHeaderRow", LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda37
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2237lambda$new$47$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 213, LocaleController.getString("AutoplayGIF", R.string.AutoplayGIF), "autoplayGifsRow", LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda38
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2238lambda$new$48$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 214, LocaleController.getString("AutoplayVideo", R.string.AutoplayVideo), "autoplayVideoRow", LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda39
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2239lambda$new$49$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 215, LocaleController.getString("Streaming", R.string.Streaming), "streamSectionRow", LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda41
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2241lambda$new$50$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 216, LocaleController.getString("EnableStreaming", R.string.EnableStreaming), "enableStreamRow", LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda42
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2242lambda$new$51$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 217, LocaleController.getString("Calls", R.string.Calls), "callsSectionRow", LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda43
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2243lambda$new$52$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 218, LocaleController.getString("VoipUseLessData", R.string.VoipUseLessData), "useLessDataForCallsRow", LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda45
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2244lambda$new$53$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 219, LocaleController.getString("VoipQuickReplies", R.string.VoipQuickReplies), "quickRepliesRow", LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda46
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2245lambda$new$54$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 220, LocaleController.getString("ProxySettings", R.string.ProxySettings), LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda47
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2246lambda$new$55$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(221, LocaleController.getString("UseProxyForCalls", R.string.UseProxyForCalls), "callsRow", LocaleController.getString("DataSettings", R.string.DataSettings), LocaleController.getString("ProxySettings", R.string.ProxySettings), R.drawable.menu_data, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda48
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2247lambda$new$56$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, MlKitException.LOW_LIGHT_AUTO_EXPOSURE_COMPUTATION_FAILURE, LocaleController.getString("ChatSettings", R.string.ChatSettings), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda49
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2248lambda$new$57$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, MlKitException.LOW_LIGHT_IMAGE_CAPTURE_PROCESSING_FAILURE, LocaleController.getString("TextSizeHeader", R.string.TextSizeHeader), "textSizeHeaderRow", LocaleController.getString("ChatSettings", R.string.ChatSettings), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda50
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2249lambda$new$58$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 302, LocaleController.getString("ChatBackground", R.string.ChatBackground), LocaleController.getString("ChatSettings", R.string.ChatSettings), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda51
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2250lambda$new$59$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(303, LocaleController.getString("SetColor", R.string.SetColor), null, LocaleController.getString("ChatSettings", R.string.ChatSettings), LocaleController.getString("ChatBackground", R.string.ChatBackground), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda53
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2252lambda$new$60$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(304, LocaleController.getString("ResetChatBackgrounds", R.string.ResetChatBackgrounds), "resetRow", LocaleController.getString("ChatSettings", R.string.ChatSettings), LocaleController.getString("ChatBackground", R.string.ChatBackground), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda54
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2253lambda$new$61$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 305, LocaleController.getString("AutoNightTheme", R.string.AutoNightTheme), LocaleController.getString("ChatSettings", R.string.ChatSettings), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda56
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2254lambda$new$62$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 306, LocaleController.getString("ColorTheme", R.string.ColorTheme), "themeHeaderRow", LocaleController.getString("ChatSettings", R.string.ChatSettings), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda57
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2255lambda$new$63$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, StatusLine.HTTP_TEMP_REDIRECT, LocaleController.getString("ChromeCustomTabs", R.string.ChromeCustomTabs), "customTabsRow", LocaleController.getString("ChatSettings", R.string.ChatSettings), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda58
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2256lambda$new$64$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, StatusLine.HTTP_PERM_REDIRECT, LocaleController.getString("DirectShare", R.string.DirectShare), "directShareRow", LocaleController.getString("ChatSettings", R.string.ChatSettings), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda59
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2257lambda$new$65$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 309, LocaleController.getString("EnableAnimations", R.string.EnableAnimations), "enableAnimationsRow", LocaleController.getString("ChatSettings", R.string.ChatSettings), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda60
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2258lambda$new$66$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 310, LocaleController.getString("RaiseToSpeak", R.string.RaiseToSpeak), "raiseToSpeakRow", LocaleController.getString("ChatSettings", R.string.ChatSettings), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda61
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2259lambda$new$67$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 311, LocaleController.getString("SendByEnter", R.string.SendByEnter), "sendByEnterRow", LocaleController.getString("ChatSettings", R.string.ChatSettings), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda62
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2260lambda$new$68$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 312, LocaleController.getString("SaveToGallerySettings", R.string.SaveToGallerySettings), "saveToGalleryRow", LocaleController.getString("ChatSettings", R.string.ChatSettings), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda63
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2261lambda$new$69$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 312, LocaleController.getString("DistanceUnits", R.string.DistanceUnits), "distanceRow", LocaleController.getString("ChatSettings", R.string.ChatSettings), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda65
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2263lambda$new$70$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 313, LocaleController.getString("StickersAndMasks", R.string.StickersAndMasks), LocaleController.getString("ChatSettings", R.string.ChatSettings), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda67
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2264lambda$new$71$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(314, LocaleController.getString("SuggestStickers", R.string.SuggestStickers), "suggestRow", LocaleController.getString("ChatSettings", R.string.ChatSettings), LocaleController.getString("StickersAndMasks", R.string.StickersAndMasks), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda68
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2265lambda$new$72$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(315, LocaleController.getString("FeaturedStickers", R.string.FeaturedStickers), null, LocaleController.getString("ChatSettings", R.string.ChatSettings), LocaleController.getString("StickersAndMasks", R.string.StickersAndMasks), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda69
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2266lambda$new$73$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(316, LocaleController.getString("Masks", R.string.Masks), null, LocaleController.getString("ChatSettings", R.string.ChatSettings), LocaleController.getString("StickersAndMasks", R.string.StickersAndMasks), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda70
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2267lambda$new$74$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(317, LocaleController.getString("ArchivedStickers", R.string.ArchivedStickers), null, LocaleController.getString("ChatSettings", R.string.ChatSettings), LocaleController.getString("StickersAndMasks", R.string.StickersAndMasks), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda71
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2268lambda$new$75$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(317, LocaleController.getString("ArchivedMasks", R.string.ArchivedMasks), null, LocaleController.getString("ChatSettings", R.string.ChatSettings), LocaleController.getString("StickersAndMasks", R.string.StickersAndMasks), R.drawable.menu_chats, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda72
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2269lambda$new$76$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 400, LocaleController.getString("Language", R.string.Language), R.drawable.menu_language, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda73
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2270lambda$new$77$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 401, LocaleController.getString("SettingsHelp", R.string.SettingsHelp), R.drawable.menu_help, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda74
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.this.showHelpAlert();
                }
            }), new SearchResult(this, 402, LocaleController.getString("AskAQuestion", R.string.AskAQuestion), LocaleController.getString("SettingsHelp", R.string.SettingsHelp), R.drawable.menu_help, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda75
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2271lambda$new$79$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, 403, LocaleController.getString("AppFaq", R.string.AppFaq), LocaleController.getString("SettingsHelp", R.string.SettingsHelp), R.drawable.menu_help, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda78
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2273lambda$new$80$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            }), new SearchResult(this, UIMsg.l_ErrorNo.NETWORK_ERROR_404, LocaleController.getString("PrivacyPolicy", R.string.PrivacyPolicy), LocaleController.getString("SettingsHelp", R.string.SettingsHelp), R.drawable.menu_help, new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda79
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2274lambda$new$81$imuecahxyvjduiSettingsActivity$SearchAdapter();
                }
            })};
            this.mContext = context;
            HashMap<Integer, SearchResult> resultHashMap = new HashMap<>();
            int a2 = 0;
            while (true) {
                SearchResult[] searchResultArr = this.searchArray;
                if (a2 >= searchResultArr.length) {
                    break;
                }
                resultHashMap.put(Integer.valueOf(searchResultArr[a2].guid), this.searchArray[a2]);
                a2++;
            }
            Set<String> set = MessagesController.getGlobalMainSettings().getStringSet("settingsSearchRecent2", null);
            if (set != null) {
                for (String value : set) {
                    try {
                        SerializedData data = new SerializedData(Utilities.hexToBytes(value));
                        int num = data.readInt32(false);
                        int type = data.readInt32(false);
                        if (type == 0) {
                            String title = data.readString(false);
                            int count = data.readInt32(false);
                            String[] path = null;
                            if (count > 0) {
                                path = new String[count];
                                for (int a3 = 0; a3 < count; a3++) {
                                    path[a3] = data.readString(false);
                                }
                            }
                            String url = data.readString(false);
                            FaqSearchResult result = new FaqSearchResult(title, path, url);
                            result.num = num;
                            this.recentSearches.add(result);
                        } else if (type == 1) {
                            try {
                                SearchResult result2 = resultHashMap.get(Integer.valueOf(data.readInt32(false)));
                                if (result2 != null) {
                                    result2.num = num;
                                    this.recentSearches.add(result2);
                                }
                            } catch (Exception e) {
                            }
                        }
                    } catch (Exception e2) {
                    }
                }
            }
            Collections.sort(this.recentSearches, new Comparator() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda80
                @Override // java.util.Comparator
                public final int compare(Object obj, Object obj2) {
                    return SettingsActivity.SearchAdapter.this.m2275lambda$new$82$imuecahxyvjduiSettingsActivity$SearchAdapter(obj, obj2);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$new$82$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ int m2275lambda$new$82$imuecahxyvjduiSettingsActivity$SearchAdapter(Object o1, Object o2) {
            int n1 = getNum(o1);
            int n2 = getNum(o2);
            if (n1 < n2) {
                return -1;
            }
            if (n1 > n2) {
                return 1;
            }
            return 0;
        }

        /* JADX INFO: Access modifiers changed from: private */
        public void loadFaqWebPage() {
            if (this.faqWebPage != null || this.loadingFaqPage) {
                return;
            }
            this.loadingFaqPage = true;
            TLRPC.TL_messages_getWebPage req2 = new TLRPC.TL_messages_getWebPage();
            req2.url = LocaleController.getString("AppFaqUrl", R.string.AppFaqUrl);
            req2.hash = 0;
            ConnectionsManager.getInstance(SettingsActivity.this.currentAccount).sendRequest(req2, new RequestDelegate() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda11
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    SettingsActivity.SearchAdapter.this.m2194xca7844a(tLObject, tL_error);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$loadFaqWebPage$83$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2194xca7844a(TLObject response2, TLRPC.TL_error error2) {
            String[] path;
            if (response2 instanceof TLRPC.WebPage) {
                TLRPC.WebPage page = (TLRPC.WebPage) response2;
                if (page.cached_page != null) {
                    int N = page.cached_page.blocks.size();
                    for (int a2 = 0; a2 < N; a2++) {
                        TLRPC.PageBlock block = page.cached_page.blocks.get(a2);
                        if (block instanceof TLRPC.TL_pageBlockList) {
                            String paragraph = null;
                            if (a2 != 0) {
                                TLRPC.PageBlock prevBlock = page.cached_page.blocks.get(a2 - 1);
                                if (prevBlock instanceof TLRPC.TL_pageBlockParagraph) {
                                    TLRPC.TL_pageBlockParagraph pageBlockParagraph = (TLRPC.TL_pageBlockParagraph) prevBlock;
                                    paragraph = ArticleViewer.getPlainText(pageBlockParagraph.text).toString();
                                }
                            }
                            TLRPC.TL_pageBlockList list = (TLRPC.TL_pageBlockList) block;
                            int N2 = list.items.size();
                            for (int b = 0; b < N2; b++) {
                                TLRPC.PageListItem item = list.items.get(b);
                                if (item instanceof TLRPC.TL_pageListItemText) {
                                    TLRPC.TL_pageListItemText itemText = (TLRPC.TL_pageListItemText) item;
                                    String url = ArticleViewer.getUrl(itemText.text);
                                    String text = ArticleViewer.getPlainText(itemText.text).toString();
                                    if (!TextUtils.isEmpty(url) && !TextUtils.isEmpty(text)) {
                                        if (paragraph != null) {
                                            path = new String[]{LocaleController.getString("SettingsSearchFaq", R.string.SettingsSearchFaq), paragraph};
                                        } else {
                                            path = new String[]{LocaleController.getString("SettingsSearchFaq", R.string.SettingsSearchFaq)};
                                        }
                                        this.faqSearchArray.add(new FaqSearchResult(text, path, url));
                                    }
                                }
                            }
                        } else if (block instanceof TLRPC.TL_pageBlockAnchor) {
                            break;
                        }
                    }
                    this.faqWebPage = page;
                }
            }
            this.loadingFaqPage = false;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            if (this.searchWas) {
                return this.searchResults.size() + (this.faqSearchResults.isEmpty() ? 0 : this.faqSearchResults.size() + 1);
            } else if (this.recentSearches.isEmpty()) {
                return 0;
            } else {
                return this.recentSearches.size() + 1;
            }
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return holder.getItemViewType() == 0;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            int icon;
            switch (holder.getItemViewType()) {
                case 0:
                    SettingsSearchCell searchCell = (SettingsSearchCell) holder.itemView;
                    if (this.searchWas) {
                        if (position < this.searchResults.size()) {
                            SearchResult result = this.searchResults.get(position);
                            SearchResult prevResult = position > 0 ? this.searchResults.get(position - 1) : null;
                            if (prevResult == null || prevResult.iconResId != result.iconResId) {
                                icon = result.iconResId;
                            } else {
                                icon = 0;
                            }
                            searchCell.setTextAndValueAndIcon(this.resultNames.get(position), result.path, icon, position < this.searchResults.size() - 1);
                            return;
                        }
                        int position2 = position - (this.searchResults.size() + 1);
                        searchCell.setTextAndValue(this.resultNames.get(this.searchResults.size() + position2), this.faqSearchResults.get(position2).path, true, position2 < this.searchResults.size() - 1);
                        return;
                    }
                    int position3 = position - 1;
                    Object object = this.recentSearches.get(position3);
                    if (object instanceof SearchResult) {
                        SearchResult result2 = (SearchResult) object;
                        searchCell.setTextAndValue(result2.searchTitle, result2.path, false, position3 < this.recentSearches.size() - 1);
                        return;
                    } else if (object instanceof FaqSearchResult) {
                        FaqSearchResult result3 = (FaqSearchResult) object;
                        searchCell.setTextAndValue(result3.title, result3.path, true, position3 < this.recentSearches.size() - 1);
                        return;
                    } else {
                        return;
                    }
                case 1:
                    GraySectionCell sectionCell = (GraySectionCell) holder.itemView;
                    sectionCell.setText(LocaleController.getString("SettingsFaqSearchTitle", R.string.SettingsFaqSearchTitle));
                    return;
                case 2:
                    HeaderCell headerCell = (HeaderCell) holder.itemView;
                    headerCell.setText(LocaleController.getString("SettingsRecent", R.string.SettingsRecent));
                    return;
                default:
                    return;
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view;
            switch (viewType) {
                case 0:
                    view = new SettingsSearchCell(this.mContext);
                    break;
                case 1:
                    view = new GraySectionCell(this.mContext);
                    break;
                default:
                    view = new HeaderCell(this.mContext, 16);
                    break;
            }
            view.setLayoutParams(new RecyclerView.LayoutParams(-1, -2));
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            return this.searchWas ? (position >= this.searchResults.size() && position == this.searchResults.size()) ? 1 : 0 : position == 0 ? 2 : 0;
        }

        public void addRecent(Object object) {
            int index = this.recentSearches.indexOf(object);
            if (index >= 0) {
                this.recentSearches.remove(index);
            }
            this.recentSearches.add(0, object);
            if (!this.searchWas) {
                notifyDataSetChanged();
            }
            if (this.recentSearches.size() > 20) {
                ArrayList<Object> arrayList = this.recentSearches;
                arrayList.remove(arrayList.size() - 1);
            }
            LinkedHashSet<String> toSave = new LinkedHashSet<>();
            int N = this.recentSearches.size();
            for (int a2 = 0; a2 < N; a2++) {
                Object o = this.recentSearches.get(a2);
                if (o instanceof SearchResult) {
                    ((SearchResult) o).num = a2;
                } else if (o instanceof FaqSearchResult) {
                    ((FaqSearchResult) o).num = a2;
                }
                toSave.add(o.toString());
            }
            MessagesController.getGlobalMainSettings().edit().putStringSet("settingsSearchRecent2", toSave).commit();
        }

        public void clearRecent() {
            this.recentSearches.clear();
            MessagesController.getGlobalMainSettings().edit().remove("settingsSearchRecent2").commit();
            notifyDataSetChanged();
        }

        private int getNum(Object o) {
            if (o instanceof SearchResult) {
                return ((SearchResult) o).num;
            }
            if (o instanceof FaqSearchResult) {
                return ((FaqSearchResult) o).num;
            }
            return 0;
        }

        public void search(final String text) {
            this.lastSearchString = text;
            if (this.searchRunnable != null) {
                Utilities.searchQueue.cancelRunnable(this.searchRunnable);
                this.searchRunnable = null;
            }
            if (TextUtils.isEmpty(text)) {
                this.searchWas = false;
                this.searchResults.clear();
                this.faqSearchResults.clear();
                this.resultNames.clear();
                SettingsActivity.this.emptyView.setTopImage(0);
                SettingsActivity.this.emptyView.setText(LocaleController.getString("SettingsNoRecent", R.string.SettingsNoRecent));
                notifyDataSetChanged();
                return;
            }
            DispatchQueue dispatchQueue = Utilities.searchQueue;
            Runnable runnable = new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2278lambda$search$85$imuecahxyvjduiSettingsActivity$SearchAdapter(text);
                }
            };
            this.searchRunnable = runnable;
            dispatchQueue.postRunnable(runnable, 300L);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$search$85$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2278lambda$search$85$imuecahxyvjduiSettingsActivity$SearchAdapter(final String text) {
            String str;
            int N;
            String str2;
            String title;
            String title2;
            int index;
            final ArrayList<SearchResult> results = new ArrayList<>();
            final ArrayList<FaqSearchResult> faqResults = new ArrayList<>();
            final ArrayList<CharSequence> names = new ArrayList<>();
            String str3 = " ";
            String[] searchArgs = text.split(" ");
            String[] translitArgs = new String[searchArgs.length];
            for (int a2 = 0; a2 < searchArgs.length; a2++) {
                translitArgs[a2] = LocaleController.getInstance().getTranslitString(searchArgs[a2]);
                if (translitArgs[a2].equals(searchArgs[a2])) {
                    translitArgs[a2] = null;
                }
            }
            int a3 = 0;
            while (true) {
                SearchResult[] searchResultArr = this.searchArray;
                if (a3 >= searchResultArr.length) {
                    break;
                }
                SearchResult result = searchResultArr[a3];
                String title3 = " " + result.searchTitle.toLowerCase();
                SpannableStringBuilder stringBuilder = null;
                int i = 0;
                while (i < searchArgs.length) {
                    if (searchArgs[i].length() == 0) {
                        title2 = title3;
                    } else {
                        String searchString = searchArgs[i];
                        int index2 = title3.indexOf(" " + searchString);
                        if (index2 < 0 && translitArgs[i] != null) {
                            searchString = translitArgs[i];
                            index = title3.indexOf(" " + searchString);
                        } else {
                            index = index2;
                        }
                        if (index >= 0) {
                            if (stringBuilder != null) {
                                title2 = title3;
                            } else {
                                title2 = title3;
                                stringBuilder = new SpannableStringBuilder(result.searchTitle);
                            }
                            stringBuilder.setSpan(new ForegroundColorSpan(Theme.getColor(Theme.key_windowBackgroundWhiteBlueText4)), index, searchString.length() + index, 33);
                        }
                    }
                    if (stringBuilder != null && i == searchArgs.length - 1) {
                        if (result.guid == 502) {
                            int freeAccount = -1;
                            int b = 0;
                            while (true) {
                                if (b < 3) {
                                    if (UserConfig.getInstance(a3).isClientActivated()) {
                                        b++;
                                    } else {
                                        freeAccount = b;
                                        break;
                                    }
                                } else {
                                    break;
                                }
                            }
                            if (freeAccount < 0) {
                            }
                        }
                        results.add(result);
                        names.add(stringBuilder);
                    }
                    i++;
                    title3 = title2;
                }
                a3++;
            }
            if (this.faqWebPage != null) {
                int a4 = 0;
                int N2 = this.faqSearchArray.size();
                while (a4 < N2) {
                    FaqSearchResult result2 = this.faqSearchArray.get(a4);
                    String title4 = str3 + result2.title.toLowerCase();
                    SpannableStringBuilder stringBuilder2 = null;
                    int i2 = 0;
                    while (true) {
                        if (i2 >= searchArgs.length) {
                            str = str3;
                            N = N2;
                            break;
                        }
                        if (searchArgs[i2].length() == 0) {
                            str2 = str3;
                            N = N2;
                            title = title4;
                        } else {
                            String searchString2 = searchArgs[i2];
                            int index3 = title4.indexOf(str3 + searchString2);
                            if (index3 >= 0 || translitArgs[i2] == null) {
                                N = N2;
                            } else {
                                searchString2 = translitArgs[i2];
                                N = N2;
                                index3 = title4.indexOf(str3 + searchString2);
                            }
                            if (index3 < 0) {
                                str = str3;
                                break;
                            }
                            if (stringBuilder2 != null) {
                                str2 = str3;
                            } else {
                                str2 = str3;
                                stringBuilder2 = new SpannableStringBuilder(result2.title);
                            }
                            title = title4;
                            stringBuilder2.setSpan(new ForegroundColorSpan(Theme.getColor(Theme.key_windowBackgroundWhiteBlueText4)), index3, searchString2.length() + index3, 33);
                        }
                        if (stringBuilder2 != null && i2 == searchArgs.length - 1) {
                            faqResults.add(result2);
                            names.add(stringBuilder2);
                        }
                        i2++;
                        N2 = N;
                        str3 = str2;
                        title4 = title;
                    }
                    a4++;
                    N2 = N;
                    str3 = str;
                }
            }
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.SettingsActivity$SearchAdapter$$ExternalSyntheticLambda83
                @Override // java.lang.Runnable
                public final void run() {
                    SettingsActivity.SearchAdapter.this.m2277lambda$search$84$imuecahxyvjduiSettingsActivity$SearchAdapter(text, results, faqResults, names);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$search$84$im-uecahxyvjd-ui-SettingsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m2277lambda$search$84$imuecahxyvjduiSettingsActivity$SearchAdapter(String text, ArrayList results, ArrayList faqResults, ArrayList names) {
            if (!text.equals(this.lastSearchString)) {
                return;
            }
            if (!this.searchWas) {
                SettingsActivity.this.emptyView.setTopImage(R.drawable.settings_noresults);
                SettingsActivity.this.emptyView.setText(LocaleController.getString("SettingsNoResults", R.string.SettingsNoResults));
            }
            this.searchWas = true;
            this.searchResults = results;
            this.faqSearchResults = faqResults;
            this.resultNames = names;
            notifyDataSetChanged();
        }
    }

    /* loaded from: classes12.dex */
    private class ListAdapter extends RecyclerListView.SelectionAdapter {
        private Context mContext;

        public ListAdapter(Context context) {
            this.mContext = context;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return SettingsActivity.this.rowCount;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            String value;
            String value2;
            switch (holder.getItemViewType()) {
                case 0:
                    if (position == SettingsActivity.this.overscrollRow) {
                        ((EmptyCell) holder.itemView).setHeight(AndroidUtilities.dp(88.0f));
                        return;
                    }
                    return;
                case 1:
                case 3:
                case 5:
                default:
                    return;
                case 2:
                    TextCell textCell = (TextCell) holder.itemView;
                    if (position != SettingsActivity.this.languageRow) {
                        if (position != SettingsActivity.this.notificationRow) {
                            if (position != SettingsActivity.this.privacyRow) {
                                if (position != SettingsActivity.this.dataRow) {
                                    if (position != SettingsActivity.this.chatRow) {
                                        if (position == SettingsActivity.this.helpRow) {
                                            textCell.setTextAndIcon(LocaleController.getString("SettingsHelp", R.string.SettingsHelp), R.drawable.menu_help, false);
                                            return;
                                        }
                                        return;
                                    }
                                    textCell.setTextAndIcon(LocaleController.getString("ChatSettings", R.string.ChatSettings), R.drawable.menu_chats, true);
                                    return;
                                }
                                textCell.setTextAndIcon(LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.menu_data, true);
                                return;
                            }
                            textCell.setTextAndIcon(LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.menu_secret, true);
                            return;
                        }
                        textCell.setTextAndIcon(LocaleController.getString("NotificationsAndSounds", R.string.NotificationsAndSounds), R.drawable.menu_notifications, true);
                        return;
                    }
                    textCell.setTextAndIcon(LocaleController.getString("Language", R.string.Language), R.drawable.menu_language, true);
                    return;
                case 4:
                    if (position != SettingsActivity.this.settingsSectionRow2) {
                        if (position == SettingsActivity.this.numberSectionRow) {
                            ((HeaderCell) holder.itemView).setText(LocaleController.getString("Account", R.string.Account));
                            return;
                        }
                        return;
                    }
                    ((HeaderCell) holder.itemView).setText(LocaleController.getString("SETTINGS", R.string.SETTINGS));
                    return;
                case 6:
                    TextDetailCell textCell2 = (TextDetailCell) holder.itemView;
                    if (position == SettingsActivity.this.numberRow) {
                        TLRPC.User user = UserConfig.getInstance(SettingsActivity.this.currentAccount).getCurrentUser();
                        if (user != null && user.phone != null && user.phone.length() != 0) {
                            value2 = PhoneFormat.getInstance().format(Marker.ANY_NON_NULL_MARKER + user.phone);
                        } else {
                            value2 = LocaleController.getString("NumberUnknown", R.string.NumberUnknown);
                        }
                        textCell2.setTextAndValue(value2, LocaleController.getString("TapToChangePhone", R.string.TapToChangePhone), true);
                        return;
                    } else if (position == SettingsActivity.this.usernameRow) {
                        TLRPC.User user2 = UserConfig.getInstance(SettingsActivity.this.currentAccount).getCurrentUser();
                        if (user2 != null && !TextUtils.isEmpty(user2.username)) {
                            value = "@" + user2.username;
                        } else {
                            value = LocaleController.getString("UsernameEmpty", R.string.UsernameEmpty);
                        }
                        textCell2.setTextAndValue(value, LocaleController.getString("Username", R.string.Username), true);
                        return;
                    } else if (position == SettingsActivity.this.bioRow) {
                        if (SettingsActivity.this.userInfo == null || !TextUtils.isEmpty(SettingsActivity.this.userInfo.about)) {
                            String value3 = SettingsActivity.this.userInfo == null ? LocaleController.getString("Loading", R.string.Loading) : SettingsActivity.this.userInfo.about;
                            textCell2.setTextWithEmojiAndValue(value3, LocaleController.getString("UserBio", R.string.UserBio), false);
                            return;
                        }
                        textCell2.setTextAndValue(LocaleController.getString("UserBio", R.string.UserBio), LocaleController.getString("UserBioDetail", R.string.UserBioDetail), false);
                        return;
                    } else {
                        return;
                    }
            }
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            int position = holder.getAdapterPosition();
            return position == SettingsActivity.this.notificationRow || position == SettingsActivity.this.numberRow || position == SettingsActivity.this.privacyRow || position == SettingsActivity.this.languageRow || position == SettingsActivity.this.usernameRow || position == SettingsActivity.this.bioRow || position == SettingsActivity.this.versionRow || position == SettingsActivity.this.dataRow || position == SettingsActivity.this.chatRow || position == SettingsActivity.this.helpRow;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view = null;
            switch (viewType) {
                case 0:
                    view = new EmptyCell(this.mContext);
                    view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    break;
                case 1:
                    view = new ShadowSectionCell(this.mContext);
                    break;
                case 2:
                    view = new TextCell(this.mContext);
                    view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    break;
                case 4:
                    view = new HeaderCell(this.mContext, 23);
                    view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    break;
                case 5:
                    TextInfoPrivacyCell cell = new TextInfoPrivacyCell(this.mContext, 10);
                    cell.getTextView().setGravity(1);
                    cell.getTextView().setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText3));
                    cell.getTextView().setMovementMethod(null);
                    cell.setBackgroundDrawable(Theme.getThemedDrawable(this.mContext, (int) R.drawable.greydivider_bottom, Theme.key_windowBackgroundGrayShadow));
                    try {
                        PackageInfo pInfo = ApplicationLoader.applicationContext.getPackageManager().getPackageInfo(ApplicationLoader.applicationContext.getPackageName(), 0);
                        int code = pInfo.versionCode / 10;
                        String abi = "";
                        switch (pInfo.versionCode % 10) {
                            case 0:
                            case 9:
                                abi = "universal " + Build.CPU_ABI + " " + Build.CPU_ABI2;
                                break;
                            case 1:
                            case 3:
                                abi = "arm-v7a";
                                break;
                            case 2:
                            case 4:
                                abi = "x86";
                                break;
                            case 5:
                            case 7:
                                abi = "arm64-v8a";
                                break;
                            case 6:
                            case 8:
                                abi = "x86_64";
                                break;
                        }
                        cell.setText(LocaleController.formatString("AppVersion", R.string.AppVersion, String.format(Locale.US, "v%s (%d) %s", pInfo.versionName, Integer.valueOf(code), abi)));
                    } catch (Exception e) {
                        FileLog.e(e);
                    }
                    cell.getTextView().setPadding(0, AndroidUtilities.dp(14.0f), 0, AndroidUtilities.dp(14.0f));
                    view = cell;
                    break;
                case 6:
                    view = new TextDetailCell(this.mContext);
                    view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    break;
            }
            view.setLayoutParams(new RecyclerView.LayoutParams(-1, -2));
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            if (position != SettingsActivity.this.overscrollRow) {
                if (position != SettingsActivity.this.settingsSectionRow) {
                    if (position == SettingsActivity.this.notificationRow || position == SettingsActivity.this.privacyRow || position == SettingsActivity.this.languageRow || position == SettingsActivity.this.dataRow || position == SettingsActivity.this.chatRow || position == SettingsActivity.this.helpRow) {
                        return 2;
                    }
                    if (position != SettingsActivity.this.versionRow) {
                        if (position == SettingsActivity.this.numberRow || position == SettingsActivity.this.usernameRow || position == SettingsActivity.this.bioRow) {
                            return 6;
                        }
                        return (position == SettingsActivity.this.settingsSectionRow2 || position == SettingsActivity.this.numberSectionRow) ? 4 : 2;
                    }
                    return 5;
                }
                return 1;
            }
            return 0;
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public ThemeDescription[] getThemeDescriptions() {
        return new ThemeDescription[]{new ThemeDescription(this.listView, ThemeDescription.FLAG_CELLBACKGROUNDCOLOR, new Class[]{EmptyCell.class, HeaderCell.class, TextDetailCell.class, TextCell.class}, null, null, null, Theme.key_windowBackgroundWhite), new ThemeDescription(this.fragmentView, ThemeDescription.FLAG_BACKGROUND | ThemeDescription.FLAG_CHECKTAG, null, null, null, null, Theme.key_windowBackgroundGray), new ThemeDescription(this.fragmentView, ThemeDescription.FLAG_BACKGROUND | ThemeDescription.FLAG_CHECKTAG, null, null, null, null, Theme.key_windowBackgroundWhite), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_BACKGROUND, null, null, null, null, Theme.key_avatar_backgroundActionBarBlue), new ThemeDescription(this.listView, ThemeDescription.FLAG_LISTGLOWCOLOR, null, null, null, null, Theme.key_avatar_backgroundActionBarBlue), new ThemeDescription(this.extraHeightView, ThemeDescription.FLAG_BACKGROUND, null, null, null, null, Theme.key_avatar_backgroundActionBarBlue), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_ITEMSCOLOR, null, null, null, null, Theme.key_avatar_actionBarIconBlue), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_TITLECOLOR, null, null, null, null, Theme.key_actionBarDefaultTitle), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_SELECTORCOLOR, null, null, null, null, Theme.key_avatar_actionBarSelectorBlue), new ThemeDescription(this.nameTextView, ThemeDescription.FLAG_TEXTCOLOR, null, null, null, null, Theme.key_profile_title), new ThemeDescription(this.onlineTextView, ThemeDescription.FLAG_TEXTCOLOR, null, null, null, null, Theme.key_profile_status), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_SUBMENUBACKGROUND, null, null, null, null, Theme.key_actionBarDefaultSubmenuBackground), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_SUBMENUITEM, null, null, null, null, Theme.key_actionBarDefaultSubmenuItem), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_SUBMENUITEM | ThemeDescription.FLAG_IMAGECOLOR, null, null, null, null, Theme.key_actionBarDefaultSubmenuItemIcon), new ThemeDescription(this.listView, ThemeDescription.FLAG_SELECTOR, null, null, null, null, Theme.key_listSelector), new ThemeDescription(this.listView, 0, new Class[]{View.class}, Theme.dividerPaint, null, null, Theme.key_divider), new ThemeDescription(this.listView, ThemeDescription.FLAG_BACKGROUNDFILTER, new Class[]{ShadowSectionCell.class}, null, null, null, Theme.key_windowBackgroundGrayShadow), new ThemeDescription(this.listView, 0, new Class[]{TextCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlackText), new ThemeDescription(this.listView, 0, new Class[]{TextCell.class}, new String[]{"valueTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteValueText), new ThemeDescription(this.listView, 0, new Class[]{TextCell.class}, new String[]{"imageView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGrayIcon), new ThemeDescription(this.listView, 0, new Class[]{HeaderCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlueHeader), new ThemeDescription(this.listView, 0, new Class[]{TextDetailCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlackText), new ThemeDescription(this.listView, 0, new Class[]{TextDetailCell.class}, new String[]{"valueTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGrayText2), new ThemeDescription(this.listView, ThemeDescription.FLAG_BACKGROUNDFILTER, new Class[]{TextInfoPrivacyCell.class}, null, null, null, Theme.key_windowBackgroundGrayShadow), new ThemeDescription(this.listView, 0, new Class[]{TextInfoPrivacyCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGrayText3), new ThemeDescription(this.avatarImage, 0, null, null, new Drawable[]{Theme.avatar_savedDrawable}, null, Theme.key_avatar_text), new ThemeDescription(this.avatarImage, 0, null, null, new Drawable[]{this.avatarDrawable}, null, Theme.key_avatar_backgroundInProfileBlue), new ThemeDescription(this.writeButton, ThemeDescription.FLAG_IMAGECOLOR, null, null, null, null, Theme.key_profile_actionIcon), new ThemeDescription(this.writeButton, ThemeDescription.FLAG_BACKGROUNDFILTER, null, null, null, null, Theme.key_profile_actionBackground), new ThemeDescription(this.writeButton, ThemeDescription.FLAG_BACKGROUNDFILTER | ThemeDescription.FLAG_DRAWABLESELECTEDSTATE, null, null, null, null, Theme.key_profile_actionPressedBackground), new ThemeDescription(this.listView, 0, new Class[]{GraySectionCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_graySectionText), new ThemeDescription(this.listView, ThemeDescription.FLAG_CELLBACKGROUNDCOLOR, new Class[]{GraySectionCell.class}, null, null, null, Theme.key_graySection), new ThemeDescription(this.listView, 0, new Class[]{SettingsSearchCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlackText), new ThemeDescription(this.listView, 0, new Class[]{SettingsSearchCell.class}, new String[]{"valueTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGrayText2), new ThemeDescription(this.listView, 0, new Class[]{SettingsSearchCell.class}, new String[]{"imageView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGrayIcon)};
    }
}
