package im.uecahxyvjd.ui.dialogs;

import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.text.method.HideReturnsTransformationMethod;
import android.text.method.PasswordTransformationMethod;
import android.util.Log;
import android.view.View;
import android.view.Window;
import android.widget.TextView;
import androidx.fragment.app.FragmentActivity;
import com.alibaba.fastjson.JSONObject;
import com.serenegiant.uvccamera.BuildConfig;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.utils.RegexUtils;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCWallet;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.hviews.MryAlphaImageView;
import im.uecahxyvjd.ui.hviews.MryEditText;
import im.uecahxyvjd.ui.hviews.MryRoundButton;
import im.uecahxyvjd.ui.utils.AesUtils;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import kotlin.text.StringsKt;
/* compiled from: TwoPasswordCheckDialog.kt */
@Metadata(d1 = {"\u0000T\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\b\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0005\n\u0002\u0010\u000b\n\u0002\b\u0005\n\u0002\u0018\u0002\n\u0002\b\n\n\u0002\u0018\u0002\n\u0002\b\u0007\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0005\u0018\u00002\u00020\u0001:\u00012B\u001d\u0012\u0006\u0010\u0002\u001a\u00020\u0003\u0012\u0006\u0010\u0004\u001a\u00020\u0005\u0012\u0006\u0010\u0006\u001a\u00020\u0007¢\u0006\u0002\u0010\bJ\u0006\u0010*\u001a\u00020+J\u001a\u0010,\u001a\u00020\u00122\b\u0010-\u001a\u0004\u0018\u00010.2\u0006\u0010/\u001a\u00020\u0012H\u0004J\b\u00100\u001a\u00020+H\u0002J\b\u00101\u001a\u00020+H\u0014R\u000e\u0010\u0002\u001a\u00020\u0003X\u0082\u0004¢\u0006\u0002\n\u0000R\u000e\u0010\t\u001a\u00020\nX\u0082\u000e¢\u0006\u0002\n\u0000R\u001a\u0010\u000b\u001a\u00020\fX\u0086.¢\u0006\u000e\n\u0000\u001a\u0004\b\r\u0010\u000e\"\u0004\b\u000f\u0010\u0010R\u001a\u0010\u0011\u001a\u00020\u0012X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\u0013\u0010\u0014\"\u0004\b\u0015\u0010\u0016R\u001a\u0010\u0017\u001a\u00020\u0018X\u0086.¢\u0006\u000e\n\u0000\u001a\u0004\b\u0019\u0010\u001a\"\u0004\b\u001b\u0010\u001cR\u001a\u0010\u001d\u001a\u00020\u0018X\u0086.¢\u0006\u000e\n\u0000\u001a\u0004\b\u001e\u0010\u001a\"\u0004\b\u001f\u0010\u001cR\u0011\u0010\u0006\u001a\u00020\u0007¢\u0006\b\n\u0000\u001a\u0004\b \u0010!R\u001a\u0010\"\u001a\u00020#X\u0086.¢\u0006\u000e\n\u0000\u001a\u0004\b$\u0010%\"\u0004\b&\u0010'R\u0011\u0010\u0004\u001a\u00020\u0005¢\u0006\b\n\u0000\u001a\u0004\b(\u0010)¨\u00063"}, d2 = {"Lim/uecahxyvjd/ui/dialogs/TwoPasswordCheckDialog;", "Lim/uecahxyvjd/ui/dialogs/BaseDialog;", "activity", "Landroidx/fragment/app/FragmentActivity;", "userName", "", "onPasswordCheckListener", "Lim/uecahxyvjd/ui/dialogs/TwoPasswordCheckDialog$OnPasswordCheckListener;", "(Landroidx/fragment/app/FragmentActivity;Ljava/lang/String;Lim/uecahxyvjd/ui/dialogs/TwoPasswordCheckDialog$OnPasswordCheckListener;)V", "currentAccount", "", "editPassword", "Lim/uecahxyvjd/ui/hviews/MryEditText;", "getEditPassword", "()Lim/uecahxyvjd/ui/hviews/MryEditText;", "setEditPassword", "(Lim/uecahxyvjd/ui/hviews/MryEditText;)V", "etPwdIsHide", "", "getEtPwdIsHide", "()Z", "setEtPwdIsHide", "(Z)V", "imgClear", "Lim/uecahxyvjd/ui/hviews/MryAlphaImageView;", "getImgClear", "()Lim/uecahxyvjd/ui/hviews/MryAlphaImageView;", "setImgClear", "(Lim/uecahxyvjd/ui/hviews/MryAlphaImageView;)V", "imgShowPassword", "getImgShowPassword", "setImgShowPassword", "getOnPasswordCheckListener", "()Lim/uecahxyvjd/ui/dialogs/TwoPasswordCheckDialog$OnPasswordCheckListener;", "progressDialog", "Lim/uecahxyvjd/ui/actionbar/AlertDialog;", "getProgressDialog", "()Lim/uecahxyvjd/ui/actionbar/AlertDialog;", "setProgressDialog", "(Lim/uecahxyvjd/ui/actionbar/AlertDialog;)V", "getUserName", "()Ljava/lang/String;", "checkPassword", "", "checkPasswordRule", "et", "Landroid/widget/TextView;", "showErrorToast", "needShowProgress", "onStart", "OnPasswordCheckListener", "HMessagesPrj_prodRelease"}, k = 1, mv = {1, 8, 0}, xi = 48)
/* loaded from: classes18.dex */
public final class TwoPasswordCheckDialog extends BaseDialog {
    private final FragmentActivity activity;
    private int currentAccount;
    public MryEditText editPassword;
    private boolean etPwdIsHide;
    public MryAlphaImageView imgClear;
    public MryAlphaImageView imgShowPassword;
    private final OnPasswordCheckListener onPasswordCheckListener;
    public AlertDialog progressDialog;
    private final String userName;

    /* compiled from: TwoPasswordCheckDialog.kt */
    @Metadata(d1 = {"\u0000\u0010\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0000\n\u0002\u0010\u0002\n\u0000\bf\u0018\u00002\u00020\u0001J\b\u0010\u0002\u001a\u00020\u0003H&¨\u0006\u0004"}, d2 = {"Lim/uecahxyvjd/ui/dialogs/TwoPasswordCheckDialog$OnPasswordCheckListener;", "", "onPasswordCheck", "", "HMessagesPrj_prodRelease"}, k = 1, mv = {1, 8, 0}, xi = 48)
    /* loaded from: classes18.dex */
    public interface OnPasswordCheckListener {
        void onPasswordCheck();
    }

    public final String getUserName() {
        return this.userName;
    }

    public final OnPasswordCheckListener getOnPasswordCheckListener() {
        return this.onPasswordCheckListener;
    }

    /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
    public TwoPasswordCheckDialog(FragmentActivity activity, String userName, OnPasswordCheckListener onPasswordCheckListener) {
        super(activity, R.layout.dialog_two_password);
        Intrinsics.checkNotNullParameter(activity, "activity");
        Intrinsics.checkNotNullParameter(userName, "userName");
        Intrinsics.checkNotNullParameter(onPasswordCheckListener, "onPasswordCheckListener");
        this.activity = activity;
        this.userName = userName;
        this.onPasswordCheckListener = onPasswordCheckListener;
        this.currentAccount = UserConfig.selectedAccount;
    }

    public final AlertDialog getProgressDialog() {
        AlertDialog alertDialog = this.progressDialog;
        if (alertDialog != null) {
            return alertDialog;
        }
        Intrinsics.throwUninitializedPropertyAccessException("progressDialog");
        return null;
    }

    public final void setProgressDialog(AlertDialog alertDialog) {
        Intrinsics.checkNotNullParameter(alertDialog, "<set-?>");
        this.progressDialog = alertDialog;
    }

    public final MryEditText getEditPassword() {
        MryEditText mryEditText = this.editPassword;
        if (mryEditText != null) {
            return mryEditText;
        }
        Intrinsics.throwUninitializedPropertyAccessException("editPassword");
        return null;
    }

    public final void setEditPassword(MryEditText mryEditText) {
        Intrinsics.checkNotNullParameter(mryEditText, "<set-?>");
        this.editPassword = mryEditText;
    }

    public final MryAlphaImageView getImgClear() {
        MryAlphaImageView mryAlphaImageView = this.imgClear;
        if (mryAlphaImageView != null) {
            return mryAlphaImageView;
        }
        Intrinsics.throwUninitializedPropertyAccessException("imgClear");
        return null;
    }

    public final void setImgClear(MryAlphaImageView mryAlphaImageView) {
        Intrinsics.checkNotNullParameter(mryAlphaImageView, "<set-?>");
        this.imgClear = mryAlphaImageView;
    }

    public final MryAlphaImageView getImgShowPassword() {
        MryAlphaImageView mryAlphaImageView = this.imgShowPassword;
        if (mryAlphaImageView != null) {
            return mryAlphaImageView;
        }
        Intrinsics.throwUninitializedPropertyAccessException("imgShowPassword");
        return null;
    }

    public final void setImgShowPassword(MryAlphaImageView mryAlphaImageView) {
        Intrinsics.checkNotNullParameter(mryAlphaImageView, "<set-?>");
        this.imgShowPassword = mryAlphaImageView;
    }

    public final boolean getEtPwdIsHide() {
        return this.etPwdIsHide;
    }

    public final void setEtPwdIsHide(boolean z) {
        this.etPwdIsHide = z;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.dialogs.BaseDialog, android.app.Dialog
    public void onStart() {
        super.onStart();
        setWidthAndHeight(0.9f, 0.0f, 80);
        setCanceledOnTouchOutside(true);
        setCancelable(true);
        View findViewById = findViewById(R.id.edit_password);
        Intrinsics.checkNotNull(findViewById);
        setEditPassword((MryEditText) findViewById);
        View findViewById2 = findViewById(R.id.ivClearPassword1);
        Intrinsics.checkNotNull(findViewById2);
        setImgClear((MryAlphaImageView) findViewById2);
        View findViewById3 = findViewById(R.id.ivPwdShow1);
        Intrinsics.checkNotNull(findViewById3);
        setImgShowPassword((MryAlphaImageView) findViewById3);
        final MryRoundButton btnOk = (MryRoundButton) findViewById(R.id.btn_ok);
        Intrinsics.checkNotNull(btnOk);
        btnOk.setPrimaryRadiusAdjustBoundsFillStyle();
        btnOk.setEnabled(false);
        Window window = getWindow();
        Intrinsics.checkNotNull(window);
        window.clearFlags(131080);
        Window window2 = getWindow();
        Intrinsics.checkNotNull(window2);
        window2.setSoftInputMode(4);
        getEditPassword().addTextChangedListener(new TextWatcher() { // from class: im.uecahxyvjd.ui.dialogs.TwoPasswordCheckDialog$onStart$1
            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence s, int start, int count, int after) {
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence s, int start, int before, int count) {
                if (!TextUtils.isEmpty(s)) {
                    TwoPasswordCheckDialog.this.getImgClear().setVisibility(0);
                } else {
                    TwoPasswordCheckDialog.this.getImgClear().setVisibility(8);
                }
            }

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
                if (!TextUtils.isEmpty(s)) {
                    MryRoundButton mryRoundButton = btnOk;
                    Intrinsics.checkNotNull(mryRoundButton);
                    mryRoundButton.setEnabled(true);
                }
            }
        });
        getImgShowPassword().setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.dialogs.TwoPasswordCheckDialog$$ExternalSyntheticLambda1
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                TwoPasswordCheckDialog.onStart$lambda$0(TwoPasswordCheckDialog.this, view);
            }
        });
        getImgClear().setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.dialogs.TwoPasswordCheckDialog$$ExternalSyntheticLambda2
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                TwoPasswordCheckDialog.onStart$lambda$1(TwoPasswordCheckDialog.this, view);
            }
        });
        btnOk.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.dialogs.TwoPasswordCheckDialog$$ExternalSyntheticLambda3
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                TwoPasswordCheckDialog.onStart$lambda$2(MryRoundButton.this, this, view);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static final void onStart$lambda$0(TwoPasswordCheckDialog this$0, View it) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        boolean z = !this$0.etPwdIsHide;
        this$0.etPwdIsHide = z;
        if (z) {
            this$0.getImgShowPassword().setImageResource(R.mipmap.eye_close);
            this$0.getEditPassword().setTransformationMethod(PasswordTransformationMethod.getInstance());
        } else {
            this$0.getImgShowPassword().setImageResource(R.mipmap.eye_open);
            this$0.getEditPassword().setTransformationMethod(HideReturnsTransformationMethod.getInstance());
        }
        this$0.getEditPassword().setSelectionEnd();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static final void onStart$lambda$1(TwoPasswordCheckDialog this$0, View it) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Editable text = this$0.getEditPassword().getText();
        Intrinsics.checkNotNull(text);
        text.clear();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static final void onStart$lambda$2(MryRoundButton $btnOk, TwoPasswordCheckDialog this$0, View it) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNull($btnOk);
        if (!$btnOk.isEnabled()) {
            return;
        }
        MryEditText editPassword = this$0.getEditPassword();
        Intrinsics.checkNotNull(editPassword);
        if (TextUtils.isEmpty(String.valueOf(editPassword.getText()))) {
            ToastUtils.show((CharSequence) LocaleController.getString("text_password_not_empty", R.string.text_password_not_empty));
        } else {
            this$0.checkPassword();
        }
    }

    protected final boolean checkPasswordRule(TextView et, boolean showErrorToast) {
        if (et == null || et.length() == 0) {
            return false;
        }
        CharSequence $this$trim$iv$iv = et.getText().toString();
        int startIndex$iv$iv = 0;
        int endIndex$iv$iv = $this$trim$iv$iv.length() - 1;
        boolean startFound$iv$iv = false;
        while (startIndex$iv$iv <= endIndex$iv$iv) {
            int index$iv$iv = !startFound$iv$iv ? startIndex$iv$iv : endIndex$iv$iv;
            char it = Intrinsics.compare((int) $this$trim$iv$iv.charAt(index$iv$iv), 32) <= 0 ? (char) 1 : (char) 0;
            if (!startFound$iv$iv) {
                if (it == 0) {
                    startFound$iv$iv = true;
                } else {
                    startIndex$iv$iv++;
                }
            } else if (it == 0) {
                break;
            } else {
                endIndex$iv$iv--;
            }
        }
        String $this$trim$iv = $this$trim$iv$iv.subSequence(startIndex$iv$iv, endIndex$iv$iv + 1).toString();
        if ($this$trim$iv.length() >= 8) {
            Intrinsics.checkNotNull($this$trim$iv);
            if ($this$trim$iv.length() <= 16 && RegexUtils.hasLetterAndNumber($this$trim$iv, false)) {
                return true;
            }
        }
        if (showErrorToast) {
            ToastUtils.show((CharSequence) LocaleController.getString("LoginPwdRule", R.string.LoginPwdRule));
        }
        return false;
    }

    private final void needShowProgress() {
        setProgressDialog(new AlertDialog(this.activity, 3));
        getProgressDialog().setCanCancel(true);
        getProgressDialog().show();
    }

    public final void checkPassword() {
        if (TextUtils.isEmpty(String.valueOf(getEditPassword().getText()))) {
            ToastUtils.show((CharSequence) LocaleController.getString("text_password_not_empty", R.string.text_password_not_empty));
            return;
        }
        TLRPCWallet.TL_paymentTrans req = new TLRPCWallet.TL_paymentTrans();
        JSONObject jsonObject = new JSONObject();
        jsonObject.put((JSONObject) "businessKey", "password_check_login");
        jsonObject.put((JSONObject) "currPwdHash", AesUtils.encryptToBase64(String.valueOf(getEditPassword().getText())));
        jsonObject.put((JSONObject) "newPasswordHash", "");
        jsonObject.put((JSONObject) "userName", this.userName);
        req.data.data = jsonObject.toJSONString();
        Log.e(BuildConfig.BUILD_TYPE, "request===" + jsonObject.toJSONString());
        needShowProgress();
        ConnectionsManager.getInstance(this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.dialogs.TwoPasswordCheckDialog$$ExternalSyntheticLambda0
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                TwoPasswordCheckDialog.checkPassword$lambda$5(TwoPasswordCheckDialog.this, tLObject, tL_error);
            }
        }, 10);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static final void checkPassword$lambda$5(final TwoPasswordCheckDialog this$0, final TLObject response, final TLRPC.TL_error error) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullParameter(response, "response");
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.dialogs.TwoPasswordCheckDialog$$ExternalSyntheticLambda4
            @Override // java.lang.Runnable
            public final void run() {
                TwoPasswordCheckDialog.checkPassword$lambda$5$lambda$4(TLRPC.TL_error.this, response, this$0);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static final void checkPassword$lambda$5$lambda$4(TLRPC.TL_error $error, TLObject response, TwoPasswordCheckDialog this$0) {
        Intrinsics.checkNotNullParameter(response, "$response");
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        if ($error == null) {
            Log.e(BuildConfig.BUILD_TYPE, "password_check_login response===" + JSONObject.toJSONString(((TLRPCWallet.TL_paymentTransResult) response).data));
            this$0.getProgressDialog().dismiss();
            if (response instanceof TLRPCWallet.TL_paymentTransResult) {
                Object parse = JSONObject.parse(JSONObject.toJSONString(((TLRPCWallet.TL_paymentTransResult) response).data));
                Intrinsics.checkNotNull(parse, "null cannot be cast to non-null type com.alibaba.fastjson.JSONObject");
                JSONObject data = (JSONObject) parse;
                Object parse2 = JSONObject.parse(data.getString("data"));
                Intrinsics.checkNotNull(parse2, "null cannot be cast to non-null type com.alibaba.fastjson.JSONObject");
                JSONObject resp = (JSONObject) parse2;
                Integer integer = resp.getInteger("code");
                if (integer != null && integer.intValue() == 403) {
                    ToastUtils.show((CharSequence) LocaleController.getString("LoginPwdError", R.string.LoginPwdError));
                    return;
                }
                Integer integer2 = resp.getInteger("code");
                if (integer2 != null && integer2.intValue() == 404) {
                    ToastUtils.show((CharSequence) LocaleController.getString("text_system_error", R.string.text_system_error));
                    return;
                }
                Integer integer3 = resp.getInteger("code");
                if (integer3 != null && integer3.intValue() == 408) {
                    ToastUtils.show((CharSequence) LocaleController.getString("text_password_error_limit", R.string.text_password_error_limit));
                    return;
                }
                Integer integer4 = resp.getInteger("code");
                if (integer4 != null && integer4.intValue() == 0) {
                    this$0.dismiss();
                    this$0.onPasswordCheckListener.onPasswordCheck();
                    return;
                }
                return;
            }
            return;
        }
        Log.e(BuildConfig.BUILD_TYPE, "password_check_login error===" + JSONObject.toJSONString($error));
        this$0.getProgressDialog().dismiss();
        String str = $error.text;
        Intrinsics.checkNotNullExpressionValue(str, "error.text");
        if (StringsKt.contains$default((CharSequence) str, (CharSequence) "INVALID_PASSWORD", false, 2, (Object) null)) {
            ToastUtils.show((CharSequence) LocaleController.getString("LoginPwdError", R.string.LoginPwdError));
            return;
        }
        String str2 = $error.text;
        Intrinsics.checkNotNullExpressionValue(str2, "error.text");
        if (StringsKt.contains$default((CharSequence) str2, (CharSequence) "INTERNAL_ERROR", false, 2, (Object) null)) {
            ToastUtils.show((CharSequence) LocaleController.getString("text_system_error", R.string.text_system_error));
            return;
        }
        String str3 = $error.text;
        Intrinsics.checkNotNullExpressionValue(str3, "error.text");
        if (StringsKt.contains$default((CharSequence) str3, (CharSequence) "MANY_PASSWORD_ERROR", false, 2, (Object) null)) {
            ToastUtils.show((CharSequence) LocaleController.getString("text_password_error_limit", R.string.text_password_error_limit));
        }
    }
}
