package com.alibaba.fastjson.parser.deserializer;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.parser.DefaultJSONParser;
import com.alibaba.fastjson.parser.Feature;
import com.alibaba.fastjson.parser.JSONLexer;
import com.alibaba.fastjson.parser.JSONToken;
import java.lang.reflect.Type;
/* loaded from: classes.dex */
public class StackTraceElementDeserializer implements ObjectDeserializer {
    public static final StackTraceElementDeserializer instance = new StackTraceElementDeserializer();

    /* JADX WARN: Code restructure failed: missing block: B:92:0x0172, code lost:
        return (T) new java.lang.StackTraceElement(r1, r3, r5, r6);
     */
    @Override // com.alibaba.fastjson.parser.deserializer.ObjectDeserializer
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public <T> T deserialze(DefaultJSONParser parser, Type type, Object fieldName) {
        JSONLexer lexer = parser.getLexer();
        if (lexer.token() == 8) {
            lexer.nextToken();
            return null;
        } else if (lexer.token() != 12 && lexer.token() != 16) {
            throw new JSONException("syntax error: " + JSONToken.name(lexer.token()));
        } else {
            String declaringClass = null;
            String methodName = null;
            String fileName = null;
            int lineNumber = 0;
            while (true) {
                String key = lexer.scanSymbol(parser.getSymbolTable());
                if (key == null) {
                    if (lexer.token() == 13) {
                        lexer.nextToken(16);
                        break;
                    } else if (lexer.token() == 16 && lexer.isEnabled(Feature.AllowArbitraryCommas)) {
                    }
                }
                lexer.nextTokenWithColon(4);
                if ("className".equals(key)) {
                    if (lexer.token() != 8) {
                        if (lexer.token() == 4) {
                            declaringClass = lexer.stringVal();
                        } else {
                            throw new JSONException("syntax error");
                        }
                    } else {
                        declaringClass = null;
                    }
                } else if ("methodName".equals(key)) {
                    if (lexer.token() != 8) {
                        if (lexer.token() == 4) {
                            methodName = lexer.stringVal();
                        } else {
                            throw new JSONException("syntax error");
                        }
                    } else {
                        methodName = null;
                    }
                } else if ("fileName".equals(key)) {
                    if (lexer.token() != 8) {
                        if (lexer.token() == 4) {
                            fileName = lexer.stringVal();
                        } else {
                            throw new JSONException("syntax error");
                        }
                    } else {
                        fileName = null;
                    }
                } else if ("lineNumber".equals(key)) {
                    if (lexer.token() == 8) {
                        lineNumber = 0;
                    } else if (lexer.token() == 2) {
                        lineNumber = lexer.intValue();
                    } else {
                        throw new JSONException("syntax error");
                    }
                } else if ("nativeMethod".equals(key)) {
                    if (lexer.token() == 8) {
                        lexer.nextToken(16);
                    } else if (lexer.token() == 6) {
                        lexer.nextToken(16);
                    } else if (lexer.token() == 7) {
                        lexer.nextToken(16);
                    } else {
                        throw new JSONException("syntax error");
                    }
                } else if (key == JSON.DEFAULT_TYPE_KEY) {
                    if (lexer.token() == 4) {
                        String elementType = lexer.stringVal();
                        if (!elementType.equals("java.lang.StackTraceElement")) {
                            throw new JSONException("syntax error : " + elementType);
                        }
                    } else if (lexer.token() != 8) {
                        throw new JSONException("syntax error");
                    }
                } else {
                    throw new JSONException("syntax error : " + key);
                }
                if (lexer.token() == 13) {
                    lexer.nextToken(16);
                    break;
                }
            }
        }
    }

    @Override // com.alibaba.fastjson.parser.deserializer.ObjectDeserializer
    public int getFastMatchToken() {
        return 12;
    }
}
