package com.alibaba.fastjson.serializer;
/* loaded from: classes.dex */
public abstract class AfterFilter implements SerializeFilter {
    private static final ThreadLocal<JSONSerializer> serializerLocal = new ThreadLocal<>();
    private static final ThreadLocal<Character> seperatorLocal = new ThreadLocal<>();
    private static final Character COMMA = ',';

    public abstract void writeAfter(Object obj);

    /* JADX INFO: Access modifiers changed from: package-private */
    public final char writeAfter(JSONSerializer serializer, Object object, char seperator) {
        ThreadLocal<JSONSerializer> threadLocal = serializerLocal;
        threadLocal.set(serializer);
        ThreadLocal<Character> threadLocal2 = seperatorLocal;
        threadLocal2.set(Character.valueOf(seperator));
        writeAfter(object);
        threadLocal.set(null);
        return threadLocal2.get().charValue();
    }

    protected final void writeKeyValue(String key, Object value) {
        JSONSerializer serializer = serializerLocal.get();
        ThreadLocal<Character> threadLocal = seperatorLocal;
        char seperator = threadLocal.get().charValue();
        serializer.writeKeyValue(seperator, key, value);
        if (seperator != ',') {
            threadLocal.set(COMMA);
        }
    }
}
