package com.alibaba.fastjson.serializer;

import com.alibaba.fastjson.parser.DefaultJSONParser;
import com.alibaba.fastjson.parser.deserializer.ObjectDeserializer;
import java.io.IOException;
import java.lang.reflect.Type;
import java.util.TimeZone;
/* loaded from: classes.dex */
public class TimeZoneCodec implements ObjectSerializer, ObjectDeserializer {
    public static final TimeZoneCodec instance = new TimeZoneCodec();

    @Override // com.alibaba.fastjson.serializer.ObjectSerializer
    public void write(JSONSerializer serializer, Object object, Object fieldName, Type fieldType) throws IOException {
        if (object == null) {
            serializer.writeNull();
            return;
        }
        TimeZone timeZone = (TimeZone) object;
        serializer.write(timeZone.getID());
    }

    @Override // com.alibaba.fastjson.parser.deserializer.ObjectDeserializer
    public <T> T deserialze(DefaultJSONParser parser, Type clazz, Object fieldName) {
        String id = (String) parser.parse();
        if (id == null) {
            return null;
        }
        return (T) TimeZone.getTimeZone(id);
    }

    @Override // com.alibaba.fastjson.parser.deserializer.ObjectDeserializer
    public int getFastMatchToken() {
        return 4;
    }
}
