package com.alivc.rtc;

import com.alivc.rtc.AliRtcEngine;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
/* loaded from: classes.dex */
public class AliRtcConfig {
    private boolean autoPublish = true;
    private boolean autoSubscribe = true;
    private boolean audioOnly = false;
    private boolean isInCall = false;
    private boolean hasLeftChannel = true;
    private boolean camFlash = false;
    private float camZoom = 1.0f;
    private boolean camAutoFocus = true;
    private boolean isCameraOn = false;
    private int cameraType = 1;
    private boolean isSpeakerOn = false;
    private String localCallID = "";
    private String localCallID_tmp = "";
    private boolean publishCameraTrack = true;
    private boolean publishScreenTrack = false;
    private boolean publishAudio = true;
    private boolean dualStream = true;
    private AliRtcEngine.AliRtcVideoProfile camVideoProfile = AliRtcEngine.AliRtcVideoProfile.AliRTCSDK_Video_Profile_Default;
    private AliRtcEngine.AliRtcVideoProfile screenVideoProfile = AliRtcEngine.AliRtcVideoProfile.AliRTCSDK_Video_Profile_Default;
    private AliRtcEngine.AliVideoCanvas localVideoCanvas = null;
    private boolean muteLocalCameraVideo = false;
    private boolean muteLocalScreenVideo = false;
    private boolean muteLocalMic = false;
    private boolean publishIsGoing = false;
    private Map<String, RemoteParticipant> remoteParticipants = new ConcurrentHashMap();
    private Map<String, RemoteParticipant> remotePublishParticipants = new ConcurrentHashMap();
    private AliRtcAuthInfo cachedAuthorInfo = null;
    private String cachedUserName = "";
    private boolean keepInChannel = false;
    private long sharedContext = 0;

    public boolean isAutoPublish() {
        return this.autoPublish;
    }

    public void setAutoPublish(boolean autoPublish) {
        this.autoPublish = autoPublish;
    }

    public boolean isAutoSubscribe() {
        return this.autoSubscribe;
    }

    public void setAutoSubscribe(boolean autoSubscribe) {
        this.autoSubscribe = autoSubscribe;
    }

    public boolean isAudioOnly() {
        return this.audioOnly;
    }

    public void setAudioOnly(boolean audioOnly) {
        this.audioOnly = audioOnly;
    }

    public boolean isInCall() {
        return this.isInCall;
    }

    public void setInCall(boolean inCall) {
        this.isInCall = inCall;
    }

    public boolean isHasLeftChannel() {
        return this.hasLeftChannel;
    }

    public void setHasLeftChannel(boolean hasLeftChannel) {
        this.hasLeftChannel = hasLeftChannel;
    }

    public boolean isCamFlash() {
        return this.camFlash;
    }

    public void setCamFlash(boolean camFlash) {
        this.camFlash = camFlash;
    }

    public float getCamZoom() {
        return this.camZoom;
    }

    public void setCamZoom(float camZoom) {
        this.camZoom = camZoom;
    }

    public boolean isCamAutoFocus() {
        return this.camAutoFocus;
    }

    public void setCamAutoFocus(boolean camAutoFocus) {
        this.camAutoFocus = camAutoFocus;
    }

    public boolean isCameraOn() {
        return this.isCameraOn;
    }

    public void setCameraOn(boolean cameraOn) {
        this.isCameraOn = cameraOn;
    }

    public int getCameraType() {
        return this.cameraType;
    }

    public void setCameraType(int cameraType) {
        this.cameraType = cameraType;
    }

    public boolean isSpeakerOn() {
        return this.isSpeakerOn;
    }

    public void setSpeakerOn(boolean speakerOn) {
        this.isSpeakerOn = speakerOn;
    }

    public String getLocalCallID() {
        return this.localCallID;
    }

    public void setLocalCallID(String localCallID) {
        this.localCallID = localCallID;
    }

    public void setLocalCallID(String localCallID, boolean tmp) {
        setLocalCallID(localCallID);
        if (tmp) {
            setTmpLocalCallID(localCallID);
        }
    }

    public String getTmpLocalCallID() {
        return this.localCallID_tmp;
    }

    public void setTmpLocalCallID(String tmpLocalCallID) {
        this.localCallID_tmp = tmpLocalCallID;
    }

    public boolean isPublishCameraTrack() {
        return this.publishCameraTrack;
    }

    public void setPublishCameraTrack(boolean publishCameraTrack) {
        this.publishCameraTrack = publishCameraTrack;
    }

    public boolean isPublishScreenTrack() {
        return this.publishScreenTrack;
    }

    public void setPublishScreenTrack(boolean publishScreenTrack) {
        this.publishScreenTrack = publishScreenTrack;
    }

    public boolean isPublishAudio() {
        return this.publishAudio;
    }

    public void setPublishAudio(boolean publishAudio) {
        this.publishAudio = publishAudio;
    }

    public boolean isDualStream() {
        return this.dualStream;
    }

    public void setDualStream(boolean dualStream) {
        this.dualStream = dualStream;
    }

    public AliRtcEngine.AliRtcVideoProfile getCamVideoProfile() {
        return this.camVideoProfile;
    }

    public void setCamVideoProfile(AliRtcEngine.AliRtcVideoProfile camVideoProfile) {
        this.camVideoProfile = camVideoProfile;
    }

    public AliRtcEngine.AliRtcVideoProfile getScreenVideoProfile() {
        return this.screenVideoProfile;
    }

    public void setScreenVideoProfile(AliRtcEngine.AliRtcVideoProfile screenVideoProfile) {
        this.screenVideoProfile = screenVideoProfile;
    }

    public AliRtcEngine.AliVideoCanvas getLocalVideoCanvas() {
        return this.localVideoCanvas;
    }

    public void setLocalVideoCanvas(AliRtcEngine.AliVideoCanvas localVideoCanvas) {
        this.localVideoCanvas = localVideoCanvas;
    }

    public boolean isMuteLocalCameraVideo() {
        return this.muteLocalCameraVideo;
    }

    public void setMuteLocalCameraVideo(boolean muteLocalCameraVideo) {
        this.muteLocalCameraVideo = muteLocalCameraVideo;
    }

    public boolean isMuteLocalScreenVideo() {
        return this.muteLocalScreenVideo;
    }

    public void setMuteLocalScreenVideo(boolean muteLocalScreenVideo) {
        this.muteLocalScreenVideo = muteLocalScreenVideo;
    }

    public boolean isMuteLocalMic() {
        return this.muteLocalMic;
    }

    public void setMuteLocalMic(boolean muteLocalMic) {
        this.muteLocalMic = muteLocalMic;
    }

    public boolean isPublishIsGoing() {
        return this.publishIsGoing;
    }

    public void setPublishIsGoing(boolean publishIsGoing) {
        this.publishIsGoing = publishIsGoing;
    }

    public Map<String, RemoteParticipant> getRemoteParticipants() {
        return this.remoteParticipants;
    }

    public void setRemoteParticipants(Map<String, RemoteParticipant> remoteParticipants) {
        this.remoteParticipants = remoteParticipants;
    }

    public Map<String, RemoteParticipant> getRemotePublishParticipants() {
        return this.remotePublishParticipants;
    }

    public void setRemotePublishParticipants(Map<String, RemoteParticipant> remotePublishParticipants) {
        this.remotePublishParticipants = remotePublishParticipants;
    }

    public AliRtcAuthInfo getCachedAuthorInfo() {
        return this.cachedAuthorInfo;
    }

    public void setCachedAuthorInfo(AliRtcAuthInfo cachedAuthorInfo) {
        this.cachedAuthorInfo = cachedAuthorInfo;
    }

    public String getCachedUserName() {
        return this.cachedUserName;
    }

    public void setCachedUserName(String cachedUserName) {
        this.cachedUserName = cachedUserName;
    }

    public boolean isKeepInChannel() {
        return this.keepInChannel;
    }

    public void setKeepInChannel(boolean keepInChannel) {
        this.keepInChannel = keepInChannel;
    }

    public boolean hasPublished() {
        String str = this.localCallID;
        return (str == null || "".equals(str)) ? false : true;
    }

    public long getSharedContext() {
        return this.sharedContext;
    }

    public void setSharedContext(long sharedContext) {
        this.sharedContext = sharedContext;
    }
}
