package com.alivc.rtc;

import android.text.TextUtils;
import com.alivc.rtc.AliRtcEngine;
import java.util.Arrays;
import org.webrtc.alirtcInterface.ALI_RTC_INTERFACE;
/* loaded from: classes.dex */
public class RemoteParticipant {
    public static final String FAKE_SUBED = "FAKE_SUBED";
    private String audioSubscribed;
    private String callID;
    private String displayName;
    private String sessionID;
    public boolean ucAudioSubed;
    public boolean ucScreenSubed;
    public boolean ucVideoSubed;
    public boolean ucVideoSubedMaster;
    private String userID;
    private String streamLabel = "";
    private String audioTrackLabel = "";
    private String[] videoTrackLabels = new String[ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_MAX.getValue()];
    private String[] videoSubscribed = new String[ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_MAX.getValue()];
    private String[] videoSubscribedCached = new String[ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_MAX.getValue()];
    private boolean firstSubscribe = true;
    private boolean subscribeing = false;
    private AliRtcEngine.AliVideoCanvas cameraCanvas = null;
    private AliRtcEngine.AliVideoCanvas screenCanvas = null;
    private boolean muteAudioPlaying = false;

    public String getUserID() {
        return this.userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public String getSessionID() {
        return this.sessionID;
    }

    public void setSessionID(String sessionID) {
        this.sessionID = sessionID;
    }

    public String getCallID() {
        return this.callID;
    }

    public void setCallID(String callID) {
        this.callID = callID;
    }

    public String getDisplayName() {
        return this.displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    public String getStreamLabel() {
        return this.streamLabel;
    }

    public void setStreamLabel(String streamLabel) {
        this.streamLabel = streamLabel;
    }

    public String getAudioTrackLabel() {
        return this.audioTrackLabel;
    }

    public void setAudioTrackLabel(String audioTrackLabel) {
        this.audioTrackLabel = audioTrackLabel;
    }

    public void setVideoTrackLabels(String[] videoTrackLabels) {
        this.videoTrackLabels = videoTrackLabels;
    }

    public String[] getVideoTrackLabels() {
        return this.videoTrackLabels;
    }

    public boolean isHasAudioStream() {
        return !TextUtils.isEmpty(this.audioTrackLabel);
    }

    public boolean isHasVideoLargeStream() {
        return !TextUtils.isEmpty(this.videoTrackLabels[ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_CameraLarge.ordinal()]);
    }

    public boolean isHasVideoSmallStream() {
        return !TextUtils.isEmpty(this.videoTrackLabels[ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_CameraSmall.ordinal()]);
    }

    public boolean isHasScreenShareStream() {
        return !TextUtils.isEmpty(this.videoTrackLabels[ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_ScreenShare.ordinal()]);
    }

    public boolean isHasVideoSuperStream() {
        return !TextUtils.isEmpty(this.videoTrackLabels[ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_CameraSuper.ordinal()]);
    }

    public boolean isSubVideoLargeStream() {
        return !TextUtils.isEmpty(this.videoSubscribed[ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_CameraLarge.ordinal()]);
    }

    public boolean isSubVideoSmallStream() {
        return !TextUtils.isEmpty(this.videoSubscribed[ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_CameraSmall.ordinal()]);
    }

    public boolean isSubVideoSuperStream() {
        return !TextUtils.isEmpty(this.videoSubscribed[ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_CameraSuper.ordinal()]);
    }

    public boolean isSubShcreenShareStream() {
        return !TextUtils.isEmpty(this.videoSubscribed[ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_ScreenShare.ordinal()]);
    }

    public String[] getVideoSubscribed() {
        return this.videoSubscribed;
    }

    public void setVideoSubscribed(String[] videoSubscribed) {
        this.videoSubscribed = videoSubscribed;
    }

    public void setVideoSubscribedCached(String[] videoSubscribedCached) {
        int count = videoSubscribedCached.length;
        for (int i = 0; i < count; i++) {
            this.videoSubscribedCached[i] = videoSubscribedCached[i];
        }
    }

    public String[] getVideoSubscribedCached() {
        return this.videoSubscribedCached;
    }

    public boolean isAudioSubscribed() {
        return !TextUtils.isEmpty(this.audioSubscribed);
    }

    public boolean isVideoSubscribed() {
        return isSubVideoLargeStream() || isSubVideoSmallStream() || isSubVideoSuperStream();
    }

    public void setAudioSubscribed(String audioSubscribed) {
        this.audioSubscribed = audioSubscribed;
    }

    public String getAudioSubscribed() {
        return this.audioSubscribed;
    }

    public boolean isFirstSubscribe() {
        return this.firstSubscribe;
    }

    public void setFirstSubscribe(boolean firstSubscribe) {
        this.firstSubscribe = firstSubscribe;
    }

    public boolean isSubscribeing() {
        return this.subscribeing;
    }

    public void setSubscribeing(boolean subscribeing) {
        this.subscribeing = subscribeing;
    }

    public AliRtcEngine.AliVideoCanvas getCameraCanvas() {
        return this.cameraCanvas;
    }

    public void setCameraCanvas(AliRtcEngine.AliVideoCanvas cameraCanvas) {
        this.cameraCanvas = cameraCanvas;
    }

    public AliRtcEngine.AliVideoCanvas getScreenCanvas() {
        return this.screenCanvas;
    }

    public void setScreenCanvas(AliRtcEngine.AliVideoCanvas screenCanvas) {
        this.screenCanvas = screenCanvas;
    }

    public boolean isMuteAudioPlaying() {
        return this.muteAudioPlaying;
    }

    public void setMuteAudioPlaying(boolean muteAudioPlaying) {
        this.muteAudioPlaying = muteAudioPlaying;
    }

    public boolean isOnline() {
        return !TextUtils.isEmpty(this.sessionID);
    }

    public static AliRtcEngine.AliRtcAudioTrack getAudioTrack(String audioTrackLabel) {
        return TextUtils.isEmpty(audioTrackLabel) ? AliRtcEngine.AliRtcAudioTrack.AliRtcAudioTrackNo : AliRtcEngine.AliRtcAudioTrack.AliRtcAudioTrackMic;
    }

    public static AliRtcEngine.AliRtcVideoTrack getVideoTrack(String[] videoTrackLabels) {
        AliRtcEngine.AliRtcVideoTrack ret = AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackNo;
        int bigIndex = ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_CameraLarge.ordinal();
        int smallIndex = ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_CameraSmall.ordinal();
        int screenIndex = ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_ScreenShare.ordinal();
        int superIndex = ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_CameraSuper.ordinal();
        boolean hasCamera = false;
        boolean hasScreen = false;
        hasCamera = (TextUtils.isEmpty(videoTrackLabels[bigIndex]) && TextUtils.isEmpty(videoTrackLabels[smallIndex]) && TextUtils.isEmpty(videoTrackLabels[superIndex])) ? true : true;
        if (!TextUtils.isEmpty(videoTrackLabels[screenIndex])) {
            hasScreen = true;
        }
        if (hasCamera && hasScreen) {
            AliRtcEngine.AliRtcVideoTrack ret2 = AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackBoth;
            return ret2;
        } else if (hasCamera) {
            AliRtcEngine.AliRtcVideoTrack ret3 = AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackCamera;
            return ret3;
        } else if (hasScreen) {
            AliRtcEngine.AliRtcVideoTrack ret4 = AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackScreen;
            return ret4;
        } else {
            return ret;
        }
    }

    public AliRtcEngine.AliVideoCanvas getVideoCanvas(int videoTrackIndex) {
        if (videoTrackIndex == ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_CameraLarge.ordinal() || videoTrackIndex == ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_CameraSmall.ordinal() || videoTrackIndex == ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_CameraSuper.ordinal()) {
            AliRtcEngine.AliVideoCanvas ret = this.cameraCanvas;
            return ret;
        } else if (videoTrackIndex != ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_ScreenShare.ordinal()) {
            return null;
        } else {
            AliRtcEngine.AliVideoCanvas ret2 = this.screenCanvas;
            return ret2;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: com.alivc.rtc.RemoteParticipant$1  reason: invalid class name */
    /* loaded from: classes.dex */
    public static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$com$alivc$rtc$AliRtcEngine$AliRtcVideoTrack;

        static {
            int[] iArr = new int[AliRtcEngine.AliRtcVideoTrack.values().length];
            $SwitchMap$com$alivc$rtc$AliRtcEngine$AliRtcVideoTrack = iArr;
            try {
                iArr[AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackCamera.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                $SwitchMap$com$alivc$rtc$AliRtcEngine$AliRtcVideoTrack[AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackScreen.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
        }
    }

    public void setVideoCanvas(AliRtcEngine.AliRtcVideoTrack track, AliRtcEngine.AliVideoCanvas canvas) {
        switch (AnonymousClass1.$SwitchMap$com$alivc$rtc$AliRtcEngine$AliRtcVideoTrack[track.ordinal()]) {
            case 1:
                this.cameraCanvas = canvas;
                return;
            case 2:
                this.screenCanvas = canvas;
                return;
            default:
                return;
        }
    }

    public int getSubVideoSurceIndex(AliRtcEngine.AliRtcVideoTrack track) {
        switch (AnonymousClass1.$SwitchMap$com$alivc$rtc$AliRtcEngine$AliRtcVideoTrack[track.ordinal()]) {
            case 1:
                int count = this.videoSubscribed.length;
                for (int i = 0; i < count; i++) {
                    if (i != ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_ScreenShare.ordinal() && !TextUtils.isEmpty(this.videoSubscribed[i])) {
                        int ret = i;
                        return ret;
                    }
                }
                return -1;
            case 2:
                int ret2 = ALI_RTC_INTERFACE.AliRTCSdk_VideSource_Type.AliRTCSDK_VideoSource_Type_ScreenShare.ordinal();
                return ret2;
            default:
                return -1;
        }
    }

    public String[] getAvailableVideoSubed() {
        int count = this.videoSubscribed.length;
        for (int i = 0; i < count; i++) {
            if (!TextUtils.isEmpty(this.videoSubscribed[i]) && TextUtils.isEmpty(this.videoTrackLabels[i])) {
                this.videoSubscribed[i] = "";
            }
        }
        return this.videoSubscribed;
    }

    public String getAvailableAudioSubed() {
        if (this.ucAudioSubed && !TextUtils.isEmpty(this.audioTrackLabel)) {
            this.audioSubscribed = this.audioTrackLabel;
        } else {
            this.audioSubscribed = "";
        }
        return this.audioSubscribed;
    }

    public void clearAll() {
        clearStreams();
        this.ucVideoSubed = false;
        this.ucVideoSubedMaster = false;
        this.ucAudioSubed = false;
        this.ucScreenSubed = false;
        clearSubedStatus();
    }

    public void clearStreams() {
        Arrays.fill(this.videoTrackLabels, "");
        this.audioTrackLabel = "";
    }

    public void clearSubedStatus() {
        Arrays.fill(this.videoSubscribed, "");
        Arrays.fill(this.videoSubscribedCached, "");
        this.audioSubscribed = "";
        this.firstSubscribe = true;
    }

    public boolean isUcVideoSubed() {
        return this.ucVideoSubed;
    }

    public void setUcVideoSubed(boolean sub) {
        this.ucVideoSubed = sub;
    }

    public boolean isUcVideoSubedMaster() {
        return this.ucVideoSubedMaster;
    }

    public void setUcVideoSubedMaster(boolean master) {
        this.ucVideoSubedMaster = master;
    }

    public boolean isUcAudeoSubed() {
        return this.ucAudioSubed;
    }

    public void setUcAudeoSubed(boolean sub) {
        this.ucAudioSubed = sub;
    }

    public boolean isUcScreenSubed() {
        return this.ucScreenSubed;
    }

    public void setUcScreenSubed(boolean sub) {
        this.ucScreenSubed = sub;
    }
}
