package com.alivc.rtc.device.utils;

import android.content.Context;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import java.lang.reflect.Method;
import java.util.Random;
/* loaded from: classes.dex */
public class PhoneInfoUtils {
    public static String getUniqueID() {
        int t1 = (int) (System.currentTimeMillis() / 1000);
        int t2 = (int) System.nanoTime();
        int t3 = new Random().nextInt();
        int t4 = new Random().nextInt();
        byte[] b1 = IntUtils.getBytes(t1);
        byte[] b2 = IntUtils.getBytes(t2);
        byte[] b3 = IntUtils.getBytes(t3);
        byte[] b4 = IntUtils.getBytes(t4);
        byte[] bUniqueID = new byte[16];
        System.arraycopy(b1, 0, bUniqueID, 0, 4);
        System.arraycopy(b2, 0, bUniqueID, 4, 4);
        System.arraycopy(b3, 0, bUniqueID, 8, 4);
        System.arraycopy(b4, 0, bUniqueID, 12, 4);
        return Base64.encodeToString(bUniqueID, 2);
    }

    public static String getImei(Context context) {
        String imei = null;
        if (context != null) {
            try {
                TelephonyManager tm = (TelephonyManager) context.getSystemService("phone");
                if (tm != null) {
                    imei = tm.getDeviceId();
                }
            } catch (Exception e) {
            }
        }
        if (TextUtils.isEmpty(imei)) {
            imei = getYunOSUuid();
        }
        if (TextUtils.isEmpty(imei)) {
            return getUniqueID();
        }
        return imei;
    }

    private static String getYunOSUuid() {
        String lUUID = SystemProperties.get("ro.aliyun.clouduuid", "");
        if (TextUtils.isEmpty(lUUID)) {
            lUUID = SystemProperties.get("ro.sys.aliyun.clouduuid", "");
        }
        return TextUtils.isEmpty(lUUID) ? getYunOSTVUuid() : lUUID;
    }

    private static String getYunOSTVUuid() {
        try {
            Class<?> cloudUuid = Class.forName("com.yunos.baseservice.clouduuid.CloudUUID");
            Method m = cloudUuid.getMethod("getCloudUUID", new Class[0]);
            String lUUID = (String) m.invoke(null, new Object[0]);
            return lUUID;
        } catch (Exception e) {
            return "";
        }
    }

    public static String getImsi(Context context) {
        String imsi = null;
        if (context != null) {
            try {
                TelephonyManager tm = (TelephonyManager) context.getSystemService("phone");
                if (tm != null) {
                    imsi = tm.getSubscriberId();
                }
            } catch (Exception e) {
            }
        }
        if (TextUtils.isEmpty(imsi)) {
            return getUniqueID();
        }
        return imsi;
    }
}
