package com.alivc.rtc.device.utils;

import java.util.Comparator;
import java.util.Map;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
/* loaded from: classes.dex */
public class StringUtils {
    private static final Pattern BlackPattern = Pattern.compile("([\t\r\n])+");

    public static boolean isEmpty(String str) {
        return str == null || str.length() <= 0;
    }

    public static int hashCode(String value) {
        int h = 0;
        if (value.length() > 0) {
            char[] val = value.toCharArray();
            for (char c : val) {
                h = (h * 31) + c;
            }
        }
        return h;
    }

    public static boolean equals(String str, String str2) {
        return str == null ? str2 == null : str.equals(str2);
    }

    public static boolean isBlank(String str) {
        int length;
        if (str == null || (length = str.length()) == 0) {
            return true;
        }
        for (int i = 0; i < length; i++) {
            if (!Character.isWhitespace(str.charAt(i))) {
                return false;
            }
        }
        return true;
    }

    public static Map<String, String> sortMapByKey(Map<String, String> oriMap) {
        if (oriMap != null && !oriMap.isEmpty()) {
            Map<String, String> sortedMap = new TreeMap<>(new Comparator<String>() { // from class: com.alivc.rtc.device.utils.StringUtils.1
                @Override // java.util.Comparator
                public int compare(String key1, String key2) {
                    return key1.compareTo(key2);
                }
            });
            sortedMap.putAll(oriMap);
            return sortedMap;
        }
        return null;
    }

    public static String getStringWithoutBlank(String pStr) {
        if (pStr != null && !"".equals(pStr)) {
            Matcher m = BlackPattern.matcher(pStr);
            return m.replaceAll("");
        }
        return pStr;
    }
}
