package com.aliyun.security.yunceng.android.sdk;

import android.content.Context;
import android.os.Process;
import com.aliyun.security.yunceng.android.sdk.listener.YunCengGetSessionListener;
import com.aliyun.security.yunceng.android.sdk.listener.YunCengInitExListener;
import com.aliyun.security.yunceng.android.sdk.traceroute.YCNetDiagnosisListener;
import com.aliyun.security.yunceng.android.sdk.traceroute.d;
import com.aliyun.security.yunceng.android.sdk.umid.UMID;
import com.king.zxing.util.LogUtils;
import java.io.ByteArrayOutputStream;
import java.io.FileInputStream;
import java.net.URL;
import java.util.Arrays;
import java.util.Random;
/* loaded from: classes.dex */
public class YunCeng {
    static final String c = "1";
    static final String d = "2";

    /* renamed from: a  reason: collision with root package name */
    static int f97a = 1;
    static int b = 2;
    private static YunCengUtil e = new YunCengUtil();
    private static int f = 0;
    private static boolean g = false;
    private static byte[] h = new byte[8];

    private static native String getIpInfo();

    private static native String getProxyRaw(int i, String str, String str2, String str3, String str4, String str5);

    private static native String getRealFetchedIp();

    private static native String getRealFetchedPort();

    private static native String getSessionRaw();

    private static native int initExRaw(String str, String str2, int i);

    public static native int reportInfo(int i, String str, String str2, int i2);

    private static native byte[] safeDecryptRaw(byte[] bArr);

    private static native byte[] safeEncryptRaw(byte[] bArr);

    private static native int securityInitRaw(byte[] bArr, int i);

    private static native byte[] whiteboxEncryptRaw(byte[] bArr);

    private static native byte[] whiteboxSignRaw(byte[] bArr);

    static {
        System.loadLibrary("yunceng");
    }

    public static int initEx(String appKey, String token) {
        if (g) {
            return 0;
        }
        if (e.n() != null) {
            e.o();
            e.p();
            UMID umid = new UMID(e.n());
            umid.a();
        }
        int ret = initExRaw(appKey, token, 0);
        if (ret == 0) {
            g = true;
            if (e.n() != null) {
                c();
            }
        }
        return ret;
    }

    public static void initExWithCallback(final String appKey, final String token, final YunCengInitExListener listener) {
        new Thread(new Runnable() { // from class: com.aliyun.security.yunceng.android.sdk.YunCeng.1
            @Override // java.lang.Runnable
            public void run() {
                int ret = YunCeng.initEx(appKey, token);
                listener.OnInitExFinished(ret);
            }
        }).start();
    }

    private static void c() {
        new Thread(new Runnable() { // from class: com.aliyun.security.yunceng.android.sdk.YunCeng.2
            @Override // java.lang.Runnable
            public void run() {
                if (YunCeng.e.b() && new Random().nextInt(100) < YunCeng.e.r()) {
                    YunCeng.d();
                }
                Context ct = YunCeng.e.n();
                if (YunCeng.e.d()) {
                    UMID umid = new UMID(ct);
                    String info = umid.b();
                    YunCeng.reportInfo(13, "umid", info, 1);
                }
            }
        }).start();
    }

    public static int getProxyTcpByIp(String token, String group_name, String dip, String dport, StringBuffer target_ip, StringBuffer target_port) {
        return a(f97a, token, group_name, "2", dip, dport, target_ip, target_port);
    }

    public static int getProxyTcpByDomain(String token, String group_name, String ddomain, String dport, StringBuffer target_ip, StringBuffer target_port) {
        return a(f97a, token, group_name, "1", ddomain, dport, target_ip, target_port);
    }

    public static int getProxyUdpByIP(String token, String group_name, String dip, String dport, StringBuffer target_ip, StringBuffer target_port) {
        return a(b, token, group_name, "2", dip, dport, target_ip, target_port);
    }

    public static int getProxyUdpByDomain(String token, String group_name, String ddomain, String dport, StringBuffer target_ip, StringBuffer target_port) {
        return a(b, token, group_name, "1", ddomain, dport, target_ip, target_port);
    }

    private static int a(int proto_type, String token, String group_name, String type, String dhost, String dport, StringBuffer target_ip, StringBuffer target_port) {
        if (token == null || group_name == null || type == null || dhost == null || dport == null || token.length() == 0 || group_name.length() == 0 || type.length() == 0 || dhost.length() == 0 || dport.length() == 0) {
            return -1;
        }
        String ret = getProxyRaw(proto_type, token, group_name, type, dhost, dport).trim();
        if (!e.a(ret)) {
            int index = ret.indexOf(LogUtils.VERTICAL);
            if (index <= 0 || index >= ret.length()) {
                return -1;
            }
            target_ip.setLength(0);
            target_ip.append(ret.substring(0, index));
            target_port.setLength(0);
            target_port.append(ret.substring(index + 1, ret.length()));
            return 0;
        }
        return Integer.valueOf(ret).intValue();
    }

    public static int getLocalIpInfo(StringBuffer ip_buf, StringBuffer ip_info) {
        int index;
        String ret = getIpInfo().trim();
        if (e.a(ret) || (index = ret.indexOf(LogUtils.VERTICAL)) <= 0 || index >= ret.length()) {
            return -1;
        }
        ip_buf.setLength(0);
        ip_buf.append(ret.substring(0, index));
        ip_info.setLength(0);
        ip_info.append(ret.substring(index + 1, ret.length()));
        return 0;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static int d() {
        new Thread(new Runnable() { // from class: com.aliyun.security.yunceng.android.sdk.YunCeng.3
            @Override // java.lang.Runnable
            public void run() {
                YCNetDiagnosisListener listener = new YCNetDiagnosisListener() { // from class: com.aliyun.security.yunceng.android.sdk.YunCeng.3.1
                    @Override // com.aliyun.security.yunceng.android.sdk.traceroute.YCNetDiagnosisListener
                    public void OnNetDiagnosisFinished(String log) {
                        if (YunCeng.e.c()) {
                            YunCeng.reportInfo(14, "diag", log, 0);
                        }
                    }
                };
                String[] public_targets = {"www.baidu.com", "www.qq.com", "www.163.com", "www.taobao.com"};
                for (String dstDomain : public_targets) {
                    if (d.b(dstDomain) == null) {
                        break;
                    }
                    YunCeng.b(null, dstDomain, "80", listener);
                }
                for (int i = 1; i < YunCeng.e.q() + 1; i++) {
                    String dstDomain2 = String.format("a%06d.excaliburdx.com", Integer.valueOf(i));
                    if (d.b(dstDomain2) != null) {
                        YunCeng.b(null, dstDomain2, "10800", listener);
                    } else {
                        return;
                    }
                }
            }
        }).start();
        return 0;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static void b(Context context, String domain, String port, YCNetDiagnosisListener listener) {
        com.aliyun.security.yunceng.android.sdk.traceroute.a _netDiagnoService = new com.aliyun.security.yunceng.android.sdk.traceroute.a(context, domain, port, listener);
        try {
            _netDiagnoService.a();
        } catch (RuntimeException e2) {
        }
    }

    public static void startNetworkDiagnosis(final String domain, int port, final YCNetDiagnosisListener listener) {
        Context ct = e.n();
        ct = (ct.checkPermission("android.permission.ACCESS_NETWORK_STATE", Process.myPid(), Process.myUid()) == -1 || ct.checkPermission("android.permission.ACCESS_WIFI_STATE", Process.myPid(), Process.myUid()) == -1) ? null : null;
        final Context theContext = ct;
        final String thePort = "" + port;
        new Thread(new Runnable() { // from class: com.aliyun.security.yunceng.android.sdk.YunCeng.4
            @Override // java.lang.Runnable
            public void run() {
                YunCeng.b(theContext, domain, thePort, listener);
            }
        }).start();
    }

    public static int reportUserData(int type, String msg, int sync) {
        if (type < -1) {
            return -1;
        }
        reportInfo(type + 10000, "user_data", msg, sync);
        return 0;
    }

    public static int securityInit(String fileName) {
        try {
            if (f == 1) {
                return 5002;
            }
            FileInputStream in = new FileInputStream(fileName);
            int length = in.available();
            byte[] buffer = new byte[1024];
            ByteArrayOutputStream outputStream = new ByteArrayOutputStream();
            while (true) {
                int len = in.read(buffer);
                if (len == -1) {
                    break;
                }
                outputStream.write(buffer, 0, len);
            }
            in.close();
            byte[] data = outputStream.toByteArray();
            if (data[0] == 75 && data[1] == 78 && data[2] == 84) {
                int ret = securityInitRaw(data, length);
                if (ret != 0) {
                    return ret;
                }
                h = Arrays.copyOfRange(data, 8, 16);
                f = 1;
                return ret;
            }
            return 5004;
        } catch (Exception e2) {
            e2.printStackTrace();
            return 5005;
        }
    }

    public static byte[] whiteboxSign(byte[] data) {
        if (f == 0 || data == null || data.length == 0) {
            return null;
        }
        try {
            ByteArrayOutputStream bos = new ByteArrayOutputStream();
            bos.write(h);
            bos.write(whiteboxSignRaw(data));
            return bos.toByteArray();
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public static byte[] safeEncrypt(byte[] data) {
        if (f == 0 || data == null || data.length == 0) {
            return null;
        }
        try {
            ByteArrayOutputStream bos = new ByteArrayOutputStream();
            bos.write(h);
            bos.write(safeEncryptRaw(data));
            return bos.toByteArray();
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public static byte[] safeDecrypt(byte[] data) {
        if (f == 0 || data == null || data.length <= 8) {
            return null;
        }
        try {
            ByteArrayOutputStream bos = new ByteArrayOutputStream();
            bos.write(safeDecryptRaw(Arrays.copyOfRange(data, 8, data.length)));
            return bos.toByteArray();
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public static byte[] whiteboxEncrypt(byte[] data) {
        if (f == 0 || data == null || data.length == 0) {
            return null;
        }
        try {
            ByteArrayOutputStream bos = new ByteArrayOutputStream();
            bos.write(h);
            bos.write(whiteboxEncryptRaw(data));
            return bos.toByteArray();
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public static int GetSession(StringBuffer session) {
        session.setLength(0);
        String ret = getSessionRaw();
        int index = ret.indexOf(LogUtils.VERTICAL);
        if (index == -1 || index >= ret.length()) {
            return -1;
        }
        session.append(ret.substring(index + 1, ret.length()));
        return Integer.valueOf(ret.substring(0, index)).intValue();
    }

    public static void GetSessionWithCallback(final YunCengGetSessionListener listener) {
        new Thread(new Runnable() { // from class: com.aliyun.security.yunceng.android.sdk.YunCeng.5
            @Override // java.lang.Runnable
            public void run() {
                StringBuffer session = new StringBuffer();
                for (int ret = YunCeng.GetSession(session); ret != 0; ret = YunCeng.GetSession(session)) {
                    try {
                        Thread.sleep(100L);
                    } catch (InterruptedException e2) {
                    }
                }
                YunCengGetSessionListener.this.OnGetSessionFinished(session.toString());
            }
        }).start();
    }

    public static URL getYunCengURL(URL url) {
        if (g) {
            return e.a(url);
        }
        return url;
    }
}
