package com.aliyun.security.yunceng.android.sdk.traceroute;

import android.content.Context;
import android.net.ConnectivityManager;
import android.net.DhcpInfo;
import android.net.NetworkInfo;
import android.net.Proxy;
import android.net.wifi.WifiInfo;
import android.net.wifi.WifiManager;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.Inet4Address;
import java.net.InetAddress;
import java.net.NetworkInterface;
import java.net.UnknownHostException;
import java.util.Enumeration;
/* loaded from: classes.dex */
public class d {

    /* renamed from: a  reason: collision with root package name */
    public static final String f110a = "UNKNOWN";
    public static final String b = "WAP";
    public static final String c = "WIFI";

    public static String a(Context context) {
        if (context == null) {
            return b;
        }
        ConnectivityManager manager = (ConnectivityManager) context.getSystemService("connectivity");
        if (manager == null) {
            return "ConnectivityManager not found";
        }
        NetworkInfo networkInfo = manager.getActiveNetworkInfo();
        if (networkInfo != null && networkInfo.isConnected()) {
            String type = networkInfo.getTypeName();
            if (type.equalsIgnoreCase(c)) {
                return c;
            }
            if (!type.equalsIgnoreCase("MOBILE")) {
                return null;
            }
            String proxyHost = Proxy.getDefaultHost();
            if (TextUtils.isEmpty(proxyHost)) {
                String mNetWorkType = f(context);
                return mNetWorkType;
            }
            return b;
        }
        return f110a;
    }

    public static Boolean b(Context context) {
        if (context == null) {
            return true;
        }
        ConnectivityManager manager = (ConnectivityManager) context.getApplicationContext().getSystemService("connectivity");
        if (manager == null) {
            return false;
        }
        NetworkInfo networkinfo = manager.getActiveNetworkInfo();
        if (networkinfo != null && networkinfo.isAvailable()) {
            return true;
        }
        return false;
    }

    public static String c(Context context) {
        TelephonyManager telManager;
        String operator;
        if (context != null && (telManager = (TelephonyManager) context.getSystemService("phone")) != null && (operator = telManager.getSimOperator()) != null) {
            if (operator.equals("46000") || operator.equals("46002") || operator.equals("46007")) {
                return "中国移动";
            }
            if (operator.equals("46001")) {
                return "中国联通";
            }
            if (operator.equals("46003")) {
                return "中国电信";
            }
        }
        return "未知运营商";
    }

    public static String d(Context context) {
        if (context == null) {
            return "127.0.0.1";
        }
        WifiManager wifiManager = (WifiManager) context.getSystemService("wifi");
        if (wifiManager == null) {
            return "wifiManager not found";
        }
        WifiInfo wifiInfo = wifiManager.getConnectionInfo();
        if (wifiInfo == null) {
            return "wifiInfo not found";
        }
        int ipAddress = wifiInfo.getIpAddress();
        return String.format("%d.%d.%d.%d", Integer.valueOf(ipAddress & 255), Integer.valueOf((ipAddress >> 8) & 255), Integer.valueOf((ipAddress >> 16) & 255), Integer.valueOf((ipAddress >> 24) & 255));
    }

    public static String a() {
        try {
            Enumeration<NetworkInterface> en = NetworkInterface.getNetworkInterfaces();
            while (en.hasMoreElements()) {
                NetworkInterface intf = en.nextElement();
                Enumeration<InetAddress> enumIpAddr = intf.getInetAddresses();
                while (enumIpAddr.hasMoreElements()) {
                    InetAddress inetAddress = enumIpAddr.nextElement();
                    if (!inetAddress.isLoopbackAddress() && (inetAddress instanceof Inet4Address)) {
                        return inetAddress.getHostAddress().toString();
                    }
                }
            }
            return null;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    public static String e(Context context) {
        if (context == null) {
            return "127.0.0.1";
        }
        WifiManager wifiManager = (WifiManager) context.getSystemService("wifi");
        if (wifiManager == null) {
            return "wifiManager not found";
        }
        DhcpInfo dhcpInfo = wifiManager.getDhcpInfo();
        if (dhcpInfo == null) {
            return null;
        }
        int tmp = dhcpInfo.gateway;
        String gateWay = String.format("%d.%d.%d.%d", Integer.valueOf(tmp & 255), Integer.valueOf((tmp >> 8) & 255), Integer.valueOf((tmp >> 16) & 255), Integer.valueOf((tmp >> 24) & 255));
        return gateWay;
    }

    public static String a(String dns) {
        Process process = null;
        String str = "";
        BufferedReader reader = null;
        try {
            try {
                try {
                    process = Runtime.getRuntime().exec("getprop net." + dns);
                    reader = new BufferedReader(new InputStreamReader(process.getInputStream()));
                    while (true) {
                        String line = reader.readLine();
                        if (line == null) {
                            break;
                        }
                        str = str + line;
                    }
                    reader.close();
                    process.waitFor();
                    reader.close();
                    process.destroy();
                } catch (Exception e) {
                }
            } catch (IOException e2) {
                e2.printStackTrace();
                if (reader != null) {
                    reader.close();
                }
                process.destroy();
            } catch (InterruptedException e3) {
                e3.printStackTrace();
                if (reader != null) {
                    reader.close();
                }
                process.destroy();
            }
            return str.trim();
        } catch (Throwable th) {
            if (0 != 0) {
                try {
                    reader.close();
                } catch (Exception e4) {
                    throw th;
                }
            }
            process.destroy();
            throw th;
        }
    }

    public static InetAddress b(String _dormain) {
        InetAddress remoteInet = null;
        try {
            remoteInet = InetAddress.getByName(_dormain);
            if (remoteInet != null) {
                if (remoteInet.getHostAddress().equals("0.0.0.0")) {
                    return null;
                }
            }
        } catch (UnknownHostException e) {
        }
        return remoteInet;
    }

    private static String f(Context context) {
        if (context == null) {
            return f110a;
        }
        TelephonyManager telephonyManager = (TelephonyManager) context.getSystemService("phone");
        if (telephonyManager != null) {
            switch (telephonyManager.getNetworkType()) {
                case 0:
                    return f110a;
                case 1:
                    return "2G";
                case 2:
                    return "2G";
                case 3:
                    return "3G";
                case 4:
                    return "2G";
                case 5:
                    return "3G";
                case 6:
                    return "3G";
                case 7:
                    return "2G";
                case 8:
                    return "3G";
                case 9:
                    return "3G";
                case 10:
                    return "3G";
                case 11:
                    return "2G";
                case 12:
                    return "3G";
                case 13:
                    return "4G";
                case 14:
                    return "3G";
                case 15:
                    return "3G";
                default:
                    return "4G";
            }
        }
        return "TM==null";
    }

    public static String a(InputStream is) {
        byte[] bytes = new byte[1024];
        String res = "";
        while (true) {
            try {
                try {
                    try {
                        int len = is.read(bytes);
                        if (len == -1) {
                            break;
                        }
                        res = res + new String(bytes, 0, len, "gbk");
                    } catch (IOException e) {
                        e.printStackTrace();
                        if (is != null) {
                            is.close();
                        }
                    }
                } catch (Throwable th) {
                    if (is != null) {
                        try {
                            is.close();
                        } catch (IOException e2) {
                            e2.printStackTrace();
                        }
                    }
                    throw th;
                }
            } catch (IOException e3) {
                e3.printStackTrace();
            }
        }
        if (is != null) {
            is.close();
        }
        return res;
    }
}
