package com.baidu.location;

import android.location.Location;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import com.baidu.location.Address;
import com.baidu.location.g.k;
import com.baidu.mapsdkplatform.comapi.location.CoordinateType;
import java.util.ArrayList;
import java.util.List;
import java.util.Locale;
import org.json.JSONArray;
import org.json.JSONObject;
/* loaded from: classes.dex */
public final class BDLocation implements Parcelable {
    public static final String BDLOCATION_BD09LL_TO_GCJ02 = "bd09ll2gcj";
    public static final String BDLOCATION_BD09_TO_GCJ02 = "bd092gcj";
    public static final String BDLOCATION_GCJ02_TO_BD09 = "bd09";
    public static final String BDLOCATION_GCJ02_TO_BD09LL = "bd09ll";
    public static final String BDLOCATION_WGS84_TO_GCJ02 = "gps2gcj";
    public static final Parcelable.Creator<BDLocation> CREATOR = new a();
    public static final int GPS_ACCURACY_BAD = 3;
    public static final int GPS_ACCURACY_GOOD = 1;
    public static final int GPS_ACCURACY_MID = 2;
    public static final int GPS_ACCURACY_UNKNOWN = 0;
    public static final int GPS_RECTIFY_INDOOR = 1;
    public static final int GPS_RECTIFY_NONE = 0;
    public static final int GPS_RECTIFY_OUTDOOR = 2;
    public static final int INDOOR_LOCATION_NEARBY_SURPPORT_TRUE = 2;
    public static final int INDOOR_LOCATION_SOURCE_BLUETOOTH = 4;
    public static final int INDOOR_LOCATION_SOURCE_MAGNETIC = 2;
    public static final int INDOOR_LOCATION_SOURCE_SMALLCELLSTATION = 8;
    public static final int INDOOR_LOCATION_SOURCE_UNKNOWN = 0;
    public static final int INDOOR_LOCATION_SOURCE_WIFI = 1;
    public static final int INDOOR_LOCATION_SURPPORT_FALSE = 0;
    public static final int INDOOR_LOCATION_SURPPORT_TRUE = 1;
    public static final int INDOOR_NETWORK_STATE_HIGH = 2;
    public static final int INDOOR_NETWORK_STATE_LOW = 0;
    public static final int INDOOR_NETWORK_STATE_MIDDLE = 1;
    public static final int LOCATION_WHERE_IN_CN = 1;
    public static final int LOCATION_WHERE_OUT_CN = 0;
    public static final int LOCATION_WHERE_UNKNOW = 2;
    public static final int OPERATORS_TYPE_MOBILE = 1;
    public static final int OPERATORS_TYPE_TELECOMU = 3;
    public static final int OPERATORS_TYPE_UNICOM = 2;
    public static final int OPERATORS_TYPE_UNKONW = 0;
    public static final int TypeCacheLocation = 65;
    public static final int TypeCriteriaException = 62;
    public static final int TypeGpsLocation = 61;
    public static final int TypeNetWorkException = 63;
    public static final int TypeNetWorkLocation = 161;
    public static final int TypeNone = 0;
    public static final int TypeOffLineLocation = 66;
    public static final int TypeOffLineLocationFail = 67;
    public static final int TypeOffLineLocationNetworkFail = 68;
    public static final int TypeServerCheckKeyError = 505;
    public static final int TypeServerDecryptError = 162;
    public static final int TypeServerError = 167;
    public static final int USER_INDDOR_TRUE = 1;
    public static final int USER_INDOOR_FALSE = 0;
    public static final int USER_INDOOR_UNKNOW = -1;
    private int A;
    private String B;
    private int C;
    private String D;
    private int E;
    private int F;
    private int G;
    private int H;
    private String I;
    private String J;
    private String K;
    private List<Poi> L;
    private String M;
    private String N;
    private String O;
    private Bundle P;
    private int Q;
    private int R;
    private long S;
    private String T;
    private double U;
    private double V;
    private boolean W;
    private PoiRegion X;
    private float Y;

    /* renamed from: a  reason: collision with root package name */
    private int f139a;
    private String b;
    private double c;
    private double d;
    private boolean e;
    private double f;
    private boolean g;
    private float h;
    private boolean i;
    private float j;
    private boolean k;
    private int l;
    private float m;
    private String n;
    private boolean o;
    private String p;
    private String q;
    private String r;
    private String s;
    private boolean t;
    private Address u;
    private String v;
    private String w;
    private String x;
    private boolean y;
    private int z;

    public BDLocation() {
        this.f139a = 0;
        this.b = null;
        this.c = Double.MIN_VALUE;
        this.d = Double.MIN_VALUE;
        this.e = false;
        this.f = Double.MIN_VALUE;
        this.g = false;
        this.h = 0.0f;
        this.i = false;
        this.j = 0.0f;
        this.k = false;
        this.l = -1;
        this.m = -1.0f;
        this.n = null;
        this.o = false;
        this.p = null;
        this.q = null;
        this.r = null;
        this.s = null;
        this.t = false;
        this.u = new Address.Builder().build();
        this.v = null;
        this.w = null;
        this.x = null;
        this.y = false;
        this.z = 0;
        this.A = 1;
        this.B = null;
        this.D = "";
        this.E = -1;
        this.F = 0;
        this.G = 2;
        this.H = 0;
        this.I = null;
        this.J = null;
        this.K = null;
        this.L = null;
        this.M = null;
        this.N = null;
        this.O = null;
        this.P = new Bundle();
        this.Q = 0;
        this.R = 0;
        this.S = 0L;
        this.T = null;
        this.U = Double.MIN_VALUE;
        this.V = Double.MIN_VALUE;
        this.W = false;
        this.X = null;
        this.Y = -1.0f;
    }

    private BDLocation(Parcel parcel) {
        this.f139a = 0;
        this.b = null;
        this.c = Double.MIN_VALUE;
        this.d = Double.MIN_VALUE;
        this.e = false;
        this.f = Double.MIN_VALUE;
        this.g = false;
        this.h = 0.0f;
        this.i = false;
        this.j = 0.0f;
        this.k = false;
        this.l = -1;
        this.m = -1.0f;
        this.n = null;
        this.o = false;
        this.p = null;
        this.q = null;
        this.r = null;
        this.s = null;
        this.t = false;
        this.u = new Address.Builder().build();
        this.v = null;
        this.w = null;
        this.x = null;
        this.y = false;
        this.z = 0;
        this.A = 1;
        this.B = null;
        this.D = "";
        this.E = -1;
        this.F = 0;
        this.G = 2;
        this.H = 0;
        this.I = null;
        this.J = null;
        this.K = null;
        this.L = null;
        this.M = null;
        this.N = null;
        this.O = null;
        this.P = new Bundle();
        this.Q = 0;
        this.R = 0;
        this.S = 0L;
        this.T = null;
        this.U = Double.MIN_VALUE;
        this.V = Double.MIN_VALUE;
        this.W = false;
        this.X = null;
        this.Y = -1.0f;
        this.f139a = parcel.readInt();
        this.b = parcel.readString();
        this.c = parcel.readDouble();
        this.d = parcel.readDouble();
        this.f = parcel.readDouble();
        this.h = parcel.readFloat();
        this.j = parcel.readFloat();
        this.l = parcel.readInt();
        this.m = parcel.readFloat();
        this.v = parcel.readString();
        this.z = parcel.readInt();
        this.w = parcel.readString();
        this.x = parcel.readString();
        this.B = parcel.readString();
        String readString = parcel.readString();
        String readString2 = parcel.readString();
        String readString3 = parcel.readString();
        String readString4 = parcel.readString();
        String readString5 = parcel.readString();
        String readString6 = parcel.readString();
        parcel.readString();
        String readString7 = parcel.readString();
        String readString8 = parcel.readString();
        String readString9 = parcel.readString();
        this.u = new Address.Builder().country(readString7).countryCode(readString8).province(readString).city(readString2).cityCode(readString6).district(readString3).street(readString4).streetNumber(readString5).adcode(readString9).town(parcel.readString()).build();
        boolean[] zArr = new boolean[8];
        this.C = parcel.readInt();
        this.D = parcel.readString();
        this.q = parcel.readString();
        this.r = parcel.readString();
        this.s = parcel.readString();
        this.A = parcel.readInt();
        this.M = parcel.readString();
        this.E = parcel.readInt();
        this.F = parcel.readInt();
        this.G = parcel.readInt();
        this.H = parcel.readInt();
        this.I = parcel.readString();
        this.J = parcel.readString();
        this.K = parcel.readString();
        this.Q = parcel.readInt();
        this.N = parcel.readString();
        this.R = parcel.readInt();
        this.O = parcel.readString();
        this.T = parcel.readString();
        this.S = parcel.readLong();
        this.U = parcel.readDouble();
        this.V = parcel.readDouble();
        this.Y = parcel.readFloat();
        try {
            parcel.readBooleanArray(zArr);
            this.e = zArr[0];
            this.g = zArr[1];
            this.i = zArr[2];
            this.k = zArr[3];
            this.o = zArr[4];
            this.t = zArr[5];
            this.y = zArr[6];
            this.W = zArr[7];
        } catch (Exception e) {
        }
        ArrayList arrayList = new ArrayList();
        try {
            parcel.readList(arrayList, Poi.class.getClassLoader());
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        if (arrayList.size() == 0) {
            this.L = null;
        } else {
            this.L = arrayList;
        }
        try {
            this.P = parcel.readBundle();
        } catch (Exception e3) {
            e3.printStackTrace();
            this.P = new Bundle();
        }
        try {
            this.X = (PoiRegion) parcel.readParcelable(PoiRegion.class.getClassLoader());
        } catch (Exception e4) {
            this.X = null;
            e4.printStackTrace();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public /* synthetic */ BDLocation(Parcel parcel, a aVar) {
        this(parcel);
    }

    public BDLocation(BDLocation bDLocation) {
        this.f139a = 0;
        ArrayList arrayList = null;
        this.b = null;
        this.c = Double.MIN_VALUE;
        this.d = Double.MIN_VALUE;
        this.e = false;
        this.f = Double.MIN_VALUE;
        this.g = false;
        this.h = 0.0f;
        this.i = false;
        this.j = 0.0f;
        this.k = false;
        this.l = -1;
        this.m = -1.0f;
        this.n = null;
        this.o = false;
        this.p = null;
        this.q = null;
        this.r = null;
        this.s = null;
        this.t = false;
        this.u = new Address.Builder().build();
        this.v = null;
        this.w = null;
        this.x = null;
        this.y = false;
        this.z = 0;
        this.A = 1;
        this.B = null;
        this.D = "";
        this.E = -1;
        this.F = 0;
        this.G = 2;
        this.H = 0;
        this.I = null;
        this.J = null;
        this.K = null;
        this.L = null;
        this.M = null;
        this.N = null;
        this.O = null;
        this.P = new Bundle();
        this.Q = 0;
        this.R = 0;
        this.S = 0L;
        this.T = null;
        this.U = Double.MIN_VALUE;
        this.V = Double.MIN_VALUE;
        this.W = false;
        this.X = null;
        this.Y = -1.0f;
        this.f139a = bDLocation.f139a;
        this.b = bDLocation.b;
        this.c = bDLocation.c;
        this.d = bDLocation.d;
        this.e = bDLocation.e;
        this.f = bDLocation.f;
        this.g = bDLocation.g;
        this.h = bDLocation.h;
        this.i = bDLocation.i;
        this.j = bDLocation.j;
        this.k = bDLocation.k;
        this.l = bDLocation.l;
        this.m = bDLocation.m;
        this.n = bDLocation.n;
        this.o = bDLocation.o;
        this.p = bDLocation.p;
        this.t = bDLocation.t;
        this.u = new Address.Builder().country(bDLocation.u.country).countryCode(bDLocation.u.countryCode).province(bDLocation.u.province).city(bDLocation.u.city).cityCode(bDLocation.u.cityCode).district(bDLocation.u.district).street(bDLocation.u.street).streetNumber(bDLocation.u.streetNumber).adcode(bDLocation.u.adcode).town(bDLocation.u.town).build();
        this.v = bDLocation.v;
        this.w = bDLocation.w;
        this.x = bDLocation.x;
        this.A = bDLocation.A;
        this.z = bDLocation.z;
        this.y = bDLocation.y;
        this.B = bDLocation.B;
        this.C = bDLocation.C;
        this.D = bDLocation.D;
        this.q = bDLocation.q;
        this.r = bDLocation.r;
        this.s = bDLocation.s;
        this.E = bDLocation.E;
        this.F = bDLocation.F;
        this.G = bDLocation.F;
        this.H = bDLocation.H;
        this.I = bDLocation.I;
        this.J = bDLocation.J;
        this.K = bDLocation.K;
        this.Q = bDLocation.Q;
        this.O = bDLocation.O;
        this.U = bDLocation.U;
        this.V = bDLocation.V;
        this.S = bDLocation.S;
        this.N = bDLocation.N;
        if (bDLocation.L != null) {
            arrayList = new ArrayList();
            for (int i = 0; i < bDLocation.L.size(); i++) {
                Poi poi = bDLocation.L.get(i);
                arrayList.add(new Poi(poi.getId(), poi.getName(), poi.getRank(), poi.getTags(), poi.getAddr()));
            }
        }
        this.L = arrayList;
        this.M = bDLocation.M;
        this.P = bDLocation.P;
        this.R = bDLocation.R;
        this.W = bDLocation.W;
        this.X = bDLocation.X;
        this.Y = bDLocation.Y;
    }

    /* JADX WARN: Removed duplicated region for block: B:203:0x0421 A[Catch: Exception -> 0x06d7, Error -> 0x06db, TryCatch #8 {Exception -> 0x06d7, blocks: (B:8:0x009f, B:11:0x00d2, B:22:0x014d, B:25:0x0153, B:26:0x0158, B:29:0x0162, B:32:0x0193, B:34:0x019d, B:36:0x01a7, B:37:0x01aa, B:38:0x01ac, B:40:0x01b2, B:41:0x01c2, B:43:0x01c8, B:45:0x01e6, B:47:0x01f1, B:49:0x01f7, B:51:0x0200, B:52:0x020d, B:53:0x020f, B:55:0x0217, B:57:0x0223, B:58:0x0225, B:60:0x022d, B:62:0x023b, B:64:0x0243, B:66:0x024b, B:68:0x0253, B:70:0x025b, B:72:0x0263, B:73:0x026a, B:75:0x0272, B:77:0x027e, B:78:0x0280, B:86:0x0293, B:88:0x029b, B:90:0x02a3, B:92:0x02ab, B:94:0x02b3, B:96:0x02bb, B:98:0x02c3, B:100:0x02cb, B:102:0x02d3, B:104:0x02db, B:106:0x02e7, B:108:0x02ef, B:110:0x02fa, B:112:0x0302, B:114:0x030d, B:116:0x0315, B:118:0x0320, B:120:0x0328, B:122:0x0330, B:124:0x0338, B:203:0x0421, B:206:0x046a, B:208:0x0472, B:210:0x047e, B:211:0x0481, B:213:0x0489, B:215:0x0495, B:216:0x04a0, B:218:0x04a8, B:220:0x04b6, B:221:0x04b9, B:223:0x04c1, B:225:0x04cf, B:226:0x04d2, B:228:0x04da, B:230:0x04e8, B:231:0x04eb, B:233:0x04f3, B:235:0x04ff, B:236:0x0503, B:239:0x050c, B:240:0x0516, B:275:0x05ca, B:277:0x05d2, B:285:0x05f8, B:288:0x05fe, B:290:0x0609, B:291:0x0611, B:293:0x0619, B:304:0x0649, B:305:0x064c, B:315:0x0683, B:278:0x05dc, B:274:0x05c7, B:201:0x040e, B:205:0x045d, B:323:0x0696, B:324:0x069b), top: B:349:0x009f }] */
    /* JADX WARN: Removed duplicated region for block: B:204:0x045a  */
    /* JADX WARN: Removed duplicated region for block: B:208:0x0472 A[Catch: Exception -> 0x06d7, Error -> 0x06db, TryCatch #8 {Exception -> 0x06d7, blocks: (B:8:0x009f, B:11:0x00d2, B:22:0x014d, B:25:0x0153, B:26:0x0158, B:29:0x0162, B:32:0x0193, B:34:0x019d, B:36:0x01a7, B:37:0x01aa, B:38:0x01ac, B:40:0x01b2, B:41:0x01c2, B:43:0x01c8, B:45:0x01e6, B:47:0x01f1, B:49:0x01f7, B:51:0x0200, B:52:0x020d, B:53:0x020f, B:55:0x0217, B:57:0x0223, B:58:0x0225, B:60:0x022d, B:62:0x023b, B:64:0x0243, B:66:0x024b, B:68:0x0253, B:70:0x025b, B:72:0x0263, B:73:0x026a, B:75:0x0272, B:77:0x027e, B:78:0x0280, B:86:0x0293, B:88:0x029b, B:90:0x02a3, B:92:0x02ab, B:94:0x02b3, B:96:0x02bb, B:98:0x02c3, B:100:0x02cb, B:102:0x02d3, B:104:0x02db, B:106:0x02e7, B:108:0x02ef, B:110:0x02fa, B:112:0x0302, B:114:0x030d, B:116:0x0315, B:118:0x0320, B:120:0x0328, B:122:0x0330, B:124:0x0338, B:203:0x0421, B:206:0x046a, B:208:0x0472, B:210:0x047e, B:211:0x0481, B:213:0x0489, B:215:0x0495, B:216:0x04a0, B:218:0x04a8, B:220:0x04b6, B:221:0x04b9, B:223:0x04c1, B:225:0x04cf, B:226:0x04d2, B:228:0x04da, B:230:0x04e8, B:231:0x04eb, B:233:0x04f3, B:235:0x04ff, B:236:0x0503, B:239:0x050c, B:240:0x0516, B:275:0x05ca, B:277:0x05d2, B:285:0x05f8, B:288:0x05fe, B:290:0x0609, B:291:0x0611, B:293:0x0619, B:304:0x0649, B:305:0x064c, B:315:0x0683, B:278:0x05dc, B:274:0x05c7, B:201:0x040e, B:205:0x045d, B:323:0x0696, B:324:0x069b), top: B:349:0x009f }] */
    /* JADX WARN: Removed duplicated region for block: B:213:0x0489 A[Catch: Exception -> 0x06d7, Error -> 0x06db, TryCatch #8 {Exception -> 0x06d7, blocks: (B:8:0x009f, B:11:0x00d2, B:22:0x014d, B:25:0x0153, B:26:0x0158, B:29:0x0162, B:32:0x0193, B:34:0x019d, B:36:0x01a7, B:37:0x01aa, B:38:0x01ac, B:40:0x01b2, B:41:0x01c2, B:43:0x01c8, B:45:0x01e6, B:47:0x01f1, B:49:0x01f7, B:51:0x0200, B:52:0x020d, B:53:0x020f, B:55:0x0217, B:57:0x0223, B:58:0x0225, B:60:0x022d, B:62:0x023b, B:64:0x0243, B:66:0x024b, B:68:0x0253, B:70:0x025b, B:72:0x0263, B:73:0x026a, B:75:0x0272, B:77:0x027e, B:78:0x0280, B:86:0x0293, B:88:0x029b, B:90:0x02a3, B:92:0x02ab, B:94:0x02b3, B:96:0x02bb, B:98:0x02c3, B:100:0x02cb, B:102:0x02d3, B:104:0x02db, B:106:0x02e7, B:108:0x02ef, B:110:0x02fa, B:112:0x0302, B:114:0x030d, B:116:0x0315, B:118:0x0320, B:120:0x0328, B:122:0x0330, B:124:0x0338, B:203:0x0421, B:206:0x046a, B:208:0x0472, B:210:0x047e, B:211:0x0481, B:213:0x0489, B:215:0x0495, B:216:0x04a0, B:218:0x04a8, B:220:0x04b6, B:221:0x04b9, B:223:0x04c1, B:225:0x04cf, B:226:0x04d2, B:228:0x04da, B:230:0x04e8, B:231:0x04eb, B:233:0x04f3, B:235:0x04ff, B:236:0x0503, B:239:0x050c, B:240:0x0516, B:275:0x05ca, B:277:0x05d2, B:285:0x05f8, B:288:0x05fe, B:290:0x0609, B:291:0x0611, B:293:0x0619, B:304:0x0649, B:305:0x064c, B:315:0x0683, B:278:0x05dc, B:274:0x05c7, B:201:0x040e, B:205:0x045d, B:323:0x0696, B:324:0x069b), top: B:349:0x009f }] */
    /* JADX WARN: Removed duplicated region for block: B:218:0x04a8 A[Catch: Exception -> 0x06d7, Error -> 0x06db, TryCatch #8 {Exception -> 0x06d7, blocks: (B:8:0x009f, B:11:0x00d2, B:22:0x014d, B:25:0x0153, B:26:0x0158, B:29:0x0162, B:32:0x0193, B:34:0x019d, B:36:0x01a7, B:37:0x01aa, B:38:0x01ac, B:40:0x01b2, B:41:0x01c2, B:43:0x01c8, B:45:0x01e6, B:47:0x01f1, B:49:0x01f7, B:51:0x0200, B:52:0x020d, B:53:0x020f, B:55:0x0217, B:57:0x0223, B:58:0x0225, B:60:0x022d, B:62:0x023b, B:64:0x0243, B:66:0x024b, B:68:0x0253, B:70:0x025b, B:72:0x0263, B:73:0x026a, B:75:0x0272, B:77:0x027e, B:78:0x0280, B:86:0x0293, B:88:0x029b, B:90:0x02a3, B:92:0x02ab, B:94:0x02b3, B:96:0x02bb, B:98:0x02c3, B:100:0x02cb, B:102:0x02d3, B:104:0x02db, B:106:0x02e7, B:108:0x02ef, B:110:0x02fa, B:112:0x0302, B:114:0x030d, B:116:0x0315, B:118:0x0320, B:120:0x0328, B:122:0x0330, B:124:0x0338, B:203:0x0421, B:206:0x046a, B:208:0x0472, B:210:0x047e, B:211:0x0481, B:213:0x0489, B:215:0x0495, B:216:0x04a0, B:218:0x04a8, B:220:0x04b6, B:221:0x04b9, B:223:0x04c1, B:225:0x04cf, B:226:0x04d2, B:228:0x04da, B:230:0x04e8, B:231:0x04eb, B:233:0x04f3, B:235:0x04ff, B:236:0x0503, B:239:0x050c, B:240:0x0516, B:275:0x05ca, B:277:0x05d2, B:285:0x05f8, B:288:0x05fe, B:290:0x0609, B:291:0x0611, B:293:0x0619, B:304:0x0649, B:305:0x064c, B:315:0x0683, B:278:0x05dc, B:274:0x05c7, B:201:0x040e, B:205:0x045d, B:323:0x0696, B:324:0x069b), top: B:349:0x009f }] */
    /* JADX WARN: Removed duplicated region for block: B:223:0x04c1 A[Catch: Exception -> 0x06d7, Error -> 0x06db, TryCatch #8 {Exception -> 0x06d7, blocks: (B:8:0x009f, B:11:0x00d2, B:22:0x014d, B:25:0x0153, B:26:0x0158, B:29:0x0162, B:32:0x0193, B:34:0x019d, B:36:0x01a7, B:37:0x01aa, B:38:0x01ac, B:40:0x01b2, B:41:0x01c2, B:43:0x01c8, B:45:0x01e6, B:47:0x01f1, B:49:0x01f7, B:51:0x0200, B:52:0x020d, B:53:0x020f, B:55:0x0217, B:57:0x0223, B:58:0x0225, B:60:0x022d, B:62:0x023b, B:64:0x0243, B:66:0x024b, B:68:0x0253, B:70:0x025b, B:72:0x0263, B:73:0x026a, B:75:0x0272, B:77:0x027e, B:78:0x0280, B:86:0x0293, B:88:0x029b, B:90:0x02a3, B:92:0x02ab, B:94:0x02b3, B:96:0x02bb, B:98:0x02c3, B:100:0x02cb, B:102:0x02d3, B:104:0x02db, B:106:0x02e7, B:108:0x02ef, B:110:0x02fa, B:112:0x0302, B:114:0x030d, B:116:0x0315, B:118:0x0320, B:120:0x0328, B:122:0x0330, B:124:0x0338, B:203:0x0421, B:206:0x046a, B:208:0x0472, B:210:0x047e, B:211:0x0481, B:213:0x0489, B:215:0x0495, B:216:0x04a0, B:218:0x04a8, B:220:0x04b6, B:221:0x04b9, B:223:0x04c1, B:225:0x04cf, B:226:0x04d2, B:228:0x04da, B:230:0x04e8, B:231:0x04eb, B:233:0x04f3, B:235:0x04ff, B:236:0x0503, B:239:0x050c, B:240:0x0516, B:275:0x05ca, B:277:0x05d2, B:285:0x05f8, B:288:0x05fe, B:290:0x0609, B:291:0x0611, B:293:0x0619, B:304:0x0649, B:305:0x064c, B:315:0x0683, B:278:0x05dc, B:274:0x05c7, B:201:0x040e, B:205:0x045d, B:323:0x0696, B:324:0x069b), top: B:349:0x009f }] */
    /* JADX WARN: Removed duplicated region for block: B:228:0x04da A[Catch: Exception -> 0x06d7, Error -> 0x06db, TryCatch #8 {Exception -> 0x06d7, blocks: (B:8:0x009f, B:11:0x00d2, B:22:0x014d, B:25:0x0153, B:26:0x0158, B:29:0x0162, B:32:0x0193, B:34:0x019d, B:36:0x01a7, B:37:0x01aa, B:38:0x01ac, B:40:0x01b2, B:41:0x01c2, B:43:0x01c8, B:45:0x01e6, B:47:0x01f1, B:49:0x01f7, B:51:0x0200, B:52:0x020d, B:53:0x020f, B:55:0x0217, B:57:0x0223, B:58:0x0225, B:60:0x022d, B:62:0x023b, B:64:0x0243, B:66:0x024b, B:68:0x0253, B:70:0x025b, B:72:0x0263, B:73:0x026a, B:75:0x0272, B:77:0x027e, B:78:0x0280, B:86:0x0293, B:88:0x029b, B:90:0x02a3, B:92:0x02ab, B:94:0x02b3, B:96:0x02bb, B:98:0x02c3, B:100:0x02cb, B:102:0x02d3, B:104:0x02db, B:106:0x02e7, B:108:0x02ef, B:110:0x02fa, B:112:0x0302, B:114:0x030d, B:116:0x0315, B:118:0x0320, B:120:0x0328, B:122:0x0330, B:124:0x0338, B:203:0x0421, B:206:0x046a, B:208:0x0472, B:210:0x047e, B:211:0x0481, B:213:0x0489, B:215:0x0495, B:216:0x04a0, B:218:0x04a8, B:220:0x04b6, B:221:0x04b9, B:223:0x04c1, B:225:0x04cf, B:226:0x04d2, B:228:0x04da, B:230:0x04e8, B:231:0x04eb, B:233:0x04f3, B:235:0x04ff, B:236:0x0503, B:239:0x050c, B:240:0x0516, B:275:0x05ca, B:277:0x05d2, B:285:0x05f8, B:288:0x05fe, B:290:0x0609, B:291:0x0611, B:293:0x0619, B:304:0x0649, B:305:0x064c, B:315:0x0683, B:278:0x05dc, B:274:0x05c7, B:201:0x040e, B:205:0x045d, B:323:0x0696, B:324:0x069b), top: B:349:0x009f }] */
    /* JADX WARN: Removed duplicated region for block: B:233:0x04f3 A[Catch: Exception -> 0x06d7, Error -> 0x06db, TryCatch #8 {Exception -> 0x06d7, blocks: (B:8:0x009f, B:11:0x00d2, B:22:0x014d, B:25:0x0153, B:26:0x0158, B:29:0x0162, B:32:0x0193, B:34:0x019d, B:36:0x01a7, B:37:0x01aa, B:38:0x01ac, B:40:0x01b2, B:41:0x01c2, B:43:0x01c8, B:45:0x01e6, B:47:0x01f1, B:49:0x01f7, B:51:0x0200, B:52:0x020d, B:53:0x020f, B:55:0x0217, B:57:0x0223, B:58:0x0225, B:60:0x022d, B:62:0x023b, B:64:0x0243, B:66:0x024b, B:68:0x0253, B:70:0x025b, B:72:0x0263, B:73:0x026a, B:75:0x0272, B:77:0x027e, B:78:0x0280, B:86:0x0293, B:88:0x029b, B:90:0x02a3, B:92:0x02ab, B:94:0x02b3, B:96:0x02bb, B:98:0x02c3, B:100:0x02cb, B:102:0x02d3, B:104:0x02db, B:106:0x02e7, B:108:0x02ef, B:110:0x02fa, B:112:0x0302, B:114:0x030d, B:116:0x0315, B:118:0x0320, B:120:0x0328, B:122:0x0330, B:124:0x0338, B:203:0x0421, B:206:0x046a, B:208:0x0472, B:210:0x047e, B:211:0x0481, B:213:0x0489, B:215:0x0495, B:216:0x04a0, B:218:0x04a8, B:220:0x04b6, B:221:0x04b9, B:223:0x04c1, B:225:0x04cf, B:226:0x04d2, B:228:0x04da, B:230:0x04e8, B:231:0x04eb, B:233:0x04f3, B:235:0x04ff, B:236:0x0503, B:239:0x050c, B:240:0x0516, B:275:0x05ca, B:277:0x05d2, B:285:0x05f8, B:288:0x05fe, B:290:0x0609, B:291:0x0611, B:293:0x0619, B:304:0x0649, B:305:0x064c, B:315:0x0683, B:278:0x05dc, B:274:0x05c7, B:201:0x040e, B:205:0x045d, B:323:0x0696, B:324:0x069b), top: B:349:0x009f }] */
    /* JADX WARN: Removed duplicated region for block: B:277:0x05d2 A[Catch: Exception -> 0x06d7, Error -> 0x06db, TryCatch #8 {Exception -> 0x06d7, blocks: (B:8:0x009f, B:11:0x00d2, B:22:0x014d, B:25:0x0153, B:26:0x0158, B:29:0x0162, B:32:0x0193, B:34:0x019d, B:36:0x01a7, B:37:0x01aa, B:38:0x01ac, B:40:0x01b2, B:41:0x01c2, B:43:0x01c8, B:45:0x01e6, B:47:0x01f1, B:49:0x01f7, B:51:0x0200, B:52:0x020d, B:53:0x020f, B:55:0x0217, B:57:0x0223, B:58:0x0225, B:60:0x022d, B:62:0x023b, B:64:0x0243, B:66:0x024b, B:68:0x0253, B:70:0x025b, B:72:0x0263, B:73:0x026a, B:75:0x0272, B:77:0x027e, B:78:0x0280, B:86:0x0293, B:88:0x029b, B:90:0x02a3, B:92:0x02ab, B:94:0x02b3, B:96:0x02bb, B:98:0x02c3, B:100:0x02cb, B:102:0x02d3, B:104:0x02db, B:106:0x02e7, B:108:0x02ef, B:110:0x02fa, B:112:0x0302, B:114:0x030d, B:116:0x0315, B:118:0x0320, B:120:0x0328, B:122:0x0330, B:124:0x0338, B:203:0x0421, B:206:0x046a, B:208:0x0472, B:210:0x047e, B:211:0x0481, B:213:0x0489, B:215:0x0495, B:216:0x04a0, B:218:0x04a8, B:220:0x04b6, B:221:0x04b9, B:223:0x04c1, B:225:0x04cf, B:226:0x04d2, B:228:0x04da, B:230:0x04e8, B:231:0x04eb, B:233:0x04f3, B:235:0x04ff, B:236:0x0503, B:239:0x050c, B:240:0x0516, B:275:0x05ca, B:277:0x05d2, B:285:0x05f8, B:288:0x05fe, B:290:0x0609, B:291:0x0611, B:293:0x0619, B:304:0x0649, B:305:0x064c, B:315:0x0683, B:278:0x05dc, B:274:0x05c7, B:201:0x040e, B:205:0x045d, B:323:0x0696, B:324:0x069b), top: B:349:0x009f }] */
    /* JADX WARN: Removed duplicated region for block: B:278:0x05dc A[Catch: Exception -> 0x06d7, Error -> 0x06db, TRY_LEAVE, TryCatch #8 {Exception -> 0x06d7, blocks: (B:8:0x009f, B:11:0x00d2, B:22:0x014d, B:25:0x0153, B:26:0x0158, B:29:0x0162, B:32:0x0193, B:34:0x019d, B:36:0x01a7, B:37:0x01aa, B:38:0x01ac, B:40:0x01b2, B:41:0x01c2, B:43:0x01c8, B:45:0x01e6, B:47:0x01f1, B:49:0x01f7, B:51:0x0200, B:52:0x020d, B:53:0x020f, B:55:0x0217, B:57:0x0223, B:58:0x0225, B:60:0x022d, B:62:0x023b, B:64:0x0243, B:66:0x024b, B:68:0x0253, B:70:0x025b, B:72:0x0263, B:73:0x026a, B:75:0x0272, B:77:0x027e, B:78:0x0280, B:86:0x0293, B:88:0x029b, B:90:0x02a3, B:92:0x02ab, B:94:0x02b3, B:96:0x02bb, B:98:0x02c3, B:100:0x02cb, B:102:0x02d3, B:104:0x02db, B:106:0x02e7, B:108:0x02ef, B:110:0x02fa, B:112:0x0302, B:114:0x030d, B:116:0x0315, B:118:0x0320, B:120:0x0328, B:122:0x0330, B:124:0x0338, B:203:0x0421, B:206:0x046a, B:208:0x0472, B:210:0x047e, B:211:0x0481, B:213:0x0489, B:215:0x0495, B:216:0x04a0, B:218:0x04a8, B:220:0x04b6, B:221:0x04b9, B:223:0x04c1, B:225:0x04cf, B:226:0x04d2, B:228:0x04da, B:230:0x04e8, B:231:0x04eb, B:233:0x04f3, B:235:0x04ff, B:236:0x0503, B:239:0x050c, B:240:0x0516, B:275:0x05ca, B:277:0x05d2, B:285:0x05f8, B:288:0x05fe, B:290:0x0609, B:291:0x0611, B:293:0x0619, B:304:0x0649, B:305:0x064c, B:315:0x0683, B:278:0x05dc, B:274:0x05c7, B:201:0x040e, B:205:0x045d, B:323:0x0696, B:324:0x069b), top: B:349:0x009f }] */
    /* JADX WARN: Removed duplicated region for block: B:281:0x05e6 A[Catch: Exception -> 0x05f7, Error -> 0x06db, TryCatch #7 {Exception -> 0x05f7, blocks: (B:279:0x05e0, B:281:0x05e6, B:282:0x05f2), top: B:348:0x05e0 }] */
    /* JADX WARN: Removed duplicated region for block: B:282:0x05f2 A[Catch: Exception -> 0x05f7, Error -> 0x06db, TRY_LEAVE, TryCatch #7 {Exception -> 0x05f7, blocks: (B:279:0x05e0, B:281:0x05e6, B:282:0x05f2), top: B:348:0x05e0 }] */
    /* JADX WARN: Removed duplicated region for block: B:287:0x05fc  */
    /* JADX WARN: Removed duplicated region for block: B:290:0x0609 A[Catch: Exception -> 0x06d7, Error -> 0x06db, TryCatch #8 {Exception -> 0x06d7, blocks: (B:8:0x009f, B:11:0x00d2, B:22:0x014d, B:25:0x0153, B:26:0x0158, B:29:0x0162, B:32:0x0193, B:34:0x019d, B:36:0x01a7, B:37:0x01aa, B:38:0x01ac, B:40:0x01b2, B:41:0x01c2, B:43:0x01c8, B:45:0x01e6, B:47:0x01f1, B:49:0x01f7, B:51:0x0200, B:52:0x020d, B:53:0x020f, B:55:0x0217, B:57:0x0223, B:58:0x0225, B:60:0x022d, B:62:0x023b, B:64:0x0243, B:66:0x024b, B:68:0x0253, B:70:0x025b, B:72:0x0263, B:73:0x026a, B:75:0x0272, B:77:0x027e, B:78:0x0280, B:86:0x0293, B:88:0x029b, B:90:0x02a3, B:92:0x02ab, B:94:0x02b3, B:96:0x02bb, B:98:0x02c3, B:100:0x02cb, B:102:0x02d3, B:104:0x02db, B:106:0x02e7, B:108:0x02ef, B:110:0x02fa, B:112:0x0302, B:114:0x030d, B:116:0x0315, B:118:0x0320, B:120:0x0328, B:122:0x0330, B:124:0x0338, B:203:0x0421, B:206:0x046a, B:208:0x0472, B:210:0x047e, B:211:0x0481, B:213:0x0489, B:215:0x0495, B:216:0x04a0, B:218:0x04a8, B:220:0x04b6, B:221:0x04b9, B:223:0x04c1, B:225:0x04cf, B:226:0x04d2, B:228:0x04da, B:230:0x04e8, B:231:0x04eb, B:233:0x04f3, B:235:0x04ff, B:236:0x0503, B:239:0x050c, B:240:0x0516, B:275:0x05ca, B:277:0x05d2, B:285:0x05f8, B:288:0x05fe, B:290:0x0609, B:291:0x0611, B:293:0x0619, B:304:0x0649, B:305:0x064c, B:315:0x0683, B:278:0x05dc, B:274:0x05c7, B:201:0x040e, B:205:0x045d, B:323:0x0696, B:324:0x069b), top: B:349:0x009f }] */
    /* JADX WARN: Removed duplicated region for block: B:293:0x0619 A[Catch: Exception -> 0x06d7, Error -> 0x06db, TRY_LEAVE, TryCatch #8 {Exception -> 0x06d7, blocks: (B:8:0x009f, B:11:0x00d2, B:22:0x014d, B:25:0x0153, B:26:0x0158, B:29:0x0162, B:32:0x0193, B:34:0x019d, B:36:0x01a7, B:37:0x01aa, B:38:0x01ac, B:40:0x01b2, B:41:0x01c2, B:43:0x01c8, B:45:0x01e6, B:47:0x01f1, B:49:0x01f7, B:51:0x0200, B:52:0x020d, B:53:0x020f, B:55:0x0217, B:57:0x0223, B:58:0x0225, B:60:0x022d, B:62:0x023b, B:64:0x0243, B:66:0x024b, B:68:0x0253, B:70:0x025b, B:72:0x0263, B:73:0x026a, B:75:0x0272, B:77:0x027e, B:78:0x0280, B:86:0x0293, B:88:0x029b, B:90:0x02a3, B:92:0x02ab, B:94:0x02b3, B:96:0x02bb, B:98:0x02c3, B:100:0x02cb, B:102:0x02d3, B:104:0x02db, B:106:0x02e7, B:108:0x02ef, B:110:0x02fa, B:112:0x0302, B:114:0x030d, B:116:0x0315, B:118:0x0320, B:120:0x0328, B:122:0x0330, B:124:0x0338, B:203:0x0421, B:206:0x046a, B:208:0x0472, B:210:0x047e, B:211:0x0481, B:213:0x0489, B:215:0x0495, B:216:0x04a0, B:218:0x04a8, B:220:0x04b6, B:221:0x04b9, B:223:0x04c1, B:225:0x04cf, B:226:0x04d2, B:228:0x04da, B:230:0x04e8, B:231:0x04eb, B:233:0x04f3, B:235:0x04ff, B:236:0x0503, B:239:0x050c, B:240:0x0516, B:275:0x05ca, B:277:0x05d2, B:285:0x05f8, B:288:0x05fe, B:290:0x0609, B:291:0x0611, B:293:0x0619, B:304:0x0649, B:305:0x064c, B:315:0x0683, B:278:0x05dc, B:274:0x05c7, B:201:0x040e, B:205:0x045d, B:323:0x0696, B:324:0x069b), top: B:349:0x009f }] */
    /* JADX WARN: Removed duplicated region for block: B:298:0x0629 A[Catch: all -> 0x0647, TryCatch #6 {all -> 0x0647, blocks: (B:296:0x0623, B:298:0x0629, B:300:0x0644), top: B:346:0x0623 }] */
    /* JADX WARN: Removed duplicated region for block: B:335:0x0654 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:363:0x051e A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:377:? A[RETURN, SYNTHETIC] */
    /* JADX WARN: Type inference failed for: r2v3 */
    /* JADX WARN: Type inference failed for: r2v4, types: [boolean, int] */
    /* JADX WARN: Type inference failed for: r2v42 */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public BDLocation(String str) {
        boolean z;
        Exception exc;
        ?? r2;
        String str2;
        JSONObject jSONObject;
        boolean z2;
        Exception exc2;
        String str3;
        String str4;
        String str5;
        String str6;
        String str7;
        String str8;
        String str9;
        String str10;
        String str11;
        String str12;
        String str13;
        String str14;
        String str15;
        String str16;
        String str17;
        String str18;
        boolean z3;
        int i;
        int i2;
        String str19;
        String str20;
        String str21;
        String str22;
        String str23;
        String string;
        String str24;
        this.f139a = 0;
        this.b = null;
        this.c = Double.MIN_VALUE;
        this.d = Double.MIN_VALUE;
        this.e = false;
        this.f = Double.MIN_VALUE;
        this.g = false;
        this.h = 0.0f;
        this.i = false;
        this.j = 0.0f;
        this.k = false;
        this.l = -1;
        this.m = -1.0f;
        this.n = null;
        this.o = false;
        this.p = null;
        this.q = null;
        this.r = null;
        this.s = null;
        this.t = false;
        this.u = new Address.Builder().build();
        this.v = null;
        this.w = null;
        this.x = null;
        this.y = false;
        this.z = 0;
        this.A = 1;
        this.B = null;
        this.D = "";
        this.E = -1;
        this.F = 0;
        this.G = 2;
        this.H = 0;
        this.I = null;
        this.J = null;
        this.K = null;
        this.L = null;
        this.M = null;
        this.N = null;
        this.O = null;
        this.P = new Bundle();
        this.Q = 0;
        this.R = 0;
        this.S = 0L;
        this.T = null;
        this.U = Double.MIN_VALUE;
        this.V = Double.MIN_VALUE;
        this.W = false;
        this.X = null;
        this.Y = -1.0f;
        if (str == null || str.equals("")) {
            return;
        }
        try {
            try {
                try {
                    JSONObject jSONObject2 = new JSONObject(str);
                    JSONObject jSONObject3 = jSONObject2.getJSONObject("result");
                    int parseInt = Integer.parseInt(jSONObject3.getString("error"));
                    setLocType(parseInt);
                    setTime(jSONObject3.getString("time"));
                    if (parseInt == 61) {
                        JSONObject jSONObject4 = jSONObject2.getJSONObject("content");
                        JSONObject jSONObject5 = jSONObject4.getJSONObject("point");
                        setLatitude(Double.parseDouble(jSONObject5.getString("y")));
                        setLongitude(Double.parseDouble(jSONObject5.getString("x")));
                        setRadius(Float.parseFloat(jSONObject4.getString("radius")));
                        setSpeed(Float.parseFloat(jSONObject4.getString("s")));
                        setDirection(Float.parseFloat(jSONObject4.getString("d")));
                        setSatelliteNumber(Integer.parseInt(jSONObject4.getString("n")));
                        if (jSONObject4.has("h")) {
                            try {
                                setAltitude(jSONObject4.getDouble("h"));
                            } catch (Exception e) {
                            }
                        }
                        try {
                            if (jSONObject4.has("in_cn")) {
                                setLocationWhere(Integer.parseInt(jSONObject4.getString("in_cn")));
                            } else {
                                setLocationWhere(1);
                            }
                        } catch (Exception e2) {
                        }
                        if (this.A != 0) {
                            setCoorType(CoordinateType.GCJ02);
                            return;
                        }
                        str2 = CoordinateType.WGS84;
                    } else {
                        str2 = CoordinateType.GCJ02;
                        if (parseInt == 161) {
                            JSONObject jSONObject6 = jSONObject2.getJSONObject("content");
                            JSONObject jSONObject7 = jSONObject6.getJSONObject("point");
                            setLatitude(Double.parseDouble(jSONObject7.getString("y")));
                            setLongitude(Double.parseDouble(jSONObject7.getString("x")));
                            setRadius(Float.parseFloat(jSONObject6.getString("radius")));
                            if (jSONObject6.has("sema")) {
                                JSONObject jSONObject8 = jSONObject6.getJSONObject("sema");
                                if (jSONObject8.has("aptag")) {
                                    String string2 = jSONObject8.getString("aptag");
                                    if (TextUtils.isEmpty(string2)) {
                                        this.q = "";
                                    } else {
                                        this.q = string2;
                                    }
                                }
                                if (jSONObject8.has("aptagd")) {
                                    JSONArray jSONArray = jSONObject8.getJSONObject("aptagd").getJSONArray("pois");
                                    ArrayList arrayList = new ArrayList();
                                    for (int i3 = 0; i3 < jSONArray.length(); i3++) {
                                        JSONObject jSONObject9 = jSONArray.getJSONObject(i3);
                                        arrayList.add(new Poi(jSONObject9.getString("pid"), jSONObject9.getString("pname"), jSONObject9.getDouble("pr"), jSONObject9.has("tags") ? jSONObject9.getString("tags") : "", jSONObject9.has("addr") ? jSONObject9.getString("addr") : ""));
                                    }
                                    this.L = arrayList;
                                }
                                if (jSONObject8.has("poiregion")) {
                                    String string3 = jSONObject8.getString("poiregion");
                                    if (!TextUtils.isEmpty(string3)) {
                                        this.r = string3;
                                    }
                                }
                                if (jSONObject8.has("poi_regions")) {
                                    JSONObject jSONObject10 = jSONObject8.getJSONObject("poi_regions");
                                    this.X = new PoiRegion(jSONObject10.has("direction_desc") ? jSONObject10.getString("direction_desc") : "", jSONObject10.has("name") ? jSONObject10.getString("name") : "", jSONObject10.has("tag") ? jSONObject10.getString("tag") : "");
                                }
                                if (jSONObject8.has("regular")) {
                                    String string4 = jSONObject8.getString("regular");
                                    if (!TextUtils.isEmpty(string4)) {
                                        this.s = string4;
                                    }
                                }
                            }
                            if (jSONObject6.has("addr")) {
                                try {
                                    jSONObject = jSONObject6.getJSONObject("addr");
                                    z2 = true;
                                } catch (Exception e3) {
                                    jSONObject = null;
                                    z2 = false;
                                }
                                if (jSONObject != null) {
                                    String string5 = jSONObject.has("city") ? jSONObject.getString("city") : "";
                                    String string6 = jSONObject.has("city_code") ? jSONObject.getString("city_code") : "";
                                    str17 = jSONObject.has("country") ? jSONObject.getString("country") : "";
                                    String string7 = jSONObject.has("country_code") ? jSONObject.getString("country_code") : "";
                                    if (jSONObject.has("province")) {
                                        str23 = jSONObject.getString("province");
                                        str22 = string5;
                                    } else {
                                        str22 = string5;
                                        str23 = "";
                                    }
                                    String string8 = jSONObject.has("district") ? jSONObject.getString("district") : "";
                                    String string9 = jSONObject.has("street") ? jSONObject.getString("street") : "";
                                    String string10 = jSONObject.has("street_number") ? jSONObject.getString("street_number") : "";
                                    String string11 = jSONObject.has("adcode") ? jSONObject.getString("adcode") : "";
                                    if (jSONObject.has("town")) {
                                        str16 = str23;
                                        str7 = string10;
                                        String str25 = string11;
                                        str12 = str22;
                                        str11 = "y";
                                        str14 = str25;
                                        str18 = jSONObject.getString("town");
                                        str13 = string7;
                                        str6 = string8;
                                        z3 = z2;
                                        str8 = string6;
                                        str3 = string9;
                                        str15 = "x";
                                    } else {
                                        str13 = string7;
                                        str16 = str23;
                                        str6 = string8;
                                        str7 = string10;
                                        z3 = z2;
                                        str8 = string6;
                                        str3 = string9;
                                        str15 = "x";
                                        str18 = null;
                                        String str26 = string11;
                                        str12 = str22;
                                        str11 = "y";
                                        str14 = str26;
                                    }
                                } else {
                                    try {
                                        String[] split = jSONObject6.getString("addr").split(",");
                                        int length = split.length;
                                        if (length > 0) {
                                            str4 = split[0];
                                            i = 1;
                                        } else {
                                            i = 1;
                                            str4 = null;
                                        }
                                        if (length > i) {
                                            try {
                                                str5 = split[i];
                                                i2 = 2;
                                            } catch (Exception e4) {
                                                exc2 = e4;
                                                str3 = null;
                                                str5 = null;
                                                str6 = null;
                                                str7 = null;
                                                str8 = null;
                                                str9 = null;
                                                str10 = null;
                                                exc2.printStackTrace();
                                                str11 = "y";
                                                str12 = str5;
                                                str13 = str10;
                                                str14 = null;
                                                str15 = "x";
                                                str16 = str4;
                                                str17 = str9;
                                                str18 = null;
                                                z3 = false;
                                                if (z3) {
                                                }
                                                if (jSONObject6.has("floor")) {
                                                }
                                                if (jSONObject6.has("indoor")) {
                                                }
                                                if (jSONObject6.has("loctp")) {
                                                }
                                                if (jSONObject6.has("bldgid")) {
                                                }
                                                if (jSONObject6.has("bldg")) {
                                                }
                                                if (jSONObject6.has("ibav")) {
                                                }
                                                if (jSONObject6.has("indoorflags")) {
                                                }
                                                if (jSONObject6.has("gpscs")) {
                                                }
                                                if (jSONObject6.has("in_cn")) {
                                                }
                                                setCoorType(this.A == 0 ? CoordinateType.WGS84 : str2);
                                                if (jSONObject6.has("navi")) {
                                                }
                                                if (jSONObject6.has("navi_client")) {
                                                }
                                                if (jSONObject6.has("nrl_point")) {
                                                }
                                            }
                                        } else {
                                            i2 = 2;
                                            str5 = null;
                                        }
                                        if (length > i2) {
                                            try {
                                                str6 = split[i2];
                                            } catch (Exception e5) {
                                                exc2 = e5;
                                                str3 = null;
                                                str6 = null;
                                                str7 = null;
                                                str8 = null;
                                                str9 = null;
                                                str10 = null;
                                                exc2.printStackTrace();
                                                str11 = "y";
                                                str12 = str5;
                                                str13 = str10;
                                                str14 = null;
                                                str15 = "x";
                                                str16 = str4;
                                                str17 = str9;
                                                str18 = null;
                                                z3 = false;
                                                if (z3) {
                                                }
                                                if (jSONObject6.has("floor")) {
                                                }
                                                if (jSONObject6.has("indoor")) {
                                                }
                                                if (jSONObject6.has("loctp")) {
                                                }
                                                if (jSONObject6.has("bldgid")) {
                                                }
                                                if (jSONObject6.has("bldg")) {
                                                }
                                                if (jSONObject6.has("ibav")) {
                                                }
                                                if (jSONObject6.has("indoorflags")) {
                                                }
                                                if (jSONObject6.has("gpscs")) {
                                                }
                                                if (jSONObject6.has("in_cn")) {
                                                }
                                                setCoorType(this.A == 0 ? CoordinateType.WGS84 : str2);
                                                if (jSONObject6.has("navi")) {
                                                }
                                                if (jSONObject6.has("navi_client")) {
                                                }
                                                if (jSONObject6.has("nrl_point")) {
                                                }
                                            }
                                        } else {
                                            str6 = null;
                                        }
                                        if (length > 3) {
                                            try {
                                                str3 = split[3];
                                            } catch (Exception e6) {
                                                exc2 = e6;
                                                str3 = null;
                                                str7 = null;
                                                str8 = null;
                                                str9 = null;
                                                str10 = null;
                                                exc2.printStackTrace();
                                                str11 = "y";
                                                str12 = str5;
                                                str13 = str10;
                                                str14 = null;
                                                str15 = "x";
                                                str16 = str4;
                                                str17 = str9;
                                                str18 = null;
                                                z3 = false;
                                                if (z3) {
                                                }
                                                if (jSONObject6.has("floor")) {
                                                }
                                                if (jSONObject6.has("indoor")) {
                                                }
                                                if (jSONObject6.has("loctp")) {
                                                }
                                                if (jSONObject6.has("bldgid")) {
                                                }
                                                if (jSONObject6.has("bldg")) {
                                                }
                                                if (jSONObject6.has("ibav")) {
                                                }
                                                if (jSONObject6.has("indoorflags")) {
                                                }
                                                if (jSONObject6.has("gpscs")) {
                                                }
                                                if (jSONObject6.has("in_cn")) {
                                                }
                                                setCoorType(this.A == 0 ? CoordinateType.WGS84 : str2);
                                                if (jSONObject6.has("navi")) {
                                                }
                                                if (jSONObject6.has("navi_client")) {
                                                }
                                                if (jSONObject6.has("nrl_point")) {
                                                }
                                            }
                                        } else {
                                            str3 = null;
                                        }
                                        if (length > 4) {
                                            try {
                                                str7 = split[4];
                                            } catch (Exception e7) {
                                                exc2 = e7;
                                                str7 = null;
                                                str8 = null;
                                                str9 = null;
                                                str10 = null;
                                                exc2.printStackTrace();
                                                str11 = "y";
                                                str12 = str5;
                                                str13 = str10;
                                                str14 = null;
                                                str15 = "x";
                                                str16 = str4;
                                                str17 = str9;
                                                str18 = null;
                                                z3 = false;
                                                if (z3) {
                                                }
                                                if (jSONObject6.has("floor")) {
                                                }
                                                if (jSONObject6.has("indoor")) {
                                                }
                                                if (jSONObject6.has("loctp")) {
                                                }
                                                if (jSONObject6.has("bldgid")) {
                                                }
                                                if (jSONObject6.has("bldg")) {
                                                }
                                                if (jSONObject6.has("ibav")) {
                                                }
                                                if (jSONObject6.has("indoorflags")) {
                                                }
                                                if (jSONObject6.has("gpscs")) {
                                                }
                                                if (jSONObject6.has("in_cn")) {
                                                }
                                                setCoorType(this.A == 0 ? CoordinateType.WGS84 : str2);
                                                if (jSONObject6.has("navi")) {
                                                }
                                                if (jSONObject6.has("navi_client")) {
                                                    str24 = str21;
                                                    try {
                                                        if (string.contains(str24)) {
                                                        }
                                                    } catch (Throwable th) {
                                                        th.printStackTrace();
                                                    }
                                                }
                                                if (jSONObject6.has("nrl_point")) {
                                                }
                                            }
                                        } else {
                                            str7 = null;
                                        }
                                        if (length > 5) {
                                            try {
                                                str8 = split[5];
                                                str19 = str3;
                                            } catch (Exception e8) {
                                                exc2 = e8;
                                                str8 = null;
                                                str9 = null;
                                                str10 = null;
                                                exc2.printStackTrace();
                                                str11 = "y";
                                                str12 = str5;
                                                str13 = str10;
                                                str14 = null;
                                                str15 = "x";
                                                str16 = str4;
                                                str17 = str9;
                                                str18 = null;
                                                z3 = false;
                                                if (z3) {
                                                }
                                                if (jSONObject6.has("floor")) {
                                                }
                                                if (jSONObject6.has("indoor")) {
                                                }
                                                if (jSONObject6.has("loctp")) {
                                                }
                                                if (jSONObject6.has("bldgid")) {
                                                }
                                                if (jSONObject6.has("bldg")) {
                                                }
                                                if (jSONObject6.has("ibav")) {
                                                }
                                                if (jSONObject6.has("indoorflags")) {
                                                }
                                                if (jSONObject6.has("gpscs")) {
                                                }
                                                if (jSONObject6.has("in_cn")) {
                                                }
                                                setCoorType(this.A == 0 ? CoordinateType.WGS84 : str2);
                                                if (jSONObject6.has("navi")) {
                                                }
                                                if (jSONObject6.has("navi_client")) {
                                                }
                                                if (jSONObject6.has("nrl_point")) {
                                                }
                                            }
                                        } else {
                                            str19 = str3;
                                            str8 = null;
                                        }
                                        if (length > 6) {
                                            try {
                                                str9 = split[6];
                                            } catch (Exception e9) {
                                                str3 = str19;
                                                exc2 = e9;
                                                str9 = null;
                                                str10 = null;
                                                exc2.printStackTrace();
                                                str11 = "y";
                                                str12 = str5;
                                                str13 = str10;
                                                str14 = null;
                                                str15 = "x";
                                                str16 = str4;
                                                str17 = str9;
                                                str18 = null;
                                                z3 = false;
                                                if (z3) {
                                                }
                                                if (jSONObject6.has("floor")) {
                                                }
                                                if (jSONObject6.has("indoor")) {
                                                }
                                                if (jSONObject6.has("loctp")) {
                                                }
                                                if (jSONObject6.has("bldgid")) {
                                                }
                                                if (jSONObject6.has("bldg")) {
                                                }
                                                if (jSONObject6.has("ibav")) {
                                                }
                                                if (jSONObject6.has("indoorflags")) {
                                                }
                                                if (jSONObject6.has("gpscs")) {
                                                }
                                                if (jSONObject6.has("in_cn")) {
                                                }
                                                setCoorType(this.A == 0 ? CoordinateType.WGS84 : str2);
                                                if (jSONObject6.has("navi")) {
                                                }
                                                if (jSONObject6.has("navi_client")) {
                                                }
                                                if (jSONObject6.has("nrl_point")) {
                                                }
                                            }
                                        } else {
                                            str9 = null;
                                        }
                                        if (length > 7) {
                                            try {
                                                str10 = split[7];
                                            } catch (Exception e10) {
                                                str3 = str19;
                                                exc2 = e10;
                                                str10 = null;
                                                exc2.printStackTrace();
                                                str11 = "y";
                                                str12 = str5;
                                                str13 = str10;
                                                str14 = null;
                                                str15 = "x";
                                                str16 = str4;
                                                str17 = str9;
                                                str18 = null;
                                                z3 = false;
                                                if (z3) {
                                                }
                                                if (jSONObject6.has("floor")) {
                                                }
                                                if (jSONObject6.has("indoor")) {
                                                }
                                                if (jSONObject6.has("loctp")) {
                                                }
                                                if (jSONObject6.has("bldgid")) {
                                                }
                                                if (jSONObject6.has("bldg")) {
                                                }
                                                if (jSONObject6.has("ibav")) {
                                                }
                                                if (jSONObject6.has("indoorflags")) {
                                                }
                                                if (jSONObject6.has("gpscs")) {
                                                }
                                                if (jSONObject6.has("in_cn")) {
                                                }
                                                setCoorType(this.A == 0 ? CoordinateType.WGS84 : str2);
                                                if (jSONObject6.has("navi")) {
                                                }
                                                if (jSONObject6.has("navi_client")) {
                                                }
                                                if (jSONObject6.has("nrl_point")) {
                                                }
                                            }
                                        } else {
                                            str10 = null;
                                        }
                                        if (length > 8) {
                                            try {
                                                str20 = split[8];
                                            } catch (Exception e11) {
                                                str3 = str19;
                                                exc2 = e11;
                                                exc2.printStackTrace();
                                                str11 = "y";
                                                str12 = str5;
                                                str13 = str10;
                                                str14 = null;
                                                str15 = "x";
                                                str16 = str4;
                                                str17 = str9;
                                                str18 = null;
                                                z3 = false;
                                                if (z3) {
                                                }
                                                if (jSONObject6.has("floor")) {
                                                }
                                                if (jSONObject6.has("indoor")) {
                                                }
                                                if (jSONObject6.has("loctp")) {
                                                }
                                                if (jSONObject6.has("bldgid")) {
                                                }
                                                if (jSONObject6.has("bldg")) {
                                                }
                                                if (jSONObject6.has("ibav")) {
                                                }
                                                if (jSONObject6.has("indoorflags")) {
                                                }
                                                if (jSONObject6.has("gpscs")) {
                                                }
                                                if (jSONObject6.has("in_cn")) {
                                                }
                                                setCoorType(this.A == 0 ? CoordinateType.WGS84 : str2);
                                                if (jSONObject6.has("navi")) {
                                                }
                                                if (jSONObject6.has("navi_client")) {
                                                }
                                                if (jSONObject6.has("nrl_point")) {
                                                }
                                            }
                                        } else {
                                            str20 = null;
                                        }
                                        str3 = str19;
                                        str11 = "y";
                                        str12 = str5;
                                        str14 = str20;
                                        str16 = str4;
                                        str17 = str9;
                                        str13 = str10;
                                        z3 = true;
                                        str15 = "x";
                                        str18 = null;
                                    } catch (Exception e12) {
                                        exc2 = e12;
                                        str3 = null;
                                        str4 = null;
                                    }
                                }
                                if (z3) {
                                    str21 = ",";
                                    this.u = new Address.Builder().country(str17).countryCode(str13).province(str16).city(str12).cityCode(str8).district(str6).street(str3).streetNumber(str7).adcode(str14).town(str18).build();
                                    this.o = true;
                                } else {
                                    str21 = ",";
                                }
                            } else {
                                str11 = "y";
                                str21 = ",";
                                str15 = "x";
                                this.o = false;
                                setAddrStr(null);
                            }
                            if (jSONObject6.has("floor")) {
                                String string12 = jSONObject6.getString("floor");
                                this.v = string12;
                                if (TextUtils.isEmpty(string12)) {
                                    this.v = null;
                                }
                            }
                            if (jSONObject6.has("indoor")) {
                                String string13 = jSONObject6.getString("indoor");
                                if (!TextUtils.isEmpty(string13)) {
                                    setUserIndoorState(Integer.valueOf(string13).intValue());
                                }
                            }
                            if (jSONObject6.has("loctp")) {
                                String string14 = jSONObject6.getString("loctp");
                                this.B = string14;
                                if (TextUtils.isEmpty(string14)) {
                                    this.B = null;
                                }
                            }
                            if (jSONObject6.has("bldgid")) {
                                String string15 = jSONObject6.getString("bldgid");
                                this.w = string15;
                                if (TextUtils.isEmpty(string15)) {
                                    this.w = null;
                                }
                            }
                            if (jSONObject6.has("bldg")) {
                                String string16 = jSONObject6.getString("bldg");
                                this.x = string16;
                                if (TextUtils.isEmpty(string16)) {
                                    this.x = null;
                                }
                            }
                            if (jSONObject6.has("ibav")) {
                                String string17 = jSONObject6.getString("ibav");
                                if (!TextUtils.isEmpty(string17) && !string17.equals("0")) {
                                    this.z = Integer.valueOf(string17).intValue();
                                }
                                this.z = 0;
                            }
                            if (jSONObject6.has("indoorflags")) {
                                try {
                                    JSONObject jSONObject11 = jSONObject6.getJSONObject("indoorflags");
                                    if (jSONObject11.has("area")) {
                                        int intValue = Integer.valueOf(jSONObject11.getString("area")).intValue();
                                        if (intValue == 0) {
                                            setIndoorLocationSurpport(2);
                                        } else if (intValue == 1) {
                                            setIndoorLocationSurpport(1);
                                        }
                                    }
                                    if (jSONObject11.has("support")) {
                                        setIndoorLocationSource(Integer.valueOf(jSONObject11.getString("support")).intValue());
                                    }
                                    if (jSONObject11.has("inbldg")) {
                                        this.I = jSONObject11.getString("inbldg");
                                    }
                                    if (jSONObject11.has("inbldgid")) {
                                        this.J = jSONObject11.getString("inbldgid");
                                    }
                                    if (jSONObject11.has("polygon")) {
                                        setIndoorSurpportPolygon(jSONObject11.getString("polygon"));
                                    }
                                    if (jSONObject11.has("ret_fields")) {
                                        try {
                                            for (String str27 : jSONObject11.getString("ret_fields").split("\\|")) {
                                                String[] split2 = str27.split("=");
                                                this.P.putString(split2[0], split2[1]);
                                            }
                                        } catch (Exception e13) {
                                            e13.printStackTrace();
                                        }
                                    }
                                } catch (Exception e14) {
                                    e14.printStackTrace();
                                }
                            }
                            if (jSONObject6.has("gpscs")) {
                                setGpsCheckStatus(jSONObject6.getInt("gpscs"));
                            } else {
                                setGpsCheckStatus(0);
                            }
                            try {
                                if (jSONObject6.has("in_cn")) {
                                    setLocationWhere(Integer.parseInt(jSONObject6.getString("in_cn")));
                                } else {
                                    setLocationWhere(1);
                                }
                            } catch (Exception e15) {
                            }
                            setCoorType(this.A == 0 ? CoordinateType.WGS84 : str2);
                            if (jSONObject6.has("navi")) {
                                this.T = jSONObject6.getString("navi");
                            }
                            if (jSONObject6.has("navi_client") && (string = jSONObject6.getString("navi_client")) != null) {
                                str24 = str21;
                                if (string.contains(str24)) {
                                    String[] split3 = string.split(str24);
                                    int intValue2 = Integer.valueOf(split3[0]).intValue();
                                    Integer.valueOf(split3[1]).intValue();
                                    if (intValue2 > 0) {
                                        this.W = true;
                                    }
                                }
                            }
                            if (jSONObject6.has("nrl_point")) {
                                try {
                                    JSONObject jSONObject12 = jSONObject6.getJSONObject("nrl_point");
                                    String str28 = str15;
                                    if (jSONObject12.has(str28)) {
                                        String str29 = str11;
                                        if (jSONObject12.has(str29)) {
                                            this.U = Double.parseDouble(jSONObject12.getString(str29));
                                            this.V = Double.parseDouble(jSONObject12.getString(str28));
                                            return;
                                        }
                                        return;
                                    }
                                    return;
                                } catch (Throwable th2) {
                                    this.U = Double.MIN_VALUE;
                                    this.V = Double.MIN_VALUE;
                                    return;
                                }
                            }
                            return;
                        }
                        if (parseInt != 66 && parseInt != 68) {
                            if (parseInt == 167) {
                                setLocationWhere(2);
                                return;
                            }
                            return;
                        }
                        JSONObject jSONObject13 = jSONObject2.getJSONObject("content");
                        JSONObject jSONObject14 = jSONObject13.getJSONObject("point");
                        setLatitude(Double.parseDouble(jSONObject14.getString("y")));
                        setLongitude(Double.parseDouble(jSONObject14.getString("x")));
                        setRadius(Float.parseFloat(jSONObject13.getString("radius")));
                        a(Boolean.valueOf(Boolean.parseBoolean(jSONObject13.getString("isCellChanged"))));
                    }
                    setCoorType(str2);
                } catch (Exception e16) {
                    exc = e16;
                    z = false;
                    exc.printStackTrace();
                    r2 = z;
                    this.f139a = r2;
                    this.o = r2;
                }
            } catch (Error e17) {
                e17.printStackTrace();
                r2 = 0;
                this.f139a = r2;
                this.o = r2;
            }
        } catch (Exception e18) {
            z = false;
            exc = e18;
        }
    }

    private void a(Boolean bool) {
        this.t = bool.booleanValue();
    }

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    public String getAdCode() {
        return this.u.adcode;
    }

    public String getAddrStr() {
        return this.u.address;
    }

    public Address getAddress() {
        return this.u;
    }

    public double getAltitude() {
        return this.f;
    }

    public String getBuildingID() {
        return this.w;
    }

    public String getBuildingName() {
        return this.x;
    }

    public String getCity() {
        return this.u.city;
    }

    public String getCityCode() {
        return this.u.cityCode;
    }

    public String getCoorType() {
        return this.n;
    }

    public String getCountry() {
        return this.u.country;
    }

    public String getCountryCode() {
        return this.u.countryCode;
    }

    public long getDelayTime() {
        return this.S;
    }

    @Deprecated
    public float getDerect() {
        return this.m;
    }

    public float getDirection() {
        return this.m;
    }

    public String getDistrict() {
        return this.u.district;
    }

    public Location getExtraLocation(String str) {
        Bundle bundle = this.P;
        if (bundle != null) {
            Parcelable parcelable = bundle.getParcelable(str);
            if (parcelable instanceof Location) {
                return (Location) parcelable;
            }
            return null;
        }
        return null;
    }

    public String getFloor() {
        return this.v;
    }

    public double[] getFusionLocInfo(String str) {
        return this.P.getDoubleArray(str);
    }

    public int getGpsAccuracyStatus() {
        return this.Q;
    }

    public float getGpsBiasProb() {
        return this.Y;
    }

    public int getGpsCheckStatus() {
        return this.R;
    }

    public int getIndoorLocationSource() {
        return this.H;
    }

    public int getIndoorLocationSurpport() {
        return this.F;
    }

    public String getIndoorLocationSurpportBuidlingID() {
        return this.J;
    }

    public String getIndoorLocationSurpportBuidlingName() {
        return this.I;
    }

    public int getIndoorNetworkState() {
        return this.G;
    }

    public String getIndoorSurpportPolygon() {
        return this.K;
    }

    public double getLatitude() {
        return this.c;
    }

    public int getLocType() {
        return this.f139a;
    }

    public String getLocTypeDescription() {
        return this.M;
    }

    public String getLocationDescribe() {
        return this.q;
    }

    public String getLocationID() {
        return this.N;
    }

    public int getLocationWhere() {
        return this.A;
    }

    public double getLongitude() {
        return this.d;
    }

    public String getNetworkLocationType() {
        return this.B;
    }

    public double getNrlLat() {
        return this.U;
    }

    public double getNrlLon() {
        return this.V;
    }

    public String getNrlResult() {
        return this.T;
    }

    public int getOperators() {
        return this.C;
    }

    public List<Poi> getPoiList() {
        return this.L;
    }

    public PoiRegion getPoiRegion() {
        return this.X;
    }

    public String getProvince() {
        return this.u.province;
    }

    public float getRadius() {
        return this.j;
    }

    public String getRetFields(String str) {
        return this.P.getString(str);
    }

    public String getRoadLocString() {
        return this.O;
    }

    public int getSatelliteNumber() {
        this.k = true;
        return this.l;
    }

    @Deprecated
    public String getSemaAptag() {
        return this.q;
    }

    public float getSpeed() {
        return this.h;
    }

    public String getStreet() {
        return this.u.street;
    }

    public String getStreetNumber() {
        return this.u.streetNumber;
    }

    public String getTime() {
        return this.b;
    }

    public String getTown() {
        return this.u.town;
    }

    public int getUserIndoorState() {
        return this.E;
    }

    public String getVdrJsonString() {
        Bundle bundle = this.P;
        if (bundle == null || !bundle.containsKey("vdr")) {
            return null;
        }
        return this.P.getString("vdr");
    }

    public boolean hasAddr() {
        return this.o;
    }

    public boolean hasAltitude() {
        return this.e;
    }

    public boolean hasRadius() {
        return this.i;
    }

    public boolean hasSateNumber() {
        return this.k;
    }

    public boolean hasSpeed() {
        return this.g;
    }

    public boolean isCellChangeFlag() {
        return this.t;
    }

    public boolean isInIndoorPark() {
        return this.W;
    }

    public boolean isIndoorLocMode() {
        return this.y;
    }

    public boolean isNrlAvailable() {
        return (this.V == Double.MIN_VALUE || this.U == Double.MIN_VALUE) ? false : true;
    }

    public int isParkAvailable() {
        return this.z;
    }

    public void setAddr(Address address) {
        if (address != null) {
            this.u = address;
            this.o = true;
        }
    }

    public void setAddrStr(String str) {
        this.p = str;
        this.o = str != null;
    }

    public void setAltitude(double d) {
        if (d < 9999.0d) {
            this.f = d;
            this.e = true;
        }
    }

    public void setBuildingID(String str) {
        this.w = str;
    }

    public void setBuildingName(String str) {
        this.x = str;
    }

    public void setCoorType(String str) {
        this.n = str;
    }

    public void setDelayTime(long j) {
        this.S = j;
    }

    public void setDirection(float f) {
        this.m = f;
    }

    public void setExtraLocation(String str, Location location) {
        if (this.P == null) {
            this.P = new Bundle();
        }
        this.P.putParcelable(str, location);
    }

    public void setFloor(String str) {
        this.v = str;
    }

    public void setFusionLocInfo(String str, double[] dArr) {
        if (this.P == null) {
            this.P = new Bundle();
        }
        this.P.putDoubleArray(str, dArr);
    }

    public void setGpsAccuracyStatus(int i) {
        this.Q = i;
    }

    public void setGpsBiasProb(float f) {
        this.Y = f;
    }

    public void setGpsCheckStatus(int i) {
        this.R = i;
    }

    public void setIndoorLocMode(boolean z) {
        this.y = z;
    }

    public void setIndoorLocationSource(int i) {
        this.H = i;
    }

    public void setIndoorLocationSurpport(int i) {
        this.F = i;
    }

    public void setIndoorNetworkState(int i) {
        this.G = i;
    }

    public void setIndoorSurpportPolygon(String str) {
        this.K = str;
    }

    public void setLatitude(double d) {
        this.c = d;
    }

    public void setLocType(int i) {
        String str;
        this.f139a = i;
        switch (i) {
            case 61:
                setLocTypeDescription("GPS location successful!");
                setUserIndoorState(0);
                return;
            case 62:
                str = "Location failed beacuse we can not get any loc information!";
                break;
            case 63:
            case 67:
                str = "Offline location failed, please check the net (wifi/cell)!";
                break;
            case 66:
                str = "Offline location successful!";
                break;
            case TypeNetWorkLocation /* 161 */:
                str = "NetWork location successful!";
                break;
            case TypeServerDecryptError /* 162 */:
                str = "NetWork location failed because baidu location service can not decrypt the request query, please check the so file !";
                break;
            case TypeServerError /* 167 */:
                str = "NetWork location failed because baidu location service can not caculate the location!";
                break;
            case 505:
                str = "NetWork location failed because baidu location service check the key is unlegal, please check the key in AndroidManifest.xml !";
                break;
            default:
                str = "UnKnown!";
                break;
        }
        setLocTypeDescription(str);
    }

    public void setLocTypeDescription(String str) {
        this.M = str;
    }

    public void setLocationDescribe(String str) {
        this.q = str;
    }

    public void setLocationID(String str) {
        this.N = str;
    }

    public void setLocationWhere(int i) {
        this.A = i;
    }

    public void setLongitude(double d) {
        this.d = d;
    }

    public void setNetworkLocationType(String str) {
        this.B = str;
    }

    public void setNrlData(String str) {
        this.T = str;
    }

    public void setOperators(int i) {
        this.C = i;
    }

    public void setParkAvailable(int i) {
        this.z = i;
    }

    public void setPoiList(List<Poi> list) {
        this.L = list;
    }

    public void setPoiRegion(PoiRegion poiRegion) {
        this.X = poiRegion;
    }

    public void setRadius(float f) {
        this.j = f;
        this.i = true;
    }

    public void setRetFields(String str, String str2) {
        if (this.P == null) {
            this.P = new Bundle();
        }
        this.P.putString(str, str2);
    }

    public void setRoadLocString(float f, float f2) {
        String format = ((double) f) > 0.001d ? String.format("%.2f", Float.valueOf(f)) : "";
        String format2 = ((double) f2) > 0.001d ? String.format("%.2f", Float.valueOf(f2)) : "";
        if (this.T != null) {
            this.O = String.format(Locale.US, "%s|%s,%s", this.T, format, format2);
        }
    }

    public void setSatelliteNumber(int i) {
        this.l = i;
    }

    public void setSpeed(float f) {
        this.h = f;
        this.g = true;
    }

    public void setTime(String str) {
        this.b = str;
        setLocationID(k.a(str));
    }

    public void setUserIndoorState(int i) {
        this.E = i;
    }

    public void setVdrJsonValue(String str) {
        if (this.P == null) {
            this.P = new Bundle();
        }
        this.P.putString("vdr", str);
    }

    @Override // android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(this.f139a);
        parcel.writeString(this.b);
        parcel.writeDouble(this.c);
        parcel.writeDouble(this.d);
        parcel.writeDouble(this.f);
        parcel.writeFloat(this.h);
        parcel.writeFloat(this.j);
        parcel.writeInt(this.l);
        parcel.writeFloat(this.m);
        parcel.writeString(this.v);
        parcel.writeInt(this.z);
        parcel.writeString(this.w);
        parcel.writeString(this.x);
        parcel.writeString(this.B);
        parcel.writeString(this.u.province);
        parcel.writeString(this.u.city);
        parcel.writeString(this.u.district);
        parcel.writeString(this.u.street);
        parcel.writeString(this.u.streetNumber);
        parcel.writeString(this.u.cityCode);
        parcel.writeString(this.u.address);
        parcel.writeString(this.u.country);
        parcel.writeString(this.u.countryCode);
        parcel.writeString(this.u.adcode);
        parcel.writeString(this.u.town);
        parcel.writeInt(this.C);
        parcel.writeString(this.D);
        parcel.writeString(this.q);
        parcel.writeString(this.r);
        parcel.writeString(this.s);
        parcel.writeInt(this.A);
        parcel.writeString(this.M);
        parcel.writeInt(this.E);
        parcel.writeInt(this.F);
        parcel.writeInt(this.G);
        parcel.writeInt(this.H);
        parcel.writeString(this.I);
        parcel.writeString(this.J);
        parcel.writeString(this.K);
        parcel.writeInt(this.Q);
        parcel.writeString(this.N);
        parcel.writeInt(this.R);
        parcel.writeString(this.O);
        parcel.writeString(this.T);
        parcel.writeLong(this.S);
        parcel.writeDouble(this.U);
        parcel.writeDouble(this.V);
        parcel.writeFloat(this.Y);
        parcel.writeBooleanArray(new boolean[]{this.e, this.g, this.i, this.k, this.o, this.t, this.y, this.W});
        parcel.writeList(this.L);
        parcel.writeBundle(this.P);
        parcel.writeParcelable(this.X, i);
    }
}
