package com.baidu.mapapi.map;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Color;
import android.graphics.Matrix;
import android.graphics.NinePatch;
import android.graphics.Point;
import android.graphics.Rect;
import android.graphics.drawable.NinePatchDrawable;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.SparseIntArray;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.baidu.mapapi.BMapManager;
import com.baidu.mapapi.common.SysOSUtil;
import com.baidu.mapapi.map.MapViewLayoutParams;
import com.baidu.mapapi.model.CoordUtil;
import com.baidu.mapsdkplatform.comapi.map.am;
import com.google.android.exoplayer2.extractor.ogg.DefaultOggSeeker;
import java.io.File;
/* loaded from: classes.dex */
public final class MapView extends ViewGroup {
    private static String b;
    private static final SparseIntArray q;
    private int A;
    private com.baidu.mapsdkplatform.comapi.map.l e;
    private BaiduMap f;
    private ImageView g;
    private Bitmap h;
    private am i;
    private Point j;
    private Point k;
    private RelativeLayout l;
    private TextView m;
    private TextView n;
    private ImageView o;
    private Context p;
    private int r;
    private boolean s;
    private boolean t;
    private float u;
    private int v;
    private int w;
    private int x;
    private int y;
    private int z;

    /* renamed from: a  reason: collision with root package name */
    private static final String f343a = MapView.class.getSimpleName();
    private static int c = 0;
    private static int d = 0;

    /* loaded from: classes.dex */
    public interface CustomMapStyleCallBack {
        boolean onCustomMapStyleLoadFailed(int i, String str, String str2);

        boolean onCustomMapStyleLoadSuccess(boolean z, String str);

        boolean onPreLoadLastCustomMapStyle(String str);
    }

    static {
        SparseIntArray sparseIntArray = new SparseIntArray();
        q = sparseIntArray;
        sparseIntArray.append(3, 2000000);
        sparseIntArray.append(4, 1000000);
        sparseIntArray.append(5, 500000);
        sparseIntArray.append(6, 200000);
        sparseIntArray.append(7, DefaultOggSeeker.MATCH_BYTE_RANGE);
        sparseIntArray.append(8, 50000);
        sparseIntArray.append(9, 25000);
        sparseIntArray.append(10, 20000);
        sparseIntArray.append(11, 10000);
        sparseIntArray.append(12, 5000);
        sparseIntArray.append(13, 2000);
        sparseIntArray.append(14, 1000);
        sparseIntArray.append(15, 500);
        sparseIntArray.append(16, 200);
        sparseIntArray.append(17, 100);
        sparseIntArray.append(18, 50);
        sparseIntArray.append(19, 20);
        sparseIntArray.append(20, 10);
        sparseIntArray.append(21, 5);
        sparseIntArray.append(22, 2);
        sparseIntArray.append(23, 2);
        sparseIntArray.append(24, 2);
        sparseIntArray.append(25, 2);
        sparseIntArray.append(26, 2);
    }

    public MapView(Context context) {
        super(context);
        this.r = LogoPosition.logoPostionleftBottom.ordinal();
        this.s = true;
        this.t = true;
        a(context, (BaiduMapOptions) null);
    }

    public MapView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.r = LogoPosition.logoPostionleftBottom.ordinal();
        this.s = true;
        this.t = true;
        a(context, (BaiduMapOptions) null);
    }

    public MapView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.r = LogoPosition.logoPostionleftBottom.ordinal();
        this.s = true;
        this.t = true;
        a(context, (BaiduMapOptions) null);
    }

    public MapView(Context context, BaiduMapOptions baiduMapOptions) {
        super(context);
        this.r = LogoPosition.logoPostionleftBottom.ordinal();
        this.s = true;
        this.t = true;
        a(context, baiduMapOptions);
    }

    /* JADX WARN: Removed duplicated region for block: B:19:0x0046  */
    /* JADX WARN: Removed duplicated region for block: B:21:? A[RETURN, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void a(Context context) {
        Matrix matrix;
        float f;
        int densityDpi = SysOSUtil.getDensityDpi();
        Bitmap a2 = com.baidu.mapsdkplatform.comapi.commonutils.a.a(densityDpi < 180 ? "logo_l.png" : "logo_h.png", context);
        if (a2 == null) {
            return;
        }
        if (densityDpi > 480) {
            matrix = new Matrix();
            f = 2.0f;
        } else if (densityDpi <= 320) {
            this.h = a2;
            if (this.h == null) {
                ImageView imageView = new ImageView(context);
                this.g = imageView;
                imageView.setImageBitmap(this.h);
                addView(this.g);
                return;
            }
            return;
        } else {
            matrix = new Matrix();
            f = 1.5f;
        }
        matrix.postScale(f, f);
        this.h = Bitmap.createBitmap(a2, 0, 0, a2.getWidth(), a2.getHeight(), matrix, true);
        if (this.h == null) {
        }
    }

    private void a(Context context, BaiduMapOptions baiduMapOptions) {
        this.p = context;
        com.baidu.mapsdkplatform.comapi.map.k.a();
        BMapManager.init();
        a(context, baiduMapOptions, b, c);
        this.f = new BaiduMap(this.e);
        a(context);
        b(context);
        if (baiduMapOptions != null && !baiduMapOptions.h) {
            this.i.setVisibility(4);
        }
        c(context);
        if (baiduMapOptions != null && !baiduMapOptions.i) {
            this.l.setVisibility(4);
        }
        if (baiduMapOptions != null && baiduMapOptions.j != null) {
            this.r = baiduMapOptions.j.ordinal();
        }
        if (baiduMapOptions != null && baiduMapOptions.l != null) {
            this.k = baiduMapOptions.l;
        }
        if (baiduMapOptions == null || baiduMapOptions.k == null) {
            return;
        }
        this.j = baiduMapOptions.k;
    }

    private void a(Context context, BaiduMapOptions baiduMapOptions, String str, int i) {
        if (baiduMapOptions == null) {
            this.e = new com.baidu.mapsdkplatform.comapi.map.l(context, null, str, i);
        } else {
            this.e = new com.baidu.mapsdkplatform.comapi.map.l(context, baiduMapOptions.a(), str, i);
        }
        addView(this.e);
        this.e.a().a(new m(this));
    }

    private void a(View view) {
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        if (layoutParams == null) {
            layoutParams = new ViewGroup.LayoutParams(-2, -2);
        }
        int i = layoutParams.width;
        int makeMeasureSpec = i > 0 ? View.MeasureSpec.makeMeasureSpec(i, 1073741824) : View.MeasureSpec.makeMeasureSpec(0, 0);
        int i2 = layoutParams.height;
        view.measure(makeMeasureSpec, i2 > 0 ? View.MeasureSpec.makeMeasureSpec(i2, 1073741824) : View.MeasureSpec.makeMeasureSpec(0, 0));
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void a(String str, int i) {
        if (this.e == null) {
            return;
        }
        if (i != 0 && 1 != i) {
            throw new RuntimeException("BDMapSDKException: loadCustomStyleFileMode is illegal. Only support 0-local, 1-server");
        }
        if (TextUtils.isEmpty(str)) {
            throw new RuntimeException("BDMapSDKException: customMapStyleFilePath String is illegal");
        }
        if (!new File(str).exists()) {
            throw new RuntimeException("BDMapSDKException: please check whether the customMapStylePath file exits");
        }
        this.e.a().a(str, i);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void b() {
        if (this.i.a()) {
            float f = this.e.a().E().f524a;
            this.i.b(f > this.e.a().b);
            this.i.a(f < this.e.a().f531a);
        }
    }

    private void b(Context context) {
        am amVar = new am(context, false);
        this.i = amVar;
        if (amVar.a()) {
            this.i.b(new n(this));
            this.i.a(new o(this));
            addView(this.i);
        }
    }

    private void c(Context context) {
        this.l = new RelativeLayout(context);
        this.l.setLayoutParams(new ViewGroup.LayoutParams(-2, -2));
        this.m = new TextView(context);
        RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams(-2, -2);
        layoutParams.addRule(14);
        this.m.setTextColor(Color.parseColor("#FFFFFF"));
        this.m.setTextSize(2, 11.0f);
        TextView textView = this.m;
        textView.setTypeface(textView.getTypeface(), 1);
        this.m.setLayoutParams(layoutParams);
        this.m.setId(Integer.MAX_VALUE);
        this.l.addView(this.m);
        this.n = new TextView(context);
        RelativeLayout.LayoutParams layoutParams2 = new RelativeLayout.LayoutParams(-2, -2);
        layoutParams2.width = -2;
        layoutParams2.height = -2;
        layoutParams2.addRule(14);
        this.n.setTextColor(Color.parseColor("#000000"));
        this.n.setTextSize(2, 11.0f);
        this.n.setLayoutParams(layoutParams2);
        this.l.addView(this.n);
        this.o = new ImageView(context);
        RelativeLayout.LayoutParams layoutParams3 = new RelativeLayout.LayoutParams(-2, -2);
        layoutParams3.width = -2;
        layoutParams3.height = -2;
        layoutParams3.addRule(14);
        layoutParams3.addRule(3, this.m.getId());
        this.o.setLayoutParams(layoutParams3);
        Bitmap a2 = com.baidu.mapsdkplatform.comapi.commonutils.a.a("icon_scale.9.png", context);
        if (a2 != null) {
            byte[] ninePatchChunk = a2.getNinePatchChunk();
            if (NinePatch.isNinePatchChunk(ninePatchChunk)) {
                this.o.setBackgroundDrawable(new NinePatchDrawable(a2, ninePatchChunk, new Rect(), null));
            }
        }
        this.l.addView(this.o);
        addView(this.l);
    }

    @Deprecated
    public static void setCustomMapStylePath(String str) {
        if (str == null || str.length() == 0) {
            throw new RuntimeException("BDMapSDKException: customMapStylePath String is illegal");
        }
        if (!new File(str).exists()) {
            throw new RuntimeException("BDMapSDKException: please check whether the customMapStylePath file exits");
        }
        b = str;
    }

    @Deprecated
    public static void setIconCustom(int i) {
        d = i;
    }

    @Deprecated
    public static void setLoadCustomMapStyleFileMode(int i) {
        c = i;
    }

    @Deprecated
    public static void setMapCustomEnable(boolean z) {
        com.baidu.mapsdkplatform.comapi.map.k.a(z);
    }

    @Override // android.view.ViewGroup, android.view.ViewManager
    public void addView(View view, ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof MapViewLayoutParams) {
            super.addView(view, layoutParams);
        }
    }

    public void cancelRenderMap() {
        this.e.a().x(false);
        this.e.a().P().clear();
    }

    public final LogoPosition getLogoPosition() {
        switch (this.r) {
            case 1:
                return LogoPosition.logoPostionleftTop;
            case 2:
                return LogoPosition.logoPostionCenterBottom;
            case 3:
                return LogoPosition.logoPostionCenterTop;
            case 4:
                return LogoPosition.logoPostionRightBottom;
            case 5:
                return LogoPosition.logoPostionRightTop;
            default:
                return LogoPosition.logoPostionleftBottom;
        }
    }

    public final BaiduMap getMap() {
        this.f.f315a = this;
        return this.f;
    }

    public final int getMapLevel() {
        return q.get(Math.round(this.e.a().E().f524a));
    }

    public Point getScaleControlPosition() {
        return this.j;
    }

    public int getScaleControlViewHeight() {
        return this.z;
    }

    public int getScaleControlViewWidth() {
        return this.A;
    }

    public Point getZoomControlsPosition() {
        return this.k;
    }

    public boolean handleMultiTouch(float f, float f2, float f3, float f4) {
        com.baidu.mapsdkplatform.comapi.map.l lVar = this.e;
        return lVar != null && lVar.a(f, f2, f3, f4);
    }

    public void handleTouchDown(float f, float f2) {
        com.baidu.mapsdkplatform.comapi.map.l lVar = this.e;
        if (lVar == null) {
            return;
        }
        lVar.a(f, f2);
    }

    public boolean handleTouchMove(float f, float f2) {
        com.baidu.mapsdkplatform.comapi.map.l lVar = this.e;
        return lVar != null && lVar.c(f, f2);
    }

    public boolean handleTouchUp(float f, float f2) {
        com.baidu.mapsdkplatform.comapi.map.l lVar = this.e;
        if (lVar == null) {
            return false;
        }
        return lVar.b(f, f2);
    }

    public boolean inRangeOfView(float f, float f2) {
        com.baidu.mapsdkplatform.comapi.map.l lVar = this.e;
        return lVar != null && lVar.d(f, f2);
    }

    public void onCreate(Context context, Bundle bundle) {
        if (bundle == null) {
            return;
        }
        MapStatus mapStatus = (MapStatus) bundle.getParcelable("mapstatus");
        if (this.j != null) {
            this.j = (Point) bundle.getParcelable("scalePosition");
        }
        if (this.k != null) {
            this.k = (Point) bundle.getParcelable("zoomPosition");
        }
        this.s = bundle.getBoolean("mZoomControlEnabled");
        this.t = bundle.getBoolean("mScaleControlEnabled");
        this.r = bundle.getInt("logoPosition");
        setPadding(bundle.getInt("paddingLeft"), bundle.getInt("paddingTop"), bundle.getInt("paddingRight"), bundle.getInt("paddingBottom"));
        a(context, new BaiduMapOptions().mapStatus(mapStatus));
    }

    public final void onDestroy() {
        Context context = this.p;
        if (context != null) {
            this.e.b(context.hashCode());
        }
        Bitmap bitmap = this.h;
        if (bitmap != null && !bitmap.isRecycled()) {
            this.h.recycle();
            this.h = null;
        }
        if (b != null) {
            b = null;
        }
        this.i.b();
        BMapManager.destroy();
        com.baidu.mapsdkplatform.comapi.map.k.b();
        this.p = null;
    }

    @Override // android.view.ViewGroup, android.view.View
    protected final void onLayout(boolean z, int i, int i2, int i3, int i4) {
        float f;
        float f2;
        int measuredHeight;
        int measuredWidth;
        int height;
        int height2;
        int childCount = getChildCount();
        a(this.g);
        if (((getWidth() - this.v) - this.w) - this.g.getMeasuredWidth() <= 0 || ((getHeight() - this.x) - this.y) - this.g.getMeasuredHeight() <= 0) {
            this.v = 0;
            this.w = 0;
            this.y = 0;
            this.x = 0;
            f = 1.0f;
            f2 = 1.0f;
        } else {
            f = ((getWidth() - this.v) - this.w) / getWidth();
            f2 = ((getHeight() - this.x) - this.y) / getHeight();
        }
        for (int i5 = 0; i5 < childCount; i5++) {
            View childAt = getChildAt(i5);
            if (childAt != null) {
                com.baidu.mapsdkplatform.comapi.map.l lVar = this.e;
                if (childAt == lVar) {
                    lVar.layout(0, 0, getWidth(), getHeight());
                } else {
                    ImageView imageView = this.g;
                    if (childAt == imageView) {
                        float f3 = f * 5.0f;
                        int i6 = (int) (this.v + f3);
                        int i7 = (int) (this.w + f3);
                        float f4 = 5.0f * f2;
                        int i8 = (int) (this.x + f4);
                        int i9 = (int) (this.y + f4);
                        switch (this.r) {
                            case 1:
                                measuredHeight = imageView.getMeasuredHeight() + i8;
                                measuredWidth = this.g.getMeasuredWidth() + i6;
                                break;
                            case 2:
                                height = getHeight() - i9;
                                i8 = height - this.g.getMeasuredHeight();
                                int width = (((getWidth() - this.g.getMeasuredWidth()) + this.v) - this.w) / 2;
                                measuredWidth = (((getWidth() + this.g.getMeasuredWidth()) + this.v) - this.w) / 2;
                                measuredHeight = height;
                                i6 = width;
                                break;
                            case 3:
                                height = imageView.getMeasuredHeight() + i8;
                                int width2 = (((getWidth() - this.g.getMeasuredWidth()) + this.v) - this.w) / 2;
                                measuredWidth = (((getWidth() + this.g.getMeasuredWidth()) + this.v) - this.w) / 2;
                                measuredHeight = height;
                                i6 = width2;
                                break;
                            case 4:
                                height2 = getHeight() - i9;
                                i8 = height2 - this.g.getMeasuredHeight();
                                int width3 = getWidth() - i7;
                                int measuredWidth2 = width3 - this.g.getMeasuredWidth();
                                measuredHeight = height2;
                                i6 = measuredWidth2;
                                measuredWidth = width3;
                                break;
                            case 5:
                                height2 = imageView.getMeasuredHeight() + i8;
                                int width32 = getWidth() - i7;
                                int measuredWidth22 = width32 - this.g.getMeasuredWidth();
                                measuredHeight = height2;
                                i6 = measuredWidth22;
                                measuredWidth = width32;
                                break;
                            default:
                                measuredHeight = getHeight() - i9;
                                measuredWidth = this.g.getMeasuredWidth() + i6;
                                i8 = measuredHeight - this.g.getMeasuredHeight();
                                break;
                        }
                        this.g.layout(i6, i8, measuredWidth, measuredHeight);
                    } else {
                        am amVar = this.i;
                        if (childAt != amVar) {
                            RelativeLayout relativeLayout = this.l;
                            if (childAt == relativeLayout) {
                                a(relativeLayout);
                                Point point = this.j;
                                if (point == null) {
                                    this.A = this.l.getMeasuredWidth();
                                    this.z = this.l.getMeasuredHeight();
                                    int i10 = (int) (this.v + (5.0f * f));
                                    int height3 = (getHeight() - ((int) ((this.y + (f2 * 5.0f)) + 56.0f))) - this.g.getMeasuredHeight();
                                    this.l.layout(i10, height3, this.A + i10, this.z + height3);
                                } else {
                                    this.l.layout(point.x, this.j.y, this.j.x + this.l.getMeasuredWidth(), this.j.y + this.l.getMeasuredHeight());
                                }
                            } else {
                                ViewGroup.LayoutParams layoutParams = childAt.getLayoutParams();
                                if (layoutParams instanceof MapViewLayoutParams) {
                                    MapViewLayoutParams mapViewLayoutParams = (MapViewLayoutParams) layoutParams;
                                    Point a2 = mapViewLayoutParams.c == MapViewLayoutParams.ELayoutMode.absoluteMode ? mapViewLayoutParams.b : this.e.a().a(CoordUtil.ll2mc(mapViewLayoutParams.f344a));
                                    a(childAt);
                                    int measuredWidth3 = childAt.getMeasuredWidth();
                                    int measuredHeight2 = childAt.getMeasuredHeight();
                                    float f5 = mapViewLayoutParams.d;
                                    int i11 = (int) (a2.x - (f5 * measuredWidth3));
                                    int i12 = ((int) (a2.y - (mapViewLayoutParams.e * measuredHeight2))) + mapViewLayoutParams.f;
                                    childAt.layout(i11, i12, measuredWidth3 + i11, measuredHeight2 + i12);
                                }
                            }
                        } else if (amVar.a()) {
                            a(this.i);
                            Point point2 = this.k;
                            if (point2 == null) {
                                int height4 = (int) (((getHeight() - 15) * f2) + this.x);
                                int width4 = (int) (((getWidth() - 15) * f) + this.v);
                                int measuredWidth4 = width4 - this.i.getMeasuredWidth();
                                int measuredHeight3 = height4 - this.i.getMeasuredHeight();
                                if (this.r == 4) {
                                    height4 -= this.g.getMeasuredHeight();
                                    measuredHeight3 -= this.g.getMeasuredHeight();
                                }
                                this.i.layout(measuredWidth4, measuredHeight3, width4, height4);
                            } else {
                                this.i.layout(point2.x, this.k.y, this.k.x + this.i.getMeasuredWidth(), this.k.y + this.i.getMeasuredHeight());
                            }
                        }
                    }
                }
            }
        }
    }

    public final void onPause() {
        this.e.onPause();
    }

    public final void onResume() {
        this.e.onResume();
    }

    public void onSaveInstanceState(Bundle bundle) {
        BaiduMap baiduMap;
        if (bundle == null || (baiduMap = this.f) == null) {
            return;
        }
        bundle.putParcelable("mapstatus", baiduMap.getMapStatus());
        Point point = this.j;
        if (point != null) {
            bundle.putParcelable("scalePosition", point);
        }
        Point point2 = this.k;
        if (point2 != null) {
            bundle.putParcelable("zoomPosition", point2);
        }
        bundle.putBoolean("mZoomControlEnabled", this.s);
        bundle.putBoolean("mScaleControlEnabled", this.t);
        bundle.putInt("logoPosition", this.r);
        bundle.putInt("paddingLeft", this.v);
        bundle.putInt("paddingTop", this.x);
        bundle.putInt("paddingRight", this.w);
        bundle.putInt("paddingBottom", this.y);
    }

    @Override // android.view.ViewGroup, android.view.ViewManager
    public void removeView(View view) {
        if (view == this.g) {
            return;
        }
        super.removeView(view);
    }

    public void renderMap() {
        com.baidu.mapsdkplatform.comapi.map.e a2 = this.e.a();
        a2.x(true);
        a2.Q();
    }

    public void setCustomStyleFilePathAndMode(String str, int i) {
        a(str, i);
    }

    public final void setLogoPosition(LogoPosition logoPosition) {
        if (logoPosition == null) {
            logoPosition = LogoPosition.logoPostionleftBottom;
        }
        this.r = logoPosition.ordinal();
        requestLayout();
    }

    public void setMapCustomStyle(MapCustomStyleOptions mapCustomStyleOptions, CustomMapStyleCallBack customMapStyleCallBack) {
        if (mapCustomStyleOptions == null) {
            return;
        }
        String customMapStyleId = mapCustomStyleOptions.getCustomMapStyleId();
        if (customMapStyleId != null && !customMapStyleId.isEmpty()) {
            com.baidu.mapsdkplatform.comapi.map.h.a().a(this.p, customMapStyleId, new l(this, customMapStyleCallBack, mapCustomStyleOptions));
            return;
        }
        String localCustomStyleFilePath = mapCustomStyleOptions.getLocalCustomStyleFilePath();
        if (localCustomStyleFilePath == null || localCustomStyleFilePath.isEmpty()) {
            return;
        }
        a(localCustomStyleFilePath, 0);
        setMapCustomStyleEnable(true);
    }

    public void setMapCustomStyleEnable(boolean z) {
        com.baidu.mapsdkplatform.comapi.map.l lVar = this.e;
        if (lVar == null) {
            return;
        }
        lVar.a().n(z);
    }

    public void setMapCustomStylePath(String str) {
        a(str, 0);
    }

    @Override // android.view.View
    public void setPadding(int i, int i2, int i3, int i4) {
        this.v = i;
        this.x = i2;
        this.w = i3;
        this.y = i4;
    }

    public void setScaleControlPosition(Point point) {
        if (point != null && point.x >= 0 && point.y >= 0 && point.x <= getWidth() && point.y <= getHeight()) {
            this.j = point;
            requestLayout();
        }
    }

    public void setUpViewEventToMapView(MotionEvent motionEvent) {
        this.e.onTouchEvent(motionEvent);
    }

    public final void setZOrderMediaOverlay(boolean z) {
        com.baidu.mapsdkplatform.comapi.map.l lVar = this.e;
        if (lVar == null) {
            return;
        }
        lVar.setZOrderMediaOverlay(z);
    }

    public void setZoomControlsPosition(Point point) {
        if (point != null && point.x >= 0 && point.y >= 0 && point.x <= getWidth() && point.y <= getHeight()) {
            this.k = point;
            requestLayout();
        }
    }

    public void showScaleControl(boolean z) {
        this.l.setVisibility(z ? 0 : 8);
        this.t = z;
    }

    public void showZoomControls(boolean z) {
        if (this.i.a()) {
            this.i.setVisibility(z ? 0 : 8);
            this.s = z;
        }
    }
}
