package com.baidu.mapapi.map;

import android.util.Log;
import com.baidu.mapapi.common.Logger;
import java.util.HashMap;
import java.util.HashSet;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.RejectedExecutionException;
/* loaded from: classes.dex */
public final class TileOverlay {
    private static final String b = TileOverlay.class.getSimpleName();
    private static int f = 0;

    /* renamed from: a  reason: collision with root package name */
    BaiduMap f366a;
    private TileProvider g;
    private HashMap<String, Tile> d = new HashMap<>();
    private HashSet<String> e = new HashSet<>();
    private ExecutorService c = Executors.newFixedThreadPool(1);

    public TileOverlay(BaiduMap baiduMap, TileProvider tileProvider) {
        this.f366a = baiduMap;
        this.g = tileProvider;
    }

    private synchronized Tile a(String str) {
        if (this.d.containsKey(str)) {
            Tile tile = this.d.get(str);
            this.d.remove(str);
            return tile;
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public synchronized void a(String str, Tile tile) {
        this.d.put(str, tile);
    }

    private synchronized boolean b(String str) {
        return this.e.contains(str);
    }

    private synchronized void c(String str) {
        this.e.add(str);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public Tile a(int i, int i2, int i3) {
        String str;
        String str2;
        String str3 = i + "_" + i2 + "_" + i3;
        Tile a2 = a(str3);
        if (a2 != null) {
            return a2;
        }
        BaiduMap baiduMap = this.f366a;
        if (baiduMap != null && f == 0) {
            MapStatus mapStatus = baiduMap.getMapStatus();
            f = (((mapStatus.f340a.j.right - mapStatus.f340a.j.left) / 256) + 2) * (((mapStatus.f340a.j.bottom - mapStatus.f340a.j.top) / 256) + 2);
        }
        if (this.d.size() > f) {
            a();
        }
        if (b(str3) || this.c.isShutdown()) {
            return null;
        }
        try {
            c(str3);
            this.c.execute(new y(this, i, i2, i3, str3));
            return null;
        } catch (RejectedExecutionException e) {
            str = b;
            str2 = "ThreadPool excepiton";
            Log.e(str, str2);
            return null;
        } catch (Exception e2) {
            str = b;
            str2 = "fileDir is not legal";
            Log.e(str, str2);
            return null;
        }
    }

    synchronized void a() {
        Logger.logE(b, "clearTaskSet");
        this.e.clear();
        this.d.clear();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void b() {
        this.c.shutdownNow();
    }

    public boolean clearTileCache() {
        BaiduMap baiduMap = this.f366a;
        if (baiduMap == null) {
            return false;
        }
        return baiduMap.b();
    }

    public void removeTileOverlay() {
        BaiduMap baiduMap = this.f366a;
        if (baiduMap == null) {
            return;
        }
        baiduMap.a(this);
    }
}
