package com.bjz.comm.net.mvp.model;

import com.bjz.comm.net.UrlConstant;
import com.bjz.comm.net.base.DataListener;
import com.bjz.comm.net.bean.BResponse;
import com.bjz.comm.net.bean.FcMediaResponseBean;
import com.bjz.comm.net.bean.IPResponse;
import com.bjz.comm.net.factory.ApiFactory;
import com.bjz.comm.net.mvp.contract.BaseFcContract;
import com.bjz.comm.net.utils.RxHelper;
import io.reactivex.Observable;
import io.reactivex.functions.Consumer;
import java.io.File;
import java.io.UnsupportedEncodingException;
import java.net.FileNameMap;
import java.net.URLConnection;
import java.net.URLEncoder;
import java.util.ArrayList;
import java.util.Objects;
import okhttp3.MediaType;
import okhttp3.MultipartBody;
import okhttp3.RequestBody;
import okhttp3.ResponseBody;
/* loaded from: classes2.dex */
public class FcCommonModel implements BaseFcContract.IFcCommModel {
    private static final String TAG = FcCommonModel.class.getSimpleName();

    @Override // com.bjz.comm.net.base.IBModel
    public void unSubscribeTask() {
        RxHelper.getInstance().m20lambda$sendSimpleRequest$0$combjzcommnetutilsRxHelper(TAG);
    }

    @Override // com.bjz.comm.net.mvp.contract.BaseFcContract.IFcCommModel
    @Deprecated
    public void getIpLocation(final DataListener<IPResponse> listener) {
        Observable<IPResponse> observable = ApiFactory.getInstance().getApiCommon().getIpLocation(UrlConstant.GET_IP_LOCATION);
        RxHelper rxHelper = RxHelper.getInstance();
        String str = TAG;
        Objects.requireNonNull(listener);
        Consumer consumer = new Consumer() { // from class: com.bjz.comm.net.mvp.model.FcCommonModel$$ExternalSyntheticLambda1
            @Override // io.reactivex.functions.Consumer
            public final void accept(Object obj) {
                DataListener.this.onResponse((IPResponse) obj);
            }
        };
        Objects.requireNonNull(listener);
        rxHelper.sendCommRequest(str, observable, consumer, new FCPageAlbumListModel$$ExternalSyntheticLambda1(listener));
    }

    @Override // com.bjz.comm.net.mvp.contract.BaseFcContract.IFcCommModel
    public void getUploadAddr(int location, DataListener<BResponse<ArrayList<String>>> listener) {
        Observable<BResponse<ArrayList<String>>> observable = ApiFactory.getInstance().getApiCommon().getUploadAddr(location);
        RxHelper rxHelper = RxHelper.getInstance();
        String str = TAG;
        Objects.requireNonNull(listener);
        FCPageAlbumListModel$$ExternalSyntheticLambda0 fCPageAlbumListModel$$ExternalSyntheticLambda0 = new FCPageAlbumListModel$$ExternalSyntheticLambda0(listener);
        Objects.requireNonNull(listener);
        rxHelper.sendRequest(str, observable, fCPageAlbumListModel$$ExternalSyntheticLambda0, new FCPageAlbumListModel$$ExternalSyntheticLambda1(listener));
    }

    @Override // com.bjz.comm.net.mvp.contract.BaseFcContract.IFcCommModel
    public void uploadFile(String url, String formKey, String name, File file, DataListener<BResponse<FcMediaResponseBean>> listener) {
        RequestBody fileBody = RequestBody.create(MediaType.parse(guessMimeType(file.getName())), file);
        RequestBody requestBody = new MultipartBody.Builder().setType(MultipartBody.FORM).addFormDataPart("name", name).addFormDataPart(formKey, file.getName(), fileBody).build();
        Observable<BResponse<FcMediaResponseBean>> observable = ApiFactory.getInstance().getApiCommon().uploadFile(url, requestBody);
        RxHelper rxHelper = RxHelper.getInstance();
        String str = TAG;
        Objects.requireNonNull(listener);
        FCPageAlbumListModel$$ExternalSyntheticLambda0 fCPageAlbumListModel$$ExternalSyntheticLambda0 = new FCPageAlbumListModel$$ExternalSyntheticLambda0(listener);
        Objects.requireNonNull(listener);
        rxHelper.sendCommRequest(str, observable, fCPageAlbumListModel$$ExternalSyntheticLambda0, new FCPageAlbumListModel$$ExternalSyntheticLambda1(listener));
    }

    private String guessMimeType(String path) {
        FileNameMap fileNameMap = URLConnection.getFileNameMap();
        String contentTypeFor = null;
        try {
            contentTypeFor = fileNameMap.getContentTypeFor(URLEncoder.encode(path, "UTF-8"));
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        if (contentTypeFor == null) {
            return "application/octet-stream";
        }
        return contentTypeFor;
    }

    @Override // com.bjz.comm.net.mvp.contract.BaseFcContract.IFcCommModel
    public void downloadFile(String url, final DataListener<ResponseBody> listener) {
        Observable<ResponseBody> observable = ApiFactory.getInstance().getApiCommon().downloadImg(url);
        RxHelper rxHelper = RxHelper.getInstance();
        String str = TAG;
        Objects.requireNonNull(listener);
        Consumer consumer = new Consumer() { // from class: com.bjz.comm.net.mvp.model.FcCommonModel$$ExternalSyntheticLambda0
            @Override // io.reactivex.functions.Consumer
            public final void accept(Object obj) {
                DataListener.this.onResponse((ResponseBody) obj);
            }
        };
        Objects.requireNonNull(listener);
        rxHelper.sendCommRequest(str, observable, consumer, new FCPageAlbumListModel$$ExternalSyntheticLambda1(listener));
    }
}
