package com.fm.openinstall;

import android.app.Activity;
import android.content.ClipData;
import android.content.Context;
import android.content.Intent;
import android.text.TextUtils;
import com.fm.openinstall.listener.AppInstallListener;
import com.fm.openinstall.listener.AppInstallRetryAdapter;
import com.fm.openinstall.listener.AppWakeUpListener;
import com.fm.openinstall.listener.ResultCallback;
import io.openinstall.sdk.b;
import io.openinstall.sdk.bf;
import io.openinstall.sdk.c;
import io.openinstall.sdk.cb;
import io.openinstall.sdk.cc;
import io.openinstall.sdk.cd;
import java.io.File;
import java.lang.ref.WeakReference;
import java.util.Map;
/* loaded from: classes.dex */
public final class OpenInstall {

    /* renamed from: a  reason: collision with root package name */
    private static volatile boolean f592a = false;

    private OpenInstall() {
    }

    private static void a(Context context, Configuration configuration, Runnable runnable) {
        init(context, configuration);
        if (runnable != null) {
            runnable.run();
            c.a().a((Runnable) null);
        }
    }

    private static boolean a() {
        if (f592a) {
            return true;
        }
        if (cb.f667a) {
            cb.c("请先调用 init(Context) 初始化", new Object[0]);
        }
        return false;
    }

    public static void clipBoardEnabled(boolean z) {
        c.a().a(Boolean.valueOf(z));
    }

    public static void getInstall(AppInstallListener appInstallListener) {
        getInstall(appInstallListener, 10);
    }

    public static void getInstall(AppInstallListener appInstallListener, int i) {
        if (!a()) {
            appInstallListener.onInstallFinish(null, bf.a.NOT_INIT.a().c());
            return;
        }
        if (cb.f667a && i < 5) {
            cb.b("getInstall设置超时时间过小，易造成数据获取失败，请增大超时时间或调整调用时机", new Object[0]);
        }
        b.a().a(false, i, appInstallListener);
    }

    public static void getInstallCanRetry(AppInstallRetryAdapter appInstallRetryAdapter, int i) {
        if (a()) {
            b.a().a(true, i, (AppInstallListener) appInstallRetryAdapter);
        } else {
            appInstallRetryAdapter.onInstallFinish(null, bf.a.NOT_INIT.a().c());
        }
    }

    public static String getOpid() {
        if (a()) {
            return b.a().b();
        }
        return null;
    }

    @Deprecated
    public static void getUpdateApk(ResultCallback<File> resultCallback) {
        if (a()) {
            b.a().a(resultCallback);
        } else {
            resultCallback.onResult(null, bf.a.NOT_INIT.a().c());
        }
    }

    public static String getVersion() {
        return "2.8.1";
    }

    public static boolean getWakeUp(Intent intent, AppWakeUpListener appWakeUpListener) {
        if (a() && OpenInstallHelper.isSchemeWakeup(intent)) {
            b.a().a(intent, appWakeUpListener);
            return true;
        }
        return false;
    }

    public static void getWakeUpAlwaysCallback(Intent intent, AppWakeUpListener appWakeUpListener) {
        if (!a()) {
            appWakeUpListener.onWakeUpFinish(null, bf.a.NOT_INIT.a().c());
        } else if (OpenInstallHelper.isSchemeWakeup(intent)) {
            b.a().a(intent, appWakeUpListener);
        } else {
            appWakeUpListener.onWakeUpFinish(null, bf.a.INVALID_DATA.a().c());
        }
    }

    public static boolean getWakeUpYYB(Activity activity, Intent intent, AppWakeUpListener appWakeUpListener) {
        if (a()) {
            if (OpenInstallHelper.isSchemeWakeup(intent)) {
                b.a().a(intent, appWakeUpListener);
                return true;
            } else if (OpenInstallHelper.isLauncherFromYYB(activity, intent)) {
                b.a().a(appWakeUpListener);
                return true;
            } else {
                return false;
            }
        }
        return false;
    }

    public static void getWakeUpYYBAlwaysCallback(Activity activity, Intent intent, AppWakeUpListener appWakeUpListener) {
        if (!a()) {
            appWakeUpListener.onWakeUpFinish(null, bf.a.NOT_INIT.a().c());
        } else if (OpenInstallHelper.isSchemeWakeup(intent)) {
            b.a().a(intent, appWakeUpListener);
        } else if (OpenInstallHelper.isLauncherFromYYB(activity, intent)) {
            b.a().a(appWakeUpListener);
        } else {
            appWakeUpListener.onWakeUpFinish(null, bf.a.INVALID_DATA.a().c());
        }
    }

    public static void init(Context context) {
        init(context, Configuration.getDefault());
    }

    public static void init(Context context, Configuration configuration) {
        String a2 = cc.a(context);
        if (TextUtils.isEmpty(a2)) {
            throw new IllegalArgumentException("请在AndroidManifest.xml中配置OpenInstall提供的AppKey");
        }
        init(context, a2, configuration);
    }

    public static void init(Context context, String str) {
        init(context, str, Configuration.getDefault());
    }

    public static void init(Context context, String str, Configuration configuration) {
        long currentTimeMillis = System.currentTimeMillis();
        if (context == null) {
            throw new IllegalArgumentException("context不能为空");
        }
        if (TextUtils.isEmpty(str)) {
            throw new IllegalArgumentException("请前往OpenInstall控制台的 “Android集成” -> “Android应用配置” 中获取AppKey");
        }
        if (cb.f667a) {
            cb.a("SDK Version : " + getVersion(), new Object[0]);
        }
        c.a().a(context.getApplicationContext());
        c.a().a(str);
        c.a().a(configuration);
        WeakReference<Activity> weakReference = context instanceof Activity ? new WeakReference<>((Activity) context) : null;
        synchronized (OpenInstall.class) {
            if (!f592a) {
                b.a().a(weakReference, currentTimeMillis);
                f592a = true;
            }
        }
    }

    @Deprecated
    public static void initWithPermission(Activity activity, Configuration configuration) {
        initWithPermission(activity, configuration, null);
    }

    @Deprecated
    public static void initWithPermission(Activity activity, Configuration configuration, Runnable runnable) {
        if (cb.f667a) {
            cb.b("initWithPermission 方法在后续版本中将被移除，请自行进行权限申请", new Object[0]);
        }
        if (cd.a(activity)) {
            a(activity.getApplicationContext(), configuration, runnable);
            return;
        }
        cd.a(activity, new String[]{"android.permission.READ_PHONE_STATE"}, 987);
        c.a().a(activity.getApplicationContext());
        c.a().a(runnable);
        c.a().a(configuration);
    }

    public static void onRequestPermissionsResult(int i, String[] strArr, int[] iArr) {
        Context b = c.a().b();
        if (b == null || i != 987) {
            return;
        }
        a(b, c.a().e(), c.a().j());
    }

    public static void reportEffectPoint(String str, long j) {
        if (a()) {
            b.a().a(str, j);
        }
    }

    public static void reportEffectPoint(String str, long j, Map<String, String> map) {
        if (a()) {
            b.a().a(str, j, map);
        }
    }

    public static void reportRegister() {
        if (a()) {
            b.a().c();
        }
    }

    public static void reportShare(String str, SharePlatform sharePlatform, ResultCallback<Void> resultCallback) {
        reportShare(str, sharePlatform.name(), resultCallback);
    }

    public static void reportShare(String str, String str2, ResultCallback<Void> resultCallback) {
        if (a()) {
            b.a().a(str, str2, resultCallback);
        } else {
            resultCallback.onResult(null, bf.a.NOT_INIT.a().c());
        }
    }

    @Deprecated
    public static void serialEnabled(boolean z) {
        c.a().b(Boolean.valueOf(z));
    }

    public static void setChannel(String str) {
        c.a().b(str);
    }

    public static void setDebug(boolean z) {
        cb.f667a = z;
    }

    public static void setTrackData(ClipData clipData) {
        c.a().a(clipData);
        c.a().a((Boolean) false);
    }
}
