package com.google.android.exoplayer2.audio;

import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.util.Util;
/* loaded from: classes15.dex */
public final class WavUtil {
    private static final int TYPE_A_LAW = 6;
    private static final int TYPE_FLOAT = 3;
    private static final int TYPE_MU_LAW = 7;
    private static final int TYPE_PCM = 1;
    private static final int TYPE_WAVE_FORMAT_EXTENSIBLE = 65534;
    public static final int RIFF_FOURCC = Util.getIntegerCodeForString("RIFF");
    public static final int WAVE_FOURCC = Util.getIntegerCodeForString("WAVE");
    public static final int FMT_FOURCC = Util.getIntegerCodeForString("fmt ");
    public static final int DATA_FOURCC = Util.getIntegerCodeForString("data");

    public static int getTypeForEncoding(int encoding) {
        switch (encoding) {
            case Integer.MIN_VALUE:
            case 2:
            case 3:
            case 1073741824:
                return 1;
            case 4:
                return 3;
            case C.ENCODING_PCM_MU_LAW /* 268435456 */:
                return 7;
            case 536870912:
                return 6;
            default:
                throw new IllegalArgumentException();
        }
    }

    public static int getEncodingForType(int type, int bitsPerSample) {
        switch (type) {
            case 1:
            case TYPE_WAVE_FORMAT_EXTENSIBLE /* 65534 */:
                return Util.getPcmEncoding(bitsPerSample);
            case 3:
                return bitsPerSample == 32 ? 4 : 0;
            case 6:
                return 536870912;
            case 7:
                return C.ENCODING_PCM_MU_LAW;
            default:
                return 0;
        }
    }

    private WavUtil() {
    }
}
