package com.google.android.exoplayer2.metadata.icy;

import com.google.android.exoplayer2.metadata.Metadata;
import com.google.android.exoplayer2.metadata.MetadataDecoder;
import com.google.android.exoplayer2.metadata.MetadataInputBuffer;
import com.google.android.exoplayer2.util.Log;
import com.google.android.exoplayer2.util.Util;
import java.nio.ByteBuffer;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
/* loaded from: classes6.dex */
public final class IcyDecoder implements MetadataDecoder {
    private static final Pattern METADATA_ELEMENT = Pattern.compile("(.+?)='(.+?)';");
    private static final String STREAM_KEY_NAME = "streamtitle";
    private static final String STREAM_KEY_URL = "streamurl";
    private static final String TAG = "IcyDecoder";

    @Override // com.google.android.exoplayer2.metadata.MetadataDecoder
    public Metadata decode(MetadataInputBuffer inputBuffer) {
        ByteBuffer buffer = inputBuffer.data;
        byte[] data = buffer.array();
        int length = buffer.limit();
        return decode(Util.fromUtf8Bytes(data, 0, length));
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x002c, code lost:
        if (r4.equals(com.google.android.exoplayer2.metadata.icy.IcyDecoder.STREAM_KEY_NAME) != false) goto L8;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    Metadata decode(String metadata) {
        String name = null;
        String url = null;
        int index = 0;
        Matcher matcher = METADATA_ELEMENT.matcher(metadata);
        while (true) {
            char c = 0;
            if (matcher.find(index)) {
                String key = Util.toLowerInvariant(matcher.group(1));
                String value = matcher.group(2);
                switch (key.hashCode()) {
                    case -315603473:
                        if (key.equals(STREAM_KEY_URL)) {
                            c = 1;
                            break;
                        }
                        c = 65535;
                        break;
                    case 1646559960:
                        break;
                    default:
                        c = 65535;
                        break;
                }
                switch (c) {
                    case 0:
                        name = value;
                        break;
                    case 1:
                        url = value;
                        break;
                    default:
                        Log.w(TAG, "Unrecognized ICY tag: " + name);
                        break;
                }
                index = matcher.end();
            } else if (name == null && url == null) {
                return null;
            } else {
                return new Metadata(new IcyInfo(name, url));
            }
        }
    }
}
