package com.google.android.exoplayer2.util;
/* loaded from: classes8.dex */
public final class ConditionVariable {
    private boolean isOpen;

    public synchronized boolean open() {
        if (this.isOpen) {
            return false;
        }
        this.isOpen = true;
        notifyAll();
        return true;
    }

    public synchronized boolean close() {
        boolean wasOpen;
        wasOpen = this.isOpen;
        this.isOpen = false;
        return wasOpen;
    }

    public synchronized void block() throws InterruptedException {
        while (!this.isOpen) {
            wait();
        }
    }

    public synchronized boolean block(long timeout) throws InterruptedException {
        boolean z;
        long now = android.os.SystemClock.elapsedRealtime();
        long end = now + timeout;
        while (true) {
            z = this.isOpen;
            if (z || now >= end) {
                break;
            }
            wait(end - now);
            now = android.os.SystemClock.elapsedRealtime();
        }
        return z;
    }
}
