package com.google.android.gms.common.util;
/* compiled from: com.google.android.gms:play-services-basement@@18.1.0 */
/* loaded from: classes.dex */
public class MurmurHash3 {
    private MurmurHash3() {
    }

    public static int murmurhash3_x86_32(byte[] data, int offset, int len, int seed) {
        int i = (len & (-4)) + offset;
        while (offset < i) {
            int i2 = ((data[offset] & 255) | ((data[offset + 1] & 255) << 8) | ((data[offset + 2] & 255) << 16) | (data[offset + 3] << 24)) * (-862048943);
            int i3 = seed ^ (((i2 << 15) | (i2 >>> 17)) * 461845907);
            seed = (((i3 >>> 19) | (i3 << 13)) * 5) - 430675100;
            offset += 4;
        }
        int i4 = 0;
        switch (len & 3) {
            case 3:
                i4 = (data[i + 2] & 255) << 16;
            case 2:
                i4 |= (data[i + 1] & 255) << 8;
            case 1:
                int i5 = ((data[i] & 255) | i4) * (-862048943);
                seed ^= ((i5 >>> 17) | (i5 << 15)) * 461845907;
                break;
        }
        int i6 = seed ^ len;
        int i7 = (i6 ^ (i6 >>> 16)) * (-2048144789);
        int i8 = (i7 ^ (i7 >>> 13)) * (-1028477387);
        return i8 ^ (i8 >>> 16);
    }
}
