package com.google.android.gms.internal.mlkit_vision_text_bundled_common;

import java.util.AbstractMap;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.SortedMap;
import java.util.TreeMap;
/* JADX INFO: Access modifiers changed from: package-private */
/* compiled from: com.google.mlkit:text-recognition-bundled-common@@16.0.0 */
/* loaded from: classes.dex */
public class zbww extends AbstractMap {
    private final int zba;
    private boolean zbd;
    private volatile zbwu zbe;
    private List zbb = Collections.emptyList();
    private Map zbc = Collections.emptyMap();
    private Map zbf = Collections.emptyMap();

    private final int zbk(Comparable comparable) {
        int size = this.zbb.size() - 1;
        int i = 0;
        if (size >= 0) {
            int compareTo = comparable.compareTo(((zbwq) this.zbb.get(size)).zba());
            if (compareTo > 0) {
                return -(size + 2);
            }
            if (compareTo == 0) {
                return size;
            }
        }
        while (i <= size) {
            int i2 = (i + size) / 2;
            int compareTo2 = comparable.compareTo(((zbwq) this.zbb.get(i2)).zba());
            if (compareTo2 < 0) {
                size = i2 - 1;
            } else if (compareTo2 <= 0) {
                return i2;
            } else {
                i = i2 + 1;
            }
        }
        return -(i + 1);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final Object zbl(int i) {
        zbn();
        Object value = ((zbwq) this.zbb.remove(i)).getValue();
        if (!this.zbc.isEmpty()) {
            Iterator it = zbm().entrySet().iterator();
            List list = this.zbb;
            Map.Entry entry = (Map.Entry) it.next();
            list.add(new zbwq(this, (Comparable) entry.getKey(), entry.getValue()));
            it.remove();
        }
        return value;
    }

    private final SortedMap zbm() {
        zbn();
        if (this.zbc.isEmpty() && !(this.zbc instanceof TreeMap)) {
            TreeMap treeMap = new TreeMap();
            this.zbc = treeMap;
            this.zbf = treeMap.descendingMap();
        }
        return (SortedMap) this.zbc;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void zbn() {
        if (this.zbd) {
            throw new UnsupportedOperationException();
        }
    }

    @Override // java.util.AbstractMap, java.util.Map
    public final void clear() {
        zbn();
        if (!this.zbb.isEmpty()) {
            this.zbb.clear();
        }
        if (this.zbc.isEmpty()) {
            return;
        }
        this.zbc.clear();
    }

    @Override // java.util.AbstractMap, java.util.Map
    public final boolean containsKey(Object obj) {
        Comparable comparable = (Comparable) obj;
        return zbk(comparable) >= 0 || this.zbc.containsKey(comparable);
    }

    @Override // java.util.AbstractMap, java.util.Map
    public final Set entrySet() {
        if (this.zbe == null) {
            this.zbe = new zbwu(this, null);
        }
        return this.zbe;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof zbww)) {
            return super.equals(obj);
        }
        zbww zbwwVar = (zbww) obj;
        int size = size();
        if (size != zbwwVar.size()) {
            return false;
        }
        int zbb = zbb();
        if (zbb == zbwwVar.zbb()) {
            for (int i = 0; i < zbb; i++) {
                if (!zbg(i).equals(zbwwVar.zbg(i))) {
                    return false;
                }
            }
            if (zbb == size) {
                return true;
            }
            return this.zbc.equals(zbwwVar.zbc);
        }
        return entrySet().equals(zbwwVar.entrySet());
    }

    @Override // java.util.AbstractMap, java.util.Map
    public final Object get(Object obj) {
        Comparable comparable = (Comparable) obj;
        int zbk = zbk(comparable);
        if (zbk >= 0) {
            return ((zbwq) this.zbb.get(zbk)).getValue();
        }
        return this.zbc.get(comparable);
    }

    @Override // java.util.AbstractMap, java.util.Map
    public final int hashCode() {
        int zbb = zbb();
        int i = 0;
        for (int i2 = 0; i2 < zbb; i2++) {
            i += ((zbwq) this.zbb.get(i2)).hashCode();
        }
        return this.zbc.size() > 0 ? i + this.zbc.hashCode() : i;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public final Object remove(Object obj) {
        zbn();
        Comparable comparable = (Comparable) obj;
        int zbk = zbk(comparable);
        if (zbk >= 0) {
            return zbl(zbk);
        }
        if (this.zbc.isEmpty()) {
            return null;
        }
        return this.zbc.remove(comparable);
    }

    @Override // java.util.AbstractMap, java.util.Map
    public final int size() {
        return this.zbb.size() + this.zbc.size();
    }

    public void zba() {
        Map unmodifiableMap;
        Map unmodifiableMap2;
        if (!this.zbd) {
            if (this.zbc.isEmpty()) {
                unmodifiableMap = Collections.emptyMap();
            } else {
                unmodifiableMap = Collections.unmodifiableMap(this.zbc);
            }
            this.zbc = unmodifiableMap;
            if (this.zbf.isEmpty()) {
                unmodifiableMap2 = Collections.emptyMap();
            } else {
                unmodifiableMap2 = Collections.unmodifiableMap(this.zbf);
            }
            this.zbf = unmodifiableMap2;
            this.zbd = true;
        }
    }

    public final int zbb() {
        return this.zbb.size();
    }

    public final Iterable zbc() {
        return this.zbc.isEmpty() ? zbwp.zba() : this.zbc.entrySet();
    }

    @Override // java.util.AbstractMap, java.util.Map
    /* renamed from: zbe */
    public final Object put(Comparable comparable, Object obj) {
        zbn();
        int zbk = zbk(comparable);
        if (zbk >= 0) {
            return ((zbwq) this.zbb.get(zbk)).setValue(obj);
        }
        zbn();
        if (this.zbb.isEmpty() && !(this.zbb instanceof ArrayList)) {
            this.zbb = new ArrayList(this.zba);
        }
        int i = -(zbk + 1);
        if (i >= this.zba) {
            return zbm().put(comparable, obj);
        }
        int size = this.zbb.size();
        int i2 = this.zba;
        if (size == i2) {
            zbwq zbwqVar = (zbwq) this.zbb.remove(i2 - 1);
            zbm().put(zbwqVar.zba(), zbwqVar.getValue());
        }
        this.zbb.add(i, new zbwq(this, comparable, obj));
        return null;
    }

    public final Map.Entry zbg(int i) {
        return (Map.Entry) this.zbb.get(i);
    }

    public final boolean zbj() {
        return this.zbd;
    }
}
