package com.google.android.gms.internal.vision;

import java.util.Arrays;
import java.util.Collections;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Set;
/* loaded from: classes.dex */
public final class zzdr<K, V> extends LinkedHashMap<K, V> {
    private static final zzdr zzmz;
    private boolean zzgl;

    static {
        zzdr zzdrVar = new zzdr();
        zzmz = zzdrVar;
        zzdrVar.zzgl = false;
    }

    private zzdr() {
        this.zzgl = true;
    }

    private zzdr(Map<K, V> map) {
        super(map);
        this.zzgl = true;
    }

    public static <K, V> zzdr<K, V> zzcp() {
        return zzmz;
    }

    private final void zzcr() {
        if (!this.zzgl) {
            throw new UnsupportedOperationException();
        }
    }

    private static int zzg(Object obj) {
        if (obj instanceof byte[]) {
            return zzct.hashCode((byte[]) obj);
        }
        if (obj instanceof zzcu) {
            throw new UnsupportedOperationException();
        }
        return obj.hashCode();
    }

    @Override // java.util.LinkedHashMap, java.util.HashMap, java.util.AbstractMap, java.util.Map
    public final void clear() {
        zzcr();
        super.clear();
    }

    @Override // java.util.LinkedHashMap, java.util.HashMap, java.util.AbstractMap, java.util.Map
    public final Set<Map.Entry<K, V>> entrySet() {
        return isEmpty() ? Collections.emptySet() : super.entrySet();
    }

    @Override // java.util.AbstractMap, java.util.Map
    public final boolean equals(Object obj) {
        boolean equals;
        if (obj instanceof Map) {
            Map map = (Map) obj;
            if (this != map) {
                if (size() != map.size()) {
                    return false;
                }
                for (Map.Entry<K, V> entry : entrySet()) {
                    if (!map.containsKey(entry.getKey())) {
                        return false;
                    }
                    V value = entry.getValue();
                    Object obj2 = map.get(entry.getKey());
                    if ((value instanceof byte[]) && (obj2 instanceof byte[])) {
                        equals = Arrays.equals((byte[]) value, (byte[]) obj2);
                        continue;
                    } else {
                        equals = value.equals(obj2);
                        continue;
                    }
                    if (!equals) {
                        return false;
                    }
                }
                return true;
            }
            return true;
        }
        return false;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public final int hashCode() {
        int i = 0;
        for (Map.Entry<K, V> entry : entrySet()) {
            i += zzg(entry.getValue()) ^ zzg(entry.getKey());
        }
        return i;
    }

    public final boolean isMutable() {
        return this.zzgl;
    }

    @Override // java.util.HashMap, java.util.AbstractMap, java.util.Map
    public final V put(K k, V v) {
        zzcr();
        zzct.checkNotNull(k);
        zzct.checkNotNull(v);
        return (V) super.put(k, v);
    }

    @Override // java.util.HashMap, java.util.AbstractMap, java.util.Map
    public final void putAll(Map<? extends K, ? extends V> map) {
        zzcr();
        for (K k : map.keySet()) {
            zzct.checkNotNull(k);
            zzct.checkNotNull(map.get(k));
        }
        super.putAll(map);
    }

    @Override // java.util.HashMap, java.util.AbstractMap, java.util.Map
    public final V remove(Object obj) {
        zzcr();
        return (V) super.remove(obj);
    }

    public final void zza(zzdr<K, V> zzdrVar) {
        zzcr();
        if (zzdrVar.isEmpty()) {
            return;
        }
        putAll(zzdrVar);
    }

    public final void zzao() {
        this.zzgl = false;
    }

    public final zzdr<K, V> zzcq() {
        return isEmpty() ? new zzdr<>() : new zzdr<>(this);
    }
}
