package com.google.android.gms.internal.vision;

import java.io.IOException;
import java.util.Iterator;
import java.util.Map;
/* loaded from: classes.dex */
final class zzed<T> implements zzen<T> {
    private final zzdx zzni;
    private final boolean zznj;
    private final zzff<?, ?> zzns;
    private final zzcg<?> zznt;

    private zzed(zzff<?, ?> zzffVar, zzcg<?> zzcgVar, zzdx zzdxVar) {
        this.zzns = zzffVar;
        this.zznj = zzcgVar.zze(zzdxVar);
        this.zznt = zzcgVar;
        this.zzni = zzdxVar;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static <T> zzed<T> zza(zzff<?, ?> zzffVar, zzcg<?> zzcgVar, zzdx zzdxVar) {
        return new zzed<>(zzffVar, zzcgVar, zzdxVar);
    }

    @Override // com.google.android.gms.internal.vision.zzen
    public final boolean equals(T t, T t2) {
        if (this.zzns.zzr(t).equals(this.zzns.zzr(t2))) {
            if (this.zznj) {
                return this.zznt.zzb(t).equals(this.zznt.zzb(t2));
            }
            return true;
        }
        return false;
    }

    @Override // com.google.android.gms.internal.vision.zzen
    public final int hashCode(T t) {
        int hashCode = this.zzns.zzr(t).hashCode();
        return this.zznj ? (hashCode * 53) + this.zznt.zzb(t).hashCode() : hashCode;
    }

    @Override // com.google.android.gms.internal.vision.zzen
    public final T newInstance() {
        return (T) this.zzni.zzbv().zzbz();
    }

    @Override // com.google.android.gms.internal.vision.zzen
    public final void zza(T t, zzfz zzfzVar) throws IOException {
        Iterator<Map.Entry<?, Object>> it = this.zznt.zzb(t).iterator();
        while (it.hasNext()) {
            Map.Entry<?, Object> next = it.next();
            zzcl zzclVar = (zzcl) next.getKey();
            if (zzclVar.zzbp() != zzfy.MESSAGE || zzclVar.zzbq() || zzclVar.zzbr()) {
                throw new IllegalStateException("Found invalid MessageSet item.");
            }
            zzfzVar.zza(zzclVar.zzbn(), next instanceof zzdc ? ((zzdc) next).zzcj().zzak() : next.getValue());
        }
        zzff<?, ?> zzffVar = this.zzns;
        zzffVar.zzc(zzffVar.zzr(t), zzfzVar);
    }

    /* JADX WARN: Removed duplicated region for block: B:24:0x005a  */
    /* JADX WARN: Removed duplicated region for block: B:26:0x0061  */
    /* JADX WARN: Removed duplicated region for block: B:46:0x005f A[SYNTHETIC] */
    @Override // com.google.android.gms.internal.vision.zzen
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void zza(T t, byte[] bArr, int i, int i2, zzbl zzblVar) throws IOException {
        zzcr zzcrVar = (zzcr) t;
        zzfg zzfgVar = zzcrVar.zzkr;
        if (zzfgVar == zzfg.zzdu()) {
            zzfgVar = zzfg.zzdv();
            zzcrVar.zzkr = zzfgVar;
        }
        zzfg zzfgVar2 = zzfgVar;
        while (i < i2) {
            int zza = zzbk.zza(bArr, i, zzblVar);
            int i3 = zzblVar.zzgo;
            if (i3 != 11) {
                i = (i3 & 7) == 2 ? zzbk.zza(i3, bArr, zza, i2, zzfgVar2, zzblVar) : zzbk.zza(i3, bArr, zza, i2, zzblVar);
            } else {
                int i4 = 0;
                zzbo zzboVar = null;
                while (zza < i2) {
                    zza = zzbk.zza(bArr, zza, zzblVar);
                    int i5 = zzblVar.zzgo;
                    int i6 = i5 & 7;
                    switch (i5 >>> 3) {
                        case 2:
                            if (i6 != 0) {
                                if (i5 == 12) {
                                    break;
                                } else {
                                    zza = zzbk.zza(i5, bArr, zza, i2, zzblVar);
                                }
                            } else {
                                zza = zzbk.zza(bArr, zza, zzblVar);
                                i4 = zzblVar.zzgo;
                            }
                        case 3:
                            if (i6 == 2) {
                                zza = zzbk.zze(bArr, zza, zzblVar);
                                zzboVar = (zzbo) zzblVar.zzgq;
                            } else if (i5 == 12) {
                            }
                            break;
                        default:
                            if (i5 == 12) {
                            }
                            break;
                    }
                    if (zzboVar != null) {
                        zzfgVar2.zzb((i4 << 3) | 2, zzboVar);
                    }
                    i = zza;
                }
                if (zzboVar != null) {
                }
                i = zza;
            }
        }
        if (i != i2) {
            throw zzcx.zzcf();
        }
    }

    @Override // com.google.android.gms.internal.vision.zzen
    public final void zzc(T t, T t2) {
        zzep.zza(this.zzns, t, t2);
        if (this.zznj) {
            zzep.zza(this.zznt, t, t2);
        }
    }

    @Override // com.google.android.gms.internal.vision.zzen
    public final void zzd(T t) {
        this.zzns.zzd(t);
        this.zznt.zzd(t);
    }

    @Override // com.google.android.gms.internal.vision.zzen
    public final int zzn(T t) {
        zzff<?, ?> zzffVar = this.zzns;
        int zzs = zzffVar.zzs(zzffVar.zzr(t)) + 0;
        return this.zznj ? zzs + this.zznt.zzb(t).zzbm() : zzs;
    }

    @Override // com.google.android.gms.internal.vision.zzen
    public final boolean zzp(T t) {
        return this.zznt.zzb(t).isInitialized();
    }
}
