package com.google.android.gms.internal.vision;

import android.content.Context;
import android.os.RemoteException;
import android.util.Log;
import com.google.android.gms.dynamite.DynamiteModule;
import com.google.mlkit.common.sdkinternal.OptionalModuleUtils;
/* loaded from: classes.dex */
public abstract class zzl<T> {
    private static String PREFIX = OptionalModuleUtils.DEPRECATED_DYNAMITE_MODULE_ID;
    private final String tag;
    private final String zzci;
    private final String zzcj;
    private T zzcl;
    private final Context zze;
    private final Object lock = new Object();
    private boolean zzck = false;

    public zzl(Context context, String str, String str2) {
        this.zze = context;
        this.tag = str;
        String str3 = PREFIX;
        this.zzci = new StringBuilder(String.valueOf(str3).length() + 1 + String.valueOf(str2).length()).append(str3).append(".").append(str2).toString();
        this.zzcj = PREFIX;
    }

    public final boolean isOperational() {
        return zzp() != null;
    }

    protected abstract T zza(DynamiteModule dynamiteModule, Context context) throws RemoteException, DynamiteModule.LoadingException;

    protected abstract void zzm() throws RemoteException;

    public final void zzo() {
        synchronized (this.lock) {
            if (this.zzcl == null) {
                return;
            }
            try {
                zzm();
            } catch (RemoteException e) {
                Log.e(this.tag, "Could not finalize native handle", e);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* JADX WARN: Removed duplicated region for block: B:25:0x0049 A[Catch: all -> 0x0069, TryCatch #2 {, blocks: (B:4:0x0003, B:6:0x0007, B:8:0x0009, B:19:0x0034, B:23:0x0045, B:25:0x0049, B:27:0x004d, B:32:0x0065, B:33:0x0067, B:29:0x005a, B:31:0x005e, B:22:0x003e, B:13:0x0017, B:14:0x001e, B:17:0x002a), top: B:42:0x0003 }] */
    /* JADX WARN: Removed duplicated region for block: B:29:0x005a A[Catch: all -> 0x0069, TryCatch #2 {, blocks: (B:4:0x0003, B:6:0x0007, B:8:0x0009, B:19:0x0034, B:23:0x0045, B:25:0x0049, B:27:0x004d, B:32:0x0065, B:33:0x0067, B:29:0x005a, B:31:0x005e, B:22:0x003e, B:13:0x0017, B:14:0x001e, B:17:0x002a), top: B:42:0x0003 }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final T zzp() {
        DynamiteModule dynamiteModule;
        boolean z;
        synchronized (this.lock) {
            T t = this.zzcl;
            if (t != null) {
                return t;
            }
            try {
                try {
                    dynamiteModule = DynamiteModule.load(this.zze, DynamiteModule.PREFER_HIGHEST_OR_REMOTE_VERSION, this.zzci);
                } catch (DynamiteModule.LoadingException e) {
                    try {
                        Log.d(this.tag, "Cannot load feature, fall back to load whole module.");
                        try {
                            dynamiteModule = DynamiteModule.load(this.zze, DynamiteModule.PREFER_HIGHEST_OR_REMOTE_VERSION, this.zzcj);
                        } catch (DynamiteModule.LoadingException e2) {
                            Log.e(this.tag, "Error Loading module", e2);
                            dynamiteModule = null;
                        }
                    } catch (DynamiteModule.LoadingException e3) {
                        e = e3;
                        Log.e(this.tag, "Error creating remote native handle", e);
                        z = this.zzck;
                        if (z) {
                        }
                        if (z) {
                            Log.w(this.tag, "Native handle is now available.");
                        }
                        return this.zzcl;
                    }
                }
                if (dynamiteModule != null) {
                    this.zzcl = zza(dynamiteModule, this.zze);
                }
            } catch (RemoteException e4) {
                e = e4;
                Log.e(this.tag, "Error creating remote native handle", e);
                z = this.zzck;
                if (z) {
                }
                if (z) {
                }
                return this.zzcl;
            }
            z = this.zzck;
            if (z && this.zzcl == null) {
                Log.w(this.tag, "Native handle not yet available. Reverting to no-op handle.");
                this.zzck = true;
            } else if (z && this.zzcl != null) {
                Log.w(this.tag, "Native handle is now available.");
            }
            return this.zzcl;
        }
    }
}
