package com.google.android.gms.internal.wearable;

import com.google.android.exoplayer2.extractor.ts.TsExtractor;
import com.google.android.gms.wearable.Asset;
import com.google.android.gms.wearable.DataMap;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.TreeSet;
import java9.util.concurrent.ForkJoinPool;
/* loaded from: classes.dex */
public final class zze {
    public static zzf zza(DataMap dataMap) {
        zzg zzgVar = new zzg();
        ArrayList arrayList = new ArrayList();
        TreeSet treeSet = new TreeSet(dataMap.keySet());
        zzh[] zzhVarArr = new zzh[treeSet.size()];
        Iterator it = treeSet.iterator();
        int i = 0;
        while (it.hasNext()) {
            String str = (String) it.next();
            Object obj = dataMap.get(str);
            zzh zzhVar = new zzh();
            zzhVarArr[i] = zzhVar;
            zzhVar.name = str;
            zzhVarArr[i].zzga = zza(arrayList, obj);
            i++;
        }
        zzgVar.zzfy = zzhVarArr;
        return new zzf(zzgVar, arrayList);
    }

    public static DataMap zza(zzf zzfVar) {
        zzh[] zzhVarArr;
        DataMap dataMap = new DataMap();
        for (zzh zzhVar : zzfVar.zzfw.zzfy) {
            zza(zzfVar.zzfx, dataMap, zzhVar.name, zzhVar.zzga);
        }
        return dataMap;
    }

    private static zzi zza(List<Asset> list, Object obj) {
        zzi zziVar = new zzi();
        if (obj == null) {
            zziVar.type = 14;
            return zziVar;
        }
        zziVar.zzgc = new zzj();
        if (obj instanceof String) {
            zziVar.type = 2;
            zziVar.zzgc.zzge = (String) obj;
        } else if (obj instanceof Integer) {
            zziVar.type = 6;
            zziVar.zzgc.zzgi = ((Integer) obj).intValue();
        } else if (obj instanceof Long) {
            zziVar.type = 5;
            zziVar.zzgc.zzgh = ((Long) obj).longValue();
        } else if (obj instanceof Double) {
            zziVar.type = 3;
            zziVar.zzgc.zzgf = ((Double) obj).doubleValue();
        } else if (obj instanceof Float) {
            zziVar.type = 4;
            zziVar.zzgc.zzgg = ((Float) obj).floatValue();
        } else if (obj instanceof Boolean) {
            zziVar.type = 8;
            zziVar.zzgc.zzgk = ((Boolean) obj).booleanValue();
        } else if (obj instanceof Byte) {
            zziVar.type = 7;
            zziVar.zzgc.zzgj = ((Byte) obj).byteValue();
        } else if (obj instanceof byte[]) {
            zziVar.type = 1;
            zziVar.zzgc.zzgd = (byte[]) obj;
        } else if (obj instanceof String[]) {
            zziVar.type = 11;
            zziVar.zzgc.zzgn = (String[]) obj;
        } else if (obj instanceof long[]) {
            zziVar.type = 12;
            zziVar.zzgc.zzgo = (long[]) obj;
        } else if (obj instanceof float[]) {
            zziVar.type = 15;
            zziVar.zzgc.zzgp = (float[]) obj;
        } else if (obj instanceof Asset) {
            zziVar.type = 13;
            zzj zzjVar = zziVar.zzgc;
            list.add((Asset) obj);
            zzjVar.zzgq = list.size() - 1;
        } else {
            int i = 0;
            if (obj instanceof DataMap) {
                zziVar.type = 9;
                DataMap dataMap = (DataMap) obj;
                TreeSet treeSet = new TreeSet(dataMap.keySet());
                zzh[] zzhVarArr = new zzh[treeSet.size()];
                Iterator it = treeSet.iterator();
                while (it.hasNext()) {
                    String str = (String) it.next();
                    zzh zzhVar = new zzh();
                    zzhVarArr[i] = zzhVar;
                    zzhVar.name = str;
                    zzhVarArr[i].zzga = zza(list, dataMap.get(str));
                    i++;
                }
                zziVar.zzgc.zzgl = zzhVarArr;
            } else if (obj instanceof ArrayList) {
                zziVar.type = 10;
                ArrayList arrayList = (ArrayList) obj;
                zzi[] zziVarArr = new zzi[arrayList.size()];
                int size = arrayList.size();
                Object obj2 = null;
                int i2 = 14;
                while (i < size) {
                    Object obj3 = arrayList.get(i);
                    zzi zza = zza(list, obj3);
                    if (zza.type != 14 && zza.type != 2 && zza.type != 6 && zza.type != 9) {
                        String valueOf = String.valueOf(obj3.getClass());
                        throw new IllegalArgumentException(new StringBuilder(String.valueOf(valueOf).length() + TsExtractor.TS_STREAM_TYPE_HDMV_DTS).append("The only ArrayList element types supported by DataBundleUtil are String, Integer, Bundle, and null, but this ArrayList contains a ").append(valueOf).toString());
                    }
                    if (i2 == 14 && zza.type != 14) {
                        i2 = zza.type;
                        obj2 = obj3;
                    } else if (zza.type != i2) {
                        String valueOf2 = String.valueOf(obj2.getClass());
                        String valueOf3 = String.valueOf(obj3.getClass());
                        throw new IllegalArgumentException(new StringBuilder(String.valueOf(valueOf2).length() + 80 + String.valueOf(valueOf3).length()).append("ArrayList elements must all be of the sameclass, but this one contains a ").append(valueOf2).append(" and a ").append(valueOf3).toString());
                    }
                    zziVarArr[i] = zza;
                    i++;
                }
                zziVar.zzgc.zzgm = zziVarArr;
            } else {
                String valueOf4 = String.valueOf(obj.getClass().getSimpleName());
                throw new RuntimeException(valueOf4.length() != 0 ? "newFieldValueFromValue: unexpected value ".concat(valueOf4) : new String("newFieldValueFromValue: unexpected value "));
            }
        }
        return zziVar;
    }

    private static void zza(List<Asset> list, DataMap dataMap, String str, zzi zziVar) {
        zzi[] zziVarArr;
        zzh[] zzhVarArr;
        zzh[] zzhVarArr2;
        int i = zziVar.type;
        Integer num = null;
        int i2 = 14;
        if (i == 14) {
            dataMap.putString(str, null);
            return;
        }
        zzj zzjVar = zziVar.zzgc;
        if (i == 1) {
            dataMap.putByteArray(str, zzjVar.zzgd);
        } else if (i == 11) {
            dataMap.putStringArray(str, zzjVar.zzgn);
        } else if (i == 12) {
            dataMap.putLongArray(str, zzjVar.zzgo);
        } else if (i == 15) {
            dataMap.putFloatArray(str, zzjVar.zzgp);
        } else if (i == 2) {
            dataMap.putString(str, zzjVar.zzge);
        } else if (i == 3) {
            dataMap.putDouble(str, zzjVar.zzgf);
        } else if (i == 4) {
            dataMap.putFloat(str, zzjVar.zzgg);
        } else if (i == 5) {
            dataMap.putLong(str, zzjVar.zzgh);
        } else if (i == 6) {
            dataMap.putInt(str, zzjVar.zzgi);
        } else if (i == 7) {
            dataMap.putByte(str, (byte) zzjVar.zzgj);
        } else if (i == 8) {
            dataMap.putBoolean(str, zzjVar.zzgk);
        } else if (i == 13) {
            if (list != null) {
                dataMap.putAsset(str, list.get((int) zzjVar.zzgq));
            } else {
                String valueOf = String.valueOf(str);
                throw new RuntimeException(valueOf.length() != 0 ? "populateBundle: unexpected type for: ".concat(valueOf) : new String("populateBundle: unexpected type for: "));
            }
        } else {
            int i3 = 9;
            if (i == 9) {
                DataMap dataMap2 = new DataMap();
                for (zzh zzhVar : zzjVar.zzgl) {
                    zza(list, dataMap2, zzhVar.name, zzhVar.zzga);
                }
                dataMap.putDataMap(str, dataMap2);
            } else if (i == 10) {
                int i4 = 14;
                for (zzi zziVar2 : zzjVar.zzgm) {
                    if (i4 == 14) {
                        if (zziVar2.type == 9 || zziVar2.type == 2 || zziVar2.type == 6) {
                            i4 = zziVar2.type;
                        } else if (zziVar2.type != 14) {
                            throw new IllegalArgumentException(new StringBuilder(String.valueOf(str).length() + 48).append("Unexpected TypedValue type: ").append(zziVar2.type).append(" for key ").append(str).toString());
                        }
                    } else if (zziVar2.type != i4) {
                        throw new IllegalArgumentException(new StringBuilder(String.valueOf(str).length() + ForkJoinPool.SQMASK).append("The ArrayList elements should all be the same type, but ArrayList with key ").append(str).append(" contains items of type ").append(i4).append(" and ").append(zziVar2.type).toString());
                    }
                }
                ArrayList<Integer> arrayList = new ArrayList<>(zzjVar.zzgm.length);
                zzi[] zziVarArr2 = zzjVar.zzgm;
                int length = zziVarArr2.length;
                int i5 = 0;
                while (i5 < length) {
                    zzi zziVar3 = zziVarArr2[i5];
                    if (zziVar3.type == i2) {
                        arrayList.add(num);
                    } else if (i4 != i3) {
                        if (i4 == 2) {
                            arrayList.add(zziVar3.zzgc.zzge);
                        } else if (i4 == 6) {
                            arrayList.add(Integer.valueOf(zziVar3.zzgc.zzgi));
                        } else {
                            throw new IllegalArgumentException(new StringBuilder(39).append("Unexpected typeOfArrayList: ").append(i4).toString());
                        }
                    } else {
                        DataMap dataMap3 = new DataMap();
                        for (zzh zzhVar2 : zziVar3.zzgc.zzgl) {
                            zza(list, dataMap3, zzhVar2.name, zzhVar2.zzga);
                        }
                        arrayList.add(dataMap3);
                    }
                    i5++;
                    num = null;
                    i2 = 14;
                    i3 = 9;
                }
                if (i4 == 14) {
                    dataMap.putStringArrayList(str, arrayList);
                } else if (i4 == 9) {
                    dataMap.putDataMapArrayList(str, arrayList);
                } else if (i4 == 2) {
                    dataMap.putStringArrayList(str, arrayList);
                } else if (i4 == 6) {
                    dataMap.putIntegerArrayList(str, arrayList);
                } else {
                    throw new IllegalStateException(new StringBuilder(39).append("Unexpected typeOfArrayList: ").append(i4).toString());
                }
            } else {
                throw new RuntimeException(new StringBuilder(43).append("populateBundle: unexpected type ").append(i).toString());
            }
        }
    }
}
