package com.google.android.gms.internal.wearable;

import java.io.IOException;
import kotlin.UByte;
import kotlin.jvm.internal.ByteCompanionObject;
/* loaded from: classes.dex */
public final class zzk {
    private final byte[] buffer;
    private final int zzgr;
    private final int zzgs;
    private int zzgt;
    private int zzgu;
    private int zzgv;
    private int zzgw;
    private int zzgy;
    private int zzgx = Integer.MAX_VALUE;
    private int zzgz = 64;
    private int zzha = 67108864;

    public static zzk zza(byte[] bArr, int i, int i2) {
        return new zzk(bArr, 0, i2);
    }

    public final int zzj() throws IOException {
        if (this.zzgv == this.zzgt) {
            this.zzgw = 0;
            return 0;
        }
        int zzk = zzk();
        this.zzgw = zzk;
        if (zzk == 0) {
            throw new zzs("Protocol message contained an invalid tag (zero).");
        }
        return zzk;
    }

    public final void zzc(int i) throws zzs {
        if (this.zzgw != i) {
            throw new zzs("Protocol message end-group tag did not match expected tag.");
        }
    }

    public final boolean zzd(int i) throws IOException {
        int zzj;
        switch (i & 7) {
            case 0:
                zzk();
                return true;
            case 1:
                zzn();
                return true;
            case 2:
                zzh(zzk());
                return true;
            case 3:
                break;
            case 4:
                return false;
            case 5:
                zzm();
                return true;
            default:
                throw new zzs("Protocol message tag had invalid wire type.");
        }
        do {
            zzj = zzj();
            if (zzj != 0) {
            }
            zzc(((i >>> 3) << 3) | 4);
            return true;
        } while (zzd(zzj));
        zzc(((i >>> 3) << 3) | 4);
        return true;
    }

    public final String readString() throws IOException {
        int zzk = zzk();
        if (zzk < 0) {
            throw zzs.zzv();
        }
        int i = this.zzgt;
        int i2 = this.zzgv;
        if (zzk > i - i2) {
            throw zzs.zzu();
        }
        String str = new String(this.buffer, i2, zzk, zzr.UTF_8);
        this.zzgv += zzk;
        return str;
    }

    public final void zza(zzt zztVar) throws IOException {
        int zzk = zzk();
        if (this.zzgy >= this.zzgz) {
            throw new zzs("Protocol message had too many levels of nesting.  May be malicious.  Use CodedInputStream.setRecursionLimit() to increase the depth limit.");
        }
        int zze = zze(zzk);
        this.zzgy++;
        zztVar.zza(this);
        zzc(0);
        this.zzgy--;
        zzf(zze);
    }

    public final byte[] readBytes() throws IOException {
        int zzk = zzk();
        if (zzk < 0) {
            throw zzs.zzv();
        }
        if (zzk == 0) {
            return zzw.zzhy;
        }
        int i = this.zzgt;
        int i2 = this.zzgv;
        if (zzk > i - i2) {
            throw zzs.zzu();
        }
        byte[] bArr = new byte[zzk];
        System.arraycopy(this.buffer, i2, bArr, 0, zzk);
        this.zzgv += zzk;
        return bArr;
    }

    public final int zzk() throws IOException {
        byte zzq = zzq();
        if (zzq >= 0) {
            return zzq;
        }
        int i = zzq & ByteCompanionObject.MAX_VALUE;
        byte zzq2 = zzq();
        if (zzq2 >= 0) {
            return i | (zzq2 << 7);
        }
        int i2 = i | ((zzq2 & ByteCompanionObject.MAX_VALUE) << 7);
        byte zzq3 = zzq();
        if (zzq3 >= 0) {
            return i2 | (zzq3 << 14);
        }
        int i3 = i2 | ((zzq3 & ByteCompanionObject.MAX_VALUE) << 14);
        byte zzq4 = zzq();
        if (zzq4 >= 0) {
            return i3 | (zzq4 << 21);
        }
        int i4 = i3 | ((zzq4 & ByteCompanionObject.MAX_VALUE) << 21);
        byte zzq5 = zzq();
        int i5 = i4 | (zzq5 << 28);
        if (zzq5 < 0) {
            for (int i6 = 0; i6 < 5; i6++) {
                if (zzq() >= 0) {
                    return i5;
                }
            }
            throw zzs.zzw();
        }
        return i5;
    }

    public final long zzl() throws IOException {
        long j = 0;
        for (int i = 0; i < 64; i += 7) {
            byte zzq = zzq();
            j |= (zzq & ByteCompanionObject.MAX_VALUE) << i;
            if ((zzq & ByteCompanionObject.MIN_VALUE) == 0) {
                return j;
            }
        }
        throw zzs.zzw();
    }

    public final int zzm() throws IOException {
        return (zzq() & UByte.MAX_VALUE) | ((zzq() & UByte.MAX_VALUE) << 8) | ((zzq() & UByte.MAX_VALUE) << 16) | ((zzq() & UByte.MAX_VALUE) << 24);
    }

    public final long zzn() throws IOException {
        byte zzq = zzq();
        byte zzq2 = zzq();
        return ((zzq2 & 255) << 8) | (zzq & 255) | ((zzq() & 255) << 16) | ((zzq() & 255) << 24) | ((zzq() & 255) << 32) | ((zzq() & 255) << 40) | ((zzq() & 255) << 48) | ((zzq() & 255) << 56);
    }

    private zzk(byte[] bArr, int i, int i2) {
        this.buffer = bArr;
        this.zzgr = i;
        int i3 = i2 + i;
        this.zzgt = i3;
        this.zzgs = i3;
        this.zzgv = i;
    }

    public final int zze(int i) throws zzs {
        if (i < 0) {
            throw zzs.zzv();
        }
        int i2 = i + this.zzgv;
        int i3 = this.zzgx;
        if (i2 > i3) {
            throw zzs.zzu();
        }
        this.zzgx = i2;
        zzo();
        return i3;
    }

    private final void zzo() {
        int i = this.zzgt + this.zzgu;
        this.zzgt = i;
        int i2 = this.zzgx;
        if (i > i2) {
            int i3 = i - i2;
            this.zzgu = i3;
            this.zzgt = i - i3;
            return;
        }
        this.zzgu = 0;
    }

    public final void zzf(int i) {
        this.zzgx = i;
        zzo();
    }

    public final int zzp() {
        int i = this.zzgx;
        if (i == Integer.MAX_VALUE) {
            return -1;
        }
        return i - this.zzgv;
    }

    public final int getPosition() {
        return this.zzgv - this.zzgr;
    }

    public final byte[] zzb(int i, int i2) {
        if (i2 == 0) {
            return zzw.zzhy;
        }
        byte[] bArr = new byte[i2];
        System.arraycopy(this.buffer, this.zzgr + i, bArr, 0, i2);
        return bArr;
    }

    public final void zzg(int i) {
        zzc(i, this.zzgw);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public final void zzc(int i, int i2) {
        int i3 = this.zzgv;
        int i4 = this.zzgr;
        if (i > i3 - i4) {
            throw new IllegalArgumentException(new StringBuilder(50).append("Position ").append(i).append(" is beyond current ").append(this.zzgv - this.zzgr).toString());
        } else if (i < 0) {
            throw new IllegalArgumentException(new StringBuilder(24).append("Bad position ").append(i).toString());
        } else {
            this.zzgv = i4 + i;
            this.zzgw = i2;
        }
    }

    private final byte zzq() throws IOException {
        int i = this.zzgv;
        if (i == this.zzgt) {
            throw zzs.zzu();
        }
        byte[] bArr = this.buffer;
        this.zzgv = i + 1;
        return bArr[i];
    }

    private final void zzh(int i) throws IOException {
        if (i < 0) {
            throw zzs.zzv();
        }
        int i2 = this.zzgv;
        int i3 = i2 + i;
        int i4 = this.zzgx;
        if (i3 > i4) {
            zzh(i4 - i2);
            throw zzs.zzu();
        } else if (i <= this.zzgt - i2) {
            this.zzgv = i2 + i;
        } else {
            throw zzs.zzu();
        }
    }
}
