package com.google.android.gms.wearable.internal;

import android.os.IBinder;
import android.os.IInterface;
import android.os.RemoteException;
import android.util.Log;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.api.internal.BaseImplementation;
import com.google.android.gms.wearable.WearableStatusCodes;
import java.util.HashMap;
import java.util.Map;
/* JADX INFO: Access modifiers changed from: package-private */
/* loaded from: classes19.dex */
public final class zzer<T> {
    private final Map<T, zzhk<T>> zzeb = new HashMap();

    public final void zza(IBinder iBinder) {
        zzep zzeqVar;
        synchronized (this.zzeb) {
            if (iBinder == null) {
                zzeqVar = null;
            } else {
                IInterface queryLocalInterface = iBinder.queryLocalInterface("com.google.android.gms.wearable.internal.IWearableService");
                if (queryLocalInterface instanceof zzep) {
                    zzeqVar = (zzep) queryLocalInterface;
                } else {
                    zzeqVar = new zzeq(iBinder);
                }
            }
            zzgz zzgzVar = new zzgz();
            for (Map.Entry<T, zzhk<T>> entry : this.zzeb.entrySet()) {
                zzhk<T> value = entry.getValue();
                try {
                    zzeqVar.zza(zzgzVar, new zzd(value));
                    if (Log.isLoggable("WearableClient", 3)) {
                        String valueOf = String.valueOf(entry.getKey());
                        String valueOf2 = String.valueOf(value);
                        Log.d("WearableClient", new StringBuilder(String.valueOf(valueOf).length() + 27 + String.valueOf(valueOf2).length()).append("onPostInitHandler: added: ").append(valueOf).append("/").append(valueOf2).toString());
                    }
                } catch (RemoteException e) {
                    String valueOf3 = String.valueOf(entry.getKey());
                    String valueOf4 = String.valueOf(value);
                    Log.w("WearableClient", new StringBuilder(String.valueOf(valueOf3).length() + 32 + String.valueOf(valueOf4).length()).append("onPostInitHandler: Didn't add: ").append(valueOf3).append("/").append(valueOf4).toString());
                }
            }
        }
    }

    public final void zza(zzhg zzhgVar, BaseImplementation.ResultHolder<Status> resultHolder, T t, zzhk<T> zzhkVar) throws RemoteException {
        synchronized (this.zzeb) {
            if (this.zzeb.get(t) != null) {
                if (Log.isLoggable("WearableClient", 2)) {
                    String valueOf = String.valueOf(t);
                    Log.v("WearableClient", new StringBuilder(String.valueOf(valueOf).length() + 20).append("duplicate listener: ").append(valueOf).toString());
                }
                resultHolder.setResult(new Status(WearableStatusCodes.DUPLICATE_LISTENER));
                return;
            }
            if (Log.isLoggable("WearableClient", 2)) {
                String valueOf2 = String.valueOf(t);
                Log.v("WearableClient", new StringBuilder(String.valueOf(valueOf2).length() + 14).append("new listener: ").append(valueOf2).toString());
            }
            this.zzeb.put(t, zzhkVar);
            try {
                ((zzep) zzhgVar.getService()).zza(new zzes(this.zzeb, t, resultHolder), new zzd(zzhkVar));
            } catch (RemoteException e) {
                if (Log.isLoggable("WearableClient", 3)) {
                    String valueOf3 = String.valueOf(t);
                    Log.d("WearableClient", new StringBuilder(String.valueOf(valueOf3).length() + 39).append("addListener failed, removing listener: ").append(valueOf3).toString());
                }
                this.zzeb.remove(t);
                throw e;
            }
        }
    }

    public final void zza(zzhg zzhgVar, BaseImplementation.ResultHolder<Status> resultHolder, T t) throws RemoteException {
        synchronized (this.zzeb) {
            zzhk<T> remove = this.zzeb.remove(t);
            if (remove == null) {
                if (Log.isLoggable("WearableClient", 2)) {
                    String valueOf = String.valueOf(t);
                    Log.v("WearableClient", new StringBuilder(String.valueOf(valueOf).length() + 25).append("remove Listener unknown: ").append(valueOf).toString());
                }
                resultHolder.setResult(new Status(WearableStatusCodes.UNKNOWN_LISTENER));
                return;
            }
            remove.clear();
            if (Log.isLoggable("WearableClient", 2)) {
                String valueOf2 = String.valueOf(t);
                Log.v("WearableClient", new StringBuilder(String.valueOf(valueOf2).length() + 24).append("service.removeListener: ").append(valueOf2).toString());
            }
            ((zzep) zzhgVar.getService()).zza(new zzet(this.zzeb, t, resultHolder), new zzfw(remove));
        }
    }
}
