package com.google.firebase.abt.component;

import android.content.Context;
import com.google.firebase.abt.FirebaseABTesting;
import com.google.firebase.analytics.connector.AnalyticsConnector;
import java.util.HashMap;
import java.util.Map;
/* compiled from: com.google.firebase:firebase-abt@@19.0.0 */
/* loaded from: classes19.dex */
public class AbtComponent {
    private final Map<String, FirebaseABTesting> abtOriginInstances = new HashMap();
    private final AnalyticsConnector analyticsConnector;
    private final Context appContext;

    /* JADX INFO: Access modifiers changed from: protected */
    public AbtComponent(Context appContext, AnalyticsConnector analyticsConnector) {
        this.appContext = appContext;
        this.analyticsConnector = analyticsConnector;
    }

    public synchronized FirebaseABTesting get(String originService) {
        if (!this.abtOriginInstances.containsKey(originService)) {
            this.abtOriginInstances.put(originService, createAbtInstance(originService));
        }
        return this.abtOriginInstances.get(originService);
    }

    protected FirebaseABTesting createAbtInstance(String originService) {
        return new FirebaseABTesting(this.appContext, this.analyticsConnector, originService);
    }
}
