package com.google.firebase.messaging;

import android.app.PendingIntent;
import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import com.google.android.datatransport.Encoding;
import com.google.android.datatransport.Transport;
import com.google.android.gms.tasks.Task;
import com.google.android.gms.tasks.Tasks;
import com.google.firebase.iid.zzaq;
import com.google.firebase.iid.zzv;
import java.util.ArrayDeque;
import java.util.Queue;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
/* compiled from: com.google.firebase:firebase-messaging@@20.1.0 */
/* loaded from: classes19.dex */
public class FirebaseMessagingService extends zzc {
    private static final Queue<String> zza = new ArrayDeque(10);

    public void onMessageReceived(RemoteMessage remoteMessage) {
    }

    public void onDeletedMessages() {
    }

    public void onMessageSent(String str) {
    }

    public void onSendError(String str, Exception exc) {
    }

    public void onNewToken(String str) {
    }

    @Override // com.google.firebase.messaging.zzc
    protected final Intent zza(Intent intent) {
        return zzaq.zza().zzb();
    }

    @Override // com.google.firebase.messaging.zzc
    public final boolean zzb(Intent intent) {
        if ("com.google.firebase.messaging.NOTIFICATION_OPEN".equals(intent.getAction())) {
            PendingIntent pendingIntent = (PendingIntent) intent.getParcelableExtra("pending_intent");
            if (pendingIntent != null) {
                try {
                    pendingIntent.send();
                } catch (PendingIntent.CanceledException e) {
                    Log.e("FirebaseMessaging", "Notification pending intent canceled");
                }
            }
            if (zzo.zzd(intent)) {
                zzo.zza(intent);
                return true;
            }
            return true;
        }
        return false;
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x00df, code lost:
        if (r1.equals("send_event") != false) goto L37;
     */
    @Override // com.google.firebase.messaging.zzc
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void zzc(Intent intent) {
        Task<Void> zza2;
        boolean z;
        String action = intent.getAction();
        if ("com.google.android.c2dm.intent.RECEIVE".equals(action) || "com.google.firebase.messaging.RECEIVE_DIRECT_BOOT".equals(action)) {
            String stringExtra = intent.getStringExtra("google.message_id");
            char c = 2;
            if (TextUtils.isEmpty(stringExtra)) {
                zza2 = Tasks.forResult(null);
            } else {
                Bundle bundle = new Bundle();
                bundle.putString("google.message_id", stringExtra);
                zza2 = zzv.zza(this).zza(2, bundle);
            }
            if (TextUtils.isEmpty(stringExtra)) {
                z = false;
            } else {
                Queue<String> queue = zza;
                if (queue.contains(stringExtra)) {
                    if (Log.isLoggable("FirebaseMessaging", 3)) {
                        String valueOf = String.valueOf(stringExtra);
                        Log.d("FirebaseMessaging", valueOf.length() != 0 ? "Received duplicate message: ".concat(valueOf) : new String("Received duplicate message: "));
                    }
                    z = true;
                } else {
                    if (queue.size() >= 10) {
                        queue.remove();
                    }
                    queue.add(stringExtra);
                    z = false;
                }
            }
            if (!z) {
                String stringExtra2 = intent.getStringExtra("message_type");
                if (stringExtra2 == null) {
                    stringExtra2 = "gcm";
                }
                switch (stringExtra2.hashCode()) {
                    case -2062414158:
                        if (stringExtra2.equals("deleted_messages")) {
                            c = 1;
                            break;
                        }
                        c = 65535;
                        break;
                    case 102161:
                        if (stringExtra2.equals("gcm")) {
                            c = 0;
                            break;
                        }
                        c = 65535;
                        break;
                    case 814694033:
                        if (stringExtra2.equals("send_error")) {
                            c = 3;
                            break;
                        }
                        c = 65535;
                        break;
                    case 814800675:
                        break;
                    default:
                        c = 65535;
                        break;
                }
                switch (c) {
                    case 0:
                        if (zzo.zzd(intent)) {
                            zzo.zza(intent, (Transport<String>) null);
                        }
                        if (zzo.zze(intent)) {
                            try {
                                zzo.zza(intent, FirebaseMessaging.zza.getTransport("FCM_CLIENT_EVENT_LOGGING", String.class, Encoding.of("json"), zzk.zza));
                            } catch (NullPointerException e) {
                                Log.e("FirebaseMessaging", "TransportFactory is null. Skip exporting message delivery metrics to Big Query");
                            }
                        }
                        Bundle extras = intent.getExtras();
                        if (extras == null) {
                            extras = new Bundle();
                        }
                        extras.remove("androidx.contentpager.content.wakelockid");
                        if (zzn.zza(extras)) {
                            zzn zznVar = new zzn(extras);
                            ExecutorService newSingleThreadExecutor = Executors.newSingleThreadExecutor();
                            try {
                                if (new zzd(this, zznVar, newSingleThreadExecutor).zza()) {
                                    break;
                                } else {
                                    newSingleThreadExecutor.shutdown();
                                    if (zzo.zzd(intent)) {
                                        zzo.zzc(intent);
                                    }
                                }
                            } finally {
                                newSingleThreadExecutor.shutdown();
                            }
                        }
                        onMessageReceived(new RemoteMessage(extras));
                        break;
                    case 1:
                        onDeletedMessages();
                        break;
                    case 2:
                        onMessageSent(intent.getStringExtra("google.message_id"));
                        break;
                    case 3:
                        String stringExtra3 = intent.getStringExtra("google.message_id");
                        if (stringExtra3 == null) {
                            stringExtra3 = intent.getStringExtra("message_id");
                        }
                        onSendError(stringExtra3, new SendException(intent.getStringExtra("error")));
                        break;
                    default:
                        String valueOf2 = String.valueOf(stringExtra2);
                        Log.w("FirebaseMessaging", valueOf2.length() != 0 ? "Received message with unknown type: ".concat(valueOf2) : new String("Received message with unknown type: "));
                        break;
                }
            }
            try {
                Tasks.await(zza2, 1L, TimeUnit.SECONDS);
            } catch (InterruptedException | ExecutionException | TimeoutException e2) {
                String valueOf3 = String.valueOf(e2);
                Log.w("FirebaseMessaging", new StringBuilder(String.valueOf(valueOf3).length() + 20).append("Message ack failed: ").append(valueOf3).toString());
            }
        } else if ("com.google.firebase.messaging.NOTIFICATION_DISMISS".equals(action)) {
            if (zzo.zzd(intent)) {
                zzo.zzb(intent);
            }
        } else if ("com.google.firebase.messaging.NEW_TOKEN".equals(action)) {
            onNewToken(intent.getStringExtra("token"));
        } else {
            String valueOf4 = String.valueOf(intent.getAction());
            Log.d("FirebaseMessaging", valueOf4.length() != 0 ? "Unknown intent action: ".concat(valueOf4) : new String("Unknown intent action: "));
        }
    }
}
