package com.google.firebase.messaging;

import android.app.ActivityManager;
import android.app.KeyguardManager;
import android.app.NotificationManager;
import android.content.Context;
import android.graphics.Bitmap;
import android.os.Process;
import android.os.SystemClock;
import android.util.Log;
import androidx.core.app.NotificationCompat;
import com.google.android.gms.common.util.PlatformVersion;
import com.google.android.gms.tasks.Tasks;
import java.util.List;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
/* compiled from: com.google.firebase:firebase-messaging@@20.1.0 */
/* loaded from: classes19.dex */
final class zzd {
    private final Executor zza;
    private final Context zzb;
    private final zzn zzc;

    public zzd(Context context, zzn zznVar, Executor executor) {
        this.zza = executor;
        this.zzb = context;
        this.zzc = zznVar;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:24:0x005f A[RETURN] */
    /* JADX WARN: Removed duplicated region for block: B:25:0x0060  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final boolean zza() {
        boolean z;
        if (this.zzc.zzb("gcm.n.noui")) {
            return true;
        }
        if (!((KeyguardManager) this.zzb.getSystemService("keyguard")).inKeyguardRestrictedInputMode()) {
            if (!PlatformVersion.isAtLeastLollipop()) {
                SystemClock.sleep(10L);
            }
            int myPid = Process.myPid();
            List<ActivityManager.RunningAppProcessInfo> runningAppProcesses = ((ActivityManager) this.zzb.getSystemService("activity")).getRunningAppProcesses();
            if (runningAppProcesses != null) {
                for (ActivityManager.RunningAppProcessInfo runningAppProcessInfo : runningAppProcesses) {
                    if (runningAppProcessInfo.pid == myPid) {
                        z = runningAppProcessInfo.importance == 100;
                        if (z) {
                            zzm zza = zzm.zza(this.zzc.zza("gcm.n.image"));
                            if (zza != null) {
                                zza.zza(this.zza);
                            }
                            zza zza2 = zzb.zza(this.zzb, this.zzc);
                            NotificationCompat.Builder builder = zza2.zza;
                            if (zza != null) {
                                try {
                                    Bitmap bitmap = (Bitmap) Tasks.await(zza.zza(), 5L, TimeUnit.SECONDS);
                                    builder.setLargeIcon(bitmap);
                                    builder.setStyle(new NotificationCompat.BigPictureStyle().bigPicture(bitmap).bigLargeIcon(null));
                                } catch (InterruptedException e) {
                                    Log.w("FirebaseMessaging", "Interrupted while downloading image, showing notification without it");
                                    zza.close();
                                    Thread.currentThread().interrupt();
                                } catch (ExecutionException e2) {
                                    String valueOf = String.valueOf(e2.getCause());
                                    Log.w("FirebaseMessaging", new StringBuilder(String.valueOf(valueOf).length() + 26).append("Failed to download image: ").append(valueOf).toString());
                                } catch (TimeoutException e3) {
                                    Log.w("FirebaseMessaging", "Failed to download image in time, showing notification without it");
                                    zza.close();
                                }
                            }
                            if (Log.isLoggable("FirebaseMessaging", 3)) {
                                Log.d("FirebaseMessaging", "Showing notification");
                            }
                            ((NotificationManager) this.zzb.getSystemService("notification")).notify(zza2.zzb, 0, zza2.zza.build());
                            return true;
                        }
                        return false;
                    }
                }
            }
        }
        z = false;
        if (z) {
        }
    }
}
