package com.google.mlkit.common.sdkinternal;

import java.util.HashMap;
import java.util.Map;
/* compiled from: com.google.mlkit:common@@18.8.0 */
/* loaded from: classes19.dex */
public abstract class LazyInstanceMap<K, V> {
    private final Map zza = new HashMap();

    protected abstract V create(K k);

    public V get(K k) {
        synchronized (this.zza) {
            if (this.zza.containsKey(k)) {
                Object key = this.zza.get(k);
                return (V) key;
            }
            V create = create(k);
            this.zza.put(k, create);
            return create;
        }
    }
}
