package com.google.mlkit.vision.text.internal;

import android.graphics.Matrix;
import android.graphics.Point;
import android.util.SparseArray;
import com.google.android.exoplayer2.C;
import com.google.android.gms.internal.mlkit_vision_text_common.zzab;
import com.google.android.gms.internal.mlkit_vision_text_common.zzbk;
import com.google.android.gms.internal.mlkit_vision_text_common.zzbn;
import com.google.android.gms.internal.mlkit_vision_text_common.zzbx;
import com.google.android.gms.internal.mlkit_vision_text_common.zzcs;
import com.google.android.gms.internal.mlkit_vision_text_common.zzu;
import com.google.android.gms.internal.mlkit_vision_text_common.zzv;
import com.google.mlkit.vision.text.Text;
import java.util.Arrays;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
/* compiled from: com.google.android.gms:play-services-mlkit-text-recognition-common@@19.0.0 */
/* loaded from: classes19.dex */
final class zzj {
    static final zzv zza = zzv.zza("\n");
    private static final Comparator zzb = zzi.zza;

    /* JADX INFO: Access modifiers changed from: package-private */
    public static Text zza(com.google.android.gms.internal.mlkit_vision_text_common.zzl[] zzlVarArr, final Matrix matrix) {
        SparseArray sparseArray = new SparseArray();
        int i = 0;
        for (com.google.android.gms.internal.mlkit_vision_text_common.zzl zzlVar : zzlVarArr) {
            SparseArray sparseArray2 = (SparseArray) sparseArray.get(zzlVar.zzj);
            if (sparseArray2 == null) {
                sparseArray2 = new SparseArray();
                sparseArray.append(zzlVar.zzj, sparseArray2);
            }
            sparseArray2.append(zzlVar.zzk, zzlVar);
        }
        zzbk zzbkVar = new zzbk();
        int i2 = 0;
        while (i2 < sparseArray.size()) {
            SparseArray sparseArray3 = (SparseArray) sparseArray.valueAt(i2);
            zzbk zzbkVar2 = new zzbk();
            for (int i3 = 0; i3 < sparseArray3.size(); i3++) {
                zzbkVar2.zza((com.google.android.gms.internal.mlkit_vision_text_common.zzl) sparseArray3.valueAt(i3));
            }
            zzbn zzb2 = zzbkVar2.zzb();
            List zza2 = zzbx.zza(zzb2, new zzu() { // from class: com.google.mlkit.vision.text.internal.zze
                @Override // com.google.android.gms.internal.mlkit_vision_text_common.zzu
                public final Object zza(Object obj) {
                    final Matrix matrix2 = matrix;
                    com.google.android.gms.internal.mlkit_vision_text_common.zzl zzlVar2 = (com.google.android.gms.internal.mlkit_vision_text_common.zzl) obj;
                    List zzb3 = zza.zzb(zzlVar2.zzb);
                    return new Text.Line(zzab.zzb(zzlVar2.zze) ? "" : zzlVar2.zze, zza.zza(zzb3), zzb3, zzab.zzb(zzlVar2.zzg) ? C.LANGUAGE_UNDETERMINED : zzlVar2.zzg, matrix2, zzbx.zza(Arrays.asList(zzlVar2.zza), new zzu() { // from class: com.google.mlkit.vision.text.internal.zzh
                        @Override // com.google.android.gms.internal.mlkit_vision_text_common.zzu
                        public final Object zza(Object obj2) {
                            Matrix matrix3 = matrix2;
                            com.google.android.gms.internal.mlkit_vision_text_common.zzr zzrVar = (com.google.android.gms.internal.mlkit_vision_text_common.zzr) obj2;
                            List zzb4 = zza.zzb(zzrVar.zzb);
                            return new Text.Element(zzab.zzb(zzrVar.zzd) ? "" : zzrVar.zzd, zza.zza(zzb4), zzb4, zzab.zzb(zzrVar.zzf) ? C.LANGUAGE_UNDETERMINED : zzrVar.zzf, matrix3, zzrVar.zze, zzrVar.zzb.zze, zzbn.zzh());
                        }
                    }), zzlVar2.zzf, zzlVar2.zzb.zze);
                }
            });
            com.google.android.gms.internal.mlkit_vision_text_common.zzf zzfVar = ((com.google.android.gms.internal.mlkit_vision_text_common.zzl) zzb2.get(i)).zzb;
            zzcs listIterator = zzb2.listIterator(i);
            int i4 = Integer.MIN_VALUE;
            int i5 = Integer.MIN_VALUE;
            int i6 = Integer.MAX_VALUE;
            int i7 = Integer.MAX_VALUE;
            while (listIterator.hasNext()) {
                com.google.android.gms.internal.mlkit_vision_text_common.zzf zzfVar2 = ((com.google.android.gms.internal.mlkit_vision_text_common.zzl) listIterator.next()).zzb;
                zzcs zzcsVar = listIterator;
                double sin = Math.sin(Math.toRadians(zzfVar.zze));
                SparseArray sparseArray4 = sparseArray;
                int i8 = i2;
                double cos = Math.cos(Math.toRadians(zzfVar.zze));
                zzbk zzbkVar3 = zzbkVar;
                List list = zza2;
                Point point = new Point(zzfVar2.zza, zzfVar2.zzb);
                point.offset(-zzfVar.zza, -zzfVar.zzb);
                double d = r13[0].y * sin;
                int i9 = i4;
                int i10 = (int) ((r13[0].x * cos) + d);
                r13[0].x = i10;
                int i11 = (int) (((-r13[0].x) * sin) + (r13[0].y * cos));
                r13[0].y = i11;
                Point[] pointArr = {point, new Point(zzfVar2.zzc + i10, i11), new Point(zzfVar2.zzc + i10, zzfVar2.zzd + i11), new Point(i10, i11 + zzfVar2.zzd)};
                i5 = i5;
                i4 = i9;
                for (int i12 = 0; i12 < 4; i12++) {
                    Point point2 = pointArr[i12];
                    i6 = Math.min(i6, point2.x);
                    i4 = Math.max(i4, point2.x);
                    i7 = Math.min(i7, point2.y);
                    i5 = Math.max(i5, point2.y);
                }
                listIterator = zzcsVar;
                sparseArray = sparseArray4;
                i2 = i8;
                zzbkVar = zzbkVar3;
                zza2 = list;
            }
            zzbk zzbkVar4 = zzbkVar;
            SparseArray sparseArray5 = sparseArray;
            int i13 = i2;
            int i14 = i4;
            int i15 = i5;
            List list2 = zza2;
            int i16 = zzfVar.zza;
            int i17 = zzfVar.zzb;
            double sin2 = Math.sin(Math.toRadians(zzfVar.zze));
            double cos2 = Math.cos(Math.toRadians(zzfVar.zze));
            Point[] pointArr2 = {new Point(i6, i7), new Point(i14, i7), new Point(i14, i15), new Point(i6, i15)};
            for (int i18 = 0; i18 < 4; i18++) {
                pointArr2[i18].x = (int) ((pointArr2[i18].x * cos2) - (pointArr2[i18].y * sin2));
                pointArr2[i18].y = (int) ((pointArr2[i18].x * sin2) + (pointArr2[i18].y * cos2));
                pointArr2[i18].offset(i16, i17);
            }
            List asList = Arrays.asList(pointArr2);
            zzbkVar4.zza(new Text.TextBlock(zza.zzb(zzbx.zza(list2, zzf.zza)), zza.zza(asList), asList, zzb(list2), matrix, list2));
            i2 = i13 + 1;
            zzbkVar = zzbkVar4;
            sparseArray = sparseArray5;
            i = 0;
        }
        zzbn zzb3 = zzbkVar.zzb();
        return new Text(zza.zzb(zzbx.zza(zzb3, zzg.zza)), zzb3);
    }

    private static String zzb(List list) {
        int i;
        HashMap hashMap = new HashMap();
        Iterator it = list.iterator();
        while (it.hasNext()) {
            String recognizedLanguage = ((Text.Line) it.next()).getRecognizedLanguage();
            if (hashMap.containsKey(recognizedLanguage)) {
                i = ((Integer) hashMap.get(recognizedLanguage)).intValue();
            } else {
                i = 0;
            }
            hashMap.put(recognizedLanguage, Integer.valueOf(i + 1));
        }
        Set entrySet = hashMap.entrySet();
        if (entrySet.isEmpty()) {
            return C.LANGUAGE_UNDETERMINED;
        }
        String str = (String) ((Map.Entry) Collections.max(entrySet, zzb)).getKey();
        return zzab.zzb(str) ? C.LANGUAGE_UNDETERMINED : str;
    }
}
