package com.google.mlkit.vision.text.pipeline;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Matrix;
import android.media.Image;
import android.os.RemoteException;
import android.os.SystemClock;
import android.util.Log;
import com.google.android.gms.common.internal.Preconditions;
import com.google.android.gms.dynamic.IObjectWrapper;
import com.google.android.gms.dynamic.ObjectWrapper;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zbaca;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zbbb;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zbbe;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zbiv;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zbiy;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zbkk;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zbkw;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zbkz;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zble;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zbnz;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zbog;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zboi;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zbok;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zbom;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zboq;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zbpd;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zbph;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zbpi;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zbpk;
import com.google.android.gms.internal.mlkit_vision_text_bundled_common.zbpm;
import com.google.android.libraries.vision.visionkit.pipeline.AndroidAssetUtil;
import com.google.android.libraries.vision.visionkit.pipeline.alt.PipelineException;
import com.google.android.libraries.vision.visionkit.pipeline.zbbz;
import com.google.android.libraries.vision.visionkit.pipeline.zbca;
import com.google.android.libraries.vision.visionkit.pipeline.zbcx;
import com.google.android.libraries.vision.visionkit.pipeline.zbdj;
import com.google.android.libraries.vision.visionkit.pipeline.zbdm;
import com.google.android.libraries.vision.visionkit.pipeline.zbez;
import com.google.android.libraries.vision.visionkit.pipeline.zbfa;
import com.google.mlkit.common.MlKitException;
import com.google.mlkit.vision.common.internal.ImageConvertUtils;
import com.google.mlkit.vision.common.internal.ImageUtils;
import java.nio.ByteBuffer;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
/* compiled from: com.google.mlkit:text-recognition-bundled-common@@16.0.0 */
/* loaded from: classes19.dex */
public final class zbi {
    zbh zba;
    boolean zbb;
    private final Context zbc;
    private final VkpTextRecognizerOptions zbd;
    private boolean zbe = true;

    private zbi(Context context, VkpTextRecognizerOptions vkpTextRecognizerOptions) {
        this.zbc = context;
        this.zbd = vkpTextRecognizerOptions;
    }

    public static zbi zba(Context context, VkpTextRecognizerOptions vkpTextRecognizerOptions) {
        return new zbi(context, vkpTextRecognizerOptions);
    }

    public final zbn zbb(IObjectWrapper iObjectWrapper, zbnz zbnzVar, boolean z) {
        zbkk zbc;
        zbkz zbh;
        zbkw zbkwVar;
        zbkz zbh2;
        zbkw zbkwVar2;
        zbkw zbkwVar3;
        zbo zbc2 = zbc();
        if (!zbc2.zbe()) {
            return zbn.zbe(zbc2);
        }
        try {
            int i = 3;
            int i2 = 1;
            if (zbnzVar.zbb() == -1) {
                Bitmap bitmap = (Bitmap) Preconditions.checkNotNull((Bitmap) ObjectWrapper.unwrap(iObjectWrapper));
                if (bitmap.getConfig() != Bitmap.Config.ARGB_8888) {
                    String valueOf = String.valueOf(bitmap.getConfig());
                    Log.d("PipelineManager", "Input bitmap is not ARGB_8888 config. Converting it to ARGB_8888 from " + valueOf);
                    bitmap = bitmap.copy(Bitmap.Config.ARGB_8888, bitmap.isMutable());
                }
                zbc = ((zbh) Preconditions.checkNotNull(this.zba)).zbg(SystemClock.elapsedRealtime() * 1000, bitmap, zbj.zbb(zbnzVar.zbc()));
            } else if (zbnzVar.zbb() == 35) {
                Image.Plane[] planes = ((Image) Preconditions.checkNotNull(ObjectWrapper.unwrap(iObjectWrapper))).getPlanes();
                zbc = ((zbh) Preconditions.checkNotNull(this.zba)).zbh(SystemClock.elapsedRealtime() * 1000, ((Image.Plane) Preconditions.checkNotNull(planes[0])).getBuffer(), ((Image.Plane) Preconditions.checkNotNull(planes[1])).getBuffer(), ((Image.Plane) Preconditions.checkNotNull(planes[2])).getBuffer(), zbnzVar.zbd(), zbnzVar.zba(), ((Image.Plane) Preconditions.checkNotNull(planes[0])).getRowStride(), ((Image.Plane) Preconditions.checkNotNull(planes[1])).getRowStride(), ((Image.Plane) Preconditions.checkNotNull(planes[1])).getPixelStride(), zbj.zbb(zbnzVar.zbc()));
            } else if (zbnzVar.zbb() == 17) {
                zbc = ((zbh) Preconditions.checkNotNull(this.zba)).zbc(zbj.zba(ImageConvertUtils.bufferWithBackingArray((ByteBuffer) Preconditions.checkNotNull((ByteBuffer) ObjectWrapper.unwrap(iObjectWrapper))), zbnzVar));
            } else if (zbnzVar.zbb() == 842094169) {
                zbc = ((zbh) Preconditions.checkNotNull(this.zba)).zbc(zbj.zba(ImageConvertUtils.yv12ToNv21Buffer((ByteBuffer) Preconditions.checkNotNull(ObjectWrapper.unwrap(iObjectWrapper)), true), zbnzVar));
            } else {
                int zbb = zbnzVar.zbb();
                throw new MlKitException("Unsupported image format: " + zbb, 3);
            }
            if (!zbc.zbc()) {
                return zbn.zbe(zbo.zbc(3, new RemoteException("VisionKit pipeline returns empty result.")));
            }
            Object zba = zbc.zba();
            Matrix uprightRotationMatrix = ImageUtils.getInstance().getUprightRotationMatrix(zbnzVar.zbd(), zbnzVar.zba(), zbnzVar.zbc());
            boolean z2 = this.zbe;
            zbo zbd = zbo.zbd();
            List<zbaca> zbg = ((zbcx) zba).zbe().zbg();
            HashMap hashMap = new HashMap();
            HashMap hashMap2 = new HashMap();
            HashMap hashMap3 = new HashMap();
            for (zbaca zbacaVar : zbg) {
                if (zbacaVar.zbI() == 6) {
                    zbpd zbb2 = zbf.zbb(zbacaVar.zbg());
                    List zbc3 = zbf.zbc(zbb2);
                    zboq zboqVar = new zboq(zbacaVar.zbH(), zbf.zba(zbc3, uprightRotationMatrix), zbc3, zbacaVar.zbc(), zbb2.zba());
                    Integer valueOf2 = Integer.valueOf(zbacaVar.zbe());
                    if (hashMap2.containsKey(valueOf2)) {
                        zbkwVar3 = (zbkw) hashMap2.get(valueOf2);
                    } else {
                        zbkw zbkwVar4 = new zbkw();
                        hashMap2.put(valueOf2, zbkwVar4);
                        zbkwVar3 = zbkwVar4;
                    }
                    ((zbkw) Preconditions.checkNotNull(zbkwVar3)).zba(zboqVar);
                }
            }
            int i3 = 0;
            while (i3 < zbg.size()) {
                zbaca zbacaVar2 = (zbaca) zbg.get(i3);
                if (zbacaVar2.zbI() == i2) {
                    zbpd zbb3 = zbf.zbb(zbacaVar2.zbg());
                    List zbc4 = zbf.zbc(zbb3);
                    Integer valueOf3 = Integer.valueOf(i3);
                    if (hashMap2.containsKey(valueOf3)) {
                        zbh2 = ((zbkw) Preconditions.checkNotNull((zbkw) hashMap2.get(valueOf3))).zbb();
                    } else {
                        zbh2 = zbkz.zbh();
                    }
                    zboi zboiVar = new zboi(zbacaVar2.zbH(), zbf.zba(zbc4, uprightRotationMatrix), zbc4, zbg.zba(zbacaVar2.zbh().zbf()), zbacaVar2.zbc(), zbb3.zba(), (List) Preconditions.checkNotNull(zbh2));
                    Integer valueOf4 = Integer.valueOf(zbacaVar2.zbe());
                    if (hashMap.containsKey(valueOf4)) {
                        zbkwVar2 = (zbkw) hashMap.get(valueOf4);
                    } else {
                        zbkw zbkwVar5 = new zbkw();
                        hashMap.put(valueOf4, zbkwVar5);
                        zbkwVar2 = zbkwVar5;
                    }
                    ((zbkw) Preconditions.checkNotNull(zbkwVar2)).zba(zboiVar);
                }
                i3++;
                i2 = 1;
            }
            int i4 = 0;
            while (i4 < zbg.size()) {
                zbaca zbacaVar3 = (zbaca) zbg.get(i4);
                if (zbacaVar3.zbI() == i) {
                    zbpd zbb4 = zbf.zbb(zbacaVar3.zbg());
                    List zbc5 = zbf.zbc(zbb4);
                    Integer valueOf5 = Integer.valueOf(i4);
                    if (hashMap.containsKey(valueOf5)) {
                        zbh = ((zbkw) Preconditions.checkNotNull((zbkw) hashMap.get(valueOf5))).zbb();
                    } else {
                        zbh = zbkz.zbh();
                    }
                    zbok zbokVar = new zbok(zbacaVar3.zbH(), zbf.zba(zbc5, uprightRotationMatrix), zbc5, zbg.zba(zbacaVar3.zbh().zbf()), (List) Preconditions.checkNotNull(zbh), zbacaVar3.zbc(), zbb4.zba());
                    Integer valueOf6 = Integer.valueOf(zbacaVar3.zbe());
                    if (hashMap3.containsKey(valueOf6)) {
                        zbkwVar = (zbkw) hashMap3.get(valueOf6);
                    } else {
                        zbkw zbkwVar6 = new zbkw();
                        hashMap3.put(Integer.valueOf(zbacaVar3.zbe()), zbkwVar6);
                        zbkwVar = zbkwVar6;
                    }
                    ((zbkw) Preconditions.checkNotNull(zbkwVar)).zba(zbokVar);
                }
                i4++;
                i = 3;
            }
            zbkw zbkwVar7 = new zbkw();
            for (int i5 = 0; i5 < zbg.size(); i5++) {
                zbaca zbacaVar4 = (zbaca) zbg.get(i5);
                if (zbacaVar4.zbI() == 4) {
                    List zbc6 = zbf.zbc(zbf.zbb(zbacaVar4.zbg()));
                    zbkz zbh3 = zbkz.zbh();
                    Integer valueOf7 = Integer.valueOf(i5);
                    if (hashMap3.containsKey(valueOf7)) {
                        zbh3 = ((zbkw) Preconditions.checkNotNull((zbkw) hashMap3.get(valueOf7))).zbb();
                        hashMap3.remove(valueOf7);
                    }
                    zbkwVar7.zba(new zbog(zbm.zba.zbb(zble.zba(zbh3, zbk.zba)), zbf.zba(zbc6, uprightRotationMatrix), zbc6, zbg.zba(zbacaVar4.zbh().zbf()), (List) Preconditions.checkNotNull(zbh3)));
                }
            }
            Iterator it = hashMap3.values().iterator();
            while (it.hasNext()) {
                zbkz zbb5 = ((zbkw) it.next()).zbb();
                int size = zbb5.size();
                int i6 = 0;
                while (i6 < size) {
                    zbok zbokVar2 = (zbok) zbb5.get(i6);
                    zbkwVar7.zba(new zbog(zbokVar2.zbc(), zbokVar2.zba(), zbokVar2.zbd(), zbokVar2.zbb(), zbkz.zbi(zbokVar2)));
                    i6++;
                    it = it;
                }
            }
            zbkz zbb6 = zbkwVar7.zbb();
            zba zbaVar = new zba(zbd, new zbom(zbm.zba.zbb(zble.zba(zbb6, zbl.zba)), zbb6), zbkz.zbh(), z2);
            this.zbe = false;
            return zbaVar;
        } catch (MlKitException e) {
            return zbn.zbe(zbo.zbc(2, new RemoteException("Failed to process input image.".concat(String.valueOf(e.getMessage())))));
        }
    }

    public final zbo zbc() {
        if (this.zbb) {
            return zbo.zbd();
        }
        if (this.zba == null) {
            if (!AndroidAssetUtil.zba(this.zbc)) {
                Log.d("PipelineManager", "Failed to initiate native asset manager.");
            }
            VkpTextRecognizerOptions vkpTextRecognizerOptions = this.zbd;
            String zba = vkpTextRecognizerOptions.zba();
            String zbc = vkpTextRecognizerOptions.zbc();
            String zbb = vkpTextRecognizerOptions.zbb();
            zbbz zbc2 = zbca.zbc();
            zbdj zba2 = zbdm.zba();
            zbbb zba3 = zbbe.zba();
            zba3.zbd(zbc);
            zba3.zba(zba);
            zba3.zbe(true);
            zba3.zbb(true);
            if (!zbb.isEmpty()) {
                zbph zba4 = zbpi.zba();
                zbpk zba5 = zbpm.zba();
                zba5.zba(zbb);
                zba4.zba(zba5);
                zba3.zbc(zba4);
            }
            zba2.zbb(zba3);
            zbiv zba6 = zbiy.zba();
            zba6.zba("PassThroughCoarseClassifier");
            zba2.zba(zba6);
            zbc2.zba(zba2);
            zbez zba7 = zbfa.zba();
            zba7.zba(2);
            zbc2.zbb(zba7);
            this.zba = new zbh((zbca) zbc2.zbk(), this.zbd.zba(), "mlkit_google_ocr_pipeline");
        }
        try {
            ((zbh) Preconditions.checkNotNull(this.zba)).zbe();
            this.zbb = true;
            return zbo.zbd();
        } catch (PipelineException e) {
            return zbo.zbc(1, new RemoteException("Failed to initialize detector. ".concat((String) e.getRootCauseMessage().zbb(""))));
        }
    }

    public final void zbd() {
        zbh zbhVar = this.zba;
        if (zbhVar != null) {
            if (this.zbb) {
                zbhVar.zbf();
            }
            this.zba.zbd();
            this.zba = null;
        }
        this.zbb = false;
        this.zbe = true;
    }
}
