package com.library;

import android.content.Context;
import android.util.AttributeSet;
import android.view.MotionEvent;
import androidx.recyclerview.widget.RecyclerView;
import im.uecahxyvjd.ui.components.RecyclerListView;
/* loaded from: classes11.dex */
public class MyRecyclerViewList extends RecyclerListView {
    private BaseDecoration mDecoration;

    public MyRecyclerViewList(Context context) {
        super(context);
    }

    public MyRecyclerViewList(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    public MyRecyclerViewList(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void addItemDecoration(RecyclerView.ItemDecoration decor) {
        if (decor != null && (decor instanceof BaseDecoration)) {
            this.mDecoration = (BaseDecoration) decor;
        }
        super.addItemDecoration(decor);
    }

    @Override // im.uecahxyvjd.ui.components.RecyclerListView, androidx.recyclerview.widget.RecyclerView, android.view.ViewGroup
    public boolean onInterceptTouchEvent(MotionEvent e) {
        if (this.mDecoration != null) {
            switch (e.getAction()) {
                case 0:
                    if (this.mDecoration.onEventDown2(e)) {
                        return true;
                    }
                    break;
                case 1:
                    if (this.mDecoration.onEventUp(e)) {
                        return true;
                    }
                    break;
            }
        }
        return super.onInterceptTouchEvent(e);
    }
}
