package com.litesuits.orm.db.assit;

import android.database.sqlite.SQLiteDatabase;
import com.litesuits.orm.log.OrmLog;
/* loaded from: classes19.dex */
public class Transaction {
    private static final String TAG = Transaction.class.getSimpleName();

    /* loaded from: classes19.dex */
    public interface Worker<T> {
        T doTransaction(SQLiteDatabase sQLiteDatabase) throws Exception;
    }

    public static <T> T execute(SQLiteDatabase db, Worker<T> worker) {
        db.beginTransaction();
        String str = TAG;
        OrmLog.i(str, "----> BeginTransaction");
        T data = null;
        try {
            try {
                data = worker.doTransaction(db);
                db.setTransactionSuccessful();
                if (OrmLog.isPrint) {
                    OrmLog.i(str, "----> Transaction Successful");
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
            return data;
        } finally {
            db.endTransaction();
        }
    }
}
