package com.qiniu.android.dns.dns;

import com.google.android.gms.common.ConnectionResult;
import com.qiniu.android.dns.dns.DnsResolver;
import java.io.IOException;
import java.net.DatagramPacket;
import java.net.DatagramSocket;
import java.net.InetAddress;
import java.util.concurrent.ExecutorService;
/* loaded from: classes2.dex */
public class DnsUdpResolver extends DnsResolver {
    private static final int DnsUdpPort = 53;

    public DnsUdpResolver(String serverIP) {
        super(serverIP);
    }

    public DnsUdpResolver(String serverIP, int timeout) {
        super(serverIP, timeout);
    }

    public DnsUdpResolver(String serverIP, int recordType, int timeout) {
        super(serverIP, recordType, timeout);
    }

    public DnsUdpResolver(String[] serverIPs, int recordType, int timeout) {
        super(serverIPs, recordType, timeout);
    }

    public DnsUdpResolver(String[] serverIPs, int recordType, int timeout, ExecutorService executorService) {
        super(serverIPs, recordType, timeout, executorService);
    }

    /* JADX WARN: Removed duplicated region for block: B:18:0x006e  */
    @Override // com.qiniu.android.dns.dns.DnsResolver
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    DnsResponse request(DnsResolver.RequestCanceller canceller, String server, String host, int recordType) throws IOException {
        double d = Math.random();
        short messageId = (short) (65535.0d * d);
        DnsRequest request = new DnsRequest(messageId, recordType, host);
        byte[] requestData = request.toDnsQuestionData();
        InetAddress address = InetAddress.getByName(server);
        final DatagramSocket socket = null;
        try {
            socket = new DatagramSocket();
            DatagramPacket packet = new DatagramPacket(requestData, requestData.length, address, 53);
            socket.setSoTimeout(this.timeout * 1000);
            try {
                canceller.addCancelAction(new Runnable() { // from class: com.qiniu.android.dns.dns.DnsUdpResolver.1
                    @Override // java.lang.Runnable
                    public void run() {
                        try {
                            socket.disconnect();
                        } catch (Exception e) {
                            e.printStackTrace();
                        }
                        try {
                            socket.close();
                        } catch (Exception e2) {
                            e2.printStackTrace();
                        }
                    }
                });
                socket.send(packet);
                DatagramPacket packet2 = new DatagramPacket(new byte[ConnectionResult.DRIVE_EXTERNAL_STORAGE_REQUIRED], ConnectionResult.DRIVE_EXTERNAL_STORAGE_REQUIRED);
                socket.receive(packet2);
                try {
                    DnsResponse dnsResponse = new DnsResponse(server, 4, request, packet2.getData());
                    socket.close();
                    return dnsResponse;
                } catch (Throwable th) {
                    th = th;
                    if (socket != null) {
                        socket.close();
                    }
                    throw th;
                }
            } catch (Throwable th2) {
                th = th2;
                if (socket != null) {
                }
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
        }
    }
}
