package com.qiniu.android.dns.util;

import java.util.LinkedHashMap;
import java.util.Map;
/* loaded from: classes2.dex */
public final class LruCache<K, V> extends LinkedHashMap<K, V> {
    private int size;

    public LruCache() {
        this(256);
    }

    public LruCache(int size) {
        super(size, 1.0f, true);
        this.size = size;
    }

    @Override // java.util.LinkedHashMap
    protected boolean removeEldestEntry(Map.Entry<K, V> eldest) {
        return size() > this.size;
    }
}
