package im.uecahxyvjd.messenger;

import android.app.AlarmManager;
import android.app.Application;
import android.app.PendingIntent;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.SharedPreferences;
import android.content.pm.ApplicationInfo;
import android.content.res.Configuration;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Handler;
import android.os.PowerManager;
import android.text.TextUtils;
import androidx.core.app.NotificationCompat;
import com.bjz.comm.net.utils.AppPreferenceUtil;
import com.google.android.exoplayer2.util.Log;
import com.google.android.gms.common.GooglePlayServicesUtil;
import com.google.android.gms.tasks.OnFailureListener;
import com.google.android.gms.tasks.OnSuccessListener;
import com.google.firebase.iid.FirebaseInstanceId;
import com.google.firebase.iid.InstanceIdResult;
import com.th00ls.library.SDKMgr;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.components.ForegroundDetector;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.constants.Constants;
import im.uecahxyvjd.ui.hui.friendscircle_v1.helper.DatabaseInstance;
import im.uecahxyvjd.ui.hui.friendscircle_v1.view.toast.FcToastUtils;
import im.uecahxyvjd.ui.utils.ThirdPartSdkInitUtil;
import java.io.File;
/* loaded from: classes16.dex */
public class ApplicationLoader extends Application implements Constants {
    public static volatile Context applicationContext;
    public static volatile Handler applicationHandler;
    private static ConnectivityManager connectivityManager;
    public static volatile NetworkInfo currentNetworkInfo;
    public static boolean hasPlayServices;
    public static volatile long mainInterfacePausedStageQueueTime;
    public static String thirdAppName;
    public static volatile boolean unableGetCurrentNetwork;
    private boolean mBlnSendUPushToken = false;
    private static volatile boolean applicationInited = false;
    public static volatile boolean isScreenOn = false;
    public static volatile boolean mainInterfacePaused = true;
    public static volatile boolean externalInterfacePaused = true;
    public static volatile boolean mainInterfacePausedStageQueue = true;
    public static String strDeviceKey = "";
    public static byte mbytMessageReged = 0;
    public static volatile byte mbytAVideoCallBusy = 0;
    public static volatile byte mbytLiving = 0;
    public static boolean blnShowAuth = false;

    public static File getFilesDirFixed() {
        for (int a2 = 0; a2 < 10; a2++) {
            File path = applicationContext.getFilesDir();
            if (path != null) {
                return path;
            }
        }
        try {
            ApplicationInfo info = applicationContext.getApplicationInfo();
            File path2 = new File(info.dataDir, "files");
            path2.mkdirs();
            return path2;
        } catch (Exception e) {
            FileLog.e(e);
            return new File("/data/data/im.uecahxyvjd.messenger/files");
        }
    }

    public static void postInitApplication() {
        if (BuildVars.LOGS_ENABLED) {
            FileLog.d("SDKINIT  ===> ApplicationLoader postInitApplication app init ===> start , iid = " + applicationInited + " , preparedId = true");
        }
        if (applicationInited) {
            return;
        }
        applicationInited = true;
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.ApplicationLoader$$ExternalSyntheticLambda5
            @Override // java.lang.Runnable
            public final void run() {
                ApplicationLoader.startPushService();
            }
        });
        try {
            LocaleController.getInstance();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            connectivityManager = (ConnectivityManager) applicationContext.getSystemService("connectivity");
            BroadcastReceiver networkStateReceiver = new BroadcastReceiver() { // from class: im.uecahxyvjd.messenger.ApplicationLoader.1
                @Override // android.content.BroadcastReceiver
                public void onReceive(Context context, Intent intent) {
                    try {
                        ApplicationLoader.currentNetworkInfo = ApplicationLoader.connectivityManager.getActiveNetworkInfo();
                    } catch (Throwable th) {
                    }
                    boolean isSlow = ApplicationLoader.isConnectionSlow();
                    for (int a2 = 0; a2 < 3; a2++) {
                        ConnectionsManager.getInstance(a2).checkConnection();
                        FileLoader.getInstance(a2).onNetworkChanged(isSlow);
                    }
                }
            };
            applicationContext.registerReceiver(networkStateReceiver, new IntentFilter("android.net.conn.CONNECTIVITY_CHANGE"));
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        try {
            IntentFilter filter = new IntentFilter("android.intent.action.SCREEN_ON");
            filter.addAction("android.intent.action.SCREEN_OFF");
            BroadcastReceiver mReceiver = new ScreenReceiver();
            applicationContext.registerReceiver(mReceiver, filter);
        } catch (Exception e3) {
            e3.printStackTrace();
        }
        try {
            PowerManager pm = (PowerManager) applicationContext.getSystemService("power");
            isScreenOn = pm.isScreenOn();
            if (BuildVars.LOGS_ENABLED) {
                FileLog.d("ApplicationLoader ---> postInitApplication screen state = " + isScreenOn);
            }
        } catch (Exception e4) {
            FileLog.e(e4);
        }
        SharedConfig.loadConfig();
        for (int a2 = 0; a2 < 3; a2++) {
            UserConfig.getInstance(a2).loadConfig();
            MessagesController.getInstance(a2);
            if (a2 == 0) {
                SharedConfig.pushStringStatus = "__FIREBASE_GENERATING_SINCE_" + ConnectionsManager.getInstance(a2).getCurrentTime() + "__";
            } else {
                ConnectionsManager.getInstance(a2);
            }
            TLRPC.User user = UserConfig.getInstance(a2).getCurrentUser();
            if (user != null) {
                MessagesController.getInstance(a2).putUser(user, true);
                SendMessagesHelper.getInstance(a2).checkUnsentMessages();
            }
        }
        ApplicationLoader app = (ApplicationLoader) applicationContext;
        app.initPlayServices();
        MediaController.getInstance();
        for (int a3 = 0; a3 < 3; a3++) {
            ContactsController.getInstance(a3).checkAppAccount();
            DownloadController.getInstance(a3);
        }
        WearDataLayerListenerService.updateWatchConnectionState();
        if (BuildVars.LOGS_ENABLED) {
            FileLog.d("SDKINIT  ===> ApplicationLoader postInitApplication app init end");
        }
        ThirdPartSdkInitUtil.initOtherSdk(applicationContext);
    }

    @Override // android.app.Application
    public void onCreate() {
        try {
            applicationContext = getApplicationContext();
        } catch (Throwable th) {
        }
        super.onCreate();
        if (applicationContext == null) {
            applicationContext = getApplicationContext();
        }
        if (BuildVars.LOGS_ENABLED) {
            FileLog.d("SDKINIT  ===> ApplicationLoader onCreate init start");
        }
        NativeLoader.initNativeLibs(applicationContext);
        ConnectionsManager.native_setJava(false);
        new ForegroundDetector(this);
        applicationHandler = new Handler(applicationContext.getMainLooper());
        AppPreferenceUtil.initSharedPreferences(applicationContext);
        DatabaseInstance.getInstance(applicationContext);
        ToastUtils.init(applicationContext);
        FcToastUtils.init(applicationContext);
        SDKMgr.initSDK(this);
        if (BuildVars.LOGS_ENABLED) {
            FileLog.d("SDKINIT  ===> ApplicationLoader onCreate init end");
        }
    }

    private void sendUPushTokenToServer() {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.ApplicationLoader$$ExternalSyntheticLambda4
            @Override // java.lang.Runnable
            public final void run() {
                GcmPushListenerService.sendUPushRegistrationToServer(ApplicationLoader.strDeviceKey);
            }
        });
    }

    public static void startPushService() {
        Log.d(Constants.SDK_INIT_TAG, applicationContext.toString() + " startPushService ===> start");
        SharedPreferences preferences = MessagesController.getGlobalNotificationsSettings();
        if (preferences.getBoolean("pushService", true)) {
            try {
                applicationContext.startService(new Intent(applicationContext, NotificationsService.class));
            } catch (Throwable th) {
            }
        } else {
            stopPushService();
        }
        Log.d(Constants.SDK_INIT_TAG, applicationContext.toString() + " startPushService ===> end");
    }

    public static void stopPushService() {
        applicationContext.stopService(new Intent(applicationContext, NotificationsService.class));
        PendingIntent pintent = PendingIntent.getService(applicationContext, 0, new Intent(applicationContext, NotificationsService.class), 0);
        AlarmManager alarm = (AlarmManager) applicationContext.getSystemService(NotificationCompat.CATEGORY_ALARM);
        alarm.cancel(pintent);
    }

    @Override // android.app.Application, android.content.ComponentCallbacks
    public void onConfigurationChanged(Configuration newConfig) {
        super.onConfigurationChanged(newConfig);
        try {
            LocaleController.getInstance().onDeviceConfigurationChange(newConfig);
            AndroidUtilities.checkDisplaySize(applicationContext, newConfig);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private void initPlayServices() {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.ApplicationLoader$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                ApplicationLoader.this.m119x9eacbd45();
            }
        }, 1000L);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initPlayServices$4$im-uecahxyvjd-messenger-ApplicationLoader  reason: not valid java name */
    public /* synthetic */ void m119x9eacbd45() {
        boolean checkPlayServices = checkPlayServices();
        hasPlayServices = checkPlayServices;
        if (checkPlayServices) {
            String currentPushString = SharedConfig.pushString;
            if (!TextUtils.isEmpty(currentPushString)) {
                if (BuildVars.DEBUG_PRIVATE_VERSION && BuildVars.LOGS_ENABLED) {
                    FileLog.d("ApplicationLoader ---> initPlayServices GCM regId = " + currentPushString);
                }
            } else if (BuildVars.LOGS_ENABLED) {
                FileLog.d("ApplicationLoFader ---> initPlayServices GCM Registration not found.");
            }
            Utilities.globalQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.ApplicationLoader$$ExternalSyntheticLambda3
                @Override // java.lang.Runnable
                public final void run() {
                    ApplicationLoader.this.m118xb96b4e84();
                }
            });
            return;
        }
        if (BuildVars.LOGS_ENABLED) {
            FileLog.d("ApplicationLoader ---> No valid Google Play Services APK found.");
        }
        SharedConfig.pushStringStatus = "__NO_GOOGLE_PLAY_SERVICES__";
        FileLog.d("ApplicationLoader ---> umeng strDeviceKey = " + strDeviceKey);
        if (!TextUtils.isEmpty(strDeviceKey)) {
            GcmPushListenerService.sendUPushRegistrationToServer(strDeviceKey);
        } else {
            this.mBlnSendUPushToken = true;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initPlayServices$3$im-uecahxyvjd-messenger-ApplicationLoader  reason: not valid java name */
    public /* synthetic */ void m118xb96b4e84() {
        try {
            FirebaseInstanceId.getInstance().getInstanceId().addOnSuccessListener(new OnSuccessListener() { // from class: im.uecahxyvjd.messenger.ApplicationLoader$$ExternalSyntheticLambda1
                @Override // com.google.android.gms.tasks.OnSuccessListener
                public final void onSuccess(Object obj) {
                    ApplicationLoader.lambda$initPlayServices$1((InstanceIdResult) obj);
                }
            }).addOnFailureListener(new OnFailureListener() { // from class: im.uecahxyvjd.messenger.ApplicationLoader$$ExternalSyntheticLambda2
                @Override // com.google.android.gms.tasks.OnFailureListener
                public final void onFailure(Exception exc) {
                    ApplicationLoader.this.m117xd429dfc3(exc);
                }
            });
        } catch (Throwable e) {
            FileLog.e(e);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$initPlayServices$1(InstanceIdResult instanceIdResult) {
        String token = instanceIdResult.getToken();
        if (!TextUtils.isEmpty(token)) {
            GcmPushListenerService.sendRegistrationToServer(token);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initPlayServices$2$im-uecahxyvjd-messenger-ApplicationLoader  reason: not valid java name */
    public /* synthetic */ void m117xd429dfc3(Exception e) {
        if (BuildVars.LOGS_ENABLED) {
            FileLog.d("ApplicationLoader ---> initPlayServices Failed to get regid");
        }
        SharedConfig.pushStringStatus = "__FIREBASE_FAILED__";
        if (!TextUtils.isEmpty(strDeviceKey)) {
            GcmPushListenerService.sendUPushRegistrationToServer(strDeviceKey);
        } else {
            this.mBlnSendUPushToken = true;
        }
    }

    private boolean checkPlayServices() {
        try {
            int resultCode = GooglePlayServicesUtil.isGooglePlayServicesAvailable(this);
            return resultCode == 0;
        } catch (Exception e) {
            FileLog.e(e);
            return true;
        }
    }

    public static boolean isRoaming() {
        try {
            ConnectivityManager connectivityManager2 = (ConnectivityManager) applicationContext.getSystemService("connectivity");
            NetworkInfo netInfo = connectivityManager2.getActiveNetworkInfo();
            if (netInfo != null) {
                return netInfo.isRoaming();
            }
            return false;
        } catch (Exception e) {
            FileLog.e(e);
            return false;
        }
    }

    public static boolean isConnectedOrConnectingToWiFi() {
        try {
            ConnectivityManager connectivityManager2 = (ConnectivityManager) applicationContext.getSystemService("connectivity");
            NetworkInfo netInfo = connectivityManager2.getNetworkInfo(1);
            NetworkInfo.State state = netInfo.getState();
            if (netInfo != null) {
                if (state != NetworkInfo.State.CONNECTED && state != NetworkInfo.State.CONNECTING) {
                    if (state != NetworkInfo.State.SUSPENDED) {
                        return false;
                    }
                }
                return true;
            }
            return false;
        } catch (Exception e) {
            FileLog.e(e);
            return false;
        }
    }

    public static boolean isConnectedToWiFi() {
        try {
            ConnectivityManager connectivityManager2 = (ConnectivityManager) applicationContext.getSystemService("connectivity");
            NetworkInfo netInfo = connectivityManager2.getNetworkInfo(1);
            if (netInfo != null) {
                if (netInfo.getState() == NetworkInfo.State.CONNECTED) {
                    return true;
                }
                return false;
            }
            return false;
        } catch (Exception e) {
            FileLog.e(e);
            return false;
        }
    }

    public static int getCurrentNetworkType() {
        if (isConnectedOrConnectingToWiFi()) {
            return 1;
        }
        if (isRoaming()) {
            return 2;
        }
        return 0;
    }

    public static boolean isConnectionSlow() {
        try {
            ConnectivityManager connectivityManager2 = (ConnectivityManager) applicationContext.getSystemService("connectivity");
            NetworkInfo netInfo = connectivityManager2.getActiveNetworkInfo();
            if (netInfo.getType() == 0) {
                switch (netInfo.getSubtype()) {
                    case 1:
                    case 2:
                    case 4:
                    case 7:
                    case 11:
                        return true;
                    default:
                        return false;
                }
            }
            return false;
        } catch (Throwable th) {
            return false;
        }
    }

    public static boolean isNetworkOnline() {
        try {
            ConnectivityManager connectivityManager2 = (ConnectivityManager) applicationContext.getSystemService("connectivity");
            NetworkInfo netInfo = connectivityManager2.getActiveNetworkInfo();
            if (netInfo != null && (netInfo.isConnectedOrConnecting() || netInfo.isAvailable())) {
                return true;
            }
            NetworkInfo netInfo2 = connectivityManager2.getNetworkInfo(0);
            if (netInfo2 != null && netInfo2.isConnectedOrConnecting()) {
                return true;
            }
            NetworkInfo netInfo3 = connectivityManager2.getNetworkInfo(1);
            if (netInfo3 != null) {
                if (netInfo3.isConnectedOrConnecting()) {
                    return true;
                }
            }
            return false;
        } catch (Exception e) {
            FileLog.e(e);
            return true;
        }
    }

    @Override // android.app.Application
    public void onTerminate() {
        super.onTerminate();
    }
}
