package im.uecahxyvjd.messenger;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import im.uecahxyvjd.tgnet.TLRPC;
/* loaded from: classes16.dex */
public class AutoMessageHeardReceiver extends BroadcastReceiver {
    @Override // android.content.BroadcastReceiver
    public void onReceive(Context context, Intent intent) {
        ApplicationLoader.postInitApplication();
        final long dialog_id = intent.getLongExtra("dialog_id", 0L);
        final int max_id = intent.getIntExtra("max_id", 0);
        final int currentAccount = intent.getIntExtra("currentAccount", 0);
        if (dialog_id == 0 || max_id == 0) {
            return;
        }
        final int lowerId = (int) dialog_id;
        int i = (int) (dialog_id >> 32);
        final AccountInstance accountInstance = AccountInstance.getInstance(currentAccount);
        if (lowerId > 0) {
            TLRPC.User user = accountInstance.getMessagesController().getUser(Integer.valueOf(lowerId));
            if (user == null) {
                Utilities.globalQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.AutoMessageHeardReceiver$$ExternalSyntheticLambda1
                    @Override // java.lang.Runnable
                    public final void run() {
                        AutoMessageHeardReceiver.lambda$onReceive$1(AccountInstance.this, lowerId, currentAccount, dialog_id, max_id);
                    }
                });
                return;
            }
        } else if (lowerId < 0) {
            TLRPC.Chat chat = accountInstance.getMessagesController().getChat(Integer.valueOf(-lowerId));
            if (chat == null) {
                Utilities.globalQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.AutoMessageHeardReceiver$$ExternalSyntheticLambda2
                    @Override // java.lang.Runnable
                    public final void run() {
                        AutoMessageHeardReceiver.lambda$onReceive$3(AccountInstance.this, lowerId, currentAccount, dialog_id, max_id);
                    }
                });
                return;
            }
        }
        MessagesController.getInstance(currentAccount).markDialogAsRead(dialog_id, max_id, max_id, 0, false, 0, true, 0);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$onReceive$1(final AccountInstance accountInstance, int lowerId, final int currentAccount, final long dialog_id, final int max_id) {
        final TLRPC.User user1 = accountInstance.getMessagesStorage().getUserSync(lowerId);
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.AutoMessageHeardReceiver$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                AutoMessageHeardReceiver.lambda$onReceive$0(AccountInstance.this, user1, currentAccount, dialog_id, max_id);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$onReceive$0(AccountInstance accountInstance, TLRPC.User user1, int currentAccount, long dialog_id, int max_id) {
        accountInstance.getMessagesController().putUser(user1, true);
        MessagesController.getInstance(currentAccount).markDialogAsRead(dialog_id, max_id, max_id, 0, false, 0, true, 0);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$onReceive$3(final AccountInstance accountInstance, int lowerId, final int currentAccount, final long dialog_id, final int max_id) {
        final TLRPC.Chat chat1 = accountInstance.getMessagesStorage().getChatSync(-lowerId);
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.AutoMessageHeardReceiver$$ExternalSyntheticLambda3
            @Override // java.lang.Runnable
            public final void run() {
                AutoMessageHeardReceiver.lambda$onReceive$2(AccountInstance.this, chat1, currentAccount, dialog_id, max_id);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$onReceive$2(AccountInstance accountInstance, TLRPC.Chat chat1, int currentAccount, long dialog_id, int max_id) {
        accountInstance.getMessagesController().putChat(chat1, true);
        MessagesController.getInstance(currentAccount).markDialogAsRead(dialog_id, max_id, max_id, 0, false, 0, true, 0);
    }
}
