package im.uecahxyvjd.messenger;

import im.uecahxyvjd.tgnet.TLRPC;
/* loaded from: classes16.dex */
public class DialogObject {
    public static boolean isChannel(TLRPC.Dialog dialog) {
        return (dialog == null || (dialog.flags & 1) == 0) ? false : true;
    }

    public static long makeSecretDialogId(int chatId) {
        return chatId << 32;
    }

    public static long makeFolderDialogId(int folderId) {
        return 8589934592L | folderId;
    }

    public static boolean isFolderDialogId(long dialogId) {
        int lowerId = (int) dialogId;
        int highId = (int) (dialogId >> 32);
        return lowerId != 0 && highId == 2;
    }

    public static boolean isPeerDialogId(long dialogId) {
        int lowerId = (int) dialogId;
        int highId = (int) (dialogId >> 32);
        return (lowerId == 0 || highId == 2 || highId == 1) ? false : true;
    }

    public static boolean isSecretDialogId(long dialogId) {
        return ((int) dialogId) == 0;
    }

    public static void initDialog(TLRPC.Dialog dialog) {
        if (dialog == null || dialog.id != 0) {
            return;
        }
        if (dialog instanceof TLRPC.TL_dialog) {
            if (dialog.peer == null) {
                return;
            }
            if (dialog.peer.user_id != 0) {
                dialog.id = dialog.peer.user_id;
            } else if (dialog.peer.chat_id != 0) {
                dialog.id = -dialog.peer.chat_id;
            } else {
                dialog.id = -dialog.peer.channel_id;
            }
        } else if (dialog instanceof TLRPC.TL_dialogFolder) {
            TLRPC.TL_dialogFolder dialogFolder = (TLRPC.TL_dialogFolder) dialog;
            dialog.id = makeFolderDialogId(dialogFolder.folder.id);
        }
    }

    public static long getPeerDialogId(TLRPC.Peer peer) {
        if (peer == null) {
            return 0L;
        }
        if (peer.user_id != 0) {
            return peer.user_id;
        }
        if (peer.chat_id != 0) {
            return -peer.chat_id;
        }
        return -peer.channel_id;
    }

    public static long getPeerDialogId(TLRPC.InputPeer peer) {
        if (peer == null) {
            return 0L;
        }
        if (peer.user_id != 0) {
            return peer.user_id;
        }
        if (peer.chat_id != 0) {
            return -peer.chat_id;
        }
        return -peer.channel_id;
    }
}
