package im.uecahxyvjd.messenger;

import android.content.SharedPreferences;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.text.Spannable;
import android.text.style.ImageSpan;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import com.google.android.exoplayer2.text.ttml.TtmlNode;
import im.uecahxyvjd.messenger.Emoji;
import java.io.File;
import java.io.InputStream;
import java.lang.reflect.Array;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Locale;
import java.util.Map;
import java9.util.concurrent.ForkJoinPool;
/* loaded from: classes16.dex */
public class Emoji {
    private static final int MAX_RECENT_EMOJI_COUNT = 48;
    private static int bigImgSize = 0;
    private static int drawImgSize = 0;
    private static Paint placeholderPaint = null;
    private static boolean recentEmojiLoaded = false;
    private static final int splitCount = 4;
    private static HashMap<CharSequence, DrawableInfo> rects = new HashMap<>();
    private static boolean inited = false;
    private static Bitmap[][] emojiBmp = (Bitmap[][]) Array.newInstance(Bitmap.class, 8, 4);
    private static boolean[][] loadingEmoji = (boolean[][]) Array.newInstance(Boolean.TYPE, 8, 4);
    public static HashMap<String, Integer> emojiUseHistory = new HashMap<>();
    public static ArrayList<String> recentEmoji = new ArrayList<>();
    public static HashMap<String, String> emojiColor = new HashMap<>();
    private static final int[][] cols = {new int[]{16, 16, 16, 16}, new int[]{6, 6, 6, 6}, new int[]{5, 5, 5, 5}, new int[]{7, 7, 7, 7}, new int[]{5, 5, 5, 5}, new int[]{7, 7, 7, 7}, new int[]{8, 8, 8, 8}, new int[]{8, 8, 8, 8}};

    static {
        int emojiFullSize;
        int add = 2;
        if (AndroidUtilities.density <= 1.0f) {
            emojiFullSize = 33;
            add = 1;
        } else if (AndroidUtilities.density <= 1.5f) {
            emojiFullSize = 66;
        } else if (AndroidUtilities.density <= 2.0f) {
            emojiFullSize = 66;
        } else {
            emojiFullSize = 66;
        }
        drawImgSize = AndroidUtilities.dp(20.0f);
        bigImgSize = AndroidUtilities.dp(AndroidUtilities.isTablet() ? 40.0f : 34.0f);
        for (int j = 0; j < EmojiData.data.length; j++) {
            int count2 = (int) Math.ceil(EmojiData.data[j].length / 4.0f);
            for (int i = 0; i < EmojiData.data[j].length; i++) {
                int page = i / count2;
                int position = i - (page * count2);
                int i2 = cols[j][page];
                int row = position % i2;
                int col = position / i2;
                Rect rect = new Rect((row * emojiFullSize) + (row * add), (col * emojiFullSize) + (col * add), ((row + 1) * emojiFullSize) + (row * add), ((col + 1) * emojiFullSize) + (col * add));
                rects.put(EmojiData.data[j][i], new DrawableInfo(rect, (byte) j, (byte) page, i));
            }
        }
        Paint paint = new Paint();
        placeholderPaint = paint;
        paint.setColor(0);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static void loadEmoji(final int page, final int page2) {
        float scale;
        int imageResize = 1;
        try {
            if (AndroidUtilities.density <= 1.0f) {
                scale = 2.0f;
                imageResize = 2;
            } else {
                float scale2 = AndroidUtilities.density;
                if (scale2 <= 1.5f) {
                    scale = 2.0f;
                } else {
                    float scale3 = AndroidUtilities.density;
                    if (scale3 <= 2.0f) {
                        scale = 2.0f;
                    } else {
                        scale = 2.0f;
                    }
                }
            }
            for (int a2 = 12; a2 < 14; a2++) {
                try {
                    String imageName = String.format(Locale.US, "v%d_emoji%.01fx_%d.png", Integer.valueOf(a2), Float.valueOf(scale), Integer.valueOf(page));
                    File imageFile = ApplicationLoader.applicationContext.getFileStreamPath(imageName);
                    if (imageFile.exists()) {
                        imageFile.delete();
                    }
                } catch (Exception e) {
                    FileLog.e(e);
                }
            }
            InputStream is = ApplicationLoader.applicationContext.getAssets().open("emoji/" + String.format(Locale.US, "v14_emoji%.01fx_%d_%d.png", Float.valueOf(scale), Integer.valueOf(page), Integer.valueOf(page2)));
            BitmapFactory.Options opts = new BitmapFactory.Options();
            opts.inJustDecodeBounds = false;
            opts.inSampleSize = imageResize;
            final Bitmap bitmap = BitmapFactory.decodeStream(is, null, opts);
            is.close();
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.Emoji$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    Emoji.lambda$loadEmoji$0(page, page2, bitmap);
                }
            });
        } catch (Throwable x) {
            if (BuildVars.LOGS_ENABLED) {
                FileLog.e("Error loading emoji", x);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$loadEmoji$0(int page, int page2, Bitmap finalBitmap) {
        emojiBmp[page][page2] = finalBitmap;
        NotificationCenter.getGlobalInstance().postNotificationName(NotificationCenter.emojiDidLoad, new Object[0]);
    }

    public static void invalidateAll(View view) {
        if (view instanceof ViewGroup) {
            ViewGroup g = (ViewGroup) view;
            for (int i = 0; i < g.getChildCount(); i++) {
                invalidateAll(g.getChildAt(i));
            }
        } else if (view instanceof TextView) {
            view.invalidate();
        }
    }

    public static String fixEmoji(String emoji) {
        int length = emoji.length();
        int a2 = 0;
        while (a2 < length) {
            char ch = emoji.charAt(a2);
            if (ch >= 55356 && ch <= 55358) {
                if (ch == 55356 && a2 < length - 1) {
                    char ch2 = emoji.charAt(a2 + 1);
                    if (ch2 == 56879 || ch2 == 56324 || ch2 == 56858 || ch2 == 56703) {
                        emoji = emoji.substring(0, a2 + 2) + "️" + emoji.substring(a2 + 2);
                        length++;
                        a2 += 2;
                    } else {
                        a2++;
                    }
                } else {
                    a2++;
                }
            } else if (ch == 8419) {
                return emoji;
            } else {
                if (ch >= 8252 && ch <= 12953 && EmojiData.emojiToFE0FMap.containsKey(Character.valueOf(ch))) {
                    emoji = emoji.substring(0, a2 + 1) + "️" + emoji.substring(a2 + 1);
                    length++;
                    a2++;
                }
            }
            a2++;
        }
        return emoji;
    }

    public static EmojiDrawable getEmojiDrawable(CharSequence code) {
        CharSequence newCode;
        DrawableInfo info = rects.get(code);
        if (info == null && (newCode = EmojiData.emojiAliasMap.get(code)) != null) {
            info = rects.get(newCode);
        }
        if (info == null) {
            if (BuildVars.LOGS_ENABLED) {
                FileLog.d("No drawable for emoji " + ((Object) code));
                return null;
            }
            return null;
        }
        EmojiDrawable ed = new EmojiDrawable(info);
        int i = drawImgSize;
        ed.setBounds(0, 0, i, i);
        return ed;
    }

    public static boolean isValidEmoji(CharSequence code) {
        CharSequence newCode;
        DrawableInfo info = rects.get(code);
        if (info == null && (newCode = EmojiData.emojiAliasMap.get(code)) != null) {
            info = rects.get(newCode);
        }
        return info != null;
    }

    public static Drawable getEmojiBigDrawable(String code) {
        CharSequence newCode;
        EmojiDrawable ed = getEmojiDrawable(code);
        if (ed == null && (newCode = EmojiData.emojiAliasMap.get(code)) != null) {
            ed = getEmojiDrawable(newCode);
        }
        if (ed == null) {
            return null;
        }
        int i = bigImgSize;
        ed.setBounds(0, 0, i, i);
        ed.fullSize = true;
        return ed;
    }

    /* loaded from: classes16.dex */
    public static class EmojiDrawable extends Drawable {
        private static Paint paint = new Paint(2);
        private static Rect rect = new Rect();
        private boolean fullSize = false;
        private DrawableInfo info;

        public EmojiDrawable(DrawableInfo i) {
            this.info = i;
        }

        public DrawableInfo getDrawableInfo() {
            return this.info;
        }

        public Rect getDrawRect() {
            Rect original = getBounds();
            int cX = original.centerX();
            int cY = original.centerY();
            rect.left = cX - ((this.fullSize ? Emoji.bigImgSize : Emoji.drawImgSize) / 2);
            rect.right = ((this.fullSize ? Emoji.bigImgSize : Emoji.drawImgSize) / 2) + cX;
            rect.top = cY - ((this.fullSize ? Emoji.bigImgSize : Emoji.drawImgSize) / 2);
            rect.bottom = ((this.fullSize ? Emoji.bigImgSize : Emoji.drawImgSize) / 2) + cY;
            return rect;
        }

        @Override // android.graphics.drawable.Drawable
        public void draw(Canvas canvas) {
            Rect b;
            if (Emoji.emojiBmp[this.info.page][this.info.page2] == null) {
                if (!Emoji.loadingEmoji[this.info.page][this.info.page2]) {
                    Emoji.loadingEmoji[this.info.page][this.info.page2] = true;
                    Utilities.globalQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.Emoji$EmojiDrawable$$ExternalSyntheticLambda0
                        @Override // java.lang.Runnable
                        public final void run() {
                            Emoji.EmojiDrawable.this.m176lambda$draw$0$imuecahxyvjdmessengerEmoji$EmojiDrawable();
                        }
                    });
                    canvas.drawRect(getBounds(), Emoji.placeholderPaint);
                    return;
                }
                return;
            }
            if (this.fullSize) {
                b = getDrawRect();
            } else {
                b = getBounds();
            }
            canvas.drawBitmap(Emoji.emojiBmp[this.info.page][this.info.page2], this.info.rect, b, paint);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$draw$0$im-uecahxyvjd-messenger-Emoji$EmojiDrawable  reason: not valid java name */
        public /* synthetic */ void m176lambda$draw$0$imuecahxyvjdmessengerEmoji$EmojiDrawable() {
            Emoji.loadEmoji(this.info.page, this.info.page2);
            Emoji.loadingEmoji[this.info.page][this.info.page2] = false;
        }

        @Override // android.graphics.drawable.Drawable
        public int getOpacity() {
            return -2;
        }

        @Override // android.graphics.drawable.Drawable
        public void setAlpha(int alpha) {
        }

        @Override // android.graphics.drawable.Drawable
        public void setColorFilter(ColorFilter cf) {
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes16.dex */
    public static class DrawableInfo {
        public int emojiIndex;
        public byte page;
        public byte page2;
        public Rect rect;

        public DrawableInfo(Rect r, byte p, byte p2, int index) {
            this.rect = r;
            this.page = p;
            this.page2 = p2;
            this.emojiIndex = index;
        }
    }

    private static boolean inArray(char c, char[] a2) {
        for (char cc : a2) {
            if (cc == c) {
                return true;
            }
        }
        return false;
    }

    public static CharSequence replaceEmoji(CharSequence cs, Paint.FontMetricsInt fontMetrics, int size, boolean createNew) {
        return replaceEmoji(cs, fontMetrics, size, createNew, null);
    }

    public static CharSequence replaceEmoji(CharSequence cs, Paint.FontMetricsInt fontMetrics, int size, boolean createNew, int[] emojiOnly) {
        int length;
        char c2;
        long buf;
        int[] emojiOnly2;
        if (!SharedConfig.useSystemEmoji && cs != null) {
            if (cs.length() != 0) {
                Spannable s = (createNew || !(cs instanceof Spannable)) ? Spannable.Factory.getInstance().newSpannable(cs.toString()) : (Spannable) cs;
                StringBuilder emojiCode = new StringBuilder(16);
                new StringBuilder(2);
                int length2 = cs.length();
                boolean doneEmoji = false;
                int startLength = 0;
                int[] emojiOnly3 = emojiOnly;
                int emojiCount = 0;
                int i = 0;
                int previousGoodIndex = 0;
                int startIndex = -1;
                long buf2 = 0;
                while (i < length2) {
                    try {
                        char c = cs.charAt(i);
                        if ((c < 55356 || c > 55358) && (buf2 == 0 || (buf2 & ForkJoinPool.UC_MASK) != 0 || (buf2 & 65535) != 55356 || c < 56806 || c > 56831)) {
                            length = length2;
                            try {
                                if (emojiCode.length() > 0 && (c == 9792 || c == 9794 || c == 9877)) {
                                    try {
                                        emojiCode.append(c);
                                        startLength++;
                                        buf2 = 0;
                                        doneEmoji = true;
                                    } catch (Exception e) {
                                        e = e;
                                        FileLog.e(e);
                                        return cs;
                                    }
                                } else if (buf2 > 0 && (61440 & c) == 53248) {
                                    emojiCode.append(c);
                                    startLength++;
                                    buf2 = 0;
                                    doneEmoji = true;
                                } else if (c == 8419) {
                                    if (i > 0 && (((c2 = cs.charAt(previousGoodIndex)) >= '0' && c2 <= '9') || c2 == '#' || c2 == '*')) {
                                        startIndex = previousGoodIndex;
                                        startLength = (i - previousGoodIndex) + 1;
                                        emojiCode.append(c2);
                                        emojiCode.append(c);
                                        doneEmoji = true;
                                    }
                                } else if ((c == 169 || c == 174 || (c >= 8252 && c <= 12953)) && EmojiData.dataCharsMap.containsKey(Character.valueOf(c))) {
                                    if (startIndex == -1) {
                                        startIndex = i;
                                    }
                                    startLength++;
                                    emojiCode.append(c);
                                    doneEmoji = true;
                                } else if (startIndex != -1) {
                                    emojiCode.setLength(0);
                                    startIndex = -1;
                                    startLength = 0;
                                    doneEmoji = false;
                                } else if (c != 65039 && emojiOnly3 != null) {
                                    emojiOnly3[0] = 0;
                                    emojiOnly3 = null;
                                }
                            } catch (Exception e2) {
                                e = e2;
                            }
                        } else {
                            if (startIndex == -1) {
                                startIndex = i;
                            }
                            try {
                                emojiCode.append(c);
                                startLength++;
                                length = length2;
                                buf2 = (buf2 << 16) | c;
                            } catch (Exception e3) {
                                e = e3;
                                FileLog.e(e);
                                return cs;
                            }
                        }
                        if (doneEmoji) {
                            length2 = length;
                            if (i + 2 < length2) {
                                try {
                                    char next = cs.charAt(i + 1);
                                    buf = buf2;
                                    if (next == 55356) {
                                        try {
                                            char next2 = cs.charAt(i + 2);
                                            if (next2 >= 57339 && next2 <= 57343) {
                                                emojiCode.append(cs.subSequence(i + 1, i + 3));
                                                startLength += 2;
                                                i += 2;
                                            }
                                        } catch (Exception e4) {
                                            e = e4;
                                            FileLog.e(e);
                                            return cs;
                                        }
                                    } else if (emojiCode.length() >= 2 && emojiCode.charAt(0) == 55356 && emojiCode.charAt(1) == 57332 && next == 56128) {
                                        int i2 = i + 1;
                                        do {
                                            emojiCode.append(cs.subSequence(i2, i2 + 2));
                                            startLength += 2;
                                            i2 += 2;
                                            if (i2 >= cs.length()) {
                                                break;
                                            }
                                        } while (cs.charAt(i2) == 56128);
                                        i = i2 - 1;
                                    }
                                } catch (Exception e5) {
                                    e = e5;
                                }
                            } else {
                                buf = buf2;
                            }
                        } else {
                            buf = buf2;
                            length2 = length;
                        }
                        previousGoodIndex = i;
                        for (int a2 = 0; a2 < 3; a2++) {
                            if (i + 1 < length2) {
                                c = cs.charAt(i + 1);
                                if (a2 != 1) {
                                    if (startIndex == -1 && c != '*') {
                                        if (c >= '1' && c <= '9') {
                                        }
                                    }
                                    if (c >= 65024 && c <= 65039) {
                                        i++;
                                        startLength++;
                                    }
                                } else if (c == 8205 && emojiCode.length() > 0) {
                                    emojiCode.append(c);
                                    i++;
                                    startLength++;
                                    doneEmoji = false;
                                }
                            }
                        }
                        if (doneEmoji && i + 2 < length2 && cs.charAt(i + 1) == 55356) {
                            char next3 = cs.charAt(i + 2);
                            if (next3 >= 57339 && next3 <= 57343) {
                                emojiCode.append(cs.subSequence(i + 1, i + 3));
                                startLength += 2;
                                i += 2;
                            }
                        }
                        if (doneEmoji) {
                            if (emojiOnly3 != null) {
                                emojiOnly3[0] = emojiOnly3[0] + 1;
                            }
                            try {
                                CharSequence code = emojiCode.subSequence(0, emojiCode.length());
                                EmojiDrawable drawable = getEmojiDrawable(code);
                                if (drawable != null) {
                                    emojiOnly2 = emojiOnly3;
                                    try {
                                        EmojiSpan span = new EmojiSpan(drawable, 0, size, fontMetrics);
                                        s.setSpan(span, startIndex, startIndex + startLength, 33);
                                        emojiCount++;
                                    } catch (Exception e6) {
                                        e = e6;
                                        FileLog.e(e);
                                        return cs;
                                    }
                                } else {
                                    emojiOnly2 = emojiOnly3;
                                }
                                startLength = 0;
                                startIndex = -1;
                                emojiCode.setLength(0);
                                doneEmoji = false;
                            } catch (Exception e7) {
                                e = e7;
                                FileLog.e(e);
                                return cs;
                            }
                        } else {
                            emojiOnly2 = emojiOnly3;
                        }
                        if (Build.VERSION.SDK_INT < 23 && emojiCount >= 50) {
                            break;
                        }
                        i++;
                        emojiOnly3 = emojiOnly2;
                        buf2 = buf;
                    } catch (Exception e8) {
                        e = e8;
                    }
                }
                return s;
            }
        }
        return cs;
    }

    /* loaded from: classes16.dex */
    public static class EmojiSpan extends ImageSpan {
        private Paint.FontMetricsInt fontMetrics;
        private int size;

        public EmojiSpan(EmojiDrawable d, int verticalAlignment, int s, Paint.FontMetricsInt original) {
            super(d, verticalAlignment);
            this.size = AndroidUtilities.dp(20.0f);
            this.fontMetrics = original;
            if (original != null) {
                int abs = Math.abs(original.descent) + Math.abs(this.fontMetrics.ascent);
                this.size = abs;
                if (abs == 0) {
                    this.size = AndroidUtilities.dp(20.0f);
                }
            }
        }

        public void replaceFontMetrics(Paint.FontMetricsInt newMetrics, int newSize) {
            this.fontMetrics = newMetrics;
            this.size = newSize;
        }

        @Override // android.text.style.DynamicDrawableSpan, android.text.style.ReplacementSpan
        public int getSize(Paint paint, CharSequence text, int start, int end, Paint.FontMetricsInt fm) {
            if (fm == null) {
                fm = new Paint.FontMetricsInt();
            }
            Paint.FontMetricsInt fontMetricsInt = this.fontMetrics;
            if (fontMetricsInt == null) {
                int sz = super.getSize(paint, text, start, end, fm);
                int offset = AndroidUtilities.dp(8.0f);
                int w = AndroidUtilities.dp(10.0f);
                fm.top = (-w) - offset;
                fm.bottom = w - offset;
                fm.ascent = (-w) - offset;
                fm.leading = 0;
                fm.descent = w - offset;
                return sz;
            }
            if (fm != null) {
                fm.ascent = fontMetricsInt.ascent;
                fm.descent = this.fontMetrics.descent;
                fm.top = this.fontMetrics.top;
                fm.bottom = this.fontMetrics.bottom;
            }
            if (getDrawable() != null) {
                Drawable drawable = getDrawable();
                int i = this.size;
                drawable.setBounds(0, 0, i, i);
            }
            return this.size;
        }
    }

    public static void addRecentEmoji(String code) {
        Integer count = emojiUseHistory.get(code);
        if (count == null) {
            count = 0;
        }
        if (count.intValue() == 0 && emojiUseHistory.size() >= 48) {
            ArrayList<String> arrayList = recentEmoji;
            String emoji = arrayList.get(arrayList.size() - 1);
            emojiUseHistory.remove(emoji);
            ArrayList<String> arrayList2 = recentEmoji;
            arrayList2.set(arrayList2.size() - 1, code);
        }
        emojiUseHistory.put(code, Integer.valueOf(count.intValue() + 1));
    }

    public static void sortEmoji() {
        recentEmoji.clear();
        for (Map.Entry<String, Integer> entry : emojiUseHistory.entrySet()) {
            recentEmoji.add(entry.getKey());
        }
        Collections.sort(recentEmoji, new Comparator() { // from class: im.uecahxyvjd.messenger.Emoji$$ExternalSyntheticLambda1
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return Emoji.lambda$sortEmoji$1((String) obj, (String) obj2);
            }
        });
        while (recentEmoji.size() > 48) {
            ArrayList<String> arrayList = recentEmoji;
            arrayList.remove(arrayList.size() - 1);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ int lambda$sortEmoji$1(String lhs, String rhs) {
        Integer count1 = emojiUseHistory.get(lhs);
        Integer count2 = emojiUseHistory.get(rhs);
        if (count1 == null) {
            count1 = 0;
        }
        if (count2 == null) {
            count2 = 0;
        }
        if (count1.intValue() > count2.intValue()) {
            return -1;
        }
        if (count1.intValue() >= count2.intValue()) {
            return 0;
        }
        return 1;
    }

    public static void saveRecentEmoji() {
        SharedPreferences preferences = MessagesController.getGlobalEmojiSettings();
        StringBuilder stringBuilder = new StringBuilder();
        for (Map.Entry<String, Integer> entry : emojiUseHistory.entrySet()) {
            if (stringBuilder.length() != 0) {
                stringBuilder.append(",");
            }
            stringBuilder.append(entry.getKey());
            stringBuilder.append("=");
            stringBuilder.append(entry.getValue());
        }
        preferences.edit().putString("emojis2", stringBuilder.toString()).commit();
    }

    public static void clearRecentEmoji() {
        SharedPreferences preferences = MessagesController.getGlobalEmojiSettings();
        preferences.edit().putBoolean("filled_default", true).commit();
        emojiUseHistory.clear();
        recentEmoji.clear();
        saveRecentEmoji();
    }

    /*  JADX ERROR: JadxRuntimeException in pass: BlockProcessor
        jadx.core.utils.exceptions.JadxRuntimeException: Unreachable block: B:59:0x01f5
        	at jadx.core.dex.visitors.blocks.BlockProcessor.checkForUnreachableBlocks(BlockProcessor.java:81)
        	at jadx.core.dex.visitors.blocks.BlockProcessor.processBlocksTree(BlockProcessor.java:47)
        	at jadx.core.dex.visitors.blocks.BlockProcessor.visit(BlockProcessor.java:39)
        */
    public static void loadRecentEmoji() {
        /*
            Method dump skipped, instructions count: 559
            To view this dump add '--comments-level debug' option
        */
        throw new UnsupportedOperationException("Method not decompiled: im.uecahxyvjd.messenger.Emoji.loadRecentEmoji():void");
    }

    public static void saveEmojiColors() {
        SharedPreferences preferences = MessagesController.getGlobalEmojiSettings();
        StringBuilder stringBuilder = new StringBuilder();
        for (Map.Entry<String, String> entry : emojiColor.entrySet()) {
            if (stringBuilder.length() != 0) {
                stringBuilder.append(",");
            }
            stringBuilder.append(entry.getKey());
            stringBuilder.append("=");
            stringBuilder.append(entry.getValue());
        }
        preferences.edit().putString(TtmlNode.ATTR_TTS_COLOR, stringBuilder.toString()).commit();
    }
}
