package im.uecahxyvjd.messenger;

import android.os.SystemClock;
import android.text.TextUtils;
import android.util.Base64;
import android.util.Log;
import android.util.SparseArray;
import androidx.core.app.NotificationCompat;
import com.google.android.exoplayer2.text.ttml.TtmlNode;
import com.google.firebase.messaging.FirebaseMessagingService;
import com.google.firebase.messaging.RemoteMessage;
import com.king.zxing.util.LogUtils;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.NativeByteBuffer;
import im.uecahxyvjd.tgnet.TLRPC;
import io.reactivex.annotations.SchedulerSupport;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Locale;
import java.util.Map;
import java.util.concurrent.CountDownLatch;
import kotlin.text.Typography;
import org.json.JSONArray;
import org.json.JSONObject;
/* loaded from: classes16.dex */
public class GcmPushListenerService extends FirebaseMessagingService {
    public static final int NOTIFICATION_ID = 1;
    private CountDownLatch countDownLatch = new CountDownLatch(1);

    @Override // com.google.firebase.messaging.FirebaseMessagingService
    public void onMessageReceived(RemoteMessage message) {
        String from = message.getFrom();
        final Map data = message.getData();
        final long time = message.getSentTime();
        long receiveTime = SystemClock.uptimeMillis();
        if (BuildVars.LOGS_ENABLED) {
            FileLog.d("GCM received data: " + data + " from: " + from);
        }
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.GcmPushListenerService$$ExternalSyntheticLambda8
            @Override // java.lang.Runnable
            public final void run() {
                GcmPushListenerService.this.m239x990bcde8(data, time);
            }
        });
        try {
            this.countDownLatch.await();
        } catch (Throwable th) {
        }
        if (BuildVars.DEBUG_VERSION) {
            FileLog.d("finished GCM service, time = " + (SystemClock.uptimeMillis() - receiveTime));
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onMessageReceived$3$im-uecahxyvjd-messenger-GcmPushListenerService  reason: not valid java name */
    public /* synthetic */ void m239x990bcde8(final Map data, final long time) {
        ApplicationLoader.postInitApplication();
        Utilities.stageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.GcmPushListenerService$$ExternalSyntheticLambda2
            @Override // java.lang.Runnable
            public final void run() {
                GcmPushListenerService.this.m238x5f412c09(data, time);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Removed duplicated region for block: B:759:0x1c2a A[Catch: all -> 0x1ca1, TryCatch #0 {all -> 0x1ca1, blocks: (B:766:0x1c8f, B:755:0x1c13, B:759:0x1c2a, B:761:0x1c40), top: B:791:0x033b }] */
    /* JADX WARN: Removed duplicated region for block: B:784:0x1ce4  */
    /* JADX WARN: Removed duplicated region for block: B:785:0x1cf4  */
    /* JADX WARN: Removed duplicated region for block: B:788:0x1cfb  */
    /* JADX WARN: Removed duplicated region for block: B:816:0x1b4d A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Type inference failed for: r3v27 */
    /* JADX WARN: Type inference failed for: r3v28 */
    /* JADX WARN: Type inference failed for: r3v30 */
    /* JADX WARN: Type inference failed for: r3v33 */
    /* JADX WARN: Type inference failed for: r3v56 */
    /* JADX WARN: Type inference failed for: r3v57 */
    /* JADX WARN: Type inference failed for: r3v61 */
    /* JADX WARN: Type inference failed for: r3v62 */
    /* renamed from: lambda$onMessageReceived$2$im-uecahxyvjd-messenger-GcmPushListenerService  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m238x5f412c09(Map data, long time) {
        GcmPushListenerService gcmPushListenerService;
        Throwable e;
        int currentAccount;
        JSONObject custom;
        int accountUserId;
        GcmPushListenerService gcmPushListenerService2;
        char c;
        int channel_id;
        int user_id;
        int chat_id;
        String loc_key;
        boolean scheduled;
        boolean processNotification;
        boolean mention;
        int user_id2;
        String[] args;
        String userName;
        boolean supergroup;
        boolean pinned;
        boolean channel;
        String message1;
        char c2;
        String messageText;
        String message12;
        String name;
        boolean localMessage;
        String loc_key2;
        GcmPushListenerService gcmPushListenerService3;
        String str;
        int channel_id2;
        int user_id3;
        boolean z;
        GcmPushListenerService gcmPushListenerService4;
        ArrayList<TLRPC.Update> updates;
        if (BuildVars.LOGS_ENABLED) {
            FileLog.d("GCM START PROCESSING");
        }
        String loc_key3 = null;
        String jsonString = null;
        try {
            Object value = data.get(TtmlNode.TAG_P);
            try {
                if (!(value instanceof String)) {
                    if (BuildVars.LOGS_ENABLED) {
                        FileLog.d("GCM DECRYPT ERROR 1");
                    }
                    onDecryptError();
                    return;
                }
                byte[] bytes = Base64.decode((String) value, 8);
                NativeByteBuffer buffer = new NativeByteBuffer(bytes.length);
                buffer.writeBytes(bytes);
                buffer.position(0);
                if (SharedConfig.pushAuthKeyId == null) {
                    SharedConfig.pushAuthKeyId = new byte[8];
                    byte[] authKeyHash = Utilities.computeSHA1(SharedConfig.pushAuthKey);
                    System.arraycopy(authKeyHash, authKeyHash.length - 8, SharedConfig.pushAuthKeyId, 0, 8);
                }
                byte[] authKeyHash2 = new byte[8];
                buffer.readBytes(authKeyHash2, true);
                if (!Arrays.equals(SharedConfig.pushAuthKeyId, authKeyHash2)) {
                    onDecryptError();
                    if (BuildVars.LOGS_ENABLED) {
                        FileLog.d(String.format(Locale.US, "GCM DECRYPT ERROR 2 k1=%s k2=%s, key=%s", Utilities.bytesToHex(SharedConfig.pushAuthKeyId), Utilities.bytesToHex(authKeyHash2), Utilities.bytesToHex(SharedConfig.pushAuthKey)));
                        return;
                    }
                    return;
                }
                byte[] messageKey = new byte[16];
                buffer.readBytes(messageKey, true);
                MessageKeyData messageKeyData = MessageKeyData.generateMessageKeyData(SharedConfig.pushAuthKey, messageKey, true, 2);
                Utilities.aesIgeEncryption(buffer.buffer, messageKeyData.aesKey, messageKeyData.aesIv, false, false, 24, bytes.length - 24);
                byte[] messageKeyFull = Utilities.computeSHA256(SharedConfig.pushAuthKey, 96, 32, buffer.buffer, 24, buffer.buffer.limit());
                if (!Utilities.arraysEquals(messageKey, 0, messageKeyFull, 8)) {
                    onDecryptError();
                    if (BuildVars.LOGS_ENABLED) {
                        FileLog.d(String.format("GCM DECRYPT ERROR 3, key = %s", Utilities.bytesToHex(SharedConfig.pushAuthKey)));
                        return;
                    }
                    return;
                }
                int len = buffer.readInt32(true);
                byte[] strBytes = new byte[len];
                buffer.readBytes(strBytes, true);
                jsonString = new String(strBytes);
                try {
                    JSONObject json = new JSONObject(jsonString);
                    try {
                        if (json.has("loc_key")) {
                            try {
                                loc_key3 = json.getString("loc_key");
                            } catch (Throwable th) {
                                e = th;
                                gcmPushListenerService = this;
                                currentAccount = -1;
                                if (currentAccount != -1) {
                                }
                                if (BuildVars.LOGS_ENABLED) {
                                }
                                FileLog.e(e);
                                return;
                            }
                        } else {
                            loc_key3 = "";
                        }
                        try {
                            Object object = json.get(SchedulerSupport.CUSTOM);
                            try {
                                if (object instanceof JSONObject) {
                                    try {
                                        custom = json.getJSONObject(SchedulerSupport.CUSTOM);
                                    } catch (Throwable th2) {
                                        e = th2;
                                        gcmPushListenerService = this;
                                        currentAccount = -1;
                                        jsonString = jsonString;
                                        if (currentAccount != -1) {
                                        }
                                        if (BuildVars.LOGS_ENABLED) {
                                        }
                                        FileLog.e(e);
                                        return;
                                    }
                                } else {
                                    custom = new JSONObject();
                                }
                                Object userIdObject = json.has("user_id") ? json.get("user_id") : null;
                                if (userIdObject == null) {
                                    accountUserId = UserConfig.getInstance(UserConfig.selectedAccount).getClientUserId();
                                } else if (userIdObject instanceof Integer) {
                                    accountUserId = ((Integer) userIdObject).intValue();
                                } else if (userIdObject instanceof String) {
                                    accountUserId = Utilities.parseInt((String) userIdObject).intValue();
                                } else {
                                    int accountUserId2 = UserConfig.selectedAccount;
                                    accountUserId = UserConfig.getInstance(accountUserId2).getClientUserId();
                                }
                                int account = UserConfig.selectedAccount;
                                int a2 = 0;
                                while (true) {
                                    Object value2 = value;
                                    if (a2 >= 3) {
                                        break;
                                    } else if (UserConfig.getInstance(a2).getClientUserId() == accountUserId) {
                                        account = a2;
                                        break;
                                    } else {
                                        a2++;
                                        value = value2;
                                    }
                                }
                                int currentAccount2 = account;
                                final int accountFinal = account;
                                try {
                                    try {
                                        if (!UserConfig.getInstance(currentAccount2).isClientActivated()) {
                                            if (BuildVars.LOGS_ENABLED) {
                                                FileLog.d("GCM ACCOUNT NOT ACTIVATED");
                                            }
                                            this.countDownLatch.countDown();
                                            return;
                                        }
                                        data.get("google.sent_time");
                                        switch (loc_key3.hashCode()) {
                                            case -1963663249:
                                                if (loc_key3.equals("SESSION_REVOKE")) {
                                                    c = 2;
                                                    break;
                                                }
                                                c = 65535;
                                                break;
                                            case -920689527:
                                                if (loc_key3.equals("DC_UPDATE")) {
                                                    c = 0;
                                                    break;
                                                }
                                                c = 65535;
                                                break;
                                            case 633004703:
                                                if (loc_key3.equals("MESSAGE_ANNOUNCEMENT")) {
                                                    c = 1;
                                                    break;
                                                }
                                                c = 65535;
                                                break;
                                            default:
                                                c = 65535;
                                                break;
                                        }
                                        switch (c) {
                                            case 0:
                                                int dc = custom.getInt("dc");
                                                String addr = custom.getString("addr");
                                                String[] parts = addr.split(LogUtils.COLON);
                                                if (parts.length != 2) {
                                                    this.countDownLatch.countDown();
                                                    return;
                                                }
                                                String ip = parts[0];
                                                int port = Integer.parseInt(parts[1]);
                                                ConnectionsManager.getInstance(currentAccount2).applyDatacenterAddress(dc, ip, port);
                                                ConnectionsManager.getInstance(currentAccount2).resumeNetworkMaybe();
                                                this.countDownLatch.countDown();
                                                return;
                                            case 1:
                                                TLRPC.TL_updateServiceNotification update = new TLRPC.TL_updateServiceNotification();
                                                update.popup = false;
                                                update.flags = 2;
                                                update.inbox_date = (int) (time / 1000);
                                                update.message = json.getString("message");
                                                update.type = "announcement";
                                                update.media = new TLRPC.TL_messageMediaEmpty();
                                                final TLRPC.TL_updates updates2 = new TLRPC.TL_updates();
                                                updates2.updates.add(update);
                                                Utilities.stageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.GcmPushListenerService$$ExternalSyntheticLambda5
                                                    @Override // java.lang.Runnable
                                                    public final void run() {
                                                        MessagesController.getInstance(accountFinal).processUpdates(updates2, false);
                                                    }
                                                });
                                                ConnectionsManager.getInstance(currentAccount2).resumeNetworkMaybe();
                                                this.countDownLatch.countDown();
                                                return;
                                            case 2:
                                                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.GcmPushListenerService$$ExternalSyntheticLambda6
                                                    @Override // java.lang.Runnable
                                                    public final void run() {
                                                        GcmPushListenerService.lambda$onMessageReceived$1(accountFinal);
                                                    }
                                                });
                                                return;
                                            default:
                                                long dialog_id = 0;
                                                if (custom.has("channel_id")) {
                                                    channel_id = custom.getInt("channel_id");
                                                    dialog_id = -channel_id;
                                                } else {
                                                    channel_id = 0;
                                                }
                                                if (custom.has("from_id")) {
                                                    user_id = custom.getInt("from_id");
                                                    dialog_id = user_id;
                                                } else {
                                                    user_id = 0;
                                                }
                                                long dialog_id2 = dialog_id;
                                                if (custom.has("chat_id")) {
                                                    int chat_id2 = custom.getInt("chat_id");
                                                    dialog_id2 = -chat_id2;
                                                    chat_id = chat_id2;
                                                } else {
                                                    chat_id = 0;
                                                }
                                                if (custom.has("encryption_id")) {
                                                    dialog_id2 = custom.getInt("encryption_id") << 32;
                                                }
                                                boolean scheduled2 = custom.has("schedule") ? custom.getInt("schedule") == 1 : false;
                                                long dialog_id3 = (dialog_id2 == 0 && "ENCRYPTED_MESSAGE".equals(loc_key3)) ? -4294967296L : dialog_id2;
                                                try {
                                                    if (dialog_id3 == 0) {
                                                        loc_key = loc_key3;
                                                        accountFinal = this;
                                                    } else if ("READ_HISTORY".equals(loc_key3)) {
                                                        int max_id = custom.getInt("max_id");
                                                        ArrayList<TLRPC.Update> updates3 = new ArrayList<>();
                                                        if (BuildVars.LOGS_ENABLED) {
                                                            FileLog.d("GCM received read notification max_id = " + max_id + " for dialogId = " + dialog_id3);
                                                        }
                                                        if (channel_id != 0) {
                                                            TLRPC.TL_updateReadChannelInbox update2 = new TLRPC.TL_updateReadChannelInbox();
                                                            update2.channel_id = channel_id;
                                                            update2.max_id = max_id;
                                                            updates = updates3;
                                                            updates.add(update2);
                                                        } else {
                                                            updates = updates3;
                                                            TLRPC.TL_updateReadHistoryInbox update3 = new TLRPC.TL_updateReadHistoryInbox();
                                                            if (user_id != 0) {
                                                                update3.peer = new TLRPC.TL_peerUser();
                                                                update3.peer.user_id = user_id;
                                                            } else {
                                                                update3.peer = new TLRPC.TL_peerChat();
                                                                update3.peer.chat_id = chat_id;
                                                            }
                                                            update3.max_id = max_id;
                                                            updates.add(update3);
                                                        }
                                                        MessagesController.getInstance(accountFinal).processUpdateArray(updates, null, null, false, 0);
                                                        this.countDownLatch.countDown();
                                                        loc_key = loc_key3;
                                                        accountFinal = this;
                                                    } else {
                                                        try {
                                                            if ("MESSAGE_DELETED".equals(loc_key3)) {
                                                                String messages = custom.getString("messages");
                                                                String[] messagesArgs = messages.split(",");
                                                                SparseArray<ArrayList<Integer>> deletedMessages = new SparseArray<>();
                                                                ArrayList<Integer> ids = new ArrayList<>();
                                                                for (String str2 : messagesArgs) {
                                                                    ids.add(Utilities.parseInt(str2));
                                                                }
                                                                deletedMessages.put(channel_id, ids);
                                                                NotificationsController.getInstance(currentAccount2).removeDeletedMessagesFromNotifications(deletedMessages);
                                                                MessagesController.getInstance(currentAccount2).deleteMessagesByPush(dialog_id3, ids, channel_id);
                                                                loc_key = loc_key3;
                                                                accountFinal = this;
                                                            } else {
                                                                try {
                                                                    if (TextUtils.isEmpty(loc_key3)) {
                                                                        loc_key = loc_key3;
                                                                        accountFinal = this;
                                                                    } else {
                                                                        int msg_id = custom.has("msg_id") ? custom.getInt("msg_id") : 0;
                                                                        long random_id = custom.has("random_id") ? Utilities.parseLong(custom.getString("random_id")).longValue() : 0L;
                                                                        if (msg_id != 0) {
                                                                            scheduled = scheduled2;
                                                                            Integer currentReadValue = MessagesController.getInstance(currentAccount2).dialogs_read_inbox_max.get(Long.valueOf(dialog_id3));
                                                                            if (currentReadValue == null) {
                                                                                currentReadValue = Integer.valueOf(MessagesStorage.getInstance(currentAccount2).getDialogReadMax(false, dialog_id3));
                                                                                MessagesController.getInstance(accountFinal).dialogs_read_inbox_max.put(Long.valueOf(dialog_id3), currentReadValue);
                                                                            }
                                                                            processNotification = msg_id > currentReadValue.intValue();
                                                                        } else {
                                                                            scheduled = scheduled2;
                                                                            processNotification = (random_id == 0 || MessagesStorage.getInstance(account).checkMessageByRandomId(random_id)) ? false : true;
                                                                        }
                                                                        if (processNotification) {
                                                                            int chat_from_id = custom.has("chat_from_id") ? custom.getInt("chat_from_id") : 0;
                                                                            boolean mention2 = custom.has("mention") && custom.getInt("mention") != 0;
                                                                            boolean silent = custom.has(NotificationCompat.GROUP_KEY_SILENT) && custom.getInt(NotificationCompat.GROUP_KEY_SILENT) != 0;
                                                                            boolean silent2 = silent;
                                                                            if (json.has("loc_args")) {
                                                                                JSONArray loc_args = json.getJSONArray("loc_args");
                                                                                args = new String[loc_args.length()];
                                                                                mention = mention2;
                                                                                int a3 = 0;
                                                                                while (true) {
                                                                                    user_id2 = user_id;
                                                                                    int user_id4 = args.length;
                                                                                    if (a3 < user_id4) {
                                                                                        args[a3] = loc_args.getString(a3);
                                                                                        a3++;
                                                                                        user_id = user_id2;
                                                                                    }
                                                                                }
                                                                            } else {
                                                                                mention = mention2;
                                                                                user_id2 = user_id;
                                                                                args = null;
                                                                            }
                                                                            String name2 = args[0];
                                                                            boolean edited = custom.has("edit_date");
                                                                            if (loc_key3.startsWith("CHAT_")) {
                                                                                boolean supergroup2 = channel_id != 0;
                                                                                name2 = args[1];
                                                                                userName = name2;
                                                                                supergroup = supergroup2;
                                                                                pinned = false;
                                                                                channel = false;
                                                                            } else if (loc_key3.startsWith("PINNED_")) {
                                                                                boolean supergroup3 = chat_from_id != 0;
                                                                                userName = null;
                                                                                supergroup = supergroup3;
                                                                                pinned = true;
                                                                                channel = false;
                                                                            } else if (loc_key3.startsWith("CHANNEL_")) {
                                                                                userName = null;
                                                                                supergroup = false;
                                                                                pinned = false;
                                                                                channel = true;
                                                                            } else {
                                                                                userName = null;
                                                                                supergroup = false;
                                                                                pinned = false;
                                                                                channel = false;
                                                                            }
                                                                            if (BuildVars.LOGS_ENABLED) {
                                                                                message1 = null;
                                                                                FileLog.d("GCM received message notification " + loc_key3 + " for dialogId = " + dialog_id3 + " mid = " + msg_id);
                                                                            } else {
                                                                                message1 = null;
                                                                            }
                                                                            switch (loc_key3.hashCode()) {
                                                                                case -2100047043:
                                                                                    if (loc_key3.equals("MESSAGE_GAME_SCORE")) {
                                                                                        c2 = 18;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -2091498420:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGE_CONTACT")) {
                                                                                        c2 = ' ';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -2053872415:
                                                                                    if (loc_key3.equals("CHAT_CREATED")) {
                                                                                        c2 = ':';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -2039746363:
                                                                                    if (loc_key3.equals("MESSAGE_STICKER")) {
                                                                                        c2 = '\n';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -2023218804:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGE_VIDEOS")) {
                                                                                        c2 = '(';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1979538588:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGE_DOC")) {
                                                                                        c2 = 29;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1979536003:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGE_GEO")) {
                                                                                        c2 = Typography.quote;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1979535888:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGE_GIF")) {
                                                                                        c2 = Typography.dollar;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1969004705:
                                                                                    if (loc_key3.equals("CHAT_ADD_MEMBER")) {
                                                                                        c2 = Typography.greater;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1946699248:
                                                                                    if (loc_key3.equals("CHAT_JOINED")) {
                                                                                        c2 = 'C';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1528047021:
                                                                                    if (loc_key3.equals("CHAT_MESSAGES")) {
                                                                                        c2 = 'G';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1493579426:
                                                                                    if (loc_key3.equals("MESSAGE_AUDIO")) {
                                                                                        c2 = 11;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1482481933:
                                                                                    if (loc_key3.equals("MESSAGE_MUTED")) {
                                                                                        c2 = '`';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1480102982:
                                                                                    if (loc_key3.equals("MESSAGE_PHOTO")) {
                                                                                        c2 = 3;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1478041834:
                                                                                    if (loc_key3.equals("MESSAGE_ROUND")) {
                                                                                        c2 = '\b';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1474543101:
                                                                                    if (loc_key3.equals("MESSAGE_VIDEO")) {
                                                                                        c2 = 5;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1465695932:
                                                                                    if (loc_key3.equals("ENCRYPTION_ACCEPT")) {
                                                                                        c2 = '^';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1374906292:
                                                                                    if (loc_key3.equals("ENCRYPTED_MESSAGE")) {
                                                                                        c2 = 'X';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1372940586:
                                                                                    if (loc_key3.equals("CHAT_RETURNED")) {
                                                                                        c2 = 'B';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1264245338:
                                                                                    if (loc_key3.equals("PINNED_INVOICE")) {
                                                                                        c2 = 'V';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1236086700:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGE_FWDS")) {
                                                                                        c2 = Typography.amp;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1236077786:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGE_GAME")) {
                                                                                        c2 = '%';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1235796237:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGE_POLL")) {
                                                                                        c2 = '!';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1235686303:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGE_TEXT")) {
                                                                                        c2 = 1;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1198046100:
                                                                                    if (loc_key3.equals("MESSAGE_VIDEO_SECRET")) {
                                                                                        c2 = 6;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1124254527:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_CONTACT")) {
                                                                                        c2 = '2';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1085137927:
                                                                                    if (loc_key3.equals("PINNED_GAME")) {
                                                                                        c2 = 'T';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1084856378:
                                                                                    if (loc_key3.equals("PINNED_POLL")) {
                                                                                        c2 = 'Q';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -1084746444:
                                                                                    if (loc_key3.equals("PINNED_TEXT")) {
                                                                                        c2 = 'H';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -819729482:
                                                                                    if (loc_key3.equals("PINNED_STICKER")) {
                                                                                        c2 = 'N';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -772141857:
                                                                                    if (loc_key3.equals("PHONE_CALL_REQUEST")) {
                                                                                        c2 = '_';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -638310039:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGE_STICKER")) {
                                                                                        c2 = 30;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -590403924:
                                                                                    if (loc_key3.equals("PINNED_GAME_SCORE")) {
                                                                                        c2 = 'U';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -589196239:
                                                                                    if (loc_key3.equals("PINNED_DOC")) {
                                                                                        c2 = 'M';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -589193654:
                                                                                    if (loc_key3.equals("PINNED_GEO")) {
                                                                                        c2 = 'R';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -589193539:
                                                                                    if (loc_key3.equals("PINNED_GIF")) {
                                                                                        c2 = 'W';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -440169325:
                                                                                    if (loc_key3.equals("AUTH_UNKNOWN")) {
                                                                                        c2 = 'Z';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -412748110:
                                                                                    if (loc_key3.equals("CHAT_DELETE_YOU")) {
                                                                                        c2 = '@';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -228518075:
                                                                                    if (loc_key3.equals("MESSAGE_GEOLIVE")) {
                                                                                        c2 = 15;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -213586509:
                                                                                    if (loc_key3.equals("ENCRYPTION_REQUEST")) {
                                                                                        c2 = ']';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -115582002:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_INVOICE")) {
                                                                                        c2 = '9';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -112621464:
                                                                                    if (loc_key3.equals("CONTACT_JOINED")) {
                                                                                        c2 = 'Y';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -108522133:
                                                                                    if (loc_key3.equals("AUTH_REGION")) {
                                                                                        c2 = '[';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -107572034:
                                                                                    if (loc_key3.equals("MESSAGE_SCREENSHOT")) {
                                                                                        c2 = 7;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case -40534265:
                                                                                    if (loc_key3.equals("CHAT_DELETE_MEMBER")) {
                                                                                        c2 = '?';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 65254746:
                                                                                    if (loc_key3.equals("CHAT_ADD_YOU")) {
                                                                                        c2 = ';';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 141040782:
                                                                                    if (loc_key3.equals("CHAT_LEFT")) {
                                                                                        c2 = 'A';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 309993049:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_DOC")) {
                                                                                        c2 = '/';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 309995634:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_GEO")) {
                                                                                        c2 = '4';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 309995749:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_GIF")) {
                                                                                        c2 = '6';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 320532812:
                                                                                    if (loc_key3.equals("MESSAGES")) {
                                                                                        c2 = 24;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 328933854:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_STICKER")) {
                                                                                        c2 = '0';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 331340546:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGE_AUDIO")) {
                                                                                        c2 = 31;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 344816990:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGE_PHOTO")) {
                                                                                        c2 = 26;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 346878138:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGE_ROUND")) {
                                                                                        c2 = 28;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 350376871:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGE_VIDEO")) {
                                                                                        c2 = 27;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 615714517:
                                                                                    if (loc_key3.equals("MESSAGE_PHOTO_SECRET")) {
                                                                                        c2 = 4;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 715508879:
                                                                                    if (loc_key3.equals("PINNED_AUDIO")) {
                                                                                        c2 = 'O';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 728985323:
                                                                                    if (loc_key3.equals("PINNED_PHOTO")) {
                                                                                        c2 = 'J';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 731046471:
                                                                                    if (loc_key3.equals("PINNED_ROUND")) {
                                                                                        c2 = 'L';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 734545204:
                                                                                    if (loc_key3.equals("PINNED_VIDEO")) {
                                                                                        c2 = 'K';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 802032552:
                                                                                    if (loc_key3.equals("MESSAGE_CONTACT")) {
                                                                                        c2 = '\f';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 991498806:
                                                                                    if (loc_key3.equals("PINNED_GEOLIVE")) {
                                                                                        c2 = 'S';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1007364121:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGE_GAME_SCORE")) {
                                                                                        c2 = 19;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1019917311:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_FWDS")) {
                                                                                        c2 = 'D';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1019926225:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_GAME")) {
                                                                                        c2 = '7';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1020207774:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_POLL")) {
                                                                                        c2 = '3';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1020317708:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_TEXT")) {
                                                                                        c2 = '*';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1060349560:
                                                                                    if (loc_key3.equals("MESSAGE_FWDS")) {
                                                                                        c2 = 21;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1060358474:
                                                                                    if (loc_key3.equals("MESSAGE_GAME")) {
                                                                                        c2 = 17;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1060640023:
                                                                                    if (loc_key3.equals("MESSAGE_POLL")) {
                                                                                        c2 = '\r';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1060749957:
                                                                                    if (loc_key3.equals("MESSAGE_TEXT")) {
                                                                                        c2 = 0;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1073049781:
                                                                                    if (loc_key3.equals("PINNED_NOTEXT")) {
                                                                                        c2 = 'I';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1078101399:
                                                                                    if (loc_key3.equals("CHAT_TITLE_EDITED")) {
                                                                                        c2 = Typography.less;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1110103437:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_NOTEXT")) {
                                                                                        c2 = '+';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1160762272:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_PHOTOS")) {
                                                                                        c2 = 'E';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1172918249:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGE_GEOLIVE")) {
                                                                                        c2 = '#';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1234591620:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_GAME_SCORE")) {
                                                                                        c2 = '8';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1281128640:
                                                                                    if (loc_key3.equals("MESSAGE_DOC")) {
                                                                                        c2 = '\t';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1281131225:
                                                                                    if (loc_key3.equals("MESSAGE_GEO")) {
                                                                                        c2 = 14;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1281131340:
                                                                                    if (loc_key3.equals("MESSAGE_GIF")) {
                                                                                        c2 = 16;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1310789062:
                                                                                    if (loc_key3.equals("MESSAGE_NOTEXT")) {
                                                                                        c2 = 2;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1333118583:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_VIDEOS")) {
                                                                                        c2 = 'F';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1361447897:
                                                                                    if (loc_key3.equals("MESSAGE_PHOTOS")) {
                                                                                        c2 = 22;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1498266155:
                                                                                    if (loc_key3.equals("PHONE_CALL_MISSED")) {
                                                                                        c2 = 'a';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1533804208:
                                                                                    if (loc_key3.equals("MESSAGE_VIDEOS")) {
                                                                                        c2 = 23;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1547988151:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_AUDIO")) {
                                                                                        c2 = '1';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1561464595:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_PHOTO")) {
                                                                                        c2 = ',';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1563525743:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_ROUND")) {
                                                                                        c2 = '.';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1567024476:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_VIDEO")) {
                                                                                        c2 = '-';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1810705077:
                                                                                    if (loc_key3.equals("MESSAGE_INVOICE")) {
                                                                                        c2 = 20;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1815177512:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGES")) {
                                                                                        c2 = ')';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 1963241394:
                                                                                    if (loc_key3.equals("LOCKED_MESSAGE")) {
                                                                                        c2 = '\\';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 2014789757:
                                                                                    if (loc_key3.equals("CHAT_PHOTO_EDITED")) {
                                                                                        c2 = '=';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 2022049433:
                                                                                    if (loc_key3.equals("PINNED_CONTACT")) {
                                                                                        c2 = 'P';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 2048733346:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGE_NOTEXT")) {
                                                                                        c2 = 25;
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 2099392181:
                                                                                    if (loc_key3.equals("CHANNEL_MESSAGE_PHOTOS")) {
                                                                                        c2 = '\'';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                case 2140162142:
                                                                                    if (loc_key3.equals("CHAT_MESSAGE_GEOLIVE")) {
                                                                                        c2 = '5';
                                                                                        break;
                                                                                    }
                                                                                    c2 = 65535;
                                                                                    break;
                                                                                default:
                                                                                    c2 = 65535;
                                                                                    break;
                                                                            }
                                                                            String name3 = name2;
                                                                            String userName2 = userName;
                                                                            int chat_id3 = chat_id;
                                                                            int channel_id3 = channel_id;
                                                                            long dialog_id4 = dialog_id3;
                                                                            long random_id2 = random_id;
                                                                            int msg_id2 = msg_id;
                                                                            loc_key = loc_key3;
                                                                            try {
                                                                                switch (c2) {
                                                                                    case 0:
                                                                                    case 1:
                                                                                        messageText = LocaleController.formatString("NotificationMessageText", R.string.NotificationMessageText, args[0], args[1]);
                                                                                        message12 = args[1];
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                            try {
                                                                                                TLRPC.TL_message messageOwner = new TLRPC.TL_message();
                                                                                                messageOwner.id = msg_id2;
                                                                                                messageOwner.random_id = random_id2;
                                                                                                messageOwner.message = message12 != null ? message12 : messageText;
                                                                                                messageOwner.date = (int) (time / 1000);
                                                                                                if (pinned) {
                                                                                                    messageOwner.action = new TLRPC.TL_messageActionPinMessage();
                                                                                                }
                                                                                                if (supergroup) {
                                                                                                    messageOwner.flags |= Integer.MIN_VALUE;
                                                                                                }
                                                                                                messageOwner.dialog_id = dialog_id4;
                                                                                                if (channel_id3 != 0) {
                                                                                                    messageOwner.to_id = new TLRPC.TL_peerChannel();
                                                                                                    channel_id2 = channel_id3;
                                                                                                    messageOwner.to_id.channel_id = channel_id2;
                                                                                                    loc_key = loc_key2;
                                                                                                    user_id3 = user_id2;
                                                                                                } else {
                                                                                                    channel_id2 = channel_id3;
                                                                                                    if (chat_id3 != 0) {
                                                                                                        try {
                                                                                                            messageOwner.to_id = new TLRPC.TL_peerChat();
                                                                                                            loc_key = loc_key2;
                                                                                                            messageOwner.to_id.chat_id = chat_id3;
                                                                                                            user_id3 = user_id2;
                                                                                                        } catch (Throwable th3) {
                                                                                                            th = th3;
                                                                                                            str = loc_key2;
                                                                                                            gcmPushListenerService3 = this;
                                                                                                            e = th;
                                                                                                            jsonString = jsonString;
                                                                                                            currentAccount = currentAccount2;
                                                                                                            loc_key3 = str;
                                                                                                            gcmPushListenerService = gcmPushListenerService3;
                                                                                                            if (currentAccount != -1) {
                                                                                                            }
                                                                                                            if (BuildVars.LOGS_ENABLED) {
                                                                                                            }
                                                                                                            FileLog.e(e);
                                                                                                            return;
                                                                                                        }
                                                                                                    } else {
                                                                                                        loc_key = loc_key2;
                                                                                                        messageOwner.to_id = new TLRPC.TL_peerUser();
                                                                                                        user_id3 = user_id2;
                                                                                                        messageOwner.to_id.user_id = user_id3;
                                                                                                    }
                                                                                                }
                                                                                                messageOwner.flags |= 256;
                                                                                                messageOwner.from_id = chat_from_id;
                                                                                                if (!mention && !pinned) {
                                                                                                    z = false;
                                                                                                    messageOwner.mentioned = z;
                                                                                                    messageOwner.silent = silent2;
                                                                                                    messageOwner.from_scheduled = scheduled;
                                                                                                    MessageObject messageObject = new MessageObject(currentAccount2, messageOwner, messageText, name, userName2, localMessage, channel, edited);
                                                                                                    ArrayList<MessageObject> arrayList = new ArrayList<>();
                                                                                                    arrayList.add(messageObject);
                                                                                                    GcmPushListenerService gcmPushListenerService5 = this;
                                                                                                    NotificationsController.getInstance(currentAccount2).processNewMessages(arrayList, true, true, gcmPushListenerService5.countDownLatch);
                                                                                                    gcmPushListenerService4 = gcmPushListenerService5;
                                                                                                }
                                                                                                z = true;
                                                                                                messageOwner.mentioned = z;
                                                                                                messageOwner.silent = silent2;
                                                                                                messageOwner.from_scheduled = scheduled;
                                                                                                MessageObject messageObject2 = new MessageObject(currentAccount2, messageOwner, messageText, name, userName2, localMessage, channel, edited);
                                                                                                ArrayList<MessageObject> arrayList2 = new ArrayList<>();
                                                                                                arrayList2.add(messageObject2);
                                                                                                GcmPushListenerService gcmPushListenerService52 = this;
                                                                                                NotificationsController.getInstance(currentAccount2).processNewMessages(arrayList2, true, true, gcmPushListenerService52.countDownLatch);
                                                                                                gcmPushListenerService4 = gcmPushListenerService52;
                                                                                            } catch (Throwable th4) {
                                                                                                th = th4;
                                                                                                gcmPushListenerService3 = this;
                                                                                                str = loc_key2;
                                                                                            }
                                                                                        } else {
                                                                                            loc_key = loc_key2;
                                                                                            GcmPushListenerService gcmPushListenerService6 = this;
                                                                                            gcmPushListenerService6.countDownLatch.countDown();
                                                                                            gcmPushListenerService4 = gcmPushListenerService6;
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 2:
                                                                                        messageText = LocaleController.formatString("NotificationMessageNoText", R.string.NotificationMessageNoText, args[0]);
                                                                                        message12 = LocaleController.getString("Message", R.string.Message);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 3:
                                                                                        messageText = LocaleController.formatString("NotificationMessagePhoto", R.string.NotificationMessagePhoto, args[0]);
                                                                                        message12 = LocaleController.getString("AttachPhoto", R.string.AttachPhoto);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 4:
                                                                                        messageText = LocaleController.formatString("NotificationMessageSDPhoto", R.string.NotificationMessageSDPhoto, args[0]);
                                                                                        message12 = LocaleController.getString("AttachDestructingPhoto", R.string.AttachDestructingPhoto);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 5:
                                                                                        messageText = LocaleController.formatString("NotificationMessageVideo", R.string.NotificationMessageVideo, args[0]);
                                                                                        message12 = LocaleController.getString("AttachVideo", R.string.AttachVideo);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 6:
                                                                                        messageText = LocaleController.formatString("NotificationMessageSDVideo", R.string.NotificationMessageSDVideo, args[0]);
                                                                                        message12 = LocaleController.getString("AttachDestructingVideo", R.string.AttachDestructingVideo);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 7:
                                                                                        messageText = LocaleController.getString("ActionTakeScreenshoot", R.string.ActionTakeScreenshoot).replace("un1", args[0]);
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '\b':
                                                                                        messageText = LocaleController.formatString("NotificationMessageRound", R.string.NotificationMessageRound, args[0]);
                                                                                        message12 = LocaleController.getString("AttachRound", R.string.AttachRound);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '\t':
                                                                                        String messageText2 = LocaleController.formatString("NotificationMessageDocument", R.string.NotificationMessageDocument, args[0]);
                                                                                        message12 = LocaleController.getString("AttachDocument", R.string.AttachDocument);
                                                                                        messageText = messageText2;
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '\n':
                                                                                        if (args.length <= 1 || TextUtils.isEmpty(args[1])) {
                                                                                            messageText = LocaleController.formatString("NotificationMessageSticker", R.string.NotificationMessageSticker, args[0]);
                                                                                            message12 = LocaleController.getString("AttachSticker", R.string.AttachSticker);
                                                                                            name = name3;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("NotificationMessageStickerEmoji", R.string.NotificationMessageStickerEmoji, args[0], args[1]);
                                                                                            message12 = args[1] + " " + LocaleController.getString("AttachSticker", R.string.AttachSticker);
                                                                                            name = name3;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 11:
                                                                                        messageText = LocaleController.formatString("NotificationMessageAudio", R.string.NotificationMessageAudio, args[0]);
                                                                                        message12 = LocaleController.getString("AttachAudio", R.string.AttachAudio);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '\f':
                                                                                        messageText = LocaleController.formatString("NotificationMessageContact2", R.string.NotificationMessageContact2, args[0], args[1]);
                                                                                        message12 = LocaleController.getString("AttachContact", R.string.AttachContact);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '\r':
                                                                                        messageText = LocaleController.formatString("NotificationMessagePoll2", R.string.NotificationMessagePoll2, args[0], args[1]);
                                                                                        message12 = LocaleController.getString("Poll", R.string.Poll);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 14:
                                                                                        messageText = LocaleController.formatString("NotificationMessageMap", R.string.NotificationMessageMap, args[0]);
                                                                                        message12 = LocaleController.getString("AttachLocation", R.string.AttachLocation);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 15:
                                                                                        messageText = LocaleController.formatString("NotificationMessageLiveLocation", R.string.NotificationMessageLiveLocation, args[0]);
                                                                                        message12 = LocaleController.getString("AttachLiveLocation", R.string.AttachLiveLocation);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 16:
                                                                                        messageText = LocaleController.formatString("NotificationMessageGif", R.string.NotificationMessageGif, args[0]);
                                                                                        message12 = LocaleController.getString("AttachGif", R.string.AttachGif);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 17:
                                                                                        messageText = LocaleController.formatString("NotificationMessageGame", R.string.NotificationMessageGame, args[0], args[1]);
                                                                                        message12 = LocaleController.getString("AttachGame", R.string.AttachGame);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 18:
                                                                                    case 19:
                                                                                        messageText = LocaleController.formatString("NotificationMessageGameScored", R.string.NotificationMessageGameScored, args[0], args[1], args[2]);
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 20:
                                                                                        messageText = LocaleController.formatString("NotificationMessageInvoice", R.string.NotificationMessageInvoice, args[0], args[1]);
                                                                                        message12 = LocaleController.getString("PaymentInvoice", R.string.PaymentInvoice);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 21:
                                                                                        messageText = LocaleController.formatString("NotificationMessageForwardFew", R.string.NotificationMessageForwardFew, args[0], LocaleController.formatPluralString("messages", Utilities.parseInt(args[1]).intValue()));
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = true;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 22:
                                                                                        messageText = LocaleController.formatString("NotificationMessageFew", R.string.NotificationMessageFew, args[0], LocaleController.formatPluralString("Photos", Utilities.parseInt(args[1]).intValue()));
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = true;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 23:
                                                                                        messageText = LocaleController.formatString("NotificationMessageFew", R.string.NotificationMessageFew, args[0], LocaleController.formatPluralString("Videos", Utilities.parseInt(args[1]).intValue()));
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = true;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 24:
                                                                                        messageText = LocaleController.formatString("NotificationMessageAlbum", R.string.NotificationMessageAlbum, args[0]);
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = true;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 25:
                                                                                        messageText = LocaleController.formatString("ChannelMessageNoText", R.string.ChannelMessageNoText, args[0]);
                                                                                        message12 = LocaleController.getString("Message", R.string.Message);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 26:
                                                                                        messageText = LocaleController.formatString("ChannelMessagePhoto", R.string.ChannelMessagePhoto, args[0]);
                                                                                        message12 = LocaleController.getString("AttachPhoto", R.string.AttachPhoto);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 27:
                                                                                        messageText = LocaleController.formatString("ChannelMessageVideo", R.string.ChannelMessageVideo, args[0]);
                                                                                        message12 = LocaleController.getString("AttachVideo", R.string.AttachVideo);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 28:
                                                                                        messageText = LocaleController.formatString("ChannelMessageRound", R.string.ChannelMessageRound, args[0]);
                                                                                        message12 = LocaleController.getString("AttachRound", R.string.AttachRound);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 29:
                                                                                        String messageText3 = LocaleController.formatString("ChannelMessageDocument", R.string.ChannelMessageDocument, args[0]);
                                                                                        message12 = LocaleController.getString("AttachDocument", R.string.AttachDocument);
                                                                                        messageText = messageText3;
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 30:
                                                                                        if (args.length <= 1 || TextUtils.isEmpty(args[1])) {
                                                                                            messageText = LocaleController.formatString("ChannelMessageSticker", R.string.ChannelMessageSticker, args[0]);
                                                                                            message12 = LocaleController.getString("AttachSticker", R.string.AttachSticker);
                                                                                            name = name3;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("ChannelMessageStickerEmoji", R.string.ChannelMessageStickerEmoji, args[0], args[1]);
                                                                                            message12 = args[1] + " " + LocaleController.getString("AttachSticker", R.string.AttachSticker);
                                                                                            name = name3;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 31:
                                                                                        messageText = LocaleController.formatString("ChannelMessageAudio", R.string.ChannelMessageAudio, args[0]);
                                                                                        message12 = LocaleController.getString("AttachAudio", R.string.AttachAudio);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case ' ':
                                                                                        messageText = LocaleController.formatString("ChannelMessageContact2", R.string.ChannelMessageContact2, args[0], args[1]);
                                                                                        message12 = LocaleController.getString("AttachContact", R.string.AttachContact);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '!':
                                                                                        messageText = LocaleController.formatString("ChannelMessagePoll2", R.string.ChannelMessagePoll2, args[0], args[1]);
                                                                                        message12 = LocaleController.getString("Poll", R.string.Poll);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '\"':
                                                                                        messageText = LocaleController.formatString("ChannelMessageMap", R.string.ChannelMessageMap, args[0]);
                                                                                        message12 = LocaleController.getString("AttachLocation", R.string.AttachLocation);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '#':
                                                                                        messageText = LocaleController.formatString("ChannelMessageLiveLocation", R.string.ChannelMessageLiveLocation, args[0]);
                                                                                        message12 = LocaleController.getString("AttachLiveLocation", R.string.AttachLiveLocation);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '$':
                                                                                        messageText = LocaleController.formatString("ChannelMessageGIF", R.string.ChannelMessageGIF, args[0]);
                                                                                        message12 = LocaleController.getString("AttachGif", R.string.AttachGif);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '%':
                                                                                        messageText = LocaleController.formatString("NotificationMessageGame", R.string.NotificationMessageGame, args[0]);
                                                                                        message12 = LocaleController.getString("AttachGame", R.string.AttachGame);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '&':
                                                                                        messageText = LocaleController.formatString("ChannelMessageFew", R.string.ChannelMessageFew, args[0], LocaleController.formatPluralString("ForwardedMessageCount", Utilities.parseInt(args[1]).intValue()).toLowerCase());
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = true;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '\'':
                                                                                        messageText = LocaleController.formatString("ChannelMessageFew", R.string.ChannelMessageFew, args[0], LocaleController.formatPluralString("Photos", Utilities.parseInt(args[1]).intValue()));
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = true;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '(':
                                                                                        messageText = LocaleController.formatString("ChannelMessageFew", R.string.ChannelMessageFew, args[0], LocaleController.formatPluralString("Videos", Utilities.parseInt(args[1]).intValue()));
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = true;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case ')':
                                                                                        messageText = LocaleController.formatString("ChannelMessageAlbum", R.string.ChannelMessageAlbum, args[0]);
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = true;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '*':
                                                                                        messageText = LocaleController.formatString("NotificationMessageGroupText", R.string.NotificationMessageGroupText, args[0], args[1], args[2]);
                                                                                        message12 = args[2];
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '+':
                                                                                        messageText = LocaleController.formatString("NotificationMessageGroupNoText", R.string.NotificationMessageGroupNoText, args[0], args[1]);
                                                                                        message12 = LocaleController.getString("Message", R.string.Message);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case ',':
                                                                                        messageText = LocaleController.formatString("NotificationMessageGroupPhoto", R.string.NotificationMessageGroupPhoto, args[0], args[1]);
                                                                                        message12 = LocaleController.getString("AttachPhoto", R.string.AttachPhoto);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '-':
                                                                                        messageText = LocaleController.formatString("NotificationMessageGroupVideo", R.string.NotificationMessageGroupVideo, args[0], args[1]);
                                                                                        message12 = LocaleController.getString("AttachVideo", R.string.AttachVideo);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '.':
                                                                                        messageText = LocaleController.formatString("NotificationMessageGroupRound", R.string.NotificationMessageGroupRound, args[0], args[1]);
                                                                                        message12 = LocaleController.getString("AttachRound", R.string.AttachRound);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '/':
                                                                                        String messageText4 = LocaleController.formatString("NotificationMessageGroupDocument", R.string.NotificationMessageGroupDocument, args[0], args[1]);
                                                                                        message12 = LocaleController.getString("AttachDocument", R.string.AttachDocument);
                                                                                        messageText = messageText4;
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '0':
                                                                                        if (args.length <= 2 || TextUtils.isEmpty(args[2])) {
                                                                                            messageText = LocaleController.formatString("NotificationMessageGroupSticker", R.string.NotificationMessageGroupSticker, args[0], args[1]);
                                                                                            message12 = args[1] + " " + LocaleController.getString("AttachSticker", R.string.AttachSticker);
                                                                                            name = name3;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("NotificationMessageGroupStickerEmoji", R.string.NotificationMessageGroupStickerEmoji, args[0], args[1], args[2]);
                                                                                            message12 = args[2] + " " + LocaleController.getString("AttachSticker", R.string.AttachSticker);
                                                                                            name = name3;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '1':
                                                                                        messageText = LocaleController.formatString("NotificationMessageGroupAudio", R.string.NotificationMessageGroupAudio, args[0], args[1]);
                                                                                        message12 = LocaleController.getString("AttachAudio", R.string.AttachAudio);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '2':
                                                                                        messageText = LocaleController.formatString("NotificationMessageGroupContact2", R.string.NotificationMessageGroupContact2, args[0], args[1], args[2]);
                                                                                        message12 = LocaleController.getString("AttachContact", R.string.AttachContact);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '3':
                                                                                        messageText = LocaleController.formatString("NotificationMessageGroupPoll2", R.string.NotificationMessageGroupPoll2, args[0], args[1], args[2]);
                                                                                        message12 = LocaleController.getString("Poll", R.string.Poll);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '4':
                                                                                        messageText = LocaleController.formatString("NotificationMessageGroupMap", R.string.NotificationMessageGroupMap, args[0], args[1]);
                                                                                        message12 = LocaleController.getString("AttachLocation", R.string.AttachLocation);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '5':
                                                                                        messageText = LocaleController.formatString("NotificationMessageGroupLiveLocation", R.string.NotificationMessageGroupLiveLocation, args[0], args[1]);
                                                                                        message12 = LocaleController.getString("AttachLiveLocation", R.string.AttachLiveLocation);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '6':
                                                                                        messageText = LocaleController.formatString("NotificationMessageGroupGif", R.string.NotificationMessageGroupGif, args[0], args[1]);
                                                                                        message12 = LocaleController.getString("AttachGif", R.string.AttachGif);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '7':
                                                                                        messageText = LocaleController.formatString("NotificationMessageGroupGame", R.string.NotificationMessageGroupGame, args[0], args[1], args[2]);
                                                                                        message12 = LocaleController.getString("AttachGame", R.string.AttachGame);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '8':
                                                                                        messageText = LocaleController.formatString("NotificationMessageGroupGameScored", R.string.NotificationMessageGroupGameScored, args[0], args[1], args[2], args[3]);
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '9':
                                                                                        messageText = LocaleController.formatString("NotificationMessageGroupInvoice", R.string.NotificationMessageGroupInvoice, args[0], args[1], args[2]);
                                                                                        message12 = LocaleController.getString("PaymentInvoice", R.string.PaymentInvoice);
                                                                                        name = name3;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case ':':
                                                                                    case ';':
                                                                                        messageText = LocaleController.formatString("NotificationInvitedToGroup", R.string.NotificationInvitedToGroup, args[0], args[1]);
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '<':
                                                                                        messageText = LocaleController.formatString("NotificationEditedGroupName", R.string.NotificationEditedGroupName, args[0], args[1]);
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '=':
                                                                                        messageText = LocaleController.formatString("NotificationEditedGroupPhoto", R.string.NotificationEditedGroupPhoto, args[0], args[1]);
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '>':
                                                                                        messageText = LocaleController.formatString("NotificationGroupAddMember", R.string.NotificationGroupAddMember, args[0], args[1], args[2]);
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '?':
                                                                                        messageText = LocaleController.formatString("NotificationGroupKickMember", R.string.NotificationGroupKickMember, args[0], args[1]);
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case '@':
                                                                                        messageText = LocaleController.formatString("NotificationGroupKickYou", R.string.NotificationGroupKickYou, args[0], args[1]);
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'A':
                                                                                        messageText = LocaleController.formatString("NotificationGroupLeftMember", R.string.NotificationGroupLeftMember, args[0], args[1]);
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'B':
                                                                                        messageText = LocaleController.formatString("NotificationGroupAddSelf", R.string.NotificationGroupAddSelf, args[0], args[1]);
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'C':
                                                                                        messageText = LocaleController.formatString("NotificationGroupAddSelfMega", R.string.NotificationGroupAddSelfMega, args[0], args[1]);
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = false;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'D':
                                                                                        messageText = LocaleController.formatString("NotificationGroupForwardedFew", R.string.NotificationGroupForwardedFew, args[0], args[1], LocaleController.formatPluralString("messages", Utilities.parseInt(args[2]).intValue()));
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = true;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'E':
                                                                                        messageText = LocaleController.formatString("NotificationGroupFew", R.string.NotificationGroupFew, args[0], args[1], LocaleController.formatPluralString("Photos", Utilities.parseInt(args[2]).intValue()));
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = true;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'F':
                                                                                        messageText = LocaleController.formatString("NotificationGroupFew", R.string.NotificationGroupFew, args[0], args[1], LocaleController.formatPluralString("Videos", Utilities.parseInt(args[2]).intValue()));
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = true;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'G':
                                                                                        messageText = LocaleController.formatString("NotificationGroupAlbum", R.string.NotificationGroupAlbum, args[0], args[1]);
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = true;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'H':
                                                                                        if (chat_from_id != 0) {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedText", R.string.NotificationActionPinnedText, args[0], args[1], args[2]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedTextChannel", R.string.NotificationActionPinnedTextChannel, args[0], args[1]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'I':
                                                                                        if (chat_from_id != 0) {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedNoText", R.string.NotificationActionPinnedNoText, args[0], args[1]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedNoTextChannel", R.string.NotificationActionPinnedNoTextChannel, args[0]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'J':
                                                                                        if (chat_from_id != 0) {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedPhoto", R.string.NotificationActionPinnedPhoto, args[0], args[1]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedPhotoChannel", R.string.NotificationActionPinnedPhotoChannel, args[0]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'K':
                                                                                        if (chat_from_id != 0) {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedVideo", R.string.NotificationActionPinnedVideo, args[0], args[1]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedVideoChannel", R.string.NotificationActionPinnedVideoChannel, args[0]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'L':
                                                                                        if (chat_from_id != 0) {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedRound", R.string.NotificationActionPinnedRound, args[0], args[1]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedRoundChannel", R.string.NotificationActionPinnedRoundChannel, args[0]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'M':
                                                                                        if (chat_from_id != 0) {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedFile", R.string.NotificationActionPinnedFile, args[0], args[1]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedFileChannel", R.string.NotificationActionPinnedFileChannel, args[0]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'N':
                                                                                        if (chat_from_id != 0) {
                                                                                            if (args.length <= 2 || TextUtils.isEmpty(args[2])) {
                                                                                                messageText = LocaleController.formatString("NotificationActionPinnedSticker", R.string.NotificationActionPinnedSticker, args[0], args[1]);
                                                                                                name = name3;
                                                                                                message12 = message1;
                                                                                                localMessage = false;
                                                                                                loc_key2 = loc_key;
                                                                                            } else {
                                                                                                messageText = LocaleController.formatString("NotificationActionPinnedStickerEmoji", R.string.NotificationActionPinnedStickerEmoji, args[0], args[1], args[2]);
                                                                                                name = name3;
                                                                                                message12 = message1;
                                                                                                localMessage = false;
                                                                                                loc_key2 = loc_key;
                                                                                            }
                                                                                        } else if (args.length <= 1 || TextUtils.isEmpty(args[1])) {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedStickerChannel", R.string.NotificationActionPinnedStickerChannel, args[0]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedStickerEmojiChannel", R.string.NotificationActionPinnedStickerEmojiChannel, args[0], args[1]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'O':
                                                                                        if (chat_from_id != 0) {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedVoice", R.string.NotificationActionPinnedVoice, args[0], args[1]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedVoiceChannel", R.string.NotificationActionPinnedVoiceChannel, args[0]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'P':
                                                                                        if (chat_from_id != 0) {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedContact2", R.string.NotificationActionPinnedContact2, args[0], args[1], args[2]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedContactChannel2", R.string.NotificationActionPinnedContactChannel2, args[0], args[1]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'Q':
                                                                                        if (chat_from_id != 0) {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedPoll2", R.string.NotificationActionPinnedPoll2, args[0], args[1], args[2]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedPollChannel2", R.string.NotificationActionPinnedPollChannel2, args[0], args[1]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'R':
                                                                                        if (chat_from_id != 0) {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedGeo", R.string.NotificationActionPinnedGeo, args[0], args[1]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedGeoChannel", R.string.NotificationActionPinnedGeoChannel, args[0]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'S':
                                                                                        if (chat_from_id != 0) {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedGeoLive", R.string.NotificationActionPinnedGeoLive, args[0], args[1]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedGeoLiveChannel", R.string.NotificationActionPinnedGeoLiveChannel, args[0]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'T':
                                                                                        if (chat_from_id != 0) {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedGame", R.string.NotificationActionPinnedGame, args[0], args[1]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedGameChannel", R.string.NotificationActionPinnedGameChannel, args[0]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'U':
                                                                                        if (chat_from_id != 0) {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedGameScore", R.string.NotificationActionPinnedGameScore, args[0], args[1]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedGameScoreChannel", R.string.NotificationActionPinnedGameScoreChannel, args[0]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'V':
                                                                                        if (chat_from_id != 0) {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedInvoice", R.string.NotificationActionPinnedInvoice, args[0], args[1]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedInvoiceChannel", R.string.NotificationActionPinnedInvoiceChannel, args[0]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'W':
                                                                                        if (chat_from_id != 0) {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedGif", R.string.NotificationActionPinnedGif, args[0], args[1]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        } else {
                                                                                            messageText = LocaleController.formatString("NotificationActionPinnedGifChannel", R.string.NotificationActionPinnedGifChannel, args[0]);
                                                                                            name = name3;
                                                                                            message12 = message1;
                                                                                            localMessage = false;
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'X':
                                                                                        messageText = LocaleController.getString("YouHaveNewMessage", R.string.YouHaveNewMessage);
                                                                                        name = LocaleController.getString("SecretChatName", R.string.SecretChatName);
                                                                                        message12 = message1;
                                                                                        localMessage = true;
                                                                                        loc_key2 = loc_key;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    case 'Y':
                                                                                    case 'Z':
                                                                                    case '[':
                                                                                    case '\\':
                                                                                    case ']':
                                                                                    case '^':
                                                                                    case '_':
                                                                                    case '`':
                                                                                    case 'a':
                                                                                        loc_key2 = loc_key;
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = false;
                                                                                        messageText = null;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                    default:
                                                                                        if (BuildVars.LOGS_ENABLED) {
                                                                                            try {
                                                                                                loc_key2 = loc_key;
                                                                                                try {
                                                                                                    FileLog.w("unhandled loc_key = " + loc_key2);
                                                                                                } catch (Throwable th5) {
                                                                                                    gcmPushListenerService = this;
                                                                                                    loc_key3 = loc_key2;
                                                                                                    jsonString = jsonString;
                                                                                                    currentAccount = currentAccount2;
                                                                                                    e = th5;
                                                                                                    if (currentAccount != -1) {
                                                                                                    }
                                                                                                    if (BuildVars.LOGS_ENABLED) {
                                                                                                    }
                                                                                                    FileLog.e(e);
                                                                                                    return;
                                                                                                }
                                                                                            } catch (Throwable th6) {
                                                                                                gcmPushListenerService = this;
                                                                                                loc_key3 = loc_key;
                                                                                                jsonString = jsonString;
                                                                                                currentAccount = currentAccount2;
                                                                                                e = th6;
                                                                                                if (currentAccount != -1) {
                                                                                                }
                                                                                                if (BuildVars.LOGS_ENABLED) {
                                                                                                }
                                                                                                FileLog.e(e);
                                                                                                return;
                                                                                            }
                                                                                        } else {
                                                                                            loc_key2 = loc_key;
                                                                                        }
                                                                                        name = name3;
                                                                                        message12 = message1;
                                                                                        localMessage = false;
                                                                                        messageText = null;
                                                                                        if (messageText == null) {
                                                                                        }
                                                                                        accountFinal = gcmPushListenerService4;
                                                                                        break;
                                                                                }
                                                                            } catch (Throwable th7) {
                                                                                th = th7;
                                                                                accountFinal = this;
                                                                                e = th;
                                                                                jsonString = jsonString;
                                                                                currentAccount = currentAccount2;
                                                                                loc_key3 = loc_key;
                                                                                gcmPushListenerService = accountFinal;
                                                                                if (currentAccount != -1) {
                                                                                }
                                                                                if (BuildVars.LOGS_ENABLED) {
                                                                                }
                                                                                FileLog.e(e);
                                                                                return;
                                                                            }
                                                                        } else {
                                                                            GcmPushListenerService gcmPushListenerService7 = this;
                                                                            loc_key = loc_key3;
                                                                            gcmPushListenerService7.countDownLatch.countDown();
                                                                            accountFinal = gcmPushListenerService7;
                                                                        }
                                                                    }
                                                                } catch (Throwable th8) {
                                                                    gcmPushListenerService = this;
                                                                    e = th8;
                                                                    jsonString = jsonString;
                                                                    currentAccount = currentAccount2;
                                                                }
                                                            }
                                                        } catch (Throwable th9) {
                                                            gcmPushListenerService2 = this;
                                                            e = th9;
                                                            jsonString = jsonString;
                                                            currentAccount = currentAccount2;
                                                            gcmPushListenerService = gcmPushListenerService2;
                                                            if (currentAccount != -1) {
                                                                ConnectionsManager.onInternalPushReceived(currentAccount);
                                                                ConnectionsManager.getInstance(currentAccount).resumeNetworkMaybe();
                                                                gcmPushListenerService.countDownLatch.countDown();
                                                            } else {
                                                                onDecryptError();
                                                            }
                                                            if (BuildVars.LOGS_ENABLED) {
                                                                FileLog.e("error in loc_key = " + loc_key3 + " json " + jsonString);
                                                            }
                                                            FileLog.e(e);
                                                            return;
                                                        }
                                                    }
                                                    ConnectionsManager.onInternalPushReceived(currentAccount2);
                                                    ConnectionsManager.getInstance(currentAccount2).resumeNetworkMaybe();
                                                    return;
                                                } catch (Throwable th10) {
                                                    th = th10;
                                                }
                                                break;
                                        }
                                    } catch (Throwable th11) {
                                        e = th11;
                                        gcmPushListenerService2 = this;
                                    }
                                } catch (Throwable th12) {
                                    gcmPushListenerService = this;
                                    e = th12;
                                    jsonString = jsonString;
                                    currentAccount = currentAccount2;
                                }
                            } catch (Throwable th13) {
                                gcmPushListenerService = this;
                                e = th13;
                                currentAccount = -1;
                                jsonString = jsonString;
                            }
                        } catch (Throwable th14) {
                            gcmPushListenerService = this;
                            e = th14;
                            currentAccount = -1;
                        }
                    } catch (Throwable th15) {
                        gcmPushListenerService = this;
                        e = th15;
                        currentAccount = -1;
                    }
                } catch (Throwable th16) {
                    gcmPushListenerService = this;
                    e = th16;
                    currentAccount = -1;
                }
            } catch (Throwable th17) {
                e = th17;
                gcmPushListenerService = this;
                currentAccount = -1;
            }
        } catch (Throwable th18) {
            gcmPushListenerService = this;
            e = th18;
            currentAccount = -1;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$onMessageReceived$1(int accountFinal) {
        if (UserConfig.getInstance(accountFinal).getClientUserId() != 0) {
            UserConfig.getInstance(accountFinal).clearConfig();
            MessagesController.getInstance(accountFinal).performLogout(0);
        }
    }

    private void onDecryptError() {
        for (int a2 = 0; a2 < 3; a2++) {
            if (UserConfig.getInstance(a2).isClientActivated()) {
                ConnectionsManager.onInternalPushReceived(a2);
                ConnectionsManager.getInstance(a2).resumeNetworkMaybe();
            }
        }
        this.countDownLatch.countDown();
    }

    @Override // com.google.firebase.messaging.FirebaseMessagingService
    public void onNewToken(final String token) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.GcmPushListenerService$$ExternalSyntheticLambda3
            @Override // java.lang.Runnable
            public final void run() {
                GcmPushListenerService.lambda$onNewToken$4(token);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$onNewToken$4(String token) {
        if (BuildVars.LOGS_ENABLED) {
            FileLog.d("Refreshed token: " + token);
        }
        ApplicationLoader.postInitApplication();
        sendRegistrationToServer(token);
    }

    public static void sendRegistrationToServer(final String token) {
        Utilities.stageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.GcmPushListenerService$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                GcmPushListenerService.lambda$sendRegistrationToServer$6(token);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$sendRegistrationToServer$6(final String token) {
        ConnectionsManager.setRegId(token, SharedConfig.pushStringStatus);
        if (token == null) {
            return;
        }
        SharedConfig.pushString = token;
        for (int a2 = 0; a2 < 3; a2++) {
            UserConfig userConfig = UserConfig.getInstance(a2);
            userConfig.registeredForPush = false;
            userConfig.saveConfig(false);
            if (userConfig.getClientUserId() != 0) {
                final int currentAccount = a2;
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.GcmPushListenerService$$ExternalSyntheticLambda7
                    @Override // java.lang.Runnable
                    public final void run() {
                        MessagesController.getInstance(currentAccount).registerForPush(token);
                    }
                });
            }
        }
    }

    public static void sendUPushRegistrationToServer(final String token) {
        Utilities.stageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.GcmPushListenerService$$ExternalSyntheticLambda4
            @Override // java.lang.Runnable
            public final void run() {
                GcmPushListenerService.lambda$sendUPushRegistrationToServer$8(token);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$sendUPushRegistrationToServer$8(final String token) {
        if (token == null) {
            return;
        }
        for (int a2 = 0; a2 < 3; a2++) {
            UserConfig userConfig = UserConfig.getInstance(a2);
            userConfig.registeredForPush = false;
            if (userConfig.getClientUserId() != 0) {
                final int currentAccount = a2;
                Log.d("youmeng", "sendUPushRegistrationToServer = " + token);
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.GcmPushListenerService$$ExternalSyntheticLambda1
                    @Override // java.lang.Runnable
                    public final void run() {
                        MessagesController.getInstance(currentAccount).registerForUPush(token);
                    }
                });
            }
        }
    }
}
