package im.uecahxyvjd.messenger;

import android.app.Activity;
import android.app.DownloadManager;
import android.content.ContentResolver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.database.ContentObserver;
import android.database.Cursor;
import android.graphics.BitmapFactory;
import android.graphics.SurfaceTexture;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.media.AudioManager;
import android.media.AudioRecord;
import android.media.MediaCodec;
import android.media.MediaCodecInfo;
import android.media.MediaCodecList;
import android.media.MediaCrypto;
import android.media.MediaExtractor;
import android.media.MediaFormat;
import android.net.Uri;
import android.os.Build;
import android.os.Environment;
import android.os.PowerManager;
import android.provider.MediaStore;
import android.telephony.PhoneStateListener;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import android.util.SparseArray;
import android.view.Surface;
import android.view.TextureView;
import android.view.View;
import android.widget.FrameLayout;
import com.baidu.mapapi.UIMsg;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.DefaultRenderersFactory;
import com.google.android.exoplayer2.trackselection.AdaptiveTrackSelection;
import com.google.android.exoplayer2.ui.AspectRatioFrameLayout;
import com.google.android.exoplayer2.upstream.cache.CacheDataSink;
import com.google.firebase.remoteconfig.FirebaseRemoteConfig;
import com.litesuits.orm.db.assit.SQLBuilder;
import im.uecahxyvjd.messenger.MediaController;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.audioinfo.AudioInfo;
import im.uecahxyvjd.messenger.video.InputSurface;
import im.uecahxyvjd.messenger.video.MP4Builder;
import im.uecahxyvjd.messenger.video.Mp4Movie;
import im.uecahxyvjd.messenger.video.OutputSurface;
import im.uecahxyvjd.messenger.voip.VoIPService;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.ChatActivity;
import im.uecahxyvjd.ui.PhotoViewer;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.components.EmbedBottomSheet;
import im.uecahxyvjd.ui.components.PhotoFilterView;
import im.uecahxyvjd.ui.components.PipRoundVideoView;
import im.uecahxyvjd.ui.components.Point;
import im.uecahxyvjd.ui.components.VideoPlayer;
import im.uecahxyvjd.ui.hui.visualcall.PermissionUtils;
import im.uecahxyvjd.ui.utils.translate.common.AudioEditConstant;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.net.URLEncoder;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.channels.FileChannel;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Locale;
import java.util.Timer;
import java.util.TimerTask;
/* loaded from: classes16.dex */
public class MediaController implements AudioManager.OnAudioFocusChangeListener, NotificationCenter.NotificationCenterDelegate, SensorEventListener {
    private static final int AUDIO_FOCUSED = 2;
    private static final int AUDIO_NO_FOCUS_CAN_DUCK = 1;
    private static final int AUDIO_NO_FOCUS_NO_DUCK = 0;
    private static volatile MediaController Instance = null;
    public static final String MIME_TYPE = "video/avc";
    private static final int PROCESSOR_TYPE_INTEL = 2;
    private static final int PROCESSOR_TYPE_MTK = 3;
    private static final int PROCESSOR_TYPE_OTHER = 0;
    private static final int PROCESSOR_TYPE_QCOM = 1;
    private static final int PROCESSOR_TYPE_SEC = 4;
    private static final int PROCESSOR_TYPE_TI = 5;
    private static final float VOLUME_DUCK = 0.2f;
    private static final float VOLUME_NORMAL = 1.0f;
    public static AlbumEntry allMediaAlbumEntry;
    public static ArrayList<AlbumEntry> allMediaAlbums;
    public static ArrayList<AlbumEntry> allPhotoAlbums;
    public static AlbumEntry allPhotosAlbumEntry;
    public static AlbumEntry allVideosAlbumEntry;
    private static Runnable broadcastPhotosRunnable;
    private static final String[] projectionPhotos;
    private static final String[] projectionVideo;
    private static Runnable refreshGalleryRunnable;
    private Sensor accelerometerSensor;
    private boolean accelerometerVertical;
    private boolean allowStartRecord;
    private AudioInfo audioInfo;
    private AudioRecord audioRecorder;
    private Activity baseActivity;
    private boolean callInProgress;
    private int countLess;
    private AspectRatioFrameLayout currentAspectRatioFrameLayout;
    private float currentAspectRatioFrameLayoutRatio;
    private boolean currentAspectRatioFrameLayoutReady;
    private int currentAspectRatioFrameLayoutRotation;
    private int currentPlaylistNum;
    private TextureView currentTextureView;
    private FrameLayout currentTextureViewContainer;
    private boolean downloadingCurrentMessage;
    private ExternalObserver externalObserver;
    private View feedbackView;
    private ByteBuffer fileBuffer;
    private DispatchQueue fileEncodingQueue;
    private BaseFragment flagSecureFragment;
    private boolean forceLoopCurrentPlaylist;
    private MessageObject goingToShowMessageObject;
    private Sensor gravitySensor;
    private int hasAudioFocus;
    private boolean ignoreOnPause;
    private boolean ignoreProximity;
    private boolean inputFieldHasText;
    private InternalObserver internalObserver;
    private boolean isDrawingWasReady;
    private int lastChatAccount;
    private long lastChatEnterTime;
    private long lastChatLeaveTime;
    private ArrayList<Long> lastChatVisibleMessages;
    private long lastMediaCheckTime;
    private int lastMessageId;
    private TLRPC.EncryptedChat lastSecretChat;
    private TLRPC.User lastUser;
    private Sensor linearSensor;
    private String[] mediaProjections;
    private PipRoundVideoView pipRoundVideoView;
    private int pipSwitchingState;
    private boolean playMusicAgain;
    private boolean playerWasReady;
    private MessageObject playingMessageObject;
    private float previousAccValue;
    private boolean proximityHasDifferentValues;
    private Sensor proximitySensor;
    private boolean proximityTouched;
    private PowerManager.WakeLock proximityWakeLock;
    private ChatActivity raiseChat;
    private boolean raiseToEarRecord;
    private int raisedToBack;
    private int raisedToTop;
    private int raisedToTopSign;
    private long recordDialogId;
    private DispatchQueue recordQueue;
    private MessageObject recordReplyingMessageObject;
    private Runnable recordStartRunnable;
    private long recordStartTime;
    private long recordTimeCount;
    private TLRPC.TL_document recordingAudio;
    private File recordingAudioFile;
    private int recordingCurrentAccount;
    private boolean resumeAudioOnFocusGain;
    private long samplesCount;
    private float seekToProgressPending;
    private int sendAfterDone;
    private boolean sendAfterDoneNotify;
    private int sendAfterDoneScheduleDate;
    private SensorManager sensorManager;
    private boolean sensorsStarted;
    private int startObserverToken;
    private StopMediaObserverRunnable stopMediaObserverRunnable;
    private long timeSinceRaise;
    private boolean useFrontSpeaker;
    private VideoPlayer videoPlayer;
    private ArrayList<MessageObject> voiceMessagesPlaylist;
    private SparseArray<MessageObject> voiceMessagesPlaylistMap;
    private boolean voiceMessagesPlaylistUnread;
    private final Object videoConvertSync = new Object();
    private long lastTimestamp = 0;
    private float lastProximityValue = -100.0f;
    private float[] gravity = new float[3];
    private float[] gravityFast = new float[3];
    private float[] linearAcceleration = new float[3];
    private int audioFocus = 0;
    private ArrayList<MessageObject> videoConvertQueue = new ArrayList<>();
    private final Object videoQueueSync = new Object();
    private boolean cancelCurrentVideoConversion = false;
    private boolean videoConvertFirstWrite = true;
    private HashMap<String, MessageObject> generatingWaveform = new HashMap<>();
    private boolean isPaused = false;
    private VideoPlayer audioPlayer = null;
    private float currentPlaybackSpeed = 1.0f;
    private long lastProgress = 0;
    private Timer progressTimer = null;
    private final Object progressTimerSync = new Object();
    private ArrayList<MessageObject> playlist = new ArrayList<>();
    private ArrayList<MessageObject> shuffledPlaylist = new ArrayList<>();
    private Runnable setLoadingRunnable = new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController.1
        @Override // java.lang.Runnable
        public void run() {
            if (MediaController.this.playingMessageObject != null) {
                FileLoader.getInstance(MediaController.this.playingMessageObject.currentAccount).setLoadingVideo(MediaController.this.playingMessageObject.getDocument(), true, false);
            }
        }
    };
    private int recordingGuid = -1;
    private short[] recordSamples = new short[1024];
    private final Object sync = new Object();
    private ArrayList<ByteBuffer> recordBuffers = new ArrayList<>();
    private int recordBufferSize = 1280;
    private Runnable recordRunnable = new AnonymousClass2();

    /* loaded from: classes16.dex */
    public static class AudioEntry {
        public String author;
        public int duration;
        public String genre;
        public long id;
        public MessageObject messageObject;
        public String path;
        public String title;
    }

    /* loaded from: classes16.dex */
    public static class SavedFilterState {
        public float blurAngle;
        public float blurExcludeBlurSize;
        public Point blurExcludePoint;
        public float blurExcludeSize;
        public int blurType;
        public float contrastValue;
        public PhotoFilterView.CurvesToolValue curvesToolValue = new PhotoFilterView.CurvesToolValue();
        public float enhanceValue;
        public float exposureValue;
        public float fadeValue;
        public float grainValue;
        public float highlightsValue;
        public float saturationValue;
        public float shadowsValue;
        public float sharpenValue;
        public int tintHighlightsColor;
        public int tintShadowsColor;
        public float vignetteValue;
        public float warmthValue;
    }

    public static native int isOpusFile(String str);

    private native int startRecord(String str);

    private native void stopRecord();

    /* JADX INFO: Access modifiers changed from: private */
    public native int writeFrame(ByteBuffer byteBuffer, int i);

    public native byte[] getWaveform(String str);

    public native byte[] getWaveform2(short[] sArr, int i);

    static /* synthetic */ long access$1814(MediaController x0, long x1) {
        long j = x0.recordTimeCount + x1;
        x0.recordTimeCount = j;
        return j;
    }

    /* loaded from: classes16.dex */
    private class AudioBuffer {
        ByteBuffer buffer;
        byte[] bufferBytes;
        int finished;
        long pcmOffset;
        int size;

        public AudioBuffer(int capacity) {
            this.buffer = ByteBuffer.allocateDirect(capacity);
            this.bufferBytes = new byte[capacity];
        }
    }

    static {
        String[] strArr = new String[6];
        strArr[0] = "_id";
        strArr[1] = "bucket_id";
        strArr[2] = "bucket_display_name";
        strArr[3] = "_data";
        strArr[4] = Build.VERSION.SDK_INT > 28 ? "date_modified" : "datetaken";
        strArr[5] = "orientation";
        projectionPhotos = strArr;
        String[] strArr2 = new String[6];
        strArr2[0] = "_id";
        strArr2[1] = "bucket_id";
        strArr2[2] = "bucket_display_name";
        strArr2[3] = "_data";
        strArr2[4] = Build.VERSION.SDK_INT <= 28 ? "datetaken" : "date_modified";
        strArr2[5] = "duration";
        projectionVideo = strArr2;
        allMediaAlbums = new ArrayList<>();
        allPhotoAlbums = new ArrayList<>();
    }

    /* loaded from: classes16.dex */
    public static class AlbumEntry {
        public int bucketId;
        public String bucketName;
        public PhotoEntry coverPhoto;
        public ArrayList<PhotoEntry> photos = new ArrayList<>();
        public SparseArray<PhotoEntry> photosByIds = new SparseArray<>();
        public boolean videoOnly;

        public AlbumEntry(int bucketId, String bucketName, PhotoEntry coverPhoto) {
            this.bucketId = bucketId;
            this.bucketName = bucketName;
            this.coverPhoto = coverPhoto;
        }

        public void addPhoto(PhotoEntry photoEntry) {
            this.photos.add(photoEntry);
            this.photosByIds.put(photoEntry.imageId, photoEntry);
        }
    }

    /* loaded from: classes16.dex */
    public static class PhotoEntry {
        public int bucketId;
        public boolean canDeleteAfter;
        public CharSequence caption;
        public long dateTaken;
        public int duration;
        public VideoEditedInfo editedInfo;
        public ArrayList<TLRPC.MessageEntity> entities;
        public int imageId;
        public String imagePath;
        public boolean isCropped;
        public boolean isFiltered;
        public boolean isMuted;
        public boolean isPainted;
        public boolean isVideo;
        public int orientation;
        public String path;
        public SavedFilterState savedFilterState;
        public ArrayList<TLRPC.InputDocument> stickers = new ArrayList<>();
        public String thumbPath;
        public int ttl;

        public PhotoEntry(int bucketId, int imageId, long dateTaken, String path, int orientation, boolean isVideo) {
            this.bucketId = bucketId;
            this.imageId = imageId;
            this.dateTaken = dateTaken;
            this.path = path;
            if (isVideo) {
                this.duration = orientation;
            } else {
                this.orientation = orientation;
            }
            this.isVideo = isVideo;
        }

        public void reset() {
            this.isFiltered = false;
            this.isPainted = false;
            this.isCropped = false;
            this.ttl = 0;
            this.imagePath = null;
            if (!this.isVideo) {
                this.thumbPath = null;
            }
            this.editedInfo = null;
            this.caption = null;
            this.entities = null;
            this.savedFilterState = null;
            this.stickers.clear();
        }

        public String toString() {
            return "PhotoEntry{bucketId=" + this.bucketId + ", imageId=" + this.imageId + ", dateTaken=" + this.dateTaken + ", duration=" + this.duration + ", path='" + this.path + "', orientation=" + this.orientation + ", thumbPath='" + this.thumbPath + "', imagePath='" + this.imagePath + "', editedInfo=" + this.editedInfo + ", isVideo=" + this.isVideo + ", caption=" + ((Object) this.caption) + ", entities=" + this.entities + ", isFiltered=" + this.isFiltered + ", isPainted=" + this.isPainted + ", isCropped=" + this.isCropped + ", isMuted=" + this.isMuted + ", ttl=" + this.ttl + ", canDeleteAfter=" + this.canDeleteAfter + ", savedFilterState=" + this.savedFilterState + ", stickers=" + this.stickers + '}';
        }
    }

    /* loaded from: classes16.dex */
    public static class SearchImage {
        public CharSequence caption;
        public int date;
        public TLRPC.Document document;
        public ArrayList<TLRPC.MessageEntity> entities;
        public int height;
        public String id;
        public String imagePath;
        public String imageUrl;
        public TLRPC.BotInlineResult inlineResult;
        public boolean isCropped;
        public boolean isFiltered;
        public boolean isPainted;
        public HashMap<String, String> params;
        public TLRPC.Photo photo;
        public TLRPC.PhotoSize photoSize;
        public SavedFilterState savedFilterState;
        public int size;
        public ArrayList<TLRPC.InputDocument> stickers = new ArrayList<>();
        public String thumbPath;
        public TLRPC.PhotoSize thumbPhotoSize;
        public String thumbUrl;
        public int ttl;
        public int type;
        public int width;

        public void reset() {
            this.isFiltered = false;
            this.isPainted = false;
            this.isCropped = false;
            this.ttl = 0;
            this.imagePath = null;
            this.thumbPath = null;
            this.caption = null;
            this.entities = null;
            this.savedFilterState = null;
            this.stickers.clear();
        }

        public String getAttachName() {
            TLRPC.PhotoSize photoSize = this.photoSize;
            if (photoSize != null) {
                return FileLoader.getAttachFileName(photoSize);
            }
            TLRPC.Document document = this.document;
            if (document != null) {
                return FileLoader.getAttachFileName(document);
            }
            return Utilities.MD5(this.imageUrl) + "." + ImageLoader.getHttpUrlExtension(this.imageUrl, "jpg");
        }

        public String getPathToAttach() {
            TLRPC.PhotoSize photoSize = this.photoSize;
            if (photoSize != null) {
                return FileLoader.getPathToAttach(photoSize, true).getAbsolutePath();
            }
            TLRPC.Document document = this.document;
            if (document != null) {
                return FileLoader.getPathToAttach(document, true).getAbsolutePath();
            }
            return this.imageUrl;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: im.uecahxyvjd.messenger.MediaController$2  reason: invalid class name */
    /* loaded from: classes16.dex */
    public class AnonymousClass2 implements Runnable {
        AnonymousClass2() {
        }

        /* JADX WARN: Removed duplicated region for block: B:43:0x010a  */
        /* JADX WARN: Removed duplicated region for block: B:45:0x010d  */
        @Override // java.lang.Runnable
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public void run() {
            ByteBuffer buffer;
            ByteBuffer buffer2;
            if (MediaController.this.audioRecorder != null) {
                if (!MediaController.this.recordBuffers.isEmpty()) {
                    MediaController.this.recordBuffers.remove(0);
                    buffer = (ByteBuffer) MediaController.this.recordBuffers.get(0);
                } else {
                    ByteBuffer buffer3 = ByteBuffer.allocateDirect(MediaController.this.recordBufferSize);
                    buffer3.order(ByteOrder.nativeOrder());
                    buffer = buffer3;
                }
                buffer.rewind();
                int len = MediaController.this.audioRecorder.read(buffer, buffer.capacity());
                if (len > 0) {
                    buffer.limit(len);
                    double sum = FirebaseRemoteConfig.DEFAULT_VALUE_FOR_DOUBLE;
                    try {
                        long newSamplesCount = MediaController.this.samplesCount + (len / 2);
                        int currentPart = (int) ((MediaController.this.samplesCount / newSamplesCount) * MediaController.this.recordSamples.length);
                        int newPart = MediaController.this.recordSamples.length - currentPart;
                        if (currentPart != 0) {
                            try {
                                float sampleStep = MediaController.this.recordSamples.length / currentPart;
                                float currentNum = 0.0f;
                                for (int a2 = 0; a2 < currentPart; a2++) {
                                    MediaController.this.recordSamples[a2] = MediaController.this.recordSamples[(int) currentNum];
                                    currentNum += sampleStep;
                                }
                            } catch (Exception e) {
                                e = e;
                                buffer2 = buffer;
                                FileLog.e(e);
                                final ByteBuffer buffer4 = buffer2;
                                buffer4.position(0);
                                final double amplitude = Math.sqrt((sum / len) / 2.0d);
                                if (len != buffer4.capacity()) {
                                }
                                if (len != 0) {
                                }
                                MediaController.this.recordQueue.postRunnable(MediaController.this.recordRunnable);
                                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$2$$ExternalSyntheticLambda1
                                    @Override // java.lang.Runnable
                                    public final void run() {
                                        MediaController.AnonymousClass2.this.m334lambda$run$2$imuecahxyvjdmessengerMediaController$2(amplitude);
                                    }
                                });
                                return;
                            }
                        }
                        int currentNum2 = currentPart;
                        float nextNum = 0.0f;
                        float sampleStep2 = (len / 2.0f) / newPart;
                        int i = 0;
                        while (i < len / 2) {
                            short peak = buffer.getShort();
                            if (peak <= 2500) {
                                buffer2 = buffer;
                            } else {
                                buffer2 = buffer;
                                sum += peak * peak;
                            }
                            if (i == ((int) nextNum)) {
                                try {
                                    if (currentNum2 < MediaController.this.recordSamples.length) {
                                        MediaController.this.recordSamples[currentNum2] = peak;
                                        nextNum += sampleStep2;
                                        currentNum2++;
                                    }
                                } catch (Exception e2) {
                                    e = e2;
                                    FileLog.e(e);
                                    final ByteBuffer buffer42 = buffer2;
                                    buffer42.position(0);
                                    final double amplitude2 = Math.sqrt((sum / len) / 2.0d);
                                    if (len != buffer42.capacity()) {
                                    }
                                    if (len != 0) {
                                    }
                                    MediaController.this.recordQueue.postRunnable(MediaController.this.recordRunnable);
                                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$2$$ExternalSyntheticLambda1
                                        @Override // java.lang.Runnable
                                        public final void run() {
                                            MediaController.AnonymousClass2.this.m334lambda$run$2$imuecahxyvjdmessengerMediaController$2(amplitude2);
                                        }
                                    });
                                    return;
                                }
                            }
                            i++;
                            buffer = buffer2;
                        }
                        buffer2 = buffer;
                        MediaController.this.samplesCount = newSamplesCount;
                    } catch (Exception e3) {
                        e = e3;
                        buffer2 = buffer;
                    }
                    final ByteBuffer buffer422 = buffer2;
                    buffer422.position(0);
                    final double amplitude22 = Math.sqrt((sum / len) / 2.0d);
                    final boolean flush = len != buffer422.capacity();
                    if (len != 0) {
                        MediaController.this.fileEncodingQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$2$$ExternalSyntheticLambda0
                            @Override // java.lang.Runnable
                            public final void run() {
                                MediaController.AnonymousClass2.this.m333lambda$run$1$imuecahxyvjdmessengerMediaController$2(buffer422, flush);
                            }
                        });
                    }
                    MediaController.this.recordQueue.postRunnable(MediaController.this.recordRunnable);
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$2$$ExternalSyntheticLambda1
                        @Override // java.lang.Runnable
                        public final void run() {
                            MediaController.AnonymousClass2.this.m334lambda$run$2$imuecahxyvjdmessengerMediaController$2(amplitude22);
                        }
                    });
                    return;
                }
                MediaController.this.recordBuffers.add(buffer);
                if (MediaController.this.sendAfterDone != 3) {
                    MediaController mediaController = MediaController.this;
                    mediaController.stopRecordingInternal(mediaController.sendAfterDone, MediaController.this.sendAfterDoneNotify, MediaController.this.sendAfterDoneScheduleDate);
                }
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$run$1$im-uecahxyvjd-messenger-MediaController$2  reason: not valid java name */
        public /* synthetic */ void m333lambda$run$1$imuecahxyvjdmessengerMediaController$2(final ByteBuffer finalBuffer, boolean flush) {
            while (finalBuffer.hasRemaining()) {
                int oldLimit = -1;
                if (finalBuffer.remaining() > MediaController.this.fileBuffer.remaining()) {
                    oldLimit = finalBuffer.limit();
                    finalBuffer.limit(MediaController.this.fileBuffer.remaining() + finalBuffer.position());
                }
                MediaController.this.fileBuffer.put(finalBuffer);
                if (MediaController.this.fileBuffer.position() == MediaController.this.fileBuffer.limit() || flush) {
                    MediaController mediaController = MediaController.this;
                    if (mediaController.writeFrame(mediaController.fileBuffer, !flush ? MediaController.this.fileBuffer.limit() : finalBuffer.position()) != 0) {
                        MediaController.this.fileBuffer.rewind();
                        MediaController mediaController2 = MediaController.this;
                        MediaController.access$1814(mediaController2, (mediaController2.fileBuffer.limit() / 2) / 16);
                    }
                }
                if (oldLimit != -1) {
                    finalBuffer.limit(oldLimit);
                }
            }
            MediaController.this.recordQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$2$$ExternalSyntheticLambda2
                @Override // java.lang.Runnable
                public final void run() {
                    MediaController.AnonymousClass2.this.m332lambda$run$0$imuecahxyvjdmessengerMediaController$2(finalBuffer);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$run$0$im-uecahxyvjd-messenger-MediaController$2  reason: not valid java name */
        public /* synthetic */ void m332lambda$run$0$imuecahxyvjdmessengerMediaController$2(ByteBuffer finalBuffer) {
            MediaController.this.recordBuffers.add(finalBuffer);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$run$2$im-uecahxyvjd-messenger-MediaController$2  reason: not valid java name */
        public /* synthetic */ void m334lambda$run$2$imuecahxyvjdmessengerMediaController$2(double amplitude) {
            NotificationCenter.getInstance(MediaController.this.recordingCurrentAccount).postNotificationName(NotificationCenter.recordProgressChanged, Integer.valueOf(MediaController.this.recordingGuid), Long.valueOf(System.currentTimeMillis() - MediaController.this.recordStartTime), Double.valueOf(amplitude));
        }
    }

    /* loaded from: classes16.dex */
    private class InternalObserver extends ContentObserver {
        public InternalObserver() {
            super(null);
        }

        @Override // android.database.ContentObserver
        public void onChange(boolean selfChange) {
            super.onChange(selfChange);
            MediaController.this.processMediaObserver(MediaStore.Images.Media.INTERNAL_CONTENT_URI);
        }
    }

    /* loaded from: classes16.dex */
    private class ExternalObserver extends ContentObserver {
        public ExternalObserver() {
            super(null);
        }

        @Override // android.database.ContentObserver
        public void onChange(boolean selfChange) {
            super.onChange(selfChange);
            MediaController.this.processMediaObserver(MediaStore.Images.Media.EXTERNAL_CONTENT_URI);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes16.dex */
    public class GalleryObserverInternal extends ContentObserver {
        public GalleryObserverInternal() {
            super(null);
        }

        private void scheduleReloadRunnable() {
            AndroidUtilities.runOnUIThread(MediaController.refreshGalleryRunnable = new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$GalleryObserverInternal$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    MediaController.GalleryObserverInternal.this.m339x2385602a();
                }
            }, AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$scheduleReloadRunnable$0$im-uecahxyvjd-messenger-MediaController$GalleryObserverInternal  reason: not valid java name */
        public /* synthetic */ void m339x2385602a() {
            if (!PhotoViewer.getInstance().isVisible()) {
                Runnable unused = MediaController.refreshGalleryRunnable = null;
                MediaController.loadGalleryPhotosAlbums(0);
                return;
            }
            scheduleReloadRunnable();
        }

        @Override // android.database.ContentObserver
        public void onChange(boolean selfChange) {
            super.onChange(selfChange);
            if (MediaController.refreshGalleryRunnable != null) {
                AndroidUtilities.cancelRunOnUIThread(MediaController.refreshGalleryRunnable);
            }
            scheduleReloadRunnable();
        }
    }

    /* loaded from: classes16.dex */
    private class GalleryObserverExternal extends ContentObserver {
        public GalleryObserverExternal() {
            super(null);
        }

        @Override // android.database.ContentObserver
        public void onChange(boolean selfChange) {
            super.onChange(selfChange);
            if (MediaController.refreshGalleryRunnable != null) {
                AndroidUtilities.cancelRunOnUIThread(MediaController.refreshGalleryRunnable);
            }
            AndroidUtilities.runOnUIThread(MediaController.refreshGalleryRunnable = new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$GalleryObserverExternal$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    MediaController.GalleryObserverExternal.lambda$onChange$0();
                }
            }, AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        public static /* synthetic */ void lambda$onChange$0() {
            Runnable unused = MediaController.refreshGalleryRunnable = null;
            MediaController.loadGalleryPhotosAlbums(0);
        }
    }

    public static void checkGallery() {
        AlbumEntry albumEntry;
        if (Build.VERSION.SDK_INT < 24 || (albumEntry = allPhotosAlbumEntry) == null) {
            return;
        }
        final int prevSize = albumEntry.photos.size();
        Utilities.globalQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda15
            @Override // java.lang.Runnable
            public final void run() {
                MediaController.lambda$checkGallery$0(prevSize);
            }
        }, AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:11:0x0031, code lost:
        if (r3 != null) goto L13;
     */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x0033, code lost:
        r3.close();
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x003b, code lost:
        if (r3 == null) goto L14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0044, code lost:
        if (im.uecahxyvjd.messenger.ApplicationLoader.applicationContext.checkSelfPermission(im.uecahxyvjd.ui.hui.visualcall.PermissionUtils.PERMISSION_READ_EXTERNAL_STORAGE) != 0) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0046, code lost:
        r3 = android.provider.MediaStore.Images.Media.query(im.uecahxyvjd.messenger.ApplicationLoader.applicationContext.getContentResolver(), android.provider.MediaStore.Video.Media.EXTERNAL_CONTENT_URI, new java.lang.String[]{"COUNT(_id)"}, null, null, null);
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x005a, code lost:
        if (r3 == null) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x0060, code lost:
        if (r3.moveToNext() == false) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x0066, code lost:
        r2 = r2 + r3.getInt(0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x006d, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x006e, code lost:
        im.uecahxyvjd.messenger.FileLog.e(r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x0071, code lost:
        if (r3 == null) goto L26;
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x0074, code lost:
        if (r13 == r2) goto L33;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x0076, code lost:
        r0 = im.uecahxyvjd.messenger.MediaController.refreshGalleryRunnable;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x0078, code lost:
        if (r0 == null) goto L30;
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:0x007a, code lost:
        im.uecahxyvjd.messenger.AndroidUtilities.cancelRunOnUIThread(r0);
        im.uecahxyvjd.messenger.MediaController.refreshGalleryRunnable = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x0080, code lost:
        loadGalleryPhotosAlbums(0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:36:0x0083, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x0084, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x0085, code lost:
        if (r3 != null) goto L41;
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x0087, code lost:
        r3.close();
     */
    /* JADX WARN: Code restructure failed: missing block: B:40:0x008a, code lost:
        throw r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:?, code lost:
        return;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static /* synthetic */ void lambda$checkGallery$0(int prevSize) {
        int count = 0;
        Cursor cursor = null;
        try {
            if (ApplicationLoader.applicationContext.checkSelfPermission(PermissionUtils.PERMISSION_READ_EXTERNAL_STORAGE) == 0 && (cursor = MediaStore.Images.Media.query(ApplicationLoader.applicationContext.getContentResolver(), MediaStore.Images.Media.EXTERNAL_CONTENT_URI, new String[]{"COUNT(_id)"}, null, null, null)) != null && cursor.moveToNext()) {
                count = 0 + cursor.getInt(0);
            }
        } catch (Throwable e) {
            try {
                FileLog.e(e);
            } finally {
                if (cursor != null) {
                    cursor.close();
                }
            }
        }
    }

    /* loaded from: classes16.dex */
    private final class StopMediaObserverRunnable implements Runnable {
        public int currentObserverToken;

        private StopMediaObserverRunnable() {
            this.currentObserverToken = 0;
        }

        @Override // java.lang.Runnable
        public void run() {
            if (this.currentObserverToken == MediaController.this.startObserverToken) {
                try {
                    if (MediaController.this.internalObserver != null) {
                        ApplicationLoader.applicationContext.getContentResolver().unregisterContentObserver(MediaController.this.internalObserver);
                        MediaController.this.internalObserver = null;
                    }
                } catch (Exception e) {
                    FileLog.e(e);
                }
                try {
                    if (MediaController.this.externalObserver != null) {
                        ApplicationLoader.applicationContext.getContentResolver().unregisterContentObserver(MediaController.this.externalObserver);
                        MediaController.this.externalObserver = null;
                    }
                } catch (Exception e2) {
                    FileLog.e(e2);
                }
            }
        }
    }

    public static MediaController getInstance() {
        MediaController localInstance = Instance;
        if (localInstance == null) {
            synchronized (MediaController.class) {
                localInstance = Instance;
                if (localInstance == null) {
                    MediaController mediaController = new MediaController();
                    localInstance = mediaController;
                    Instance = mediaController;
                }
            }
        }
        return localInstance;
    }

    public MediaController() {
        DispatchQueue dispatchQueue = new DispatchQueue("recordQueue");
        this.recordQueue = dispatchQueue;
        dispatchQueue.setPriority(10);
        DispatchQueue dispatchQueue2 = new DispatchQueue("fileEncodingQueue");
        this.fileEncodingQueue = dispatchQueue2;
        dispatchQueue2.setPriority(10);
        this.recordQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda28
            @Override // java.lang.Runnable
            public final void run() {
                MediaController.this.m314lambda$new$1$imuecahxyvjdmessengerMediaController();
            }
        });
        Utilities.globalQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda29
            @Override // java.lang.Runnable
            public final void run() {
                MediaController.this.m315lambda$new$2$imuecahxyvjdmessengerMediaController();
            }
        });
        this.fileBuffer = ByteBuffer.allocateDirect(1920);
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda30
            @Override // java.lang.Runnable
            public final void run() {
                MediaController.this.m316lambda$new$3$imuecahxyvjdmessengerMediaController();
            }
        });
        String[] strArr = new String[7];
        strArr[0] = "_data";
        strArr[1] = "_display_name";
        strArr[2] = "bucket_display_name";
        strArr[3] = Build.VERSION.SDK_INT > 28 ? "date_modified" : "datetaken";
        strArr[4] = "title";
        strArr[5] = "width";
        strArr[6] = "height";
        this.mediaProjections = strArr;
        ContentResolver contentResolver = ApplicationLoader.applicationContext.getContentResolver();
        try {
            contentResolver.registerContentObserver(MediaStore.Images.Media.EXTERNAL_CONTENT_URI, true, new GalleryObserverExternal());
        } catch (Exception e) {
            FileLog.e(e);
        }
        try {
            contentResolver.registerContentObserver(MediaStore.Images.Media.INTERNAL_CONTENT_URI, true, new GalleryObserverInternal());
        } catch (Exception e2) {
            FileLog.e(e2);
        }
        try {
            contentResolver.registerContentObserver(MediaStore.Video.Media.EXTERNAL_CONTENT_URI, true, new GalleryObserverExternal());
        } catch (Exception e3) {
            FileLog.e(e3);
        }
        try {
            contentResolver.registerContentObserver(MediaStore.Video.Media.INTERNAL_CONTENT_URI, true, new GalleryObserverInternal());
        } catch (Exception e4) {
            FileLog.e(e4);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$new$1$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m314lambda$new$1$imuecahxyvjdmessengerMediaController() {
        try {
            int minBufferSize = AudioRecord.getMinBufferSize(AudioEditConstant.ExportSampleRate, 16, 2);
            this.recordBufferSize = minBufferSize;
            if (minBufferSize <= 0) {
                this.recordBufferSize = 1280;
            }
            for (int a2 = 0; a2 < 5; a2++) {
                ByteBuffer buffer = ByteBuffer.allocateDirect(4096);
                buffer.order(ByteOrder.nativeOrder());
                this.recordBuffers.add(buffer);
            }
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$new$2$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m315lambda$new$2$imuecahxyvjdmessengerMediaController() {
        try {
            this.currentPlaybackSpeed = MessagesController.getGlobalMainSettings().getFloat("playbackSpeed", 1.0f);
            SensorManager sensorManager = (SensorManager) ApplicationLoader.applicationContext.getSystemService("sensor");
            this.sensorManager = sensorManager;
            this.linearSensor = sensorManager.getDefaultSensor(10);
            Sensor defaultSensor = this.sensorManager.getDefaultSensor(9);
            this.gravitySensor = defaultSensor;
            if (this.linearSensor == null || defaultSensor == null) {
                if (BuildVars.LOGS_ENABLED) {
                    FileLog.d("gravity or linear sensor not found");
                }
                this.accelerometerSensor = this.sensorManager.getDefaultSensor(1);
                this.linearSensor = null;
                this.gravitySensor = null;
            }
            this.proximitySensor = this.sensorManager.getDefaultSensor(8);
            PowerManager powerManager = (PowerManager) ApplicationLoader.applicationContext.getSystemService("power");
            this.proximityWakeLock = powerManager.newWakeLock(32, "proximity");
        } catch (Exception e) {
            FileLog.e(e);
        }
        try {
            PhoneStateListener phoneStateListener = new AnonymousClass3();
            TelephonyManager mgr = (TelephonyManager) ApplicationLoader.applicationContext.getSystemService("phone");
            if (mgr != null) {
                mgr.listen(phoneStateListener, 32);
            }
        } catch (Exception e2) {
            FileLog.e(e2);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: im.uecahxyvjd.messenger.MediaController$3  reason: invalid class name */
    /* loaded from: classes16.dex */
    public class AnonymousClass3 extends PhoneStateListener {
        AnonymousClass3() {
        }

        @Override // android.telephony.PhoneStateListener
        public void onCallStateChanged(final int state, String incomingNumber) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$3$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    MediaController.AnonymousClass3.this.m335x8e18352b(state);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onCallStateChanged$0$im-uecahxyvjd-messenger-MediaController$3  reason: not valid java name */
        public /* synthetic */ void m335x8e18352b(int state) {
            if (state != 1) {
                if (state == 0) {
                    MediaController.this.callInProgress = false;
                    return;
                } else if (state == 2) {
                    EmbedBottomSheet embedBottomSheet = EmbedBottomSheet.getInstance();
                    if (embedBottomSheet != null) {
                        embedBottomSheet.pause();
                    }
                    MediaController.this.callInProgress = true;
                    return;
                } else {
                    return;
                }
            }
            MediaController mediaController = MediaController.this;
            if (!mediaController.isPlayingMessage(mediaController.playingMessageObject) || MediaController.this.isMessagePaused()) {
                if (MediaController.this.recordStartRunnable != null || MediaController.this.recordingAudio != null) {
                    MediaController.this.stopRecording(2, false, 0);
                }
            } else {
                MediaController mediaController2 = MediaController.this;
                mediaController2.m320lambda$startAudioAgain$5$imuecahxyvjdmessengerMediaController(mediaController2.playingMessageObject);
            }
            EmbedBottomSheet embedBottomSheet2 = EmbedBottomSheet.getInstance();
            if (embedBottomSheet2 != null) {
                embedBottomSheet2.pause();
            }
            MediaController.this.callInProgress = true;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$new$3$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m316lambda$new$3$imuecahxyvjdmessengerMediaController() {
        for (int a2 = 0; a2 < 3; a2++) {
            NotificationCenter.getInstance(a2).addObserver(this, NotificationCenter.fileDidLoad);
            NotificationCenter.getInstance(a2).addObserver(this, NotificationCenter.httpFileDidLoad);
            NotificationCenter.getInstance(a2).addObserver(this, NotificationCenter.didReceiveNewMessages);
            NotificationCenter.getInstance(a2).addObserver(this, NotificationCenter.messagesDeleted);
            NotificationCenter.getInstance(a2).addObserver(this, NotificationCenter.removeAllMessagesFromDialog);
            NotificationCenter.getInstance(a2).addObserver(this, NotificationCenter.musicDidLoad);
            NotificationCenter.getGlobalInstance().addObserver(this, NotificationCenter.playerDidStartPlaying);
        }
    }

    @Override // android.media.AudioManager.OnAudioFocusChangeListener
    public void onAudioFocusChange(int focusChange) {
        if (focusChange == -1) {
            if (isPlayingMessage(getPlayingMessageObject()) && !isMessagePaused()) {
                m320lambda$startAudioAgain$5$imuecahxyvjdmessengerMediaController(this.playingMessageObject);
            }
            this.hasAudioFocus = 0;
            this.audioFocus = 0;
        } else if (focusChange == 1) {
            this.audioFocus = 2;
            if (this.resumeAudioOnFocusGain) {
                this.resumeAudioOnFocusGain = false;
                if (isPlayingMessage(getPlayingMessageObject()) && isMessagePaused()) {
                    playMessage(getPlayingMessageObject());
                }
            }
        } else if (focusChange == -3) {
            this.audioFocus = 1;
        } else if (focusChange == -2) {
            this.audioFocus = 0;
            if (isPlayingMessage(getPlayingMessageObject()) && !isMessagePaused()) {
                m320lambda$startAudioAgain$5$imuecahxyvjdmessengerMediaController(this.playingMessageObject);
                this.resumeAudioOnFocusGain = true;
            }
        }
        setPlayerVolume();
    }

    private void setPlayerVolume() {
        float volume;
        try {
            if (this.audioFocus != 1) {
                volume = 1.0f;
            } else {
                volume = VOLUME_DUCK;
            }
            VideoPlayer videoPlayer = this.audioPlayer;
            if (videoPlayer != null) {
                videoPlayer.setVolume(volume);
            } else {
                VideoPlayer videoPlayer2 = this.videoPlayer;
                if (videoPlayer2 != null) {
                    videoPlayer2.setVolume(volume);
                }
            }
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    private void startProgressTimer(MessageObject currentPlayingMessageObject) {
        synchronized (this.progressTimerSync) {
            Timer timer = this.progressTimer;
            if (timer != null) {
                try {
                    timer.cancel();
                    this.progressTimer = null;
                } catch (Exception e) {
                    FileLog.e(e);
                }
            }
            currentPlayingMessageObject.getFileName();
            Timer timer2 = new Timer();
            this.progressTimer = timer2;
            timer2.schedule(new AnonymousClass4(currentPlayingMessageObject), 0L, 17L);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: im.uecahxyvjd.messenger.MediaController$4  reason: invalid class name */
    /* loaded from: classes16.dex */
    public class AnonymousClass4 extends TimerTask {
        final /* synthetic */ MessageObject val$currentPlayingMessageObject;

        AnonymousClass4(MessageObject messageObject) {
            this.val$currentPlayingMessageObject = messageObject;
        }

        @Override // java.util.TimerTask, java.lang.Runnable
        public void run() {
            synchronized (MediaController.this.sync) {
                final MessageObject messageObject = this.val$currentPlayingMessageObject;
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$4$$ExternalSyntheticLambda0
                    @Override // java.lang.Runnable
                    public final void run() {
                        MediaController.AnonymousClass4.this.m336lambda$run$0$imuecahxyvjdmessengerMediaController$4(messageObject);
                    }
                });
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$run$0$im-uecahxyvjd-messenger-MediaController$4  reason: not valid java name */
        public /* synthetic */ void m336lambda$run$0$imuecahxyvjdmessengerMediaController$4(MessageObject currentPlayingMessageObject) {
            long duration;
            long progress;
            float value;
            float value2;
            if (currentPlayingMessageObject != null) {
                if ((MediaController.this.audioPlayer != null || MediaController.this.videoPlayer != null) && !MediaController.this.isPaused) {
                    try {
                        if (MediaController.this.videoPlayer != null) {
                            duration = MediaController.this.videoPlayer.getDuration();
                            progress = MediaController.this.videoPlayer.getCurrentPosition();
                            if (progress >= 0 && duration > 0) {
                                value2 = ((float) MediaController.this.videoPlayer.getBufferedPosition()) / ((float) duration);
                                value = duration >= 0 ? ((float) progress) / ((float) duration) : 0.0f;
                                if (value >= 1.0f) {
                                    return;
                                }
                            }
                            return;
                        }
                        duration = MediaController.this.audioPlayer.getDuration();
                        progress = MediaController.this.audioPlayer.getCurrentPosition();
                        float value3 = duration >= 0 ? ((float) progress) / ((float) duration) : 0.0f;
                        float bufferedValue = ((float) MediaController.this.audioPlayer.getBufferedPosition()) / ((float) duration);
                        if (duration != C.TIME_UNSET && progress >= 0 && MediaController.this.seekToProgressPending == 0.0f) {
                            value = value3;
                            value2 = bufferedValue;
                        }
                        return;
                        MediaController.this.lastProgress = progress;
                        currentPlayingMessageObject.audioPlayerDuration = (int) (duration / 1000);
                        currentPlayingMessageObject.audioProgress = value;
                        currentPlayingMessageObject.audioProgressSec = (int) (MediaController.this.lastProgress / 1000);
                        currentPlayingMessageObject.bufferedProgress = value2;
                        NotificationCenter.getInstance(currentPlayingMessageObject.currentAccount).postNotificationName(NotificationCenter.messagePlayingProgressDidChanged, Integer.valueOf(currentPlayingMessageObject.getId()), Float.valueOf(value));
                    } catch (Exception e) {
                        FileLog.e(e);
                    }
                }
            }
        }
    }

    private void stopProgressTimer() {
        synchronized (this.progressTimerSync) {
            Timer timer = this.progressTimer;
            if (timer != null) {
                try {
                    timer.cancel();
                    this.progressTimer = null;
                } catch (Exception e) {
                    FileLog.e(e);
                }
            }
        }
    }

    public void cleanup() {
        cleanupPlayer(false, true);
        this.audioInfo = null;
        this.playMusicAgain = false;
        for (int a2 = 0; a2 < 3; a2++) {
            DownloadController.getInstance(a2).cleanup();
        }
        this.videoConvertQueue.clear();
        this.playlist.clear();
        this.shuffledPlaylist.clear();
        this.generatingWaveform.clear();
        this.voiceMessagesPlaylist = null;
        this.voiceMessagesPlaylistMap = null;
        cancelVideoConvert(null);
    }

    public void startMediaObserver() {
        ApplicationLoader.applicationHandler.removeCallbacks(this.stopMediaObserverRunnable);
        this.startObserverToken++;
        try {
            if (this.internalObserver == null) {
                ContentResolver contentResolver = ApplicationLoader.applicationContext.getContentResolver();
                Uri uri = MediaStore.Images.Media.EXTERNAL_CONTENT_URI;
                ExternalObserver externalObserver = new ExternalObserver();
                this.externalObserver = externalObserver;
                contentResolver.registerContentObserver(uri, false, externalObserver);
            }
        } catch (Exception e) {
            FileLog.e(e);
        }
        try {
            if (this.externalObserver == null) {
                ContentResolver contentResolver2 = ApplicationLoader.applicationContext.getContentResolver();
                Uri uri2 = MediaStore.Images.Media.INTERNAL_CONTENT_URI;
                InternalObserver internalObserver = new InternalObserver();
                this.internalObserver = internalObserver;
                contentResolver2.registerContentObserver(uri2, false, internalObserver);
            }
        } catch (Exception e2) {
            FileLog.e(e2);
        }
    }

    public void stopMediaObserver() {
        if (this.stopMediaObserverRunnable == null) {
            this.stopMediaObserverRunnable = new StopMediaObserverRunnable();
        }
        this.stopMediaObserverRunnable.currentObserverToken = this.startObserverToken;
        ApplicationLoader.applicationHandler.postDelayed(this.stopMediaObserverRunnable, DefaultRenderersFactory.DEFAULT_ALLOWED_VIDEO_JOINING_TIME_MS);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x00a0, code lost:
        if (r13 == r0.y) goto L33;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void processMediaObserver(Uri uri) {
        Cursor cursor = null;
        try {
            try {
                try {
                    android.graphics.Point size = AndroidUtilities.getRealScreenSize();
                    cursor = ApplicationLoader.applicationContext.getContentResolver().query(uri, this.mediaProjections, null, null, "date_added DESC LIMIT 1");
                    final ArrayList<Long> screenshotDates = new ArrayList<>();
                    if (cursor != null) {
                        while (cursor.moveToNext()) {
                            String data = cursor.getString(0);
                            String display_name = cursor.getString(1);
                            String album_name = cursor.getString(2);
                            long date = cursor.getLong(3);
                            String title = cursor.getString(4);
                            int photoW = cursor.getInt(5);
                            int photoH = cursor.getInt(6);
                            if ((data != null && data.toLowerCase().contains("screenshot")) || ((display_name != null && display_name.toLowerCase().contains("screenshot")) || ((album_name != null && album_name.toLowerCase().contains("screenshot")) || (title != null && title.toLowerCase().contains("screenshot"))))) {
                                if (photoW == 0 || photoH == 0) {
                                    BitmapFactory.Options bmOptions = new BitmapFactory.Options();
                                    bmOptions.inJustDecodeBounds = true;
                                    BitmapFactory.decodeFile(data, bmOptions);
                                    photoW = bmOptions.outWidth;
                                    photoH = bmOptions.outHeight;
                                }
                                if (photoW > 0 && photoH > 0) {
                                    try {
                                        if (photoW == size.x) {
                                        }
                                        if (photoH == size.x) {
                                            if (photoW != size.y) {
                                            }
                                        }
                                    } catch (Exception e) {
                                        screenshotDates.add(Long.valueOf(date));
                                    }
                                }
                                screenshotDates.add(Long.valueOf(date));
                            }
                        }
                        cursor.close();
                    }
                    if (!screenshotDates.isEmpty()) {
                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda11
                            @Override // java.lang.Runnable
                            public final void run() {
                                MediaController.this.m318x1d0e84eb(screenshotDates);
                            }
                        });
                    }
                } catch (Exception e2) {
                    FileLog.e(e2);
                    if (cursor != null) {
                        cursor.close();
                    } else {
                        return;
                    }
                }
                if (cursor != null) {
                    cursor.close();
                }
            } catch (Throwable th) {
                if (cursor != null) {
                    try {
                        cursor.close();
                    } catch (Exception e3) {
                    }
                }
                throw th;
            }
        } catch (Exception e4) {
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$processMediaObserver$4$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m318x1d0e84eb(ArrayList screenshotDates) {
        NotificationCenter.getInstance(this.lastChatAccount).postNotificationName(NotificationCenter.screenshotTook, new Object[0]);
        checkScreenshots(screenshotDates);
    }

    private void checkScreenshots(ArrayList<Long> dates) {
        if (dates == null || dates.isEmpty() || this.lastChatEnterTime == 0) {
            return;
        }
        if (this.lastUser == null && !(this.lastSecretChat instanceof TLRPC.TL_encryptedChat)) {
            return;
        }
        boolean send = false;
        for (int a2 = 0; a2 < dates.size(); a2++) {
            Long date = dates.get(a2);
            if ((this.lastMediaCheckTime == 0 || date.longValue() > this.lastMediaCheckTime) && date.longValue() >= this.lastChatEnterTime && (this.lastChatLeaveTime == 0 || date.longValue() <= this.lastChatLeaveTime + AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS)) {
                this.lastMediaCheckTime = Math.max(this.lastMediaCheckTime, date.longValue());
                send = true;
            }
        }
        if (send) {
            if (this.lastSecretChat != null) {
                SecretChatHelper.getInstance(this.lastChatAccount).sendScreenshotMessage(this.lastSecretChat, this.lastChatVisibleMessages, null);
            } else {
                SendMessagesHelper.getInstance(this.lastChatAccount).sendScreenshotMessage(this.lastUser, this.lastMessageId, null);
            }
        }
    }

    public void setLastVisibleMessageIds(int account, long enterTime, long leaveTime, TLRPC.User user, TLRPC.EncryptedChat encryptedChat, ArrayList<Long> visibleMessages, int visibleMessage) {
        this.lastChatEnterTime = enterTime;
        this.lastChatLeaveTime = leaveTime;
        this.lastChatAccount = account;
        this.lastSecretChat = encryptedChat;
        this.lastUser = user;
        this.lastMessageId = visibleMessage;
        this.lastChatVisibleMessages = visibleMessages;
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        MessageObject messageObject;
        ArrayList<MessageObject> arrayList;
        if (id == NotificationCenter.fileDidLoad || id == NotificationCenter.httpFileDidLoad) {
            String fileName = (String) args[0];
            if (this.downloadingCurrentMessage && (messageObject = this.playingMessageObject) != null && messageObject.currentAccount == account) {
                String file = FileLoader.getAttachFileName(this.playingMessageObject.getDocument());
                if (file.equals(fileName)) {
                    this.playMusicAgain = true;
                    playMessage(this.playingMessageObject);
                }
            }
        } else if (id == NotificationCenter.messagesDeleted) {
            boolean scheduled = ((Boolean) args[2]).booleanValue();
            if (scheduled) {
                return;
            }
            int channelId = ((Integer) args[1]).intValue();
            ArrayList<Integer> markAsDeletedMessages = (ArrayList) args[0];
            MessageObject messageObject2 = this.playingMessageObject;
            if (messageObject2 != null && channelId == messageObject2.messageOwner.to_id.channel_id && markAsDeletedMessages.contains(Integer.valueOf(this.playingMessageObject.getId()))) {
                cleanupPlayer(true, true);
            }
            ArrayList<MessageObject> arrayList2 = this.voiceMessagesPlaylist;
            if (arrayList2 != null && !arrayList2.isEmpty()) {
                MessageObject messageObject3 = this.voiceMessagesPlaylist.get(0);
                if (channelId == messageObject3.messageOwner.to_id.channel_id) {
                    for (int a2 = 0; a2 < markAsDeletedMessages.size(); a2++) {
                        Integer key = markAsDeletedMessages.get(a2);
                        MessageObject messageObject4 = this.voiceMessagesPlaylistMap.get(key.intValue());
                        MessageObject messageObject5 = messageObject4;
                        this.voiceMessagesPlaylistMap.remove(key.intValue());
                        if (messageObject5 != null) {
                            this.voiceMessagesPlaylist.remove(messageObject5);
                        }
                    }
                }
            }
        } else if (id == NotificationCenter.removeAllMessagesFromDialog) {
            long did = ((Long) args[0]).longValue();
            MessageObject messageObject6 = this.playingMessageObject;
            if (messageObject6 != null && messageObject6.getDialogId() == did) {
                cleanupPlayer(false, true);
            }
        } else if (id == NotificationCenter.musicDidLoad) {
            long did2 = ((Long) args[0]).longValue();
            MessageObject messageObject7 = this.playingMessageObject;
            if (messageObject7 != null && messageObject7.isMusic() && this.playingMessageObject.getDialogId() == did2 && !this.playingMessageObject.scheduled) {
                ArrayList<MessageObject> arrayList3 = (ArrayList) args[1];
                this.playlist.addAll(0, arrayList3);
                if (SharedConfig.shuffleMusic) {
                    buildShuffledPlayList();
                    this.currentPlaylistNum = 0;
                    return;
                }
                this.currentPlaylistNum += arrayList3.size();
            }
        } else if (id == NotificationCenter.didReceiveNewMessages) {
            boolean scheduled2 = ((Boolean) args[2]).booleanValue();
            if (!scheduled2 && (arrayList = this.voiceMessagesPlaylist) != null && !arrayList.isEmpty()) {
                MessageObject messageObject8 = this.voiceMessagesPlaylist.get(0);
                long did3 = ((Long) args[0]).longValue();
                if (did3 == messageObject8.getDialogId()) {
                    ArrayList<MessageObject> arr = (ArrayList) args[1];
                    for (int a3 = 0; a3 < arr.size(); a3++) {
                        MessageObject messageObject9 = arr.get(a3);
                        MessageObject messageObject10 = messageObject9;
                        if ((messageObject10.isVoice() || messageObject10.isRoundVideo()) && (!this.voiceMessagesPlaylistUnread || (messageObject10.isContentUnread() && !messageObject10.isOut()))) {
                            this.voiceMessagesPlaylist.add(messageObject10);
                            this.voiceMessagesPlaylistMap.put(messageObject10.getId(), messageObject10);
                        }
                    }
                }
            }
        } else if (id == NotificationCenter.playerDidStartPlaying) {
            VideoPlayer p = (VideoPlayer) args[0];
            if (!getInstance().isCurrentPlayer(p)) {
                getInstance().m320lambda$startAudioAgain$5$imuecahxyvjdmessengerMediaController(getInstance().getPlayingMessageObject());
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public boolean isRecordingAudio() {
        return (this.recordStartRunnable == null && this.recordingAudio == null) ? false : true;
    }

    private boolean isNearToSensor(float value) {
        return value < 5.0f && value != this.proximitySensor.getMaximumRange();
    }

    public boolean isRecordingOrListeningByProximity() {
        MessageObject messageObject;
        return this.proximityTouched && (isRecordingAudio() || ((messageObject = this.playingMessageObject) != null && (messageObject.isVoice() || this.playingMessageObject.isRoundVideo())));
    }

    @Override // android.hardware.SensorEventListener
    public void onSensorChanged(SensorEvent event) {
        float[] fArr;
        float[] fArr2;
        float[] fArr3;
        boolean goodValue;
        int sign;
        PowerManager.WakeLock wakeLock;
        PowerManager.WakeLock wakeLock2;
        PowerManager.WakeLock wakeLock3;
        PowerManager.WakeLock wakeLock4;
        PowerManager.WakeLock wakeLock5;
        if (this.sensorsStarted && VoIPService.getSharedInstance() == null) {
            if (event.sensor != this.proximitySensor) {
                if (event.sensor != this.accelerometerSensor) {
                    if (event.sensor != this.linearSensor) {
                        if (event.sensor == this.gravitySensor) {
                            float[] fArr4 = this.gravityFast;
                            float[] fArr5 = this.gravity;
                            float f = event.values[0];
                            fArr5[0] = f;
                            fArr4[0] = f;
                            float[] fArr6 = this.gravityFast;
                            float[] fArr7 = this.gravity;
                            float f2 = event.values[1];
                            fArr7[1] = f2;
                            fArr6[1] = f2;
                            float[] fArr8 = this.gravityFast;
                            float[] fArr9 = this.gravity;
                            float f3 = event.values[2];
                            fArr9[2] = f3;
                            fArr8[2] = f3;
                        }
                    } else {
                        this.linearAcceleration[0] = event.values[0];
                        this.linearAcceleration[1] = event.values[1];
                        this.linearAcceleration[2] = event.values[2];
                    }
                } else {
                    double alpha = this.lastTimestamp == 0 ? 0.9800000190734863d : 1.0d / (((event.timestamp - this.lastTimestamp) / 1.0E9d) + 1.0d);
                    this.lastTimestamp = event.timestamp;
                    this.gravity[0] = (float) ((fArr[0] * alpha) + ((1.0d - alpha) * event.values[0]));
                    this.gravity[1] = (float) ((fArr2[1] * alpha) + ((1.0d - alpha) * event.values[1]));
                    this.gravity[2] = (float) ((fArr3[2] * alpha) + ((1.0d - alpha) * event.values[2]));
                    this.gravityFast[0] = (this.gravity[0] * 0.8f) + (event.values[0] * 0.19999999f);
                    this.gravityFast[1] = (this.gravity[1] * 0.8f) + (event.values[1] * 0.19999999f);
                    this.gravityFast[2] = (this.gravity[2] * 0.8f) + (event.values[2] * 0.19999999f);
                    this.linearAcceleration[0] = event.values[0] - this.gravity[0];
                    this.linearAcceleration[1] = event.values[1] - this.gravity[1];
                    this.linearAcceleration[2] = event.values[2] - this.gravity[2];
                }
            } else {
                if (BuildVars.LOGS_ENABLED) {
                    FileLog.d("proximity changed to " + event.values[0] + " max value = " + this.proximitySensor.getMaximumRange());
                }
                float f4 = this.lastProximityValue;
                if (f4 == -100.0f) {
                    this.lastProximityValue = event.values[0];
                } else if (f4 != event.values[0]) {
                    this.proximityHasDifferentValues = true;
                }
                if (this.proximityHasDifferentValues) {
                    this.proximityTouched = isNearToSensor(event.values[0]);
                }
            }
            if (event.sensor == this.linearSensor || event.sensor == this.gravitySensor || event.sensor == this.accelerometerSensor) {
                float[] fArr10 = this.gravity;
                float f5 = fArr10[0];
                float[] fArr11 = this.linearAcceleration;
                float val = (f5 * fArr11[0]) + (fArr10[1] * fArr11[1]) + (fArr10[2] * fArr11[2]);
                int i = this.raisedToBack;
                if (i != 6 && ((val > 0.0f && this.previousAccValue > 0.0f) || (val < 0.0f && this.previousAccValue < 0.0f))) {
                    if (val > 0.0f) {
                        goodValue = val > 15.0f;
                        sign = 1;
                    } else {
                        goodValue = val < -15.0f;
                        sign = 2;
                    }
                    int i2 = this.raisedToTopSign;
                    if (i2 != 0 && i2 != sign) {
                        int i3 = this.raisedToTop;
                        if (i3 == 6 && goodValue) {
                            if (i < 6) {
                                int i4 = i + 1;
                                this.raisedToBack = i4;
                                if (i4 == 6) {
                                    this.raisedToTop = 0;
                                    this.raisedToTopSign = 0;
                                    this.countLess = 0;
                                    this.timeSinceRaise = System.currentTimeMillis();
                                    if (BuildVars.LOGS_ENABLED && BuildVars.DEBUG_PRIVATE_VERSION) {
                                        FileLog.d("motion detected");
                                    }
                                }
                            }
                        } else {
                            if (!goodValue) {
                                this.countLess++;
                            }
                            if (this.countLess == 10 || i3 != 6 || i != 0) {
                                this.raisedToTop = 0;
                                this.raisedToTopSign = 0;
                                this.raisedToBack = 0;
                                this.countLess = 0;
                            }
                        }
                    } else if (goodValue && i == 0 && (i2 == 0 || i2 == sign)) {
                        int i5 = this.raisedToTop;
                        if (i5 < 6 && !this.proximityTouched) {
                            this.raisedToTopSign = sign;
                            int i6 = i5 + 1;
                            this.raisedToTop = i6;
                            if (i6 == 6) {
                                this.countLess = 0;
                            }
                        }
                    } else {
                        if (!goodValue) {
                            this.countLess++;
                        }
                        if (i2 != sign || this.countLess == 10 || this.raisedToTop != 6 || i != 0) {
                            this.raisedToBack = 0;
                            this.raisedToTop = 0;
                            this.raisedToTopSign = 0;
                            this.countLess = 0;
                        }
                    }
                }
                this.previousAccValue = val;
                float[] fArr12 = this.gravityFast;
                this.accelerometerVertical = fArr12[1] > 2.5f && Math.abs(fArr12[2]) < 4.0f && Math.abs(this.gravityFast[0]) > 1.5f;
            }
            if (this.raisedToBack == 6 && this.accelerometerVertical && this.proximityTouched && !NotificationsController.audioManager.isWiredHeadsetOn()) {
                if (BuildVars.LOGS_ENABLED) {
                    FileLog.d("sensor values reached");
                }
                if (this.playingMessageObject == null && this.recordStartRunnable == null && this.recordingAudio == null && !PhotoViewer.getInstance().isVisible() && ApplicationLoader.isScreenOn && !this.inputFieldHasText && this.allowStartRecord && this.raiseChat != null && !this.callInProgress) {
                    if (!this.raiseToEarRecord) {
                        if (BuildVars.LOGS_ENABLED) {
                            FileLog.d("start record");
                        }
                        this.useFrontSpeaker = true;
                        if (!this.raiseChat.playFirstUnreadVoiceMessage()) {
                            this.raiseToEarRecord = true;
                            this.useFrontSpeaker = false;
                            startRecording(this.raiseChat.getCurrentAccount(), this.raiseChat.getDialogId(), null, this.raiseChat.getClassGuid());
                        }
                        if (this.useFrontSpeaker) {
                            setUseFrontSpeaker(true);
                        }
                        this.ignoreOnPause = true;
                        if (this.proximityHasDifferentValues && (wakeLock5 = this.proximityWakeLock) != null && !wakeLock5.isHeld()) {
                            this.proximityWakeLock.acquire();
                        }
                    }
                } else {
                    MessageObject messageObject = this.playingMessageObject;
                    if (messageObject != null && ((messageObject.isVoice() || this.playingMessageObject.isRoundVideo()) && !this.useFrontSpeaker)) {
                        if (BuildVars.LOGS_ENABLED) {
                            FileLog.d("start listen");
                        }
                        if (this.proximityHasDifferentValues && (wakeLock4 = this.proximityWakeLock) != null && !wakeLock4.isHeld()) {
                            this.proximityWakeLock.acquire();
                        }
                        setUseFrontSpeaker(true);
                        startAudioAgain(false);
                        this.ignoreOnPause = true;
                    }
                }
                this.raisedToBack = 0;
                this.raisedToTop = 0;
                this.raisedToTopSign = 0;
                this.countLess = 0;
            } else {
                boolean z = this.proximityTouched;
                if (z) {
                    if (this.playingMessageObject != null && !ApplicationLoader.mainInterfacePaused && ((this.playingMessageObject.isVoice() || this.playingMessageObject.isRoundVideo()) && !this.useFrontSpeaker)) {
                        if (BuildVars.LOGS_ENABLED) {
                            FileLog.d("start listen by proximity only");
                        }
                        if (this.proximityHasDifferentValues && (wakeLock3 = this.proximityWakeLock) != null && !wakeLock3.isHeld()) {
                            this.proximityWakeLock.acquire();
                        }
                        setUseFrontSpeaker(true);
                        startAudioAgain(false);
                        this.ignoreOnPause = true;
                    }
                } else if (!z) {
                    if (this.raiseToEarRecord) {
                        if (BuildVars.LOGS_ENABLED) {
                            FileLog.d("stop record");
                        }
                        stopRecording(2, false, 0);
                        this.raiseToEarRecord = false;
                        this.ignoreOnPause = false;
                        if (this.proximityHasDifferentValues && (wakeLock2 = this.proximityWakeLock) != null && wakeLock2.isHeld()) {
                            this.proximityWakeLock.release();
                        }
                    } else if (this.useFrontSpeaker) {
                        if (BuildVars.LOGS_ENABLED) {
                            FileLog.d("stop listen");
                        }
                        this.useFrontSpeaker = false;
                        startAudioAgain(true);
                        this.ignoreOnPause = false;
                        if (this.proximityHasDifferentValues && (wakeLock = this.proximityWakeLock) != null && wakeLock.isHeld()) {
                            this.proximityWakeLock.release();
                        }
                    }
                }
            }
            if (this.timeSinceRaise != 0 && this.raisedToBack == 6 && Math.abs(System.currentTimeMillis() - this.timeSinceRaise) > 1000) {
                this.raisedToBack = 0;
                this.raisedToTop = 0;
                this.raisedToTopSign = 0;
                this.countLess = 0;
                this.timeSinceRaise = 0L;
            }
        }
    }

    private void setUseFrontSpeaker(boolean value) {
        this.useFrontSpeaker = value;
        AudioManager audioManager = NotificationsController.audioManager;
        if (this.useFrontSpeaker) {
            audioManager.setBluetoothScoOn(false);
            audioManager.setSpeakerphoneOn(false);
            return;
        }
        audioManager.setSpeakerphoneOn(true);
    }

    public void startRecordingIfFromSpeaker() {
        ChatActivity chatActivity;
        if (!this.useFrontSpeaker || (chatActivity = this.raiseChat) == null || !this.allowStartRecord) {
            return;
        }
        this.raiseToEarRecord = true;
        startRecording(chatActivity.getCurrentAccount(), this.raiseChat.getDialogId(), null, this.raiseChat.getClassGuid());
        this.ignoreOnPause = true;
    }

    private void startAudioAgain(boolean paused) {
        MessageObject messageObject = this.playingMessageObject;
        if (messageObject == null) {
            return;
        }
        NotificationCenter.getInstance(messageObject.currentAccount).postNotificationName(NotificationCenter.audioRouteChanged, Boolean.valueOf(this.useFrontSpeaker));
        VideoPlayer videoPlayer = this.videoPlayer;
        if (videoPlayer != null) {
            videoPlayer.setStreamType(this.useFrontSpeaker ? 0 : 3);
            if (!paused) {
                this.videoPlayer.play();
                return;
            } else {
                m320lambda$startAudioAgain$5$imuecahxyvjdmessengerMediaController(this.playingMessageObject);
                return;
            }
        }
        boolean post = this.audioPlayer != null;
        final MessageObject currentMessageObject = this.playingMessageObject;
        float progress = this.playingMessageObject.audioProgress;
        cleanupPlayer(false, true);
        currentMessageObject.audioProgress = progress;
        playMessage(currentMessageObject);
        if (paused) {
            if (post) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda25
                    @Override // java.lang.Runnable
                    public final void run() {
                        MediaController.this.m320lambda$startAudioAgain$5$imuecahxyvjdmessengerMediaController(currentMessageObject);
                    }
                }, 100L);
            } else {
                m320lambda$startAudioAgain$5$imuecahxyvjdmessengerMediaController(currentMessageObject);
            }
        }
    }

    @Override // android.hardware.SensorEventListener
    public void onAccuracyChanged(Sensor sensor, int accuracy) {
    }

    public void setInputFieldHasText(boolean value) {
        this.inputFieldHasText = value;
    }

    public void setAllowStartRecord(boolean value) {
        this.allowStartRecord = value;
    }

    public void startRaiseToEarSensors(ChatActivity chatActivity) {
        if (chatActivity != null) {
            if ((this.accelerometerSensor == null && (this.gravitySensor == null || this.linearAcceleration == null)) || this.proximitySensor == null) {
                return;
            }
            this.raiseChat = chatActivity;
            if (!SharedConfig.raiseToSpeak) {
                MessageObject messageObject = this.playingMessageObject;
                if (messageObject == null) {
                    return;
                }
                if (!messageObject.isVoice() && !this.playingMessageObject.isRoundVideo()) {
                    return;
                }
            }
            if (!this.sensorsStarted) {
                float[] fArr = this.gravity;
                fArr[2] = 0.0f;
                fArr[1] = 0.0f;
                fArr[0] = 0.0f;
                float[] fArr2 = this.linearAcceleration;
                fArr2[2] = 0.0f;
                fArr2[1] = 0.0f;
                fArr2[0] = 0.0f;
                float[] fArr3 = this.gravityFast;
                fArr3[2] = 0.0f;
                fArr3[1] = 0.0f;
                fArr3[0] = 0.0f;
                this.lastTimestamp = 0L;
                this.previousAccValue = 0.0f;
                this.raisedToTop = 0;
                this.raisedToTopSign = 0;
                this.countLess = 0;
                this.raisedToBack = 0;
                Utilities.globalQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda13
                    @Override // java.lang.Runnable
                    public final void run() {
                        MediaController.this.m321x51002d2a();
                    }
                });
                this.sensorsStarted = true;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$startRaiseToEarSensors$6$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m321x51002d2a() {
        Sensor sensor = this.gravitySensor;
        if (sensor != null) {
            this.sensorManager.registerListener(this, sensor, UIMsg.m_AppUI.MSG_RADAR_SEARCH_RETURN_RESULT);
        }
        Sensor sensor2 = this.linearSensor;
        if (sensor2 != null) {
            this.sensorManager.registerListener(this, sensor2, UIMsg.m_AppUI.MSG_RADAR_SEARCH_RETURN_RESULT);
        }
        Sensor sensor3 = this.accelerometerSensor;
        if (sensor3 != null) {
            this.sensorManager.registerListener(this, sensor3, UIMsg.m_AppUI.MSG_RADAR_SEARCH_RETURN_RESULT);
        }
        this.sensorManager.registerListener(this, this.proximitySensor, 3);
    }

    public void stopRaiseToEarSensors(ChatActivity chatActivity, boolean fromChat) {
        PowerManager.WakeLock wakeLock;
        if (this.ignoreOnPause) {
            this.ignoreOnPause = false;
            return;
        }
        stopRecording(fromChat ? 2 : 0, false, 0);
        if (!this.sensorsStarted || this.ignoreOnPause) {
            return;
        }
        if ((this.accelerometerSensor == null && (this.gravitySensor == null || this.linearAcceleration == null)) || this.proximitySensor == null || this.raiseChat != chatActivity) {
            return;
        }
        this.raiseChat = null;
        this.sensorsStarted = false;
        this.accelerometerVertical = false;
        this.proximityTouched = false;
        this.raiseToEarRecord = false;
        this.useFrontSpeaker = false;
        Utilities.globalQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda22
            @Override // java.lang.Runnable
            public final void run() {
                MediaController.this.m327xb519ba71();
            }
        });
        if (this.proximityHasDifferentValues && (wakeLock = this.proximityWakeLock) != null && wakeLock.isHeld()) {
            this.proximityWakeLock.release();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$stopRaiseToEarSensors$7$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m327xb519ba71() {
        Sensor sensor = this.linearSensor;
        if (sensor != null) {
            this.sensorManager.unregisterListener(this, sensor);
        }
        Sensor sensor2 = this.gravitySensor;
        if (sensor2 != null) {
            this.sensorManager.unregisterListener(this, sensor2);
        }
        Sensor sensor3 = this.accelerometerSensor;
        if (sensor3 != null) {
            this.sensorManager.unregisterListener(this, sensor3);
        }
        this.sensorManager.unregisterListener(this, this.proximitySensor);
    }

    public void cleanupPlayer(boolean notify, boolean stopService) {
        cleanupPlayer(notify, stopService, false, false);
    }

    public void cleanupPlayer(boolean notify, boolean stopService, boolean byVoiceEnd, boolean transferPlayerToPhotoViewer) {
        PipRoundVideoView pipRoundVideoView;
        VideoPlayer videoPlayer = this.audioPlayer;
        if (videoPlayer != null) {
            try {
                videoPlayer.releasePlayer(true);
            } catch (Exception e) {
                FileLog.e(e);
            }
            this.audioPlayer = null;
        } else {
            VideoPlayer videoPlayer2 = this.videoPlayer;
            if (videoPlayer2 != null) {
                this.currentAspectRatioFrameLayout = null;
                this.currentTextureViewContainer = null;
                this.currentAspectRatioFrameLayoutReady = false;
                this.isDrawingWasReady = false;
                this.currentTextureView = null;
                this.goingToShowMessageObject = null;
                if (transferPlayerToPhotoViewer) {
                    PhotoViewer.getInstance().injectVideoPlayer(this.videoPlayer);
                    MessageObject messageObject = this.playingMessageObject;
                    this.goingToShowMessageObject = messageObject;
                    NotificationCenter.getInstance(messageObject.currentAccount).postNotificationName(NotificationCenter.messagePlayingGoingToStop, this.playingMessageObject, true);
                } else {
                    long position = videoPlayer2.getCurrentPosition();
                    MessageObject messageObject2 = this.playingMessageObject;
                    if (messageObject2 != null && messageObject2.isVideo() && position > 0 && position != C.TIME_UNSET) {
                        this.playingMessageObject.audioProgressMs = (int) position;
                        NotificationCenter.getInstance(this.playingMessageObject.currentAccount).postNotificationName(NotificationCenter.messagePlayingGoingToStop, this.playingMessageObject, false);
                    }
                    this.videoPlayer.releasePlayer(true);
                    this.videoPlayer = null;
                }
                try {
                    this.baseActivity.getWindow().clearFlags(128);
                } catch (Exception e2) {
                    FileLog.e(e2);
                }
                if (this.playingMessageObject != null && !transferPlayerToPhotoViewer) {
                    AndroidUtilities.cancelRunOnUIThread(this.setLoadingRunnable);
                    FileLoader.getInstance(this.playingMessageObject.currentAccount).removeLoadingVideo(this.playingMessageObject.getDocument(), true, false);
                }
            }
        }
        stopProgressTimer();
        this.lastProgress = 0L;
        this.isPaused = false;
        if (!this.useFrontSpeaker && !SharedConfig.raiseToSpeak) {
            ChatActivity chat = this.raiseChat;
            stopRaiseToEarSensors(this.raiseChat, false);
            this.raiseChat = chat;
        }
        MessageObject messageObject3 = this.playingMessageObject;
        if (messageObject3 != null) {
            if (this.downloadingCurrentMessage) {
                FileLoader.getInstance(messageObject3.currentAccount).cancelLoadFile(this.playingMessageObject.getDocument());
            }
            MessageObject lastFile = this.playingMessageObject;
            if (notify) {
                this.playingMessageObject.resetPlayingProgress();
                NotificationCenter.getInstance(lastFile.currentAccount).postNotificationName(NotificationCenter.messagePlayingProgressDidChanged, Integer.valueOf(this.playingMessageObject.getId()), 0);
            }
            this.playingMessageObject = null;
            this.downloadingCurrentMessage = false;
            if (notify) {
                NotificationsController.audioManager.abandonAudioFocus(this);
                this.hasAudioFocus = 0;
                int index = -1;
                ArrayList<MessageObject> arrayList = this.voiceMessagesPlaylist;
                if (arrayList != null) {
                    if (byVoiceEnd) {
                        int indexOf = arrayList.indexOf(lastFile);
                        index = indexOf;
                        if (indexOf >= 0) {
                            this.voiceMessagesPlaylist.remove(index);
                            this.voiceMessagesPlaylistMap.remove(lastFile.getId());
                            if (this.voiceMessagesPlaylist.isEmpty()) {
                                this.voiceMessagesPlaylist = null;
                                this.voiceMessagesPlaylistMap = null;
                            }
                        }
                    }
                    this.voiceMessagesPlaylist = null;
                    this.voiceMessagesPlaylistMap = null;
                }
                ArrayList<MessageObject> arrayList2 = this.voiceMessagesPlaylist;
                if (arrayList2 != null && index < arrayList2.size()) {
                    MessageObject nextVoiceMessage = this.voiceMessagesPlaylist.get(index);
                    playMessage(nextVoiceMessage);
                    if (!nextVoiceMessage.isRoundVideo() && (pipRoundVideoView = this.pipRoundVideoView) != null) {
                        pipRoundVideoView.close(true);
                        this.pipRoundVideoView = null;
                    }
                } else {
                    if ((lastFile.isVoice() || lastFile.isRoundVideo()) && lastFile.getId() != 0) {
                        startRecordingIfFromSpeaker();
                    }
                    NotificationCenter.getInstance(lastFile.currentAccount).postNotificationName(NotificationCenter.messagePlayingDidReset, Integer.valueOf(lastFile.getId()), Boolean.valueOf(stopService));
                    this.pipSwitchingState = 0;
                    PipRoundVideoView pipRoundVideoView2 = this.pipRoundVideoView;
                    if (pipRoundVideoView2 != null) {
                        pipRoundVideoView2.close(true);
                        this.pipRoundVideoView = null;
                    }
                }
            }
            if (stopService) {
                Intent intent = new Intent(ApplicationLoader.applicationContext, MusicPlayerService.class);
                ApplicationLoader.applicationContext.stopService(intent);
            }
        }
    }

    public boolean isGoingToShowMessageObject(MessageObject messageObject) {
        return this.goingToShowMessageObject == messageObject;
    }

    public void resetGoingToShowMessageObject() {
        this.goingToShowMessageObject = null;
    }

    private boolean isSamePlayingMessage(MessageObject messageObject) {
        MessageObject messageObject2 = this.playingMessageObject;
        if (messageObject2 != null && messageObject2.getDialogId() == messageObject.getDialogId() && this.playingMessageObject.getId() == messageObject.getId()) {
            return ((this.playingMessageObject.eventId > 0L ? 1 : (this.playingMessageObject.eventId == 0L ? 0 : -1)) == 0) == ((messageObject.eventId > 0L ? 1 : (messageObject.eventId == 0L ? 0 : -1)) == 0);
        }
        return false;
    }

    public boolean seekToProgress(MessageObject messageObject, float progress) {
        if ((this.audioPlayer == null && this.videoPlayer == null) || messageObject == null || this.playingMessageObject == null || !isSamePlayingMessage(messageObject)) {
            return false;
        }
        try {
            VideoPlayer videoPlayer = this.audioPlayer;
            if (videoPlayer != null) {
                long duration = videoPlayer.getDuration();
                if (duration == C.TIME_UNSET) {
                    this.seekToProgressPending = progress;
                } else {
                    int seekTo = (int) (((float) duration) * progress);
                    this.audioPlayer.seekTo(seekTo);
                    this.lastProgress = seekTo;
                }
            } else {
                VideoPlayer videoPlayer2 = this.videoPlayer;
                if (videoPlayer2 != null) {
                    videoPlayer2.seekTo(((float) videoPlayer2.getDuration()) * progress);
                }
            }
            NotificationCenter.getInstance(messageObject.currentAccount).postNotificationName(NotificationCenter.messagePlayingDidSeek, Integer.valueOf(this.playingMessageObject.getId()), Float.valueOf(progress));
            return true;
        } catch (Exception e) {
            FileLog.e(e);
            return false;
        }
    }

    public MessageObject getPlayingMessageObject() {
        return this.playingMessageObject;
    }

    public int getPlayingMessageObjectNum() {
        return this.currentPlaylistNum;
    }

    private void buildShuffledPlayList() {
        if (this.playlist.isEmpty()) {
            return;
        }
        ArrayList<MessageObject> all = new ArrayList<>(this.playlist);
        this.shuffledPlaylist.clear();
        MessageObject messageObject = this.playlist.get(this.currentPlaylistNum);
        all.remove(this.currentPlaylistNum);
        this.shuffledPlaylist.add(messageObject);
        int count = all.size();
        for (int a2 = 0; a2 < count; a2++) {
            int index = Utilities.random.nextInt(all.size());
            this.shuffledPlaylist.add(all.get(index));
            all.remove(index);
        }
    }

    public boolean setPlaylist(ArrayList<MessageObject> messageObjects, MessageObject current) {
        return setPlaylist(messageObjects, current, true);
    }

    public boolean setPlaylist(ArrayList<MessageObject> messageObjects, MessageObject current, boolean loadMusic) {
        if (this.playingMessageObject == current) {
            return playMessage(current);
        }
        this.forceLoopCurrentPlaylist = !loadMusic;
        this.playMusicAgain = !this.playlist.isEmpty();
        this.playlist.clear();
        for (int a2 = messageObjects.size() - 1; a2 >= 0; a2--) {
            MessageObject messageObject = messageObjects.get(a2);
            if (messageObject.isMusic()) {
                this.playlist.add(messageObject);
            }
        }
        int indexOf = this.playlist.indexOf(current);
        this.currentPlaylistNum = indexOf;
        if (indexOf == -1) {
            this.playlist.clear();
            this.shuffledPlaylist.clear();
            this.currentPlaylistNum = this.playlist.size();
            this.playlist.add(current);
        }
        if (current.isMusic() && !current.scheduled) {
            if (SharedConfig.shuffleMusic) {
                buildShuffledPlayList();
                this.currentPlaylistNum = 0;
            }
            if (loadMusic) {
                MediaDataController.getInstance(current.currentAccount).loadMusic(current.getDialogId(), this.playlist.get(0).getIdWithChannel());
            }
        }
        return playMessage(current);
    }

    public void playNextMessage() {
        playNextMessageWithoutOrder(false);
    }

    public boolean findMessageInPlaylistAndPlay(MessageObject messageObject) {
        int index = this.playlist.indexOf(messageObject);
        if (index == -1) {
            return playMessage(messageObject);
        }
        playMessageAtIndex(index);
        return true;
    }

    public void playMessageAtIndex(int index) {
        int i = this.currentPlaylistNum;
        if (i < 0 || i >= this.playlist.size()) {
            return;
        }
        this.currentPlaylistNum = index;
        this.playMusicAgain = true;
        MessageObject messageObject = this.playingMessageObject;
        if (messageObject != null) {
            messageObject.resetPlayingProgress();
        }
        playMessage(this.playlist.get(this.currentPlaylistNum));
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void playNextMessageWithoutOrder(boolean byStop) {
        ArrayList<MessageObject> currentPlayList = SharedConfig.shuffleMusic ? this.shuffledPlaylist : this.playlist;
        if (byStop && ((SharedConfig.repeatMode == 2 || (SharedConfig.repeatMode == 1 && currentPlayList.size() == 1)) && !this.forceLoopCurrentPlaylist)) {
            cleanupPlayer(false, false);
            MessageObject messageObject = currentPlayList.get(this.currentPlaylistNum);
            messageObject.audioProgress = 0.0f;
            messageObject.audioProgressSec = 0;
            playMessage(messageObject);
            return;
        }
        boolean last = false;
        if (SharedConfig.playOrderReversed) {
            int i = this.currentPlaylistNum + 1;
            this.currentPlaylistNum = i;
            if (i >= currentPlayList.size()) {
                this.currentPlaylistNum = 0;
                last = true;
            }
        } else {
            int i2 = this.currentPlaylistNum - 1;
            this.currentPlaylistNum = i2;
            if (i2 < 0) {
                this.currentPlaylistNum = currentPlayList.size() - 1;
                last = true;
            }
        }
        if (last && byStop && SharedConfig.repeatMode == 0 && !this.forceLoopCurrentPlaylist) {
            VideoPlayer videoPlayer = this.audioPlayer;
            if (videoPlayer != null || this.videoPlayer != null) {
                if (videoPlayer != null) {
                    try {
                        videoPlayer.releasePlayer(true);
                    } catch (Exception e) {
                        FileLog.e(e);
                    }
                    this.audioPlayer = null;
                } else {
                    VideoPlayer videoPlayer2 = this.videoPlayer;
                    if (videoPlayer2 != null) {
                        this.currentAspectRatioFrameLayout = null;
                        this.currentTextureViewContainer = null;
                        this.currentAspectRatioFrameLayoutReady = false;
                        this.currentTextureView = null;
                        videoPlayer2.releasePlayer(true);
                        this.videoPlayer = null;
                        try {
                            this.baseActivity.getWindow().clearFlags(128);
                        } catch (Exception e2) {
                            FileLog.e(e2);
                        }
                        AndroidUtilities.cancelRunOnUIThread(this.setLoadingRunnable);
                        FileLoader.getInstance(this.playingMessageObject.currentAccount).removeLoadingVideo(this.playingMessageObject.getDocument(), true, false);
                    }
                }
                stopProgressTimer();
                this.lastProgress = 0L;
                this.isPaused = true;
                this.playingMessageObject.audioProgress = 0.0f;
                this.playingMessageObject.audioProgressSec = 0;
                NotificationCenter.getInstance(this.playingMessageObject.currentAccount).postNotificationName(NotificationCenter.messagePlayingProgressDidChanged, Integer.valueOf(this.playingMessageObject.getId()), 0);
                NotificationCenter.getInstance(this.playingMessageObject.currentAccount).postNotificationName(NotificationCenter.messagePlayingPlayStateChanged, Integer.valueOf(this.playingMessageObject.getId()));
                return;
            }
            return;
        }
        int i3 = this.currentPlaylistNum;
        if (i3 < 0 || i3 >= currentPlayList.size()) {
            return;
        }
        MessageObject messageObject2 = this.playingMessageObject;
        if (messageObject2 != null) {
            messageObject2.resetPlayingProgress();
        }
        this.playMusicAgain = true;
        playMessage(currentPlayList.get(this.currentPlaylistNum));
    }

    public void playPreviousMessage() {
        int i;
        ArrayList<MessageObject> currentPlayList = SharedConfig.shuffleMusic ? this.shuffledPlaylist : this.playlist;
        if (currentPlayList.isEmpty() || (i = this.currentPlaylistNum) < 0 || i >= currentPlayList.size()) {
            return;
        }
        MessageObject currentSong = currentPlayList.get(this.currentPlaylistNum);
        if (currentSong.audioProgressSec > 10) {
            seekToProgress(currentSong, 0.0f);
            return;
        }
        if (SharedConfig.playOrderReversed) {
            int i2 = this.currentPlaylistNum - 1;
            this.currentPlaylistNum = i2;
            if (i2 < 0) {
                this.currentPlaylistNum = currentPlayList.size() - 1;
            }
        } else {
            int i3 = this.currentPlaylistNum + 1;
            this.currentPlaylistNum = i3;
            if (i3 >= currentPlayList.size()) {
                this.currentPlaylistNum = 0;
            }
        }
        int i4 = this.currentPlaylistNum;
        if (i4 < 0 || i4 >= currentPlayList.size()) {
            return;
        }
        this.playMusicAgain = true;
        playMessage(currentPlayList.get(this.currentPlaylistNum));
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public void checkIsNextMediaFileDownloaded() {
        MessageObject messageObject = this.playingMessageObject;
        if (messageObject == null || !messageObject.isMusic()) {
            return;
        }
        checkIsNextMusicFileDownloaded(this.playingMessageObject.currentAccount);
    }

    private void checkIsNextVoiceFileDownloaded(int currentAccount) {
        ArrayList<MessageObject> arrayList = this.voiceMessagesPlaylist;
        if (arrayList == null || arrayList.size() < 2) {
            return;
        }
        MessageObject nextAudio = this.voiceMessagesPlaylist.get(1);
        File file = null;
        if (nextAudio.messageOwner.attachPath != null && nextAudio.messageOwner.attachPath.length() > 0) {
            file = new File(nextAudio.messageOwner.attachPath);
            if (!file.exists()) {
                file = null;
            }
        }
        File cacheFile = file != null ? file : FileLoader.getPathToMessage(nextAudio.messageOwner);
        if (cacheFile == null || !cacheFile.exists()) {
        }
        if (cacheFile != null && cacheFile != file && !cacheFile.exists()) {
            FileLoader.getInstance(currentAccount).loadFile(nextAudio.getDocument(), nextAudio, 0, 0);
        }
    }

    private void checkIsNextMusicFileDownloaded(int currentAccount) {
        int nextIndex;
        if (!DownloadController.getInstance(currentAccount).canDownloadNextTrack()) {
            return;
        }
        ArrayList<MessageObject> currentPlayList = SharedConfig.shuffleMusic ? this.shuffledPlaylist : this.playlist;
        if (currentPlayList == null || currentPlayList.size() < 2) {
            return;
        }
        if (SharedConfig.playOrderReversed) {
            nextIndex = this.currentPlaylistNum + 1;
            if (nextIndex >= currentPlayList.size()) {
                nextIndex = 0;
            }
        } else {
            nextIndex = this.currentPlaylistNum - 1;
            if (nextIndex < 0) {
                nextIndex = currentPlayList.size() - 1;
            }
        }
        if (nextIndex < 0 || nextIndex >= currentPlayList.size()) {
            return;
        }
        MessageObject nextAudio = currentPlayList.get(nextIndex);
        File file = null;
        if (!TextUtils.isEmpty(nextAudio.messageOwner.attachPath)) {
            file = new File(nextAudio.messageOwner.attachPath);
            if (!file.exists()) {
                file = null;
            }
        }
        File cacheFile = file != null ? file : FileLoader.getPathToMessage(nextAudio.messageOwner);
        if (cacheFile == null || !cacheFile.exists()) {
        }
        if (cacheFile != null && cacheFile != file && !cacheFile.exists() && nextAudio.isMusic()) {
            FileLoader.getInstance(currentAccount).loadFile(nextAudio.getDocument(), nextAudio, 0, 0);
        }
    }

    public void setVoiceMessagesPlaylist(ArrayList<MessageObject> playlist, boolean unread) {
        this.voiceMessagesPlaylist = playlist;
        if (playlist != null) {
            this.voiceMessagesPlaylistUnread = unread;
            this.voiceMessagesPlaylistMap = new SparseArray<>();
            for (int a2 = 0; a2 < this.voiceMessagesPlaylist.size(); a2++) {
                MessageObject messageObject = this.voiceMessagesPlaylist.get(a2);
                this.voiceMessagesPlaylistMap.put(messageObject.getId(), messageObject);
            }
        }
    }

    private void checkAudioFocus(MessageObject messageObject) {
        int neededAudioFocus;
        int result;
        if (messageObject.isVoice() || messageObject.isRoundVideo()) {
            if (this.useFrontSpeaker) {
                neededAudioFocus = 3;
            } else {
                neededAudioFocus = 2;
            }
        } else {
            neededAudioFocus = 1;
        }
        if (this.hasAudioFocus != neededAudioFocus) {
            this.hasAudioFocus = neededAudioFocus;
            if (neededAudioFocus != 3) {
                result = NotificationsController.audioManager.requestAudioFocus(this, 3, neededAudioFocus == 2 ? 3 : 1);
            } else {
                result = NotificationsController.audioManager.requestAudioFocus(this, 0, 1);
            }
            if (result == 1) {
                this.audioFocus = 2;
            }
        }
    }

    public void setCurrentVideoVisible(boolean visible) {
        AspectRatioFrameLayout aspectRatioFrameLayout = this.currentAspectRatioFrameLayout;
        if (aspectRatioFrameLayout == null) {
            return;
        }
        if (visible) {
            PipRoundVideoView pipRoundVideoView = this.pipRoundVideoView;
            if (pipRoundVideoView != null) {
                this.pipSwitchingState = 2;
                pipRoundVideoView.close(true);
                this.pipRoundVideoView = null;
            } else if (aspectRatioFrameLayout != null) {
                if (aspectRatioFrameLayout.getParent() == null) {
                    this.currentTextureViewContainer.addView(this.currentAspectRatioFrameLayout);
                }
                this.videoPlayer.setTextureView(this.currentTextureView);
            }
        } else if (aspectRatioFrameLayout.getParent() != null) {
            this.pipSwitchingState = 1;
            this.currentTextureViewContainer.removeView(this.currentAspectRatioFrameLayout);
        } else {
            if (this.pipRoundVideoView == null) {
                try {
                    PipRoundVideoView pipRoundVideoView2 = new PipRoundVideoView();
                    this.pipRoundVideoView = pipRoundVideoView2;
                    pipRoundVideoView2.show(this.baseActivity, new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda24
                        @Override // java.lang.Runnable
                        public final void run() {
                            MediaController.this.m319xda65ed12();
                        }
                    });
                } catch (Exception e) {
                    this.pipRoundVideoView = null;
                }
            }
            PipRoundVideoView pipRoundVideoView3 = this.pipRoundVideoView;
            if (pipRoundVideoView3 != null) {
                this.videoPlayer.setTextureView(pipRoundVideoView3.getTextureView());
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$setCurrentVideoVisible$8$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m319xda65ed12() {
        cleanupPlayer(true, true);
    }

    public void setTextureView(TextureView textureView, AspectRatioFrameLayout aspectRatioFrameLayout, FrameLayout container, boolean set) {
        if (textureView == null) {
            return;
        }
        boolean z = true;
        if (!set && this.currentTextureView == textureView) {
            this.pipSwitchingState = 1;
            this.currentTextureView = null;
            this.currentAspectRatioFrameLayout = null;
            this.currentTextureViewContainer = null;
        } else if (this.videoPlayer == null || textureView == this.currentTextureView) {
        } else {
            this.isDrawingWasReady = (aspectRatioFrameLayout == null || !aspectRatioFrameLayout.isDrawingReady()) ? false : false;
            this.currentTextureView = textureView;
            PipRoundVideoView pipRoundVideoView = this.pipRoundVideoView;
            if (pipRoundVideoView != null) {
                this.videoPlayer.setTextureView(pipRoundVideoView.getTextureView());
            } else {
                this.videoPlayer.setTextureView(textureView);
            }
            this.currentAspectRatioFrameLayout = aspectRatioFrameLayout;
            this.currentTextureViewContainer = container;
            if (this.currentAspectRatioFrameLayoutReady && aspectRatioFrameLayout != null && aspectRatioFrameLayout != null) {
                aspectRatioFrameLayout.setAspectRatio(this.currentAspectRatioFrameLayoutRatio, this.currentAspectRatioFrameLayoutRotation);
            }
        }
    }

    public boolean hasFlagSecureFragment() {
        return this.flagSecureFragment != null;
    }

    public void setFlagSecure(BaseFragment parentFragment, boolean set) {
        if (set) {
            try {
                parentFragment.getParentActivity().getWindow().setFlags(8192, 8192);
            } catch (Exception e) {
            }
            this.flagSecureFragment = parentFragment;
        } else if (this.flagSecureFragment == parentFragment) {
            try {
                parentFragment.getParentActivity().getWindow().clearFlags(8192);
            } catch (Exception e2) {
            }
            this.flagSecureFragment = null;
        }
    }

    public void setBaseActivity(Activity activity, boolean set) {
        if (set) {
            this.baseActivity = activity;
        } else if (this.baseActivity == activity) {
            this.baseActivity = null;
        }
    }

    public void setFeedbackView(View view, boolean set) {
        if (set) {
            this.feedbackView = view;
        } else if (this.feedbackView == view) {
            this.feedbackView = null;
        }
    }

    public void setPlaybackSpeed(float speed) {
        this.currentPlaybackSpeed = speed;
        VideoPlayer videoPlayer = this.audioPlayer;
        if (videoPlayer != null) {
            videoPlayer.setPlaybackSpeed(speed);
        } else {
            VideoPlayer videoPlayer2 = this.videoPlayer;
            if (videoPlayer2 != null) {
                videoPlayer2.setPlaybackSpeed(speed);
            }
        }
        MessagesController.getGlobalMainSettings().edit().putFloat("playbackSpeed", speed).commit();
    }

    public float getPlaybackSpeed() {
        return this.currentPlaybackSpeed;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void updateVideoState(MessageObject messageObject, int[] playCount, boolean destroyAtEnd, boolean playWhenReady, int playbackState) {
        MessageObject messageObject2;
        if (this.videoPlayer == null) {
            return;
        }
        if (playbackState == 4 || playbackState == 1) {
            try {
                this.baseActivity.getWindow().clearFlags(128);
            } catch (Exception e) {
                FileLog.e(e);
            }
        } else {
            try {
                this.baseActivity.getWindow().addFlags(128);
            } catch (Exception e2) {
                FileLog.e(e2);
            }
        }
        if (playbackState == 3) {
            this.playerWasReady = true;
            MessageObject messageObject3 = this.playingMessageObject;
            if (messageObject3 != null && (messageObject3.isVideo() || this.playingMessageObject.isRoundVideo())) {
                AndroidUtilities.cancelRunOnUIThread(this.setLoadingRunnable);
                FileLoader.getInstance(messageObject.currentAccount).removeLoadingVideo(this.playingMessageObject.getDocument(), true, false);
            }
            this.currentAspectRatioFrameLayoutReady = true;
        } else if (playbackState == 2) {
            if (!playWhenReady || (messageObject2 = this.playingMessageObject) == null) {
                return;
            }
            if (messageObject2.isVideo() || this.playingMessageObject.isRoundVideo()) {
                if (this.playerWasReady) {
                    this.setLoadingRunnable.run();
                } else {
                    AndroidUtilities.runOnUIThread(this.setLoadingRunnable, 1000L);
                }
            }
        } else if (this.videoPlayer.isPlaying() && playbackState == 4) {
            if (this.playingMessageObject.isVideo() && !destroyAtEnd && (playCount == null || playCount[0] < 4)) {
                this.videoPlayer.seekTo(0L);
                if (playCount != null) {
                    playCount[0] = playCount[0] + 1;
                    return;
                }
                return;
            }
            cleanupPlayer(true, true, true, false);
        }
    }

    public void injectVideoPlayer(VideoPlayer player, MessageObject messageObject) {
        if (player == null || messageObject == null) {
            return;
        }
        FileLoader.getInstance(messageObject.currentAccount).setLoadingVideoForPlayer(messageObject.getDocument(), true);
        this.playerWasReady = false;
        this.playlist.clear();
        this.shuffledPlaylist.clear();
        this.videoPlayer = player;
        this.playingMessageObject = messageObject;
        player.setDelegate(new AnonymousClass5(messageObject, null, true));
        this.currentAspectRatioFrameLayoutReady = false;
        TextureView textureView = this.currentTextureView;
        if (textureView != null) {
            this.videoPlayer.setTextureView(textureView);
        }
        checkAudioFocus(messageObject);
        setPlayerVolume();
        this.isPaused = false;
        this.lastProgress = 0L;
        this.playingMessageObject = messageObject;
        if (!SharedConfig.raiseToSpeak) {
            startRaiseToEarSensors(this.raiseChat);
        }
        startProgressTimer(this.playingMessageObject);
        NotificationCenter.getInstance(messageObject.currentAccount).postNotificationName(NotificationCenter.messagePlayingDidStart, messageObject);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: im.uecahxyvjd.messenger.MediaController$5  reason: invalid class name */
    /* loaded from: classes16.dex */
    public class AnonymousClass5 implements VideoPlayer.VideoPlayerDelegate {
        final /* synthetic */ boolean val$destroyAtEnd;
        final /* synthetic */ MessageObject val$messageObject;
        final /* synthetic */ int[] val$playCount;

        AnonymousClass5(MessageObject messageObject, int[] iArr, boolean z) {
            this.val$messageObject = messageObject;
            this.val$playCount = iArr;
            this.val$destroyAtEnd = z;
        }

        @Override // im.uecahxyvjd.ui.components.VideoPlayer.VideoPlayerDelegate
        public void onStateChanged(boolean playWhenReady, int playbackState) {
            MediaController.this.updateVideoState(this.val$messageObject, this.val$playCount, this.val$destroyAtEnd, playWhenReady, playbackState);
        }

        @Override // im.uecahxyvjd.ui.components.VideoPlayer.VideoPlayerDelegate
        public void onError(Exception e) {
            FileLog.e(e);
        }

        @Override // im.uecahxyvjd.ui.components.VideoPlayer.VideoPlayerDelegate
        public void onVideoSizeChanged(int width, int height, int unappliedRotationDegrees, float pixelWidthHeightRatio) {
            MediaController.this.currentAspectRatioFrameLayoutRotation = unappliedRotationDegrees;
            if (unappliedRotationDegrees == 90 || unappliedRotationDegrees == 270) {
                width = height;
                height = width;
            }
            MediaController.this.currentAspectRatioFrameLayoutRatio = height == 0 ? 1.0f : (width * pixelWidthHeightRatio) / height;
            if (MediaController.this.currentAspectRatioFrameLayout != null) {
                MediaController.this.currentAspectRatioFrameLayout.setAspectRatio(MediaController.this.currentAspectRatioFrameLayoutRatio, MediaController.this.currentAspectRatioFrameLayoutRotation);
            }
        }

        @Override // im.uecahxyvjd.ui.components.VideoPlayer.VideoPlayerDelegate
        public void onRenderedFirstFrame() {
            if (MediaController.this.currentAspectRatioFrameLayout != null && !MediaController.this.currentAspectRatioFrameLayout.isDrawingReady()) {
                MediaController.this.isDrawingWasReady = true;
                MediaController.this.currentAspectRatioFrameLayout.setDrawingReady(true);
                MediaController.this.currentTextureViewContainer.setTag(1);
            }
        }

        @Override // im.uecahxyvjd.ui.components.VideoPlayer.VideoPlayerDelegate
        public boolean onSurfaceDestroyed(SurfaceTexture surfaceTexture) {
            if (MediaController.this.videoPlayer == null) {
                return false;
            }
            if (MediaController.this.pipSwitchingState == 2) {
                if (MediaController.this.currentAspectRatioFrameLayout != null) {
                    if (MediaController.this.isDrawingWasReady) {
                        MediaController.this.currentAspectRatioFrameLayout.setDrawingReady(true);
                    }
                    if (MediaController.this.currentAspectRatioFrameLayout.getParent() == null) {
                        MediaController.this.currentTextureViewContainer.addView(MediaController.this.currentAspectRatioFrameLayout);
                    }
                    if (MediaController.this.currentTextureView.getSurfaceTexture() != surfaceTexture) {
                        MediaController.this.currentTextureView.setSurfaceTexture(surfaceTexture);
                    }
                    MediaController.this.videoPlayer.setTextureView(MediaController.this.currentTextureView);
                }
                MediaController.this.pipSwitchingState = 0;
                return true;
            } else if (MediaController.this.pipSwitchingState == 1) {
                if (MediaController.this.baseActivity != null) {
                    if (MediaController.this.pipRoundVideoView == null) {
                        try {
                            MediaController.this.pipRoundVideoView = new PipRoundVideoView();
                            MediaController.this.pipRoundVideoView.show(MediaController.this.baseActivity, new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$5$$ExternalSyntheticLambda0
                                @Override // java.lang.Runnable
                                public final void run() {
                                    MediaController.AnonymousClass5.this.m337x5af8ba38();
                                }
                            });
                        } catch (Exception e) {
                            MediaController.this.pipRoundVideoView = null;
                        }
                    }
                    if (MediaController.this.pipRoundVideoView != null) {
                        if (MediaController.this.pipRoundVideoView.getTextureView().getSurfaceTexture() != surfaceTexture) {
                            MediaController.this.pipRoundVideoView.getTextureView().setSurfaceTexture(surfaceTexture);
                        }
                        MediaController.this.videoPlayer.setTextureView(MediaController.this.pipRoundVideoView.getTextureView());
                    }
                }
                MediaController.this.pipSwitchingState = 0;
                return true;
            } else if (PhotoViewer.hasInstance() && PhotoViewer.getInstance().isInjectingVideoPlayer()) {
                PhotoViewer.getInstance().injectVideoPlayerSurface(surfaceTexture);
                return true;
            } else {
                return false;
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onSurfaceDestroyed$0$im-uecahxyvjd-messenger-MediaController$5  reason: not valid java name */
        public /* synthetic */ void m337x5af8ba38() {
            MediaController.this.cleanupPlayer(true, true);
        }

        @Override // im.uecahxyvjd.ui.components.VideoPlayer.VideoPlayerDelegate
        public void onSurfaceTextureUpdated(SurfaceTexture surfaceTexture) {
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:127:0x02c8  */
    /* JADX WARN: Removed duplicated region for block: B:128:0x02cd  */
    /* JADX WARN: Removed duplicated region for block: B:131:0x02dc  */
    /* JADX WARN: Removed duplicated region for block: B:168:0x03a4  */
    /* JADX WARN: Removed duplicated region for block: B:175:0x03c4  */
    /* JADX WARN: Removed duplicated region for block: B:191:0x0487  */
    /* JADX WARN: Removed duplicated region for block: B:198:0x049f  */
    /* JADX WARN: Removed duplicated region for block: B:202:0x04b9  */
    /* JADX WARN: Removed duplicated region for block: B:218:0x054b  */
    /* JADX WARN: Removed duplicated region for block: B:231:0x05a4  */
    /* JADX WARN: Removed duplicated region for block: B:246:0x04e0 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean playMessage(final MessageObject messageObject) {
        File file;
        boolean exists;
        boolean exists2;
        File file2;
        boolean isVideo;
        String str;
        String str2;
        String str3;
        MessageObject messageObject2;
        String str4;
        int reference;
        TLRPC.Document document;
        File file3;
        VideoPlayer videoPlayer;
        if (messageObject == null) {
            return false;
        }
        if ((this.audioPlayer != null || this.videoPlayer != null) && isSamePlayingMessage(messageObject)) {
            if (this.isPaused) {
                resumeAudio(messageObject);
            }
            if (!SharedConfig.raiseToSpeak) {
                startRaiseToEarSensors(this.raiseChat);
            }
            return true;
        }
        if (!messageObject.isOut() && messageObject.isContentUnread()) {
            MessagesController.getInstance(messageObject.currentAccount).markMessageContentAsRead(messageObject);
        }
        boolean z = this.playMusicAgain;
        boolean notify = !z;
        MessageObject messageObject3 = this.playingMessageObject;
        if (messageObject3 != null) {
            notify = false;
            if (!z) {
                messageObject3.resetPlayingProgress();
            }
        }
        cleanupPlayer(notify, false);
        this.playMusicAgain = false;
        this.seekToProgressPending = 0.0f;
        if (messageObject.messageOwner.attachPath == null || messageObject.messageOwner.attachPath.length() <= 0) {
            file = null;
            exists = false;
        } else {
            File file4 = new File(messageObject.messageOwner.attachPath);
            boolean exists3 = file4.exists();
            if (exists3) {
                file = file4;
                exists = exists3;
            } else {
                file = null;
                exists = exists3;
            }
        }
        final File cacheFile = file != null ? file : FileLoader.getPathToMessage(messageObject.messageOwner);
        boolean canStream = SharedConfig.streamMedia && (messageObject.isMusic() || messageObject.isRoundVideo() || (messageObject.isVideo() && messageObject.canStreamVideo())) && ((int) messageObject.getDialogId()) != 0;
        if (cacheFile == null || cacheFile == file) {
            exists2 = exists;
        } else {
            boolean exists4 = cacheFile.exists();
            exists2 = exists4;
            if (!exists4 && !canStream) {
                FileLoader.getInstance(messageObject.currentAccount).loadFile(messageObject.getDocument(), messageObject, 0, 0);
                this.downloadingCurrentMessage = true;
                this.isPaused = false;
                this.lastProgress = 0L;
                this.audioInfo = null;
                this.playingMessageObject = messageObject;
                if (messageObject.isMusic()) {
                    Intent intent = new Intent(ApplicationLoader.applicationContext, MusicPlayerService.class);
                    try {
                        ApplicationLoader.applicationContext.startService(intent);
                    } catch (Throwable e) {
                        FileLog.e(e);
                    }
                } else {
                    Intent intent2 = new Intent(ApplicationLoader.applicationContext, MusicPlayerService.class);
                    ApplicationLoader.applicationContext.stopService(intent2);
                }
                NotificationCenter.getInstance(this.playingMessageObject.currentAccount).postNotificationName(NotificationCenter.messagePlayingPlayStateChanged, Integer.valueOf(this.playingMessageObject.getId()));
                return true;
            }
        }
        this.downloadingCurrentMessage = false;
        if (messageObject.isMusic()) {
            checkIsNextMusicFileDownloaded(messageObject.currentAccount);
        } else {
            checkIsNextVoiceFileDownloaded(messageObject.currentAccount);
        }
        AspectRatioFrameLayout aspectRatioFrameLayout = this.currentAspectRatioFrameLayout;
        if (aspectRatioFrameLayout != null) {
            this.isDrawingWasReady = false;
            aspectRatioFrameLayout.setDrawingReady(false);
        }
        boolean isVideo2 = messageObject.isVideo();
        if (messageObject.isRoundVideo()) {
            file2 = file;
            isVideo = isVideo2;
            str = "hchat://";
            str2 = "&reference=";
            str3 = "&name=";
        } else if (isVideo2) {
            file2 = file;
            isVideo = isVideo2;
            str = "hchat://";
            str2 = "&reference=";
            str3 = "&name=";
        } else {
            PipRoundVideoView pipRoundVideoView = this.pipRoundVideoView;
            if (pipRoundVideoView != null) {
                pipRoundVideoView.close(true);
                this.pipRoundVideoView = null;
            }
            try {
                VideoPlayer videoPlayer2 = new VideoPlayer();
                this.audioPlayer = videoPlayer2;
                videoPlayer2.setDelegate(new VideoPlayer.VideoPlayerDelegate() { // from class: im.uecahxyvjd.messenger.MediaController.7
                    @Override // im.uecahxyvjd.ui.components.VideoPlayer.VideoPlayerDelegate
                    public void onStateChanged(boolean playWhenReady, int playbackState) {
                        if (playbackState == 4 || ((playbackState == 1 || playbackState == 2) && playWhenReady && messageObject.audioProgress >= 0.999f)) {
                            if (!MediaController.this.playlist.isEmpty() && (MediaController.this.playlist.size() > 1 || !messageObject.isVoice())) {
                                MediaController.this.playNextMessageWithoutOrder(true);
                                return;
                            }
                            MediaController mediaController = MediaController.this;
                            MessageObject messageObject4 = messageObject;
                            mediaController.cleanupPlayer(true, true, messageObject4 != null && messageObject4.isVoice(), false);
                        } else if (MediaController.this.seekToProgressPending != 0.0f) {
                            if (playbackState == 3 || playbackState == 1) {
                                int seekTo = (int) (((float) MediaController.this.audioPlayer.getDuration()) * MediaController.this.seekToProgressPending);
                                MediaController.this.audioPlayer.seekTo(seekTo);
                                MediaController.this.lastProgress = seekTo;
                                MediaController.this.seekToProgressPending = 0.0f;
                            }
                        }
                    }

                    @Override // im.uecahxyvjd.ui.components.VideoPlayer.VideoPlayerDelegate
                    public void onError(Exception e2) {
                    }

                    @Override // im.uecahxyvjd.ui.components.VideoPlayer.VideoPlayerDelegate
                    public void onVideoSizeChanged(int width, int height, int unappliedRotationDegrees, float pixelWidthHeightRatio) {
                    }

                    @Override // im.uecahxyvjd.ui.components.VideoPlayer.VideoPlayerDelegate
                    public void onRenderedFirstFrame() {
                    }

                    @Override // im.uecahxyvjd.ui.components.VideoPlayer.VideoPlayerDelegate
                    public void onSurfaceTextureUpdated(SurfaceTexture surfaceTexture) {
                    }

                    @Override // im.uecahxyvjd.ui.components.VideoPlayer.VideoPlayerDelegate
                    public boolean onSurfaceDestroyed(SurfaceTexture surfaceTexture) {
                        return false;
                    }
                });
                if (exists2) {
                    try {
                        if (!messageObject.mediaExists && cacheFile != file) {
                            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda8
                                @Override // java.lang.Runnable
                                public final void run() {
                                    NotificationCenter.getInstance(r0.currentAccount).postNotificationName(NotificationCenter.fileDidLoad, FileLoader.getAttachFileName(MessageObject.this.getDocument()), cacheFile);
                                }
                            });
                        }
                        this.audioPlayer.preparePlayer(Uri.fromFile(cacheFile), "other");
                    } catch (Exception e2) {
                        e = e2;
                        FileLog.e(e);
                        NotificationCenter notificationCenter = NotificationCenter.getInstance(messageObject.currentAccount);
                        int i = NotificationCenter.messagePlayingPlayStateChanged;
                        Object[] objArr = new Object[1];
                        MessageObject messageObject4 = this.playingMessageObject;
                        objArr[0] = Integer.valueOf(messageObject4 == null ? messageObject4.getId() : 0);
                        notificationCenter.postNotificationName(i, objArr);
                        videoPlayer = this.audioPlayer;
                        if (videoPlayer != null) {
                            videoPlayer.releasePlayer(true);
                            this.audioPlayer = null;
                            this.isPaused = false;
                            this.playingMessageObject = null;
                            this.downloadingCurrentMessage = false;
                        }
                        return false;
                    }
                } else {
                    int reference2 = FileLoader.getInstance(messageObject.currentAccount).getFileReference(messageObject);
                    TLRPC.Document document2 = messageObject.getDocument();
                    try {
                        String params = "?account=" + messageObject.currentAccount + "&id=" + document2.id + "&hash=" + document2.access_hash + "&dc=" + document2.dc_id + "&size=" + document2.size + "&mime=" + URLEncoder.encode(document2.mime_type, "UTF-8") + "&rid=" + reference2 + "&name=" + URLEncoder.encode(FileLoader.getDocumentFileName(document2), "UTF-8") + "&reference=" + Utilities.bytesToHex(document2.file_reference != null ? document2.file_reference : new byte[0]);
                        Uri uri = Uri.parse("hchat://" + messageObject.getFileName() + params);
                        this.audioPlayer.preparePlayer(uri, "other");
                    } catch (Exception e3) {
                        e = e3;
                        FileLog.e(e);
                        NotificationCenter notificationCenter2 = NotificationCenter.getInstance(messageObject.currentAccount);
                        int i2 = NotificationCenter.messagePlayingPlayStateChanged;
                        Object[] objArr2 = new Object[1];
                        MessageObject messageObject42 = this.playingMessageObject;
                        objArr2[0] = Integer.valueOf(messageObject42 == null ? messageObject42.getId() : 0);
                        notificationCenter2.postNotificationName(i2, objArr2);
                        videoPlayer = this.audioPlayer;
                        if (videoPlayer != null) {
                        }
                        return false;
                    }
                }
                if (!messageObject.isVoice()) {
                    try {
                        this.audioInfo = AudioInfo.getAudioInfo(cacheFile);
                    } catch (Exception e4) {
                        FileLog.e(e4);
                    }
                } else {
                    float f = this.currentPlaybackSpeed;
                    if (f > 1.0f) {
                        this.audioPlayer.setPlaybackSpeed(f);
                    }
                    this.audioInfo = null;
                    this.playlist.clear();
                    this.shuffledPlaylist.clear();
                }
                this.audioPlayer.setStreamType(this.useFrontSpeaker ? 0 : 3);
                this.audioPlayer.play();
                checkAudioFocus(messageObject);
                setPlayerVolume();
                this.isPaused = false;
                this.lastProgress = 0L;
                this.playingMessageObject = messageObject;
                if (!SharedConfig.raiseToSpeak) {
                    startRaiseToEarSensors(this.raiseChat);
                }
                startProgressTimer(this.playingMessageObject);
                NotificationCenter.getInstance(messageObject.currentAccount).postNotificationName(NotificationCenter.messagePlayingDidStart, messageObject);
                if (this.videoPlayer == null) {
                    try {
                        if (this.playingMessageObject.audioProgress != 0.0f) {
                            long duration = this.videoPlayer.getDuration();
                            if (duration == C.TIME_UNSET) {
                                duration = this.playingMessageObject.getDuration() * 1000;
                            }
                            int seekTo = (int) (((float) duration) * this.playingMessageObject.audioProgress);
                            if (this.playingMessageObject.audioProgressMs != 0) {
                                seekTo = this.playingMessageObject.audioProgressMs;
                                this.playingMessageObject.audioProgressMs = 0;
                            }
                            this.videoPlayer.seekTo(seekTo);
                        }
                    } catch (Exception e22) {
                        this.playingMessageObject.audioProgress = 0.0f;
                        this.playingMessageObject.audioProgressSec = 0;
                        NotificationCenter.getInstance(messageObject.currentAccount).postNotificationName(NotificationCenter.messagePlayingProgressDidChanged, Integer.valueOf(this.playingMessageObject.getId()), 0);
                        FileLog.e(e22);
                    }
                    this.videoPlayer.play();
                } else if (this.audioPlayer != null) {
                    try {
                        if (this.playingMessageObject.audioProgress != 0.0f) {
                            long duration2 = this.audioPlayer.getDuration();
                            if (duration2 == C.TIME_UNSET) {
                                duration2 = this.playingMessageObject.getDuration() * 1000;
                            }
                            int seekTo2 = (int) (((float) duration2) * this.playingMessageObject.audioProgress);
                            this.audioPlayer.seekTo(seekTo2);
                        }
                    } catch (Exception e23) {
                        this.playingMessageObject.resetPlayingProgress();
                        NotificationCenter.getInstance(messageObject.currentAccount).postNotificationName(NotificationCenter.messagePlayingProgressDidChanged, Integer.valueOf(this.playingMessageObject.getId()), 0);
                        FileLog.e(e23);
                    }
                }
                messageObject2 = this.playingMessageObject;
                if (messageObject2 == null && messageObject2.isMusic()) {
                    Intent intent3 = new Intent(ApplicationLoader.applicationContext, MusicPlayerService.class);
                    try {
                        ApplicationLoader.applicationContext.startService(intent3);
                        return true;
                    } catch (Throwable e5) {
                        FileLog.e(e5);
                        return true;
                    }
                }
                Intent intent4 = new Intent(ApplicationLoader.applicationContext, MusicPlayerService.class);
                ApplicationLoader.applicationContext.stopService(intent4);
                return true;
            } catch (Exception e6) {
                e = e6;
            }
        }
        String str5 = str3;
        FileLoader.getInstance(messageObject.currentAccount).setLoadingVideoForPlayer(messageObject.getDocument(), true);
        this.playerWasReady = false;
        boolean destroyAtEnd = !isVideo || (messageObject.messageOwner.to_id.channel_id == 0 && messageObject.audioProgress <= 0.1f);
        int[] playCount = (!isVideo || messageObject.getDuration() > 30) ? null : new int[]{1};
        this.playlist.clear();
        this.shuffledPlaylist.clear();
        VideoPlayer videoPlayer3 = new VideoPlayer();
        this.videoPlayer = videoPlayer3;
        videoPlayer3.setDelegate(new AnonymousClass6(messageObject, playCount, destroyAtEnd));
        this.currentAspectRatioFrameLayoutReady = false;
        if (this.pipRoundVideoView == null) {
            MessagesController messagesController = MessagesController.getInstance(messageObject.currentAccount);
            str4 = "&mime=";
            long dialogId = messageObject.getDialogId();
            boolean destroyAtEnd2 = messageObject.scheduled;
            if (messagesController.isDialogVisible(dialogId, destroyAtEnd2)) {
                TextureView textureView = this.currentTextureView;
                if (textureView != null) {
                    this.videoPlayer.setTextureView(textureView);
                }
                if (!exists2) {
                    if (messageObject.mediaExists) {
                        file3 = file2;
                    } else {
                        file3 = file2;
                        if (cacheFile != file3) {
                            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda7
                                @Override // java.lang.Runnable
                                public final void run() {
                                    NotificationCenter.getInstance(r0.currentAccount).postNotificationName(NotificationCenter.fileDidLoad, FileLoader.getAttachFileName(MessageObject.this.getDocument()), cacheFile);
                                }
                            });
                        }
                    }
                    this.videoPlayer.preparePlayer(Uri.fromFile(cacheFile), "other");
                } else {
                    try {
                        reference = FileLoader.getInstance(messageObject.currentAccount).getFileReference(messageObject);
                        document = messageObject.getDocument();
                    } catch (Exception e7) {
                        e = e7;
                    }
                    try {
                        String params2 = "?account=" + messageObject.currentAccount + "&id=" + document.id + "&hash=" + document.access_hash + "&dc=" + document.dc_id + "&size=" + document.size + str4 + URLEncoder.encode(document.mime_type, "UTF-8") + "&rid=" + reference + str5 + URLEncoder.encode(FileLoader.getDocumentFileName(document), "UTF-8") + str2 + Utilities.bytesToHex(document.file_reference != null ? document.file_reference : new byte[0]);
                        Uri uri2 = Uri.parse(str + messageObject.getFileName() + params2);
                        this.videoPlayer.preparePlayer(uri2, "other");
                    } catch (Exception e8) {
                        e = e8;
                        FileLog.e(e);
                        if (messageObject.isRoundVideo()) {
                        }
                        checkAudioFocus(messageObject);
                        setPlayerVolume();
                        this.isPaused = false;
                        this.lastProgress = 0L;
                        this.playingMessageObject = messageObject;
                        if (!SharedConfig.raiseToSpeak) {
                        }
                        startProgressTimer(this.playingMessageObject);
                        NotificationCenter.getInstance(messageObject.currentAccount).postNotificationName(NotificationCenter.messagePlayingDidStart, messageObject);
                        if (this.videoPlayer == null) {
                        }
                        messageObject2 = this.playingMessageObject;
                        if (messageObject2 == null) {
                        }
                        Intent intent42 = new Intent(ApplicationLoader.applicationContext, MusicPlayerService.class);
                        ApplicationLoader.applicationContext.stopService(intent42);
                        return true;
                    }
                }
                if (messageObject.isRoundVideo()) {
                    this.videoPlayer.setStreamType(this.useFrontSpeaker ? 0 : 3);
                    float f2 = this.currentPlaybackSpeed;
                    if (f2 > 1.0f) {
                        this.videoPlayer.setPlaybackSpeed(f2);
                    }
                } else {
                    this.videoPlayer.setStreamType(3);
                }
                checkAudioFocus(messageObject);
                setPlayerVolume();
                this.isPaused = false;
                this.lastProgress = 0L;
                this.playingMessageObject = messageObject;
                if (!SharedConfig.raiseToSpeak) {
                }
                startProgressTimer(this.playingMessageObject);
                NotificationCenter.getInstance(messageObject.currentAccount).postNotificationName(NotificationCenter.messagePlayingDidStart, messageObject);
                if (this.videoPlayer == null) {
                }
                messageObject2 = this.playingMessageObject;
                if (messageObject2 == null) {
                }
                Intent intent422 = new Intent(ApplicationLoader.applicationContext, MusicPlayerService.class);
                ApplicationLoader.applicationContext.stopService(intent422);
                return true;
            }
        } else {
            str4 = "&mime=";
        }
        if (this.pipRoundVideoView == null) {
            try {
                PipRoundVideoView pipRoundVideoView2 = new PipRoundVideoView();
                this.pipRoundVideoView = pipRoundVideoView2;
                pipRoundVideoView2.show(this.baseActivity, new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda6
                    @Override // java.lang.Runnable
                    public final void run() {
                        MediaController.this.m317lambda$playMessage$9$imuecahxyvjdmessengerMediaController();
                    }
                });
            } catch (Exception e9) {
                this.pipRoundVideoView = null;
            }
        }
        PipRoundVideoView pipRoundVideoView3 = this.pipRoundVideoView;
        if (pipRoundVideoView3 != null) {
            this.videoPlayer.setTextureView(pipRoundVideoView3.getTextureView());
        }
        if (!exists2) {
        }
        if (messageObject.isRoundVideo()) {
        }
        checkAudioFocus(messageObject);
        setPlayerVolume();
        this.isPaused = false;
        this.lastProgress = 0L;
        this.playingMessageObject = messageObject;
        if (!SharedConfig.raiseToSpeak) {
        }
        startProgressTimer(this.playingMessageObject);
        NotificationCenter.getInstance(messageObject.currentAccount).postNotificationName(NotificationCenter.messagePlayingDidStart, messageObject);
        if (this.videoPlayer == null) {
        }
        messageObject2 = this.playingMessageObject;
        if (messageObject2 == null) {
        }
        Intent intent4222 = new Intent(ApplicationLoader.applicationContext, MusicPlayerService.class);
        ApplicationLoader.applicationContext.stopService(intent4222);
        return true;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: im.uecahxyvjd.messenger.MediaController$6  reason: invalid class name */
    /* loaded from: classes16.dex */
    public class AnonymousClass6 implements VideoPlayer.VideoPlayerDelegate {
        final /* synthetic */ boolean val$destroyAtEnd;
        final /* synthetic */ MessageObject val$messageObject;
        final /* synthetic */ int[] val$playCount;

        AnonymousClass6(MessageObject messageObject, int[] iArr, boolean z) {
            this.val$messageObject = messageObject;
            this.val$playCount = iArr;
            this.val$destroyAtEnd = z;
        }

        @Override // im.uecahxyvjd.ui.components.VideoPlayer.VideoPlayerDelegate
        public void onStateChanged(boolean playWhenReady, int playbackState) {
            MediaController.this.updateVideoState(this.val$messageObject, this.val$playCount, this.val$destroyAtEnd, playWhenReady, playbackState);
        }

        @Override // im.uecahxyvjd.ui.components.VideoPlayer.VideoPlayerDelegate
        public void onError(Exception e) {
            FileLog.e(e);
        }

        @Override // im.uecahxyvjd.ui.components.VideoPlayer.VideoPlayerDelegate
        public void onVideoSizeChanged(int width, int height, int unappliedRotationDegrees, float pixelWidthHeightRatio) {
            MediaController.this.currentAspectRatioFrameLayoutRotation = unappliedRotationDegrees;
            if (unappliedRotationDegrees == 90 || unappliedRotationDegrees == 270) {
                width = height;
                height = width;
            }
            MediaController.this.currentAspectRatioFrameLayoutRatio = height == 0 ? 1.0f : (width * pixelWidthHeightRatio) / height;
            if (MediaController.this.currentAspectRatioFrameLayout != null) {
                MediaController.this.currentAspectRatioFrameLayout.setAspectRatio(MediaController.this.currentAspectRatioFrameLayoutRatio, MediaController.this.currentAspectRatioFrameLayoutRotation);
            }
        }

        @Override // im.uecahxyvjd.ui.components.VideoPlayer.VideoPlayerDelegate
        public void onRenderedFirstFrame() {
            if (MediaController.this.currentAspectRatioFrameLayout != null && !MediaController.this.currentAspectRatioFrameLayout.isDrawingReady()) {
                MediaController.this.isDrawingWasReady = true;
                MediaController.this.currentAspectRatioFrameLayout.setDrawingReady(true);
                MediaController.this.currentTextureViewContainer.setTag(1);
            }
        }

        @Override // im.uecahxyvjd.ui.components.VideoPlayer.VideoPlayerDelegate
        public boolean onSurfaceDestroyed(SurfaceTexture surfaceTexture) {
            if (MediaController.this.videoPlayer == null) {
                return false;
            }
            if (MediaController.this.pipSwitchingState == 2) {
                if (MediaController.this.currentAspectRatioFrameLayout != null) {
                    if (MediaController.this.isDrawingWasReady) {
                        MediaController.this.currentAspectRatioFrameLayout.setDrawingReady(true);
                    }
                    if (MediaController.this.currentAspectRatioFrameLayout.getParent() == null) {
                        MediaController.this.currentTextureViewContainer.addView(MediaController.this.currentAspectRatioFrameLayout);
                    }
                    if (MediaController.this.currentTextureView.getSurfaceTexture() != surfaceTexture) {
                        MediaController.this.currentTextureView.setSurfaceTexture(surfaceTexture);
                    }
                    MediaController.this.videoPlayer.setTextureView(MediaController.this.currentTextureView);
                }
                MediaController.this.pipSwitchingState = 0;
                return true;
            } else if (MediaController.this.pipSwitchingState == 1) {
                if (MediaController.this.baseActivity != null) {
                    if (MediaController.this.pipRoundVideoView == null) {
                        try {
                            MediaController.this.pipRoundVideoView = new PipRoundVideoView();
                            MediaController.this.pipRoundVideoView.show(MediaController.this.baseActivity, new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$6$$ExternalSyntheticLambda0
                                @Override // java.lang.Runnable
                                public final void run() {
                                    MediaController.AnonymousClass6.this.m338x5af8ba39();
                                }
                            });
                        } catch (Exception e) {
                            MediaController.this.pipRoundVideoView = null;
                        }
                    }
                    if (MediaController.this.pipRoundVideoView != null) {
                        if (MediaController.this.pipRoundVideoView.getTextureView().getSurfaceTexture() != surfaceTexture) {
                            MediaController.this.pipRoundVideoView.getTextureView().setSurfaceTexture(surfaceTexture);
                        }
                        MediaController.this.videoPlayer.setTextureView(MediaController.this.pipRoundVideoView.getTextureView());
                    }
                }
                MediaController.this.pipSwitchingState = 0;
                return true;
            } else if (PhotoViewer.hasInstance() && PhotoViewer.getInstance().isInjectingVideoPlayer()) {
                PhotoViewer.getInstance().injectVideoPlayerSurface(surfaceTexture);
                return true;
            } else {
                return false;
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onSurfaceDestroyed$0$im-uecahxyvjd-messenger-MediaController$6  reason: not valid java name */
        public /* synthetic */ void m338x5af8ba39() {
            MediaController.this.cleanupPlayer(true, true);
        }

        @Override // im.uecahxyvjd.ui.components.VideoPlayer.VideoPlayerDelegate
        public void onSurfaceTextureUpdated(SurfaceTexture surfaceTexture) {
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$playMessage$9$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m317lambda$playMessage$9$imuecahxyvjdmessengerMediaController() {
        cleanupPlayer(true, true);
    }

    public AudioInfo getAudioInfo() {
        return this.audioInfo;
    }

    public void toggleShuffleMusic(int type) {
        boolean oldShuffle = SharedConfig.shuffleMusic;
        SharedConfig.toggleShuffleMusic(type);
        if (oldShuffle != SharedConfig.shuffleMusic) {
            if (SharedConfig.shuffleMusic) {
                buildShuffledPlayList();
                this.currentPlaylistNum = 0;
                return;
            }
            MessageObject messageObject = this.playingMessageObject;
            if (messageObject != null) {
                int indexOf = this.playlist.indexOf(messageObject);
                this.currentPlaylistNum = indexOf;
                if (indexOf == -1) {
                    this.playlist.clear();
                    this.shuffledPlaylist.clear();
                    cleanupPlayer(true, true);
                }
            }
        }
    }

    public boolean isCurrentPlayer(VideoPlayer player) {
        return this.videoPlayer == player || this.audioPlayer == player;
    }

    /* renamed from: pauseMessage */
    public boolean m320lambda$startAudioAgain$5$imuecahxyvjdmessengerMediaController(MessageObject messageObject) {
        if ((this.audioPlayer == null && this.videoPlayer == null) || messageObject == null || this.playingMessageObject == null || !isSamePlayingMessage(messageObject)) {
            return false;
        }
        stopProgressTimer();
        try {
            VideoPlayer videoPlayer = this.audioPlayer;
            if (videoPlayer != null) {
                videoPlayer.pause();
            } else {
                VideoPlayer videoPlayer2 = this.videoPlayer;
                if (videoPlayer2 != null) {
                    videoPlayer2.pause();
                }
            }
            this.isPaused = true;
            NotificationCenter.getInstance(this.playingMessageObject.currentAccount).postNotificationName(NotificationCenter.messagePlayingPlayStateChanged, Integer.valueOf(this.playingMessageObject.getId()));
            return true;
        } catch (Exception e) {
            FileLog.e(e);
            this.isPaused = false;
            return false;
        }
    }

    public boolean resumeAudio(MessageObject messageObject) {
        if ((this.audioPlayer == null && this.videoPlayer == null) || messageObject == null || this.playingMessageObject == null || !isSamePlayingMessage(messageObject)) {
            return false;
        }
        try {
            startProgressTimer(this.playingMessageObject);
            VideoPlayer videoPlayer = this.audioPlayer;
            if (videoPlayer != null) {
                videoPlayer.play();
            } else {
                VideoPlayer videoPlayer2 = this.videoPlayer;
                if (videoPlayer2 != null) {
                    videoPlayer2.play();
                }
            }
            checkAudioFocus(messageObject);
            this.isPaused = false;
            NotificationCenter.getInstance(this.playingMessageObject.currentAccount).postNotificationName(NotificationCenter.messagePlayingPlayStateChanged, Integer.valueOf(this.playingMessageObject.getId()));
            return true;
        } catch (Exception e) {
            FileLog.e(e);
            return false;
        }
    }

    public boolean isVideoDrawingReady() {
        AspectRatioFrameLayout aspectRatioFrameLayout = this.currentAspectRatioFrameLayout;
        return aspectRatioFrameLayout != null && aspectRatioFrameLayout.isDrawingReady();
    }

    public ArrayList<MessageObject> getPlaylist() {
        return this.playlist;
    }

    public boolean isPlayingMessage(MessageObject messageObject) {
        MessageObject messageObject2;
        if ((this.audioPlayer == null && this.videoPlayer == null) || messageObject == null || (messageObject2 = this.playingMessageObject) == null) {
            return false;
        }
        if (messageObject2.eventId != 0 && this.playingMessageObject.eventId == messageObject.eventId) {
            return !this.downloadingCurrentMessage;
        }
        if (isSamePlayingMessage(messageObject)) {
            return !this.downloadingCurrentMessage;
        }
        return false;
    }

    public boolean isPlayingMessageAndReadyToDraw(MessageObject messageObject) {
        return this.isDrawingWasReady && isPlayingMessage(messageObject);
    }

    public boolean isMessagePaused() {
        return this.isPaused || this.downloadingCurrentMessage;
    }

    public boolean isDownloadingCurrentMessage() {
        return this.downloadingCurrentMessage;
    }

    public void setReplyingMessage(MessageObject reply_to_msg) {
        this.recordReplyingMessageObject = reply_to_msg;
    }

    public void startRecording(final int currentAccount, final long dialog_id, final MessageObject reply_to_msg, final int guid) {
        boolean paused = false;
        MessageObject messageObject = this.playingMessageObject;
        if (messageObject != null && isPlayingMessage(messageObject) && !isMessagePaused()) {
            paused = true;
            m320lambda$startAudioAgain$5$imuecahxyvjdmessengerMediaController(this.playingMessageObject);
        }
        try {
            this.feedbackView.performHapticFeedback(3, 2);
        } catch (Exception e) {
        }
        DispatchQueue dispatchQueue = this.recordQueue;
        Runnable runnable = new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda5
            @Override // java.lang.Runnable
            public final void run() {
                MediaController.this.m326lambda$startRecording$16$imuecahxyvjdmessengerMediaController(currentAccount, guid, dialog_id, reply_to_msg);
            }
        };
        this.recordStartRunnable = runnable;
        dispatchQueue.postRunnable(runnable, paused ? 500L : 50L);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$startRecording$16$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m326lambda$startRecording$16$imuecahxyvjdmessengerMediaController(final int currentAccount, final int guid, long dialog_id, MessageObject reply_to_msg) {
        if (this.audioRecorder != null) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda19
                @Override // java.lang.Runnable
                public final void run() {
                    MediaController.this.m322lambda$startRecording$12$imuecahxyvjdmessengerMediaController(currentAccount, guid);
                }
            });
            return;
        }
        this.sendAfterDone = 0;
        TLRPC.TL_document tL_document = new TLRPC.TL_document();
        this.recordingAudio = tL_document;
        this.recordingGuid = guid;
        tL_document.file_reference = new byte[0];
        this.recordingAudio.dc_id = Integer.MIN_VALUE;
        this.recordingAudio.id = SharedConfig.getLastLocalId();
        this.recordingAudio.user_id = UserConfig.getInstance(currentAccount).getClientUserId();
        this.recordingAudio.mime_type = "audio/ogg";
        this.recordingAudio.file_reference = new byte[0];
        SharedConfig.saveConfig();
        File file = new File(FileLoader.getDirectory(4), FileLoader.getAttachFileName(this.recordingAudio));
        this.recordingAudioFile = file;
        try {
            if (startRecord(file.getAbsolutePath()) == 0) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda20
                    @Override // java.lang.Runnable
                    public final void run() {
                        MediaController.this.m323lambda$startRecording$13$imuecahxyvjdmessengerMediaController(currentAccount, guid);
                    }
                });
                return;
            }
            this.audioRecorder = new AudioRecord(0, AudioEditConstant.ExportSampleRate, 16, 2, this.recordBufferSize * 10);
            this.recordStartTime = System.currentTimeMillis();
            this.recordTimeCount = 0L;
            this.samplesCount = 0L;
            this.recordDialogId = dialog_id;
            this.recordingCurrentAccount = currentAccount;
            this.recordReplyingMessageObject = reply_to_msg;
            this.fileBuffer.rewind();
            this.audioRecorder.startRecording();
            this.recordQueue.postRunnable(this.recordRunnable);
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda23
                @Override // java.lang.Runnable
                public final void run() {
                    MediaController.this.m325lambda$startRecording$15$imuecahxyvjdmessengerMediaController(currentAccount, guid);
                }
            });
        } catch (Exception e) {
            FileLog.e(e);
            this.recordingAudio = null;
            stopRecord();
            this.recordingAudioFile.delete();
            this.recordingAudioFile = null;
            try {
                this.audioRecorder.release();
                this.audioRecorder = null;
            } catch (Exception e2) {
                FileLog.e(e2);
            }
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda21
                @Override // java.lang.Runnable
                public final void run() {
                    MediaController.this.m324lambda$startRecording$14$imuecahxyvjdmessengerMediaController(currentAccount, guid);
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$startRecording$12$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m322lambda$startRecording$12$imuecahxyvjdmessengerMediaController(int currentAccount, int guid) {
        this.recordStartRunnable = null;
        NotificationCenter.getInstance(currentAccount).postNotificationName(NotificationCenter.recordStartError, Integer.valueOf(guid));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$startRecording$13$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m323lambda$startRecording$13$imuecahxyvjdmessengerMediaController(int currentAccount, int guid) {
        this.recordStartRunnable = null;
        NotificationCenter.getInstance(currentAccount).postNotificationName(NotificationCenter.recordStartError, Integer.valueOf(guid));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$startRecording$14$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m324lambda$startRecording$14$imuecahxyvjdmessengerMediaController(int currentAccount, int guid) {
        this.recordStartRunnable = null;
        NotificationCenter.getInstance(currentAccount).postNotificationName(NotificationCenter.recordStartError, Integer.valueOf(guid));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$startRecording$15$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m325lambda$startRecording$15$imuecahxyvjdmessengerMediaController(int currentAccount, int guid) {
        this.recordStartRunnable = null;
        NotificationCenter.getInstance(currentAccount).postNotificationName(NotificationCenter.recordStarted, Integer.valueOf(guid));
    }

    public void generateWaveform(final MessageObject messageObject) {
        final String id = messageObject.getId() + "_" + messageObject.getDialogId();
        final String path = FileLoader.getPathToMessage(messageObject.messageOwner).getAbsolutePath();
        if (this.generatingWaveform.containsKey(id)) {
            return;
        }
        this.generatingWaveform.put(id, messageObject);
        Utilities.globalQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda17
            @Override // java.lang.Runnable
            public final void run() {
                MediaController.this.m313x7f80e4cf(path, id, messageObject);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$generateWaveform$18$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m313x7f80e4cf(String path, final String id, final MessageObject messageObject) {
        final byte[] waveform = getWaveform(path);
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda18
            @Override // java.lang.Runnable
            public final void run() {
                MediaController.this.m312xf2e0b9ce(id, waveform, messageObject);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$generateWaveform$17$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m312xf2e0b9ce(String id, byte[] waveform, MessageObject messageObject) {
        MessageObject messageObject1 = this.generatingWaveform.remove(id);
        if (messageObject1 != null && waveform != null) {
            int a2 = 0;
            while (true) {
                if (a2 >= messageObject1.getDocument().attributes.size()) {
                    break;
                }
                TLRPC.DocumentAttribute attribute = messageObject1.getDocument().attributes.get(a2);
                if (!(attribute instanceof TLRPC.TL_documentAttributeAudio)) {
                    a2++;
                } else {
                    attribute.waveform = waveform;
                    attribute.flags |= 4;
                    break;
                }
            }
            TLRPC.TL_messages_messages messagesRes = new TLRPC.TL_messages_messages();
            messagesRes.messages.add(messageObject1.messageOwner);
            MessagesStorage.getInstance(messageObject1.currentAccount).putMessages((TLRPC.messages_Messages) messagesRes, messageObject1.getDialogId(), -1, 0, false, messageObject.scheduled);
            ArrayList<MessageObject> arrayList = new ArrayList<>();
            arrayList.add(messageObject1);
            NotificationCenter.getInstance(messageObject1.currentAccount).postNotificationName(NotificationCenter.replaceMessagesObjects, Long.valueOf(messageObject1.getDialogId()), arrayList);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void stopRecordingInternal(final int send, final boolean notify, final int scheduleDate) {
        if (send != 0) {
            final TLRPC.TL_document audioToSend = this.recordingAudio;
            final File recordingAudioFileToSend = this.recordingAudioFile;
            this.fileEncodingQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda12
                @Override // java.lang.Runnable
                public final void run() {
                    MediaController.this.m331x48ef0e26(audioToSend, recordingAudioFileToSend, send, notify, scheduleDate);
                }
            });
        } else {
            File file = this.recordingAudioFile;
            if (file != null) {
                file.delete();
            }
        }
        try {
            AudioRecord audioRecord = this.audioRecorder;
            if (audioRecord != null) {
                audioRecord.release();
                this.audioRecorder = null;
            }
        } catch (Exception e) {
            FileLog.e(e);
        }
        this.recordingAudio = null;
        this.recordingAudioFile = null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$stopRecordingInternal$20$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m331x48ef0e26(final TLRPC.TL_document audioToSend, final File recordingAudioFileToSend, final int send, final boolean notify, final int scheduleDate) {
        stopRecord();
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda16
            @Override // java.lang.Runnable
            public final void run() {
                MediaController.this.m330x332b5c10(audioToSend, recordingAudioFileToSend, send, notify, scheduleDate);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$stopRecordingInternal$19$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m330x332b5c10(TLRPC.TL_document audioToSend, File recordingAudioFileToSend, int send, boolean notify, int scheduleDate) {
        char c;
        audioToSend.date = ConnectionsManager.getInstance(this.recordingCurrentAccount).getCurrentTime();
        audioToSend.size = (int) recordingAudioFileToSend.length();
        TLRPC.TL_documentAttributeAudio attributeAudio = new TLRPC.TL_documentAttributeAudio();
        attributeAudio.voice = true;
        short[] sArr = this.recordSamples;
        attributeAudio.waveform = getWaveform2(sArr, sArr.length);
        if (attributeAudio.waveform != null) {
            attributeAudio.flags |= 4;
        }
        long duration = this.recordTimeCount;
        attributeAudio.duration = (int) (this.recordTimeCount / 1000);
        audioToSend.attributes.add(attributeAudio);
        if (duration <= 700) {
            NotificationCenter.getInstance(this.recordingCurrentAccount).postNotificationName(NotificationCenter.audioRecordTooShort, Integer.valueOf(this.recordingGuid), false);
            recordingAudioFileToSend.delete();
            return;
        }
        if (send == 1) {
            c = 1;
            SendMessagesHelper.getInstance(this.recordingCurrentAccount).sendMessage(audioToSend, null, recordingAudioFileToSend.getAbsolutePath(), this.recordDialogId, this.recordReplyingMessageObject, null, null, null, null, notify, scheduleDate, 0, null);
        } else {
            c = 1;
        }
        NotificationCenter notificationCenter = NotificationCenter.getInstance(this.recordingCurrentAccount);
        int i = NotificationCenter.audioDidSent;
        Object[] objArr = new Object[3];
        objArr[0] = Integer.valueOf(this.recordingGuid);
        objArr[c] = send == 2 ? audioToSend : null;
        objArr[2] = send == 2 ? recordingAudioFileToSend.getAbsolutePath() : null;
        notificationCenter.postNotificationName(i, objArr);
    }

    public void stopRecording(final int send, final boolean notify, final int scheduleDate) {
        Runnable runnable = this.recordStartRunnable;
        if (runnable != null) {
            this.recordQueue.cancelRunnable(runnable);
            this.recordStartRunnable = null;
        }
        this.recordQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda14
            @Override // java.lang.Runnable
            public final void run() {
                MediaController.this.m329lambda$stopRecording$22$imuecahxyvjdmessengerMediaController(send, notify, scheduleDate);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$stopRecording$22$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m329lambda$stopRecording$22$imuecahxyvjdmessengerMediaController(final int send, boolean notify, int scheduleDate) {
        if (this.sendAfterDone == 3) {
            this.sendAfterDone = 0;
            stopRecordingInternal(send, notify, scheduleDate);
            return;
        }
        AudioRecord audioRecord = this.audioRecorder;
        if (audioRecord == null) {
            return;
        }
        try {
            this.sendAfterDone = send;
            this.sendAfterDoneNotify = notify;
            this.sendAfterDoneScheduleDate = scheduleDate;
            audioRecord.stop();
        } catch (Exception e) {
            FileLog.e(e);
            File file = this.recordingAudioFile;
            if (file != null) {
                file.delete();
            }
        }
        if (send == 0) {
            stopRecordingInternal(0, false, 0);
        }
        try {
            this.feedbackView.performHapticFeedback(3, 2);
        } catch (Exception e2) {
        }
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda26
            @Override // java.lang.Runnable
            public final void run() {
                MediaController.this.m328lambda$stopRecording$21$imuecahxyvjdmessengerMediaController(send);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$stopRecording$21$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m328lambda$stopRecording$21$imuecahxyvjdmessengerMediaController(int send) {
        NotificationCenter notificationCenter = NotificationCenter.getInstance(this.recordingCurrentAccount);
        int i = NotificationCenter.recordStopped;
        Object[] objArr = new Object[2];
        objArr[0] = Integer.valueOf(this.recordingGuid);
        objArr[1] = Integer.valueOf(send == 2 ? 1 : 0);
        notificationCenter.postNotificationName(i, objArr);
    }

    public static void saveFile(String fullPath, Context context, final int type, final String name, final String mime) {
        File file;
        AlertDialog progressDialog;
        if (fullPath == null) {
            return;
        }
        if (fullPath != null && fullPath.length() != 0) {
            File file2 = new File(fullPath);
            file = (!file2.exists() || AndroidUtilities.isInternalUri(Uri.fromFile(file2))) ? null : file2;
        } else {
            file = null;
        }
        if (file == null) {
            return;
        }
        final File sourceFile = file;
        final boolean[] cancelled = {false};
        if (sourceFile.exists()) {
            AlertDialog progressDialog2 = null;
            if (context != null && type != 0) {
                try {
                    progressDialog2 = new AlertDialog(context, 2);
                    progressDialog2.setMessage(LocaleController.getString("Loading", R.string.Loading));
                    progressDialog2.setCanceledOnTouchOutside(false);
                    progressDialog2.setCancelable(true);
                    progressDialog2.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda9
                        @Override // android.content.DialogInterface.OnCancelListener
                        public final void onCancel(DialogInterface dialogInterface) {
                            MediaController.lambda$saveFile$23(cancelled, dialogInterface);
                        }
                    });
                    progressDialog2.show();
                    progressDialog = progressDialog2;
                } catch (Exception e) {
                    FileLog.e(e);
                    progressDialog = progressDialog2;
                }
            } else {
                progressDialog = null;
            }
            final AlertDialog finalProgress = progressDialog;
            new Thread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda10
                @Override // java.lang.Runnable
                public final void run() {
                    MediaController.lambda$saveFile$26(type, name, sourceFile, cancelled, finalProgress, mime);
                }
            }).start();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$saveFile$23(boolean[] cancelled, DialogInterface dialog) {
        cancelled[0] = true;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:119:? A[RETURN, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:83:0x0150 A[Catch: Exception -> 0x018e, TRY_LEAVE, TryCatch #9 {Exception -> 0x018e, blocks: (B:81:0x014b, B:83:0x0150, B:80:0x0147), top: B:105:0x0147 }] */
    /* JADX WARN: Removed duplicated region for block: B:86:0x0156  */
    /* JADX WARN: Removed duplicated region for block: B:93:0x018b  */
    /* JADX WARN: Removed duplicated region for block: B:99:0x0196  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static /* synthetic */ void lambda$saveFile$26(int type, String name, File sourceFile, boolean[] cancelled, final AlertDialog finalProgress, String mime) {
        File dir;
        File destFile;
        String newName;
        try {
            if (type != 0) {
                if (type == 1) {
                    destFile = AndroidUtilities.generateVideoPath();
                } else {
                    if (type == 2) {
                        dir = Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DOWNLOADS);
                    } else {
                        dir = Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_MUSIC);
                    }
                    dir.mkdir();
                    destFile = new File(dir, name);
                    if (destFile.exists()) {
                        int idx = name.lastIndexOf(46);
                        for (int a2 = 0; a2 < 10; a2++) {
                            if (idx != -1) {
                                newName = name.substring(0, idx) + SQLBuilder.PARENTHESES_LEFT + (a2 + 1) + SQLBuilder.PARENTHESES_RIGHT + name.substring(idx);
                            } else {
                                newName = name + SQLBuilder.PARENTHESES_LEFT + (a2 + 1) + SQLBuilder.PARENTHESES_RIGHT;
                            }
                            destFile = new File(dir, newName);
                            if (!destFile.exists()) {
                                break;
                            }
                        }
                    }
                }
            } else {
                destFile = AndroidUtilities.generatePicturePath();
            }
            if (!destFile.exists()) {
                destFile.createNewFile();
            }
            boolean result = true;
            long lastProgress = System.currentTimeMillis() - 500;
            try {
                try {
                    FileChannel source = new FileInputStream(sourceFile).getChannel();
                    FileChannel destination = new FileOutputStream(destFile).getChannel();
                    long size = source.size();
                    long a3 = 0;
                    for (char c = 0; a3 < size && !cancelled[c]; c = 0) {
                        long size2 = size;
                        destination.transferFrom(source, a3, Math.min(4096L, size - a3));
                        if (finalProgress != null && lastProgress <= System.currentTimeMillis() - 500) {
                            lastProgress = System.currentTimeMillis();
                            final int progress = (int) ((((float) a3) / ((float) size2)) * 100.0f);
                            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda3
                                @Override // java.lang.Runnable
                                public final void run() {
                                    MediaController.lambda$saveFile$24(AlertDialog.this, progress);
                                }
                            });
                        }
                        a3 += 4096;
                        size = size2;
                    }
                    if (destination != null) {
                        destination.close();
                    }
                    if (source != null) {
                        source.close();
                    }
                } catch (Exception e) {
                    e = e;
                    try {
                        FileLog.e(e);
                        result = false;
                        if (cancelled[0]) {
                        }
                        if (!result) {
                        }
                    } catch (Exception e2) {
                        e = e2;
                        FileLog.e(e);
                        if (finalProgress == null) {
                        }
                    }
                    if (finalProgress == null) {
                    }
                }
            } catch (Exception e3) {
                e = e3;
            }
            if (cancelled[0]) {
                destFile.delete();
                result = false;
            }
            if (!result) {
                try {
                    if (type == 2) {
                        DownloadManager downloadManager = (DownloadManager) ApplicationLoader.applicationContext.getSystemService("download");
                        downloadManager.addCompletedDownload(destFile.getName(), destFile.getName(), false, mime, destFile.getAbsolutePath(), destFile.length(), true);
                    } else {
                        AndroidUtilities.addMediaToGallery(Uri.fromFile(destFile));
                    }
                } catch (Exception e4) {
                    e = e4;
                    FileLog.e(e);
                    if (finalProgress == null) {
                    }
                }
            }
        } catch (Exception e5) {
            e = e5;
        }
        if (finalProgress == null) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda4
                @Override // java.lang.Runnable
                public final void run() {
                    MediaController.lambda$saveFile$25(AlertDialog.this);
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$saveFile$24(AlertDialog finalProgress, int progress) {
        try {
            finalProgress.setProgress(progress);
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$saveFile$25(AlertDialog finalProgress) {
        try {
            finalProgress.dismiss();
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    public static boolean isWebp(Uri uri) {
        InputStream inputStream = null;
        try {
            try {
                try {
                    inputStream = ApplicationLoader.applicationContext.getContentResolver().openInputStream(uri);
                    byte[] header = new byte[12];
                    if (inputStream.read(header, 0, 12) == 12) {
                        String str = new String(header).toLowerCase();
                        if (str.startsWith("riff")) {
                            if (str.endsWith("webp")) {
                                if (inputStream != null) {
                                    try {
                                        inputStream.close();
                                        return true;
                                    } catch (Exception e2) {
                                        FileLog.e(e2);
                                        return true;
                                    }
                                }
                                return true;
                            }
                        }
                    }
                    if (inputStream != null) {
                        inputStream.close();
                    }
                } catch (Exception e) {
                    FileLog.e(e);
                    if (inputStream != null) {
                        inputStream.close();
                    }
                }
            } catch (Exception e22) {
                FileLog.e(e22);
            }
            return false;
        } catch (Throwable th) {
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (Exception e23) {
                    FileLog.e(e23);
                }
            }
            throw th;
        }
    }

    public static boolean isGif(Uri uri) {
        InputStream inputStream = null;
        try {
            try {
                try {
                    inputStream = ApplicationLoader.applicationContext.getContentResolver().openInputStream(uri);
                    byte[] header = new byte[3];
                    if (inputStream.read(header, 0, 3) == 3) {
                        String str = new String(header);
                        if (str.equalsIgnoreCase("gif")) {
                            if (inputStream != null) {
                                try {
                                    inputStream.close();
                                    return true;
                                } catch (Exception e2) {
                                    FileLog.e(e2);
                                    return true;
                                }
                            }
                            return true;
                        }
                    }
                    if (inputStream != null) {
                        inputStream.close();
                    }
                } catch (Exception e) {
                    FileLog.e(e);
                    if (inputStream != null) {
                        inputStream.close();
                    }
                }
            } catch (Exception e22) {
                FileLog.e(e22);
            }
            return false;
        } catch (Throwable th) {
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (Exception e23) {
                    FileLog.e(e23);
                }
            }
            throw th;
        }
    }

    public static String getFileName(Uri uri) {
        if (uri.getScheme().equals("content")) {
            try {
                Cursor cursor = ApplicationLoader.applicationContext.getContentResolver().query(uri, new String[]{"_display_name"}, null, null, null);
                result = cursor.moveToFirst() ? cursor.getString(cursor.getColumnIndex("_display_name")) : null;
                if (cursor != null) {
                    cursor.close();
                }
            } catch (Exception e) {
                FileLog.e(e);
            }
        }
        if (result == null) {
            String result = uri.getPath();
            int cut = result.lastIndexOf(47);
            if (cut != -1) {
                return result.substring(cut + 1);
            }
            return result;
        }
        return result;
    }

    public static String copyFileToCache(Uri uri, String ext) {
        InputStream inputStream = null;
        FileOutputStream output = null;
        try {
            try {
                String name = FileLoader.fixFileName(getFileName(uri));
                if (name == null) {
                    int id = SharedConfig.getLastLocalId();
                    SharedConfig.saveConfig();
                    name = String.format(Locale.US, "%d.%s", Integer.valueOf(id), ext);
                }
                File f = new File(FileLoader.getDirectory(4), "sharing/");
                f.mkdirs();
                File f2 = new File(f, name);
                if (AndroidUtilities.isInternalUri(Uri.fromFile(f2))) {
                    if (0 != 0) {
                        try {
                            inputStream.close();
                        } catch (Exception e2) {
                            FileLog.e(e2);
                        }
                    }
                    if (0 != 0) {
                        try {
                            output.close();
                        } catch (Exception e22) {
                            FileLog.e(e22);
                        }
                    }
                    return null;
                }
                inputStream = ApplicationLoader.applicationContext.getContentResolver().openInputStream(uri);
                output = new FileOutputStream(f2);
                byte[] buffer = new byte[CacheDataSink.DEFAULT_BUFFER_SIZE];
                while (true) {
                    int len = inputStream.read(buffer);
                    if (len == -1) {
                        break;
                    }
                    output.write(buffer, 0, len);
                }
                String absolutePath = f2.getAbsolutePath();
                if (inputStream != null) {
                    try {
                        inputStream.close();
                    } catch (Exception e23) {
                        FileLog.e(e23);
                    }
                }
                try {
                    output.close();
                } catch (Exception e24) {
                    FileLog.e(e24);
                }
                return absolutePath;
            } catch (Exception e) {
                FileLog.e(e);
                if (inputStream != null) {
                    try {
                        inputStream.close();
                    } catch (Exception e25) {
                        FileLog.e(e25);
                    }
                }
                if (output != null) {
                    try {
                        output.close();
                    } catch (Exception e26) {
                        FileLog.e(e26);
                    }
                }
                return null;
            }
        } catch (Throwable th) {
            if (inputStream != null) {
                try {
                    inputStream.close();
                } catch (Exception e27) {
                    FileLog.e(e27);
                }
            }
            if (output != null) {
                try {
                    output.close();
                } catch (Exception e28) {
                    FileLog.e(e28);
                }
            }
            throw th;
        }
    }

    public static void loadGalleryPhotosAlbums(final int guid) {
        Thread thread = new Thread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                MediaController.lambda$loadGalleryPhotosAlbums$28(guid);
            }
        });
        thread.setPriority(1);
        thread.start();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Can't wrap try/catch for region: R(32:1|2|3|4|5|6|7|8|(3:9|10|11)|(20:278|279|(1:281)|284|(2:141|142)|21|22|23|(7:30|(2:40|41)|32|(2:35|33)|36|37|38)|45|(1:47)(1:138)|48|49|(8:52|53|(1:55)(1:134)|56|57|(7:61|(2:63|(2:122|123)(10:65|66|(7:68|69|70|71|(1:73)|(1:75)|76)(1:121)|(3:78|79|80)(1:117)|81|(2:83|(1:94)(1:89))(1:95)|90|91|92|93))(2:126|127)|124|125|93|58|59)|128|129)(1:51)|(0)|32|(1:33)|36|37|38)|13|(1:15)(1:277)|16|17|(12:146|147|148|149|150|151|(1:153)(1:268)|154|155|(6:158|(2:160|(2:257|258)(14:162|163|164|(8:166|167|168|169|170|171|173|174)(1:256)|(7:176|177|178|179|180|181|182)(1:247)|183|184|(7:186|187|188|189|190|191|(1:212)(1:197))(1:237)|198|(2:200|(1:207)(1:206))|208|209|210|211))(2:261|262)|259|260|211|156)|263|264)(1:19)|(0)|21|22|23|(8:25|30|(0)|32|(1:33)|36|37|38)|45|(0)(0)|48|49|(0)(0)|(0)|32|(1:33)|36|37|38|(1:(0))) */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0076, code lost:
        if (im.uecahxyvjd.messenger.ApplicationLoader.applicationContext.checkSelfPermission(im.uecahxyvjd.ui.hui.visualcall.PermissionUtils.PERMISSION_READ_EXTERNAL_STORAGE) == 0) goto L13;
     */
    /* JADX WARN: Code restructure failed: missing block: B:203:0x0450, code lost:
        r0 = th;
     */
    /* JADX WARN: Code restructure failed: missing block: B:204:0x0451, code lost:
        r11 = r29;
     */
    /* JADX WARN: Removed duplicated region for block: B:115:0x0286  */
    /* JADX WARN: Removed duplicated region for block: B:132:0x02bf A[Catch: all -> 0x0450, TryCatch #22 {all -> 0x0450, blocks: (B:130:0x02b9, B:132:0x02bf, B:134:0x02c3, B:138:0x02d0, B:142:0x02e9), top: B:277:0x02b9 }] */
    /* JADX WARN: Removed duplicated region for block: B:140:0x02e4  */
    /* JADX WARN: Removed duplicated region for block: B:141:0x02e7  */
    /* JADX WARN: Removed duplicated region for block: B:197:0x043d  */
    /* JADX WARN: Removed duplicated region for block: B:214:0x046f A[LOOP:0: B:212:0x0469->B:214:0x046f, LOOP_END] */
    /* JADX WARN: Removed duplicated region for block: B:245:0x02ad A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:251:0x0458 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:253:0x02f0 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:255:0x00aa A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:261:0x006c A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:265:0x0445 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:267:0x0294 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:26:0x009e  */
    /* JADX WARN: Removed duplicated region for block: B:27:0x00a1  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static /* synthetic */ void lambda$loadGalleryPhotosAlbums$28(int guid) {
        String str;
        String cameraFolder;
        Cursor cursor;
        String str2;
        String str3;
        AlbumEntry allVideosAlbum;
        AlbumEntry allVideosAlbum2;
        int a2;
        Cursor cursor2;
        String str4;
        int bucketNameColumn;
        int bucketIdColumn;
        int dataColumn;
        Cursor cursor3;
        int dataColumn2;
        Cursor cursor4;
        AlbumEntry allMediaAlbum;
        String str5;
        Cursor cursor5;
        Cursor cursor6;
        String str6;
        Cursor cursor7;
        int dateColumn;
        int orientationColumn;
        AlbumEntry allVideosAlbum3;
        Cursor cursor8;
        int dateColumn2;
        int orientationColumn2;
        PhotoEntry photoEntry;
        AlbumEntry allPhotosAlbum;
        AlbumEntry allMediaAlbum2;
        String bucketName;
        String bucketName2 = "AllMedia";
        String str7 = "_data";
        ArrayList<AlbumEntry> mediaAlbumsSorted = new ArrayList<>();
        ArrayList<AlbumEntry> photoAlbumsSorted = new ArrayList<>();
        SparseArray<AlbumEntry> mediaAlbums = new SparseArray<>();
        SparseArray<AlbumEntry> photoAlbums = new SparseArray<>();
        AlbumEntry allPhotosAlbum2 = null;
        AlbumEntry allVideosAlbum4 = null;
        AlbumEntry allMediaAlbum3 = null;
        try {
            str = "datetaken";
        } catch (Exception e) {
            e = e;
            str = "datetaken";
        }
        try {
            String cameraFolder2 = Environment.getExternalStoragePublicDirectory(Environment.DIRECTORY_DCIM).getAbsolutePath() + "/Camera/";
            cameraFolder = cameraFolder2;
        } catch (Exception e2) {
            e = e2;
            FileLog.e(e);
            cameraFolder = null;
            Integer mediaCameraAlbumId = null;
            Integer photoCameraAlbumId = null;
            cursor = null;
            if (Build.VERSION.SDK_INT >= 23) {
            }
            cursor5 = MediaStore.Images.Media.query(ApplicationLoader.applicationContext.getContentResolver(), MediaStore.Images.Media.EXTERNAL_CONTENT_URI, projectionPhotos, null, null, Build.VERSION.SDK_INT <= 28 ? "date_modified" : "datetaken DESC");
            if (cursor5 == null) {
            }
            if (cursor != null) {
            }
            AlbumEntry allPhotosAlbum3 = allPhotosAlbum2;
            if (Build.VERSION.SDK_INT >= 23) {
            }
            cursor2 = MediaStore.Images.Media.query(ApplicationLoader.applicationContext.getContentResolver(), MediaStore.Video.Media.EXTERNAL_CONTENT_URI, projectionVideo, null, null, Build.VERSION.SDK_INT <= 28 ? str3 : "datetaken DESC");
            if (cursor2 == null) {
            }
            AlbumEntry allVideosAlbum5 = allVideosAlbum2;
            AlbumEntry allMediaAlbum4 = allMediaAlbum3;
            Integer mediaCameraAlbumId2 = mediaCameraAlbumId;
            while (a2 < mediaAlbumsSorted.size()) {
            }
            broadcastNewPhotos(guid, mediaAlbumsSorted, photoAlbumsSorted, mediaCameraAlbumId2, allMediaAlbum4, allPhotosAlbum3, allVideosAlbum5, 0);
        }
        Integer mediaCameraAlbumId3 = null;
        Integer photoCameraAlbumId2 = null;
        cursor = null;
        try {
        } catch (Throwable th) {
            e = th;
            str2 = "_data";
            str3 = "date_modified";
            allVideosAlbum = null;
        }
        if (Build.VERSION.SDK_INT >= 23) {
            try {
                if (Build.VERSION.SDK_INT >= 23) {
                }
                str2 = "_data";
                str3 = "date_modified";
                allVideosAlbum = null;
                if (cursor != null) {
                    try {
                        cursor.close();
                    } catch (Exception e3) {
                        FileLog.e(e3);
                    }
                }
            } catch (Throwable th2) {
                e = th2;
                str2 = "_data";
                str3 = "date_modified";
                allVideosAlbum = null;
                try {
                    FileLog.e(e);
                    if (cursor != null) {
                    }
                    AlbumEntry allPhotosAlbum32 = allPhotosAlbum2;
                    if (Build.VERSION.SDK_INT >= 23) {
                    }
                    cursor2 = MediaStore.Images.Media.query(ApplicationLoader.applicationContext.getContentResolver(), MediaStore.Video.Media.EXTERNAL_CONTENT_URI, projectionVideo, null, null, Build.VERSION.SDK_INT <= 28 ? str3 : "datetaken DESC");
                    if (cursor2 == null) {
                    }
                    AlbumEntry allVideosAlbum52 = allVideosAlbum2;
                    AlbumEntry allMediaAlbum42 = allMediaAlbum3;
                    Integer mediaCameraAlbumId22 = mediaCameraAlbumId3;
                    while (a2 < mediaAlbumsSorted.size()) {
                    }
                    broadcastNewPhotos(guid, mediaAlbumsSorted, photoAlbumsSorted, mediaCameraAlbumId22, allMediaAlbum42, allPhotosAlbum32, allVideosAlbum52, 0);
                } finally {
                    if (cursor != null) {
                        try {
                            cursor.close();
                        } catch (Exception e4) {
                            FileLog.e(e4);
                        }
                    }
                }
            }
            AlbumEntry allPhotosAlbum322 = allPhotosAlbum2;
            if (Build.VERSION.SDK_INT >= 23 && (Build.VERSION.SDK_INT < 23 || ApplicationLoader.applicationContext.checkSelfPermission(PermissionUtils.PERMISSION_READ_EXTERNAL_STORAGE) != 0)) {
                allVideosAlbum2 = allVideosAlbum;
                AlbumEntry allVideosAlbum522 = allVideosAlbum2;
                AlbumEntry allMediaAlbum422 = allMediaAlbum3;
                Integer mediaCameraAlbumId222 = mediaCameraAlbumId3;
                for (a2 = 0; a2 < mediaAlbumsSorted.size(); a2++) {
                    Collections.sort(mediaAlbumsSorted.get(a2).photos, new Comparator() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda27
                        @Override // java.util.Comparator
                        public final int compare(Object obj, Object obj2) {
                            return MediaController.lambda$loadGalleryPhotosAlbums$27((MediaController.PhotoEntry) obj, (MediaController.PhotoEntry) obj2);
                        }
                    });
                }
                broadcastNewPhotos(guid, mediaAlbumsSorted, photoAlbumsSorted, mediaCameraAlbumId222, allMediaAlbum422, allPhotosAlbum322, allVideosAlbum522, 0);
            }
            cursor2 = MediaStore.Images.Media.query(ApplicationLoader.applicationContext.getContentResolver(), MediaStore.Video.Media.EXTERNAL_CONTENT_URI, projectionVideo, null, null, Build.VERSION.SDK_INT <= 28 ? str3 : "datetaken DESC");
            if (cursor2 == null) {
                try {
                    int imageIdColumn = cursor2.getColumnIndex("_id");
                    int bucketIdColumn2 = cursor2.getColumnIndex("bucket_id");
                    int bucketNameColumn2 = cursor2.getColumnIndex("bucket_display_name");
                    int dataColumn3 = cursor2.getColumnIndex(str2);
                    int dateColumn3 = cursor2.getColumnIndex(Build.VERSION.SDK_INT > 28 ? str3 : str);
                    int durationColumn = cursor2.getColumnIndex("duration");
                    allVideosAlbum2 = allVideosAlbum;
                    while (cursor2.moveToNext()) {
                        try {
                            int imageId = cursor2.getInt(imageIdColumn);
                            int bucketId = cursor2.getInt(bucketIdColumn2);
                            String bucketName3 = cursor2.getString(bucketNameColumn2);
                            String path = cursor2.getString(dataColumn3);
                            long dateTaken = cursor2.getLong(dateColumn3);
                            long duration = cursor2.getLong(durationColumn);
                            int imageIdColumn2 = imageIdColumn;
                            if (path == null) {
                                str4 = bucketName2;
                                bucketNameColumn = bucketNameColumn2;
                                bucketIdColumn = bucketIdColumn2;
                                dataColumn = dataColumn3;
                                cursor3 = cursor2;
                            } else if (path.length() == 0) {
                                str4 = bucketName2;
                                bucketNameColumn = bucketNameColumn2;
                                bucketIdColumn = bucketIdColumn2;
                                dataColumn = dataColumn3;
                                cursor3 = cursor2;
                            } else {
                                int bucketNameColumn3 = bucketNameColumn2;
                                int bucketIdColumn3 = bucketIdColumn2;
                                PhotoEntry photoEntry2 = new PhotoEntry(bucketId, imageId, dateTaken, path, (int) (duration / 1000), true);
                                if (allVideosAlbum2 == null) {
                                    dataColumn2 = dataColumn3;
                                    cursor4 = cursor2;
                                    try {
                                        allVideosAlbum2 = new AlbumEntry(0, LocaleController.getString("AllVideos", R.string.AllVideos), photoEntry2);
                                        allVideosAlbum2.videoOnly = true;
                                        int index = allMediaAlbum3 != null ? 0 + 1 : 0;
                                        if (allPhotosAlbum322 != null) {
                                            index++;
                                        }
                                        mediaAlbumsSorted.add(index, allVideosAlbum2);
                                    } catch (Throwable th3) {
                                        e = th3;
                                        cursor = cursor4;
                                        try {
                                            FileLog.e(e);
                                            if (cursor != null) {
                                                try {
                                                    cursor.close();
                                                } catch (Exception e5) {
                                                    FileLog.e(e5);
                                                }
                                            }
                                            AlbumEntry allVideosAlbum5222 = allVideosAlbum2;
                                            AlbumEntry allMediaAlbum4222 = allMediaAlbum3;
                                            Integer mediaCameraAlbumId2222 = mediaCameraAlbumId3;
                                            while (a2 < mediaAlbumsSorted.size()) {
                                            }
                                            broadcastNewPhotos(guid, mediaAlbumsSorted, photoAlbumsSorted, mediaCameraAlbumId2222, allMediaAlbum4222, allPhotosAlbum322, allVideosAlbum5222, 0);
                                        } finally {
                                            if (cursor != null) {
                                                try {
                                                    cursor.close();
                                                } catch (Exception e6) {
                                                    FileLog.e(e6);
                                                }
                                            }
                                        }
                                    }
                                } else {
                                    dataColumn2 = dataColumn3;
                                    cursor4 = cursor2;
                                }
                                if (allMediaAlbum3 == null) {
                                    allMediaAlbum = new AlbumEntry(0, LocaleController.getString(bucketName2, R.string.AllMedia), photoEntry2);
                                    try {
                                        mediaAlbumsSorted.add(0, allMediaAlbum);
                                    } catch (Throwable th4) {
                                        e = th4;
                                        allMediaAlbum3 = allMediaAlbum;
                                        cursor = cursor4;
                                        FileLog.e(e);
                                        if (cursor != null) {
                                        }
                                        AlbumEntry allVideosAlbum52222 = allVideosAlbum2;
                                        AlbumEntry allMediaAlbum42222 = allMediaAlbum3;
                                        Integer mediaCameraAlbumId22222 = mediaCameraAlbumId3;
                                        while (a2 < mediaAlbumsSorted.size()) {
                                        }
                                        broadcastNewPhotos(guid, mediaAlbumsSorted, photoAlbumsSorted, mediaCameraAlbumId22222, allMediaAlbum42222, allPhotosAlbum322, allVideosAlbum52222, 0);
                                    }
                                } else {
                                    allMediaAlbum = allMediaAlbum3;
                                }
                                allVideosAlbum2.addPhoto(photoEntry2);
                                allMediaAlbum.addPhoto(photoEntry2);
                                AlbumEntry albumEntry = mediaAlbums.get(bucketId);
                                if (albumEntry == null) {
                                    str5 = bucketName2;
                                    albumEntry = new AlbumEntry(bucketId, bucketName3, photoEntry2);
                                    mediaAlbums.put(bucketId, albumEntry);
                                    if (mediaCameraAlbumId3 != null || cameraFolder == null || path == null || !path.startsWith(cameraFolder)) {
                                        mediaAlbumsSorted.add(albumEntry);
                                    } else {
                                        mediaAlbumsSorted.add(0, albumEntry);
                                        mediaCameraAlbumId3 = Integer.valueOf(bucketId);
                                    }
                                } else {
                                    str5 = bucketName2;
                                }
                                albumEntry.addPhoto(photoEntry2);
                                allMediaAlbum3 = allMediaAlbum;
                                imageIdColumn = imageIdColumn2;
                                dataColumn3 = dataColumn2;
                                cursor2 = cursor4;
                                bucketName2 = str5;
                                bucketIdColumn2 = bucketIdColumn3;
                                bucketNameColumn2 = bucketNameColumn3;
                            }
                            imageIdColumn = imageIdColumn2;
                            dataColumn3 = dataColumn;
                            cursor2 = cursor3;
                            bucketName2 = str4;
                            bucketIdColumn2 = bucketIdColumn;
                            bucketNameColumn2 = bucketNameColumn;
                        } catch (Throwable th5) {
                            e = th5;
                            cursor = cursor2;
                        }
                    }
                    cursor = cursor2;
                } catch (Throwable th6) {
                    e = th6;
                    cursor = cursor2;
                    allVideosAlbum2 = allVideosAlbum;
                }
            } else {
                cursor = cursor2;
                allVideosAlbum2 = allVideosAlbum;
            }
            AlbumEntry allVideosAlbum522222 = allVideosAlbum2;
            AlbumEntry allMediaAlbum422222 = allMediaAlbum3;
            Integer mediaCameraAlbumId222222 = mediaCameraAlbumId3;
            while (a2 < mediaAlbumsSorted.size()) {
            }
            broadcastNewPhotos(guid, mediaAlbumsSorted, photoAlbumsSorted, mediaCameraAlbumId222222, allMediaAlbum422222, allPhotosAlbum322, allVideosAlbum522222, 0);
        }
        cursor5 = MediaStore.Images.Media.query(ApplicationLoader.applicationContext.getContentResolver(), MediaStore.Images.Media.EXTERNAL_CONTENT_URI, projectionPhotos, null, null, Build.VERSION.SDK_INT <= 28 ? "date_modified" : "datetaken DESC");
        if (cursor5 == null) {
            try {
                int imageIdColumn3 = cursor5.getColumnIndex("_id");
                int bucketIdColumn4 = cursor5.getColumnIndex("bucket_id");
                int bucketNameColumn4 = cursor5.getColumnIndex("bucket_display_name");
                int dataColumn4 = cursor5.getColumnIndex("_data");
                str3 = "date_modified";
                try {
                    AlbumEntry allPhotosAlbum4 = null;
                    try {
                        int dateColumn4 = cursor5.getColumnIndex(Build.VERSION.SDK_INT > 28 ? str3 : str);
                        int orientationColumn3 = cursor5.getColumnIndex("orientation");
                        while (cursor5.moveToNext()) {
                            int imageId2 = cursor5.getInt(imageIdColumn3);
                            int imageIdColumn4 = imageIdColumn3;
                            int imageIdColumn5 = bucketIdColumn4;
                            int bucketId2 = cursor5.getInt(imageIdColumn5);
                            bucketIdColumn4 = imageIdColumn5;
                            int bucketIdColumn5 = bucketNameColumn4;
                            String bucketName4 = cursor5.getString(bucketIdColumn5);
                            bucketNameColumn4 = bucketIdColumn5;
                            int bucketNameColumn5 = dataColumn4;
                            String path2 = cursor5.getString(bucketNameColumn5);
                            long dateTaken2 = cursor5.getLong(dateColumn4);
                            int orientation = cursor5.getInt(orientationColumn3);
                            dataColumn4 = bucketNameColumn5;
                            if (path2 == null) {
                                str6 = str7;
                                cursor7 = cursor5;
                                dateColumn = dateColumn4;
                                orientationColumn = orientationColumn3;
                                allVideosAlbum3 = allVideosAlbum4;
                            } else if (path2.length() == 0) {
                                str6 = str7;
                                cursor7 = cursor5;
                                dateColumn = dateColumn4;
                                orientationColumn = orientationColumn3;
                                allVideosAlbum3 = allVideosAlbum4;
                            } else {
                                PhotoEntry photoEntry3 = new PhotoEntry(bucketId2, imageId2, dateTaken2, path2, orientation, false);
                                if (allPhotosAlbum4 == null) {
                                    cursor8 = cursor5;
                                    try {
                                        dateColumn2 = dateColumn4;
                                        orientationColumn2 = orientationColumn3;
                                        photoEntry = photoEntry3;
                                        allVideosAlbum = allVideosAlbum4;
                                        try {
                                            allPhotosAlbum = new AlbumEntry(0, LocaleController.getString("AllPhotos", R.string.AllPhotos), photoEntry);
                                        } catch (Throwable th7) {
                                            e = th7;
                                            str2 = str7;
                                            allPhotosAlbum2 = allPhotosAlbum4;
                                            cursor = cursor8;
                                        }
                                        try {
                                            photoAlbumsSorted.add(0, allPhotosAlbum);
                                        } catch (Throwable th8) {
                                            e = th8;
                                            str2 = str7;
                                            allPhotosAlbum2 = allPhotosAlbum;
                                            cursor = cursor8;
                                            FileLog.e(e);
                                            if (cursor != null) {
                                            }
                                            AlbumEntry allPhotosAlbum3222 = allPhotosAlbum2;
                                            if (Build.VERSION.SDK_INT >= 23) {
                                            }
                                            cursor2 = MediaStore.Images.Media.query(ApplicationLoader.applicationContext.getContentResolver(), MediaStore.Video.Media.EXTERNAL_CONTENT_URI, projectionVideo, null, null, Build.VERSION.SDK_INT <= 28 ? str3 : "datetaken DESC");
                                            if (cursor2 == null) {
                                            }
                                            AlbumEntry allVideosAlbum5222222 = allVideosAlbum2;
                                            AlbumEntry allMediaAlbum4222222 = allMediaAlbum3;
                                            Integer mediaCameraAlbumId2222222 = mediaCameraAlbumId3;
                                            while (a2 < mediaAlbumsSorted.size()) {
                                            }
                                            broadcastNewPhotos(guid, mediaAlbumsSorted, photoAlbumsSorted, mediaCameraAlbumId2222222, allMediaAlbum4222222, allPhotosAlbum3222, allVideosAlbum5222222, 0);
                                        }
                                    } catch (Throwable th9) {
                                        e = th9;
                                        allVideosAlbum = allVideosAlbum4;
                                        str2 = str7;
                                        allPhotosAlbum2 = allPhotosAlbum4;
                                        cursor = cursor8;
                                    }
                                } else {
                                    cursor8 = cursor5;
                                    dateColumn2 = dateColumn4;
                                    orientationColumn2 = orientationColumn3;
                                    photoEntry = photoEntry3;
                                    allVideosAlbum = allVideosAlbum4;
                                    allPhotosAlbum = allPhotosAlbum4;
                                }
                                if (allMediaAlbum3 == null) {
                                    str2 = str7;
                                    try {
                                        allMediaAlbum2 = new AlbumEntry(0, LocaleController.getString("AllMedia", R.string.AllMedia), photoEntry);
                                        try {
                                            mediaAlbumsSorted.add(0, allMediaAlbum2);
                                        } catch (Throwable th10) {
                                            e = th10;
                                            allMediaAlbum3 = allMediaAlbum2;
                                            allPhotosAlbum2 = allPhotosAlbum;
                                            cursor = cursor8;
                                            FileLog.e(e);
                                            if (cursor != null) {
                                            }
                                            AlbumEntry allPhotosAlbum32222 = allPhotosAlbum2;
                                            if (Build.VERSION.SDK_INT >= 23) {
                                            }
                                            cursor2 = MediaStore.Images.Media.query(ApplicationLoader.applicationContext.getContentResolver(), MediaStore.Video.Media.EXTERNAL_CONTENT_URI, projectionVideo, null, null, Build.VERSION.SDK_INT <= 28 ? str3 : "datetaken DESC");
                                            if (cursor2 == null) {
                                            }
                                            AlbumEntry allVideosAlbum52222222 = allVideosAlbum2;
                                            AlbumEntry allMediaAlbum42222222 = allMediaAlbum3;
                                            Integer mediaCameraAlbumId22222222 = mediaCameraAlbumId3;
                                            while (a2 < mediaAlbumsSorted.size()) {
                                            }
                                            broadcastNewPhotos(guid, mediaAlbumsSorted, photoAlbumsSorted, mediaCameraAlbumId22222222, allMediaAlbum42222222, allPhotosAlbum32222, allVideosAlbum52222222, 0);
                                        }
                                    } catch (Throwable th11) {
                                        e = th11;
                                        allPhotosAlbum2 = allPhotosAlbum;
                                        cursor = cursor8;
                                    }
                                } else {
                                    str2 = str7;
                                    allMediaAlbum2 = allMediaAlbum3;
                                }
                                try {
                                    allPhotosAlbum.addPhoto(photoEntry);
                                    allMediaAlbum2.addPhoto(photoEntry);
                                    AlbumEntry albumEntry2 = mediaAlbums.get(bucketId2);
                                    if (albumEntry2 == null) {
                                        allMediaAlbum3 = allMediaAlbum2;
                                        try {
                                            allPhotosAlbum4 = allPhotosAlbum;
                                            bucketName = bucketName4;
                                            try {
                                                albumEntry2 = new AlbumEntry(bucketId2, bucketName, photoEntry);
                                                mediaAlbums.put(bucketId2, albumEntry2);
                                                if (mediaCameraAlbumId3 != null || cameraFolder == null || path2 == null || !path2.startsWith(cameraFolder)) {
                                                    mediaAlbumsSorted.add(albumEntry2);
                                                } else {
                                                    mediaAlbumsSorted.add(0, albumEntry2);
                                                    mediaCameraAlbumId3 = Integer.valueOf(bucketId2);
                                                }
                                            } catch (Throwable th12) {
                                                e = th12;
                                                allPhotosAlbum2 = allPhotosAlbum4;
                                                cursor = cursor8;
                                                FileLog.e(e);
                                                if (cursor != null) {
                                                    try {
                                                        cursor.close();
                                                    } catch (Exception e7) {
                                                        FileLog.e(e7);
                                                    }
                                                }
                                                AlbumEntry allPhotosAlbum322222 = allPhotosAlbum2;
                                                if (Build.VERSION.SDK_INT >= 23) {
                                                }
                                                cursor2 = MediaStore.Images.Media.query(ApplicationLoader.applicationContext.getContentResolver(), MediaStore.Video.Media.EXTERNAL_CONTENT_URI, projectionVideo, null, null, Build.VERSION.SDK_INT <= 28 ? str3 : "datetaken DESC");
                                                if (cursor2 == null) {
                                                }
                                                AlbumEntry allVideosAlbum522222222 = allVideosAlbum2;
                                                AlbumEntry allMediaAlbum422222222 = allMediaAlbum3;
                                                Integer mediaCameraAlbumId222222222 = mediaCameraAlbumId3;
                                                while (a2 < mediaAlbumsSorted.size()) {
                                                }
                                                broadcastNewPhotos(guid, mediaAlbumsSorted, photoAlbumsSorted, mediaCameraAlbumId222222222, allMediaAlbum422222222, allPhotosAlbum322222, allVideosAlbum522222222, 0);
                                            }
                                        } catch (Throwable th13) {
                                            e = th13;
                                            allPhotosAlbum2 = allPhotosAlbum;
                                            cursor = cursor8;
                                        }
                                    } else {
                                        allMediaAlbum3 = allMediaAlbum2;
                                        allPhotosAlbum4 = allPhotosAlbum;
                                        bucketName = bucketName4;
                                    }
                                    albumEntry2.addPhoto(photoEntry);
                                    AlbumEntry albumEntry3 = photoAlbums.get(bucketId2);
                                    if (albumEntry3 == null) {
                                        albumEntry3 = new AlbumEntry(bucketId2, bucketName, photoEntry);
                                        photoAlbums.put(bucketId2, albumEntry3);
                                        if (photoCameraAlbumId2 != null || cameraFolder == null || path2 == null || !path2.startsWith(cameraFolder)) {
                                            photoAlbumsSorted.add(albumEntry3);
                                        } else {
                                            photoAlbumsSorted.add(0, albumEntry3);
                                            photoCameraAlbumId2 = Integer.valueOf(bucketId2);
                                        }
                                    }
                                    albumEntry3.addPhoto(photoEntry);
                                    imageIdColumn3 = imageIdColumn4;
                                    allVideosAlbum4 = allVideosAlbum;
                                    cursor5 = cursor8;
                                    dateColumn4 = dateColumn2;
                                    orientationColumn3 = orientationColumn2;
                                    str7 = str2;
                                } catch (Throwable th14) {
                                    e = th14;
                                    allMediaAlbum3 = allMediaAlbum2;
                                    allPhotosAlbum2 = allPhotosAlbum;
                                    cursor = cursor8;
                                }
                            }
                            imageIdColumn3 = imageIdColumn4;
                            allVideosAlbum4 = allVideosAlbum3;
                            cursor5 = cursor7;
                            dateColumn4 = dateColumn;
                            orientationColumn3 = orientationColumn;
                            str7 = str6;
                        }
                        str2 = str7;
                        allVideosAlbum = allVideosAlbum4;
                        allPhotosAlbum2 = allPhotosAlbum4;
                        cursor = cursor5;
                    } catch (Throwable th15) {
                        e = th15;
                        str2 = str7;
                        allVideosAlbum = allVideosAlbum4;
                        allPhotosAlbum2 = allPhotosAlbum4;
                        cursor = cursor5;
                    }
                } catch (Throwable th16) {
                    e = th16;
                    str2 = "_data";
                    cursor6 = cursor5;
                    allVideosAlbum = null;
                    cursor = cursor6;
                    FileLog.e(e);
                    if (cursor != null) {
                    }
                    AlbumEntry allPhotosAlbum3222222 = allPhotosAlbum2;
                    if (Build.VERSION.SDK_INT >= 23) {
                    }
                    cursor2 = MediaStore.Images.Media.query(ApplicationLoader.applicationContext.getContentResolver(), MediaStore.Video.Media.EXTERNAL_CONTENT_URI, projectionVideo, null, null, Build.VERSION.SDK_INT <= 28 ? str3 : "datetaken DESC");
                    if (cursor2 == null) {
                    }
                    AlbumEntry allVideosAlbum5222222222 = allVideosAlbum2;
                    AlbumEntry allMediaAlbum4222222222 = allMediaAlbum3;
                    Integer mediaCameraAlbumId2222222222 = mediaCameraAlbumId3;
                    while (a2 < mediaAlbumsSorted.size()) {
                    }
                    broadcastNewPhotos(guid, mediaAlbumsSorted, photoAlbumsSorted, mediaCameraAlbumId2222222222, allMediaAlbum4222222222, allPhotosAlbum3222222, allVideosAlbum5222222222, 0);
                }
            } catch (Throwable th17) {
                e = th17;
                str2 = "_data";
                cursor6 = cursor5;
                str3 = "date_modified";
            }
        } else {
            str2 = "_data";
            str3 = "date_modified";
            allVideosAlbum = null;
            cursor = cursor5;
        }
        if (cursor != null) {
        }
        AlbumEntry allPhotosAlbum32222222 = allPhotosAlbum2;
        if (Build.VERSION.SDK_INT >= 23) {
            allVideosAlbum2 = allVideosAlbum;
            AlbumEntry allVideosAlbum52222222222 = allVideosAlbum2;
            AlbumEntry allMediaAlbum42222222222 = allMediaAlbum3;
            Integer mediaCameraAlbumId22222222222 = mediaCameraAlbumId3;
            while (a2 < mediaAlbumsSorted.size()) {
            }
            broadcastNewPhotos(guid, mediaAlbumsSorted, photoAlbumsSorted, mediaCameraAlbumId22222222222, allMediaAlbum42222222222, allPhotosAlbum32222222, allVideosAlbum52222222222, 0);
        }
        cursor2 = MediaStore.Images.Media.query(ApplicationLoader.applicationContext.getContentResolver(), MediaStore.Video.Media.EXTERNAL_CONTENT_URI, projectionVideo, null, null, Build.VERSION.SDK_INT <= 28 ? str3 : "datetaken DESC");
        if (cursor2 == null) {
        }
        AlbumEntry allVideosAlbum522222222222 = allVideosAlbum2;
        AlbumEntry allMediaAlbum422222222222 = allMediaAlbum3;
        Integer mediaCameraAlbumId222222222222 = mediaCameraAlbumId3;
        while (a2 < mediaAlbumsSorted.size()) {
        }
        broadcastNewPhotos(guid, mediaAlbumsSorted, photoAlbumsSorted, mediaCameraAlbumId222222222222, allMediaAlbum422222222222, allPhotosAlbum32222222, allVideosAlbum522222222222, 0);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ int lambda$loadGalleryPhotosAlbums$27(PhotoEntry o1, PhotoEntry o2) {
        if (o1.dateTaken < o2.dateTaken) {
            return 1;
        }
        if (o1.dateTaken > o2.dateTaken) {
            return -1;
        }
        return 0;
    }

    private static void broadcastNewPhotos(final int guid, final ArrayList<AlbumEntry> mediaAlbumsSorted, final ArrayList<AlbumEntry> photoAlbumsSorted, final Integer cameraAlbumIdFinal, final AlbumEntry allMediaAlbumFinal, final AlbumEntry allPhotosAlbumFinal, final AlbumEntry allVideosAlbumFinal, int delay) {
        Runnable runnable = broadcastPhotosRunnable;
        if (runnable != null) {
            AndroidUtilities.cancelRunOnUIThread(runnable);
        }
        Runnable runnable2 = new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda1
            @Override // java.lang.Runnable
            public final void run() {
                MediaController.lambda$broadcastNewPhotos$29(guid, mediaAlbumsSorted, photoAlbumsSorted, cameraAlbumIdFinal, allMediaAlbumFinal, allPhotosAlbumFinal, allVideosAlbumFinal);
            }
        };
        broadcastPhotosRunnable = runnable2;
        AndroidUtilities.runOnUIThread(runnable2, delay);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$broadcastNewPhotos$29(int guid, ArrayList mediaAlbumsSorted, ArrayList photoAlbumsSorted, Integer cameraAlbumIdFinal, AlbumEntry allMediaAlbumFinal, AlbumEntry allPhotosAlbumFinal, AlbumEntry allVideosAlbumFinal) {
        if (PhotoViewer.getInstance().isVisible()) {
            broadcastNewPhotos(guid, mediaAlbumsSorted, photoAlbumsSorted, cameraAlbumIdFinal, allMediaAlbumFinal, allPhotosAlbumFinal, allVideosAlbumFinal, 1000);
            return;
        }
        allMediaAlbums = mediaAlbumsSorted;
        allPhotoAlbums = photoAlbumsSorted;
        broadcastPhotosRunnable = null;
        allPhotosAlbumEntry = allPhotosAlbumFinal;
        allMediaAlbumEntry = allMediaAlbumFinal;
        allVideosAlbumEntry = allVideosAlbumFinal;
        for (int a2 = 0; a2 < 3; a2++) {
            NotificationCenter.getInstance(a2).postNotificationName(NotificationCenter.albumsDidLoad, Integer.valueOf(guid), mediaAlbumsSorted, photoAlbumsSorted, cameraAlbumIdFinal);
        }
    }

    public void scheduleVideoConvert(MessageObject messageObject) {
        scheduleVideoConvert(messageObject, false);
    }

    public boolean scheduleVideoConvert(MessageObject messageObject, boolean isEmpty) {
        if (messageObject == null || messageObject.videoEditedInfo == null) {
            return false;
        }
        if (isEmpty && !this.videoConvertQueue.isEmpty()) {
            return false;
        }
        if (isEmpty) {
            new File(messageObject.messageOwner.attachPath).delete();
        }
        this.videoConvertQueue.add(messageObject);
        if (this.videoConvertQueue.size() == 1) {
            startVideoConvertFromQueue();
        }
        return true;
    }

    public void cancelVideoConvert(MessageObject messageObject) {
        if (messageObject == null) {
            synchronized (this.videoConvertSync) {
                this.cancelCurrentVideoConversion = true;
            }
        } else if (!this.videoConvertQueue.isEmpty()) {
            for (int a2 = 0; a2 < this.videoConvertQueue.size(); a2++) {
                MessageObject object = this.videoConvertQueue.get(a2);
                if (object.getId() == messageObject.getId() && object.currentAccount == messageObject.currentAccount) {
                    if (a2 == 0) {
                        synchronized (this.videoConvertSync) {
                            this.cancelCurrentVideoConversion = true;
                        }
                        return;
                    } else {
                        this.videoConvertQueue.remove(a2);
                        return;
                    }
                }
            }
        }
    }

    private boolean startVideoConvertFromQueue() {
        if (this.videoConvertQueue.isEmpty()) {
            return false;
        }
        synchronized (this.videoConvertSync) {
            this.cancelCurrentVideoConversion = false;
        }
        MessageObject messageObject = this.videoConvertQueue.get(0);
        Intent intent = new Intent(ApplicationLoader.applicationContext, VideoEncodingService.class);
        intent.putExtra("path", messageObject.messageOwner.attachPath);
        intent.putExtra("currentAccount", messageObject.currentAccount);
        if (messageObject.messageOwner.media.document != null) {
            int a2 = 0;
            while (true) {
                if (a2 >= messageObject.messageOwner.media.document.attributes.size()) {
                    break;
                }
                TLRPC.DocumentAttribute documentAttribute = messageObject.messageOwner.media.document.attributes.get(a2);
                if (!(documentAttribute instanceof TLRPC.TL_documentAttributeAnimated)) {
                    a2++;
                } else {
                    intent.putExtra("gif", true);
                    break;
                }
            }
        }
        int a3 = messageObject.getId();
        if (a3 != 0) {
            try {
                ApplicationLoader.applicationContext.startService(intent);
            } catch (Throwable e) {
                FileLog.e(e);
            }
        }
        VideoConvertRunnable.runConversion(messageObject);
        return true;
    }

    public static MediaCodecInfo selectCodec(String mimeType) {
        String name;
        int numCodecs = MediaCodecList.getCodecCount();
        MediaCodecInfo lastCodecInfo = null;
        for (int i = 0; i < numCodecs; i++) {
            MediaCodecInfo codecInfo = MediaCodecList.getCodecInfoAt(i);
            if (codecInfo.isEncoder()) {
                String[] types = codecInfo.getSupportedTypes();
                for (String type : types) {
                    if (type.equalsIgnoreCase(mimeType) && (name = (lastCodecInfo = codecInfo).getName()) != null) {
                        if (!name.equals("OMX.SEC.avc.enc")) {
                            return lastCodecInfo;
                        }
                        if (name.equals("OMX.SEC.AVC.Encoder")) {
                            return lastCodecInfo;
                        }
                    }
                }
                continue;
            }
        }
        return lastCodecInfo;
    }

    private static boolean isRecognizedFormat(int colorFormat) {
        switch (colorFormat) {
            case 19:
            case 20:
            case 21:
            case 39:
            case 2130706688:
                return true;
            default:
                return false;
        }
    }

    public static int selectColorFormat(MediaCodecInfo codecInfo, String mimeType) {
        MediaCodecInfo.CodecCapabilities capabilities = codecInfo.getCapabilitiesForType(mimeType);
        int lastColorFormat = 0;
        for (int i = 0; i < capabilities.colorFormats.length; i++) {
            int colorFormat = capabilities.colorFormats[i];
            if (isRecognizedFormat(colorFormat)) {
                lastColorFormat = colorFormat;
                if (!codecInfo.getName().equals("OMX.SEC.AVC.Encoder") || colorFormat != 19) {
                    return colorFormat;
                }
            }
        }
        return lastColorFormat;
    }

    private int findTrack(MediaExtractor extractor, boolean audio) {
        int numTracks = extractor.getTrackCount();
        for (int i = 0; i < numTracks; i++) {
            MediaFormat format = extractor.getTrackFormat(i);
            String mime = format.getString("mime");
            if (audio) {
                if (mime.startsWith("audio/")) {
                    return i;
                }
            } else if (mime.startsWith("video/")) {
                return i;
            }
        }
        return -5;
    }

    private void didWriteData(final MessageObject messageObject, final File file, final boolean last, final long availableSize, final boolean error) {
        final boolean firstWrite = this.videoConvertFirstWrite;
        if (firstWrite) {
            this.videoConvertFirstWrite = false;
        }
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$$ExternalSyntheticLambda2
            @Override // java.lang.Runnable
            public final void run() {
                MediaController.this.m311lambda$didWriteData$30$imuecahxyvjdmessengerMediaController(error, last, messageObject, file, firstWrite, availableSize);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$didWriteData$30$im-uecahxyvjd-messenger-MediaController  reason: not valid java name */
    public /* synthetic */ void m311lambda$didWriteData$30$imuecahxyvjdmessengerMediaController(boolean error, boolean last, MessageObject messageObject, File file, boolean firstWrite, long availableSize) {
        if (error || last) {
            synchronized (this.videoConvertSync) {
                this.cancelCurrentVideoConversion = false;
            }
            this.videoConvertQueue.remove(messageObject);
            startVideoConvertFromQueue();
        }
        if (error) {
            NotificationCenter.getInstance(messageObject.currentAccount).postNotificationName(NotificationCenter.filePreparingFailed, messageObject, file.toString());
            return;
        }
        if (firstWrite) {
            NotificationCenter.getInstance(messageObject.currentAccount).postNotificationName(NotificationCenter.filePreparingStarted, messageObject, file.toString());
        }
        NotificationCenter notificationCenter = NotificationCenter.getInstance(messageObject.currentAccount);
        int i = NotificationCenter.fileNewChunkAvailable;
        Object[] objArr = new Object[4];
        objArr[0] = messageObject;
        objArr[1] = file.toString();
        objArr[2] = Long.valueOf(availableSize);
        objArr[3] = Long.valueOf(last ? file.length() : 0L);
        notificationCenter.postNotificationName(i, objArr);
    }

    /* JADX WARN: Code restructure failed: missing block: B:49:0x00d9, code lost:
        if (r3[r4 + 3] != 1) goto L52;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private long readAndWriteTracks(MessageObject messageObject, MediaExtractor extractor, MP4Builder mediaMuxer, MediaCodec.BufferInfo info, long start, long end, File file, boolean needAudio) throws Exception {
        int muxerVideoTrackIndex;
        int muxerAudioTrackIndex;
        int maxBufferSize;
        MediaExtractor mediaExtractor;
        int muxerTrackIndex;
        boolean eof;
        ByteBuffer buffer;
        int muxerAudioTrackIndex2;
        int muxerVideoTrackIndex2;
        long j;
        int audioTrackIndex;
        boolean eof2;
        int writeStart;
        boolean eof3;
        long startTime;
        int muxerVideoTrackIndex3;
        MediaExtractor mediaExtractor2 = extractor;
        int videoTrackIndex = findTrack(mediaExtractor2, false);
        int audioTrackIndex2 = needAudio ? findTrack(mediaExtractor2, true) : -1;
        int maxBufferSize2 = 0;
        if (videoTrackIndex < 0) {
            muxerVideoTrackIndex = -1;
        } else {
            mediaExtractor2.selectTrack(videoTrackIndex);
            MediaFormat trackFormat = mediaExtractor2.getTrackFormat(videoTrackIndex);
            int muxerVideoTrackIndex4 = mediaMuxer.addTrack(trackFormat, false);
            maxBufferSize2 = trackFormat.getInteger("max-input-size");
            if (start > 0) {
                mediaExtractor2.seekTo(start, 0);
            } else {
                mediaExtractor2.seekTo(0L, 0);
            }
            muxerVideoTrackIndex = muxerVideoTrackIndex4;
        }
        if (audioTrackIndex2 < 0) {
            muxerAudioTrackIndex = -1;
            maxBufferSize = maxBufferSize2;
        } else {
            mediaExtractor2.selectTrack(audioTrackIndex2);
            MediaFormat trackFormat2 = mediaExtractor2.getTrackFormat(audioTrackIndex2);
            int muxerAudioTrackIndex3 = mediaMuxer.addTrack(trackFormat2, true);
            int maxBufferSize3 = Math.max(trackFormat2.getInteger("max-input-size"), maxBufferSize2);
            if (start > 0) {
                mediaExtractor2.seekTo(start, 0);
            } else {
                mediaExtractor2.seekTo(0L, 0);
            }
            muxerAudioTrackIndex = muxerAudioTrackIndex3;
            maxBufferSize = maxBufferSize3;
        }
        ByteBuffer buffer2 = ByteBuffer.allocateDirect(maxBufferSize);
        if (audioTrackIndex2 < 0 && videoTrackIndex < 0) {
            return -1L;
        }
        long startTime2 = -1;
        checkConversionCanceled();
        boolean inputDone = false;
        while (!inputDone) {
            checkConversionCanceled();
            info.size = mediaExtractor2.readSampleData(buffer2, 0);
            int index = extractor.getSampleTrackIndex();
            if (index == videoTrackIndex) {
                muxerTrackIndex = muxerVideoTrackIndex;
            } else if (index == audioTrackIndex2) {
                muxerTrackIndex = muxerAudioTrackIndex;
            } else {
                muxerTrackIndex = -1;
            }
            if (muxerTrackIndex != -1) {
                if (index == audioTrackIndex2) {
                    eof2 = false;
                    writeStart = audioTrackIndex2;
                    muxerAudioTrackIndex2 = muxerAudioTrackIndex;
                    muxerVideoTrackIndex2 = muxerVideoTrackIndex;
                } else {
                    byte[] array = buffer2.array();
                    if (array == null) {
                        eof2 = false;
                        writeStart = audioTrackIndex2;
                        muxerAudioTrackIndex2 = muxerAudioTrackIndex;
                        muxerVideoTrackIndex2 = muxerVideoTrackIndex;
                    } else {
                        int offset = buffer2.arrayOffset();
                        int len = offset + buffer2.limit();
                        eof2 = false;
                        int writeStart2 = -1;
                        writeStart = audioTrackIndex2;
                        int audioTrackIndex3 = offset;
                        while (true) {
                            muxerAudioTrackIndex2 = muxerAudioTrackIndex;
                            int muxerAudioTrackIndex4 = len - 4;
                            if (audioTrackIndex3 > muxerAudioTrackIndex4) {
                                break;
                            }
                            if (array[audioTrackIndex3] == 0 && array[audioTrackIndex3 + 1] == 0 && array[audioTrackIndex3 + 2] == 0) {
                                muxerVideoTrackIndex3 = muxerVideoTrackIndex;
                            } else {
                                muxerVideoTrackIndex3 = muxerVideoTrackIndex;
                            }
                            if (audioTrackIndex3 != len - 4) {
                                audioTrackIndex3++;
                                muxerAudioTrackIndex = muxerAudioTrackIndex2;
                                muxerVideoTrackIndex = muxerVideoTrackIndex3;
                            }
                            if (writeStart2 != -1) {
                                int l = (audioTrackIndex3 - writeStart2) - (audioTrackIndex3 != len + (-4) ? 4 : 0);
                                array[writeStart2] = (byte) (l >> 24);
                                array[writeStart2 + 1] = (byte) (l >> 16);
                                array[writeStart2 + 2] = (byte) (l >> 8);
                                array[writeStart2 + 3] = (byte) l;
                                writeStart2 = audioTrackIndex3;
                            } else {
                                writeStart2 = audioTrackIndex3;
                            }
                            audioTrackIndex3++;
                            muxerAudioTrackIndex = muxerAudioTrackIndex2;
                            muxerVideoTrackIndex = muxerVideoTrackIndex3;
                        }
                        muxerVideoTrackIndex2 = muxerVideoTrackIndex;
                    }
                }
                if (info.size >= 0) {
                    info.presentationTimeUs = extractor.getSampleTime();
                } else {
                    info.size = 0;
                    eof2 = true;
                }
                if (info.size <= 0 || eof2) {
                    buffer = buffer2;
                    audioTrackIndex = writeStart;
                    j = 0;
                    eof3 = eof2;
                } else {
                    if (index == videoTrackIndex && start > 0 && startTime2 == -1) {
                        long startTime3 = info.presentationTimeUs;
                        startTime = startTime3;
                    } else {
                        startTime = startTime2;
                    }
                    if (end < 0 || info.presentationTimeUs < end) {
                        info.offset = 0;
                        info.flags = extractor.getSampleFlags();
                        long availableSize = mediaMuxer.writeSampleData(muxerTrackIndex, buffer2, info, false);
                        if (availableSize != 0) {
                            buffer = buffer2;
                            audioTrackIndex = writeStart;
                            j = 0;
                            didWriteData(messageObject, file, false, availableSize, false);
                        } else {
                            buffer = buffer2;
                            j = 0;
                            audioTrackIndex = writeStart;
                        }
                        startTime2 = startTime;
                        eof3 = eof2;
                    } else {
                        eof3 = true;
                        buffer = buffer2;
                        startTime2 = startTime;
                        audioTrackIndex = writeStart;
                        j = 0;
                    }
                }
                if (!eof3) {
                    extractor.advance();
                }
                eof = eof3;
            } else {
                eof = false;
                buffer = buffer2;
                muxerAudioTrackIndex2 = muxerAudioTrackIndex;
                muxerVideoTrackIndex2 = muxerVideoTrackIndex;
                j = 0;
                audioTrackIndex = audioTrackIndex2;
                if (index == -1) {
                    eof = true;
                } else {
                    extractor.advance();
                }
            }
            if (eof) {
                inputDone = true;
            }
            mediaExtractor2 = extractor;
            audioTrackIndex2 = audioTrackIndex;
            buffer2 = buffer;
            muxerAudioTrackIndex = muxerAudioTrackIndex2;
            muxerVideoTrackIndex = muxerVideoTrackIndex2;
        }
        int muxerVideoTrackIndex5 = audioTrackIndex2;
        if (videoTrackIndex < 0) {
            mediaExtractor = extractor;
        } else {
            mediaExtractor = extractor;
            mediaExtractor.unselectTrack(videoTrackIndex);
        }
        if (muxerVideoTrackIndex5 >= 0) {
            mediaExtractor.unselectTrack(muxerVideoTrackIndex5);
        }
        return startTime2;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes16.dex */
    public static class VideoConvertRunnable implements Runnable {
        private MessageObject messageObject;

        private VideoConvertRunnable(MessageObject message) {
            this.messageObject = message;
        }

        @Override // java.lang.Runnable
        public void run() {
            MediaController.getInstance().convertVideo(this.messageObject);
        }

        public static void runConversion(final MessageObject obj) {
            new Thread(new Runnable() { // from class: im.uecahxyvjd.messenger.MediaController$VideoConvertRunnable$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    MediaController.VideoConvertRunnable.lambda$runConversion$0(MessageObject.this);
                }
            }).start();
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        public static /* synthetic */ void lambda$runConversion$0(MessageObject obj) {
            try {
                VideoConvertRunnable wrapper = new VideoConvertRunnable(obj);
                Thread th = new Thread(wrapper, "VideoConvertRunnable");
                th.start();
                th.join();
            } catch (Exception e) {
                FileLog.e(e);
            }
        }
    }

    private void checkConversionCanceled() {
        boolean cancelConversion;
        synchronized (this.videoConvertSync) {
            cancelConversion = this.cancelCurrentVideoConversion;
        }
        if (cancelConversion) {
            throw new RuntimeException("canceled conversion");
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Can't wrap try/catch for region: R(17:26|(15:27|28|29|30|31|32|33|34|35|36|37|38|39|40|41)|(3:45|46|(2:48|(14:50|51|52|53|54|(3:56|57|58)(1:562)|59|(11:61|62|63|(2:545|546)(1:65)|66|67|68|69|(2:71|(34:73|74|75|(6:506|507|508|509|510|511)(1:77)|78|(4:80|81|82|83)(3:503|504|505)|84|(1:86)(1:497)|87|(1:89)(1:496)|90|91|92|93|95|96|97|98|99|100|101|102|103|104|105|(5:107|108|(6:110|111|112|113|(4:455|456|(2:458|(1:460)(1:462))(1:463)|461)(2:115|(2:452|(1:454))(9:118|119|120|121|122|(3:124|125|126)(2:447|448)|127|(2:129|(5:435|436|437|(2:439|440)(1:442)|441)(1:134))(1:443)|135))|(3:425|426|(2:428|429))(1:137))(1:474)|138|(1:(10:143|144|145|146|147|148|(1:150)(1:(1:320)(2:321|(4:408|409|(2:411|412)|413)(1:(2:324|(10:326|327|(4:342|343|344|(5:382|383|384|(3:386|387|388)(1:393)|389)(2:346|(14:348|349|350|(1:(2:354|(1:371)(2:362|363))(1:375))|364|(1:367)|368|369|331|332|333|(1:335)(1:338)|336|337)(1:381)))(1:329)|330|331|332|333|(0)(0)|336|337)(3:402|403|404))(3:405|406|407))))|151|(3:316|317|318)(4:153|(4:159|160|161|(1:163)(2:164|(1:166)(2:167|(4:301|302|(1:304)|305)(1:(12:170|(1:172)(1:297)|173|(2:177|178)|179|(1:296)(4:183|184|185|(2:187|(4:189|190|191|192)(1:288))(7:289|290|194|195|(4:197|198|199|(6:201|202|203|204|205|206)(1:274))(1:279)|207|(3:209|(1:211)|212)))|193|194|195|(0)(0)|207|(0))(3:298|299|300)))))(1:155)|156|157)|158)))|478|479|217|(1:219)|(1:221)|(1:223)|(1:225)|226)(35:519|520|74|75|(0)(0)|78|(0)(0)|84|(0)(0)|87|(0)(0)|90|91|92|93|95|96|97|98|99|100|101|102|103|104|105|(0)|478|479|217|(0)|(0)|(0)|(0)|226))(2:521|(2:523|(34:525|74|75|(0)(0)|78|(0)(0)|84|(0)(0)|87|(0)(0)|90|91|92|93|95|96|97|98|99|100|101|102|103|104|105|(0)|478|479|217|(0)|(0)|(0)|(0)|226)(35:526|520|74|75|(0)(0)|78|(0)(0)|84|(0)(0)|87|(0)(0)|90|91|92|93|95|96|97|98|99|100|101|102|103|104|105|(0)|478|479|217|(0)|(0)|(0)|(0)|226))(36:527|(1:529)(2:530|(2:532|(35:534|535|74|75|(0)(0)|78|(0)(0)|84|(0)(0)|87|(0)(0)|90|91|92|93|95|96|97|98|99|100|101|102|103|104|105|(0)|478|479|217|(0)|(0)|(0)|(0)|226))(1:536))|520|74|75|(0)(0)|78|(0)(0)|84|(0)(0)|87|(0)(0)|90|91|92|93|95|96|97|98|99|100|101|102|103|104|105|(0)|478|479|217|(0)|(0)|(0)|(0)|226))|232|233)(1:556)|227|(2:234|235)|229|(1:231)|232|233)(11:(1:569)(1:579)|570|571|572|573|227|(0)|229|(0)|232|233)))|585|51|52|53|54|(0)(0)|59|(0)(0)|227|(0)|229|(0)|232|233) */
    /* JADX WARN: Code restructure failed: missing block: B:243:0x0760, code lost:
        r6 = r28;
        r34 = r42;
        r42 = r44;
        r69 = r47;
        r4 = r53;
        r15 = r55;
        r1 = r56;
        r56 = r57;
        r28 = r74;
        r60 = r75;
        r57 = r78;
        r5 = r80;
        r44 = r7;
        r7 = r11;
        r11 = r54;
        r54 = r27;
        r27 = r77;
     */
    /* JADX WARN: Code restructure failed: missing block: B:474:0x0d29, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:475:0x0d2a, code lost:
        r2 = r29;
        r75 = r40;
        r3 = r0;
        r23 = r13;
        r1 = r14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:477:0x0d3c, code lost:
        r0 = e;
     */
    /* JADX WARN: Code restructure failed: missing block: B:478:0x0d3d, code lost:
        r50 = r9;
        r2 = r29;
        r75 = r40;
        r23 = r13;
        r1 = r14;
     */
    /* JADX WARN: Removed duplicated region for block: B:134:0x0402  */
    /* JADX WARN: Removed duplicated region for block: B:137:0x041a  */
    /* JADX WARN: Removed duplicated region for block: B:144:0x0448  */
    /* JADX WARN: Removed duplicated region for block: B:148:0x0460  */
    /* JADX WARN: Removed duplicated region for block: B:149:0x0462  */
    /* JADX WARN: Removed duplicated region for block: B:152:0x046c  */
    /* JADX WARN: Removed duplicated region for block: B:153:0x046f  */
    /* JADX WARN: Removed duplicated region for block: B:165:0x04cd A[Catch: Exception -> 0x0bbb, all -> 0x0c2a, TRY_LEAVE, TryCatch #8 {all -> 0x0c2a, blocks: (B:146:0x0450, B:150:0x0465, B:154:0x0471, B:156:0x0482, B:157:0x048f, B:159:0x04a2, B:161:0x04a9, B:163:0x04b7, B:165:0x04cd, B:145:0x044d), top: B:544:0x044d }] */
    /* JADX WARN: Removed duplicated region for block: B:318:0x0931  */
    /* JADX WARN: Removed duplicated region for block: B:319:0x0933  */
    /* JADX WARN: Removed duplicated region for block: B:379:0x0a4d  */
    /* JADX WARN: Removed duplicated region for block: B:393:0x0a81  */
    /* JADX WARN: Removed duplicated region for block: B:396:0x0a8c A[Catch: Exception -> 0x0b61, all -> 0x0cd6, TryCatch #17 {Exception -> 0x0b61, blocks: (B:389:0x0a6c, B:394:0x0a86, B:396:0x0a8c, B:398:0x0a91, B:399:0x0a96, B:402:0x0aa6, B:403:0x0ac6, B:412:0x0b08, B:413:0x0b37, B:414:0x0b38, B:415:0x0b60), top: B:552:0x0a6c }] */
    /* JADX WARN: Removed duplicated region for block: B:450:0x0cba A[Catch: all -> 0x0cd6, Exception -> 0x0ce1, TryCatch #16 {Exception -> 0x0ce1, blocks: (B:447:0x0ca9, B:448:0x0cb3, B:450:0x0cba, B:452:0x0cbf, B:454:0x0cc4, B:456:0x0ccc, B:457:0x0cd2), top: B:550:0x0ca9 }] */
    /* JADX WARN: Removed duplicated region for block: B:452:0x0cbf A[Catch: all -> 0x0cd6, Exception -> 0x0ce1, TryCatch #16 {Exception -> 0x0ce1, blocks: (B:447:0x0ca9, B:448:0x0cb3, B:450:0x0cba, B:452:0x0cbf, B:454:0x0cc4, B:456:0x0ccc, B:457:0x0cd2), top: B:550:0x0ca9 }] */
    /* JADX WARN: Removed duplicated region for block: B:454:0x0cc4 A[Catch: all -> 0x0cd6, Exception -> 0x0ce1, TryCatch #16 {Exception -> 0x0ce1, blocks: (B:447:0x0ca9, B:448:0x0cb3, B:450:0x0cba, B:452:0x0cbf, B:454:0x0cc4, B:456:0x0ccc, B:457:0x0cd2), top: B:550:0x0ca9 }] */
    /* JADX WARN: Removed duplicated region for block: B:456:0x0ccc A[Catch: all -> 0x0cd6, Exception -> 0x0ce1, TryCatch #16 {Exception -> 0x0ce1, blocks: (B:447:0x0ca9, B:448:0x0cb3, B:450:0x0cba, B:452:0x0cbf, B:454:0x0cc4, B:456:0x0ccc, B:457:0x0cd2), top: B:550:0x0ca9 }] */
    /* JADX WARN: Removed duplicated region for block: B:463:0x0ce9  */
    /* JADX WARN: Removed duplicated region for block: B:473:0x0d0b  */
    /* JADX WARN: Removed duplicated region for block: B:502:0x0e43  */
    /* JADX WARN: Removed duplicated region for block: B:510:0x0e56  */
    /* JADX WARN: Removed duplicated region for block: B:516:0x0e97  */
    /* JADX WARN: Removed duplicated region for block: B:524:0x0eaa  */
    /* JADX WARN: Removed duplicated region for block: B:534:0x03b3 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:576:0x0cfd A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:579:0x0e9c A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:587:0x0e48 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:77:0x026c  */
    /* JADX WARN: Removed duplicated region for block: B:84:0x0293  */
    /* JADX WARN: Removed duplicated region for block: B:87:0x0297  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean convertVideo(MessageObject messageObject) {
        int rotationValue;
        int resultWidth;
        int resultWidth2;
        String videoPath;
        File cacheFile;
        int framerate;
        String videoPath2;
        boolean isSecret;
        int rotationValue2;
        int resultHeight;
        SharedPreferences preferences;
        String str;
        int originalHeight;
        boolean z;
        String str2;
        File cacheFile2;
        String str3;
        Throwable th;
        String str4;
        long startTime;
        File cacheFile3;
        MediaCodec.BufferInfo info;
        File cacheFile4;
        MediaExtractor extractor;
        int resultHeight2;
        MediaExtractor extractor2;
        long startTime2;
        MP4Builder mediaMuxer;
        int resultWidth3;
        String str5;
        int originalWidth;
        int resultHeight3;
        int i;
        int videoIndex;
        OutputSurface outputSurface;
        MediaCodec decoder;
        MediaCodec decoder2;
        OutputSurface outputSurface2;
        String manufacturer;
        boolean outputDone;
        int colorFormat;
        int resultHeightAligned;
        int resultHeight4;
        long videoTime;
        int bufferSize;
        boolean z2;
        String manufacturer2;
        MediaFormat videoFormat;
        MediaFormat audioFormat;
        ByteBuffer audioBuffer;
        MediaCodec decoder3;
        int audioTrackIndex;
        ByteBuffer audioBuffer2;
        long startTime3;
        long startTime4;
        MediaFormat outputFormat;
        MediaCodec decoder4;
        MediaCodec encoder;
        MediaCodec decoder5;
        InputSurface inputSurface;
        boolean outputDone2;
        MediaFormat outputFormat2;
        String str6;
        int bitrate;
        MediaCodec.BufferInfo info2;
        MediaCodec encoder2;
        boolean z3;
        InputSurface inputSurface2;
        int colorFormat2;
        int bitrate2;
        long startTime5;
        MediaFormat videoFormat2;
        int processorType;
        ByteBuffer audioBuffer3;
        int audioTrackIndex2;
        long j;
        MediaCodec.BufferInfo info3;
        String str7;
        boolean outputDone3;
        int encoderStatus;
        int encoderStatus2;
        MediaCodec encoder3;
        MediaCodec.BufferInfo info4;
        ByteBuffer encodedData;
        int videoTrackIndex;
        int videoTrackIndex2;
        int resultHeight5;
        OutputSurface outputSurface3;
        InputSurface inputSurface3;
        boolean outputDone4;
        boolean doRender;
        String str8;
        int index;
        int index2;
        if (messageObject == null || messageObject.videoEditedInfo == null) {
            return false;
        }
        String videoPath3 = messageObject.videoEditedInfo.originalPath;
        long startTime6 = messageObject.videoEditedInfo.startTime;
        long endTime = messageObject.videoEditedInfo.endTime;
        int resultWidth4 = messageObject.videoEditedInfo.resultWidth;
        int resultHeight6 = messageObject.videoEditedInfo.resultHeight;
        int rotationValue3 = messageObject.videoEditedInfo.rotationValue;
        int originalWidth2 = messageObject.videoEditedInfo.originalWidth;
        int originalHeight2 = messageObject.videoEditedInfo.originalHeight;
        int framerate2 = messageObject.videoEditedInfo.framerate;
        int bitrate3 = messageObject.videoEditedInfo.bitrate;
        int rotateRender = 0;
        boolean isSecret2 = ((int) messageObject.getDialogId()) == 0;
        File cacheFile5 = new File(messageObject.messageOwner.attachPath);
        String videoPath4 = videoPath3 == null ? "" : videoPath3;
        if (rotationValue3 == 90) {
            resultHeight6 = resultWidth4;
            rotateRender = 270;
            rotationValue = resultHeight6;
            resultWidth = 0;
        } else if (rotationValue3 == 180) {
            rotateRender = 180;
            rotationValue = resultWidth4;
            resultWidth = 0;
        } else if (rotationValue3 == 270) {
            resultHeight6 = resultWidth4;
            rotateRender = 90;
            rotationValue = resultHeight6;
            resultWidth = 0;
        } else {
            rotationValue = resultWidth4;
            resultWidth = rotationValue3;
        }
        int rotationValue4 = resultWidth;
        int resultHeight7 = resultHeight6;
        SharedPreferences preferences2 = ApplicationLoader.applicationContext.getSharedPreferences("videoconvert", 0);
        File inputFile = new File(videoPath4);
        if (messageObject.getId() != 0) {
            String videoPath5 = videoPath4;
            boolean isPreviousOk = preferences2.getBoolean("isPreviousOk", true);
            preferences2.edit().putBoolean("isPreviousOk", false).commit();
            if (!inputFile.canRead() || !isPreviousOk) {
                didWriteData(messageObject, cacheFile5, true, 0L, true);
                preferences2.edit().putBoolean("isPreviousOk", true).commit();
                return false;
            }
            resultWidth2 = rotationValue;
            cacheFile = cacheFile5;
            framerate = framerate2;
            videoPath2 = "time = ";
            isSecret = isSecret2;
            rotationValue2 = rotationValue4;
            resultHeight = resultHeight7;
            videoPath = videoPath5;
            preferences = preferences2;
            str = "isPreviousOk";
            originalHeight = originalHeight2;
            z = true;
        } else {
            resultWidth2 = rotationValue;
            videoPath = videoPath4;
            cacheFile = cacheFile5;
            framerate = framerate2;
            videoPath2 = "time = ";
            isSecret = isSecret2;
            rotationValue2 = rotationValue4;
            resultHeight = resultHeight7;
            preferences = preferences2;
            str = "isPreviousOk";
            originalHeight = originalHeight2;
            z = true;
        }
        this.videoConvertFirstWrite = z;
        boolean error = false;
        long time = System.currentTimeMillis();
        int resultWidth5 = resultWidth2;
        if (resultWidth5 != 0) {
            int resultHeight8 = resultHeight;
            if (resultHeight8 != 0) {
                MP4Builder mediaMuxer2 = null;
                MediaExtractor extractor3 = null;
                try {
                    info = new MediaCodec.BufferInfo();
                    Mp4Movie movie = new Mp4Movie();
                    cacheFile4 = cacheFile;
                    try {
                        movie.setCacheFile(cacheFile4);
                        movie.setRotation(rotationValue2);
                        movie.setSize(resultWidth5, resultHeight8);
                        try {
                            mediaMuxer2 = new MP4Builder().createMovie(movie, isSecret);
                            try {
                                extractor = new MediaExtractor();
                                try {
                                    extractor.setDataSource(videoPath);
                                    checkConversionCanceled();
                                } catch (Exception e) {
                                    e = e;
                                    str4 = str;
                                    startTime = startTime6;
                                    cacheFile3 = cacheFile4;
                                    str3 = videoPath2;
                                    extractor3 = extractor;
                                } catch (Throwable th2) {
                                    str3 = videoPath2;
                                    th = th2;
                                    extractor3 = extractor;
                                }
                            } catch (Exception e2) {
                                e = e2;
                                str4 = str;
                                startTime = startTime6;
                                cacheFile3 = cacheFile4;
                                str3 = videoPath2;
                            } catch (Throwable th3) {
                                str3 = videoPath2;
                                th = th3;
                            }
                        } catch (Exception e3) {
                            e = e3;
                            str4 = str;
                            startTime = startTime6;
                            cacheFile3 = cacheFile4;
                            str3 = videoPath2;
                        } catch (Throwable th4) {
                            str3 = videoPath2;
                            th = th4;
                        }
                    } catch (Exception e4) {
                        e = e4;
                        str4 = str;
                        startTime = startTime6;
                        cacheFile3 = cacheFile4;
                        str3 = videoPath2;
                    } catch (Throwable th5) {
                        str3 = videoPath2;
                        th = th5;
                    }
                } catch (Exception e5) {
                    e = e5;
                    str4 = str;
                    startTime = startTime6;
                    cacheFile3 = cacheFile;
                    str3 = videoPath2;
                } catch (Throwable th6) {
                    str3 = videoPath2;
                    th = th6;
                }
                if (resultWidth5 == originalWidth2 && resultHeight8 == originalHeight && rotateRender == 0) {
                    try {
                    } catch (Exception e6) {
                        e = e6;
                        str4 = str;
                        extractor3 = extractor;
                        str3 = videoPath2;
                        cacheFile3 = cacheFile4;
                        startTime = startTime6;
                    } catch (Throwable th7) {
                        th = th7;
                        extractor3 = extractor;
                        str3 = videoPath2;
                    }
                    if (!messageObject.videoEditedInfo.roundVideo) {
                        if (startTime6 == -1) {
                            str4 = str;
                            mediaMuxer = mediaMuxer2;
                            str5 = videoPath2;
                            extractor2 = extractor;
                            try {
                                readAndWriteTracks(messageObject, extractor, mediaMuxer2, info, startTime6, endTime, cacheFile4, bitrate3 != -1);
                                cacheFile3 = cacheFile4;
                                startTime = startTime6;
                                extractor2.release();
                                if (mediaMuxer != null) {
                                }
                                if (BuildVars.LOGS_ENABLED) {
                                }
                            } catch (Exception e7) {
                                e = e7;
                                extractor3 = extractor2;
                                mediaMuxer2 = mediaMuxer;
                                str3 = str5;
                                cacheFile3 = cacheFile4;
                                startTime = startTime6;
                                error = true;
                                FileLog.e(e);
                                if (extractor3 != null) {
                                }
                                if (mediaMuxer2 != null) {
                                }
                                if (BuildVars.LOGS_ENABLED) {
                                }
                                preferences.edit().putBoolean(str4, true).commit();
                                didWriteData(messageObject, cacheFile3, true, 0L, error);
                                return true;
                            } catch (Throwable th8) {
                                th = th8;
                                extractor3 = extractor2;
                                mediaMuxer2 = mediaMuxer;
                                str3 = str5;
                                if (extractor3 != null) {
                                }
                                if (mediaMuxer2 != null) {
                                }
                                if (BuildVars.LOGS_ENABLED) {
                                }
                                throw th;
                            }
                            preferences.edit().putBoolean(str4, true).commit();
                            didWriteData(messageObject, cacheFile3, true, 0L, error);
                            return true;
                        }
                        resultHeight2 = resultHeight8;
                        str4 = str;
                        extractor2 = extractor;
                        startTime2 = startTime6;
                        mediaMuxer = mediaMuxer2;
                        resultWidth3 = resultWidth5;
                        str5 = videoPath2;
                        originalWidth = bitrate3;
                        File cacheFile6 = cacheFile4;
                        resultHeight3 = findTrack(extractor2, false);
                        if (originalWidth == -1) {
                            try {
                                try {
                                    i = findTrack(extractor2, true);
                                } catch (Exception e8) {
                                    e = e8;
                                    cacheFile3 = cacheFile6;
                                    extractor3 = extractor2;
                                    mediaMuxer2 = mediaMuxer;
                                    str3 = str5;
                                    startTime = startTime2;
                                    error = true;
                                    try {
                                        FileLog.e(e);
                                        if (extractor3 != null) {
                                        }
                                        if (mediaMuxer2 != null) {
                                        }
                                        if (BuildVars.LOGS_ENABLED) {
                                        }
                                        preferences.edit().putBoolean(str4, true).commit();
                                        didWriteData(messageObject, cacheFile3, true, 0L, error);
                                        return true;
                                    } catch (Throwable th9) {
                                        th = th9;
                                        if (extractor3 != null) {
                                        }
                                        if (mediaMuxer2 != null) {
                                        }
                                        if (BuildVars.LOGS_ENABLED) {
                                        }
                                        throw th;
                                    }
                                }
                            } catch (Throwable th10) {
                                th = th10;
                                extractor3 = extractor2;
                                mediaMuxer2 = mediaMuxer;
                                str3 = str5;
                                if (extractor3 != null) {
                                }
                                if (mediaMuxer2 != null) {
                                }
                                if (BuildVars.LOGS_ENABLED) {
                                }
                                throw th;
                            }
                        } else {
                            i = -1;
                        }
                        int audioIndex = i;
                        if (resultHeight3 < 0) {
                            MediaCodec encoder4 = null;
                            InputSurface inputSurface4 = null;
                            boolean inputDone = false;
                            boolean inputDone2 = false;
                            int videoTrackIndex3 = -5;
                            try {
                                manufacturer = Build.MANUFACTURER.toLowerCase();
                                if (BuildVars.LOGS_ENABLED) {
                                    try {
                                        outputDone = false;
                                        colorFormat = 2130708361;
                                        FileLog.d("colorFormat = 2130708361");
                                    } catch (Exception e9) {
                                        e = e9;
                                        cacheFile3 = cacheFile6;
                                        videoIndex = resultHeight3;
                                        startTime = startTime2;
                                        outputSurface = null;
                                        decoder = null;
                                        try {
                                            FileLog.e(e);
                                            outputSurface2 = outputSurface;
                                            error = true;
                                            decoder2 = decoder;
                                            extractor2.unselectTrack(videoIndex);
                                            if (outputSurface2 != null) {
                                            }
                                            if (inputSurface4 != null) {
                                            }
                                            if (decoder2 != null) {
                                            }
                                            if (encoder4 != null) {
                                            }
                                            checkConversionCanceled();
                                            extractor2.release();
                                            if (mediaMuxer != null) {
                                            }
                                            if (BuildVars.LOGS_ENABLED) {
                                            }
                                        } catch (Exception e10) {
                                            e = e10;
                                            extractor3 = extractor2;
                                            mediaMuxer2 = mediaMuxer;
                                            str3 = str5;
                                            error = true;
                                            FileLog.e(e);
                                            if (extractor3 != null) {
                                                extractor3.release();
                                            }
                                            if (mediaMuxer2 != null) {
                                                try {
                                                    mediaMuxer2.finishMovie();
                                                } catch (Exception e11) {
                                                    FileLog.e(e11);
                                                }
                                            }
                                            if (BuildVars.LOGS_ENABLED) {
                                                FileLog.d(str3 + (System.currentTimeMillis() - time));
                                            }
                                            preferences.edit().putBoolean(str4, true).commit();
                                            didWriteData(messageObject, cacheFile3, true, 0L, error);
                                            return true;
                                        }
                                        preferences.edit().putBoolean(str4, true).commit();
                                        didWriteData(messageObject, cacheFile3, true, 0L, error);
                                        return true;
                                    }
                                } else {
                                    outputDone = false;
                                    colorFormat = 2130708361;
                                }
                                resultHeightAligned = resultHeight2;
                                resultHeight4 = resultHeight2;
                                videoTime = -1;
                                try {
                                    bufferSize = ((resultWidth3 * resultHeight4) * 3) / 2;
                                    try {
                                        try {
                                        } catch (Throwable th11) {
                                            th = th11;
                                            extractor3 = extractor2;
                                            mediaMuxer2 = mediaMuxer;
                                            str3 = str5;
                                        }
                                    } catch (Exception e12) {
                                        e = e12;
                                        cacheFile3 = cacheFile6;
                                        videoIndex = resultHeight3;
                                        startTime = startTime2;
                                        outputSurface = null;
                                        decoder = null;
                                    }
                                } catch (Exception e13) {
                                    e = e13;
                                    cacheFile3 = cacheFile6;
                                    videoIndex = resultHeight3;
                                    startTime = startTime2;
                                    outputSurface = null;
                                    decoder = null;
                                } catch (Throwable th12) {
                                    th = th12;
                                    extractor3 = extractor2;
                                    mediaMuxer2 = mediaMuxer;
                                    str3 = str5;
                                }
                            } catch (Exception e14) {
                                e = e14;
                                cacheFile3 = cacheFile6;
                                videoIndex = resultHeight3;
                                startTime = startTime2;
                                outputSurface = null;
                                decoder = null;
                            } catch (Throwable th13) {
                                long j2 = startTime2;
                                th = th13;
                                extractor3 = extractor2;
                                mediaMuxer2 = mediaMuxer;
                                str3 = str5;
                                if (extractor3 != null) {
                                }
                                if (mediaMuxer2 != null) {
                                }
                                if (BuildVars.LOGS_ENABLED) {
                                }
                                throw th;
                            }
                            if (0 == 0) {
                                if (resultHeight4 % 16 != 0) {
                                    int padding = resultWidth3 * ((resultHeightAligned + (16 - (resultHeight4 % 16))) - resultHeight4);
                                    int i2 = bufferSize + ((padding * 5) / 4);
                                    z2 = false;
                                    manufacturer2 = manufacturer;
                                    extractor2.selectTrack(resultHeight3);
                                    videoFormat = extractor2.getTrackFormat(resultHeight3);
                                    if (audioIndex < 0) {
                                        try {
                                            extractor2.selectTrack(audioIndex);
                                            audioFormat = extractor2.getTrackFormat(audioIndex);
                                            int maxBufferSize = audioFormat.getInteger("max-input-size");
                                            audioBuffer = ByteBuffer.allocateDirect(maxBufferSize);
                                            decoder3 = null;
                                        } catch (Exception e15) {
                                            e = e15;
                                            cacheFile3 = cacheFile6;
                                            videoIndex = resultHeight3;
                                            startTime = startTime2;
                                            outputSurface = null;
                                            decoder = null;
                                        }
                                        try {
                                            int audioTrackIndex3 = mediaMuxer.addTrack(audioFormat, true);
                                            audioTrackIndex = audioTrackIndex3;
                                            audioBuffer2 = audioBuffer;
                                        } catch (Exception e16) {
                                            e = e16;
                                            cacheFile3 = cacheFile6;
                                            videoIndex = resultHeight3;
                                            startTime = startTime2;
                                            outputSurface = null;
                                            decoder = null;
                                            FileLog.e(e);
                                            outputSurface2 = outputSurface;
                                            error = true;
                                            decoder2 = decoder;
                                            extractor2.unselectTrack(videoIndex);
                                            if (outputSurface2 != null) {
                                            }
                                            if (inputSurface4 != null) {
                                            }
                                            if (decoder2 != null) {
                                            }
                                            if (encoder4 != null) {
                                            }
                                            checkConversionCanceled();
                                            extractor2.release();
                                            if (mediaMuxer != null) {
                                            }
                                            if (BuildVars.LOGS_ENABLED) {
                                            }
                                            preferences.edit().putBoolean(str4, true).commit();
                                            didWriteData(messageObject, cacheFile3, true, 0L, error);
                                            return true;
                                        }
                                    } else {
                                        decoder3 = null;
                                        audioTrackIndex = -5;
                                        audioBuffer2 = null;
                                    }
                                    ByteBuffer audioBuffer4 = audioBuffer2;
                                    startTime3 = startTime2;
                                    if (startTime3 <= 0) {
                                        try {
                                            extractor2.seekTo(startTime3, 0);
                                            startTime4 = startTime3;
                                        } catch (Exception e17) {
                                            e = e17;
                                            startTime = startTime3;
                                            cacheFile3 = cacheFile6;
                                            videoIndex = resultHeight3;
                                            outputSurface = null;
                                            encoder4 = null;
                                            decoder = decoder3;
                                            inputSurface4 = null;
                                            FileLog.e(e);
                                            outputSurface2 = outputSurface;
                                            error = true;
                                            decoder2 = decoder;
                                            extractor2.unselectTrack(videoIndex);
                                            if (outputSurface2 != null) {
                                            }
                                            if (inputSurface4 != null) {
                                            }
                                            if (decoder2 != null) {
                                            }
                                            if (encoder4 != null) {
                                            }
                                            checkConversionCanceled();
                                            extractor2.release();
                                            if (mediaMuxer != null) {
                                            }
                                            if (BuildVars.LOGS_ENABLED) {
                                            }
                                            preferences.edit().putBoolean(str4, true).commit();
                                            didWriteData(messageObject, cacheFile3, true, 0L, error);
                                            return true;
                                        } catch (Throwable th14) {
                                            extractor3 = extractor2;
                                            mediaMuxer2 = mediaMuxer;
                                            str3 = str5;
                                            th = th14;
                                            if (extractor3 != null) {
                                            }
                                            if (mediaMuxer2 != null) {
                                            }
                                            if (BuildVars.LOGS_ENABLED) {
                                            }
                                            throw th;
                                        }
                                    } else {
                                        startTime4 = startTime3;
                                        try {
                                            try {
                                                extractor2.seekTo(0L, 0);
                                            } catch (Throwable th15) {
                                                th = th15;
                                                extractor3 = extractor2;
                                                mediaMuxer2 = mediaMuxer;
                                                str3 = str5;
                                                if (extractor3 != null) {
                                                }
                                                if (mediaMuxer2 != null) {
                                                }
                                                if (BuildVars.LOGS_ENABLED) {
                                                }
                                                throw th;
                                            }
                                        } catch (Exception e18) {
                                            e = e18;
                                            cacheFile3 = cacheFile6;
                                            videoIndex = resultHeight3;
                                            startTime = startTime4;
                                            outputSurface = null;
                                            encoder4 = null;
                                            decoder = decoder3;
                                            inputSurface4 = null;
                                            FileLog.e(e);
                                            outputSurface2 = outputSurface;
                                            error = true;
                                            decoder2 = decoder;
                                            extractor2.unselectTrack(videoIndex);
                                            if (outputSurface2 != null) {
                                            }
                                            if (inputSurface4 != null) {
                                            }
                                            if (decoder2 != null) {
                                            }
                                            if (encoder4 != null) {
                                            }
                                            checkConversionCanceled();
                                            extractor2.release();
                                            if (mediaMuxer != null) {
                                            }
                                            if (BuildVars.LOGS_ENABLED) {
                                            }
                                            preferences.edit().putBoolean(str4, true).commit();
                                            didWriteData(messageObject, cacheFile3, true, 0L, error);
                                            return true;
                                        }
                                    }
                                    String str9 = "video/avc";
                                    outputFormat = MediaFormat.createVideoFormat(str9, resultWidth3, resultHeight4);
                                    outputFormat.setInteger("color-format", colorFormat);
                                    outputFormat.setInteger("bitrate", originalWidth <= 0 ? originalWidth : 921600);
                                    outputFormat.setInteger("frame-rate", framerate == 0 ? framerate : 25);
                                    outputFormat.setInteger("i-frame-interval", 2);
                                    encoder4 = MediaCodec.createEncoderByType(str9);
                                    try {
                                        encoder4.configure(outputFormat, (Surface) null, (MediaCrypto) null, 1);
                                        inputSurface4 = new InputSurface(encoder4.createInputSurface());
                                        try {
                                            inputSurface4.makeCurrent();
                                            encoder4.start();
                                            decoder4 = MediaCodec.createDecoderByType(videoFormat.getString("mime"));
                                            try {
                                                outputSurface2 = new OutputSurface();
                                                try {
                                                    encoder = encoder4;
                                                    int colorFormat3 = colorFormat;
                                                    decoder5 = decoder4;
                                                    inputSurface = inputSurface4;
                                                    try {
                                                        decoder5.configure(videoFormat, outputSurface2.getSurface(), (MediaCrypto) null, 0);
                                                        decoder5.start();
                                                        checkConversionCanceled();
                                                        outputDone2 = outputDone;
                                                        while (!outputDone2) {
                                                            checkConversionCanceled();
                                                            if (inputDone) {
                                                                outputFormat2 = outputFormat;
                                                                str6 = str9;
                                                                bitrate = originalWidth;
                                                                info2 = info;
                                                                encoder2 = encoder;
                                                                z3 = z2;
                                                                inputSurface2 = inputSurface;
                                                                startTime = startTime4;
                                                                colorFormat2 = colorFormat3;
                                                                bitrate2 = -1;
                                                                startTime5 = 0;
                                                                videoFormat2 = videoFormat;
                                                                processorType = audioIndex;
                                                                audioBuffer3 = audioBuffer4;
                                                                audioTrackIndex2 = audioTrackIndex;
                                                                j = 2500;
                                                                decoder = decoder5;
                                                            } else {
                                                                boolean eof = false;
                                                                try {
                                                                    try {
                                                                        int index3 = extractor2.getSampleTrackIndex();
                                                                        MediaFormat outputFormat3 = outputFormat;
                                                                        if (index3 == resultHeight3) {
                                                                            try {
                                                                                try {
                                                                                    int inputBufIndex = decoder5.dequeueInputBuffer(2500L);
                                                                                    if (inputBufIndex >= 0) {
                                                                                        ByteBuffer inputBuf = decoder5.getInputBuffer(inputBufIndex);
                                                                                        str8 = str9;
                                                                                        int chunkSize = extractor2.readSampleData(inputBuf, 0);
                                                                                        if (chunkSize < 0) {
                                                                                            decoder5.queueInputBuffer(inputBufIndex, 0, 0, 0L, 4);
                                                                                            inputDone = true;
                                                                                        } else {
                                                                                            decoder5.queueInputBuffer(inputBufIndex, 0, chunkSize, extractor2.getSampleTime(), 0);
                                                                                            extractor2.advance();
                                                                                        }
                                                                                    } else {
                                                                                        str8 = str9;
                                                                                    }
                                                                                    bitrate = originalWidth;
                                                                                    info2 = info;
                                                                                    encoder2 = encoder;
                                                                                    z3 = z2;
                                                                                    inputSurface2 = inputSurface;
                                                                                    startTime = startTime4;
                                                                                    colorFormat2 = colorFormat3;
                                                                                    str6 = str8;
                                                                                    outputFormat2 = outputFormat3;
                                                                                    bitrate2 = -1;
                                                                                    startTime5 = 0;
                                                                                    videoFormat2 = videoFormat;
                                                                                    processorType = audioIndex;
                                                                                    audioBuffer3 = audioBuffer4;
                                                                                    audioTrackIndex2 = audioTrackIndex;
                                                                                    decoder = decoder5;
                                                                                } catch (Throwable th16) {
                                                                                    th = th16;
                                                                                    extractor3 = extractor2;
                                                                                    mediaMuxer2 = mediaMuxer;
                                                                                    str3 = str5;
                                                                                    if (extractor3 != null) {
                                                                                    }
                                                                                    if (mediaMuxer2 != null) {
                                                                                    }
                                                                                    if (BuildVars.LOGS_ENABLED) {
                                                                                    }
                                                                                    throw th;
                                                                                }
                                                                            } catch (Exception e19) {
                                                                                e = e19;
                                                                                cacheFile3 = cacheFile6;
                                                                                videoIndex = resultHeight3;
                                                                                encoder4 = encoder;
                                                                                outputSurface = outputSurface2;
                                                                                inputSurface4 = inputSurface;
                                                                                startTime = startTime4;
                                                                                decoder = decoder5;
                                                                                FileLog.e(e);
                                                                                outputSurface2 = outputSurface;
                                                                                error = true;
                                                                                decoder2 = decoder;
                                                                                extractor2.unselectTrack(videoIndex);
                                                                                if (outputSurface2 != null) {
                                                                                }
                                                                                if (inputSurface4 != null) {
                                                                                }
                                                                                if (decoder2 != null) {
                                                                                }
                                                                                if (encoder4 != null) {
                                                                                }
                                                                                checkConversionCanceled();
                                                                                extractor2.release();
                                                                                if (mediaMuxer != null) {
                                                                                }
                                                                                if (BuildVars.LOGS_ENABLED) {
                                                                                }
                                                                                preferences.edit().putBoolean(str4, true).commit();
                                                                                didWriteData(messageObject, cacheFile3, true, 0L, error);
                                                                                return true;
                                                                            }
                                                                        } else {
                                                                            String str10 = str9;
                                                                            if (audioIndex == -1 || index3 != audioIndex) {
                                                                                bitrate = originalWidth;
                                                                                info2 = info;
                                                                                encoder2 = encoder;
                                                                                z3 = z2;
                                                                                inputSurface2 = inputSurface;
                                                                                startTime = startTime4;
                                                                                colorFormat2 = colorFormat3;
                                                                                str6 = str10;
                                                                                outputFormat2 = outputFormat3;
                                                                                bitrate2 = -1;
                                                                                startTime5 = 0;
                                                                                videoFormat2 = videoFormat;
                                                                                processorType = audioIndex;
                                                                                audioBuffer3 = audioBuffer4;
                                                                                audioTrackIndex2 = audioTrackIndex;
                                                                                decoder = decoder5;
                                                                                if (index3 == -1) {
                                                                                    eof = true;
                                                                                }
                                                                            } else {
                                                                                ByteBuffer audioBuffer5 = audioBuffer4;
                                                                                MediaCodec.BufferInfo info5 = info;
                                                                                try {
                                                                                    info5.size = extractor2.readSampleData(audioBuffer5, 0);
                                                                                    if (info5.size >= 0) {
                                                                                        index = index3;
                                                                                        try {
                                                                                            info5.presentationTimeUs = extractor2.getSampleTime();
                                                                                            extractor2.advance();
                                                                                        } catch (Exception e20) {
                                                                                            e = e20;
                                                                                            cacheFile3 = cacheFile6;
                                                                                            videoIndex = resultHeight3;
                                                                                            encoder4 = encoder;
                                                                                            outputSurface = outputSurface2;
                                                                                            inputSurface4 = inputSurface;
                                                                                            startTime = startTime4;
                                                                                            decoder = decoder5;
                                                                                            FileLog.e(e);
                                                                                            outputSurface2 = outputSurface;
                                                                                            error = true;
                                                                                            decoder2 = decoder;
                                                                                            extractor2.unselectTrack(videoIndex);
                                                                                            if (outputSurface2 != null) {
                                                                                            }
                                                                                            if (inputSurface4 != null) {
                                                                                            }
                                                                                            if (decoder2 != null) {
                                                                                            }
                                                                                            if (encoder4 != null) {
                                                                                            }
                                                                                            checkConversionCanceled();
                                                                                            extractor2.release();
                                                                                            if (mediaMuxer != null) {
                                                                                            }
                                                                                            if (BuildVars.LOGS_ENABLED) {
                                                                                            }
                                                                                            preferences.edit().putBoolean(str4, true).commit();
                                                                                            didWriteData(messageObject, cacheFile3, true, 0L, error);
                                                                                            return true;
                                                                                        }
                                                                                    } else {
                                                                                        index = index3;
                                                                                        info5.size = 0;
                                                                                        inputDone = true;
                                                                                    }
                                                                                    if (info5.size <= 0) {
                                                                                        audioTrackIndex2 = audioTrackIndex;
                                                                                        info2 = info5;
                                                                                        bitrate = originalWidth;
                                                                                        index2 = index;
                                                                                        encoder2 = encoder;
                                                                                        z3 = z2;
                                                                                        inputSurface2 = inputSurface;
                                                                                        startTime = startTime4;
                                                                                        colorFormat2 = colorFormat3;
                                                                                        str6 = str10;
                                                                                        outputFormat2 = outputFormat3;
                                                                                        bitrate2 = -1;
                                                                                        startTime5 = 0;
                                                                                        audioBuffer3 = audioBuffer5;
                                                                                        videoFormat2 = videoFormat;
                                                                                        processorType = audioIndex;
                                                                                        decoder = decoder5;
                                                                                    } else if (endTime < 0 || info5.presentationTimeUs < endTime) {
                                                                                        info5.offset = 0;
                                                                                        info5.flags = extractor2.getSampleFlags();
                                                                                        long availableSize = mediaMuxer.writeSampleData(audioTrackIndex, audioBuffer5, info5, false);
                                                                                        if (availableSize != 0) {
                                                                                            audioTrackIndex2 = audioTrackIndex;
                                                                                            info2 = info5;
                                                                                            encoder2 = encoder;
                                                                                            startTime = startTime4;
                                                                                            inputSurface2 = inputSurface;
                                                                                            audioBuffer3 = audioBuffer5;
                                                                                            startTime5 = 0;
                                                                                            int index4 = index;
                                                                                            z3 = z2;
                                                                                            outputFormat2 = outputFormat3;
                                                                                            index2 = index4;
                                                                                            videoFormat2 = videoFormat;
                                                                                            str6 = str10;
                                                                                            processorType = audioIndex;
                                                                                            bitrate = originalWidth;
                                                                                            colorFormat2 = colorFormat3;
                                                                                            bitrate2 = -1;
                                                                                            decoder = decoder5;
                                                                                            didWriteData(messageObject, cacheFile6, false, availableSize, false);
                                                                                        } else {
                                                                                            audioTrackIndex2 = audioTrackIndex;
                                                                                            info2 = info5;
                                                                                            bitrate = originalWidth;
                                                                                            index2 = index;
                                                                                            encoder2 = encoder;
                                                                                            z3 = z2;
                                                                                            inputSurface2 = inputSurface;
                                                                                            startTime = startTime4;
                                                                                            colorFormat2 = colorFormat3;
                                                                                            str6 = str10;
                                                                                            outputFormat2 = outputFormat3;
                                                                                            bitrate2 = -1;
                                                                                            audioBuffer3 = audioBuffer5;
                                                                                            startTime5 = 0;
                                                                                            videoFormat2 = videoFormat;
                                                                                            processorType = audioIndex;
                                                                                            decoder = decoder5;
                                                                                        }
                                                                                    } else {
                                                                                        audioTrackIndex2 = audioTrackIndex;
                                                                                        info2 = info5;
                                                                                        bitrate = originalWidth;
                                                                                        index2 = index;
                                                                                        encoder2 = encoder;
                                                                                        z3 = z2;
                                                                                        inputSurface2 = inputSurface;
                                                                                        startTime = startTime4;
                                                                                        colorFormat2 = colorFormat3;
                                                                                        str6 = str10;
                                                                                        outputFormat2 = outputFormat3;
                                                                                        bitrate2 = -1;
                                                                                        startTime5 = 0;
                                                                                        audioBuffer3 = audioBuffer5;
                                                                                        videoFormat2 = videoFormat;
                                                                                        processorType = audioIndex;
                                                                                        decoder = decoder5;
                                                                                    }
                                                                                } catch (Exception e21) {
                                                                                    e = e21;
                                                                                    startTime = startTime4;
                                                                                    decoder = decoder5;
                                                                                    cacheFile3 = cacheFile6;
                                                                                    videoIndex = resultHeight3;
                                                                                    outputSurface = outputSurface2;
                                                                                    encoder4 = encoder;
                                                                                    inputSurface4 = inputSurface;
                                                                                }
                                                                            }
                                                                        }
                                                                        if (eof) {
                                                                            try {
                                                                                try {
                                                                                    j = 2500;
                                                                                    int inputBufIndex2 = decoder.dequeueInputBuffer(2500L);
                                                                                    if (inputBufIndex2 >= 0) {
                                                                                        decoder.queueInputBuffer(inputBufIndex2, 0, 0, 0L, 4);
                                                                                        inputDone = true;
                                                                                    }
                                                                                } catch (Exception e22) {
                                                                                    e = e22;
                                                                                    cacheFile3 = cacheFile6;
                                                                                    videoIndex = resultHeight3;
                                                                                    outputSurface = outputSurface2;
                                                                                    encoder4 = encoder2;
                                                                                    inputSurface4 = inputSurface2;
                                                                                    FileLog.e(e);
                                                                                    outputSurface2 = outputSurface;
                                                                                    error = true;
                                                                                    decoder2 = decoder;
                                                                                    extractor2.unselectTrack(videoIndex);
                                                                                    if (outputSurface2 != null) {
                                                                                    }
                                                                                    if (inputSurface4 != null) {
                                                                                    }
                                                                                    if (decoder2 != null) {
                                                                                    }
                                                                                    if (encoder4 != null) {
                                                                                    }
                                                                                    checkConversionCanceled();
                                                                                    extractor2.release();
                                                                                    if (mediaMuxer != null) {
                                                                                    }
                                                                                    if (BuildVars.LOGS_ENABLED) {
                                                                                    }
                                                                                    preferences.edit().putBoolean(str4, true).commit();
                                                                                    didWriteData(messageObject, cacheFile3, true, 0L, error);
                                                                                    return true;
                                                                                }
                                                                            } catch (Throwable th17) {
                                                                                th = th17;
                                                                                extractor3 = extractor2;
                                                                                mediaMuxer2 = mediaMuxer;
                                                                                str3 = str5;
                                                                                if (extractor3 != null) {
                                                                                }
                                                                                if (mediaMuxer2 != null) {
                                                                                }
                                                                                if (BuildVars.LOGS_ENABLED) {
                                                                                }
                                                                                throw th;
                                                                            }
                                                                        } else {
                                                                            j = 2500;
                                                                        }
                                                                    } catch (Exception e23) {
                                                                        e = e23;
                                                                        startTime = startTime4;
                                                                        decoder = decoder5;
                                                                        cacheFile3 = cacheFile6;
                                                                        videoIndex = resultHeight3;
                                                                        outputSurface = outputSurface2;
                                                                        encoder4 = encoder;
                                                                        inputSurface4 = inputSurface;
                                                                    }
                                                                } catch (Throwable th18) {
                                                                    th = th18;
                                                                    extractor3 = extractor2;
                                                                    mediaMuxer2 = mediaMuxer;
                                                                    str3 = str5;
                                                                }
                                                            }
                                                            boolean audioTrackIndex4 = !inputDone2;
                                                            boolean encoderOutputAvailable = true;
                                                            int videoTrackIndex4 = videoTrackIndex3;
                                                            boolean videoTrackIndex5 = inputDone2;
                                                            boolean decoderDone = inputDone;
                                                            boolean inputDone3 = audioTrackIndex4;
                                                            while (true) {
                                                                if (inputDone3 || encoderOutputAvailable) {
                                                                    try {
                                                                        try {
                                                                            checkConversionCanceled();
                                                                            MediaCodec encoder5 = encoder2;
                                                                            MediaCodec.BufferInfo info6 = info2;
                                                                            try {
                                                                                int encoderStatus3 = encoder5.dequeueOutputBuffer(info6, j);
                                                                                if (encoderStatus3 == bitrate2) {
                                                                                    encoderOutputAvailable = false;
                                                                                    info3 = info6;
                                                                                    cacheFile3 = cacheFile6;
                                                                                    videoIndex = resultHeight3;
                                                                                    str7 = str6;
                                                                                    outputDone3 = outputDone2;
                                                                                    encoderStatus = encoderStatus3;
                                                                                    encoder4 = encoder5;
                                                                                } else if (encoderStatus3 == -3) {
                                                                                    info3 = info6;
                                                                                    cacheFile3 = cacheFile6;
                                                                                    videoIndex = resultHeight3;
                                                                                    str7 = str6;
                                                                                    outputDone3 = outputDone2;
                                                                                    encoderStatus = encoderStatus3;
                                                                                    encoder4 = encoder5;
                                                                                } else if (encoderStatus3 == -2) {
                                                                                    try {
                                                                                        MediaFormat newFormat = encoder5.getOutputFormat();
                                                                                        if (videoTrackIndex4 == -5) {
                                                                                            videoTrackIndex4 = mediaMuxer.addTrack(newFormat, false);
                                                                                        }
                                                                                        info3 = info6;
                                                                                        cacheFile3 = cacheFile6;
                                                                                        videoIndex = resultHeight3;
                                                                                        str7 = str6;
                                                                                        outputDone3 = outputDone2;
                                                                                        encoderStatus = encoderStatus3;
                                                                                        encoder4 = encoder5;
                                                                                    } catch (Exception e24) {
                                                                                        e = e24;
                                                                                        encoder4 = encoder5;
                                                                                        cacheFile3 = cacheFile6;
                                                                                        videoIndex = resultHeight3;
                                                                                        outputSurface = outputSurface2;
                                                                                        inputSurface4 = inputSurface2;
                                                                                        FileLog.e(e);
                                                                                        outputSurface2 = outputSurface;
                                                                                        error = true;
                                                                                        decoder2 = decoder;
                                                                                        extractor2.unselectTrack(videoIndex);
                                                                                        if (outputSurface2 != null) {
                                                                                        }
                                                                                        if (inputSurface4 != null) {
                                                                                        }
                                                                                        if (decoder2 != null) {
                                                                                        }
                                                                                        if (encoder4 != null) {
                                                                                        }
                                                                                        checkConversionCanceled();
                                                                                        extractor2.release();
                                                                                        if (mediaMuxer != null) {
                                                                                        }
                                                                                        if (BuildVars.LOGS_ENABLED) {
                                                                                        }
                                                                                        preferences.edit().putBoolean(str4, true).commit();
                                                                                        didWriteData(messageObject, cacheFile3, true, 0L, error);
                                                                                        return true;
                                                                                    }
                                                                                } else if (encoderStatus3 < 0) {
                                                                                    throw new RuntimeException("unexpected result from encoder.dequeueOutputBuffer: " + encoderStatus3);
                                                                                } else {
                                                                                    ByteBuffer encodedData2 = encoder5.getOutputBuffer(encoderStatus3);
                                                                                    if (encodedData2 == null) {
                                                                                        throw new RuntimeException("encoderOutputBuffer " + encoderStatus3 + " was null");
                                                                                    }
                                                                                    try {
                                                                                        if (info6.size > 1) {
                                                                                            try {
                                                                                                try {
                                                                                                    if ((info6.flags & 2) == 0) {
                                                                                                        try {
                                                                                                            long availableSize2 = mediaMuxer.writeSampleData(videoTrackIndex4, encodedData2, info6, true);
                                                                                                            if (availableSize2 != startTime5) {
                                                                                                                encoderStatus2 = encoderStatus3;
                                                                                                                encoder3 = encoder5;
                                                                                                                File file = cacheFile6;
                                                                                                                info4 = info6;
                                                                                                                encodedData = encodedData2;
                                                                                                                cacheFile3 = cacheFile6;
                                                                                                                videoIndex = resultHeight3;
                                                                                                                videoTrackIndex = videoTrackIndex4;
                                                                                                                try {
                                                                                                                    didWriteData(messageObject, file, false, availableSize2, false);
                                                                                                                } catch (Exception e25) {
                                                                                                                    e = e25;
                                                                                                                    outputSurface = outputSurface2;
                                                                                                                    inputSurface4 = inputSurface2;
                                                                                                                    encoder4 = encoder3;
                                                                                                                    FileLog.e(e);
                                                                                                                    outputSurface2 = outputSurface;
                                                                                                                    error = true;
                                                                                                                    decoder2 = decoder;
                                                                                                                    extractor2.unselectTrack(videoIndex);
                                                                                                                    if (outputSurface2 != null) {
                                                                                                                    }
                                                                                                                    if (inputSurface4 != null) {
                                                                                                                    }
                                                                                                                    if (decoder2 != null) {
                                                                                                                    }
                                                                                                                    if (encoder4 != null) {
                                                                                                                    }
                                                                                                                    checkConversionCanceled();
                                                                                                                    extractor2.release();
                                                                                                                    if (mediaMuxer != null) {
                                                                                                                    }
                                                                                                                    if (BuildVars.LOGS_ENABLED) {
                                                                                                                    }
                                                                                                                    preferences.edit().putBoolean(str4, true).commit();
                                                                                                                    didWriteData(messageObject, cacheFile3, true, 0L, error);
                                                                                                                    return true;
                                                                                                                }
                                                                                                            } else {
                                                                                                                encoderStatus2 = encoderStatus3;
                                                                                                                encoder3 = encoder5;
                                                                                                                info4 = info6;
                                                                                                                encodedData = encodedData2;
                                                                                                                cacheFile3 = cacheFile6;
                                                                                                                videoIndex = resultHeight3;
                                                                                                                videoTrackIndex = videoTrackIndex4;
                                                                                                            }
                                                                                                            str7 = str6;
                                                                                                            info3 = info4;
                                                                                                        } catch (Exception e26) {
                                                                                                            e = e26;
                                                                                                            cacheFile3 = cacheFile6;
                                                                                                            videoIndex = resultHeight3;
                                                                                                            outputSurface = outputSurface2;
                                                                                                            inputSurface4 = inputSurface2;
                                                                                                            encoder4 = encoder5;
                                                                                                        }
                                                                                                    } else {
                                                                                                        encoderStatus2 = encoderStatus3;
                                                                                                        encoder3 = encoder5;
                                                                                                        cacheFile3 = cacheFile6;
                                                                                                        videoIndex = resultHeight3;
                                                                                                        videoTrackIndex = videoTrackIndex4;
                                                                                                        if (videoTrackIndex == -5) {
                                                                                                            info3 = info6;
                                                                                                            try {
                                                                                                                byte[] csd = new byte[info3.size];
                                                                                                                encodedData2.limit(info3.offset + info3.size);
                                                                                                                encodedData2.position(info3.offset);
                                                                                                                encodedData2.get(csd);
                                                                                                                ByteBuffer sps = null;
                                                                                                                ByteBuffer pps = null;
                                                                                                                byte b = 1;
                                                                                                                int a2 = info3.size - 1;
                                                                                                                while (true) {
                                                                                                                    if (a2 < 0 || a2 <= 3) {
                                                                                                                        break;
                                                                                                                    } else if (csd[a2] == b && csd[a2 - 1] == 0 && csd[a2 - 2] == 0 && csd[a2 - 3] == 0) {
                                                                                                                        sps = ByteBuffer.allocate(a2 - 3);
                                                                                                                        pps = ByteBuffer.allocate(info3.size - (a2 - 3));
                                                                                                                        sps.put(csd, 0, a2 - 3).position(0);
                                                                                                                        pps.put(csd, a2 - 3, info3.size - (a2 - 3)).position(0);
                                                                                                                        break;
                                                                                                                    } else {
                                                                                                                        a2--;
                                                                                                                        b = 1;
                                                                                                                    }
                                                                                                                }
                                                                                                                str7 = str6;
                                                                                                                MediaFormat newFormat2 = MediaFormat.createVideoFormat(str7, resultWidth3, resultHeight4);
                                                                                                                if (sps != null && pps != null) {
                                                                                                                    newFormat2.setByteBuffer("csd-0", sps);
                                                                                                                    newFormat2.setByteBuffer("csd-1", pps);
                                                                                                                }
                                                                                                                int videoTrackIndex6 = mediaMuxer.addTrack(newFormat2, false);
                                                                                                                videoTrackIndex4 = videoTrackIndex6;
                                                                                                                boolean outputDone5 = (info3.flags & 4) == 0;
                                                                                                                encoderStatus = encoderStatus2;
                                                                                                                encoder4 = encoder3;
                                                                                                                encoder4.releaseOutputBuffer(encoderStatus, false);
                                                                                                                outputDone3 = outputDone5;
                                                                                                            } catch (Exception e27) {
                                                                                                                e = e27;
                                                                                                                outputSurface = outputSurface2;
                                                                                                                inputSurface4 = inputSurface2;
                                                                                                                encoder4 = encoder3;
                                                                                                                FileLog.e(e);
                                                                                                                outputSurface2 = outputSurface;
                                                                                                                error = true;
                                                                                                                decoder2 = decoder;
                                                                                                                extractor2.unselectTrack(videoIndex);
                                                                                                                if (outputSurface2 != null) {
                                                                                                                }
                                                                                                                if (inputSurface4 != null) {
                                                                                                                }
                                                                                                                if (decoder2 != null) {
                                                                                                                }
                                                                                                                if (encoder4 != null) {
                                                                                                                }
                                                                                                                checkConversionCanceled();
                                                                                                                extractor2.release();
                                                                                                                if (mediaMuxer != null) {
                                                                                                                }
                                                                                                                if (BuildVars.LOGS_ENABLED) {
                                                                                                                }
                                                                                                                preferences.edit().putBoolean(str4, true).commit();
                                                                                                                didWriteData(messageObject, cacheFile3, true, 0L, error);
                                                                                                                return true;
                                                                                                            }
                                                                                                        } else {
                                                                                                            str7 = str6;
                                                                                                            info3 = info6;
                                                                                                        }
                                                                                                    }
                                                                                                } catch (Exception e28) {
                                                                                                    e = e28;
                                                                                                    cacheFile3 = cacheFile6;
                                                                                                    videoIndex = resultHeight3;
                                                                                                    outputSurface = outputSurface2;
                                                                                                    inputSurface4 = inputSurface2;
                                                                                                    encoder4 = encoder5;
                                                                                                }
                                                                                            } catch (Throwable th19) {
                                                                                                th = th19;
                                                                                                extractor3 = extractor2;
                                                                                                mediaMuxer2 = mediaMuxer;
                                                                                                str3 = str5;
                                                                                                if (extractor3 != null) {
                                                                                                }
                                                                                                if (mediaMuxer2 != null) {
                                                                                                }
                                                                                                if (BuildVars.LOGS_ENABLED) {
                                                                                                }
                                                                                                throw th;
                                                                                            }
                                                                                        } else {
                                                                                            encoderStatus2 = encoderStatus3;
                                                                                            encoder3 = encoder5;
                                                                                            info3 = info6;
                                                                                            cacheFile3 = cacheFile6;
                                                                                            videoIndex = resultHeight3;
                                                                                            str7 = str6;
                                                                                            videoTrackIndex = videoTrackIndex4;
                                                                                        }
                                                                                        boolean outputDone52 = (info3.flags & 4) == 0;
                                                                                        encoderStatus = encoderStatus2;
                                                                                        encoder4 = encoder3;
                                                                                        encoder4.releaseOutputBuffer(encoderStatus, false);
                                                                                        outputDone3 = outputDone52;
                                                                                    } catch (Exception e29) {
                                                                                        e = e29;
                                                                                        encoder4 = encoder3;
                                                                                        outputSurface = outputSurface2;
                                                                                        inputSurface4 = inputSurface2;
                                                                                        FileLog.e(e);
                                                                                        outputSurface2 = outputSurface;
                                                                                        error = true;
                                                                                        decoder2 = decoder;
                                                                                        extractor2.unselectTrack(videoIndex);
                                                                                        if (outputSurface2 != null) {
                                                                                        }
                                                                                        if (inputSurface4 != null) {
                                                                                        }
                                                                                        if (decoder2 != null) {
                                                                                        }
                                                                                        if (encoder4 != null) {
                                                                                        }
                                                                                        checkConversionCanceled();
                                                                                        extractor2.release();
                                                                                        if (mediaMuxer != null) {
                                                                                        }
                                                                                        if (BuildVars.LOGS_ENABLED) {
                                                                                        }
                                                                                        preferences.edit().putBoolean(str4, true).commit();
                                                                                        didWriteData(messageObject, cacheFile3, true, 0L, error);
                                                                                        return true;
                                                                                    }
                                                                                    videoTrackIndex4 = videoTrackIndex;
                                                                                }
                                                                                if (encoderStatus != -1) {
                                                                                    info2 = info3;
                                                                                    encoder2 = encoder4;
                                                                                    outputDone2 = outputDone3;
                                                                                    str6 = str7;
                                                                                    cacheFile6 = cacheFile3;
                                                                                    resultHeight3 = videoIndex;
                                                                                    j = 2500;
                                                                                    bitrate2 = -1;
                                                                                } else {
                                                                                    if (videoTrackIndex5) {
                                                                                        str6 = str7;
                                                                                        videoTrackIndex2 = videoTrackIndex4;
                                                                                        resultHeight5 = resultHeight4;
                                                                                        outputSurface3 = outputSurface2;
                                                                                        inputSurface3 = inputSurface2;
                                                                                        outputDone4 = outputDone3;
                                                                                    } else {
                                                                                        try {
                                                                                            try {
                                                                                                str6 = str7;
                                                                                                int decoderStatus = decoder.dequeueOutputBuffer(info3, 2500L);
                                                                                                if (decoderStatus == -1) {
                                                                                                    inputDone3 = false;
                                                                                                    videoTrackIndex2 = videoTrackIndex4;
                                                                                                    resultHeight5 = resultHeight4;
                                                                                                    outputSurface3 = outputSurface2;
                                                                                                    inputSurface3 = inputSurface2;
                                                                                                    outputDone4 = outputDone3;
                                                                                                } else if (decoderStatus == -3) {
                                                                                                    videoTrackIndex2 = videoTrackIndex4;
                                                                                                    resultHeight5 = resultHeight4;
                                                                                                    outputSurface3 = outputSurface2;
                                                                                                    inputSurface3 = inputSurface2;
                                                                                                    outputDone4 = outputDone3;
                                                                                                } else if (decoderStatus == -2) {
                                                                                                    try {
                                                                                                        try {
                                                                                                            MediaFormat newFormat3 = decoder.getOutputFormat();
                                                                                                            if (BuildVars.LOGS_ENABLED) {
                                                                                                                FileLog.d("newFormat = " + newFormat3);
                                                                                                            }
                                                                                                            videoTrackIndex2 = videoTrackIndex4;
                                                                                                            resultHeight5 = resultHeight4;
                                                                                                            outputSurface3 = outputSurface2;
                                                                                                            inputSurface3 = inputSurface2;
                                                                                                            outputDone4 = outputDone3;
                                                                                                        } catch (Throwable th20) {
                                                                                                            th = th20;
                                                                                                            extractor3 = extractor2;
                                                                                                            mediaMuxer2 = mediaMuxer;
                                                                                                            str3 = str5;
                                                                                                            if (extractor3 != null) {
                                                                                                                extractor3.release();
                                                                                                            }
                                                                                                            if (mediaMuxer2 != null) {
                                                                                                                try {
                                                                                                                    mediaMuxer2.finishMovie();
                                                                                                                } catch (Exception e30) {
                                                                                                                    FileLog.e(e30);
                                                                                                                }
                                                                                                            }
                                                                                                            if (BuildVars.LOGS_ENABLED) {
                                                                                                                FileLog.d(str3 + (System.currentTimeMillis() - time));
                                                                                                            }
                                                                                                            throw th;
                                                                                                        }
                                                                                                    } catch (Exception e31) {
                                                                                                        e = e31;
                                                                                                        outputSurface = outputSurface2;
                                                                                                        inputSurface4 = inputSurface2;
                                                                                                        FileLog.e(e);
                                                                                                        outputSurface2 = outputSurface;
                                                                                                        error = true;
                                                                                                        decoder2 = decoder;
                                                                                                        extractor2.unselectTrack(videoIndex);
                                                                                                        if (outputSurface2 != null) {
                                                                                                        }
                                                                                                        if (inputSurface4 != null) {
                                                                                                        }
                                                                                                        if (decoder2 != null) {
                                                                                                        }
                                                                                                        if (encoder4 != null) {
                                                                                                        }
                                                                                                        checkConversionCanceled();
                                                                                                        extractor2.release();
                                                                                                        if (mediaMuxer != null) {
                                                                                                        }
                                                                                                        if (BuildVars.LOGS_ENABLED) {
                                                                                                        }
                                                                                                        preferences.edit().putBoolean(str4, true).commit();
                                                                                                        didWriteData(messageObject, cacheFile3, true, 0L, error);
                                                                                                        return true;
                                                                                                    }
                                                                                                } else if (decoderStatus < 0) {
                                                                                                    throw new RuntimeException("unexpected result from decoder.dequeueOutputBuffer: " + decoderStatus);
                                                                                                } else {
                                                                                                    boolean doRender2 = info3.size != 0;
                                                                                                    if (endTime > startTime5 && info3.presentationTimeUs >= endTime) {
                                                                                                        doRender2 = false;
                                                                                                        info3.flags |= 4;
                                                                                                        decoderDone = true;
                                                                                                        videoTrackIndex5 = true;
                                                                                                    }
                                                                                                    long startTime7 = startTime;
                                                                                                    try {
                                                                                                        if (startTime7 <= startTime5 || videoTime != -1) {
                                                                                                            startTime = startTime7;
                                                                                                            videoTrackIndex2 = videoTrackIndex4;
                                                                                                            resultHeight5 = resultHeight4;
                                                                                                            outputDone4 = outputDone3;
                                                                                                        } else {
                                                                                                            videoTrackIndex2 = videoTrackIndex4;
                                                                                                            resultHeight5 = resultHeight4;
                                                                                                            try {
                                                                                                                if (info3.presentationTimeUs < startTime7) {
                                                                                                                    doRender2 = false;
                                                                                                                    if (BuildVars.LOGS_ENABLED) {
                                                                                                                        outputDone4 = outputDone3;
                                                                                                                        startTime = startTime7;
                                                                                                                        try {
                                                                                                                            try {
                                                                                                                                FileLog.d("drop frame startTime = " + startTime7 + " present time = " + info3.presentationTimeUs);
                                                                                                                            } catch (Throwable th21) {
                                                                                                                                th = th21;
                                                                                                                                extractor3 = extractor2;
                                                                                                                                mediaMuxer2 = mediaMuxer;
                                                                                                                                str3 = str5;
                                                                                                                                if (extractor3 != null) {
                                                                                                                                }
                                                                                                                                if (mediaMuxer2 != null) {
                                                                                                                                }
                                                                                                                                if (BuildVars.LOGS_ENABLED) {
                                                                                                                                }
                                                                                                                                throw th;
                                                                                                                            }
                                                                                                                        } catch (Exception e32) {
                                                                                                                            e = e32;
                                                                                                                            outputSurface = outputSurface2;
                                                                                                                            inputSurface4 = inputSurface2;
                                                                                                                            FileLog.e(e);
                                                                                                                            outputSurface2 = outputSurface;
                                                                                                                            error = true;
                                                                                                                            decoder2 = decoder;
                                                                                                                            extractor2.unselectTrack(videoIndex);
                                                                                                                            if (outputSurface2 != null) {
                                                                                                                            }
                                                                                                                            if (inputSurface4 != null) {
                                                                                                                            }
                                                                                                                            if (decoder2 != null) {
                                                                                                                            }
                                                                                                                            if (encoder4 != null) {
                                                                                                                            }
                                                                                                                            checkConversionCanceled();
                                                                                                                            extractor2.release();
                                                                                                                            if (mediaMuxer != null) {
                                                                                                                            }
                                                                                                                            if (BuildVars.LOGS_ENABLED) {
                                                                                                                            }
                                                                                                                            preferences.edit().putBoolean(str4, true).commit();
                                                                                                                            didWriteData(messageObject, cacheFile3, true, 0L, error);
                                                                                                                            return true;
                                                                                                                        }
                                                                                                                    } else {
                                                                                                                        outputDone4 = outputDone3;
                                                                                                                        startTime = startTime7;
                                                                                                                    }
                                                                                                                } else {
                                                                                                                    outputDone4 = outputDone3;
                                                                                                                    startTime = startTime7;
                                                                                                                    videoTime = info3.presentationTimeUs;
                                                                                                                    doRender = doRender2;
                                                                                                                    decoder.releaseOutputBuffer(decoderStatus, doRender);
                                                                                                                    if (doRender) {
                                                                                                                        outputSurface3 = outputSurface2;
                                                                                                                        inputSurface3 = inputSurface2;
                                                                                                                    } else {
                                                                                                                        boolean errorWait = false;
                                                                                                                        try {
                                                                                                                            outputSurface2.awaitNewImage();
                                                                                                                        } catch (Exception e33) {
                                                                                                                            errorWait = true;
                                                                                                                            FileLog.e(e33);
                                                                                                                        }
                                                                                                                        if (errorWait) {
                                                                                                                            outputSurface3 = outputSurface2;
                                                                                                                            inputSurface3 = inputSurface2;
                                                                                                                        } else {
                                                                                                                            outputSurface3 = outputSurface2;
                                                                                                                            try {
                                                                                                                                outputSurface3.drawImage(false);
                                                                                                                                inputSurface3 = inputSurface2;
                                                                                                                            } catch (Exception e34) {
                                                                                                                                e = e34;
                                                                                                                                outputSurface = outputSurface3;
                                                                                                                                inputSurface4 = inputSurface2;
                                                                                                                            }
                                                                                                                            try {
                                                                                                                                inputSurface3.setPresentationTime(info3.presentationTimeUs * 1000);
                                                                                                                                inputSurface3.swapBuffers();
                                                                                                                            } catch (Exception e35) {
                                                                                                                                e = e35;
                                                                                                                                outputSurface = outputSurface3;
                                                                                                                                inputSurface4 = inputSurface3;
                                                                                                                                FileLog.e(e);
                                                                                                                                outputSurface2 = outputSurface;
                                                                                                                                error = true;
                                                                                                                                decoder2 = decoder;
                                                                                                                                extractor2.unselectTrack(videoIndex);
                                                                                                                                if (outputSurface2 != null) {
                                                                                                                                }
                                                                                                                                if (inputSurface4 != null) {
                                                                                                                                }
                                                                                                                                if (decoder2 != null) {
                                                                                                                                }
                                                                                                                                if (encoder4 != null) {
                                                                                                                                }
                                                                                                                                checkConversionCanceled();
                                                                                                                                extractor2.release();
                                                                                                                                if (mediaMuxer != null) {
                                                                                                                                }
                                                                                                                                if (BuildVars.LOGS_ENABLED) {
                                                                                                                                }
                                                                                                                                preferences.edit().putBoolean(str4, true).commit();
                                                                                                                                didWriteData(messageObject, cacheFile3, true, 0L, error);
                                                                                                                                return true;
                                                                                                                            }
                                                                                                                        }
                                                                                                                    }
                                                                                                                    if ((info3.flags & 4) != 0) {
                                                                                                                        if (BuildVars.LOGS_ENABLED) {
                                                                                                                            FileLog.d("decoder stream end");
                                                                                                                        }
                                                                                                                        encoder4.signalEndOfInputStream();
                                                                                                                        inputDone3 = false;
                                                                                                                    }
                                                                                                                }
                                                                                                            } catch (Exception e36) {
                                                                                                                e = e36;
                                                                                                                startTime = startTime7;
                                                                                                                outputSurface = outputSurface2;
                                                                                                                inputSurface4 = inputSurface2;
                                                                                                            } catch (Throwable th22) {
                                                                                                                th = th22;
                                                                                                                extractor3 = extractor2;
                                                                                                                mediaMuxer2 = mediaMuxer;
                                                                                                                str3 = str5;
                                                                                                            }
                                                                                                        }
                                                                                                        decoder.releaseOutputBuffer(decoderStatus, doRender);
                                                                                                        if (doRender) {
                                                                                                        }
                                                                                                        if ((info3.flags & 4) != 0) {
                                                                                                        }
                                                                                                    } catch (Exception e37) {
                                                                                                        e = e37;
                                                                                                        outputSurface = outputSurface2;
                                                                                                        inputSurface4 = inputSurface2;
                                                                                                    }
                                                                                                    doRender = doRender2;
                                                                                                }
                                                                                            } catch (Throwable th23) {
                                                                                                th = th23;
                                                                                                extractor3 = extractor2;
                                                                                                mediaMuxer2 = mediaMuxer;
                                                                                                str3 = str5;
                                                                                            }
                                                                                        } catch (Exception e38) {
                                                                                            e = e38;
                                                                                            outputSurface = outputSurface2;
                                                                                            inputSurface4 = inputSurface2;
                                                                                        }
                                                                                    }
                                                                                    info2 = info3;
                                                                                    encoder2 = encoder4;
                                                                                    outputSurface2 = outputSurface3;
                                                                                    outputDone2 = outputDone4;
                                                                                    resultHeight4 = resultHeight5;
                                                                                    inputSurface2 = inputSurface3;
                                                                                    cacheFile6 = cacheFile3;
                                                                                    resultHeight3 = videoIndex;
                                                                                    videoTrackIndex4 = videoTrackIndex2;
                                                                                    j = 2500;
                                                                                    bitrate2 = -1;
                                                                                }
                                                                            } catch (Exception e39) {
                                                                                e = e39;
                                                                                encoder4 = encoder5;
                                                                                cacheFile3 = cacheFile6;
                                                                                videoIndex = resultHeight3;
                                                                                outputSurface = outputSurface2;
                                                                                inputSurface4 = inputSurface2;
                                                                            }
                                                                        } catch (Exception e40) {
                                                                            e = e40;
                                                                            cacheFile3 = cacheFile6;
                                                                            videoIndex = resultHeight3;
                                                                            encoder4 = encoder2;
                                                                            outputSurface = outputSurface2;
                                                                            inputSurface4 = inputSurface2;
                                                                        }
                                                                    } catch (Throwable th24) {
                                                                        th = th24;
                                                                        extractor3 = extractor2;
                                                                        mediaMuxer2 = mediaMuxer;
                                                                        str3 = str5;
                                                                    }
                                                                }
                                                            }
                                                        }
                                                        cacheFile3 = cacheFile6;
                                                        videoIndex = resultHeight3;
                                                        encoder4 = encoder;
                                                        InputSurface inputSurface5 = inputSurface;
                                                        startTime = startTime4;
                                                        decoder2 = decoder5;
                                                        inputSurface4 = inputSurface5;
                                                    } catch (Exception e41) {
                                                        e = e41;
                                                        cacheFile3 = cacheFile6;
                                                        videoIndex = resultHeight3;
                                                        encoder4 = encoder;
                                                        startTime = startTime4;
                                                        decoder = decoder5;
                                                        outputSurface = outputSurface2;
                                                        inputSurface4 = inputSurface;
                                                    }
                                                } catch (Exception e42) {
                                                    e = e42;
                                                    cacheFile3 = cacheFile6;
                                                    videoIndex = resultHeight3;
                                                    decoder = decoder4;
                                                    startTime = startTime4;
                                                    outputSurface = outputSurface2;
                                                }
                                            } catch (Exception e43) {
                                                e = e43;
                                                cacheFile3 = cacheFile6;
                                                videoIndex = resultHeight3;
                                                decoder = decoder4;
                                                startTime = startTime4;
                                                outputSurface = null;
                                            }
                                        } catch (Exception e44) {
                                            e = e44;
                                            cacheFile3 = cacheFile6;
                                            videoIndex = resultHeight3;
                                            startTime = startTime4;
                                            outputSurface = null;
                                            decoder = decoder3;
                                        }
                                    } catch (Exception e45) {
                                        e = e45;
                                        cacheFile3 = cacheFile6;
                                        videoIndex = resultHeight3;
                                        startTime = startTime4;
                                        outputSurface = null;
                                        decoder = decoder3;
                                        inputSurface4 = null;
                                    }
                                    extractor2.unselectTrack(videoIndex);
                                    if (outputSurface2 != null) {
                                        outputSurface2.release();
                                    }
                                    if (inputSurface4 != null) {
                                        inputSurface4.release();
                                    }
                                    if (decoder2 != null) {
                                        decoder2.stop();
                                        decoder2.release();
                                    }
                                    if (encoder4 != null) {
                                        encoder4.stop();
                                        encoder4.release();
                                    }
                                    checkConversionCanceled();
                                } else {
                                    z2 = false;
                                    manufacturer2 = manufacturer;
                                    extractor2.selectTrack(resultHeight3);
                                    videoFormat = extractor2.getTrackFormat(resultHeight3);
                                    if (audioIndex < 0) {
                                    }
                                    ByteBuffer audioBuffer42 = audioBuffer2;
                                    startTime3 = startTime2;
                                    if (startTime3 <= 0) {
                                    }
                                    String str92 = "video/avc";
                                    outputFormat = MediaFormat.createVideoFormat(str92, resultWidth3, resultHeight4);
                                    outputFormat.setInteger("color-format", colorFormat);
                                    outputFormat.setInteger("bitrate", originalWidth <= 0 ? originalWidth : 921600);
                                    outputFormat.setInteger("frame-rate", framerate == 0 ? framerate : 25);
                                    outputFormat.setInteger("i-frame-interval", 2);
                                    encoder4 = MediaCodec.createEncoderByType(str92);
                                    encoder4.configure(outputFormat, (Surface) null, (MediaCrypto) null, 1);
                                    inputSurface4 = new InputSurface(encoder4.createInputSurface());
                                    inputSurface4.makeCurrent();
                                    encoder4.start();
                                    decoder4 = MediaCodec.createDecoderByType(videoFormat.getString("mime"));
                                    outputSurface2 = new OutputSurface();
                                    encoder = encoder4;
                                    int colorFormat32 = colorFormat;
                                    decoder5 = decoder4;
                                    inputSurface = inputSurface4;
                                    decoder5.configure(videoFormat, outputSurface2.getSurface(), (MediaCrypto) null, 0);
                                    decoder5.start();
                                    checkConversionCanceled();
                                    outputDone2 = outputDone;
                                    while (!outputDone2) {
                                    }
                                    cacheFile3 = cacheFile6;
                                    videoIndex = resultHeight3;
                                    encoder4 = encoder;
                                    InputSurface inputSurface52 = inputSurface;
                                    startTime = startTime4;
                                    decoder2 = decoder5;
                                    inputSurface4 = inputSurface52;
                                    extractor2.unselectTrack(videoIndex);
                                    if (outputSurface2 != null) {
                                    }
                                    if (inputSurface4 != null) {
                                    }
                                    if (decoder2 != null) {
                                    }
                                    if (encoder4 != null) {
                                    }
                                    checkConversionCanceled();
                                }
                            } else if (0 != 1) {
                                if (0 == 5) {
                                    z2 = false;
                                    manufacturer2 = manufacturer;
                                } else if (0 == 3) {
                                    z2 = false;
                                    manufacturer2 = manufacturer;
                                    if (manufacturer2.equals("baidu")) {
                                        int padding2 = resultWidth3 * ((resultHeightAligned + (16 - (resultHeight4 % 16))) - resultHeight4);
                                        int i3 = bufferSize + ((padding2 * 5) / 4);
                                        extractor2.selectTrack(resultHeight3);
                                        videoFormat = extractor2.getTrackFormat(resultHeight3);
                                        if (audioIndex < 0) {
                                        }
                                        ByteBuffer audioBuffer422 = audioBuffer2;
                                        startTime3 = startTime2;
                                        if (startTime3 <= 0) {
                                        }
                                        String str922 = "video/avc";
                                        outputFormat = MediaFormat.createVideoFormat(str922, resultWidth3, resultHeight4);
                                        outputFormat.setInteger("color-format", colorFormat);
                                        outputFormat.setInteger("bitrate", originalWidth <= 0 ? originalWidth : 921600);
                                        outputFormat.setInteger("frame-rate", framerate == 0 ? framerate : 25);
                                        outputFormat.setInteger("i-frame-interval", 2);
                                        encoder4 = MediaCodec.createEncoderByType(str922);
                                        encoder4.configure(outputFormat, (Surface) null, (MediaCrypto) null, 1);
                                        inputSurface4 = new InputSurface(encoder4.createInputSurface());
                                        inputSurface4.makeCurrent();
                                        encoder4.start();
                                        decoder4 = MediaCodec.createDecoderByType(videoFormat.getString("mime"));
                                        outputSurface2 = new OutputSurface();
                                        encoder = encoder4;
                                        int colorFormat322 = colorFormat;
                                        decoder5 = decoder4;
                                        inputSurface = inputSurface4;
                                        decoder5.configure(videoFormat, outputSurface2.getSurface(), (MediaCrypto) null, 0);
                                        decoder5.start();
                                        checkConversionCanceled();
                                        outputDone2 = outputDone;
                                        while (!outputDone2) {
                                        }
                                        cacheFile3 = cacheFile6;
                                        videoIndex = resultHeight3;
                                        encoder4 = encoder;
                                        InputSurface inputSurface522 = inputSurface;
                                        startTime = startTime4;
                                        decoder2 = decoder5;
                                        inputSurface4 = inputSurface522;
                                        extractor2.unselectTrack(videoIndex);
                                        if (outputSurface2 != null) {
                                        }
                                        if (inputSurface4 != null) {
                                        }
                                        if (decoder2 != null) {
                                        }
                                        if (encoder4 != null) {
                                        }
                                        checkConversionCanceled();
                                    }
                                } else {
                                    z2 = false;
                                    manufacturer2 = manufacturer;
                                }
                                extractor2.selectTrack(resultHeight3);
                                videoFormat = extractor2.getTrackFormat(resultHeight3);
                                if (audioIndex < 0) {
                                }
                                ByteBuffer audioBuffer4222 = audioBuffer2;
                                startTime3 = startTime2;
                                if (startTime3 <= 0) {
                                }
                                String str9222 = "video/avc";
                                outputFormat = MediaFormat.createVideoFormat(str9222, resultWidth3, resultHeight4);
                                outputFormat.setInteger("color-format", colorFormat);
                                outputFormat.setInteger("bitrate", originalWidth <= 0 ? originalWidth : 921600);
                                outputFormat.setInteger("frame-rate", framerate == 0 ? framerate : 25);
                                outputFormat.setInteger("i-frame-interval", 2);
                                encoder4 = MediaCodec.createEncoderByType(str9222);
                                encoder4.configure(outputFormat, (Surface) null, (MediaCrypto) null, 1);
                                inputSurface4 = new InputSurface(encoder4.createInputSurface());
                                inputSurface4.makeCurrent();
                                encoder4.start();
                                decoder4 = MediaCodec.createDecoderByType(videoFormat.getString("mime"));
                                outputSurface2 = new OutputSurface();
                                encoder = encoder4;
                                int colorFormat3222 = colorFormat;
                                decoder5 = decoder4;
                                inputSurface = inputSurface4;
                                decoder5.configure(videoFormat, outputSurface2.getSurface(), (MediaCrypto) null, 0);
                                decoder5.start();
                                checkConversionCanceled();
                                outputDone2 = outputDone;
                                while (!outputDone2) {
                                }
                                cacheFile3 = cacheFile6;
                                videoIndex = resultHeight3;
                                encoder4 = encoder;
                                InputSurface inputSurface5222 = inputSurface;
                                startTime = startTime4;
                                decoder2 = decoder5;
                                inputSurface4 = inputSurface5222;
                                extractor2.unselectTrack(videoIndex);
                                if (outputSurface2 != null) {
                                }
                                if (inputSurface4 != null) {
                                }
                                if (decoder2 != null) {
                                }
                                if (encoder4 != null) {
                                }
                                checkConversionCanceled();
                            } else if (manufacturer.toLowerCase().equals("lge")) {
                                z2 = false;
                                manufacturer2 = manufacturer;
                                extractor2.selectTrack(resultHeight3);
                                videoFormat = extractor2.getTrackFormat(resultHeight3);
                                if (audioIndex < 0) {
                                }
                                ByteBuffer audioBuffer42222 = audioBuffer2;
                                startTime3 = startTime2;
                                if (startTime3 <= 0) {
                                }
                                String str92222 = "video/avc";
                                outputFormat = MediaFormat.createVideoFormat(str92222, resultWidth3, resultHeight4);
                                outputFormat.setInteger("color-format", colorFormat);
                                outputFormat.setInteger("bitrate", originalWidth <= 0 ? originalWidth : 921600);
                                outputFormat.setInteger("frame-rate", framerate == 0 ? framerate : 25);
                                outputFormat.setInteger("i-frame-interval", 2);
                                encoder4 = MediaCodec.createEncoderByType(str92222);
                                encoder4.configure(outputFormat, (Surface) null, (MediaCrypto) null, 1);
                                inputSurface4 = new InputSurface(encoder4.createInputSurface());
                                inputSurface4.makeCurrent();
                                encoder4.start();
                                decoder4 = MediaCodec.createDecoderByType(videoFormat.getString("mime"));
                                outputSurface2 = new OutputSurface();
                                encoder = encoder4;
                                int colorFormat32222 = colorFormat;
                                decoder5 = decoder4;
                                inputSurface = inputSurface4;
                                decoder5.configure(videoFormat, outputSurface2.getSurface(), (MediaCrypto) null, 0);
                                decoder5.start();
                                checkConversionCanceled();
                                outputDone2 = outputDone;
                                while (!outputDone2) {
                                }
                                cacheFile3 = cacheFile6;
                                videoIndex = resultHeight3;
                                encoder4 = encoder;
                                InputSurface inputSurface52222 = inputSurface;
                                startTime = startTime4;
                                decoder2 = decoder5;
                                inputSurface4 = inputSurface52222;
                                extractor2.unselectTrack(videoIndex);
                                if (outputSurface2 != null) {
                                }
                                if (inputSurface4 != null) {
                                }
                                if (decoder2 != null) {
                                }
                                if (encoder4 != null) {
                                }
                                checkConversionCanceled();
                            } else {
                                int uvoffset = ((resultWidth3 * resultHeight4) + 2047) & (-2048);
                                int padding3 = uvoffset - (resultWidth3 * resultHeight4);
                                int i4 = bufferSize + padding3;
                                z2 = false;
                                manufacturer2 = manufacturer;
                                extractor2.selectTrack(resultHeight3);
                                videoFormat = extractor2.getTrackFormat(resultHeight3);
                                if (audioIndex < 0) {
                                }
                                ByteBuffer audioBuffer422222 = audioBuffer2;
                                startTime3 = startTime2;
                                if (startTime3 <= 0) {
                                }
                                String str922222 = "video/avc";
                                outputFormat = MediaFormat.createVideoFormat(str922222, resultWidth3, resultHeight4);
                                outputFormat.setInteger("color-format", colorFormat);
                                outputFormat.setInteger("bitrate", originalWidth <= 0 ? originalWidth : 921600);
                                outputFormat.setInteger("frame-rate", framerate == 0 ? framerate : 25);
                                outputFormat.setInteger("i-frame-interval", 2);
                                encoder4 = MediaCodec.createEncoderByType(str922222);
                                encoder4.configure(outputFormat, (Surface) null, (MediaCrypto) null, 1);
                                inputSurface4 = new InputSurface(encoder4.createInputSurface());
                                inputSurface4.makeCurrent();
                                encoder4.start();
                                decoder4 = MediaCodec.createDecoderByType(videoFormat.getString("mime"));
                                outputSurface2 = new OutputSurface();
                                encoder = encoder4;
                                int colorFormat322222 = colorFormat;
                                decoder5 = decoder4;
                                inputSurface = inputSurface4;
                                decoder5.configure(videoFormat, outputSurface2.getSurface(), (MediaCrypto) null, 0);
                                decoder5.start();
                                checkConversionCanceled();
                                outputDone2 = outputDone;
                                while (!outputDone2) {
                                }
                                cacheFile3 = cacheFile6;
                                videoIndex = resultHeight3;
                                encoder4 = encoder;
                                InputSurface inputSurface522222 = inputSurface;
                                startTime = startTime4;
                                decoder2 = decoder5;
                                inputSurface4 = inputSurface522222;
                                extractor2.unselectTrack(videoIndex);
                                if (outputSurface2 != null) {
                                }
                                if (inputSurface4 != null) {
                                }
                                if (decoder2 != null) {
                                }
                                if (encoder4 != null) {
                                }
                                checkConversionCanceled();
                            }
                            preferences.edit().putBoolean(str4, true).commit();
                            didWriteData(messageObject, cacheFile3, true, 0L, error);
                            return true;
                        }
                        cacheFile3 = cacheFile6;
                        startTime = startTime2;
                        extractor2.release();
                        if (mediaMuxer != null) {
                            try {
                                mediaMuxer.finishMovie();
                            } catch (Exception e46) {
                                FileLog.e(e46);
                            }
                        }
                        if (BuildVars.LOGS_ENABLED) {
                            FileLog.d(str5 + (System.currentTimeMillis() - time));
                        }
                        preferences.edit().putBoolean(str4, true).commit();
                        didWriteData(messageObject, cacheFile3, true, 0L, error);
                        return true;
                    }
                }
                resultHeight2 = resultHeight8;
                str4 = str;
                extractor2 = extractor;
                startTime2 = startTime6;
                mediaMuxer = mediaMuxer2;
                resultWidth3 = resultWidth5;
                str5 = videoPath2;
                originalWidth = bitrate3;
                File cacheFile62 = cacheFile4;
                resultHeight3 = findTrack(extractor2, false);
                if (originalWidth == -1) {
                }
                int audioIndex2 = i;
                if (resultHeight3 < 0) {
                }
                extractor2.release();
                if (mediaMuxer != null) {
                }
                if (BuildVars.LOGS_ENABLED) {
                }
                preferences.edit().putBoolean(str4, true).commit();
                didWriteData(messageObject, cacheFile3, true, 0L, error);
                return true;
            }
            str2 = str;
            cacheFile2 = cacheFile;
        } else {
            str2 = str;
            cacheFile2 = cacheFile;
        }
        preferences.edit().putBoolean(str2, true).commit();
        didWriteData(messageObject, cacheFile2, true, 0L, true);
        return false;
    }
}
