package im.uecahxyvjd.messenger;

import android.content.SharedPreferences;
import android.text.TextUtils;
import android.util.LongSparseArray;
import android.util.SparseArray;
import android.util.SparseIntArray;
import com.litesuits.orm.db.assit.SQLBuilder;
import im.uecahxyvjd.messenger.ContactsController;
import im.uecahxyvjd.messenger.MediaController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.support.SparseLongArray;
import im.uecahxyvjd.phoneformat.PhoneFormat;
import im.uecahxyvjd.sqlite.SQLiteCursor;
import im.uecahxyvjd.sqlite.SQLiteDatabase;
import im.uecahxyvjd.sqlite.SQLitePreparedStatement;
import im.uecahxyvjd.tgnet.NativeByteBuffer;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCContacts;
import java.io.File;
import java.util.AbstractMap;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.concurrent.CountDownLatch;
import java.util.concurrent.atomic.AtomicLong;
/* loaded from: classes16.dex */
public class MessagesStorage extends BaseController {
    private static volatile MessagesStorage[] Instance = new MessagesStorage[3];
    private static final int LAST_DB_VERSION = 68;
    private File cacheFile;
    private SQLiteDatabase database;
    private int lastDateValue;
    private int lastPtsValue;
    private int lastQtsValue;
    private int lastSavedDate;
    private int lastSavedPts;
    private int lastSavedQts;
    private int lastSavedSeq;
    private int lastSecretVersion;
    private int lastSeqValue;
    private AtomicLong lastTaskId;
    private CountDownLatch openSync;
    private int secretG;
    private byte[] secretPBytes;
    private File shmCacheFile;
    private DispatchQueue storageQueue;
    private File walCacheFile;

    /* loaded from: classes16.dex */
    public interface BooleanCallback {
        void run(boolean z);
    }

    /* loaded from: classes16.dex */
    public interface IntCallback {
        void run(int i);
    }

    public static MessagesStorage getInstance(int num) {
        MessagesStorage localInstance = Instance[num];
        if (localInstance == null) {
            synchronized (MessagesStorage.class) {
                localInstance = Instance[num];
                if (localInstance == null) {
                    MessagesStorage[] messagesStorageArr = Instance;
                    MessagesStorage messagesStorage = new MessagesStorage(num);
                    localInstance = messagesStorage;
                    messagesStorageArr[num] = messagesStorage;
                }
            }
        }
        return localInstance;
    }

    private void ensureOpened() {
        try {
            this.openSync.await();
        } catch (Throwable th) {
        }
    }

    public int getLastDateValue() {
        ensureOpened();
        return this.lastDateValue;
    }

    public void setLastDateValue(int value) {
        ensureOpened();
        this.lastDateValue = value;
    }

    public int getLastPtsValue() {
        ensureOpened();
        return this.lastPtsValue;
    }

    public void setLastPtsValue(int value) {
        ensureOpened();
        this.lastPtsValue = value;
    }

    public int getLastQtsValue() {
        ensureOpened();
        return this.lastQtsValue;
    }

    public void setLastQtsValue(int value) {
        ensureOpened();
        this.lastQtsValue = value;
    }

    public int getLastSeqValue() {
        ensureOpened();
        return this.lastSeqValue;
    }

    public void setLastSeqValue(int value) {
        ensureOpened();
        this.lastSeqValue = value;
    }

    public int getLastSecretVersion() {
        ensureOpened();
        return this.lastSecretVersion;
    }

    public void setLastSecretVersion(int value) {
        ensureOpened();
        this.lastSecretVersion = value;
    }

    public byte[] getSecretPBytes() {
        ensureOpened();
        return this.secretPBytes;
    }

    public void setSecretPBytes(byte[] value) {
        ensureOpened();
        this.secretPBytes = value;
    }

    public int getSecretG() {
        ensureOpened();
        return this.secretG;
    }

    public void setSecretG(int value) {
        ensureOpened();
        this.secretG = value;
    }

    public MessagesStorage(int instance) {
        super(instance);
        this.storageQueue = new DispatchQueue("storageQueue");
        this.lastTaskId = new AtomicLong(System.currentTimeMillis());
        this.lastDateValue = 0;
        this.lastPtsValue = 0;
        this.lastQtsValue = 0;
        this.lastSeqValue = 0;
        this.lastSecretVersion = 0;
        this.secretPBytes = null;
        this.secretG = 0;
        this.lastSavedSeq = 0;
        this.lastSavedPts = 0;
        this.lastSavedDate = 0;
        this.lastSavedQts = 0;
        this.openSync = new CountDownLatch(1);
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda68
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m824lambda$new$0$imuecahxyvjdmessengerMessagesStorage();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$new$0$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m824lambda$new$0$imuecahxyvjdmessengerMessagesStorage() {
        openDatabase(1);
    }

    public SQLiteDatabase getDatabase() {
        return this.database;
    }

    public DispatchQueue getStorageQueue() {
        return this.storageQueue;
    }

    public long getDatabaseSize() {
        File file = this.cacheFile;
        long size = file != null ? 0 + file.length() : 0L;
        File file2 = this.shmCacheFile;
        if (file2 != null) {
            return size + file2.length();
        }
        return size;
    }

    /* JADX WARN: Code restructure failed: missing block: B:43:0x06d8, code lost:
        if (0 == 0) goto L64;
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x06da, code lost:
        r6.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x06e8, code lost:
        if (r6 == null) goto L64;
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x06eb, code lost:
        if (r13 == null) goto L66;
     */
    /* JADX WARN: Code restructure failed: missing block: B:54:0x06ed, code lost:
        r13.dispose();
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void openDatabase(int openTries) {
        SQLitePreparedStatement state;
        File filesDir = ApplicationLoader.getFilesDirFixed();
        if (this.currentAccount != 0) {
            filesDir = new File(filesDir, "account" + this.currentAccount + "/");
            filesDir.mkdirs();
        }
        this.cacheFile = new File(filesDir, "cache4.db");
        this.walCacheFile = new File(filesDir, "cache4.db-wal");
        this.shmCacheFile = new File(filesDir, "cache4.db-shm");
        boolean createTable = this.cacheFile.exists() ? false : true;
        SQLitePreparedStatement state2 = null;
        int i = 2;
        try {
            try {
                SQLiteDatabase sQLiteDatabase = new SQLiteDatabase(this.cacheFile.getPath());
                this.database = sQLiteDatabase;
                sQLiteDatabase.executeFast("PRAGMA secure_delete = ON").stepThis().dispose();
                this.database.executeFast("PRAGMA temp_store = 1").stepThis().dispose();
                this.database.executeFast("PRAGMA journal_mode = WAL").stepThis().dispose();
                SQLitePreparedStatement state3 = null;
                if (createTable) {
                    if (BuildVars.LOGS_ENABLED) {
                        FileLog.d("create new database");
                    }
                    this.database.executeFast("CREATE TABLE messages_holes(uid INTEGER, start INTEGER, end INTEGER, PRIMARY KEY(uid, start));").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS uid_end_messages_holes ON messages_holes(uid, end);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE media_holes_v2(uid INTEGER, type INTEGER, start INTEGER, end INTEGER, PRIMARY KEY(uid, type, start));").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS uid_end_media_holes_v2 ON media_holes_v2(uid, type, end);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE scheduled_messages(mid INTEGER PRIMARY KEY, uid INTEGER, send_state INTEGER, date INTEGER, data BLOB, ttl INTEGER, replydata BLOB)").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS send_state_idx_scheduled_messages ON scheduled_messages(mid, send_state, date);").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS uid_date_idx_scheduled_messages ON scheduled_messages(uid, date);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE messages(mid INTEGER PRIMARY KEY, uid INTEGER, read_state INTEGER, send_state INTEGER, date INTEGER, data BLOB, out INTEGER, ttl INTEGER, media INTEGER, replydata BLOB, imp INTEGER, mention INTEGER)").stepThis().dispose();
                    this.database.executeFast("ALTER TABLE messages ADD COLUMN trans_dst TEXT").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS uid_mid_idx_messages ON messages(uid, mid);").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS uid_date_mid_idx_messages ON messages(uid, date, mid);").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS mid_out_idx_messages ON messages(mid, out);").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS task_idx_messages ON messages(uid, out, read_state, ttl, date, send_state);").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS send_state_idx_messages2 ON messages(mid, send_state, date);").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS uid_mention_idx_messages ON messages(uid, mention, read_state);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE download_queue(uid INTEGER, type INTEGER, date INTEGER, data BLOB, parent TEXT, PRIMARY KEY (uid, type));").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS type_date_idx_download_queue ON download_queue(type, date);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE user_contacts_v7(key TEXT PRIMARY KEY, uid INTEGER, fname TEXT, sname TEXT, imported INTEGER)").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE user_phones_v7(key TEXT, phone TEXT, sphone TEXT, deleted INTEGER, PRIMARY KEY (key, phone))").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS sphone_deleted_idx_user_phones ON user_phones_v7(sphone, deleted);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE dialogs(did INTEGER PRIMARY KEY, date INTEGER, unread_count INTEGER, last_mid INTEGER, inbox_max INTEGER, outbox_max INTEGER, last_mid_i INTEGER, unread_count_i INTEGER, pts INTEGER, date_i INTEGER, pinned INTEGER, flags INTEGER, folder_id INTEGER, data BLOB)").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS date_idx_dialogs ON dialogs(date);").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS last_mid_idx_dialogs ON dialogs(last_mid);").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS unread_count_idx_dialogs ON dialogs(unread_count);").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS last_mid_i_idx_dialogs ON dialogs(last_mid_i);").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS unread_count_i_idx_dialogs ON dialogs(unread_count_i);").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS folder_id_idx_dialogs ON dialogs(folder_id);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE randoms(random_id INTEGER, mid INTEGER, PRIMARY KEY (random_id, mid))").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS mid_idx_randoms ON randoms(mid);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE enc_tasks_v2(mid INTEGER PRIMARY KEY, date INTEGER)").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS date_idx_enc_tasks_v2 ON enc_tasks_v2(date);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE messages_seq(mid INTEGER PRIMARY KEY, seq_in INTEGER, seq_out INTEGER);").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS seq_idx_messages_seq ON messages_seq(seq_in, seq_out);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE params(id INTEGER PRIMARY KEY, seq INTEGER, pts INTEGER, date INTEGER, qts INTEGER, lsv INTEGER, sg INTEGER, pbytes BLOB)").stepThis().dispose();
                    this.database.executeFast("INSERT INTO params VALUES(1, 0, 0, 0, 0, 0, 0, NULL)").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE media_v2(mid INTEGER PRIMARY KEY, uid INTEGER, date INTEGER, type INTEGER, data BLOB)").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS uid_mid_type_date_idx_media ON media_v2(uid, mid, type, date);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE bot_keyboard(uid INTEGER PRIMARY KEY, mid INTEGER, info BLOB)").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS bot_keyboard_idx_mid ON bot_keyboard(mid);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE chat_settings_v2(uid INTEGER PRIMARY KEY, info BLOB, pinned INTEGER, online INTEGER)").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS chat_settings_pinned_idx ON chat_settings_v2(uid, pinned) WHERE pinned != 0;").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE user_settings(uid INTEGER PRIMARY KEY, info BLOB, pinned INTEGER)").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS user_settings_pinned_idx ON user_settings(uid, pinned) WHERE pinned != 0;").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE chat_pinned(uid INTEGER PRIMARY KEY, pinned INTEGER, data BLOB)").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS chat_pinned_mid_idx ON chat_pinned(uid, pinned) WHERE pinned != 0;").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE chat_hints(did INTEGER, type INTEGER, rating REAL, date INTEGER, PRIMARY KEY(did, type))").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS chat_hints_rating_idx ON chat_hints(rating);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE botcache(id TEXT PRIMARY KEY, date INTEGER, data BLOB)").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS botcache_date_idx ON botcache(date);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE users_data(uid INTEGER PRIMARY KEY, about TEXT)").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE users(uid INTEGER PRIMARY KEY, name TEXT, status INTEGER, data BLOB)").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE chats(uid INTEGER PRIMARY KEY, name TEXT, data BLOB)").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE enc_chats(uid INTEGER PRIMARY KEY, user INTEGER, name TEXT, data BLOB, g BLOB, authkey BLOB, ttl INTEGER, layer INTEGER, seq_in INTEGER, seq_out INTEGER, use_count INTEGER, exchange_id INTEGER, key_date INTEGER, fprint INTEGER, fauthkey BLOB, khash BLOB, in_seq_no INTEGER, admin_id INTEGER, mtproto_seq INTEGER)").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE channel_users_v2(did INTEGER, uid INTEGER, date INTEGER, data BLOB, PRIMARY KEY(did, uid))").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE channel_admins_v2(did INTEGER, uid INTEGER, rank TEXT, PRIMARY KEY(did, uid))").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE contacts(uid INTEGER PRIMARY KEY, mutual INTEGER)").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE user_photos(uid INTEGER, id INTEGER, data BLOB, PRIMARY KEY (uid, id))").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE dialog_settings(did INTEGER PRIMARY KEY, flags INTEGER);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE web_recent_v3(id TEXT, type INTEGER, image_url TEXT, thumb_url TEXT, local_url TEXT, width INTEGER, height INTEGER, size INTEGER, date INTEGER, document BLOB, PRIMARY KEY (id, type));").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE stickers_v2(id INTEGER PRIMARY KEY, data BLOB, date INTEGER, hash TEXT);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE stickers_featured(id INTEGER PRIMARY KEY, data BLOB, unread BLOB, date INTEGER, hash TEXT);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE hashtag_recent_v2(id TEXT PRIMARY KEY, date INTEGER);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE webpage_pending(id INTEGER, mid INTEGER, PRIMARY KEY (id, mid));").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE sent_files_v2(uid TEXT, type INTEGER, data BLOB, parent TEXT, PRIMARY KEY (uid, type))").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE search_recent(did INTEGER PRIMARY KEY, date INTEGER);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE media_counts_v2(uid INTEGER, type INTEGER, count INTEGER, old INTEGER, PRIMARY KEY(uid, type))").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE keyvalue(id TEXT PRIMARY KEY, value TEXT)").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE bot_info(uid INTEGER PRIMARY KEY, info BLOB)").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE pending_tasks(id INTEGER PRIMARY KEY, data BLOB);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE requested_holes(uid INTEGER, seq_out_start INTEGER, seq_out_end INTEGER, PRIMARY KEY (uid, seq_out_start, seq_out_end));").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE sharing_locations(uid INTEGER PRIMARY KEY, mid INTEGER, date INTEGER, period INTEGER, message BLOB);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE emoji_keywords_v2(lang TEXT, keyword TEXT, emoji TEXT, PRIMARY KEY(lang, keyword, emoji));").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS emoji_keywords_v2_keyword ON emoji_keywords_v2(keyword);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE emoji_keywords_info_v2(lang TEXT PRIMARY KEY, alias TEXT, version INTEGER, date INTEGER);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE wallpapers2(uid INTEGER PRIMARY KEY, data BLOB, num INTEGER)").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS wallpapers_num ON wallpapers2(num);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE unread_push_messages(uid INTEGER, mid INTEGER, random INTEGER, date INTEGER, data BLOB, fm TEXT, name TEXT, uname TEXT, flags INTEGER, PRIMARY KEY(uid, mid))").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS unread_push_messages_idx_date ON unread_push_messages(date);").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS unread_push_messages_idx_random ON unread_push_messages(random);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE polls(mid INTEGER PRIMARY KEY, id INTEGER);").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS polls_id ON polls(id);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE IF NOT EXISTS contacts_apply_info(apply_id INTEGER PRIMARY KEY, for_apply_id INTEGER, uid INTEGER, state INTEGER, greet TEXT, date INTEGER, expire INTEGER);").stepThis().dispose();
                    this.database.executeFast("PRAGMA user_version = 68").stepThis().dispose();
                    state = null;
                } else {
                    int version = this.database.executeInt("PRAGMA user_version", new Object[0]).intValue();
                    if (BuildVars.LOGS_ENABLED) {
                        FileLog.d("current db version = " + version);
                    }
                    if (version == 0) {
                        throw new Exception("malformed");
                    }
                    SQLiteCursor cursor = null;
                    try {
                        try {
                            cursor = this.database.queryFinalized("SELECT seq, pts, date, qts, lsv, sg, pbytes FROM params WHERE id = 1", new Object[0]);
                            if (cursor.next()) {
                                this.lastSeqValue = cursor.intValue(0);
                                this.lastPtsValue = cursor.intValue(1);
                                this.lastDateValue = cursor.intValue(2);
                                this.lastQtsValue = cursor.intValue(3);
                                this.lastSecretVersion = cursor.intValue(4);
                                this.secretG = cursor.intValue(5);
                                if (cursor.isNull(6)) {
                                    this.secretPBytes = null;
                                } else {
                                    byte[] byteArrayValue = cursor.byteArrayValue(6);
                                    this.secretPBytes = byteArrayValue;
                                    if (byteArrayValue != null && byteArrayValue.length == 1) {
                                        this.secretPBytes = null;
                                    }
                                }
                            }
                            cursor.dispose();
                            SQLiteCursor cursor2 = null;
                            if (0 != 0) {
                                cursor2.dispose();
                            }
                        } catch (Exception e) {
                            FileLog.e("openDatabase ---> exception 1 ", e);
                            try {
                                this.database.executeFast("CREATE TABLE IF NOT EXISTS params(id INTEGER PRIMARY KEY, seq INTEGER, pts INTEGER, date INTEGER, qts INTEGER, lsv INTEGER, sg INTEGER, pbytes BLOB)").stepThis().dispose();
                                state3 = this.database.executeFast("INSERT INTO params VALUES(1, 0, 0, 0, 0, 0, 0, NULL)");
                                state3.stepThis().dispose();
                                state3 = null;
                            } catch (Exception e2) {
                                FileLog.e("openDatabase ---> exception 2 ", e2);
                            }
                        }
                        if (version < 68) {
                            updateDbToLastVersion(version);
                        }
                        state = state3;
                    } catch (Throwable th) {
                        if (cursor != null) {
                            cursor.dispose();
                        }
                        throw th;
                    }
                }
                if (state != null) {
                    state.dispose();
                }
            } catch (Exception e3) {
                FileLog.e("openDatabase ---> exception 3 ", e3);
                if (openTries < 3 && e3.getMessage().contains("malformed")) {
                    if (openTries == 2) {
                        cleanupInternal(true);
                        for (int a2 = 0; a2 < 2; a2++) {
                            getUserConfig().setDialogsLoadOffset(a2, 0, 0, 0, 0, 0, 0L);
                            getUserConfig().setTotalDialogsCount(a2, 0);
                        }
                        getUserConfig().saveConfig(false);
                    } else {
                        cleanupInternal(false);
                    }
                    if (openTries != 1) {
                        i = 3;
                    }
                    openDatabase(i);
                }
                if (0 != 0) {
                    state2.dispose();
                }
            }
            loadUnreadMessages();
            loadPendingTasks();
            try {
                this.openSync.countDown();
            } catch (Throwable th2) {
            }
        } catch (Throwable th3) {
            if (0 != 0) {
                state2.dispose();
            }
            throw th3;
        }
    }

    private void updateDbToLastVersion(final int currentVersion) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda19
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m877x66410092(currentVersion);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateDbToLastVersion$1$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m877x66410092(int currentVersion) {
        SQLiteCursor cursor = null;
        NativeByteBuffer data = null;
        NativeByteBuffer data2 = null;
        SQLitePreparedStatement state = null;
        int version = currentVersion;
        if (version < 4) {
            try {
                try {
                    this.database.executeFast("CREATE TABLE IF NOT EXISTS user_photos(uid INTEGER, id INTEGER, data BLOB, PRIMARY KEY (uid, id))").stepThis().dispose();
                    this.database.executeFast("DROP INDEX IF EXISTS read_state_out_idx_messages;").stepThis().dispose();
                    this.database.executeFast("DROP INDEX IF EXISTS ttl_idx_messages;").stepThis().dispose();
                    this.database.executeFast("DROP INDEX IF EXISTS date_idx_messages;").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS mid_out_idx_messages ON messages(mid, out);").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS task_idx_messages ON messages(uid, out, read_state, ttl, date, send_state);").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS uid_date_mid_idx_messages ON messages(uid, date, mid);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE IF NOT EXISTS user_contacts_v6(uid INTEGER PRIMARY KEY, fname TEXT, sname TEXT)").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE IF NOT EXISTS user_phones_v6(uid INTEGER, phone TEXT, sphone TEXT, deleted INTEGER, PRIMARY KEY (uid, phone))").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS sphone_deleted_idx_user_phones ON user_phones_v6(sphone, deleted);").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS mid_idx_randoms ON randoms(mid);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE IF NOT EXISTS sent_files_v2(uid TEXT, type INTEGER, data BLOB, PRIMARY KEY (uid, type))").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE IF NOT EXISTS download_queue(uid INTEGER, type INTEGER, date INTEGER, data BLOB, PRIMARY KEY (uid, type));").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS type_date_idx_download_queue ON download_queue(type, date);").stepThis().dispose();
                    this.database.executeFast("CREATE TABLE IF NOT EXISTS dialog_settings(did INTEGER PRIMARY KEY, flags INTEGER);").stepThis().dispose();
                    this.database.executeFast("CREATE INDEX IF NOT EXISTS unread_count_idx_dialogs ON dialogs(unread_count);").stepThis().dispose();
                    this.database.executeFast("UPDATE messages SET send_state = 2 WHERE mid < 0 AND send_state = 1").stepThis().dispose();
                    fixNotificationSettings();
                    this.database.executeFast("PRAGMA user_version = 4").stepThis().dispose();
                    state = null;
                    version = 4;
                } catch (Exception e) {
                    FileLog.e("updateDbToLastVersion ---> exception 2 ", e);
                    if (data != null) {
                        data.reuse();
                    }
                    if (data2 != null) {
                        data2.reuse();
                    }
                    if (cursor != null) {
                        cursor.dispose();
                    }
                    if (state == null) {
                        return;
                    }
                }
            } catch (Throwable th) {
                if (data != null) {
                    data.reuse();
                }
                if (data2 != null) {
                    data2.reuse();
                }
                if (cursor != null) {
                    cursor.dispose();
                }
                if (state != null) {
                    state.dispose();
                }
                throw th;
            }
        }
        if (version == 4) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS enc_tasks_v2(mid INTEGER PRIMARY KEY, date INTEGER)").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS date_idx_enc_tasks_v2 ON enc_tasks_v2(date);").stepThis().dispose();
            try {
                this.database.beginTransaction();
            } catch (Exception e2) {
                FileLog.e("updateDbToLastVersion ---> exception 1 ", e2);
            }
            SQLiteCursor cursor2 = this.database.queryFinalized("SELECT date, data FROM enc_tasks WHERE 1", new Object[0]);
            SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO enc_tasks_v2 VALUES(?, ?)");
            if (cursor2.next()) {
                int date = cursor2.intValue(0);
                data = cursor2.byteBufferValue(1);
                if (data != null) {
                    int length = data.limit();
                    for (int a2 = 0; a2 < length / 4; a2++) {
                        state2.requery();
                        state2.bindInteger(1, data.readInt32(false));
                        state2.bindInteger(2, date);
                        state2.step();
                    }
                    data.reuse();
                    data = null;
                }
            }
            state2.dispose();
            cursor2.dispose();
            cursor = null;
            this.database.commitTransaction();
            this.database.executeFast("DROP INDEX IF EXISTS date_idx_enc_tasks;").stepThis().dispose();
            this.database.executeFast("DROP TABLE IF EXISTS enc_tasks;").stepThis().dispose();
            this.database.executeFast("ALTER TABLE messages ADD COLUMN media INTEGER default 0").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 6").stepThis().dispose();
            state = null;
            version = 6;
        }
        if (version == 6) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS messages_seq(mid INTEGER PRIMARY KEY, seq_in INTEGER, seq_out INTEGER);").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS seq_idx_messages_seq ON messages_seq(seq_in, seq_out);").stepThis().dispose();
            this.database.executeFast("ALTER TABLE enc_chats ADD COLUMN layer INTEGER default 0").stepThis().dispose();
            this.database.executeFast("ALTER TABLE enc_chats ADD COLUMN seq_in INTEGER default 0").stepThis().dispose();
            this.database.executeFast("ALTER TABLE enc_chats ADD COLUMN seq_out INTEGER default 0").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 7").stepThis().dispose();
            state = null;
            version = 7;
        }
        if (version == 7 || version == 8 || version == 9) {
            this.database.executeFast("ALTER TABLE enc_chats ADD COLUMN use_count INTEGER default 0").stepThis().dispose();
            this.database.executeFast("ALTER TABLE enc_chats ADD COLUMN exchange_id INTEGER default 0").stepThis().dispose();
            this.database.executeFast("ALTER TABLE enc_chats ADD COLUMN key_date INTEGER default 0").stepThis().dispose();
            this.database.executeFast("ALTER TABLE enc_chats ADD COLUMN fprint INTEGER default 0").stepThis().dispose();
            this.database.executeFast("ALTER TABLE enc_chats ADD COLUMN fauthkey BLOB default NULL").stepThis().dispose();
            this.database.executeFast("ALTER TABLE enc_chats ADD COLUMN khash BLOB default NULL").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 10").stepThis().dispose();
            state = null;
            version = 10;
        }
        if (version == 10) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS web_recent_v3(id TEXT, type INTEGER, image_url TEXT, thumb_url TEXT, local_url TEXT, width INTEGER, height INTEGER, size INTEGER, date INTEGER, PRIMARY KEY (id, type));").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 11").stepThis().dispose();
            state = null;
            version = 11;
        }
        if (version == 11 || version == 12) {
            this.database.executeFast("DROP INDEX IF EXISTS uid_mid_idx_media;").stepThis().dispose();
            this.database.executeFast("DROP INDEX IF EXISTS mid_idx_media;").stepThis().dispose();
            this.database.executeFast("DROP INDEX IF EXISTS uid_date_mid_idx_media;").stepThis().dispose();
            this.database.executeFast("DROP TABLE IF EXISTS media;").stepThis().dispose();
            this.database.executeFast("DROP TABLE IF EXISTS media_counts;").stepThis().dispose();
            this.database.executeFast("CREATE TABLE IF NOT EXISTS media_v2(mid INTEGER PRIMARY KEY, uid INTEGER, date INTEGER, type INTEGER, data BLOB)").stepThis().dispose();
            this.database.executeFast("CREATE TABLE IF NOT EXISTS media_counts_v2(uid INTEGER, type INTEGER, count INTEGER, PRIMARY KEY(uid, type))").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS uid_mid_type_date_idx_media ON media_v2(uid, mid, type, date);").stepThis().dispose();
            this.database.executeFast("CREATE TABLE IF NOT EXISTS keyvalue(id TEXT PRIMARY KEY, value TEXT)").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 13").stepThis().dispose();
            state = null;
            version = 13;
        }
        if (version == 13) {
            this.database.executeFast("ALTER TABLE messages ADD COLUMN replydata BLOB default NULL").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 14").stepThis().dispose();
            state = null;
            version = 14;
        }
        if (version == 14) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS hashtag_recent_v2(id TEXT PRIMARY KEY, date INTEGER);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 15").stepThis().dispose();
            state = null;
            version = 15;
        }
        if (version == 15) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS webpage_pending(id INTEGER, mid INTEGER, PRIMARY KEY (id, mid));").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 16").stepThis().dispose();
            state = null;
            version = 16;
        }
        if (version == 16) {
            this.database.executeFast("ALTER TABLE dialogs ADD COLUMN inbox_max INTEGER default 0").stepThis().dispose();
            this.database.executeFast("ALTER TABLE dialogs ADD COLUMN outbox_max INTEGER default 0").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 17").stepThis().dispose();
            state = null;
            version = 17;
        }
        if (version == 17) {
            this.database.executeFast("CREATE TABLE bot_info(uid INTEGER PRIMARY KEY, info BLOB)").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 18").stepThis().dispose();
            state = null;
            version = 18;
        }
        if (version == 18) {
            this.database.executeFast("DROP TABLE IF EXISTS stickers;").stepThis().dispose();
            this.database.executeFast("CREATE TABLE IF NOT EXISTS stickers_v2(id INTEGER PRIMARY KEY, data BLOB, date INTEGER, hash TEXT);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 19").stepThis().dispose();
            state = null;
            version = 19;
        }
        if (version == 19) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS bot_keyboard(uid INTEGER PRIMARY KEY, mid INTEGER, info BLOB)").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS bot_keyboard_idx_mid ON bot_keyboard(mid);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 20").stepThis().dispose();
            state = null;
            version = 20;
        }
        if (version == 20) {
            this.database.executeFast("CREATE TABLE search_recent(did INTEGER PRIMARY KEY, date INTEGER);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 21").stepThis().dispose();
            state = null;
            version = 21;
        }
        if (version == 21) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS chat_settings_v2(uid INTEGER PRIMARY KEY, info BLOB)").stepThis().dispose();
            SQLiteCursor cursor3 = this.database.queryFinalized("SELECT uid, participants FROM chat_settings WHERE uid < 0", new Object[0]);
            SQLitePreparedStatement state3 = this.database.executeFast("REPLACE INTO chat_settings_v2 VALUES(?, ?)");
            while (cursor3.next()) {
                int chat_id = cursor3.intValue(0);
                data = cursor3.byteBufferValue(1);
                if (data != null) {
                    TLRPC.ChatParticipants participants = TLRPC.ChatParticipants.TLdeserialize(data, data.readInt32(false), false);
                    data.reuse();
                    if (participants != null) {
                        TLRPC.TL_chatFull chatFull = new TLRPC.TL_chatFull();
                        chatFull.id = chat_id;
                        chatFull.chat_photo = new TLRPC.TL_photoEmpty();
                        chatFull.notify_settings = new TLRPC.TL_peerNotifySettingsEmpty_layer77();
                        chatFull.exported_invite = new TLRPC.TL_chatInviteEmpty();
                        chatFull.participants = participants;
                        NativeByteBuffer data22 = new NativeByteBuffer(chatFull.getObjectSize());
                        chatFull.serializeToStream(data22);
                        state3.requery();
                        state3.bindInteger(1, chat_id);
                        state3.bindByteBuffer(2, data22);
                        state3.step();
                        data22.reuse();
                        data2 = null;
                    }
                }
            }
            state3.dispose();
            cursor3.dispose();
            cursor = null;
            this.database.executeFast("DROP TABLE IF EXISTS chat_settings;").stepThis().dispose();
            this.database.executeFast("ALTER TABLE dialogs ADD COLUMN last_mid_i INTEGER default 0").stepThis().dispose();
            this.database.executeFast("ALTER TABLE dialogs ADD COLUMN unread_count_i INTEGER default 0").stepThis().dispose();
            this.database.executeFast("ALTER TABLE dialogs ADD COLUMN pts INTEGER default 0").stepThis().dispose();
            this.database.executeFast("ALTER TABLE dialogs ADD COLUMN date_i INTEGER default 0").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS last_mid_i_idx_dialogs ON dialogs(last_mid_i);").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS unread_count_i_idx_dialogs ON dialogs(unread_count_i);").stepThis().dispose();
            this.database.executeFast("ALTER TABLE messages ADD COLUMN imp INTEGER default 0").stepThis().dispose();
            this.database.executeFast("CREATE TABLE IF NOT EXISTS messages_holes(uid INTEGER, start INTEGER, end INTEGER, PRIMARY KEY(uid, start));").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS uid_end_messages_holes ON messages_holes(uid, end);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 22").stepThis().dispose();
            state = null;
            version = 22;
        }
        if (version == 22) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS media_holes_v2(uid INTEGER, type INTEGER, start INTEGER, end INTEGER, PRIMARY KEY(uid, type, start));").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS uid_end_media_holes_v2 ON media_holes_v2(uid, type, end);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 23").stepThis().dispose();
            state = null;
            version = 23;
        }
        if (version == 23 || version == 24) {
            this.database.executeFast("DELETE FROM media_holes_v2 WHERE uid != 0 AND type >= 0 AND start IN (0, 1)").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 25").stepThis().dispose();
            state = null;
            version = 25;
        }
        if (version == 25 || version == 26) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS channel_users_v2(did INTEGER, uid INTEGER, date INTEGER, data BLOB, PRIMARY KEY(did, uid))").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 27").stepThis().dispose();
            state = null;
            version = 27;
        }
        if (version == 27) {
            this.database.executeFast("ALTER TABLE web_recent_v3 ADD COLUMN document BLOB default NULL").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 28").stepThis().dispose();
            state = null;
            version = 28;
        }
        if (version == 28 || version == 29) {
            this.database.executeFast("DELETE FROM sent_files_v2 WHERE 1").stepThis().dispose();
            this.database.executeFast("DELETE FROM download_queue WHERE 1").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 30").stepThis().dispose();
            state = null;
            version = 30;
        }
        if (version == 30) {
            this.database.executeFast("ALTER TABLE chat_settings_v2 ADD COLUMN pinned INTEGER default 0").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS chat_settings_pinned_idx ON chat_settings_v2(uid, pinned) WHERE pinned != 0;").stepThis().dispose();
            this.database.executeFast("CREATE TABLE IF NOT EXISTS chat_pinned(uid INTEGER PRIMARY KEY, pinned INTEGER, data BLOB)").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS chat_pinned_mid_idx ON chat_pinned(uid, pinned) WHERE pinned != 0;").stepThis().dispose();
            this.database.executeFast("CREATE TABLE IF NOT EXISTS users_data(uid INTEGER PRIMARY KEY, about TEXT)").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 31").stepThis().dispose();
            state = null;
            version = 31;
        }
        if (version == 31) {
            this.database.executeFast("DROP TABLE IF EXISTS bot_recent;").stepThis().dispose();
            this.database.executeFast("CREATE TABLE IF NOT EXISTS chat_hints(did INTEGER, type INTEGER, rating REAL, date INTEGER, PRIMARY KEY(did, type))").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS chat_hints_rating_idx ON chat_hints(rating);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 32").stepThis().dispose();
            state = null;
            version = 32;
        }
        if (version == 32) {
            this.database.executeFast("DROP INDEX IF EXISTS uid_mid_idx_imp_messages;").stepThis().dispose();
            this.database.executeFast("DROP INDEX IF EXISTS uid_date_mid_imp_idx_messages;").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 33").stepThis().dispose();
            state = null;
            version = 33;
        }
        if (version == 33) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS pending_tasks(id INTEGER PRIMARY KEY, data BLOB);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 34").stepThis().dispose();
            state = null;
            version = 34;
        }
        if (version == 34) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS stickers_featured(id INTEGER PRIMARY KEY, data BLOB, unread BLOB, date INTEGER, hash TEXT);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 35").stepThis().dispose();
            state = null;
            version = 35;
        }
        if (version == 35) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS requested_holes(uid INTEGER, seq_out_start INTEGER, seq_out_end INTEGER, PRIMARY KEY (uid, seq_out_start, seq_out_end));").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 36").stepThis().dispose();
            state = null;
            version = 36;
        }
        if (version == 36) {
            this.database.executeFast("ALTER TABLE enc_chats ADD COLUMN in_seq_no INTEGER default 0").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 37").stepThis().dispose();
            state = null;
            version = 37;
        }
        if (version == 37) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS botcache(id TEXT PRIMARY KEY, date INTEGER, data BLOB)").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS botcache_date_idx ON botcache(date);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 38").stepThis().dispose();
            state = null;
            version = 38;
        }
        if (version == 38) {
            this.database.executeFast("ALTER TABLE dialogs ADD COLUMN pinned INTEGER default 0").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 39").stepThis().dispose();
            state = null;
            version = 39;
        }
        if (version == 39) {
            this.database.executeFast("ALTER TABLE enc_chats ADD COLUMN admin_id INTEGER default 0").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 40").stepThis().dispose();
            state = null;
            version = 40;
        }
        if (version == 40) {
            fixNotificationSettings();
            this.database.executeFast("PRAGMA user_version = 41").stepThis().dispose();
            state = null;
            version = 41;
        }
        if (version == 41) {
            this.database.executeFast("ALTER TABLE messages ADD COLUMN mention INTEGER default 0").stepThis().dispose();
            this.database.executeFast("ALTER TABLE user_contacts_v6 ADD COLUMN imported INTEGER default 0").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS uid_mention_idx_messages ON messages(uid, mention, read_state);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 42").stepThis().dispose();
            state = null;
            version = 42;
        }
        if (version == 42) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS sharing_locations(uid INTEGER PRIMARY KEY, mid INTEGER, date INTEGER, period INTEGER, message BLOB);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 43").stepThis().dispose();
            state = null;
            version = 43;
        }
        if (version == 43) {
            this.database.executeFast("PRAGMA user_version = 44").stepThis().dispose();
            state = null;
            version = 44;
        }
        if (version == 44) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS user_contacts_v7(key TEXT PRIMARY KEY, uid INTEGER, fname TEXT, sname TEXT, imported INTEGER)").stepThis().dispose();
            this.database.executeFast("CREATE TABLE IF NOT EXISTS user_phones_v7(key TEXT, phone TEXT, sphone TEXT, deleted INTEGER, PRIMARY KEY (key, phone))").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS sphone_deleted_idx_user_phones ON user_phones_v7(sphone, deleted);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 45").stepThis().dispose();
            state = null;
            version = 45;
        }
        if (version == 45) {
            this.database.executeFast("ALTER TABLE enc_chats ADD COLUMN mtproto_seq INTEGER default 0").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 46").stepThis().dispose();
            state = null;
            version = 46;
        }
        if (version == 46) {
            this.database.executeFast("DELETE FROM botcache WHERE 1").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 47").stepThis().dispose();
            state = null;
            version = 47;
        }
        if (version == 47) {
            this.database.executeFast("ALTER TABLE dialogs ADD COLUMN flags INTEGER default 0").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 48").stepThis().dispose();
            state = null;
            version = 48;
        }
        if (version == 48) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS unread_push_messages(uid INTEGER, mid INTEGER, random INTEGER, date INTEGER, data BLOB, fm TEXT, name TEXT, uname TEXT, flags INTEGER, PRIMARY KEY(uid, mid))").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS unread_push_messages_idx_date ON unread_push_messages(date);").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS unread_push_messages_idx_random ON unread_push_messages(random);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 49").stepThis().dispose();
            state = null;
            version = 49;
        }
        if (version == 49) {
            this.database.executeFast("DELETE FROM chat_pinned WHERE uid = 1").stepThis().dispose();
            this.database.executeFast("CREATE TABLE IF NOT EXISTS user_settings(uid INTEGER PRIMARY KEY, info BLOB, pinned INTEGER)").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS user_settings_pinned_idx ON user_settings(uid, pinned) WHERE pinned != 0;").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 50").stepThis().dispose();
            state = null;
            version = 50;
        }
        if (version == 50) {
            this.database.executeFast("DELETE FROM sent_files_v2 WHERE 1").stepThis().dispose();
            this.database.executeFast("ALTER TABLE sent_files_v2 ADD COLUMN parent TEXT").stepThis().dispose();
            this.database.executeFast("DELETE FROM download_queue WHERE 1").stepThis().dispose();
            this.database.executeFast("ALTER TABLE download_queue ADD COLUMN parent TEXT").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 51").stepThis().dispose();
            state = null;
            version = 51;
        }
        if (version == 51) {
            this.database.executeFast("ALTER TABLE media_counts_v2 ADD COLUMN old INTEGER").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 52").stepThis().dispose();
            state = null;
            version = 52;
        }
        if (version == 52) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS polls(mid INTEGER PRIMARY KEY, id INTEGER);").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS polls_id ON polls(id);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 53").stepThis().dispose();
            state = null;
            version = 53;
        }
        if (version == 53) {
            this.database.executeFast("ALTER TABLE chat_settings_v2 ADD COLUMN online INTEGER default 0").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 54").stepThis().dispose();
            state = null;
            version = 54;
        }
        if (version == 54) {
            this.database.executeFast("DROP TABLE IF EXISTS wallpapers;").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 55").stepThis().dispose();
            state = null;
            version = 55;
        }
        if (version == 55) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS wallpapers2(uid INTEGER PRIMARY KEY, data BLOB, num INTEGER)").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS wallpapers_num ON wallpapers2(num);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 56").stepThis().dispose();
            state = null;
            version = 56;
        }
        if (version == 56 || version == 57) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS emoji_keywords_v2(lang TEXT, keyword TEXT, emoji TEXT, PRIMARY KEY(lang, keyword, emoji));").stepThis().dispose();
            this.database.executeFast("CREATE TABLE IF NOT EXISTS emoji_keywords_info_v2(lang TEXT PRIMARY KEY, alias TEXT, version INTEGER);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 58").stepThis().dispose();
            state = null;
            version = 58;
        }
        if (version == 58) {
            this.database.executeFast("CREATE INDEX IF NOT EXISTS emoji_keywords_v2_keyword ON emoji_keywords_v2(keyword);").stepThis().dispose();
            this.database.executeFast("ALTER TABLE emoji_keywords_info_v2 ADD COLUMN date INTEGER default 0").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 59").stepThis().dispose();
            state = null;
            version = 59;
        }
        if (version == 59) {
            this.database.executeFast("ALTER TABLE dialogs ADD COLUMN folder_id INTEGER default 0").stepThis().dispose();
            this.database.executeFast("ALTER TABLE dialogs ADD COLUMN data BLOB default NULL").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS folder_id_idx_dialogs ON dialogs(folder_id);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 60").stepThis().dispose();
            state = null;
            version = 60;
        }
        if (version == 60) {
            this.database.executeFast("DROP TABLE IF EXISTS channel_admins;").stepThis().dispose();
            this.database.executeFast("DROP TABLE IF EXISTS blocked_users;").stepThis().dispose();
            this.database.executeFast("CREATE TABLE IF NOT EXISTS channel_admins_v2(did INTEGER, uid INTEGER, rank TEXT, PRIMARY KEY(did, uid))").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 61").stepThis().dispose();
            state = null;
            version = 61;
        }
        if (version == 61) {
            this.database.executeFast("DROP INDEX IF EXISTS send_state_idx_messages;").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS send_state_idx_messages2 ON messages(mid, send_state, date);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 62").stepThis().dispose();
            state = null;
            version = 62;
        }
        if (version == 62) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS scheduled_messages(mid INTEGER PRIMARY KEY, uid INTEGER, send_state INTEGER, date INTEGER, data BLOB, ttl INTEGER, replydata BLOB)").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS send_state_idx_scheduled_messages ON scheduled_messages(mid, send_state, date);").stepThis().dispose();
            this.database.executeFast("CREATE INDEX IF NOT EXISTS uid_date_idx_scheduled_messages ON scheduled_messages(uid, date);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 63").stepThis().dispose();
            state = null;
            version = 63;
        }
        if (version == 63) {
            this.database.executeFast("CREATE TABLE IF NOT EXISTS contacts_apply_info(apply_id INTEGER PRIMARY KEY, for_apply_id INTEGER, uid INTEGER, state INTEGER, greet TEXT, date INTEGER, expire INTEGER);").stepThis().dispose();
            this.database.executeFast("PRAGMA user_version = 64").stepThis().dispose();
            state = null;
        }
        if (version < 68) {
            this.database.executeFast("ALTER TABLE messages ADD COLUMN trans_dst TEXT").stepThis().dispose();
            state = this.database.executeFast("PRAGMA user_version = 67");
            state.stepThis().dispose();
            state = null;
        }
        if (data != null) {
            data.reuse();
        }
        if (data2 != null) {
            data2.reuse();
        }
        if (cursor != null) {
            cursor.dispose();
        }
        if (state == null) {
            return;
        }
        state.dispose();
    }

    private void cleanupInternal(boolean deleteFiles) {
        this.lastDateValue = 0;
        this.lastSeqValue = 0;
        this.lastPtsValue = 0;
        this.lastQtsValue = 0;
        this.lastSecretVersion = 0;
        this.lastSavedSeq = 0;
        this.lastSavedPts = 0;
        this.lastSavedDate = 0;
        this.lastSavedQts = 0;
        this.secretPBytes = null;
        this.secretG = 0;
        SQLiteDatabase sQLiteDatabase = this.database;
        if (sQLiteDatabase != null) {
            sQLiteDatabase.close();
            this.database = null;
        }
        if (deleteFiles) {
            File file = this.cacheFile;
            if (file != null) {
                file.delete();
                this.cacheFile = null;
            }
            File file2 = this.walCacheFile;
            if (file2 != null) {
                file2.delete();
                this.walCacheFile = null;
            }
            File file3 = this.shmCacheFile;
            if (file3 != null) {
                file3.delete();
                this.shmCacheFile = null;
            }
        }
    }

    public void cleanup(final boolean isLogin) {
        if (!isLogin) {
            this.storageQueue.cleanupQueue();
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda122
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m746lambda$cleanup$4$imuecahxyvjdmessengerMessagesStorage(isLogin);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$cleanup$4$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m746lambda$cleanup$4$imuecahxyvjdmessengerMessagesStorage(boolean isLogin) {
        cleanupInternal(true);
        openDatabase(1);
        if (isLogin) {
            Utilities.stageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda64
                @Override // java.lang.Runnable
                public final void run() {
                    MessagesStorage.this.m744lambda$cleanup$2$imuecahxyvjdmessengerMessagesStorage();
                }
            });
            Utilities.stageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda65
                @Override // java.lang.Runnable
                public final void run() {
                    MessagesStorage.this.m745lambda$cleanup$3$imuecahxyvjdmessengerMessagesStorage();
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$cleanup$2$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m744lambda$cleanup$2$imuecahxyvjdmessengerMessagesStorage() {
        getMessagesController().getDifference();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$cleanup$3$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m745lambda$cleanup$3$imuecahxyvjdmessengerMessagesStorage() {
        getMessagesController().getContactsApplyDifferenceV2(true, false);
    }

    public void saveSecretParams(final int lsv, final int sg, final byte[] pbytes) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda114
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m858xf2349723(lsv, sg, pbytes);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$saveSecretParams$5$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m858xf2349723(int lsv, int sg, byte[] pbytes) {
        SQLitePreparedStatement state = null;
        NativeByteBuffer data = null;
        try {
            try {
                SQLitePreparedStatement state2 = this.database.executeFast("UPDATE params SET lsv = ?, sg = ?, pbytes = ? WHERE id = 1");
                state2.bindInteger(1, lsv);
                state2.bindInteger(2, sg);
                data = new NativeByteBuffer(pbytes != null ? pbytes.length : 1);
                if (pbytes != null) {
                    data.writeBytes(pbytes);
                }
                state2.bindByteBuffer(3, data);
                state2.step();
                state2.dispose();
                state = null;
                data.reuse();
                data = null;
                if (0 != 0) {
                    state.dispose();
                }
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("saveSecretParams ---> exception ", e);
                if (state != null) {
                    state.dispose();
                }
                if (data == null) {
                    return;
                }
            }
            data.reuse();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            if (data != null) {
                data.reuse();
            }
            throw th;
        }
    }

    private void fixNotificationSettings() {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda70
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m768x175f0fa();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x00d5, code lost:
        if (0 != 0) goto L47;
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x00de, code lost:
        if (r0 == null) goto L44;
     */
    /* JADX WARN: Code restructure failed: missing block: B:42:0x00e0, code lost:
        r0.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:68:?, code lost:
        return;
     */
    /* renamed from: lambda$fixNotificationSettings$6$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m768x175f0fa() {
        long flags;
        try {
            LongSparseArray<Long> ids = new LongSparseArray<>();
            SharedPreferences preferences = MessagesController.getNotificationsSettings(this.currentAccount);
            Map<String, ?> values = preferences.getAll();
            for (Map.Entry<String, ?> entry : values.entrySet()) {
                String key = entry.getKey();
                if (key.startsWith("notify2_")) {
                    Integer value = (Integer) entry.getValue();
                    if (value.intValue() == 2 || value.intValue() == 3) {
                        String key2 = key.replace("notify2_", "");
                        if (value.intValue() == 2) {
                            flags = 1;
                        } else {
                            Integer time = (Integer) values.get("notifyuntil_" + key2);
                            flags = time != null ? (time.intValue() << 32) | 1 : 1L;
                        }
                        try {
                            ids.put(Long.parseLong(key2), Long.valueOf(flags));
                        } catch (Exception e) {
                            e.printStackTrace();
                        }
                    }
                }
            }
            SQLitePreparedStatement state = null;
            try {
                this.database.beginTransaction();
            } catch (Exception e2) {
                try {
                    FileLog.e("fixNotificationSettings ---> exception 1 ", e2);
                } catch (Exception e3) {
                    FileLog.e("fixNotificationSettings ---> exception 2 ", e3);
                }
            }
            SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO dialog_settings VALUES(?, ?)");
            for (int a2 = 0; a2 < ids.size(); a2++) {
                state2.requery();
                state2.bindLong(1, ids.keyAt(a2));
                state2.bindLong(2, ids.valueAt(a2).longValue());
                state2.step();
            }
            state2.dispose();
            state = null;
            this.database.commitTransaction();
        } catch (Throwable e4) {
            FileLog.e("fixNotificationSettings ---> exception 3 ", e4);
        }
    }

    public long createPendingTask(final NativeByteBuffer data) {
        if (data == null) {
            return 0L;
        }
        final long id = this.lastTaskId.getAndAdd(1L);
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda155
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m752xcba2f538(id, data);
            }
        });
        return id;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createPendingTask$7$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m752xcba2f538(long id, NativeByteBuffer data) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast("REPLACE INTO pending_tasks VALUES(?, ?)");
                state.bindLong(1, id);
                state.bindByteBuffer(2, data);
                state.step();
                state.dispose();
                state = null;
                data.reuse();
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("createPendingTask ---> exception ", e);
                data.reuse();
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            data.reuse();
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void removePendingTask(final long id) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda84
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m850xbb216db1(id);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$removePendingTask$8$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m850xbb216db1(long id) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast("DELETE FROM pending_tasks WHERE id = " + id);
                state.stepThis().dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("removePendingTask ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    private void loadPendingTasks() {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda32
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m808x57c78e8d();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:128:0x0430  */
    /* JADX WARN: Removed duplicated region for block: B:130:0x0435  */
    /* JADX WARN: Removed duplicated region for block: B:135:0x043d  */
    /* JADX WARN: Removed duplicated region for block: B:137:0x0442  */
    /* JADX WARN: Type inference failed for: r13v0 */
    /* JADX WARN: Type inference failed for: r13v1, types: [boolean, int] */
    /* JADX WARN: Type inference failed for: r13v3 */
    /* renamed from: lambda$loadPendingTasks$23$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m808x57c78e8d() {
        SQLiteCursor cursor;
        SQLiteCursor sQLiteCursor;
        NativeByteBuffer nativeByteBuffer;
        SQLiteCursor sQLiteCursor2;
        NativeByteBuffer nativeByteBuffer2;
        SQLiteCursor cursor2;
        NativeByteBuffer data;
        final MessagesStorage messagesStorage;
        String slug;
        final String str;
        final MessagesStorage messagesStorage2 = this;
        SQLiteCursor cursor3 = null;
        NativeByteBuffer data2 = null;
        try {
            ?? r13 = 0;
            SQLiteCursor cursor4 = messagesStorage2.database.queryFinalized("SELECT id, data FROM pending_tasks WHERE 1", new Object[0]);
            while (cursor4.next()) {
                try {
                    final long taskId = cursor4.longValue(r13);
                    NativeByteBuffer data3 = cursor4.byteBufferValue(1);
                    if (data3 != null) {
                        try {
                            int type = data3.readInt32(r13);
                            switch (type) {
                                case 0:
                                    cursor2 = cursor4;
                                    MessagesStorage messagesStorage3 = messagesStorage2;
                                    data = data3;
                                    messagesStorage = messagesStorage3;
                                    final TLRPC.Chat chat = TLRPC.Chat.TLdeserialize(data, data.readInt32(false), false);
                                    if (chat != null) {
                                        Utilities.stageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda94
                                            @Override // java.lang.Runnable
                                            public final void run() {
                                                MessagesStorage.this.m809x19db8c71(chat, taskId);
                                            }
                                        });
                                        break;
                                    }
                                    break;
                                case 1:
                                    cursor2 = cursor4;
                                    MessagesStorage messagesStorage4 = messagesStorage2;
                                    data = data3;
                                    messagesStorage = messagesStorage4;
                                    final int channelId = data.readInt32(false);
                                    final int newDialogType = data.readInt32(false);
                                    Utilities.stageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda99
                                        @Override // java.lang.Runnable
                                        public final void run() {
                                            MessagesStorage.this.m795xaa81d86b(channelId, newDialogType, taskId);
                                        }
                                    });
                                    break;
                                case 2:
                                case 5:
                                case 8:
                                case 10:
                                case 14:
                                    cursor2 = cursor4;
                                    MessagesStorage messagesStorage5 = messagesStorage2;
                                    data = data3;
                                    messagesStorage = messagesStorage5;
                                    final TLRPC.Dialog dialog = new TLRPC.TL_dialog();
                                    dialog.id = data.readInt64(false);
                                    dialog.top_message = data.readInt32(false);
                                    dialog.read_inbox_max_id = data.readInt32(false);
                                    dialog.read_outbox_max_id = data.readInt32(false);
                                    dialog.unread_count = data.readInt32(false);
                                    dialog.last_message_date = data.readInt32(false);
                                    dialog.pts = data.readInt32(false);
                                    dialog.flags = data.readInt32(false);
                                    if (type >= 5) {
                                        dialog.pinned = data.readBool(false);
                                        dialog.pinnedNum = data.readInt32(false);
                                    }
                                    if (type >= 8) {
                                        dialog.unread_mentions_count = data.readInt32(false);
                                    }
                                    if (type >= 10) {
                                        dialog.unread_mark = data.readBool(false);
                                    }
                                    if (type >= 14) {
                                        dialog.folder_id = data.readInt32(false);
                                    }
                                    final TLRPC.InputPeer peer = TLRPC.InputPeer.TLdeserialize(data, data.readInt32(false), false);
                                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda100
                                        @Override // java.lang.Runnable
                                        public final void run() {
                                            MessagesStorage.this.m796x3722036c(dialog, peer, taskId);
                                        }
                                    });
                                    break;
                                case 3:
                                    cursor2 = cursor4;
                                    MessagesStorage messagesStorage6 = messagesStorage2;
                                    data = data3;
                                    messagesStorage = messagesStorage6;
                                    long random_id = data.readInt64(false);
                                    TLRPC.InputPeer peer2 = TLRPC.InputPeer.TLdeserialize(data, data.readInt32(false), false);
                                    TLRPC.TL_inputMediaGame game = (TLRPC.TL_inputMediaGame) TLRPC.InputMedia.TLdeserialize(data, data.readInt32(false), false);
                                    getSendMessagesHelper().sendGame(peer2, game, random_id, taskId);
                                    break;
                                case 4:
                                    cursor2 = cursor4;
                                    MessagesStorage messagesStorage7 = messagesStorage2;
                                    data = data3;
                                    messagesStorage = messagesStorage7;
                                    final long did = data.readInt64(false);
                                    final boolean pin = data.readBool(false);
                                    final TLRPC.InputPeer peer3 = TLRPC.InputPeer.TLdeserialize(data, data.readInt32(false), false);
                                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda101
                                        @Override // java.lang.Runnable
                                        public final void run() {
                                            MessagesStorage.this.m797xc3c22e6d(did, pin, peer3, taskId);
                                        }
                                    });
                                    break;
                                case 6:
                                    cursor2 = cursor4;
                                    MessagesStorage messagesStorage8 = messagesStorage2;
                                    data = data3;
                                    messagesStorage = messagesStorage8;
                                    final int channelId2 = data.readInt32(false);
                                    final int newDialogType2 = data.readInt32(false);
                                    final TLRPC.InputChannel inputChannel = TLRPC.InputChannel.TLdeserialize(data, data.readInt32(false), false);
                                    Utilities.stageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda102
                                        @Override // java.lang.Runnable
                                        public final void run() {
                                            MessagesStorage.this.m798x5062596e(channelId2, newDialogType2, taskId, inputChannel);
                                        }
                                    });
                                    break;
                                case 7:
                                    data = data3;
                                    cursor2 = cursor4;
                                    final int channelId3 = data.readInt32(false);
                                    int constructor = data.readInt32(false);
                                    TLObject request = TLRPC.TL_messages_deleteMessages.TLdeserialize(data, constructor, false);
                                    TLObject request2 = request == null ? TLRPC.TL_channels_deleteMessages.TLdeserialize(data, constructor, false) : request;
                                    if (request2 != null) {
                                        messagesStorage = this;
                                        final TLObject finalRequest = request2;
                                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda103
                                            @Override // java.lang.Runnable
                                            public final void run() {
                                                MessagesStorage.this.m799xdd02846f(channelId3, taskId, finalRequest);
                                            }
                                        });
                                        break;
                                    } else {
                                        messagesStorage = this;
                                        try {
                                            messagesStorage.removePendingTask(taskId);
                                            break;
                                        } catch (Exception e) {
                                            e = e;
                                            data2 = data;
                                            cursor3 = cursor2;
                                            try {
                                                FileLog.e("loadPendingTasks ---> exception ", e);
                                                if (data2 != null) {
                                                }
                                                if (cursor3 != null) {
                                                }
                                            } catch (Throwable th) {
                                                th = th;
                                                if (data2 != null) {
                                                    data2.reuse();
                                                }
                                                if (cursor3 != null) {
                                                    cursor3.dispose();
                                                }
                                                throw th;
                                            }
                                        } catch (Throwable th2) {
                                            th = th2;
                                            data2 = data;
                                            cursor3 = cursor2;
                                            if (data2 != null) {
                                            }
                                            if (cursor3 != null) {
                                            }
                                            throw th;
                                        }
                                    }
                                case 9:
                                    data = data3;
                                    cursor2 = cursor4;
                                    final long did2 = data.readInt64(false);
                                    final TLRPC.InputPeer peer4 = TLRPC.InputPeer.TLdeserialize(data, data.readInt32(false), false);
                                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda105
                                        @Override // java.lang.Runnable
                                        public final void run() {
                                            MessagesStorage.this.m800x69a2af70(did2, peer4, taskId);
                                        }
                                    });
                                    messagesStorage = this;
                                    break;
                                case 11:
                                    data = data3;
                                    cursor2 = cursor4;
                                    final int mid = data.readInt32(false);
                                    final int channelId4 = data.readInt32(false);
                                    final int ttl = data.readInt32(false);
                                    TLRPC.InputChannel inputChannel2 = channelId4 != 0 ? TLRPC.InputChannel.TLdeserialize(data, data.readInt32(false), false) : null;
                                    final TLRPC.InputChannel inputChannel3 = inputChannel2;
                                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda106
                                        @Override // java.lang.Runnable
                                        public final void run() {
                                            MessagesStorage.this.m801xf642da71(mid, channelId4, inputChannel3, ttl, taskId);
                                        }
                                    });
                                    messagesStorage = this;
                                    break;
                                case 12:
                                case 19:
                                    try {
                                        final long wallPaperId = data3.readInt64(r13);
                                        final long accessHash = data3.readInt64(r13);
                                        final boolean isBlurred = data3.readBool(r13);
                                        final boolean isMotion = data3.readBool(r13);
                                        final int backgroundColor = data3.readInt32(r13);
                                        final float readDouble = (float) data3.readDouble(r13);
                                        final boolean install = data3.readBool(r13);
                                        if (type == 19) {
                                            try {
                                                slug = data3.readString(r13);
                                            } catch (Exception e2) {
                                                e = e2;
                                                data2 = data3;
                                                cursor3 = cursor4;
                                                FileLog.e("loadPendingTasks ---> exception ", e);
                                                if (data2 != null) {
                                                }
                                                if (cursor3 != null) {
                                                }
                                            } catch (Throwable th3) {
                                                th = th3;
                                                data2 = data3;
                                                cursor3 = cursor4;
                                                if (data2 != null) {
                                                }
                                                if (cursor3 != null) {
                                                }
                                                throw th;
                                            }
                                        } else {
                                            slug = null;
                                        }
                                        try {
                                            data = data3;
                                            str = slug;
                                            cursor2 = cursor4;
                                        } catch (Exception e3) {
                                            e = e3;
                                            data2 = data3;
                                            cursor3 = cursor4;
                                        } catch (Throwable th4) {
                                            th = th4;
                                            data2 = data3;
                                            cursor3 = cursor4;
                                        }
                                        try {
                                            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda107
                                                @Override // java.lang.Runnable
                                                public final void run() {
                                                    MessagesStorage.this.m802x82e30572(wallPaperId, str, accessHash, isBlurred, isMotion, backgroundColor, readDouble, install, taskId);
                                                }
                                            });
                                            messagesStorage = this;
                                            break;
                                        } catch (Exception e4) {
                                            e = e4;
                                            data2 = data;
                                            cursor3 = cursor2;
                                            FileLog.e("loadPendingTasks ---> exception ", e);
                                            if (data2 != null) {
                                                data2.reuse();
                                            }
                                            if (cursor3 != null) {
                                                cursor3.dispose();
                                            }
                                        } catch (Throwable th5) {
                                            th = th5;
                                            data2 = data;
                                            cursor3 = cursor2;
                                            if (data2 != null) {
                                            }
                                            if (cursor3 != null) {
                                            }
                                            throw th;
                                        }
                                    } catch (Exception e5) {
                                        e = e5;
                                        nativeByteBuffer2 = data3;
                                        sQLiteCursor2 = cursor4;
                                        data2 = nativeByteBuffer2;
                                        cursor3 = sQLiteCursor2;
                                        FileLog.e("loadPendingTasks ---> exception ", e);
                                        if (data2 != null) {
                                        }
                                        if (cursor3 != null) {
                                        }
                                    } catch (Throwable th6) {
                                        th = th6;
                                        nativeByteBuffer = data3;
                                        sQLiteCursor = cursor4;
                                        data2 = nativeByteBuffer;
                                        cursor3 = sQLiteCursor;
                                        if (data2 != null) {
                                        }
                                        if (cursor3 != null) {
                                        }
                                        throw th;
                                    }
                                    break;
                                case 13:
                                    final long did3 = data3.readInt64(r13);
                                    final boolean first = data3.readBool(r13);
                                    final int onlyHistory = data3.readInt32(r13);
                                    final int maxIdDelete = data3.readInt32(r13);
                                    final boolean revoke = data3.readBool(r13);
                                    final TLRPC.InputPeer inputPeer = TLRPC.InputPeer.TLdeserialize(data3, data3.readInt32(r13), r13);
                                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda108
                                        @Override // java.lang.Runnable
                                        public final void run() {
                                            MessagesStorage.this.m803xf833073(did3, first, onlyHistory, maxIdDelete, revoke, inputPeer, taskId);
                                        }
                                    });
                                    cursor2 = cursor4;
                                    messagesStorage = messagesStorage2;
                                    data = data3;
                                    break;
                                case 15:
                                    final TLRPC.InputPeer inputPeer2 = TLRPC.InputPeer.TLdeserialize(data3, data3.readInt32(r13), r13);
                                    Utilities.stageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda95
                                        @Override // java.lang.Runnable
                                        public final void run() {
                                            MessagesStorage.this.m804x9c235b74(inputPeer2, taskId);
                                        }
                                    });
                                    cursor2 = cursor4;
                                    MessagesStorage messagesStorage9 = messagesStorage2;
                                    data = data3;
                                    messagesStorage = messagesStorage9;
                                    break;
                                case 16:
                                    final int folderId = data3.readInt32(r13);
                                    int count = data3.readInt32(r13);
                                    final ArrayList<TLRPC.InputDialogPeer> peers = new ArrayList<>();
                                    for (int a2 = 0; a2 < count; a2++) {
                                        TLRPC.InputDialogPeer inputPeer3 = TLRPC.InputDialogPeer.TLdeserialize(data3, data3.readInt32(r13), r13);
                                        peers.add(inputPeer3);
                                    }
                                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda96
                                        @Override // java.lang.Runnable
                                        public final void run() {
                                            MessagesStorage.this.m805xb1e70d8a(folderId, peers, taskId);
                                        }
                                    });
                                    cursor2 = cursor4;
                                    MessagesStorage messagesStorage10 = messagesStorage2;
                                    data = data3;
                                    messagesStorage = messagesStorage10;
                                    break;
                                case 17:
                                    final int folderId2 = data3.readInt32(r13);
                                    int count2 = data3.readInt32(r13);
                                    final ArrayList<TLRPC.TL_inputFolderPeer> peers2 = new ArrayList<>();
                                    for (int a3 = 0; a3 < count2; a3++) {
                                        TLRPC.TL_inputFolderPeer inputPeer4 = TLRPC.TL_inputFolderPeer.TLdeserialize(data3, data3.readInt32(r13), r13);
                                        peers2.add(inputPeer4);
                                    }
                                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda97
                                        @Override // java.lang.Runnable
                                        public final void run() {
                                            MessagesStorage.this.m806x3e87388b(folderId2, peers2, taskId);
                                        }
                                    });
                                    cursor2 = cursor4;
                                    MessagesStorage messagesStorage11 = messagesStorage2;
                                    data = data3;
                                    messagesStorage = messagesStorage11;
                                    break;
                                case 18:
                                    try {
                                        final long dialogId = data3.readInt64(r13);
                                        final int channelId5 = data3.readInt32(r13);
                                        final TLObject request3 = TLRPC.TL_messages_deleteScheduledMessages.TLdeserialize(data3, data3.readInt32(r13), r13);
                                        if (request3 == null) {
                                            messagesStorage2.removePendingTask(taskId);
                                            cursor2 = cursor4;
                                            MessagesStorage messagesStorage12 = messagesStorage2;
                                            data = data3;
                                            messagesStorage = messagesStorage12;
                                            break;
                                        } else {
                                            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda98
                                                @Override // java.lang.Runnable
                                                public final void run() {
                                                    MessagesStorage.this.m807xcb27638c(dialogId, channelId5, taskId, request3);
                                                }
                                            });
                                            cursor2 = cursor4;
                                            MessagesStorage messagesStorage13 = messagesStorage2;
                                            data = data3;
                                            messagesStorage = messagesStorage13;
                                            break;
                                        }
                                    } catch (Exception e6) {
                                        e = e6;
                                        data2 = data3;
                                        cursor3 = cursor4;
                                        FileLog.e("loadPendingTasks ---> exception ", e);
                                        if (data2 != null) {
                                        }
                                        if (cursor3 != null) {
                                        }
                                    } catch (Throwable th7) {
                                        th = th7;
                                        data2 = data3;
                                        cursor3 = cursor4;
                                        if (data2 != null) {
                                        }
                                        if (cursor3 != null) {
                                        }
                                        throw th;
                                    }
                                    break;
                                default:
                                    cursor2 = cursor4;
                                    MessagesStorage messagesStorage14 = messagesStorage2;
                                    data = data3;
                                    messagesStorage = messagesStorage14;
                                    break;
                            }
                            data.reuse();
                            data2 = null;
                        } catch (Exception e7) {
                            e = e7;
                            sQLiteCursor2 = cursor4;
                            nativeByteBuffer2 = data3;
                        } catch (Throwable th8) {
                            th = th8;
                            sQLiteCursor = cursor4;
                            nativeByteBuffer = data3;
                        }
                    } else {
                        cursor2 = cursor4;
                        messagesStorage = messagesStorage2;
                        data2 = data3;
                    }
                    messagesStorage2 = messagesStorage;
                    cursor4 = cursor2;
                    r13 = 0;
                } catch (Exception e8) {
                    e = e8;
                    cursor3 = cursor4;
                } catch (Throwable th9) {
                    th = th9;
                    cursor3 = cursor4;
                }
            }
            cursor = cursor4;
        } catch (Exception e9) {
            e = e9;
        } catch (Throwable th10) {
            th = th10;
        }
        try {
            cursor.dispose();
            SQLiteCursor cursor5 = null;
            if (data2 != null) {
                data2.reuse();
            }
            if (0 != 0) {
                cursor5.dispose();
            }
        } catch (Exception e10) {
            e = e10;
            cursor3 = cursor;
            FileLog.e("loadPendingTasks ---> exception ", e);
            if (data2 != null) {
            }
            if (cursor3 != null) {
            }
        } catch (Throwable th11) {
            th = th11;
            cursor3 = cursor;
            if (data2 != null) {
            }
            if (cursor3 != null) {
            }
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadPendingTasks$9$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m809x19db8c71(TLRPC.Chat chat, long taskId) {
        getMessagesController().loadUnknownChannel(chat, taskId);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadPendingTasks$10$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m795xaa81d86b(int channelId, int newDialogType, long taskId) {
        getMessagesController().getChannelDifference(channelId, newDialogType, taskId, null);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadPendingTasks$11$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m796x3722036c(TLRPC.Dialog dialog, TLRPC.InputPeer peer, long taskId) {
        getMessagesController().checkLastDialogMessage(dialog, peer, taskId);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadPendingTasks$12$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m797xc3c22e6d(long did, boolean pin, TLRPC.InputPeer peer, long taskId) {
        getMessagesController().pinDialog(did, pin, peer, taskId);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadPendingTasks$13$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m798x5062596e(int channelId, int newDialogType, long taskId, TLRPC.InputChannel inputChannel) {
        getMessagesController().getChannelDifference(channelId, newDialogType, taskId, inputChannel);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadPendingTasks$14$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m799xdd02846f(int channelId, long taskId, TLObject finalRequest) {
        getMessagesController().deleteMessages(null, null, null, 0L, channelId, true, false, taskId, finalRequest);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadPendingTasks$15$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m800x69a2af70(long did, TLRPC.InputPeer peer, long taskId) {
        getMessagesController().markDialogAsUnread(did, peer, taskId);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadPendingTasks$16$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m801xf642da71(int mid, int channelId, TLRPC.InputChannel inputChannel, int ttl, long taskId) {
        getMessagesController().markMessageAsRead(mid, channelId, inputChannel, ttl, taskId);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadPendingTasks$17$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m802x82e30572(long wallPaperId, String slug, long accessHash, boolean isBlurred, boolean isMotion, int backgroundColor, float intesity, boolean install, long taskId) {
        getMessagesController().saveWallpaperToServer(null, wallPaperId, slug, accessHash, isBlurred, isMotion, backgroundColor, intesity, install, taskId);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadPendingTasks$18$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m803xf833073(long did, boolean first, int onlyHistory, int maxIdDelete, boolean revoke, TLRPC.InputPeer inputPeer, long taskId) {
        getMessagesController().deleteDialog(did, first, onlyHistory, maxIdDelete, revoke, inputPeer, taskId);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadPendingTasks$19$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m804x9c235b74(TLRPC.InputPeer inputPeer, long taskId) {
        getMessagesController().loadUnknownDialog(inputPeer, taskId);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadPendingTasks$20$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m805xb1e70d8a(int folderId, ArrayList peers, long taskId) {
        getMessagesController().reorderPinnedDialogs(folderId, peers, taskId);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadPendingTasks$21$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m806x3e87388b(int folderId, ArrayList peers, long taskId) {
        getMessagesController().addDialogToFolder(null, folderId, -1, peers, taskId);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadPendingTasks$22$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m807xcb27638c(long dialogId, int channelId, long taskId, TLObject finalRequest) {
        MessagesController.getInstance(this.currentAccount).deleteMessages(null, null, null, dialogId, channelId, true, true, taskId, finalRequest);
    }

    public void saveChannelPts(final int channelId, final int pts) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda61
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m856lambda$saveChannelPts$24$imuecahxyvjdmessengerMessagesStorage(pts, channelId);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$saveChannelPts$24$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m856lambda$saveChannelPts$24$imuecahxyvjdmessengerMessagesStorage(int pts, int channelId) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast("UPDATE dialogs SET pts = ? WHERE did = ?");
                state.bindInteger(1, pts);
                state.bindInteger(2, -channelId);
                state.step();
                state.dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("saveChannelPts ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: saveDiffParamsInternal */
    public void m857lambda$saveDiffParams$25$imuecahxyvjdmessengerMessagesStorage(int seq, int pts, int date, int qts) {
        if (this.lastSavedSeq == seq && this.lastSavedPts == pts && this.lastSavedDate == date && this.lastQtsValue == qts) {
            return;
        }
        SQLitePreparedStatement state = null;
        try {
            try {
                SQLitePreparedStatement state2 = this.database.executeFast("UPDATE params SET seq = ?, pts = ?, date = ?, qts = ? WHERE id = 1");
                state2.bindInteger(1, seq);
                state2.bindInteger(2, pts);
                state2.bindInteger(3, date);
                state2.bindInteger(4, qts);
                state2.step();
                state2.dispose();
                state = null;
                this.lastSavedSeq = seq;
                this.lastSavedPts = pts;
                this.lastSavedDate = date;
                this.lastSavedQts = qts;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("saveDiffParamsInternal ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void saveDiffParams(final int seq, final int pts, final int date, final int qts) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda58
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m857lambda$saveDiffParams$25$imuecahxyvjdmessengerMessagesStorage(seq, pts, date, qts);
            }
        });
    }

    public void setDialogFlags(final long did, final long flags) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda82
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m859lambda$setDialogFlags$26$imuecahxyvjdmessengerMessagesStorage(did, flags);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$setDialogFlags$26$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m859lambda$setDialogFlags$26$imuecahxyvjdmessengerMessagesStorage(long did, long flags) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast(String.format(Locale.US, "REPLACE INTO dialog_settings VALUES(%d, %d)", Long.valueOf(did), Long.valueOf(flags)));
                state.stepThis().dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("setDialogFlags ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void putPushMessage(final MessageObject message) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda109
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m840lambda$putPushMessage$27$imuecahxyvjdmessengerMessagesStorage(message);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$putPushMessage$27$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m840lambda$putPushMessage$27$imuecahxyvjdmessengerMessagesStorage(MessageObject message) {
        NativeByteBuffer data = null;
        SQLitePreparedStatement state = null;
        try {
            try {
                NativeByteBuffer data2 = new NativeByteBuffer(message.messageOwner.getObjectSize());
                message.messageOwner.serializeToStream(data2);
                long messageId = message.getId();
                if (message.messageOwner.to_id.channel_id != 0) {
                    messageId |= message.messageOwner.to_id.channel_id << 32;
                }
                int flags = message.localType == 2 ? 0 | 1 : 0;
                if (message.localChannel) {
                    flags |= 2;
                }
                state = this.database.executeFast("REPLACE INTO unread_push_messages VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?)");
                state.requery();
                state.bindLong(1, message.getDialogId());
                state.bindLong(2, messageId);
                state.bindLong(3, message.messageOwner.random_id);
                state.bindInteger(4, message.messageOwner.date);
                state.bindByteBuffer(5, data2);
                if (message.messageText == null) {
                    state.bindNull(6);
                } else {
                    state.bindString(6, message.messageText.toString());
                }
                if (message.localName == null) {
                    state.bindNull(7);
                } else {
                    state.bindString(7, message.localName);
                }
                if (message.localUserName == null) {
                    state.bindNull(8);
                } else {
                    state.bindString(8, message.localUserName);
                }
                state.bindInteger(9, flags);
                state.step();
                data2.reuse();
                data = null;
                state.dispose();
                state = null;
                if (0 != 0) {
                    data.reuse();
                }
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("putPushMessage ---> exception ", e);
                if (data != null) {
                    data.reuse();
                }
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    /* loaded from: classes16.dex */
    private static class ReadDialog {
        public int date;
        public int lastMid;
        public int unreadCount;

        private ReadDialog() {
        }
    }

    public void readAllDialogs() {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda137
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m848lambda$readAllDialogs$29$imuecahxyvjdmessengerMessagesStorage();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$readAllDialogs$29$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m848lambda$readAllDialogs$29$imuecahxyvjdmessengerMessagesStorage() {
        SQLiteCursor cursor = null;
        try {
            try {
                ArrayList<Integer> usersToLoad = new ArrayList<>();
                ArrayList<Integer> chatsToLoad = new ArrayList<>();
                ArrayList<Integer> encryptedChatIds = new ArrayList<>();
                final LongSparseArray<ReadDialog> dialogs = new LongSparseArray<>();
                SQLiteCursor cursor2 = this.database.queryFinalized("SELECT did, last_mid, unread_count, date FROM dialogs WHERE unread_count != 0", new Object[0]);
                while (cursor2.next()) {
                    long did = cursor2.longValue(0);
                    if (!DialogObject.isFolderDialogId(did)) {
                        ReadDialog dialog = new ReadDialog();
                        dialog.lastMid = cursor2.intValue(1);
                        dialog.unreadCount = cursor2.intValue(2);
                        dialog.date = cursor2.intValue(3);
                        dialogs.put(did, dialog);
                        int lower_id = (int) did;
                        int high_id = (int) (did >> 32);
                        if (lower_id != 0) {
                            if (lower_id < 0) {
                                if (!chatsToLoad.contains(Integer.valueOf(-lower_id))) {
                                    chatsToLoad.add(Integer.valueOf(-lower_id));
                                }
                            } else if (!usersToLoad.contains(Integer.valueOf(lower_id))) {
                                usersToLoad.add(Integer.valueOf(lower_id));
                            }
                        } else if (!encryptedChatIds.contains(Integer.valueOf(high_id))) {
                            encryptedChatIds.add(Integer.valueOf(high_id));
                        }
                    }
                }
                cursor2.dispose();
                cursor = null;
                final ArrayList<TLRPC.User> users = new ArrayList<>();
                final ArrayList<TLRPC.Chat> chats = new ArrayList<>();
                final ArrayList<TLRPC.EncryptedChat> encryptedChats = new ArrayList<>();
                if (!encryptedChatIds.isEmpty()) {
                    getEncryptedChatsInternal(TextUtils.join(",", encryptedChatIds), encryptedChats, usersToLoad);
                }
                if (!usersToLoad.isEmpty()) {
                    getUsersInternal(TextUtils.join(",", usersToLoad), users);
                }
                if (!chatsToLoad.isEmpty()) {
                    getChatsInternal(TextUtils.join(",", chatsToLoad), chats);
                }
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda57
                    @Override // java.lang.Runnable
                    public final void run() {
                        MessagesStorage.this.m847lambda$readAllDialogs$28$imuecahxyvjdmessengerMessagesStorage(users, chats, encryptedChats, dialogs);
                    }
                });
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("readAllDialogs ---> exception ", e);
                if (cursor == null) {
                    return;
                }
            }
            cursor.dispose();
        } catch (Throwable th) {
            if (cursor != null) {
                cursor.dispose();
            }
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$readAllDialogs$28$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m847lambda$readAllDialogs$28$imuecahxyvjdmessengerMessagesStorage(ArrayList users, ArrayList chats, ArrayList encryptedChats, LongSparseArray dialogs) {
        getMessagesController().putUsers(users, true);
        getMessagesController().putChats(chats, true);
        getMessagesController().putEncryptedChats(encryptedChats, true);
        for (int a2 = 0; a2 < dialogs.size(); a2++) {
            long did = dialogs.keyAt(a2);
            ReadDialog dialog = (ReadDialog) dialogs.valueAt(a2);
            getMessagesController().markDialogAsRead(did, dialog.lastMid, dialog.lastMid, dialog.date, false, dialog.unreadCount, true, 0);
        }
    }

    public void loadUnreadMessages() {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda83
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m811x2cfe9206();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:393:0x082c  */
    /* JADX WARN: Removed duplicated region for block: B:395:0x0831  */
    /* JADX WARN: Removed duplicated region for block: B:397:0x0836  */
    /* JADX WARN: Removed duplicated region for block: B:403:0x0844  */
    /* JADX WARN: Removed duplicated region for block: B:405:0x0849  */
    /* JADX WARN: Removed duplicated region for block: B:407:0x084e  */
    /* renamed from: lambda$loadUnreadMessages$31$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m811x2cfe9206() {
        Throwable th;
        Exception e;
        NativeByteBuffer data;
        SQLitePreparedStatement state;
        ArrayList<TLRPC.User> users;
        SparseArray<ArrayList<TLRPC.Message>> replyMessageOwners;
        ArrayList<TLRPC.Chat> chats;
        LongSparseArray<Integer> pushDialogs;
        ArrayList<TLRPC.EncryptedChat> encryptedChats;
        ArrayList<MessageObject> pushMessages;
        NativeByteBuffer data2;
        SQLiteCursor cursor;
        CharSequence charSequence;
        ArrayList<TLRPC.User> users2;
        ArrayList<MessageObject> pushMessages2;
        SparseArray<ArrayList<TLRPC.Message>> replyMessageOwners2;
        ArrayList<TLRPC.User> users3;
        LongSparseArray<Integer> pushDialogs2;
        NativeByteBuffer data3;
        SQLitePreparedStatement state2;
        int lowerId;
        int lower_id;
        int maxDate;
        CharSequence charSequence2;
        Exception e2;
        NativeByteBuffer data4;
        NativeByteBuffer data5;
        SQLiteCursor cursor2 = null;
        NativeByteBuffer data6 = null;
        SQLitePreparedStatement state3 = null;
        try {
            try {
                ArrayList<Integer> usersToLoad = new ArrayList<>();
                ArrayList<Integer> chatsToLoad = new ArrayList<>();
                ArrayList<Integer> encryptedChatIds = new ArrayList<>();
                LongSparseArray<Integer> pushDialogs3 = new LongSparseArray<>();
                cursor2 = this.database.queryFinalized("SELECT d.did, d.unread_count, s.flags FROM dialogs as d LEFT JOIN dialog_settings as s ON d.did = s.did WHERE d.unread_count != 0", new Object[0]);
                StringBuilder ids = new StringBuilder();
                int currentTime = getConnectionsManager().getCurrentTime();
                while (cursor2.next()) {
                    long flags = cursor2.longValue(2);
                    boolean muted = (flags & 1) != 0;
                    int mutedUntil = (int) (flags >> 32);
                    if (!cursor2.isNull(2) && muted && (mutedUntil == 0 || mutedUntil >= currentTime)) {
                        data = data6;
                        state = state3;
                        data6 = data;
                        state3 = state;
                    }
                    long did = cursor2.longValue(0);
                    if (!DialogObject.isFolderDialogId(did)) {
                        int count = cursor2.intValue(1);
                        pushDialogs3.put(did, Integer.valueOf(count));
                        if (ids.length() != 0) {
                            try {
                                ids.append(",");
                            } catch (Exception e3) {
                                e = e3;
                                FileLog.e("loadUnreadMessages ---> exception 2 ", e);
                                if (data6 != null) {
                                    data6.reuse();
                                }
                                if (cursor2 != null) {
                                    cursor2.dispose();
                                }
                                if (state3 != null) {
                                    state3.dispose();
                                }
                                return;
                            }
                        }
                        ids.append(did);
                        int lower_id2 = (int) did;
                        data = data6;
                        state = state3;
                        int high_id = (int) (did >> 32);
                        if (lower_id2 != 0) {
                            if (lower_id2 < 0) {
                                try {
                                    try {
                                        if (!chatsToLoad.contains(Integer.valueOf(-lower_id2))) {
                                            chatsToLoad.add(Integer.valueOf(-lower_id2));
                                        }
                                    } catch (Exception e4) {
                                        e = e4;
                                        data6 = data;
                                        state3 = state;
                                        FileLog.e("loadUnreadMessages ---> exception 2 ", e);
                                        if (data6 != null) {
                                        }
                                        if (cursor2 != null) {
                                        }
                                        if (state3 != null) {
                                        }
                                        return;
                                    }
                                } catch (Throwable th2) {
                                    th = th2;
                                    data6 = data;
                                    state3 = state;
                                    if (data6 != null) {
                                    }
                                    if (cursor2 != null) {
                                    }
                                    if (state3 != null) {
                                    }
                                    throw th;
                                }
                            } else if (!usersToLoad.contains(Integer.valueOf(lower_id2))) {
                                usersToLoad.add(Integer.valueOf(lower_id2));
                            }
                        } else if (!encryptedChatIds.contains(Integer.valueOf(high_id))) {
                            encryptedChatIds.add(Integer.valueOf(high_id));
                        }
                        data6 = data;
                        state3 = state;
                    }
                }
                data = data6;
                state = state3;
                CharSequence charSequence3 = ",";
                cursor2.dispose();
                cursor2 = null;
                try {
                    ArrayList<Long> replyMessages = new ArrayList<>();
                    SparseArray<ArrayList<TLRPC.Message>> replyMessageOwners3 = new SparseArray<>();
                    final ArrayList<TLRPC.Message> messages = new ArrayList<>();
                    ArrayList<MessageObject> pushMessages3 = new ArrayList<>();
                    ArrayList<TLRPC.User> users4 = new ArrayList<>();
                    ArrayList<TLRPC.Chat> chats2 = new ArrayList<>();
                    ArrayList<TLRPC.EncryptedChat> encryptedChats2 = new ArrayList<>();
                    if (ids.length() > 0) {
                        try {
                            cursor2 = this.database.queryFinalized("SELECT read_state, data, send_state, mid, date, uid, replydata FROM messages WHERE uid IN (" + ids.toString() + ") AND out = 0 AND read_state IN(0,2) ORDER BY date DESC LIMIT 50", new Object[0]);
                            int maxDate2 = 0;
                            while (cursor2.next()) {
                                NativeByteBuffer data7 = cursor2.byteBufferValue(1);
                                if (data7 != null) {
                                    LongSparseArray<Integer> pushDialogs4 = pushDialogs3;
                                    try {
                                        TLRPC.Message message = TLRPC.Message.TLdeserialize(data7, data7.readInt32(false), false);
                                        message.readAttachPath(data7, getUserConfig().clientUserId);
                                        data7.reuse();
                                        MessageObject.setUnreadFlags(message, cursor2.intValue(0));
                                        message.id = cursor2.intValue(3);
                                        message.date = cursor2.intValue(4);
                                        CharSequence charSequence4 = charSequence3;
                                        ArrayList<TLRPC.User> users5 = users4;
                                        message.dialog_id = cursor2.longValue(5);
                                        messages.add(message);
                                        int maxDate3 = Math.max(maxDate2, message.date);
                                        int lower_id3 = (int) message.dialog_id;
                                        addUsersAndChatsFromMessage(message, usersToLoad, chatsToLoad);
                                        message.send_state = cursor2.intValue(2);
                                        if ((message.to_id.channel_id == 0 && !MessageObject.isUnread(message) && lower_id3 != 0) || message.id > 0) {
                                            message.send_state = 0;
                                        }
                                        if (lower_id3 != 0 || cursor2.isNull(5)) {
                                            lower_id = lower_id3;
                                        } else {
                                            lower_id = lower_id3;
                                            message.random_id = cursor2.longValue(5);
                                        }
                                        try {
                                        } catch (Exception e5) {
                                            maxDate = maxDate3;
                                            charSequence2 = charSequence4;
                                            e2 = e5;
                                            data6 = null;
                                        }
                                        if (message.reply_to_msg_id != 0) {
                                            if (!(message.action instanceof TLRPC.TL_messageActionPinMessage)) {
                                                try {
                                                    if (!(message.action instanceof TLRPC.TL_messageActionPaymentSent) && !(message.action instanceof TLRPC.TL_messageActionGameScore)) {
                                                        maxDate = maxDate3;
                                                        charSequence2 = charSequence4;
                                                    }
                                                } catch (Exception e6) {
                                                    e2 = e6;
                                                    maxDate = maxDate3;
                                                    charSequence2 = charSequence4;
                                                    data6 = null;
                                                    try {
                                                        FileLog.e("loadUnreadMessages ---> exception 1 ", e2);
                                                        data = data6;
                                                        maxDate2 = maxDate;
                                                        pushDialogs3 = pushDialogs4;
                                                        users4 = users5;
                                                        charSequence3 = charSequence2;
                                                    } catch (Exception e7) {
                                                        e = e7;
                                                        state3 = state;
                                                        FileLog.e("loadUnreadMessages ---> exception 2 ", e);
                                                        if (data6 != null) {
                                                        }
                                                        if (cursor2 != null) {
                                                        }
                                                        if (state3 != null) {
                                                        }
                                                        return;
                                                    }
                                                }
                                            }
                                            if (cursor2.isNull(6)) {
                                                maxDate = maxDate3;
                                                data6 = null;
                                            } else {
                                                try {
                                                    data6 = cursor2.byteBufferValue(6);
                                                    if (data6 != null) {
                                                        maxDate = maxDate3;
                                                        try {
                                                            try {
                                                                int maxDate4 = data6.readInt32(false);
                                                                message.replyMessage = TLRPC.Message.TLdeserialize(data6, maxDate4, false);
                                                                message.replyMessage.readAttachPath(data6, getUserConfig().clientUserId);
                                                                data6.reuse();
                                                                if (message.replyMessage != null) {
                                                                    if (MessageObject.isMegagroup(message)) {
                                                                        message.replyMessage.flags |= Integer.MIN_VALUE;
                                                                    }
                                                                    addUsersAndChatsFromMessage(message.replyMessage, usersToLoad, chatsToLoad);
                                                                }
                                                            } catch (Throwable th3) {
                                                                th = th3;
                                                                state3 = state;
                                                                if (data6 != null) {
                                                                    data6.reuse();
                                                                }
                                                                if (cursor2 != null) {
                                                                    cursor2.dispose();
                                                                }
                                                                if (state3 != null) {
                                                                    state3.dispose();
                                                                }
                                                                throw th;
                                                            }
                                                        } catch (Exception e8) {
                                                            e2 = e8;
                                                            charSequence2 = charSequence4;
                                                            FileLog.e("loadUnreadMessages ---> exception 1 ", e2);
                                                            data = data6;
                                                            maxDate2 = maxDate;
                                                            pushDialogs3 = pushDialogs4;
                                                            users4 = users5;
                                                            charSequence3 = charSequence2;
                                                        }
                                                    } else {
                                                        maxDate = maxDate3;
                                                    }
                                                } catch (Exception e9) {
                                                    maxDate = maxDate3;
                                                    e2 = e9;
                                                    charSequence2 = charSequence4;
                                                    data6 = null;
                                                }
                                            }
                                            try {
                                                if (message.replyMessage == null) {
                                                    NativeByteBuffer data8 = data6;
                                                    long messageId = message.reply_to_msg_id;
                                                    data5 = data8;
                                                    try {
                                                        try {
                                                            if (message.to_id.channel_id != 0) {
                                                                charSequence2 = charSequence4;
                                                                messageId |= message.to_id.channel_id << 32;
                                                            } else {
                                                                charSequence2 = charSequence4;
                                                            }
                                                            try {
                                                                if (!replyMessages.contains(Long.valueOf(messageId))) {
                                                                    replyMessages.add(Long.valueOf(messageId));
                                                                }
                                                                ArrayList<TLRPC.Message> arrayList = replyMessageOwners3.get(message.reply_to_msg_id);
                                                                if (arrayList == null) {
                                                                    arrayList = new ArrayList<>();
                                                                    replyMessageOwners3.put(message.reply_to_msg_id, arrayList);
                                                                }
                                                                arrayList.add(message);
                                                            } catch (Exception e10) {
                                                                e2 = e10;
                                                                data6 = data5;
                                                                FileLog.e("loadUnreadMessages ---> exception 1 ", e2);
                                                                data = data6;
                                                                maxDate2 = maxDate;
                                                                pushDialogs3 = pushDialogs4;
                                                                users4 = users5;
                                                                charSequence3 = charSequence2;
                                                            }
                                                        } catch (Throwable th4) {
                                                            th = th4;
                                                            data6 = data5;
                                                            state3 = state;
                                                            if (data6 != null) {
                                                            }
                                                            if (cursor2 != null) {
                                                            }
                                                            if (state3 != null) {
                                                            }
                                                            throw th;
                                                        }
                                                    } catch (Exception e11) {
                                                        charSequence2 = charSequence4;
                                                        e2 = e11;
                                                        data6 = data5;
                                                    }
                                                } else {
                                                    data5 = data6;
                                                    charSequence2 = charSequence4;
                                                }
                                                data4 = data5;
                                                data = data4;
                                            } catch (Exception e12) {
                                                charSequence2 = charSequence4;
                                                e2 = e12;
                                            } catch (Throwable th5) {
                                                th = th5;
                                                state3 = state;
                                            }
                                            maxDate2 = maxDate;
                                            pushDialogs3 = pushDialogs4;
                                            users4 = users5;
                                            charSequence3 = charSequence2;
                                        } else {
                                            maxDate = maxDate3;
                                            charSequence2 = charSequence4;
                                        }
                                        data4 = null;
                                        data = data4;
                                        maxDate2 = maxDate;
                                        pushDialogs3 = pushDialogs4;
                                        users4 = users5;
                                        charSequence3 = charSequence2;
                                    } catch (Exception e13) {
                                        e = e13;
                                        data6 = data7;
                                        state3 = state;
                                        FileLog.e("loadUnreadMessages ---> exception 2 ", e);
                                        if (data6 != null) {
                                        }
                                        if (cursor2 != null) {
                                        }
                                        if (state3 != null) {
                                        }
                                        return;
                                    } catch (Throwable th6) {
                                        th = th6;
                                        data6 = data7;
                                        state3 = state;
                                    }
                                } else {
                                    data = data7;
                                }
                            }
                            CharSequence charSequence5 = charSequence3;
                            ArrayList<TLRPC.User> users6 = users4;
                            LongSparseArray<Integer> pushDialogs5 = pushDialogs3;
                            cursor2.dispose();
                            cursor2 = null;
                            state3 = this.database.executeFast("DELETE FROM unread_push_messages WHERE date <= " + maxDate2);
                            try {
                                state3.stepThis().dispose();
                                state3 = null;
                                try {
                                    cursor2 = this.database.queryFinalized("SELECT data, mid, date, uid, random, fm, name, uname, flags FROM unread_push_messages WHERE 1 ORDER BY date DESC LIMIT 50", new Object[0]);
                                    data6 = data;
                                    while (cursor2.next()) {
                                        try {
                                            try {
                                                data6 = cursor2.byteBufferValue(0);
                                                if (data6 != null) {
                                                    TLRPC.Message message2 = TLRPC.Message.TLdeserialize(data6, data6.readInt32(false), false);
                                                    data6.reuse();
                                                    data6 = null;
                                                    try {
                                                        message2.id = cursor2.intValue(1);
                                                        message2.date = cursor2.intValue(2);
                                                        state2 = state3;
                                                        try {
                                                            message2.dialog_id = cursor2.longValue(3);
                                                        } catch (Exception e14) {
                                                            e = e14;
                                                            data6 = null;
                                                            state3 = state2;
                                                        } catch (Throwable th7) {
                                                            th = th7;
                                                            data6 = null;
                                                            state3 = state2;
                                                        }
                                                    } catch (Exception e15) {
                                                        e = e15;
                                                    } catch (Throwable th8) {
                                                        th = th8;
                                                    }
                                                    try {
                                                        message2.random_id = cursor2.longValue(4);
                                                        String messageText = cursor2.isNull(5) ? null : cursor2.stringValue(5);
                                                        String name = cursor2.isNull(6) ? null : cursor2.stringValue(6);
                                                        String userName = cursor2.isNull(7) ? null : cursor2.stringValue(7);
                                                        int flags2 = cursor2.intValue(8);
                                                        if (message2.from_id == 0 && (lowerId = (int) message2.dialog_id) > 0) {
                                                            message2.from_id = lowerId;
                                                        }
                                                        int lower_id4 = (int) message2.dialog_id;
                                                        if (lower_id4 > 0) {
                                                            if (!usersToLoad.contains(Integer.valueOf(lower_id4))) {
                                                                usersToLoad.add(Integer.valueOf(lower_id4));
                                                            }
                                                        } else if (lower_id4 < 0 && !chatsToLoad.contains(Integer.valueOf(-lower_id4))) {
                                                            chatsToLoad.add(Integer.valueOf(-lower_id4));
                                                        }
                                                        pushMessages3.add(new MessageObject(this.currentAccount, message2, messageText, name, userName, (flags2 & 1) != 0, (flags2 & 2) != 0, false));
                                                        addUsersAndChatsFromMessage(message2, usersToLoad, chatsToLoad);
                                                        data6 = null;
                                                        state3 = state2;
                                                    } catch (Exception e16) {
                                                        e = e16;
                                                        data6 = null;
                                                        state3 = state2;
                                                        FileLog.e("loadUnreadMessages ---> exception 2 ", e);
                                                        if (data6 != null) {
                                                        }
                                                        if (cursor2 != null) {
                                                        }
                                                        if (state3 != null) {
                                                        }
                                                        return;
                                                    } catch (Throwable th9) {
                                                        th = th9;
                                                        data6 = null;
                                                        state3 = state2;
                                                        if (data6 != null) {
                                                        }
                                                        if (cursor2 != null) {
                                                        }
                                                        if (state3 != null) {
                                                        }
                                                        throw th;
                                                    }
                                                } else {
                                                    state3 = state3;
                                                }
                                            } catch (Exception e17) {
                                                e = e17;
                                            } catch (Throwable th10) {
                                                th = th10;
                                            }
                                        } catch (Exception e18) {
                                            e = e18;
                                        } catch (Throwable th11) {
                                            th = th11;
                                        }
                                    }
                                    state = state3;
                                    try {
                                        cursor2.dispose();
                                        cursor2 = null;
                                        try {
                                            if (replyMessages.isEmpty()) {
                                                charSequence = charSequence5;
                                            } else {
                                                SQLiteDatabase sQLiteDatabase = this.database;
                                                Locale locale = Locale.US;
                                                try {
                                                    Object[] objArr = new Object[1];
                                                    charSequence = charSequence5;
                                                    NativeByteBuffer data9 = data6;
                                                    try {
                                                        objArr[0] = TextUtils.join(charSequence, replyMessages);
                                                        cursor2 = sQLiteDatabase.queryFinalized(String.format(locale, "SELECT data, mid, date, uid FROM messages WHERE mid IN(%s)", objArr), new Object[0]);
                                                        data6 = data9;
                                                        while (cursor2.next()) {
                                                            data6 = cursor2.byteBufferValue(0);
                                                            if (data6 != null) {
                                                                TLRPC.Message message3 = TLRPC.Message.TLdeserialize(data6, data6.readInt32(false), false);
                                                                message3.readAttachPath(data6, getUserConfig().clientUserId);
                                                                data6.reuse();
                                                                data6 = null;
                                                                message3.id = cursor2.intValue(1);
                                                                message3.date = cursor2.intValue(2);
                                                                ArrayList<Long> replyMessages2 = replyMessages;
                                                                int maxDate5 = maxDate2;
                                                                message3.dialog_id = cursor2.longValue(3);
                                                                addUsersAndChatsFromMessage(message3, usersToLoad, chatsToLoad);
                                                                ArrayList<TLRPC.Message> arrayList2 = replyMessageOwners3.get(message3.id);
                                                                if (arrayList2 != null) {
                                                                    int a2 = 0;
                                                                    while (a2 < arrayList2.size()) {
                                                                        TLRPC.Message m = arrayList2.get(a2);
                                                                        m.replyMessage = message3;
                                                                        if (MessageObject.isMegagroup(m)) {
                                                                            data3 = data6;
                                                                            try {
                                                                                m.replyMessage.flags |= Integer.MIN_VALUE;
                                                                            } catch (Exception e19) {
                                                                                e = e19;
                                                                                state3 = state;
                                                                                data6 = data3;
                                                                                FileLog.e("loadUnreadMessages ---> exception 2 ", e);
                                                                                if (data6 != null) {
                                                                                }
                                                                                if (cursor2 != null) {
                                                                                }
                                                                                if (state3 != null) {
                                                                                }
                                                                                return;
                                                                            } catch (Throwable th12) {
                                                                                th = th12;
                                                                                state3 = state;
                                                                                data6 = data3;
                                                                                if (data6 != null) {
                                                                                }
                                                                                if (cursor2 != null) {
                                                                                }
                                                                                if (state3 != null) {
                                                                                }
                                                                                throw th;
                                                                            }
                                                                        } else {
                                                                            data3 = data6;
                                                                        }
                                                                        a2++;
                                                                        data6 = data3;
                                                                    }
                                                                }
                                                                replyMessages = replyMessages2;
                                                                data6 = data6;
                                                                maxDate2 = maxDate5;
                                                            }
                                                        }
                                                        cursor2.dispose();
                                                        cursor2 = null;
                                                    } catch (Exception e20) {
                                                        e = e20;
                                                        cursor2 = null;
                                                        state3 = state;
                                                        data6 = data9;
                                                    } catch (Throwable th13) {
                                                        th = th13;
                                                        cursor2 = null;
                                                        state3 = state;
                                                        data6 = data9;
                                                    }
                                                } catch (Exception e21) {
                                                    e = e21;
                                                    cursor2 = null;
                                                    state3 = state;
                                                } catch (Throwable th14) {
                                                    th = th14;
                                                    cursor2 = null;
                                                    state3 = state;
                                                }
                                            }
                                            try {
                                                if (encryptedChatIds.isEmpty()) {
                                                    encryptedChats = encryptedChats2;
                                                } else {
                                                    encryptedChats = encryptedChats2;
                                                    getEncryptedChatsInternal(TextUtils.join(charSequence, encryptedChatIds), encryptedChats, usersToLoad);
                                                }
                                                if (usersToLoad.isEmpty()) {
                                                    users2 = users6;
                                                } else {
                                                    users2 = users6;
                                                    getUsersInternal(TextUtils.join(charSequence, usersToLoad), users2);
                                                }
                                                if (chatsToLoad.isEmpty()) {
                                                    cursor = cursor2;
                                                    pushMessages = pushMessages3;
                                                    replyMessageOwners = replyMessageOwners3;
                                                    users = users2;
                                                    chats = chats2;
                                                    pushDialogs = pushDialogs5;
                                                    data2 = data6;
                                                } else {
                                                    chats = chats2;
                                                    getChatsInternal(TextUtils.join(charSequence, chatsToLoad), chats);
                                                    int a3 = 0;
                                                    while (a3 < chats.size()) {
                                                        TLRPC.Chat chat = chats.get(a3);
                                                        if (chat != null) {
                                                            if (!ChatObject.isNotInChat(chat)) {
                                                                if (chat.migrated_to == null) {
                                                                    cursor = cursor2;
                                                                    data2 = data6;
                                                                    pushMessages2 = pushMessages3;
                                                                    replyMessageOwners2 = replyMessageOwners3;
                                                                    users3 = users2;
                                                                    pushDialogs2 = pushDialogs5;
                                                                }
                                                            }
                                                            cursor = cursor2;
                                                            data2 = data6;
                                                            long did2 = -chat.id;
                                                            try {
                                                                pushMessages2 = pushMessages3;
                                                                replyMessageOwners2 = replyMessageOwners3;
                                                                SQLitePreparedStatement state4 = this.database.executeFast("UPDATE dialogs SET unread_count = 0 WHERE did = " + did2);
                                                                try {
                                                                    state4.stepThis().dispose();
                                                                    try {
                                                                        try {
                                                                            users3 = users2;
                                                                            this.database.executeFast(String.format(Locale.US, "UPDATE messages SET read_state = 3 WHERE uid = %d AND mid > 0 AND read_state IN(0,2) AND out = 0", Long.valueOf(did2))).stepThis().dispose();
                                                                            SQLitePreparedStatement state5 = null;
                                                                            try {
                                                                                chats.remove(a3);
                                                                                a3--;
                                                                                pushDialogs2 = pushDialogs5;
                                                                                pushDialogs2.remove(did2);
                                                                                int b = 0;
                                                                                while (b < messages.size()) {
                                                                                    int a4 = a3;
                                                                                    SQLitePreparedStatement state6 = state5;
                                                                                    try {
                                                                                        if (messages.get(b).dialog_id == did2) {
                                                                                            messages.remove(b);
                                                                                            b--;
                                                                                        }
                                                                                        b++;
                                                                                        state5 = state6;
                                                                                        a3 = a4;
                                                                                    } catch (Exception e22) {
                                                                                        e = e22;
                                                                                        state3 = state6;
                                                                                        cursor2 = cursor;
                                                                                        data6 = data2;
                                                                                        FileLog.e("loadUnreadMessages ---> exception 2 ", e);
                                                                                        if (data6 != null) {
                                                                                        }
                                                                                        if (cursor2 != null) {
                                                                                        }
                                                                                        if (state3 != null) {
                                                                                        }
                                                                                        return;
                                                                                    } catch (Throwable th15) {
                                                                                        th = th15;
                                                                                        state3 = state6;
                                                                                        cursor2 = cursor;
                                                                                        data6 = data2;
                                                                                        if (data6 != null) {
                                                                                        }
                                                                                        if (cursor2 != null) {
                                                                                        }
                                                                                        if (state3 != null) {
                                                                                        }
                                                                                        throw th;
                                                                                    }
                                                                                }
                                                                                state = state5;
                                                                            } catch (Exception e23) {
                                                                                SQLitePreparedStatement sQLitePreparedStatement = state5;
                                                                                e = e23;
                                                                                state3 = sQLitePreparedStatement;
                                                                                cursor2 = cursor;
                                                                                data6 = data2;
                                                                            } catch (Throwable th16) {
                                                                                SQLitePreparedStatement sQLitePreparedStatement2 = state5;
                                                                                th = th16;
                                                                                state3 = sQLitePreparedStatement2;
                                                                                cursor2 = cursor;
                                                                                data6 = data2;
                                                                            }
                                                                        } catch (Exception e24) {
                                                                            e = e24;
                                                                            cursor2 = cursor;
                                                                            data6 = data2;
                                                                            state3 = null;
                                                                        } catch (Throwable th17) {
                                                                            th = th17;
                                                                            cursor2 = cursor;
                                                                            data6 = data2;
                                                                            state3 = null;
                                                                        }
                                                                    } catch (Exception e25) {
                                                                        e = e25;
                                                                        cursor2 = cursor;
                                                                        data6 = data2;
                                                                        state3 = null;
                                                                    } catch (Throwable th18) {
                                                                        th = th18;
                                                                        cursor2 = cursor;
                                                                        data6 = data2;
                                                                        state3 = null;
                                                                    }
                                                                } catch (Exception e26) {
                                                                    state3 = state4;
                                                                    cursor2 = cursor;
                                                                    data6 = data2;
                                                                    e = e26;
                                                                } catch (Throwable th19) {
                                                                    state3 = state4;
                                                                    cursor2 = cursor;
                                                                    data6 = data2;
                                                                    th = th19;
                                                                }
                                                            } catch (Exception e27) {
                                                                e = e27;
                                                                cursor2 = cursor;
                                                                data6 = data2;
                                                                state3 = state;
                                                            } catch (Throwable th20) {
                                                                th = th20;
                                                                cursor2 = cursor;
                                                                data6 = data2;
                                                                state3 = state;
                                                            }
                                                        } else {
                                                            cursor = cursor2;
                                                            data2 = data6;
                                                            pushMessages2 = pushMessages3;
                                                            replyMessageOwners2 = replyMessageOwners3;
                                                            users3 = users2;
                                                            pushDialogs2 = pushDialogs5;
                                                        }
                                                        a3++;
                                                        pushDialogs5 = pushDialogs2;
                                                        cursor2 = cursor;
                                                        data6 = data2;
                                                        pushMessages3 = pushMessages2;
                                                        replyMessageOwners3 = replyMessageOwners2;
                                                        users2 = users3;
                                                    }
                                                    cursor = cursor2;
                                                    data2 = data6;
                                                    pushMessages = pushMessages3;
                                                    replyMessageOwners = replyMessageOwners3;
                                                    users = users2;
                                                    pushDialogs = pushDialogs5;
                                                }
                                            } catch (Exception e28) {
                                                e = e28;
                                                state3 = state;
                                            } catch (Throwable th21) {
                                                th = th21;
                                                state3 = state;
                                            }
                                        } catch (Exception e29) {
                                            e = e29;
                                            state3 = state;
                                        } catch (Throwable th22) {
                                            th = th22;
                                            state3 = state;
                                        }
                                    } catch (Exception e30) {
                                        e = e30;
                                        state3 = state;
                                    } catch (Throwable th23) {
                                        th = th23;
                                        state3 = state;
                                    }
                                } catch (Exception e31) {
                                    e = e31;
                                    data6 = data;
                                } catch (Throwable th24) {
                                    th = th24;
                                    data6 = data;
                                }
                            } catch (Exception e32) {
                                e = e32;
                                data6 = data;
                            } catch (Throwable th25) {
                                th = th25;
                                data6 = data;
                            }
                        } catch (Exception e33) {
                            e = e33;
                            data6 = data;
                            state3 = state;
                            cursor2 = null;
                        } catch (Throwable th26) {
                            th = th26;
                            data6 = data;
                            state3 = state;
                            cursor2 = null;
                        }
                    } else {
                        users = users4;
                        replyMessageOwners = replyMessageOwners3;
                        chats = chats2;
                        pushDialogs = pushDialogs3;
                        encryptedChats = encryptedChats2;
                        pushMessages = pushMessages3;
                        data2 = data;
                        cursor = null;
                    }
                    Collections.reverse(messages);
                    final ArrayList<TLRPC.User> users7 = users;
                    final LongSparseArray<Integer> longSparseArray = pushDialogs;
                    final ArrayList<MessageObject> arrayList3 = pushMessages;
                    final ArrayList<TLRPC.Chat> arrayList4 = chats;
                    final ArrayList<TLRPC.EncryptedChat> arrayList5 = encryptedChats;
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda141
                        @Override // java.lang.Runnable
                        public final void run() {
                            MessagesStorage.this.m810xa05e6705(longSparseArray, messages, arrayList3, users7, arrayList4, arrayList5);
                        }
                    });
                    if (data2 != null) {
                        data2.reuse();
                    }
                    if (cursor != null) {
                        cursor.dispose();
                    }
                    if (state != null) {
                        state.dispose();
                    }
                } catch (Exception e34) {
                    e = e34;
                    data6 = data;
                    state3 = state;
                } catch (Throwable th27) {
                    th = th27;
                    data6 = data;
                    state3 = state;
                }
            } catch (Throwable th28) {
                th = th28;
            }
        } catch (Exception e35) {
            e = e35;
        } catch (Throwable th29) {
            th = th29;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadUnreadMessages$30$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m810xa05e6705(LongSparseArray pushDialogs, ArrayList messages, ArrayList pushMessages, ArrayList users, ArrayList chats, ArrayList encryptedChats) {
        getNotificationsController().processLoadedUnreadMessages(pushDialogs, messages, pushMessages, users, chats, encryptedChats);
    }

    public void putWallpapers(final ArrayList<TLRPC.WallPaper> wallPapers, final int action) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda119
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m843lambda$putWallpapers$32$imuecahxyvjdmessengerMessagesStorage(action, wallPapers);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$putWallpapers$32$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m843lambda$putWallpapers$32$imuecahxyvjdmessengerMessagesStorage(int action, ArrayList wallPapers) {
        SQLitePreparedStatement state = null;
        NativeByteBuffer data = null;
        try {
            if (action == 1) {
                try {
                    this.database.executeFast("DELETE FROM wallpapers2 WHERE 1").stepThis().dispose();
                } catch (Exception e) {
                    FileLog.e("putWallpapers ---> exception 2 ", e);
                    if (data != null) {
                        data.reuse();
                    }
                    if (state == null) {
                        return;
                    }
                }
            }
            try {
                this.database.beginTransaction();
            } catch (Exception e2) {
                FileLog.e("putWallpapers ---> exception 1 ", e2);
            }
            SQLitePreparedStatement state2 = action != 0 ? this.database.executeFast("REPLACE INTO wallpapers2 VALUES(?, ?, ?)") : this.database.executeFast("UPDATE wallpapers2 SET data = ? WHERE uid = ?");
            int N = wallPapers.size();
            for (int a2 = 0; a2 < N; a2++) {
                TLRPC.TL_wallPaper wallPaper = (TLRPC.TL_wallPaper) wallPapers.get(a2);
                state2.requery();
                NativeByteBuffer data2 = new NativeByteBuffer(wallPaper.getObjectSize());
                wallPaper.serializeToStream(data2);
                if (action != 0) {
                    state2.bindLong(1, wallPaper.id);
                    state2.bindByteBuffer(2, data2);
                    state2.bindInteger(3, action == 2 ? -1 : a2);
                } else {
                    state2.bindByteBuffer(1, data2);
                    state2.bindLong(2, wallPaper.id);
                }
                state2.step();
                data2.reuse();
                data = null;
            }
            state2.dispose();
            state = null;
            this.database.commitTransaction();
            if (data != null) {
                data.reuse();
            }
            if (0 == 0) {
                return;
            }
            state.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void getWallpapers() {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda43
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m789lambda$getWallpapers$34$imuecahxyvjdmessengerMessagesStorage();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getWallpapers$34$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m789lambda$getWallpapers$34$imuecahxyvjdmessengerMessagesStorage() {
        SQLiteCursor cursor = null;
        NativeByteBuffer data = null;
        try {
            try {
                SQLiteCursor cursor2 = this.database.queryFinalized("SELECT data FROM wallpapers2 WHERE 1 ORDER BY num ASC", new Object[0]);
                final ArrayList<TLRPC.TL_wallPaper> wallPapers = new ArrayList<>();
                while (cursor2.next()) {
                    data = cursor2.byteBufferValue(0);
                    if (data != null) {
                        TLRPC.TL_wallPaper wallPaper = (TLRPC.TL_wallPaper) TLRPC.WallPaper.TLdeserialize(data, data.readInt32(false), false);
                        data.reuse();
                        data = null;
                        if (wallPaper != null) {
                            wallPapers.add(wallPaper);
                        }
                    }
                }
                cursor2.dispose();
                cursor = null;
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda117
                    @Override // java.lang.Runnable
                    public final void run() {
                        NotificationCenter.getGlobalInstance().postNotificationName(NotificationCenter.wallpapersDidLoad, wallPapers);
                    }
                });
                if (data != null) {
                    data.reuse();
                }
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("getWallpapers ---> exception ", e);
                if (data != null) {
                    data.reuse();
                }
                if (cursor == null) {
                    return;
                }
            }
            cursor.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (cursor != null) {
                cursor.dispose();
            }
            throw th;
        }
    }

    public void loadWebRecent(final int type) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda51
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m814lambda$loadWebRecent$36$imuecahxyvjdmessengerMessagesStorage(type);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadWebRecent$36$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m814lambda$loadWebRecent$36$imuecahxyvjdmessengerMessagesStorage(final int type) {
        try {
            final ArrayList<MediaController.SearchImage> arrayList = new ArrayList<>();
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda62
                @Override // java.lang.Runnable
                public final void run() {
                    MessagesStorage.this.m813lambda$loadWebRecent$35$imuecahxyvjdmessengerMessagesStorage(type, arrayList);
                }
            });
        } catch (Throwable e) {
            FileLog.e("loadWebRecent ---> exception ", e);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadWebRecent$35$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m813lambda$loadWebRecent$35$imuecahxyvjdmessengerMessagesStorage(int type, ArrayList arrayList) {
        getNotificationCenter().postNotificationName(NotificationCenter.recentImagesDidLoad, Integer.valueOf(type), arrayList);
    }

    public void addRecentLocalFile(final String imageUrl, final String localUrl, final TLRPC.Document document) {
        if (imageUrl == null || imageUrl.length() == 0) {
            return;
        }
        if ((localUrl == null || localUrl.length() == 0) && document == null) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda139
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m737xf31891e2(document, imageUrl, localUrl);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$addRecentLocalFile$37$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m737xf31891e2(TLRPC.Document document, String imageUrl, String localUrl) {
        SQLitePreparedStatement state = null;
        NativeByteBuffer data = null;
        try {
            try {
                if (document != null) {
                    SQLitePreparedStatement state2 = this.database.executeFast("UPDATE web_recent_v3 SET document = ? WHERE image_url = ?");
                    state2.requery();
                    NativeByteBuffer data2 = new NativeByteBuffer(document.getObjectSize());
                    document.serializeToStream(data2);
                    state2.bindByteBuffer(1, data2);
                    state2.bindString(2, imageUrl);
                    state2.step();
                    state2.dispose();
                    state = null;
                    data2.reuse();
                    data = null;
                } else {
                    SQLitePreparedStatement state3 = this.database.executeFast("UPDATE web_recent_v3 SET local_url = ? WHERE image_url = ?");
                    state3.requery();
                    state3.bindString(1, localUrl);
                    state3.bindString(2, imageUrl);
                    state3.step();
                    state3.dispose();
                    state = null;
                }
                if (data != null) {
                    data.reuse();
                }
                if (state == null) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("addRecentLocalFile ---> exception ", e);
                if (data != null) {
                    data.reuse();
                }
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void clearWebRecent(final int type) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda91
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m751lambda$clearWebRecent$38$imuecahxyvjdmessengerMessagesStorage(type);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$clearWebRecent$38$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m751lambda$clearWebRecent$38$imuecahxyvjdmessengerMessagesStorage(int type) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast("DELETE FROM web_recent_v3 WHERE type = " + type);
                state.stepThis().dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("clearWebRecent ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void putWebRecent(final ArrayList<MediaController.SearchImage> arrayList) {
        if (arrayList.isEmpty() || !arrayList.isEmpty()) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda76
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m846lambda$putWebRecent$39$imuecahxyvjdmessengerMessagesStorage(arrayList);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$putWebRecent$39$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m846lambda$putWebRecent$39$imuecahxyvjdmessengerMessagesStorage(ArrayList arrayList) {
        SQLitePreparedStatement state = null;
        NativeByteBuffer data = null;
        try {
            try {
                this.database.beginTransaction();
            } catch (Exception e) {
                try {
                    FileLog.e("putWebRecent ---> exception 1 ", e);
                } catch (Exception e2) {
                    FileLog.e("putWebRecent ---> exception 3 ", e2);
                    if (data != null) {
                        data.reuse();
                    }
                    if (state == null) {
                        return;
                    }
                }
            }
            SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO web_recent_v3 VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
            for (int a2 = 0; a2 < arrayList.size() && a2 != 200; a2++) {
                MediaController.SearchImage searchImage = (MediaController.SearchImage) arrayList.get(a2);
                state2.requery();
                state2.bindString(1, searchImage.id);
                state2.bindInteger(2, searchImage.type);
                state2.bindString(3, searchImage.imageUrl != null ? searchImage.imageUrl : "");
                state2.bindString(4, searchImage.thumbUrl != null ? searchImage.thumbUrl : "");
                state2.bindString(5, "");
                state2.bindInteger(6, searchImage.width);
                state2.bindInteger(7, searchImage.height);
                state2.bindInteger(8, searchImage.size);
                state2.bindInteger(9, searchImage.date);
                if (searchImage.photo != null) {
                    data = new NativeByteBuffer(searchImage.photo.getObjectSize());
                    searchImage.photo.serializeToStream(data);
                    state2.bindByteBuffer(10, data);
                } else if (searchImage.document != null) {
                    data = new NativeByteBuffer(searchImage.document.getObjectSize());
                    searchImage.document.serializeToStream(data);
                    state2.bindByteBuffer(10, data);
                } else {
                    state2.bindNull(10);
                }
                state2.step();
                if (data != null) {
                    data.reuse();
                    data = null;
                }
            }
            state2.dispose();
            state = null;
            this.database.commitTransaction();
            if (arrayList.size() >= 200) {
                try {
                    this.database.beginTransaction();
                } catch (Exception e3) {
                    FileLog.e("putWebRecent ---> exception 2 ", e3);
                }
                for (int a3 = 200; a3 < arrayList.size(); a3++) {
                    this.database.executeFast("DELETE FROM web_recent_v3 WHERE id = '" + ((MediaController.SearchImage) arrayList.get(a3)).id + "'").stepThis().dispose();
                    state = null;
                }
                this.database.commitTransaction();
            }
            if (data != null) {
                data.reuse();
            }
            if (state == null) {
                return;
            }
            state.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void deleteUserChannelHistory(final int channelId, final int uid) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda89
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m765xda0dd500(channelId, uid);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$deleteUserChannelHistory$42$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m765xda0dd500(final int channelId, int uid) {
        SQLiteCursor cursor = null;
        NativeByteBuffer data = null;
        long did = -channelId;
        try {
            try {
                final ArrayList<Integer> mids = new ArrayList<>();
                SQLiteCursor cursor2 = this.database.queryFinalized("SELECT data FROM messages WHERE uid = " + did, new Object[0]);
                ArrayList<File> filesToDelete = new ArrayList<>();
                while (cursor2.next()) {
                    try {
                        data = cursor2.byteBufferValue(0);
                        if (data != null) {
                            TLRPC.Message message = TLRPC.Message.TLdeserialize(data, data.readInt32(false), false);
                            message.readAttachPath(data, getUserConfig().clientUserId);
                            data.reuse();
                            data = null;
                            if (message != null && message.from_id == uid && message.id != 1) {
                                mids.add(Integer.valueOf(message.id));
                                addFilesToDelete(message, filesToDelete, false);
                            }
                        }
                    } catch (Exception e) {
                        FileLog.e("deleteUserChannelHistory ---> exception 1 ", e);
                    }
                }
                cursor2.dispose();
                cursor = null;
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda41
                    @Override // java.lang.Runnable
                    public final void run() {
                        MessagesStorage.this.m763xc0cd7efe(mids, channelId);
                    }
                });
                m818x55b9a442(mids, channelId, false, false);
                m878x9436862a(mids, null, channelId);
                getFileLoader().deleteFiles(filesToDelete, 0);
                if (!mids.isEmpty()) {
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda42
                        @Override // java.lang.Runnable
                        public final void run() {
                            MessagesStorage.this.m764x4d6da9ff(mids, channelId);
                        }
                    });
                }
                if (data != null) {
                    data.reuse();
                }
                if (0 == 0) {
                    return;
                }
            } catch (Exception e2) {
                FileLog.e("deleteUserChannelHistory ---> exception 2 ", e2);
                if (data != null) {
                    data.reuse();
                }
                if (cursor == null) {
                    return;
                }
            }
            cursor.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (cursor != null) {
                cursor.dispose();
            }
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$deleteUserChannelHistory$40$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m763xc0cd7efe(ArrayList mids, int channelId) {
        getMessagesController().markChannelDialogMessageAsDeleted(mids, channelId);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$deleteUserChannelHistory$41$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m764x4d6da9ff(ArrayList mids, int channelId) {
        getNotificationCenter().postNotificationName(NotificationCenter.messagesDeleted, mids, Integer.valueOf(channelId), false);
    }

    private boolean addFilesToDelete(TLRPC.Message message, ArrayList<File> filesToDelete, boolean forceCache) {
        if (message == null) {
            return false;
        }
        if ((message.media instanceof TLRPC.TL_messageMediaPhoto) && message.media.photo != null) {
            int N = message.media.photo.sizes.size();
            for (int a2 = 0; a2 < N; a2++) {
                TLRPC.PhotoSize photoSize = message.media.photo.sizes.get(a2);
                File file = FileLoader.getPathToAttach(photoSize);
                if (file != null && file.toString().length() > 0) {
                    filesToDelete.add(file);
                }
            }
            return true;
        } else if (!(message.media instanceof TLRPC.TL_messageMediaDocument) || message.media.document == null) {
            return false;
        } else {
            File file2 = FileLoader.getPathToAttach(message.media.document, forceCache);
            if (file2 != null && file2.toString().length() > 0) {
                filesToDelete.add(file2);
            }
            int N2 = message.media.document.thumbs.size();
            for (int a3 = 0; a3 < N2; a3++) {
                TLRPC.PhotoSize photoSize2 = message.media.document.thumbs.get(a3);
                File file3 = FileLoader.getPathToAttach(photoSize2);
                if (file3 != null && file3.toString().length() > 0) {
                    filesToDelete.add(file3);
                }
            }
            return true;
        }
    }

    public void deleteDialog(final long did, final int messagesOnly) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda56
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m762lambda$deleteDialog$44$imuecahxyvjdmessengerMessagesStorage(messagesOnly, did);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:100:0x02c0, code lost:
        r2 = r0;
        r10 = null;
        r6 = r23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:101:0x02c7, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:102:0x02c8, code lost:
        r2 = r0;
        r10 = null;
        r6 = r23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:103:0x02cf, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:104:0x02d0, code lost:
        r2 = r0;
        r10 = null;
        r9 = null;
        r6 = r23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:105:0x02d9, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:106:0x02da, code lost:
        r2 = r0;
        r10 = null;
        r9 = null;
        r6 = r23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:107:0x02e3, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:108:0x02e4, code lost:
        r2 = r0;
        r8 = null;
        r10 = null;
        r9 = null;
        r6 = r23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:109:0x02ee, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:110:0x02ef, code lost:
        r2 = r0;
        r8 = null;
        r10 = null;
        r9 = null;
        r6 = r23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:139:0x0362, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:140:0x0363, code lost:
        r2 = r0;
        r6 = r23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:141:0x0368, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:142:0x0369, code lost:
        r2 = r0;
        r6 = r23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:78:0x019f, code lost:
        if (r7 != null) goto L194;
     */
    /* JADX WARN: Code restructure failed: missing block: B:79:0x01a1, code lost:
        r7.reuse();
     */
    /* JADX WARN: Code restructure failed: missing block: B:86:0x01b4, code lost:
        if (r7 == null) goto L145;
     */
    /* JADX WARN: Code restructure failed: missing block: B:88:0x01b7, code lost:
        r2.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:89:0x01e2, code lost:
        r27.database.executeFast("DELETE FROM messages WHERE uid = " + r29 + " AND mid != " + r21 + " AND mid != " + r21).stepThis().dispose();
        r27.database.executeFast("DELETE FROM messages_holes WHERE uid = " + r29).stepThis().dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:90:0x0221, code lost:
        r8 = r27.database.executeFast("DELETE FROM bot_keyboard WHERE uid = " + r29);
     */
    /* JADX WARN: Code restructure failed: missing block: B:91:0x0222, code lost:
        r8.stepThis().dispose();
        r27.database.executeFast("DELETE FROM media_counts_v2 WHERE uid = " + r29).stepThis().dispose();
        r27.database.executeFast("DELETE FROM media_v2 WHERE uid = " + r29).stepThis().dispose();
        r27.database.executeFast("DELETE FROM media_holes_v2 WHERE uid = " + r29).stepThis().dispose();
        r8 = null;
        getMediaDataController().clearBotKeyboard(r29, null);
     */
    /* JADX WARN: Code restructure failed: missing block: B:92:0x02a0, code lost:
        r9 = r27.database.executeFast("REPLACE INTO messages_holes VALUES(?, ?, ?)");
     */
    /* JADX WARN: Code restructure failed: missing block: B:94:0x02a9, code lost:
        r10 = r27.database.executeFast("REPLACE INTO media_holes_v2 VALUES(?, ?, ?, ?)");
        r6 = r16;
     */
    /* JADX WARN: Code restructure failed: missing block: B:95:0x02ad, code lost:
        if (r6 == (-1)) goto L156;
     */
    /* JADX WARN: Code restructure failed: missing block: B:96:0x02af, code lost:
        createFirstHoles(r29, r9, r10, r6);
     */
    /* JADX WARN: Code restructure failed: missing block: B:97:0x02b2, code lost:
        r9.dispose();
        r10.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:98:0x02b8, code lost:
        r10 = null;
        r9 = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:99:0x02bf, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Not initialized variable reg: 16, insn: 0x05f0: MOVE  (r6 I:??[OBJECT, ARRAY]) = (r16 I:??[OBJECT, ARRAY] A[D('cursor' im.uecahxyvjd.sqlite.SQLiteCursor)]), block:B:188:0x05ef */
    /* JADX WARN: Not initialized variable reg: 16, insn: 0x05fd: MOVE  (r6 I:??[OBJECT, ARRAY]) = (r16 I:??[OBJECT, ARRAY] A[D('cursor' im.uecahxyvjd.sqlite.SQLiteCursor)]), block:B:190:0x05fc */
    /* JADX WARN: Not initialized variable reg: 17, insn: 0x05f2: MOVE  (r7 I:??[OBJECT, ARRAY]) = (r17 I:??[OBJECT, ARRAY] A[D('data' im.uecahxyvjd.tgnet.NativeByteBuffer)]), block:B:188:0x05ef */
    /* JADX WARN: Not initialized variable reg: 17, insn: 0x05ff: MOVE  (r7 I:??[OBJECT, ARRAY]) = (r17 I:??[OBJECT, ARRAY] A[D('data' im.uecahxyvjd.tgnet.NativeByteBuffer)]), block:B:190:0x05fc */
    /* JADX WARN: Not initialized variable reg: 20, insn: 0x05f8: MOVE  (r9 I:??[OBJECT, ARRAY]) = (r20 I:??[OBJECT, ARRAY] A[D('state5' im.uecahxyvjd.sqlite.SQLitePreparedStatement)]), block:B:188:0x05ef */
    /* JADX WARN: Not initialized variable reg: 20, insn: 0x0605: MOVE  (r9 I:??[OBJECT, ARRAY]) = (r20 I:??[OBJECT, ARRAY] A[D('state5' im.uecahxyvjd.sqlite.SQLitePreparedStatement)]), block:B:190:0x05fc */
    /* JADX WARN: Removed duplicated region for block: B:118:0x0317 A[Catch: all -> 0x02f9, Exception -> 0x0305, TRY_ENTER, TryCatch #26 {Exception -> 0x0305, all -> 0x02f9, blocks: (B:118:0x0317, B:120:0x031b, B:88:0x01b7, B:79:0x01a1), top: B:229:0x0162 }] */
    /* JADX WARN: Removed duplicated region for block: B:169:0x059d  */
    /* JADX WARN: Removed duplicated region for block: B:171:0x05a2  */
    /* JADX WARN: Removed duplicated region for block: B:173:0x05a7  */
    /* JADX WARN: Removed duplicated region for block: B:175:0x05ac  */
    /* JADX WARN: Removed duplicated region for block: B:177:0x05b1  */
    /* JADX WARN: Removed duplicated region for block: B:197:0x0620  */
    /* JADX WARN: Removed duplicated region for block: B:199:0x0625  */
    /* JADX WARN: Removed duplicated region for block: B:201:0x062a  */
    /* JADX WARN: Removed duplicated region for block: B:203:0x062f  */
    /* JADX WARN: Removed duplicated region for block: B:205:0x0634  */
    /* JADX WARN: Removed duplicated region for block: B:208:0x063a  */
    /* JADX WARN: Removed duplicated region for block: B:210:0x063f  */
    /* JADX WARN: Removed duplicated region for block: B:212:0x0644  */
    /* JADX WARN: Removed duplicated region for block: B:214:0x0649  */
    /* JADX WARN: Removed duplicated region for block: B:216:0x064e  */
    /* JADX WARN: Removed duplicated region for block: B:269:? A[RETURN, SYNTHETIC] */
    /* renamed from: lambda$deleteDialog$44$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m762lambda$deleteDialog$44$imuecahxyvjdmessengerMessagesStorage(int messagesOnly, long did) {
        Throwable th;
        Exception e;
        SQLiteCursor cursor;
        NativeByteBuffer data;
        SQLitePreparedStatement state5;
        SQLiteCursor cursor2;
        NativeByteBuffer data2;
        SQLitePreparedStatement state52;
        SQLiteCursor cursor3;
        NativeByteBuffer data3;
        SQLitePreparedStatement state53;
        String str;
        String str2;
        String str3;
        SQLiteCursor cursor4;
        Throwable th2;
        int messageId;
        Exception e2;
        SQLiteCursor cursor5 = null;
        NativeByteBuffer data4 = null;
        SQLitePreparedStatement state = null;
        SQLitePreparedStatement state54 = null;
        SQLitePreparedStatement state6 = null;
        if (messagesOnly == 3) {
            try {
                try {
                    cursor5 = this.database.queryFinalized("SELECT last_mid FROM dialogs WHERE did = " + did, new Object[0]);
                    int lastMid = cursor5.next() ? cursor5.intValue(0) : -1;
                    cursor5.dispose();
                    cursor5 = null;
                    if (lastMid != 0) {
                        if (0 != 0) {
                            data4.reuse();
                        }
                        if (0 != 0) {
                            cursor5.dispose();
                        }
                        if (0 != 0) {
                            state.dispose();
                        }
                        if (0 != 0) {
                            state54.dispose();
                        }
                        if (0 != 0) {
                            state6.dispose();
                            return;
                        }
                        return;
                    }
                } catch (Exception e3) {
                    e = e3;
                    FileLog.e("deleteDialog ---> exception 3 ", e);
                    if (data4 != null) {
                        data4.reuse();
                    }
                    if (cursor5 != null) {
                        cursor5.dispose();
                    }
                    if (state != null) {
                        state.dispose();
                    }
                    if (state54 != null) {
                        state54.dispose();
                    }
                    if (state6 != null) {
                        state6.dispose();
                        return;
                    }
                    return;
                }
            } catch (Throwable th3) {
                th = th3;
                if (data4 != null) {
                    data4.reuse();
                }
                if (cursor5 != null) {
                    cursor5.dispose();
                }
                if (state != null) {
                    state.dispose();
                }
                if (state54 != null) {
                    state54.dispose();
                }
                if (state6 != null) {
                    state6.dispose();
                }
                throw th;
            }
        }
        if (((int) did) == 0 || messagesOnly == 2) {
            try {
                cursor5 = this.database.queryFinalized("SELECT data FROM messages WHERE uid = " + did, new Object[0]);
                ArrayList<File> filesToDelete = new ArrayList<>();
                while (cursor5.next()) {
                    try {
                        data4 = cursor5.byteBufferValue(0);
                        if (data4 != null) {
                            TLRPC.Message message = TLRPC.Message.TLdeserialize(data4, data4.readInt32(false), false);
                            message.readAttachPath(data4, getUserConfig().clientUserId);
                            data4.reuse();
                            data4 = null;
                            addFilesToDelete(message, filesToDelete, false);
                        }
                    } catch (Exception e4) {
                        FileLog.e("deleteDialog ---> exception 1 ", e4);
                    }
                }
                cursor5.dispose();
                cursor5 = null;
                getFileLoader().deleteFiles(filesToDelete, messagesOnly);
            } catch (Exception e5) {
                e = e5;
                FileLog.e("deleteDialog ---> exception 3 ", e);
                if (data4 != null) {
                }
                if (cursor5 != null) {
                }
                if (state != null) {
                }
                if (state54 != null) {
                }
                if (state6 != null) {
                }
            } catch (Throwable th4) {
                th = th4;
                if (data4 != null) {
                }
                if (cursor5 != null) {
                }
                if (state != null) {
                }
                if (state54 != null) {
                }
                if (state6 != null) {
                }
                throw th;
            }
        }
        try {
        } catch (Exception e6) {
            e = e6;
            cursor5 = cursor2;
            data4 = data2;
            state = null;
            state6 = null;
            state54 = state52;
        } catch (Throwable th5) {
            th = th5;
            cursor5 = cursor;
            data4 = data;
            state = null;
            state6 = null;
            state54 = state5;
        }
        try {
            try {
                if (messagesOnly != 0) {
                    state53 = null;
                    if (messagesOnly == 3) {
                        cursor3 = cursor5;
                        data3 = data4;
                        str = "DELETE FROM media_v2 WHERE uid = ";
                        str2 = "DELETE FROM media_counts_v2 WHERE uid = ";
                        str3 = "DELETE FROM media_holes_v2 WHERE uid = ";
                    } else if (messagesOnly != 2) {
                        cursor3 = cursor5;
                        data3 = data4;
                        str = "DELETE FROM media_v2 WHERE uid = ";
                        str2 = "DELETE FROM media_counts_v2 WHERE uid = ";
                        str3 = "DELETE FROM media_holes_v2 WHERE uid = ";
                        this.database.executeFast("UPDATE dialogs SET unread_count = 0, unread_count_i = 0 WHERE did = " + did).stepThis().dispose();
                        this.database.executeFast("DELETE FROM messages WHERE uid = " + did).stepThis().dispose();
                        state = this.database.executeFast("DELETE FROM bot_keyboard WHERE uid = " + did);
                        state.stepThis().dispose();
                        this.database.executeFast(str2 + did).stepThis().dispose();
                        this.database.executeFast(str + did).stepThis().dispose();
                        this.database.executeFast("DELETE FROM messages_holes WHERE uid = " + did).stepThis().dispose();
                        this.database.executeFast(str3 + did).stepThis().dispose();
                        state = null;
                        getMediaDataController().clearBotKeyboard(did, null);
                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda90
                            @Override // java.lang.Runnable
                            public final void run() {
                                MessagesStorage.this.m761lambda$deleteDialog$43$imuecahxyvjdmessengerMessagesStorage();
                            }
                        });
                        if (data3 != null) {
                            data3.reuse();
                        }
                        if (cursor3 != null) {
                            cursor3.dispose();
                        }
                        if (0 != 0) {
                            state.dispose();
                        }
                        if (state53 != null) {
                            state53.dispose();
                        }
                        if (0 != 0) {
                            state6.dispose();
                        }
                        return;
                    } else {
                        try {
                            SQLiteCursor cursor6 = cursor5;
                            try {
                                NativeByteBuffer data5 = data4;
                                cursor5 = this.database.queryFinalized("SELECT last_mid_i, last_mid FROM dialogs WHERE did = " + did, new Object[0]);
                                try {
                                    if (cursor5.next()) {
                                        long last_mid_i = cursor5.longValue(0);
                                        long last_mid = cursor5.longValue(1);
                                        cursor4 = cursor5;
                                        try {
                                            SQLiteCursor cursor22 = this.database.queryFinalized("SELECT data FROM messages WHERE uid = " + did + " AND mid IN (" + last_mid_i + "," + last_mid + SQLBuilder.PARENTHESES_RIGHT, new Object[0]);
                                            int messageId2 = -1;
                                            data4 = data5;
                                            while (cursor22.next()) {
                                                try {
                                                    try {
                                                        data4 = cursor22.byteBufferValue(0);
                                                        if (data4 != null) {
                                                            messageId = messageId2;
                                                            try {
                                                                int messageId3 = data4.readInt32(false);
                                                                TLRPC.Message message2 = TLRPC.Message.TLdeserialize(data4, messageId3, false);
                                                                message2.readAttachPath(data4, getUserConfig().clientUserId);
                                                                data4.reuse();
                                                                data4 = null;
                                                                messageId2 = message2 != null ? message2.id : messageId;
                                                            } catch (Exception e7) {
                                                                e2 = e7;
                                                                try {
                                                                    FileLog.e("deleteDialog ---> exception 2 ", e2);
                                                                } catch (Throwable th6) {
                                                                    th2 = th6;
                                                                    if (data4 != null) {
                                                                        data4.reuse();
                                                                    }
                                                                    throw th2;
                                                                }
                                                            } catch (Throwable th7) {
                                                                th2 = th7;
                                                                if (data4 != null) {
                                                                }
                                                                throw th2;
                                                            }
                                                        }
                                                    } catch (Exception e8) {
                                                        messageId = messageId2;
                                                        e2 = e8;
                                                    } catch (Throwable th8) {
                                                        th2 = th8;
                                                    }
                                                } catch (Exception e9) {
                                                    e = e9;
                                                    state = null;
                                                    state6 = null;
                                                    state54 = null;
                                                    cursor5 = cursor4;
                                                    FileLog.e("deleteDialog ---> exception 3 ", e);
                                                    if (data4 != null) {
                                                    }
                                                    if (cursor5 != null) {
                                                    }
                                                    if (state != null) {
                                                    }
                                                    if (state54 != null) {
                                                    }
                                                    if (state6 != null) {
                                                    }
                                                } catch (Throwable th9) {
                                                    th = th9;
                                                    state = null;
                                                    state6 = null;
                                                    state54 = null;
                                                    cursor5 = cursor4;
                                                    if (data4 != null) {
                                                    }
                                                    if (cursor5 != null) {
                                                    }
                                                    if (state != null) {
                                                    }
                                                    if (state54 != null) {
                                                    }
                                                    if (state6 != null) {
                                                    }
                                                    throw th;
                                                }
                                            }
                                            messageId = messageId2;
                                        } catch (Exception e10) {
                                            e = e10;
                                            data4 = data5;
                                            state = null;
                                            state6 = null;
                                            state54 = null;
                                            cursor5 = cursor4;
                                        } catch (Throwable th10) {
                                            th = th10;
                                            data4 = data5;
                                            state = null;
                                            state6 = null;
                                            state54 = null;
                                            cursor5 = cursor4;
                                        }
                                    } else {
                                        cursor4 = cursor5;
                                        data4 = data5;
                                        state = null;
                                        state6 = null;
                                        state54 = null;
                                    }
                                    cursor4.dispose();
                                    SQLiteCursor cursor7 = null;
                                    if (data4 != null) {
                                        data4.reuse();
                                    }
                                    if (0 != 0) {
                                        cursor7.dispose();
                                    }
                                    if (state != null) {
                                        state.dispose();
                                    }
                                    if (state54 != null) {
                                        state54.dispose();
                                    }
                                    if (state6 != null) {
                                        state6.dispose();
                                        return;
                                    }
                                    return;
                                } catch (Exception e11) {
                                    e = e11;
                                    data4 = data5;
                                    state = null;
                                    state6 = null;
                                    state54 = null;
                                } catch (Throwable th11) {
                                    th = th11;
                                    data4 = data5;
                                    state = null;
                                    state6 = null;
                                    state54 = null;
                                }
                            } catch (Exception e12) {
                                e = e12;
                                cursor5 = cursor6;
                                state = null;
                                state6 = null;
                                state54 = null;
                            } catch (Throwable th12) {
                                th = th12;
                                cursor5 = cursor6;
                                state = null;
                                state6 = null;
                                state54 = null;
                            }
                        } catch (Exception e13) {
                            e = e13;
                            state = null;
                            state6 = null;
                            state54 = null;
                        } catch (Throwable th13) {
                            th = th13;
                            state = null;
                            state6 = null;
                            state54 = null;
                        }
                    }
                } else {
                    cursor3 = cursor5;
                    data3 = data4;
                    state53 = null;
                    str = "DELETE FROM media_v2 WHERE uid = ";
                    str2 = "DELETE FROM media_counts_v2 WHERE uid = ";
                    str3 = "DELETE FROM media_holes_v2 WHERE uid = ";
                }
                state.stepThis().dispose();
                this.database.executeFast(str2 + did).stepThis().dispose();
                this.database.executeFast(str + did).stepThis().dispose();
                this.database.executeFast("DELETE FROM messages_holes WHERE uid = " + did).stepThis().dispose();
                this.database.executeFast(str3 + did).stepThis().dispose();
                state = null;
                getMediaDataController().clearBotKeyboard(did, null);
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda90
                    @Override // java.lang.Runnable
                    public final void run() {
                        MessagesStorage.this.m761lambda$deleteDialog$43$imuecahxyvjdmessengerMessagesStorage();
                    }
                });
                if (data3 != null) {
                }
                if (cursor3 != null) {
                }
                if (0 != 0) {
                }
                if (state53 != null) {
                }
                if (0 != 0) {
                }
                return;
            } catch (Exception e14) {
                e = e14;
                cursor5 = cursor3;
                data4 = data3;
                state6 = null;
                state54 = state53;
                FileLog.e("deleteDialog ---> exception 3 ", e);
                if (data4 != null) {
                }
                if (cursor5 != null) {
                }
                if (state != null) {
                }
                if (state54 != null) {
                }
                if (state6 != null) {
                }
            } catch (Throwable th14) {
                th = th14;
                cursor5 = cursor3;
                data4 = data3;
                state6 = null;
                state54 = state53;
                if (data4 != null) {
                }
                if (cursor5 != null) {
                }
                if (state != null) {
                }
                if (state54 != null) {
                }
                if (state6 != null) {
                }
                throw th;
            }
            this.database.executeFast("DELETE FROM dialogs WHERE did = " + did).stepThis().dispose();
            this.database.executeFast("DELETE FROM chat_settings_v2 WHERE uid = " + did).stepThis().dispose();
            this.database.executeFast("DELETE FROM chat_pinned WHERE uid = " + did).stepThis().dispose();
            this.database.executeFast("DELETE FROM channel_users_v2 WHERE did = " + did).stepThis().dispose();
            this.database.executeFast("DELETE FROM search_recent WHERE did = " + did).stepThis().dispose();
            SQLitePreparedStatement state2 = null;
            int lower_id = (int) did;
            int high_id = (int) (did >> 32);
            if (lower_id == 0) {
                this.database.executeFast("DELETE FROM enc_chats WHERE uid = " + high_id).stepThis().dispose();
                state2 = null;
            }
            this.database.executeFast("UPDATE dialogs SET unread_count = 0, unread_count_i = 0 WHERE did = " + did).stepThis().dispose();
            this.database.executeFast("DELETE FROM messages WHERE uid = " + did).stepThis().dispose();
            state = this.database.executeFast("DELETE FROM bot_keyboard WHERE uid = " + did);
        } catch (Exception e15) {
            e = e15;
            state = null;
            cursor5 = cursor3;
            data4 = data3;
            state6 = null;
            state54 = state53;
            FileLog.e("deleteDialog ---> exception 3 ", e);
            if (data4 != null) {
            }
            if (cursor5 != null) {
            }
            if (state != null) {
            }
            if (state54 != null) {
            }
            if (state6 != null) {
            }
        } catch (Throwable th15) {
            th = th15;
            state = null;
            cursor5 = cursor3;
            data4 = data3;
            state6 = null;
            state54 = state53;
            if (data4 != null) {
            }
            if (cursor5 != null) {
            }
            if (state != null) {
            }
            if (state54 != null) {
            }
            if (state6 != null) {
            }
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$deleteDialog$43$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m761lambda$deleteDialog$43$imuecahxyvjdmessengerMessagesStorage() {
        getNotificationCenter().postNotificationName(NotificationCenter.needReloadRecentDialogsSearch, new Object[0]);
    }

    public void onDeleteQueryComplete(final long did) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda125
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m825x6541418d(did);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onDeleteQueryComplete$45$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m825x6541418d(long did) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast("DELETE FROM media_counts_v2 WHERE uid = " + did);
                state.stepThis().dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("onDeleteQueryComplete ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void getDialogPhotos(final int did, final int count, final long max_id, final int classGuid) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda136
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m776x87d7cbc7(max_id, did, count, classGuid);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getDialogPhotos$47$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m776x87d7cbc7(final long max_id, final int did, final int count, final int classGuid) {
        final TLRPC.photos_Photos res;
        NativeByteBuffer data;
        SQLiteCursor cursor;
        SQLiteCursor cursor2 = null;
        NativeByteBuffer data2 = null;
        try {
            try {
                cursor2 = max_id != 0 ? this.database.queryFinalized(String.format(Locale.US, "SELECT data FROM user_photos WHERE uid = %d AND id < %d ORDER BY rowid ASC LIMIT %d", Integer.valueOf(did), Long.valueOf(max_id), Integer.valueOf(count)), new Object[0]) : this.database.queryFinalized(String.format(Locale.US, "SELECT data FROM user_photos WHERE uid = %d ORDER BY rowid ASC LIMIT %d", Integer.valueOf(did), Integer.valueOf(count)), new Object[0]);
                res = new TLRPC.TL_photos_photos();
                data = null;
                while (cursor2.next()) {
                    try {
                        data = cursor2.byteBufferValue(0);
                        if (data != null) {
                            TLRPC.Photo photo = TLRPC.Photo.TLdeserialize(data, data.readInt32(false), false);
                            data.reuse();
                            data = null;
                            res.photos.add(photo);
                        }
                    } catch (Exception e) {
                        e = e;
                        data2 = data;
                    } catch (Throwable th) {
                        th = th;
                        data2 = data;
                    }
                }
                cursor2.dispose();
                cursor = null;
            } catch (Exception e2) {
                e = e2;
            }
        } catch (Throwable th2) {
            th = th2;
        }
        try {
            Utilities.stageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda9
                @Override // java.lang.Runnable
                public final void run() {
                    MessagesStorage.this.m775xfb37a0c6(res, did, count, max_id, classGuid);
                }
            });
            if (data != null) {
                data.reuse();
            }
            if (0 != 0) {
                cursor.dispose();
            }
        } catch (Exception e3) {
            e = e3;
            data2 = data;
            cursor2 = null;
            FileLog.e("getDialogPhotos ---> exception ", e);
            if (data2 != null) {
                data2.reuse();
            }
            if (cursor2 != null) {
                cursor2.dispose();
            }
        } catch (Throwable th3) {
            th = th3;
            data2 = data;
            cursor2 = null;
            if (data2 != null) {
                data2.reuse();
            }
            if (cursor2 != null) {
                cursor2.dispose();
            }
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getDialogPhotos$46$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m775xfb37a0c6(TLRPC.photos_Photos res, int did, int count, long max_id, int classGuid) {
        getMessagesController().processLoadedUserPhotos(res, did, count, max_id, true, classGuid);
    }

    public void clearUserPhotos(final int uid) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda23
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m750xd02cfa8e(uid);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$clearUserPhotos$48$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m750xd02cfa8e(int uid) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast("DELETE FROM user_photos WHERE uid = " + uid);
                state.stepThis().dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("clearUserPhotos ---> exception 1 ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void clearUserPhoto(final int uid, final long pid) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda66
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m749lambda$clearUserPhoto$49$imuecahxyvjdmessengerMessagesStorage(uid, pid);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$clearUserPhoto$49$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m749lambda$clearUserPhoto$49$imuecahxyvjdmessengerMessagesStorage(int uid, long pid) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast("DELETE FROM user_photos WHERE uid = " + uid + " AND id = " + pid);
                state.stepThis().dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("clearUserPhotos ---> exception 2 ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void resetDialogs(final TLRPC.messages_Dialogs dialogsRes, final int messagesCount, final int seq, final int newPts, final int date, final int qts, final LongSparseArray<TLRPC.Dialog> new_dialogs_dict, final LongSparseArray<MessageObject> new_dialogMessage, final TLRPC.Message lastMessage, final int dialogsCount) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda20
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m853lambda$resetDialogs$51$imuecahxyvjdmessengerMessagesStorage(dialogsRes, dialogsCount, seq, newPts, date, qts, lastMessage, messagesCount, new_dialogs_dict, new_dialogMessage);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$resetDialogs$51$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m853lambda$resetDialogs$51$imuecahxyvjdmessengerMessagesStorage(TLRPC.messages_Dialogs dialogsRes, int dialogsCount, int seq, int newPts, int date, int qts, TLRPC.Message lastMessage, int messagesCount, LongSparseArray new_dialogs_dict, LongSparseArray new_dialogMessage) {
        int totalPinnedCount;
        final LongSparseArray<Integer> oldPinnedDialogNums;
        ArrayList<Long> oldPinnedOrder;
        ArrayList<Long> orderArrayList;
        int maxPinnedNum;
        SQLiteCursor cursor;
        SQLitePreparedStatement state;
        int a2;
        int dialogsLoadOffsetUserId;
        int dialogsLoadOffsetChatId;
        int dialogsLoadOffsetChannelId;
        SQLiteCursor cursor2 = null;
        SQLitePreparedStatement state2 = null;
        try {
            try {
                ArrayList<Integer> dids = new ArrayList<>();
                totalPinnedCount = dialogsRes.dialogs.size() - dialogsCount;
                oldPinnedDialogNums = new LongSparseArray<>();
                oldPinnedOrder = new ArrayList<>();
                orderArrayList = new ArrayList<>();
                for (int a3 = dialogsCount; a3 < dialogsRes.dialogs.size(); a3++) {
                    orderArrayList.add(Long.valueOf(dialogsRes.dialogs.get(a3).id));
                }
                int maxPinnedNum2 = 0;
                cursor2 = this.database.queryFinalized("SELECT did, pinned FROM dialogs WHERE 1", new Object[0]);
                maxPinnedNum = 0;
                while (cursor2.next()) {
                    long did = cursor2.longValue(maxPinnedNum2);
                    int pinnedNum = cursor2.intValue(1);
                    int lower_id = (int) did;
                    if (lower_id != 0) {
                        dids.add(Integer.valueOf(lower_id));
                        if (pinnedNum > 0) {
                            int maxPinnedNum3 = Math.max(pinnedNum, maxPinnedNum);
                            oldPinnedDialogNums.put(did, Integer.valueOf(pinnedNum));
                            oldPinnedOrder.add(Long.valueOf(did));
                            maxPinnedNum = maxPinnedNum3;
                        }
                    }
                    maxPinnedNum2 = 0;
                }
                Collections.sort(oldPinnedOrder, new Comparator() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda3
                    @Override // java.util.Comparator
                    public final int compare(Object obj, Object obj2) {
                        return MessagesStorage.lambda$resetDialogs$50(oldPinnedDialogNums, (Long) obj, (Long) obj2);
                    }
                });
                while (oldPinnedOrder.size() < totalPinnedCount) {
                    oldPinnedOrder.add(0, 0L);
                }
                cursor2.dispose();
                cursor = null;
                try {
                    try {
                        String ids = SQLBuilder.PARENTHESES_LEFT + TextUtils.join(",", dids) + SQLBuilder.PARENTHESES_RIGHT;
                        try {
                            this.database.beginTransaction();
                        } catch (Exception e) {
                            FileLog.e("resetDialogs ---> exception 1 ", e);
                        }
                        this.database.executeFast("DELETE FROM dialogs WHERE did IN " + ids).stepThis().dispose();
                        this.database.executeFast("DELETE FROM messages WHERE uid IN " + ids).stepThis().dispose();
                        this.database.executeFast("DELETE FROM polls WHERE 1").stepThis().dispose();
                        this.database.executeFast("DELETE FROM bot_keyboard WHERE uid IN " + ids).stepThis().dispose();
                        this.database.executeFast("DELETE FROM media_v2 WHERE uid IN " + ids).stepThis().dispose();
                        this.database.executeFast("DELETE FROM messages_holes WHERE uid IN " + ids).stepThis().dispose();
                        state2 = this.database.executeFast("DELETE FROM media_holes_v2 WHERE uid IN " + ids);
                        state2.stepThis().dispose();
                        state = null;
                    } catch (Throwable th) {
                        th = th;
                        cursor2 = null;
                    }
                } catch (Exception e2) {
                    e = e2;
                    cursor2 = null;
                }
            } catch (Throwable th2) {
                th = th2;
            }
        } catch (Exception e3) {
            e = e3;
        }
        try {
            this.database.commitTransaction();
            for (int a4 = 0; a4 < totalPinnedCount; a4++) {
                TLRPC.Dialog dialog = dialogsRes.dialogs.get(dialogsCount + a4);
                if (!(dialog instanceof TLRPC.TL_dialog) || dialog.pinned) {
                    int oldIdx = oldPinnedOrder.indexOf(Long.valueOf(dialog.id));
                    int newIdx = orderArrayList.indexOf(Long.valueOf(dialog.id));
                    if (oldIdx != -1 && newIdx != -1) {
                        if (oldIdx == newIdx) {
                            Integer oldNum = oldPinnedDialogNums.get(dialog.id);
                            if (oldNum != null) {
                                dialog.pinnedNum = oldNum.intValue();
                            }
                        } else {
                            long oldDid = oldPinnedOrder.get(newIdx).longValue();
                            Integer oldNum2 = oldPinnedDialogNums.get(oldDid);
                            if (oldNum2 != null) {
                                dialog.pinnedNum = oldNum2.intValue();
                            }
                        }
                    }
                    if (dialog.pinnedNum == 0) {
                        dialog.pinnedNum = (totalPinnedCount - a4) + maxPinnedNum;
                    }
                }
            }
            putDialogsInternal(dialogsRes, 0);
            m857lambda$saveDiffParams$25$imuecahxyvjdmessengerMessagesStorage(seq, newPts, date, qts);
            int totalDialogsLoadCount = getUserConfig().getTotalDialogsCount(0);
            getUserConfig().getDialogLoadOffsets(0);
            int dialogsLoadOffsetChatId2 = 0;
            long dialogsLoadOffsetAccess = 0;
            int totalDialogsLoadCount2 = totalDialogsLoadCount + dialogsRes.dialogs.size();
            int dialogsLoadOffsetId = lastMessage.id;
            int dialogsLoadOffsetDate = lastMessage.date;
            if (lastMessage.to_id.channel_id != 0) {
                int dialogsLoadOffsetChannelId2 = lastMessage.to_id.channel_id;
                dialogsLoadOffsetChatId2 = 0;
                int a5 = 0;
                while (true) {
                    if (a5 >= dialogsRes.chats.size()) {
                        break;
                    }
                    TLRPC.Chat chat = dialogsRes.chats.get(a5);
                    if (chat.id == dialogsLoadOffsetChannelId2) {
                        dialogsLoadOffsetAccess = chat.access_hash;
                        break;
                    }
                    a5++;
                }
                a2 = 0;
                dialogsLoadOffsetUserId = dialogsLoadOffsetChannelId2;
            } else if (lastMessage.to_id.chat_id != 0) {
                int dialogsLoadOffsetChatId3 = lastMessage.to_id.chat_id;
                int a6 = 0;
                while (true) {
                    if (a6 >= dialogsRes.chats.size()) {
                        dialogsLoadOffsetChatId = dialogsLoadOffsetChatId3;
                        dialogsLoadOffsetChannelId = 0;
                        break;
                    }
                    TLRPC.Chat chat2 = dialogsRes.chats.get(a6);
                    if (chat2.id == dialogsLoadOffsetChatId3) {
                        dialogsLoadOffsetChatId = dialogsLoadOffsetChatId3;
                        dialogsLoadOffsetChannelId = 0;
                        dialogsLoadOffsetAccess = chat2.access_hash;
                        break;
                    }
                    a6++;
                }
                a2 = 0;
                dialogsLoadOffsetUserId = dialogsLoadOffsetChannelId;
                dialogsLoadOffsetChatId2 = dialogsLoadOffsetChatId;
            } else if (lastMessage.to_id.user_id != 0) {
                a2 = lastMessage.to_id.user_id;
                dialogsLoadOffsetChatId2 = 0;
                int a7 = 0;
                while (true) {
                    if (a7 >= dialogsRes.users.size()) {
                        dialogsLoadOffsetUserId = 0;
                        break;
                    }
                    TLRPC.User user = dialogsRes.users.get(a7);
                    if (user.id == a2) {
                        dialogsLoadOffsetUserId = 0;
                        dialogsLoadOffsetAccess = user.access_hash;
                        a2 = a2;
                        break;
                    }
                    a7++;
                }
            } else {
                a2 = 0;
                dialogsLoadOffsetUserId = 0;
            }
            for (int a8 = 0; a8 < 2; a8++) {
                getUserConfig().setDialogsLoadOffset(a8, dialogsLoadOffsetId, dialogsLoadOffsetDate, a2, dialogsLoadOffsetChatId2, dialogsLoadOffsetUserId, dialogsLoadOffsetAccess);
                getUserConfig().setTotalDialogsCount(a8, totalDialogsLoadCount2);
            }
            getUserConfig().draftsLoaded = false;
            getUserConfig().saveConfig(false);
            getMessagesController().completeDialogsReset(dialogsRes, messagesCount, seq, newPts, date, qts, new_dialogs_dict, new_dialogMessage, lastMessage);
            if (0 != 0) {
                cursor.dispose();
            }
            if (0 != 0) {
                state.dispose();
            }
        } catch (Exception e4) {
            e = e4;
            cursor2 = null;
            state2 = null;
            FileLog.e("resetDialogs ---> exception 2 ", e);
            if (cursor2 != null) {
                cursor2.dispose();
            }
            if (state2 != null) {
                state2.dispose();
            }
        } catch (Throwable th3) {
            th = th3;
            cursor2 = null;
            state2 = null;
            if (cursor2 != null) {
                cursor2.dispose();
            }
            if (state2 != null) {
                state2.dispose();
            }
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ int lambda$resetDialogs$50(LongSparseArray oldPinnedDialogNums, Long o1, Long o2) {
        Integer val1 = (Integer) oldPinnedDialogNums.get(o1.longValue());
        Integer val2 = (Integer) oldPinnedDialogNums.get(o2.longValue());
        if (val1.intValue() < val2.intValue()) {
            return 1;
        }
        if (val1.intValue() > val2.intValue()) {
            return -1;
        }
        return 0;
    }

    public void putDialogPhotos(final int did, final TLRPC.photos_Photos photos) {
        if (photos == null || photos.photos.isEmpty()) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda148
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m833x1db28a08(did, photos);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$putDialogPhotos$52$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m833x1db28a08(int did, TLRPC.photos_Photos photos) {
        NativeByteBuffer data = null;
        SQLitePreparedStatement state = null;
        try {
            try {
                this.database.executeFast("DELETE FROM user_photos WHERE uid = " + did).stepThis().dispose();
                state = this.database.executeFast("REPLACE INTO user_photos VALUES(?, ?, ?)");
                int N = photos.photos.size();
                for (int a2 = 0; a2 < N; a2++) {
                    TLRPC.Photo photo = photos.photos.get(a2);
                    if (!(photo instanceof TLRPC.TL_photoEmpty)) {
                        state.requery();
                        NativeByteBuffer data2 = new NativeByteBuffer(photo.getObjectSize());
                        photo.serializeToStream(data2);
                        state.bindInteger(1, did);
                        state.bindLong(2, photo.id);
                        state.bindByteBuffer(3, data2);
                        state.step();
                        data2.reuse();
                        data = null;
                    }
                }
                state.dispose();
                state = null;
                if (data != null) {
                    data.reuse();
                }
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("putDialogPhotos ---> exception ", e);
                if (data != null) {
                    data.reuse();
                }
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void emptyMessagesMedia(final ArrayList<Integer> mids) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda128
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m767x6f55dfd(mids);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:35:0x010b A[Catch: all -> 0x0157, Exception -> 0x0159, TryCatch #0 {Exception -> 0x0159, blocks: (B:3:0x0003, B:4:0x002a, B:6:0x0032, B:8:0x0039, B:10:0x0052, B:13:0x0059, B:15:0x005f, B:19:0x0078, B:16:0x0069, B:18:0x006f, B:21:0x0098, B:23:0x00a2, B:24:0x00ac, B:26:0x00b2, B:28:0x00f0, B:33:0x00f8, B:35:0x010b, B:37:0x0118, B:41:0x0124, B:36:0x0111, B:42:0x0134, B:43:0x0140), top: B:68:0x0003, outer: #1 }] */
    /* JADX WARN: Removed duplicated region for block: B:36:0x0111 A[Catch: all -> 0x0157, Exception -> 0x0159, TryCatch #0 {Exception -> 0x0159, blocks: (B:3:0x0003, B:4:0x002a, B:6:0x0032, B:8:0x0039, B:10:0x0052, B:13:0x0059, B:15:0x005f, B:19:0x0078, B:16:0x0069, B:18:0x006f, B:21:0x0098, B:23:0x00a2, B:24:0x00ac, B:26:0x00b2, B:28:0x00f0, B:33:0x00f8, B:35:0x010b, B:37:0x0118, B:41:0x0124, B:36:0x0111, B:42:0x0134, B:43:0x0140), top: B:68:0x0003, outer: #1 }] */
    /* JADX WARN: Removed duplicated region for block: B:39:0x0121  */
    /* JADX WARN: Removed duplicated region for block: B:40:0x0123  */
    /* renamed from: lambda$emptyMessagesMedia$54$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m767x6f55dfd(ArrayList mids) {
        int i;
        SQLiteCursor cursor = null;
        NativeByteBuffer data = null;
        SQLitePreparedStatement state = null;
        try {
            try {
                ArrayList<File> filesToDelete = new ArrayList<>();
                final ArrayList<TLRPC.Message> messages = new ArrayList<>();
                SQLiteCursor cursor2 = this.database.queryFinalized(String.format(Locale.US, "SELECT data, mid, date, uid FROM messages WHERE mid IN (%s)", TextUtils.join(",", mids)), new Object[0]);
                while (cursor2.next()) {
                    data = cursor2.byteBufferValue(0);
                    if (data != null) {
                        TLRPC.Message message = TLRPC.Message.TLdeserialize(data, data.readInt32(false), false);
                        message.readAttachPath(data, getUserConfig().clientUserId);
                        data.reuse();
                        data = null;
                        if (message.media != null) {
                            if (addFilesToDelete(message, filesToDelete, true)) {
                                if (message.media.document != null) {
                                    message.media.document = new TLRPC.TL_documentEmpty();
                                } else if (message.media.photo != null) {
                                    message.media.photo = new TLRPC.TL_photoEmpty();
                                }
                                message.media.flags &= -2;
                                message.id = cursor2.intValue(1);
                                message.date = cursor2.intValue(2);
                                message.dialog_id = cursor2.longValue(3);
                                messages.add(message);
                            }
                        }
                    }
                }
                cursor2.dispose();
                cursor = null;
                if (!messages.isEmpty()) {
                    SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO messages VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, NULL, ?, ?,?)");
                    for (int a2 = 0; a2 < messages.size(); a2++) {
                        TLRPC.Message message2 = messages.get(a2);
                        NativeByteBuffer data2 = new NativeByteBuffer(message2.getObjectSize());
                        message2.serializeToStream(data2);
                        state2.requery();
                        state2.bindLong(1, message2.id);
                        state2.bindLong(2, message2.dialog_id);
                        state2.bindInteger(3, MessageObject.getUnreadFlags(message2));
                        state2.bindInteger(4, message2.send_state);
                        state2.bindInteger(5, message2.date);
                        state2.bindByteBuffer(6, data2);
                        if (!MessageObject.isOut(message2) && !message2.from_scheduled) {
                            i = 0;
                            state2.bindInteger(7, i);
                            state2.bindInteger(8, message2.ttl);
                            if ((message2.flags & 1024) == 0) {
                                state2.bindInteger(9, message2.views);
                            } else {
                                state2.bindInteger(9, getMessageMediaType(message2));
                            }
                            state2.bindInteger(10, 0);
                            state2.bindInteger(11, !message2.mentioned ? 1 : 0);
                            state2.step();
                            data2.reuse();
                            data = null;
                        }
                        i = 1;
                        state2.bindInteger(7, i);
                        state2.bindInteger(8, message2.ttl);
                        if ((message2.flags & 1024) == 0) {
                        }
                        state2.bindInteger(10, 0);
                        state2.bindInteger(11, !message2.mentioned ? 1 : 0);
                        state2.step();
                        data2.reuse();
                        data = null;
                    }
                    state2.dispose();
                    state = null;
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda146
                        @Override // java.lang.Runnable
                        public final void run() {
                            MessagesStorage.this.m766x7a5532fc(messages);
                        }
                    });
                }
                getFileLoader().deleteFiles(filesToDelete, 0);
                if (data != null) {
                    data.reuse();
                }
                if (0 != 0) {
                    cursor.dispose();
                }
                if (state == null) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("emptyMessagesMedia ---> exception ", e);
                if (data != null) {
                    data.reuse();
                }
                if (cursor != null) {
                    cursor.dispose();
                }
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (cursor != null) {
                cursor.dispose();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$emptyMessagesMedia$53$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m766x7a5532fc(ArrayList messages) {
        for (int a2 = 0; a2 < messages.size(); a2++) {
            getNotificationCenter().postNotificationName(NotificationCenter.updateMessageMedia, messages.get(a2));
        }
    }

    public void updateMessagePollResults(final long pollId, final TLRPC.TL_poll poll, final TLRPC.TL_pollResults results) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda10
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m884xc05ab650(pollId, poll, results);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Type inference failed for: r13v0 */
    /* JADX WARN: Type inference failed for: r13v3 */
    /* renamed from: lambda$updateMessagePollResults$55$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m884xc05ab650(long pollId, TLRPC.TL_poll poll, TLRPC.TL_pollResults results) {
        SQLiteCursor cursor = null;
        NativeByteBuffer data = null;
        SQLitePreparedStatement state = null;
        try {
            try {
                int i = 0;
                SQLiteCursor cursor2 = this.database.queryFinalized(String.format(Locale.US, "SELECT mid FROM polls WHERE id = %d", Long.valueOf(pollId)), new Object[0]);
                ArrayList<Long> mids = null;
                while (cursor2.next()) {
                    if (mids == null) {
                        mids = new ArrayList<>();
                    }
                    mids.add(Long.valueOf(cursor2.longValue(0)));
                }
                cursor2.dispose();
                cursor = null;
                if (mids != null) {
                    try {
                        this.database.beginTransaction();
                    } catch (Exception e) {
                        FileLog.e("updateMessagePollResults ---> exception 1 ", e);
                    }
                    int a2 = 0;
                    int N = mids.size();
                    while (a2 < N) {
                        Long mid = mids.get(a2);
                        SQLiteDatabase sQLiteDatabase = this.database;
                        Locale locale = Locale.US;
                        Object[] objArr = new Object[1];
                        objArr[i] = mid;
                        SQLiteCursor cursor3 = sQLiteDatabase.queryFinalized(String.format(locale, "SELECT data FROM messages WHERE mid = %d", objArr), new Object[i]);
                        if (cursor3.next()) {
                            data = cursor3.byteBufferValue(i);
                            if (data != null) {
                                TLRPC.Message message = TLRPC.Message.TLdeserialize(data, data.readInt32(i), i);
                                message.readAttachPath(data, getUserConfig().clientUserId);
                                data.reuse();
                                data = null;
                                if (message.media instanceof TLRPC.TL_messageMediaPoll) {
                                    TLRPC.TL_messageMediaPoll media = (TLRPC.TL_messageMediaPoll) message.media;
                                    if (poll != null) {
                                        media.poll = poll;
                                    }
                                    if (results != null) {
                                        MessageObject.updatePollResults(media, results);
                                    }
                                    SQLitePreparedStatement state2 = this.database.executeFast("UPDATE messages SET data = ? WHERE mid = ?");
                                    NativeByteBuffer data2 = new NativeByteBuffer(message.getObjectSize());
                                    message.serializeToStream(data2);
                                    state2.requery();
                                    state2.bindByteBuffer(1, data2);
                                    state2.bindLong(2, mid.longValue());
                                    state2.step();
                                    data2.reuse();
                                    data = null;
                                    state2.dispose();
                                    state = null;
                                }
                            }
                        } else {
                            this.database.executeFast(String.format(Locale.US, "DELETE FROM polls WHERE mid = %d", mid)).stepThis().dispose();
                            state = null;
                        }
                        cursor3.dispose();
                        cursor = null;
                        a2++;
                        i = 0;
                    }
                    this.database.commitTransaction();
                }
                if (data != null) {
                    data.reuse();
                }
                if (cursor != null) {
                    cursor.dispose();
                }
                if (state == null) {
                    return;
                }
            } catch (Exception e2) {
                FileLog.e("updateMessagePollResults ---> exception 2 ", e2);
                if (data != null) {
                    data.reuse();
                }
                if (cursor != null) {
                    cursor.dispose();
                }
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (cursor != null) {
                cursor.dispose();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void updateMessageReactions(long dialogId, final int msgId, final int channelId, final TLRPC.TL_messageReactions reactions) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda123
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m885xbed2677e(msgId, channelId, reactions);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateMessageReactions$56$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m885xbed2677e(int msgId, int channelId, TLRPC.TL_messageReactions reactions) {
        SQLiteCursor cursor = null;
        NativeByteBuffer data = null;
        SQLitePreparedStatement state = null;
        try {
            try {
                this.database.beginTransaction();
            } catch (Exception e) {
                try {
                    FileLog.e("updateMessageReactions ---> exception 1 ", e);
                } catch (Exception e2) {
                    FileLog.e("updateMessageReactions ---> exception 2 ", e2);
                    if (data != null) {
                        data.reuse();
                    }
                    if (cursor != null) {
                        cursor.dispose();
                    }
                    if (state == null) {
                        return;
                    }
                }
            }
            long mid = msgId;
            if (channelId != 0) {
                mid |= channelId << 32;
            }
            SQLiteCursor cursor2 = this.database.queryFinalized(String.format(Locale.US, "SELECT data FROM messages WHERE mid = %d", Long.valueOf(mid)), new Object[0]);
            if (cursor2.next() && (data = cursor2.byteBufferValue(0)) != null) {
                TLRPC.Message message = TLRPC.Message.TLdeserialize(data, data.readInt32(false), false);
                message.readAttachPath(data, getUserConfig().clientUserId);
                data.reuse();
                if (message != null) {
                    MessageObject.updateReactions(message, reactions);
                    SQLitePreparedStatement state2 = this.database.executeFast("UPDATE messages SET data = ? WHERE mid = ?");
                    NativeByteBuffer data2 = new NativeByteBuffer(message.getObjectSize());
                    message.serializeToStream(data2);
                    state2.requery();
                    state2.bindByteBuffer(1, data2);
                    state2.bindLong(2, mid);
                    state2.step();
                    data2.reuse();
                    data = null;
                    state2.dispose();
                    state = null;
                }
            }
            cursor2.dispose();
            cursor = null;
            this.database.commitTransaction();
            if (data != null) {
                data.reuse();
            }
            if (0 != 0) {
                cursor.dispose();
            }
            if (state == null) {
                return;
            }
            state.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (cursor != null) {
                cursor.dispose();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void getNewTask(final ArrayList<Integer> oldTask, int channelId) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda2
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m784lambda$getNewTask$57$imuecahxyvjdmessengerMessagesStorage(oldTask);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getNewTask$57$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m784lambda$getNewTask$57$imuecahxyvjdmessengerMessagesStorage(ArrayList oldTask) {
        SQLiteCursor cursor = null;
        SQLitePreparedStatement state = null;
        if (oldTask != null) {
            try {
                try {
                    String ids = TextUtils.join(",", oldTask);
                    this.database.executeFast(String.format(Locale.US, "DELETE FROM enc_tasks_v2 WHERE mid IN(%s)", ids)).stepThis().dispose();
                    state = null;
                } catch (Exception e) {
                    FileLog.e("getNewTask ---> exception ", e);
                    if (cursor != null) {
                        cursor.dispose();
                    }
                    if (state == null) {
                        return;
                    }
                }
            } catch (Throwable th) {
                if (cursor != null) {
                    cursor.dispose();
                }
                if (state != null) {
                    state.dispose();
                }
                throw th;
            }
        }
        int date = 0;
        int channelId1 = -1;
        ArrayList<Integer> arr = null;
        SQLiteCursor cursor2 = this.database.queryFinalized("SELECT mid, date FROM enc_tasks_v2 WHERE date = (SELECT min(date) FROM enc_tasks_v2)", new Object[0]);
        while (cursor2.next()) {
            long mid = cursor2.longValue(0);
            if (channelId1 == -1 && (channelId1 = (int) (mid >> 32)) < 0) {
                channelId1 = 0;
            }
            date = cursor2.intValue(1);
            if (arr == null) {
                arr = new ArrayList<>();
            }
            arr.add(Integer.valueOf((int) mid));
        }
        cursor2.dispose();
        cursor = null;
        getMessagesController().processLoadedDeleteTask(date, arr, channelId1);
        if (0 != 0) {
            cursor.dispose();
        }
        if (state == null) {
            return;
        }
        state.dispose();
    }

    public void markMentionMessageAsRead(final int messageId, final int channelId, final long did) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda69
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m815x2b840e9a(messageId, channelId, did);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$markMentionMessageAsRead$58$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m815x2b840e9a(int messageId, int channelId, long did) {
        SQLiteCursor cursor = null;
        SQLitePreparedStatement state = null;
        long mid = messageId;
        if (channelId != 0) {
            mid |= channelId << 32;
        }
        try {
            try {
                this.database.executeFast(String.format(Locale.US, "UPDATE messages SET read_state = read_state | 2 WHERE mid = %d", Long.valueOf(mid))).stepThis().dispose();
                SQLiteCursor cursor2 = this.database.queryFinalized("SELECT unread_count_i FROM dialogs WHERE did = " + did, new Object[0]);
                int old_mentions_count = cursor2.next() ? Math.max(0, cursor2.intValue(0) - 1) : 0;
                cursor2.dispose();
                cursor = null;
                this.database.executeFast(String.format(Locale.US, "UPDATE dialogs SET unread_count_i = %d WHERE did = %d", Integer.valueOf(old_mentions_count), Long.valueOf(did))).stepThis().dispose();
                state = null;
                LongSparseArray<Integer> sparseArray = new LongSparseArray<>(1);
                sparseArray.put(did, Integer.valueOf(old_mentions_count));
                getMessagesController().processDialogsUpdateRead(null, sparseArray);
                if (0 != 0) {
                    cursor.dispose();
                }
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("markMentionMessageAsRead ---> exception ", e);
                if (cursor != null) {
                    cursor.dispose();
                }
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (cursor != null) {
                cursor.dispose();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void markMessageAsMention(final long mid) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda73
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m816xa7249a0f(mid);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$markMessageAsMention$59$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m816xa7249a0f(long mid) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast(String.format(Locale.US, "UPDATE messages SET mention = 1, read_state = read_state & ~2 WHERE mid = %d", Long.valueOf(mid)));
                state.stepThis().dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("markMessageAsMention ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void resetMentionsCount(final long did, final int count) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda143
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m854x8f4e938c(count, did);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$resetMentionsCount$60$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m854x8f4e938c(int count, long did) {
        SQLitePreparedStatement state = null;
        try {
            if (count == 0) {
                try {
                    this.database.executeFast(String.format(Locale.US, "UPDATE messages SET read_state = read_state | 2 WHERE uid = %d AND mention = 1 AND read_state IN(0, 1)", Long.valueOf(did))).stepThis().dispose();
                } catch (Exception e) {
                    FileLog.e("resetMentionsCount ---> exception ", e);
                    if (state == null) {
                        return;
                    }
                }
            }
            this.database.executeFast(String.format(Locale.US, "UPDATE dialogs SET unread_count_i = %d WHERE did = %d", Integer.valueOf(count), Long.valueOf(did))).stepThis().dispose();
            state = null;
            LongSparseArray<Integer> sparseArray = new LongSparseArray<>(1);
            sparseArray.put(did, Integer.valueOf(count));
            getMessagesController().processDialogsUpdateRead(null, sparseArray);
            if (0 == 0) {
                return;
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void createTaskForMid(final int messageId, final int channelId, final int time, final int readTime, final int ttl, final boolean inner) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda158
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m754x147edfa5(time, readTime, ttl, messageId, channelId, inner);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:42:0x00d5  */
    /* JADX WARN: Removed duplicated region for block: B:53:? A[RETURN, SYNTHETIC] */
    /* renamed from: lambda$createTaskForMid$62$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m754x147edfa5(int time, int readTime, int ttl, int messageId, int channelId, final boolean inner) {
        SparseArray<ArrayList<Long>> messages;
        final ArrayList<Long> midsArray;
        long mid;
        SQLitePreparedStatement state = null;
        int minDate = (time > readTime ? time : readTime) + ttl;
        try {
            try {
                messages = new SparseArray<>();
                midsArray = new ArrayList<>();
                mid = messageId;
                if (channelId != 0) {
                    mid |= channelId << 32;
                }
            } catch (Throwable th) {
                th = th;
                if (0 != 0) {
                    state.dispose();
                }
                throw th;
            }
            try {
                midsArray.add(Long.valueOf(mid));
                messages.put(minDate, midsArray);
                try {
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda131
                        @Override // java.lang.Runnable
                        public final void run() {
                            MessagesStorage.this.m753x87deb4a4(inner, midsArray);
                        }
                    });
                    SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO enc_tasks_v2 VALUES(?, ?)");
                    for (int a2 = 0; a2 < messages.size(); a2++) {
                        int key = messages.keyAt(a2);
                        ArrayList<Long> arr = messages.get(key);
                        for (int b = 0; b < arr.size(); b++) {
                            state2.requery();
                            state2.bindLong(1, arr.get(b).longValue());
                            state2.bindInteger(2, key);
                            state2.step();
                        }
                    }
                    state2.dispose();
                    this.database.executeFast(String.format(Locale.US, "UPDATE messages SET ttl = 0 WHERE mid = %d", Long.valueOf(mid))).stepThis().dispose();
                    state = null;
                    getMessagesController().didAddedNewTask(minDate, messages);
                    if (0 == 0) {
                        return;
                    }
                } catch (Exception e) {
                    e = e;
                    FileLog.e("createTaskForMid ---> exception ", e);
                    if (state == null) {
                        return;
                    }
                    state.dispose();
                }
            } catch (Exception e2) {
                e = e2;
                FileLog.e("createTaskForMid ---> exception ", e);
                if (state == null) {
                }
                state.dispose();
            } catch (Throwable th2) {
                th = th2;
                if (0 != 0) {
                }
                throw th;
            }
        } catch (Exception e3) {
            e = e3;
        } catch (Throwable th3) {
            th = th3;
        }
        state.dispose();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createTaskForMid$61$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m753x87deb4a4(boolean inner, ArrayList midsArray) {
        if (!inner) {
            markMessagesContentAsRead(midsArray, 0);
        }
        getNotificationCenter().postNotificationName(NotificationCenter.messagesReadContent, midsArray);
    }

    public void createTaskForSecretChat(final int chatId, final int time, final int readTime, final int isOut, final ArrayList<Long> random_ids) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda39
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m756xf3df1d11(random_ids, chatId, isOut, time, readTime);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Removed duplicated region for block: B:75:0x01a4  */
    /* JADX WARN: Removed duplicated region for block: B:77:0x01a9  */
    /* JADX WARN: Removed duplicated region for block: B:82:0x01b1  */
    /* JADX WARN: Removed duplicated region for block: B:84:0x01b6  */
    /* JADX WARN: Type inference failed for: r3v13 */
    /* JADX WARN: Type inference failed for: r3v16 */
    /* JADX WARN: Type inference failed for: r3v21 */
    /* JADX WARN: Type inference failed for: r3v8, types: [int] */
    /* renamed from: lambda$createTaskForSecretChat$64$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m756xf3df1d11(ArrayList random_ids, int chatId, int isOut, int time, int readTime) {
        SQLiteCursor cursor;
        ArrayList<Long> arr;
        int cursor2 = null;
        cursor2 = 0;
        cursor2 = null;
        cursor2 = null;
        SQLitePreparedStatement state = null;
        try {
            try {
                SparseArray<ArrayList<Long>> messages = new SparseArray<>();
                final ArrayList<Long> midsArray = new ArrayList<>();
                StringBuilder mids = new StringBuilder();
                try {
                    if (random_ids == null) {
                        SQLiteDatabase sQLiteDatabase = this.database;
                        Locale locale = Locale.US;
                        Object[] objArr = new Object[3];
                        objArr[0] = Long.valueOf(chatId << 32);
                        objArr[1] = Integer.valueOf(isOut);
                        objArr[2] = Integer.valueOf(time);
                        SQLiteCursor cursor3 = sQLiteDatabase.queryFinalized(String.format(locale, "SELECT mid, ttl FROM messages WHERE uid = %d AND out = %d AND read_state != 0 AND ttl > 0 AND date <= %d AND send_state = 0 AND media != 1", objArr), new Object[0]);
                        cursor = cursor3;
                        cursor2 = 2147483647;
                    } else {
                        String ids = TextUtils.join(",", random_ids);
                        SQLiteCursor cursor4 = this.database.queryFinalized(String.format(Locale.US, "SELECT m.mid, m.ttl FROM messages as m INNER JOIN randoms as r ON m.mid = r.mid WHERE r.random_id IN (%s)", ids), new Object[0]);
                        cursor = cursor4;
                        cursor2 = 2147483647;
                    }
                    while (cursor.next()) {
                        try {
                            try {
                                int ttl = cursor.intValue(1);
                                long mid = cursor.intValue(0);
                                if (random_ids != null) {
                                    midsArray.add(Long.valueOf(mid));
                                }
                                if (ttl > 0) {
                                    int date = (time > readTime ? time : readTime) + ttl;
                                    int minDate = Math.min((int) cursor2, date);
                                    ArrayList<Long> arr2 = messages.get(date);
                                    if (arr2 == null) {
                                        arr = new ArrayList<>();
                                        messages.put(date, arr);
                                    } else {
                                        arr = arr2;
                                    }
                                    if (mids.length() != 0) {
                                        mids.append(",");
                                    }
                                    mids.append(mid);
                                    arr.add(Long.valueOf(mid));
                                    cursor2 = minDate;
                                }
                            } catch (Exception e) {
                                e = e;
                                cursor2 = cursor;
                                FileLog.e("createTaskForSecretChat ---> exception 2 ", e);
                                if (cursor2 != null) {
                                }
                                if (state != null) {
                                }
                                return;
                            } catch (Throwable th) {
                                th = th;
                                cursor2 = cursor;
                                if (cursor2 != null) {
                                }
                                if (state != null) {
                                }
                                throw th;
                            }
                        } catch (Exception e2) {
                            e = e2;
                        } catch (Throwable th2) {
                            th = th2;
                        }
                    }
                    cursor.dispose();
                    SQLiteCursor cursor5 = null;
                    if (random_ids != null) {
                        try {
                            try {
                                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda26
                                    @Override // java.lang.Runnable
                                    public final void run() {
                                        MessagesStorage.this.m755x673ef210(midsArray);
                                    }
                                });
                            } catch (Exception e3) {
                                e = e3;
                                cursor2 = null;
                                FileLog.e("createTaskForSecretChat ---> exception 2 ", e);
                                if (cursor2 != null) {
                                    cursor2.dispose();
                                }
                                if (state != null) {
                                    state.dispose();
                                }
                                return;
                            }
                        } catch (Throwable th3) {
                            th = th3;
                            cursor2 = null;
                            if (cursor2 != null) {
                                cursor2.dispose();
                            }
                            if (state != null) {
                                state.dispose();
                            }
                            throw th;
                        }
                    }
                    if (messages.size() != 0) {
                        try {
                            this.database.beginTransaction();
                        } catch (Exception e4) {
                            FileLog.e("createTaskForSecretChat ---> exception 1 ", e4);
                        }
                        SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO enc_tasks_v2 VALUES(?, ?)");
                        for (int a2 = 0; a2 < messages.size(); a2++) {
                            int key = messages.keyAt(a2);
                            ArrayList<Long> arr3 = messages.get(key);
                            for (int b = 0; b < arr3.size(); b++) {
                                state2.requery();
                                state2.bindLong(1, arr3.get(b).longValue());
                                state2.bindInteger(2, key);
                                state2.step();
                            }
                        }
                        state2.dispose();
                        this.database.commitTransaction();
                        this.database.executeFast(String.format(Locale.US, "UPDATE messages SET ttl = 0 WHERE mid IN(%s)", mids.toString())).stepThis().dispose();
                        state = null;
                        getMessagesController().didAddedNewTask(cursor2, messages);
                    }
                    if (0 != 0) {
                        cursor5.dispose();
                    }
                    if (state != null) {
                        state.dispose();
                    }
                } catch (Exception e5) {
                    e = e5;
                }
            } catch (Throwable th4) {
                th = th4;
            }
        } catch (Exception e6) {
            e = e6;
        } catch (Throwable th5) {
            th = th5;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createTaskForSecretChat$63$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m755x673ef210(ArrayList midsArray) {
        markMessagesContentAsRead(midsArray, 0);
        getNotificationCenter().postNotificationName(NotificationCenter.messagesReadContent, midsArray);
    }

    /* JADX WARN: Can't wrap try/catch for region: R(6:(7:112|113|(1:115)|116|117|(1:119)|120)|122|123|124|(2:126|127)(1:129)|128) */
    /* JADX WARN: Code restructure failed: missing block: B:66:0x0134, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:67:0x0135, code lost:
        im.uecahxyvjd.messenger.FileLog.e("updateDialogsWithReadMessagesInternal ---> exception 3 ", r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:68:0x013a, code lost:
        if (r2 != null) goto L134;
     */
    /* JADX WARN: Code restructure failed: missing block: B:69:0x013c, code lost:
        r2.dispose();
     */
    /* JADX WARN: Removed duplicated region for block: B:235:0x013f A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:63:0x012e  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void updateDialogsWithReadMessagesInternal(ArrayList<Integer> messages, SparseLongArray inbox, SparseLongArray outbox, ArrayList<Long> mentions) {
        SQLitePreparedStatement state;
        SQLitePreparedStatement state2;
        SQLiteCursor cursor;
        SparseLongArray sparseLongArray = inbox;
        LongSparseArray<Integer> dialogsToUpdate = new LongSparseArray<>();
        LongSparseArray<Integer> dialogsToUpdateMentions = new LongSparseArray<>();
        ArrayList<Integer> channelMentionsToReload = new ArrayList<>();
        int i = 0;
        if (isEmpty(messages)) {
            if (!isEmpty(inbox)) {
                int b = 0;
                while (b < inbox.size()) {
                    int key = sparseLongArray.keyAt(b);
                    long messageId = sparseLongArray.get(key);
                    SQLiteCursor cursor2 = null;
                    try {
                        try {
                            cursor = this.database.queryFinalized(String.format(Locale.US, "SELECT COUNT(mid) FROM messages WHERE uid = %d AND mid > %d AND read_state IN(0,2) AND out = 0", Integer.valueOf(key), Long.valueOf(messageId)), new Object[0]);
                        } catch (Exception e) {
                            e = e;
                        }
                    } catch (Throwable th) {
                        th = th;
                    }
                    try {
                        try {
                            if (cursor.next()) {
                                dialogsToUpdate.put(key, Integer.valueOf(cursor.intValue(0)));
                            }
                            cursor.dispose();
                            SQLiteCursor cursor3 = null;
                            if (0 != 0) {
                                cursor3.dispose();
                            }
                        } catch (Exception e2) {
                            e = e2;
                            cursor2 = cursor;
                            FileLog.e("updateDialogsWithReadMessagesInternal ---> exception 2 ", e);
                            if (cursor2 != null) {
                                cursor2.dispose();
                            }
                            state2 = null;
                            state2 = this.database.executeFast("UPDATE dialogs SET inbox_max = max((SELECT inbox_max FROM dialogs WHERE did = ?), ?) WHERE did = ?");
                            state2.requery();
                            state2.bindLong(1, key);
                            state2.bindInteger(2, (int) messageId);
                            state2.bindLong(3, key);
                            state2.step();
                            state2.dispose();
                            SQLitePreparedStatement state3 = null;
                            if (0 == 0) {
                            }
                            b++;
                            sparseLongArray = inbox;
                        } catch (Throwable th2) {
                            th = th2;
                            cursor2 = cursor;
                            if (cursor2 != null) {
                                cursor2.dispose();
                            }
                            throw th;
                        }
                        state2 = this.database.executeFast("UPDATE dialogs SET inbox_max = max((SELECT inbox_max FROM dialogs WHERE did = ?), ?) WHERE did = ?");
                        state2.requery();
                        state2.bindLong(1, key);
                        state2.bindInteger(2, (int) messageId);
                        state2.bindLong(3, key);
                        state2.step();
                        state2.dispose();
                        SQLitePreparedStatement state32 = null;
                        if (0 == 0) {
                            state32.dispose();
                        }
                        b++;
                        sparseLongArray = inbox;
                    } catch (Throwable th3) {
                        if (state2 != null) {
                            state2.dispose();
                        }
                        throw th3;
                    }
                    state2 = null;
                }
            }
            if (!isEmpty(mentions)) {
                ArrayList<Long> notFoundMentions = new ArrayList<>(mentions);
                String ids = TextUtils.join(",", mentions);
                SQLiteCursor cursor4 = null;
                try {
                    try {
                        cursor4 = this.database.queryFinalized(String.format(Locale.US, "SELECT uid, read_state, out, mention, mid FROM messages WHERE mid IN(%s)", ids), new Object[0]);
                        while (cursor4.next()) {
                            long did = cursor4.longValue(0);
                            notFoundMentions.remove(Long.valueOf(cursor4.longValue(4)));
                            if (cursor4.intValue(1) < 2 && cursor4.intValue(2) == 0 && cursor4.intValue(3) == 1) {
                                Integer unread_count = dialogsToUpdateMentions.get(did);
                                if (unread_count == null) {
                                    SQLiteCursor cursor22 = this.database.queryFinalized("SELECT unread_count_i FROM dialogs WHERE did = " + did, new Object[0]);
                                    int old_mentions_count = cursor22.next() ? cursor22.intValue(0) : 0;
                                    cursor22.dispose();
                                    dialogsToUpdateMentions.put(did, Integer.valueOf(Math.max(0, old_mentions_count - 1)));
                                } else {
                                    dialogsToUpdateMentions.put(did, Integer.valueOf(Math.max(0, unread_count.intValue() - 1)));
                                }
                            }
                        }
                        cursor4.dispose();
                        SQLiteCursor cursor5 = null;
                        if (0 != 0) {
                            cursor5.dispose();
                        }
                    } catch (Exception e3) {
                        FileLog.e("updateDialogsWithReadMessagesInternal ---> exception 4 ", e3);
                        if (cursor4 != null) {
                            cursor4.dispose();
                        }
                    }
                    for (int a2 = 0; a2 < notFoundMentions.size(); a2++) {
                        int channelId = (int) (notFoundMentions.get(a2).longValue() >> 32);
                        if (channelId > 0 && !channelMentionsToReload.contains(Integer.valueOf(channelId))) {
                            channelMentionsToReload.add(Integer.valueOf(channelId));
                        }
                    }
                } catch (Throwable th4) {
                    if (cursor4 != null) {
                        cursor4.dispose();
                    }
                    throw th4;
                }
            }
            if (!isEmpty(outbox)) {
                for (int b2 = 0; b2 < outbox.size(); b2++) {
                    int key2 = outbox.keyAt(b2);
                    long messageId2 = outbox.get(key2);
                    state = null;
                    try {
                        try {
                            state = this.database.executeFast("UPDATE dialogs SET outbox_max = max((SELECT outbox_max FROM dialogs WHERE did = ?), ?) WHERE did = ?");
                            state.requery();
                            state.bindLong(1, key2);
                            state.bindInteger(2, (int) messageId2);
                        } catch (Exception e4) {
                            e = e4;
                        }
                        try {
                            state.bindLong(3, key2);
                            state.step();
                            state.dispose();
                            SQLitePreparedStatement state4 = null;
                            if (0 != 0) {
                                state4.dispose();
                            }
                        } catch (Exception e5) {
                            e = e5;
                            FileLog.e("updateDialogsWithReadMessagesInternal ---> exception 5 ", e);
                            if (state != null) {
                                state.dispose();
                            }
                        }
                    } finally {
                        if (state != null) {
                            state.dispose();
                        }
                    }
                }
            }
        } else {
            String ids2 = TextUtils.join(",", messages);
            SQLiteCursor cursor6 = null;
            try {
                try {
                    cursor6 = this.database.queryFinalized(String.format(Locale.US, "SELECT uid, read_state, out FROM messages WHERE mid IN(%s)", ids2), new Object[0]);
                    while (cursor6.next()) {
                        int out = cursor6.intValue(2);
                        if (out == 0) {
                            int read_state = cursor6.intValue(1);
                            if (read_state == 0) {
                                long uid = cursor6.longValue(i);
                                Integer currentCount = dialogsToUpdate.get(uid);
                                if (currentCount == null) {
                                    dialogsToUpdate.put(uid, 1);
                                } else {
                                    dialogsToUpdate.put(uid, Integer.valueOf(currentCount.intValue() + 1));
                                }
                                i = 0;
                            }
                        }
                    }
                    cursor6.dispose();
                    SQLiteCursor cursor7 = null;
                    if (0 != 0) {
                        cursor7.dispose();
                    }
                } catch (Throwable th5) {
                    if (cursor6 != null) {
                        cursor6.dispose();
                    }
                    throw th5;
                }
            } catch (Exception e6) {
                FileLog.e("updateDialogsWithReadMessagesInternal ---> exception 1 ", e6);
                if (cursor6 != null) {
                    cursor6.dispose();
                }
            }
        }
        if (dialogsToUpdate.size() > 0 || dialogsToUpdateMentions.size() > 0) {
            try {
                this.database.beginTransaction();
            } catch (Exception e7) {
                FileLog.e("updateDialogsWithReadMessagesInternal ---> exception 6 ", e7);
            }
            if (dialogsToUpdate.size() > 0) {
                SQLitePreparedStatement state5 = null;
                try {
                    try {
                        state5 = this.database.executeFast("UPDATE dialogs SET unread_count = ? WHERE did = ?");
                        for (int a3 = 0; a3 < dialogsToUpdate.size(); a3++) {
                            state5.requery();
                            state5.bindInteger(1, dialogsToUpdate.valueAt(a3).intValue());
                            state5.bindLong(2, dialogsToUpdate.keyAt(a3));
                            state5.step();
                        }
                        state5.dispose();
                        SQLitePreparedStatement state6 = null;
                        if (0 != 0) {
                            state6.dispose();
                        }
                    } catch (Exception e8) {
                        FileLog.e("updateDialogsWithReadMessagesInternal ---> exception 7 ", e8);
                        if (state5 != null) {
                            state5.dispose();
                        }
                    }
                } catch (Throwable th6) {
                    if (state5 != null) {
                        state5.dispose();
                    }
                    throw th6;
                }
            }
            if (dialogsToUpdateMentions.size() > 0) {
                SQLitePreparedStatement state7 = null;
                try {
                    try {
                        state7 = this.database.executeFast("UPDATE dialogs SET unread_count_i = ? WHERE did = ?");
                        for (int a4 = 0; a4 < dialogsToUpdateMentions.size(); a4++) {
                            state7.requery();
                            state7.bindInteger(1, dialogsToUpdateMentions.valueAt(a4).intValue());
                            state7.bindLong(2, dialogsToUpdateMentions.keyAt(a4));
                            state7.step();
                        }
                        state7.dispose();
                        state = null;
                    } catch (Exception e9) {
                        FileLog.e("updateDialogsWithReadMessagesInternal ---> exception 8 ", e9);
                        if (state7 != null) {
                            state7.dispose();
                        }
                    }
                } catch (Throwable th7) {
                    if (state7 != null) {
                        state7.dispose();
                    }
                    throw th7;
                }
            }
            this.database.commitTransaction();
        }
        getMessagesController().processDialogsUpdateRead(dialogsToUpdate, dialogsToUpdateMentions);
        if (channelMentionsToReload.isEmpty()) {
            return;
        }
        getMessagesController().reloadMentionsCountForChannels(channelMentionsToReload);
    }

    private static boolean isEmpty(SparseArray<?> array) {
        return array == null || array.size() == 0;
    }

    private static boolean isEmpty(SparseLongArray array) {
        return array == null || array.size() == 0;
    }

    private static boolean isEmpty(List<?> array) {
        return array == null || array.isEmpty();
    }

    private static boolean isEmpty(SparseIntArray array) {
        return array == null || array.size() == 0;
    }

    private static boolean isEmpty(LongSparseArray<?> array) {
        return array == null || array.size() == 0;
    }

    public void updateDialogsWithReadMessages(final SparseLongArray inbox, final SparseLongArray outbox, final ArrayList<Long> mentions, boolean useQueue) {
        if (isEmpty(inbox) && isEmpty(mentions)) {
            return;
        }
        if (useQueue) {
            this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda144
                @Override // java.lang.Runnable
                public final void run() {
                    MessagesStorage.this.m879x265be298(inbox, outbox, mentions);
                }
            });
        } else {
            updateDialogsWithReadMessagesInternal(null, inbox, outbox, mentions);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateDialogsWithReadMessages$65$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m879x265be298(SparseLongArray inbox, SparseLongArray outbox, ArrayList mentions) {
        updateDialogsWithReadMessagesInternal(null, inbox, outbox, mentions);
    }

    public void updateChatParticipants(final TLRPC.ChatParticipants participants) {
        if (participants == null) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda153
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m872xd8de4889(participants);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateChatParticipants$67$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m872xd8de4889(TLRPC.ChatParticipants participants) {
        SQLiteCursor cursor = null;
        NativeByteBuffer data = null;
        SQLitePreparedStatement state = null;
        try {
            try {
                SQLiteCursor cursor2 = this.database.queryFinalized("SELECT info, pinned, online FROM chat_settings_v2 WHERE uid = " + participants.chat_id, new Object[0]);
                TLRPC.ChatFull info = null;
                new ArrayList();
                if (cursor2.next() && (data = cursor2.byteBufferValue(0)) != null) {
                    info = TLRPC.ChatFull.TLdeserialize(data, data.readInt32(false), false);
                    data.reuse();
                    data = null;
                    info.pinned_msg_id = cursor2.intValue(1);
                    info.online_count = cursor2.intValue(2);
                }
                cursor2.dispose();
                cursor = null;
                if (info instanceof TLRPC.TL_chatFull) {
                    info.participants = participants;
                    final TLRPC.ChatFull finalInfo = info;
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda18
                        @Override // java.lang.Runnable
                        public final void run() {
                            MessagesStorage.this.m871x4c3e1d88(finalInfo);
                        }
                    });
                    SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO chat_settings_v2 VALUES(?, ?, ?, ?)");
                    data = new NativeByteBuffer(info.getObjectSize());
                    info.serializeToStream(data);
                    state2.bindInteger(1, info.id);
                    state2.bindByteBuffer(2, data);
                    state2.bindInteger(3, info.pinned_msg_id);
                    state2.bindInteger(4, info.online_count);
                    state2.step();
                    state2.dispose();
                    state = null;
                    data.reuse();
                    data = null;
                }
                if (data != null) {
                    data.reuse();
                }
                if (0 != 0) {
                    cursor.dispose();
                }
                if (state == null) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("updateChatParticipants ---> exception ", e);
                if (data != null) {
                    data.reuse();
                }
                if (cursor != null) {
                    cursor.dispose();
                }
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (cursor != null) {
                cursor.dispose();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateChatParticipants$66$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m871x4c3e1d88(TLRPC.ChatFull finalInfo) {
        getNotificationCenter().postNotificationName(NotificationCenter.chatInfoDidLoad, finalInfo, 0, false, 0);
    }

    public void loadChannelAdmins(final int chatId) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda71
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m793xd5d25c44(chatId);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadChannelAdmins$68$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m793xd5d25c44(int chatId) {
        SQLiteCursor cursor = null;
        try {
            try {
                SQLiteCursor cursor2 = this.database.queryFinalized("SELECT uid, rank FROM channel_admins_v2 WHERE did = " + chatId, new Object[0]);
                SparseArray<String> ids = new SparseArray<>();
                while (cursor2.next()) {
                    ids.put(cursor2.intValue(0), cursor2.stringValue(1));
                }
                cursor2.dispose();
                cursor = null;
                getMessagesController().processLoadedChannelAdmins(ids, chatId, true);
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("loadChannelAdmins ---> exception ", e);
                if (cursor == null) {
                    return;
                }
            }
            cursor.dispose();
        } catch (Throwable th) {
            if (cursor != null) {
                cursor.dispose();
            }
            throw th;
        }
    }

    public void putChannelAdmins(final int chatId, final SparseArray<String> ids) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda129
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m830x51d3354(chatId, ids);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$putChannelAdmins$69$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m830x51d3354(int chatId, SparseArray ids) {
        SQLitePreparedStatement state = null;
        try {
            try {
                this.database.executeFast("DELETE FROM channel_admins_v2 WHERE did = " + chatId).stepThis().dispose();
                try {
                    this.database.beginTransaction();
                } catch (Exception e) {
                    FileLog.e("putChannelAdmins ---> exception 1 ", e);
                }
                SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO channel_admins_v2 VALUES(?, ?, ?)");
                int currentTimeMillis = (int) (System.currentTimeMillis() / 1000);
                for (int a2 = 0; a2 < ids.size(); a2++) {
                    state2.requery();
                    state2.bindInteger(1, chatId);
                    state2.bindInteger(2, ids.keyAt(a2));
                    state2.bindString(3, (String) ids.valueAt(a2));
                    state2.step();
                }
                state2.dispose();
                state = null;
                this.database.commitTransaction();
                if (0 == 0) {
                    return;
                }
            } catch (Throwable th) {
                if (state != null) {
                    state.dispose();
                }
                throw th;
            }
        } catch (Exception e2) {
            FileLog.e("putChannelAdmins ---> exception 2 ", e2);
            if (state == null) {
                return;
            }
        }
        state.dispose();
    }

    public void updateChannelUsers(final int channel_id, final ArrayList<TLRPC.ChannelParticipant> participants) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda135
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m865x7e02f3d4(channel_id, participants);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateChannelUsers$70$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m865x7e02f3d4(int channel_id, ArrayList participants) {
        NativeByteBuffer data = null;
        SQLitePreparedStatement state = null;
        long did = -channel_id;
        try {
            try {
                this.database.executeFast("DELETE FROM channel_users_v2 WHERE did = " + did).stepThis().dispose();
                try {
                    this.database.beginTransaction();
                } catch (Exception e) {
                    FileLog.e("updateChannelUsers ---> exception 1 ", e);
                }
                SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO channel_users_v2 VALUES(?, ?, ?, ?)");
                int date = (int) (System.currentTimeMillis() / 1000);
                for (int a2 = 0; a2 < participants.size(); a2++) {
                    TLRPC.ChannelParticipant participant = (TLRPC.ChannelParticipant) participants.get(a2);
                    state2.requery();
                    state2.bindLong(1, did);
                    state2.bindInteger(2, participant.user_id);
                    state2.bindInteger(3, date);
                    NativeByteBuffer data2 = new NativeByteBuffer(participant.getObjectSize());
                    participant.serializeToStream(data2);
                    state2.bindByteBuffer(4, data2);
                    data2.reuse();
                    data = null;
                    state2.step();
                    date--;
                }
                state2.dispose();
                state = null;
                this.database.commitTransaction();
                loadChatInfo(channel_id, null, false, true);
                if (data != null) {
                    data.reuse();
                }
                if (0 == 0) {
                    return;
                }
            } catch (Exception e2) {
                FileLog.e("updateChannelUsers ---> exception 2 ", e2);
                if (data != null) {
                    data.reuse();
                }
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void saveBotCache(final String key, final TLObject result) {
        if (result == null || TextUtils.isEmpty(key)) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda45
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m855lambda$saveBotCache$71$imuecahxyvjdmessengerMessagesStorage(result, key);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$saveBotCache$71$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m855lambda$saveBotCache$71$imuecahxyvjdmessengerMessagesStorage(TLObject result, String key) {
        NativeByteBuffer data = null;
        SQLitePreparedStatement state = null;
        try {
            try {
                int currentDate = getConnectionsManager().getCurrentTime();
                if (result instanceof TLRPC.TL_messages_botCallbackAnswer) {
                    currentDate += ((TLRPC.TL_messages_botCallbackAnswer) result).cache_time;
                } else if (result instanceof TLRPC.TL_messages_botResults) {
                    currentDate += ((TLRPC.TL_messages_botResults) result).cache_time;
                }
                SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO botcache VALUES(?, ?, ?)");
                data = new NativeByteBuffer(result.getObjectSize());
                result.serializeToStream(data);
                state2.bindString(1, key);
                state2.bindInteger(2, currentDate);
                state2.bindByteBuffer(3, data);
                state2.step();
                state2.dispose();
                state = null;
                data.reuse();
                NativeByteBuffer data2 = null;
                if (0 != 0) {
                    data2.reuse();
                }
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("saveBotCache ---> exception ", e);
                if (data != null) {
                    data.reuse();
                }
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void getBotCache(final String key, final RequestDelegate requestDelegate) {
        if (key == null || requestDelegate == null) {
            return;
        }
        final int currentDate = getConnectionsManager().getCurrentTime();
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda80
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m769lambda$getBotCache$72$imuecahxyvjdmessengerMessagesStorage(currentDate, key, requestDelegate);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x006f, code lost:
        if (0 != 0) goto L15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x0084, code lost:
        if (r3 != null) goto L15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x0086, code lost:
        r3.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:0x0089, code lost:
        r12.run(r0, null);
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x008d, code lost:
        return;
     */
    /* renamed from: lambda$getBotCache$72$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m769lambda$getBotCache$72$imuecahxyvjdmessengerMessagesStorage(int currentDate, String key, RequestDelegate requestDelegate) {
        TLObject result = null;
        SQLiteCursor cursor = null;
        NativeByteBuffer data = null;
        SQLitePreparedStatement state = null;
        try {
            try {
                this.database.executeFast("DELETE FROM botcache WHERE date < " + currentDate).stepThis().dispose();
                state = null;
                cursor = this.database.queryFinalized("SELECT data FROM botcache WHERE id = ?", key);
                if (cursor.next()) {
                    try {
                        data = cursor.byteBufferValue(0);
                        if (data != null) {
                            int constructor = data.readInt32(false);
                            result = constructor == TLRPC.TL_messages_botCallbackAnswer.constructor ? TLRPC.TL_messages_botCallbackAnswer.TLdeserialize(data, constructor, false) : TLRPC.messages_BotResults.TLdeserialize(data, constructor, false);
                            data.reuse();
                            data = null;
                        }
                    } catch (Exception e) {
                        FileLog.e("getBotCache ---> exception 1 ", e);
                    }
                }
                cursor.dispose();
                SQLiteCursor cursor2 = null;
                if (data != null) {
                    data.reuse();
                }
                if (0 != 0) {
                    cursor2.dispose();
                }
            } catch (Throwable th) {
                if (data != null) {
                    data.reuse();
                }
                if (cursor != null) {
                    cursor.dispose();
                }
                if (state != null) {
                    state.dispose();
                }
                requestDelegate.run(result, null);
                throw th;
            }
        } catch (Exception e2) {
            FileLog.e("getBotCache ---> exception 2 ", e2);
            if (data != null) {
                data.reuse();
            }
            if (cursor != null) {
                cursor.dispose();
            }
        }
    }

    public void loadUserInfo(final TLRPC.User user, final boolean force, final int classGuid) {
        if (user == null) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda74
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m812lambda$loadUserInfo$73$imuecahxyvjdmessengerMessagesStorage(user, force, classGuid);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x0070, code lost:
        if (0 != 0) goto L19;
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x008c, code lost:
        if (r13 != null) goto L19;
     */
    /* JADX WARN: Code restructure failed: missing block: B:36:0x008e, code lost:
        r13.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x0091, code lost:
        getMessagesController().processUserInfo(r15, r11, true, r16, r9, r17);
     */
    /* JADX WARN: Code restructure failed: missing block: B:38:0x00a1, code lost:
        return;
     */
    /* renamed from: lambda$loadUserInfo$73$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m812lambda$loadUserInfo$73$imuecahxyvjdmessengerMessagesStorage(TLRPC.User user, boolean force, int classGuid) {
        TLRPC.UserFull info;
        SQLiteCursor cursor;
        NativeByteBuffer data;
        SQLiteCursor cursor2;
        MessageObject pinnedMessageObject = null;
        TLRPC.UserFull info2 = null;
        SQLiteCursor cursor3 = null;
        NativeByteBuffer data2 = null;
        try {
            try {
                cursor3 = this.database.queryFinalized("SELECT info, pinned FROM user_settings WHERE uid = " + user.id, new Object[0]);
                if (cursor3.next()) {
                    NativeByteBuffer data3 = cursor3.byteBufferValue(0);
                    if (data3 != null) {
                        info2 = TLRPC.UserFull.TLdeserialize(data3, data3.readInt32(false), false);
                        data3.reuse();
                        data2 = null;
                        info2.pinned_msg_id = cursor3.intValue(1);
                        info = info2;
                        data = null;
                    } else {
                        info = null;
                        data = data3;
                    }
                } else {
                    info = null;
                    data = null;
                }
            } catch (Throwable th) {
                th = th;
            }
        } catch (Exception e) {
            e = e;
            info = info2;
            cursor2 = cursor3;
            data = data2;
        } catch (Throwable th2) {
            th = th2;
            info = info2;
            cursor = cursor3;
            data = data2;
        }
        try {
            cursor3.dispose();
            cursor2 = null;
            if (info != null) {
                try {
                    if (info.pinned_msg_id != 0) {
                        pinnedMessageObject = getMediaDataController().loadPinnedMessage(user.id, 0, info.pinned_msg_id, false);
                    }
                } catch (Exception e2) {
                    e = e2;
                    FileLog.e("loadUserInfo ---> exception ", e);
                    if (data != null) {
                        data.reuse();
                    }
                }
            }
            if (data != null) {
                data.reuse();
            }
        } catch (Exception e3) {
            e = e3;
            cursor2 = cursor3;
        } catch (Throwable th3) {
            th = th3;
            cursor = cursor3;
            if (data != null) {
                data.reuse();
            }
            if (cursor != null) {
                cursor.dispose();
            }
            getMessagesController().processUserInfo(user, info, true, force, null, classGuid);
            throw th;
        }
    }

    public void updateUserInfo(final TLRPC.UserFull info, final boolean ifExist) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda55
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m887lambda$updateUserInfo$74$imuecahxyvjdmessengerMessagesStorage(ifExist, info);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateUserInfo$74$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m887lambda$updateUserInfo$74$imuecahxyvjdmessengerMessagesStorage(boolean ifExist, TLRPC.UserFull info) {
        SQLiteCursor cursor = null;
        SQLitePreparedStatement state = null;
        NativeByteBuffer data = null;
        try {
            if (ifExist) {
                try {
                    SQLiteCursor cursor2 = this.database.queryFinalized("SELECT uid FROM user_settings WHERE uid = " + info.user.id, new Object[0]);
                    boolean exist = cursor2.next();
                    cursor2.dispose();
                    cursor = null;
                    if (!exist) {
                        if (0 != 0) {
                            data.reuse();
                        }
                        if (0 != 0) {
                            cursor.dispose();
                        }
                        if (0 != 0) {
                            state.dispose();
                            return;
                        }
                        return;
                    }
                } catch (Exception e) {
                    FileLog.e("updateUserInfo ---> exception ", e);
                    if (data != null) {
                        data.reuse();
                    }
                    if (cursor != null) {
                        cursor.dispose();
                    }
                    if (state == null) {
                        return;
                    }
                }
            }
            SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO user_settings VALUES(?, ?, ?)");
            data = new NativeByteBuffer(info.getObjectSize());
            info.serializeToStream(data);
            state2.bindInteger(1, info.user.id);
            state2.bindByteBuffer(2, data);
            state2.bindInteger(3, info.pinned_msg_id);
            state2.step();
            state2.dispose();
            state = null;
            data.reuse();
            NativeByteBuffer data2 = null;
            if (0 != 0) {
                data2.reuse();
            }
            if (cursor != null) {
                cursor.dispose();
            }
            if (0 == 0) {
                return;
            }
            state.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (cursor != null) {
                cursor.dispose();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void updateChatInfo(final TLRPC.ChatFull info, final boolean ifExist) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda6
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m867lambda$updateChatInfo$75$imuecahxyvjdmessengerMessagesStorage(info, ifExist);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateChatInfo$75$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m867lambda$updateChatInfo$75$imuecahxyvjdmessengerMessagesStorage(TLRPC.ChatFull info, boolean ifExist) {
        int currentOnline;
        SQLiteCursor cursor;
        SQLiteCursor cursor2 = null;
        SQLitePreparedStatement state = null;
        NativeByteBuffer data = null;
        try {
            try {
                SQLiteCursor cursor3 = this.database.queryFinalized("SELECT online FROM chat_settings_v2 WHERE uid = " + info.id, new Object[0]);
                currentOnline = cursor3.next() ? cursor3.intValue(0) : -1;
                cursor3.dispose();
                cursor = null;
            } catch (Exception e) {
                FileLog.e("updateChatInfo ---> exception ", e);
                if (data != null) {
                    data.reuse();
                }
                if (cursor2 != null) {
                    cursor2.dispose();
                }
                if (state == null) {
                    return;
                }
            }
            if (ifExist && currentOnline == -1) {
                if (0 != 0) {
                    data.reuse();
                }
                if (0 != 0) {
                    cursor.dispose();
                }
                if (0 != 0) {
                    state.dispose();
                    return;
                }
                return;
            }
            if (currentOnline >= 0 && (info.flags & 8192) == 0) {
                info.online_count = currentOnline;
            }
            SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO chat_settings_v2 VALUES(?, ?, ?, ?)");
            NativeByteBuffer data2 = new NativeByteBuffer(info.getObjectSize());
            info.serializeToStream(data2);
            state2.bindInteger(1, info.id);
            state2.bindByteBuffer(2, data2);
            state2.bindInteger(3, info.pinned_msg_id);
            state2.bindInteger(4, info.online_count);
            state2.step();
            state2.dispose();
            state = null;
            data2.reuse();
            data = null;
            if (info instanceof TLRPC.TL_channelFull) {
                cursor2 = this.database.queryFinalized("SELECT inbox_max, outbox_max FROM dialogs WHERE did = " + (-info.id), new Object[0]);
                if (cursor2.next()) {
                    int inbox_max = cursor2.intValue(0);
                    if (inbox_max < info.read_inbox_max_id) {
                        int outbox_max = cursor2.intValue(1);
                        SQLitePreparedStatement state3 = this.database.executeFast("UPDATE dialogs SET unread_count = ?, inbox_max = ?, outbox_max = ? WHERE did = ?");
                        state3.bindInteger(1, info.unread_count);
                        state3.bindInteger(2, info.read_inbox_max_id);
                        state3.bindInteger(3, Math.max(outbox_max, info.read_outbox_max_id));
                        state3.bindLong(4, -info.id);
                        state3.step();
                        state3.dispose();
                        state = null;
                    }
                }
                cursor2.dispose();
                cursor = null;
            }
            if (0 != 0) {
                data.reuse();
            }
            if (cursor != null) {
                cursor.dispose();
            }
            if (state == null) {
                return;
            }
            state.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (cursor2 != null) {
                cursor2.dispose();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void updateUserPinnedMessage(final int userId, final int messageId) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda151
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m889x592dc1c8(userId, messageId);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateUserPinnedMessage$77$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m889x592dc1c8(final int userId, int messageId) {
        SQLiteCursor cursor = null;
        SQLitePreparedStatement state = null;
        NativeByteBuffer data = null;
        try {
            try {
                SQLiteCursor cursor2 = this.database.queryFinalized("SELECT info, pinned FROM user_settings WHERE uid = " + userId, new Object[0]);
                TLRPC.UserFull info = null;
                if (cursor2.next() && (data = cursor2.byteBufferValue(0)) != null) {
                    info = TLRPC.UserFull.TLdeserialize(data, data.readInt32(false), false);
                    data.reuse();
                    data = null;
                    info.pinned_msg_id = cursor2.intValue(1);
                }
                cursor2.dispose();
                cursor = null;
                if (info instanceof TLRPC.UserFull) {
                    info.pinned_msg_id = messageId;
                    info.flags |= 64;
                    final TLRPC.UserFull finalInfo = info;
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda78
                        @Override // java.lang.Runnable
                        public final void run() {
                            MessagesStorage.this.m888xcc8d96c7(userId, finalInfo);
                        }
                    });
                    SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO user_settings VALUES(?, ?, ?)");
                    data = new NativeByteBuffer(info.getObjectSize());
                    info.serializeToStream(data);
                    state2.bindInteger(1, userId);
                    state2.bindByteBuffer(2, data);
                    state2.bindInteger(3, info.pinned_msg_id);
                    state2.step();
                    state2.dispose();
                    state = null;
                    data.reuse();
                    data = null;
                }
                if (data != null) {
                    data.reuse();
                }
                if (0 != 0) {
                    cursor.dispose();
                }
                if (state == null) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("updateUserPinnedMessage ---> exception ", e);
                if (data != null) {
                    data.reuse();
                }
                if (cursor != null) {
                    cursor.dispose();
                }
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (cursor != null) {
                cursor.dispose();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateUserPinnedMessage$76$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m888xcc8d96c7(int userId, TLRPC.UserFull finalInfo) {
        getNotificationCenter().postNotificationName(NotificationCenter.userFullInfoDidLoad, Integer.valueOf(userId), finalInfo, 0);
    }

    public void updateChatOnlineCount(final int channelId, final int onlineCount) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda132
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m870x1afec149(onlineCount, channelId);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateChatOnlineCount$78$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m870x1afec149(int onlineCount, int channelId) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast("UPDATE chat_settings_v2 SET online = ? WHERE uid = ?");
                state.requery();
                state.bindInteger(1, onlineCount);
                state.bindInteger(2, channelId);
                state.step();
                state.dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("updateChatOnlineCount ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void updateChatPinnedMessage(final int channelId, final int messageId) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda28
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m874x7b91666d(channelId, messageId);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateChatPinnedMessage$80$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m874x7b91666d(int channelId, int messageId) {
        SQLiteCursor cursor = null;
        SQLitePreparedStatement state = null;
        NativeByteBuffer data = null;
        try {
            try {
                cursor = this.database.queryFinalized("SELECT info, pinned, online FROM chat_settings_v2 WHERE uid = " + channelId, new Object[0]);
                TLRPC.ChatFull info = null;
                if (cursor.next() && (data = cursor.byteBufferValue(0)) != null) {
                    info = TLRPC.ChatFull.TLdeserialize(data, data.readInt32(false), false);
                    data.reuse();
                    data = null;
                    info.pinned_msg_id = cursor.intValue(1);
                    info.online_count = cursor.intValue(2);
                }
                cursor.dispose();
                if (info != null) {
                    if (info instanceof TLRPC.TL_channelFull) {
                        info.pinned_msg_id = messageId;
                        info.flags |= 32;
                    } else if (info instanceof TLRPC.TL_chatFull) {
                        info.pinned_msg_id = messageId;
                        info.flags |= 64;
                    }
                    final TLRPC.ChatFull finalInfo = info;
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda104
                        @Override // java.lang.Runnable
                        public final void run() {
                            MessagesStorage.this.m873x65cdb457(finalInfo);
                        }
                    });
                    SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO chat_settings_v2 VALUES(?, ?, ?, ?)");
                    data = new NativeByteBuffer(info.getObjectSize());
                    info.serializeToStream(data);
                    state2.bindInteger(1, channelId);
                    state2.bindByteBuffer(2, data);
                    state2.bindInteger(3, info.pinned_msg_id);
                    state2.bindInteger(4, info.online_count);
                    state2.step();
                    state2.dispose();
                    state = null;
                    data.reuse();
                    data = null;
                }
                if (data != null) {
                    data.reuse();
                }
                if (cursor != null) {
                    cursor.dispose();
                }
                if (state == null) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("updateChatPinnedMessage ---> exception ", e);
                if (data != null) {
                    data.reuse();
                }
                if (cursor != null) {
                    cursor.dispose();
                }
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (cursor != null) {
                cursor.dispose();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateChatPinnedMessage$79$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m873x65cdb457(TLRPC.ChatFull finalInfo) {
        getNotificationCenter().postNotificationName(NotificationCenter.chatInfoDidLoad, finalInfo, 0, false, 0);
    }

    public void updateChatInfo(final int chat_id, final int user_id, final int what, final int invited_id, final int version) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda37
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m869lambda$updateChatInfo$82$imuecahxyvjdmessengerMessagesStorage(chat_id, what, user_id, invited_id, version);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:72:0x018e  */
    /* JADX WARN: Removed duplicated region for block: B:74:0x0193  */
    /* JADX WARN: Removed duplicated region for block: B:76:0x0198  */
    /* renamed from: lambda$updateChatInfo$82$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m869lambda$updateChatInfo$82$imuecahxyvjdmessengerMessagesStorage(int chat_id, int what, int user_id, int invited_id, int version) {
        TLRPC.ChatParticipant newParticipant;
        SQLiteCursor cursor = null;
        SQLitePreparedStatement state = null;
        NativeByteBuffer data = null;
        try {
            SQLiteCursor cursor2 = this.database.queryFinalized("SELECT info, pinned, online FROM chat_settings_v2 WHERE uid = " + chat_id, new Object[0]);
            TLRPC.ChatFull info = null;
            new ArrayList();
            if (cursor2.next() && (data = cursor2.byteBufferValue(0)) != null) {
                info = TLRPC.ChatFull.TLdeserialize(data, data.readInt32(false), false);
                data.reuse();
                data = null;
                info.pinned_msg_id = cursor2.intValue(1);
                info.online_count = cursor2.intValue(2);
            }
            cursor2.dispose();
            cursor = null;
            if (info instanceof TLRPC.TL_chatFull) {
                if (what == 1) {
                    int a2 = 0;
                    while (true) {
                        if (a2 >= info.participants.participants.size()) {
                            break;
                        } else if (info.participants.participants.get(a2).user_id == user_id) {
                            info.participants.participants.remove(a2);
                            break;
                        } else {
                            a2++;
                        }
                    }
                } else if (what == 0) {
                    Iterator<TLRPC.ChatParticipant> it = info.participants.participants.iterator();
                    while (it.hasNext()) {
                        TLRPC.ChatParticipant part = it.next();
                        if (part.user_id == user_id) {
                            if (data != null) {
                                data.reuse();
                            }
                            if (0 != 0) {
                                cursor.dispose();
                            }
                            if (0 != 0) {
                                state.dispose();
                                return;
                            }
                            return;
                        }
                    }
                    TLRPC.TL_chatParticipant participant = new TLRPC.TL_chatParticipant();
                    participant.user_id = user_id;
                    participant.inviter_id = invited_id;
                    participant.date = getConnectionsManager().getCurrentTime();
                    info.participants.participants.add(participant);
                } else if (what == 2) {
                    int a3 = 0;
                    while (true) {
                        if (a3 >= info.participants.participants.size()) {
                            break;
                        }
                        TLRPC.ChatParticipant participant2 = info.participants.participants.get(a3);
                        if (participant2.user_id == user_id) {
                            if (invited_id == 1) {
                                newParticipant = new TLRPC.TL_chatParticipantAdmin();
                                newParticipant.user_id = participant2.user_id;
                                newParticipant.date = participant2.date;
                                newParticipant.inviter_id = participant2.inviter_id;
                            } else {
                                newParticipant = new TLRPC.TL_chatParticipant();
                                newParticipant.user_id = participant2.user_id;
                                newParticipant.date = participant2.date;
                                newParticipant.inviter_id = participant2.inviter_id;
                            }
                            info.participants.participants.set(a3, newParticipant);
                        } else {
                            a3++;
                        }
                    }
                }
                try {
                    try {
                        info.participants.version = version;
                        final TLRPC.ChatFull finalInfo = info;
                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda34
                            @Override // java.lang.Runnable
                            public final void run() {
                                MessagesStorage.this.m868lambda$updateChatInfo$81$imuecahxyvjdmessengerMessagesStorage(finalInfo);
                            }
                        });
                        SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO chat_settings_v2 VALUES(?, ?, ?, ?)");
                        data = new NativeByteBuffer(info.getObjectSize());
                        info.serializeToStream(data);
                        state2.bindInteger(1, chat_id);
                        state2.bindByteBuffer(2, data);
                        state2.bindInteger(3, info.pinned_msg_id);
                        state2.bindInteger(4, info.online_count);
                        state2.step();
                        state2.dispose();
                        state = null;
                        data.reuse();
                        data = null;
                    } catch (Exception e) {
                        e = e;
                        FileLog.e("updateChatPinnedMessage ---> exception ", e);
                        if (data != null) {
                            data.reuse();
                        }
                        if (cursor != null) {
                            cursor.dispose();
                        }
                        if (state == null) {
                            return;
                        }
                        state.dispose();
                    }
                } catch (Throwable th) {
                    th = th;
                    if (data != null) {
                        data.reuse();
                    }
                    if (cursor != null) {
                        cursor.dispose();
                    }
                    if (state != null) {
                        state.dispose();
                    }
                    throw th;
                }
            }
            if (data != null) {
                data.reuse();
            }
            if (0 != 0) {
                cursor.dispose();
            }
            if (state == null) {
                return;
            }
        } catch (Exception e2) {
            e = e2;
        } catch (Throwable th2) {
            th = th2;
            if (data != null) {
            }
            if (cursor != null) {
            }
            if (state != null) {
            }
            throw th;
        }
        state.dispose();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateChatInfo$81$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m868lambda$updateChatInfo$81$imuecahxyvjdmessengerMessagesStorage(TLRPC.ChatFull finalInfo) {
        getNotificationCenter().postNotificationName(NotificationCenter.chatInfoDidLoad, finalInfo, 0, false, 0);
    }

    public boolean isMigratedChat(final int chat_id) {
        final CountDownLatch countDownLatch = new CountDownLatch(1);
        final boolean[] result = new boolean[1];
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda53
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m792lambda$isMigratedChat$83$imuecahxyvjdmessengerMessagesStorage(chat_id, result, countDownLatch);
            }
        });
        try {
            countDownLatch.await();
        } catch (Exception e) {
            FileLog.e("isMigratedChat ---> exception 3 ", e);
        }
        return result[0];
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x004d, code lost:
        if (r4 == null) goto L23;
     */
    /* renamed from: lambda$isMigratedChat$83$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m792lambda$isMigratedChat$83$imuecahxyvjdmessengerMessagesStorage(int chat_id, boolean[] result, CountDownLatch countDownLatch) {
        SQLiteCursor cursor = null;
        try {
            try {
                SQLiteCursor cursor2 = this.database.queryFinalized("SELECT info FROM chat_settings_v2 WHERE uid = " + chat_id, new Object[0]);
                TLRPC.ChatFull info = null;
                new ArrayList();
                if (cursor2.next()) {
                    NativeByteBuffer data = null;
                    try {
                        try {
                            data = cursor2.byteBufferValue(0);
                            if (data != null) {
                                info = TLRPC.ChatFull.TLdeserialize(data, data.readInt32(false), false);
                                data.reuse();
                                data = null;
                            }
                        } finally {
                            if (data != null) {
                                data.reuse();
                            }
                        }
                    } catch (Exception e) {
                        FileLog.e("isMigratedChat ---> exception 1 ", e);
                    }
                }
                cursor2.dispose();
                SQLiteCursor cursor3 = null;
                result[0] = (info instanceof TLRPC.TL_channelFull) && info.migrated_from_chat_id != 0;
                if (countDownLatch != null) {
                    countDownLatch.countDown();
                }
                if (0 != 0) {
                    cursor3.dispose();
                }
                if (countDownLatch == null) {
                    return;
                }
            } catch (Exception e2) {
                FileLog.e("isMigratedChat ---> exception 2 ", e2);
                if (0 != 0) {
                    cursor.dispose();
                }
                if (countDownLatch == null) {
                    return;
                }
            }
            countDownLatch.countDown();
        } catch (Throwable th) {
            if (0 != 0) {
                cursor.dispose();
            }
            if (countDownLatch != null) {
                countDownLatch.countDown();
            }
            throw th;
        }
    }

    public TLRPC.ChatFull loadChatInfo(final int chat_id, final CountDownLatch countDownLatch, final boolean force, final boolean byChannelUsers) {
        final TLRPC.ChatFull[] result = new TLRPC.ChatFull[1];
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda77
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m794lambda$loadChatInfo$84$imuecahxyvjdmessengerMessagesStorage(chat_id, result, force, byChannelUsers, countDownLatch);
            }
        });
        if (countDownLatch != null) {
            try {
                countDownLatch.await();
            } catch (Throwable th) {
            }
        }
        return result[0];
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:105:0x01ff  */
    /* JADX WARN: Removed duplicated region for block: B:108:0x0215  */
    /* renamed from: lambda$loadChatInfo$84$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m794lambda$loadChatInfo$84$imuecahxyvjdmessengerMessagesStorage(int chat_id, TLRPC.ChatFull[] result, boolean force, boolean byChannelUsers, CountDownLatch countDownLatch) {
        TLRPC.ChatFull info;
        SQLiteCursor cursor;
        MessageObject pinnedMessageObject = null;
        TLRPC.ChatFull info2 = null;
        ArrayList<TLRPC.User> loadedUsers = new ArrayList<>();
        SQLiteCursor cursor2 = null;
        NativeByteBuffer data = null;
        try {
            cursor2 = this.database.queryFinalized("SELECT info, pinned, online FROM chat_settings_v2 WHERE uid = " + chat_id, new Object[0]);
            if (cursor2.next()) {
                data = cursor2.byteBufferValue(0);
                if (data != null) {
                    info2 = TLRPC.ChatFull.TLdeserialize(data, data.readInt32(false), false);
                    data.reuse();
                    data = null;
                    info2.pinned_msg_id = cursor2.intValue(1);
                    info2.online_count = cursor2.intValue(2);
                    info = info2;
                } else {
                    info = null;
                }
            } else {
                info = null;
            }
        } catch (Exception e) {
            e = e;
            info = info2;
            cursor = cursor2;
        } catch (Throwable th) {
            th = th;
            info = info2;
            cursor = cursor2;
        }
        try {
            cursor2.dispose();
            SQLiteCursor cursor3 = null;
            if (info instanceof TLRPC.TL_chatFull) {
                StringBuilder usersToLoad = new StringBuilder();
                for (int a2 = 0; a2 < info.participants.participants.size(); a2++) {
                    TLRPC.ChatParticipant c = info.participants.participants.get(a2);
                    if (usersToLoad.length() != 0) {
                        usersToLoad.append(",");
                    }
                    usersToLoad.append(c.user_id);
                }
                if (usersToLoad.length() != 0) {
                    getUsersInternal(usersToLoad.toString(), loadedUsers);
                }
            } else if (info instanceof TLRPC.TL_channelFull) {
                SQLiteCursor cursor4 = this.database.queryFinalized("SELECT us.data, us.status, cu.data, cu.date FROM channel_users_v2 as cu LEFT JOIN users as us ON us.uid = cu.uid WHERE cu.did = " + (-chat_id) + " ORDER BY cu.date DESC", new Object[0]);
                info.participants = new TLRPC.TL_chatParticipants();
                while (cursor4.next()) {
                    TLRPC.User user = null;
                    TLRPC.ChannelParticipant participant = null;
                    try {
                        try {
                            data = cursor4.byteBufferValue(0);
                            if (data != null) {
                                user = TLRPC.User.TLdeserialize(data, data.readInt32(false), false);
                                data.reuse();
                            }
                            data = cursor4.byteBufferValue(2);
                            if (data != null) {
                                participant = TLRPC.ChannelParticipant.TLdeserialize(data, data.readInt32(false), false);
                                data.reuse();
                                data = null;
                            }
                            if (user != null && participant != null) {
                                if (user.status != null) {
                                    user.status.expires = cursor4.intValue(1);
                                }
                                loadedUsers.add(user);
                                participant.date = cursor4.intValue(3);
                                TLRPC.TL_chatChannelParticipant chatChannelParticipant = new TLRPC.TL_chatChannelParticipant();
                                chatChannelParticipant.user_id = participant.user_id;
                                chatChannelParticipant.date = participant.date;
                                chatChannelParticipant.inviter_id = participant.inviter_id;
                                chatChannelParticipant.channelParticipant = participant;
                                info.participants.participants.add(chatChannelParticipant);
                            }
                        } catch (Throwable th2) {
                            if (data != null) {
                                data.reuse();
                            }
                            throw th2;
                        }
                    } catch (Exception e2) {
                        FileLog.e("loadChatInfo ---> exception 1 ", e2);
                        if (data != null) {
                        }
                    }
                    if (data != null) {
                        data.reuse();
                    }
                }
                cursor4.dispose();
                cursor3 = null;
                StringBuilder usersToLoad2 = new StringBuilder();
                for (int a3 = 0; a3 < info.bot_info.size(); a3++) {
                    TLRPC.BotInfo botInfo = info.bot_info.get(a3);
                    if (usersToLoad2.length() != 0) {
                        usersToLoad2.append(",");
                    }
                    usersToLoad2.append(botInfo.user_id);
                }
                if (usersToLoad2.length() != 0) {
                    getUsersInternal(usersToLoad2.toString(), loadedUsers);
                }
            }
            cursor = cursor3;
            if (info != null) {
                try {
                    try {
                        if (info.pinned_msg_id != 0) {
                            pinnedMessageObject = getMediaDataController().loadPinnedMessage(-chat_id, info instanceof TLRPC.TL_channelFull ? chat_id : 0, info.pinned_msg_id, false);
                        }
                    } catch (Exception e3) {
                        e = e3;
                        FileLog.e("loadChatInfo ---> exception 2 ", e);
                        result[0] = info;
                        if (cursor != null) {
                            cursor.dispose();
                        }
                        getMessagesController().processChatInfo(chat_id, info, loadedUsers, true, force, byChannelUsers, null);
                        if (countDownLatch == null) {
                            return;
                        }
                        countDownLatch.countDown();
                    }
                } catch (Throwable th3) {
                    th = th3;
                    result[0] = info;
                    if (cursor != null) {
                        cursor.dispose();
                    }
                    getMessagesController().processChatInfo(chat_id, info, loadedUsers, true, force, byChannelUsers, null);
                    if (countDownLatch != null) {
                        countDownLatch.countDown();
                    }
                    throw th;
                }
            }
            result[0] = info;
            if (cursor != null) {
                cursor.dispose();
            }
            getMessagesController().processChatInfo(chat_id, info, loadedUsers, true, force, byChannelUsers, pinnedMessageObject);
            if (countDownLatch == null) {
                return;
            }
        } catch (Exception e4) {
            e = e4;
            cursor = cursor2;
        } catch (Throwable th4) {
            th = th4;
            cursor = cursor2;
            result[0] = info;
            if (cursor != null) {
            }
            getMessagesController().processChatInfo(chat_id, info, loadedUsers, true, force, byChannelUsers, null);
            if (countDownLatch != null) {
            }
            throw th;
        }
        countDownLatch.countDown();
    }

    public void processPendingRead(final long dialog_id, final long maxPositiveId, final long maxNegativeId, final boolean isChannel, final int scheduledCount) {
        final int maxDate = this.lastSavedDate;
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda120
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m828x3aa55248(dialog_id, maxPositiveId, isChannel, scheduledCount, maxDate, maxNegativeId);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:138:0x026c  */
    /* JADX WARN: Removed duplicated region for block: B:144:0x0277  */
    /* JADX WARN: Removed duplicated region for block: B:146:0x027c  */
    /* JADX WARN: Removed duplicated region for block: B:185:? A[RETURN, SYNTHETIC] */
    /* renamed from: lambda$processPendingRead$85$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m828x3aa55248(long dialog_id, long maxPositiveId, boolean isChannel, int scheduledCount, int maxDate, long maxNegativeId) {
        long last_mid;
        long currentMaxId;
        int unreadCount;
        long currentMaxId2;
        int unreadCount2;
        SQLitePreparedStatement state;
        SQLiteCursor cursor;
        SQLitePreparedStatement state2 = null;
        SQLiteCursor cursor2 = null;
        try {
            try {
                cursor2 = this.database.queryFinalized("SELECT unread_count, inbox_max, last_mid FROM dialogs WHERE did = " + dialog_id, new Object[0]);
                if (cursor2.next()) {
                    try {
                        try {
                            int unreadCount3 = cursor2.intValue(0);
                            long currentMaxId3 = cursor2.intValue(1);
                            long last_mid2 = cursor2.longValue(2);
                            last_mid = last_mid2;
                            currentMaxId = currentMaxId3;
                            unreadCount = unreadCount3;
                        } catch (Throwable th) {
                            th = th;
                            if (state2 != null) {
                                state2.dispose();
                            }
                            if (cursor2 != null) {
                                cursor2.dispose();
                            }
                            throw th;
                        }
                    } catch (Exception e) {
                        e = e;
                        FileLog.e("processPendingRead ---> exception 2 ", e);
                        if (state2 != null) {
                        }
                        if (cursor2 == null) {
                        }
                        cursor2.dispose();
                    }
                } else {
                    last_mid = 0;
                    currentMaxId = 0;
                    unreadCount = 0;
                }
                cursor2.dispose();
                cursor2 = null;
                try {
                    this.database.beginTransaction();
                } catch (Exception e2) {
                    try {
                        FileLog.e("processPendingRead ---> exception 1 ", e2);
                    } catch (Exception e3) {
                        e = e3;
                        FileLog.e("processPendingRead ---> exception 2 ", e);
                        if (state2 != null) {
                        }
                        if (cursor2 == null) {
                        }
                        cursor2.dispose();
                    } catch (Throwable th2) {
                        th = th2;
                        if (state2 != null) {
                        }
                        if (cursor2 != null) {
                        }
                        throw th;
                    }
                }
                int lower_id = (int) dialog_id;
                if (lower_id != 0) {
                    try {
                        currentMaxId2 = Math.max(currentMaxId, (int) maxPositiveId);
                        if (isChannel) {
                            currentMaxId2 |= (-lower_id) << 32;
                        }
                        SQLitePreparedStatement state3 = this.database.executeFast("UPDATE messages SET read_state = read_state | 1 WHERE uid = ? AND mid <= ? AND read_state IN(0,2) AND out = 0");
                        state3.requery();
                        state3.bindLong(1, dialog_id);
                        state3.bindLong(2, currentMaxId2);
                        state3.step();
                        state3.dispose();
                        state2 = null;
                        if (currentMaxId2 >= last_mid) {
                            unreadCount2 = 0;
                        } else {
                            SQLiteCursor cursor3 = this.database.queryFinalized("SELECT changes()", new Object[0]);
                            int updatedCount = cursor3.next() ? cursor3.intValue(0) + scheduledCount : 0;
                            cursor3.dispose();
                            cursor2 = null;
                            unreadCount2 = Math.max(0, unreadCount - updatedCount);
                        }
                        try {
                            SQLitePreparedStatement state4 = this.database.executeFast("DELETE FROM unread_push_messages WHERE uid = ? AND mid <= ?");
                            state4.requery();
                            state4.bindLong(1, dialog_id);
                            state4.bindLong(2, currentMaxId2);
                            state4.step();
                            state4.dispose();
                            state2 = this.database.executeFast("DELETE FROM unread_push_messages WHERE uid = ? AND date <= ?");
                            state2.requery();
                            state2.bindLong(1, dialog_id);
                            cursor = cursor2;
                        } catch (Exception e4) {
                            e = e4;
                        } catch (Throwable th3) {
                            th = th3;
                        }
                    } catch (Exception e5) {
                        e = e5;
                        FileLog.e("processPendingRead ---> exception 2 ", e);
                        if (state2 != null) {
                        }
                        if (cursor2 == null) {
                        }
                        cursor2.dispose();
                    } catch (Throwable th4) {
                        th = th4;
                        if (state2 != null) {
                        }
                        if (cursor2 != null) {
                        }
                        throw th;
                    }
                    try {
                        state2.bindLong(2, maxDate);
                        state2.step();
                        state2.dispose();
                        state2 = null;
                        cursor2 = cursor;
                    } catch (Exception e6) {
                        e = e6;
                        cursor2 = cursor;
                        FileLog.e("processPendingRead ---> exception 2 ", e);
                        if (state2 != null) {
                        }
                        if (cursor2 == null) {
                        }
                        cursor2.dispose();
                    } catch (Throwable th5) {
                        th = th5;
                        cursor2 = cursor;
                        if (state2 != null) {
                        }
                        if (cursor2 != null) {
                        }
                        throw th;
                    }
                } else {
                    currentMaxId2 = (int) maxNegativeId;
                    try {
                        try {
                            state2 = this.database.executeFast("UPDATE messages SET read_state = read_state | 1 WHERE uid = ? AND mid >= ? AND read_state IN(0,2) AND out = 0");
                            try {
                                state2.requery();
                                try {
                                    state2.bindLong(1, dialog_id);
                                    state2.bindLong(2, currentMaxId2);
                                    state2.step();
                                    state2.dispose();
                                    state2 = null;
                                    if (currentMaxId2 <= last_mid) {
                                        unreadCount2 = 0;
                                        cursor2 = null;
                                    } else {
                                        try {
                                            try {
                                                cursor2 = this.database.queryFinalized("SELECT changes()", new Object[0]);
                                                try {
                                                    int updatedCount2 = cursor2.next() ? cursor2.intValue(0) + scheduledCount : 0;
                                                    cursor2.dispose();
                                                    try {
                                                        unreadCount2 = Math.max(0, unreadCount - updatedCount2);
                                                        cursor2 = null;
                                                        state2 = null;
                                                    } catch (Exception e7) {
                                                        e = e7;
                                                        cursor2 = null;
                                                        state2 = null;
                                                        FileLog.e("processPendingRead ---> exception 2 ", e);
                                                        if (state2 != null) {
                                                        }
                                                        if (cursor2 == null) {
                                                        }
                                                        cursor2.dispose();
                                                    } catch (Throwable th6) {
                                                        th = th6;
                                                        cursor2 = null;
                                                        state2 = null;
                                                        if (state2 != null) {
                                                        }
                                                        if (cursor2 != null) {
                                                        }
                                                        throw th;
                                                    }
                                                } catch (Exception e8) {
                                                    e = e8;
                                                    state2 = null;
                                                } catch (Throwable th7) {
                                                    th = th7;
                                                    state2 = null;
                                                }
                                            } catch (Exception e9) {
                                                e = e9;
                                                state2 = null;
                                                cursor2 = null;
                                            } catch (Throwable th8) {
                                                th = th8;
                                                state2 = null;
                                                cursor2 = null;
                                            }
                                        } catch (Exception e10) {
                                            e = e10;
                                            cursor2 = null;
                                        } catch (Throwable th9) {
                                            th = th9;
                                            cursor2 = null;
                                        }
                                    }
                                } catch (Exception e11) {
                                    e = e11;
                                    cursor2 = null;
                                } catch (Throwable th10) {
                                    th = th10;
                                    cursor2 = null;
                                }
                            } catch (Exception e12) {
                                e = e12;
                            } catch (Throwable th11) {
                                th = th11;
                            }
                        } catch (Exception e13) {
                            e = e13;
                            state2 = null;
                        } catch (Throwable th12) {
                            th = th12;
                            state2 = null;
                        }
                    } catch (Exception e14) {
                        e = e14;
                        FileLog.e("processPendingRead ---> exception 2 ", e);
                        if (state2 != null) {
                        }
                        if (cursor2 == null) {
                        }
                        cursor2.dispose();
                    } catch (Throwable th13) {
                        th = th13;
                        if (state2 != null) {
                        }
                        if (cursor2 != null) {
                        }
                        throw th;
                    }
                }
                try {
                    state = state2;
                } catch (Exception e15) {
                    e = e15;
                } catch (Throwable th14) {
                    th = th14;
                }
            } catch (Throwable th15) {
                th = th15;
            }
        } catch (Exception e16) {
            e = e16;
        } catch (Throwable th16) {
            th = th16;
        }
        try {
            state2 = this.database.executeFast("UPDATE dialogs SET unread_count = ?, inbox_max = ? WHERE did = ?");
            try {
                state2.requery();
                state2.bindInteger(1, unreadCount2);
                state2.bindInteger(2, (int) currentMaxId2);
                state2.bindLong(3, dialog_id);
                state2.step();
                state2.dispose();
                state2 = null;
                this.database.commitTransaction();
                if (0 != 0) {
                    state2.dispose();
                }
                if (cursor2 == null) {
                    return;
                }
            } catch (Exception e17) {
                e = e17;
                FileLog.e("processPendingRead ---> exception 2 ", e);
                if (state2 != null) {
                    state2.dispose();
                }
                if (cursor2 == null) {
                    return;
                }
                cursor2.dispose();
            }
        } catch (Exception e18) {
            e = e18;
            state2 = state;
        } catch (Throwable th17) {
            th = th17;
            state2 = state;
            if (state2 != null) {
            }
            if (cursor2 != null) {
            }
            throw th;
        }
        cursor2.dispose();
    }

    public void putContacts(ArrayList<TLRPC.Contact> contacts, final boolean deleteAll) {
        if (contacts.isEmpty() && !deleteAll) {
            return;
        }
        final ArrayList<TLRPC.Contact> contactsCopy = new ArrayList<>(contacts);
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda147
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m832lambda$putContacts$86$imuecahxyvjdmessengerMessagesStorage(deleteAll, contactsCopy);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$putContacts$86$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m832lambda$putContacts$86$imuecahxyvjdmessengerMessagesStorage(boolean deleteAll, ArrayList contactsCopy) {
        SQLitePreparedStatement state = null;
        if (deleteAll) {
            try {
                try {
                    this.database.executeFast("DELETE FROM contacts WHERE 1").stepThis().dispose();
                } catch (Exception e) {
                    FileLog.e("putContacts ---> exception 2 ", e);
                    if (state == null) {
                        return;
                    }
                }
            } catch (Throwable th) {
                if (state != null) {
                    state.dispose();
                }
                throw th;
            }
        }
        try {
            this.database.beginTransaction();
        } catch (Exception e2) {
            FileLog.e("putContacts ---> exception 1 ", e2);
        }
        SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO contacts VALUES(?, ?)");
        for (int a2 = 0; a2 < contactsCopy.size(); a2++) {
            TLRPC.Contact contact = (TLRPC.Contact) contactsCopy.get(a2);
            state2.requery();
            int i = 1;
            state2.bindInteger(1, contact.user_id);
            if (!contact.mutual) {
                i = 0;
            }
            state2.bindInteger(2, i);
            state2.step();
        }
        state2.dispose();
        state = null;
        this.database.commitTransaction();
        if (0 == 0) {
            return;
        }
        state.dispose();
    }

    public void deleteContacts(final ArrayList<Integer> uids) {
        if (uids == null || uids.isEmpty()) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda149
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m757lambda$deleteContacts$87$imuecahxyvjdmessengerMessagesStorage(uids);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$deleteContacts$87$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m757lambda$deleteContacts$87$imuecahxyvjdmessengerMessagesStorage(ArrayList uids) {
        SQLitePreparedStatement state = null;
        try {
            try {
                String ids = TextUtils.join(",", uids);
                state = this.database.executeFast("DELETE FROM contacts WHERE uid IN(" + ids + SQLBuilder.PARENTHESES_RIGHT);
                state.stepThis().dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("deleteContacts ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void applyPhoneBookUpdates(final String adds, final String deletes) {
        if (TextUtils.isEmpty(adds)) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda116
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m738xc7496fc2(adds, deletes);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$applyPhoneBookUpdates$88$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m738xc7496fc2(String adds, String deletes) {
        SQLitePreparedStatement state = null;
        try {
            try {
                if (adds.length() != 0) {
                    this.database.executeFast(String.format(Locale.US, "UPDATE user_phones_v7 SET deleted = 0 WHERE sphone IN(%s)", adds)).stepThis().dispose();
                    state = null;
                }
                if (deletes.length() != 0) {
                    state = this.database.executeFast(String.format(Locale.US, "UPDATE user_phones_v7 SET deleted = 1 WHERE sphone IN(%s)", deletes));
                    state.stepThis().dispose();
                    state = null;
                }
                if (state == null) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("applyPhoneBookUpdates ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void putCachedPhoneBook(final HashMap<String, ContactsController.Contact> contactHashMap, final boolean migrate, boolean delete) {
        if (contactHashMap != null) {
            if (contactHashMap.isEmpty() && !migrate && !delete) {
                return;
            }
            this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda22
                @Override // java.lang.Runnable
                public final void run() {
                    MessagesStorage.this.m829xf146dbc4(contactHashMap, migrate);
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$putCachedPhoneBook$89$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m829xf146dbc4(HashMap contactHashMap, boolean migrate) {
        if (BuildVars.LOGS_ENABLED) {
            FileLog.d(this.currentAccount + " save contacts to db " + contactHashMap.size());
        }
        SQLitePreparedStatement state = null;
        SQLitePreparedStatement state2 = null;
        try {
            try {
                this.database.executeFast("DELETE FROM user_contacts_v7 WHERE 1").stepThis().dispose();
                this.database.executeFast("DELETE FROM user_phones_v7 WHERE 1").stepThis().dispose();
                try {
                    this.database.beginTransaction();
                } catch (Exception e) {
                    FileLog.e("putCachedPhoneBook ---> exception 1 ", e);
                }
                SQLitePreparedStatement state3 = this.database.executeFast("REPLACE INTO user_contacts_v7 VALUES(?, ?, ?, ?, ?)");
                SQLitePreparedStatement state22 = this.database.executeFast("REPLACE INTO user_phones_v7 VALUES(?, ?, ?, ?)");
                for (Map.Entry<String, ContactsController.Contact> entry : contactHashMap.entrySet()) {
                    ContactsController.Contact contact = entry.getValue();
                    if (!contact.phones.isEmpty() && !contact.shortPhones.isEmpty()) {
                        state3.requery();
                        state3.bindString(1, contact.key);
                        state3.bindInteger(2, contact.contact_id);
                        state3.bindString(3, contact.first_name);
                        state3.bindString(4, contact.last_name);
                        state3.bindInteger(5, contact.imported);
                        state3.step();
                        for (int a2 = 0; a2 < contact.phones.size(); a2++) {
                            state22.requery();
                            state22.bindString(1, contact.key);
                            state22.bindString(2, contact.phones.get(a2));
                            state22.bindString(3, contact.shortPhones.get(a2));
                            state22.bindInteger(4, contact.phoneDeleted.get(a2).intValue());
                            state22.step();
                        }
                    }
                }
                state3.dispose();
                state = null;
                state22.dispose();
                state2 = null;
                if (migrate) {
                    this.database.executeFast("DROP TABLE IF EXISTS user_contacts_v6;").stepThis().dispose();
                    this.database.executeFast("DROP TABLE IF EXISTS user_phones_v6;").stepThis().dispose();
                    state = null;
                    getCachedPhoneBook(false);
                }
                this.database.commitTransaction();
                if (state != null) {
                    state.dispose();
                }
                if (0 == 0) {
                    return;
                }
            } catch (Exception e2) {
                FileLog.e("putCachedPhoneBook ---> exception 2 ", e2);
                if (state != null) {
                    state.dispose();
                }
                if (state2 == null) {
                    return;
                }
            }
            state2.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            if (state2 != null) {
                state2.dispose();
            }
            throw th;
        }
    }

    public void getCachedPhoneBook(final boolean byError) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda40
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m770x18ab3361(byError);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:101:0x022a, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:102:0x022b, code lost:
        r0.clear();
        im.uecahxyvjd.messenger.FileLog.e("getCachedPhoneBook ---> exception 3 ", r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:103:0x0233, code lost:
        if (r3 != null) goto L117;
     */
    /* JADX WARN: Code restructure failed: missing block: B:104:0x0235, code lost:
        r3.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:106:0x0239, code lost:
        getContactsController().performSyncPhoneBook(r0, true, true, false, false, !r27, false);
     */
    /* JADX WARN: Code restructure failed: missing block: B:107:0x024e, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:108:0x024f, code lost:
        if (r3 != null) goto L122;
     */
    /* JADX WARN: Code restructure failed: missing block: B:109:0x0251, code lost:
        r3.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:110:0x0254, code lost:
        throw r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:111:0x0255, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:112:0x0256, code lost:
        if (r3 != null) goto L133;
     */
    /* JADX WARN: Code restructure failed: missing block: B:113:0x0258, code lost:
        r3.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:114:0x025b, code lost:
        throw r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x00ec, code lost:
        if (0 != 0) goto L53;
     */
    /* JADX WARN: Code restructure failed: missing block: B:40:0x00ee, code lost:
        r3.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:43:0x00f8, code lost:
        if (r3 == null) goto L54;
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x00fb, code lost:
        r4 = 16;
        r6 = 0;
        r8 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:46:0x00ff, code lost:
        r3 = r26.database.queryFinalized("SELECT COUNT(key) FROM user_contacts_v7 WHERE 1", new java.lang.Object[0]);
     */
    /* JADX WARN: Code restructure failed: missing block: B:47:0x010e, code lost:
        if (r3.next() == false) goto L64;
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x0110, code lost:
        r6 = r3.intValue(0);
        r4 = java.lang.Math.min(5000, r6);
     */
    /* JADX WARN: Code restructure failed: missing block: B:49:0x011c, code lost:
        if (r6 <= 5000) goto L61;
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x011e, code lost:
        r8 = r6 - 5000;
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x0122, code lost:
        if (im.uecahxyvjd.messenger.BuildVars.LOGS_ENABLED == false) goto L64;
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x0124, code lost:
        im.uecahxyvjd.messenger.FileLog.d(r26.currentAccount + " current cached contacts count = " + r6);
     */
    /* JADX WARN: Code restructure failed: missing block: B:54:0x0140, code lost:
        r3.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x0143, code lost:
        r0 = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:56:0x0144, code lost:
        if (0 == 0) goto L68;
     */
    /* JADX WARN: Code restructure failed: missing block: B:57:0x0146, code lost:
        r0.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:58:0x0149, code lost:
        r3 = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:59:0x014b, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:60:0x014c, code lost:
        im.uecahxyvjd.messenger.FileLog.e("getCachedPhoneBook ---> exception 2 ", r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:61:0x0151, code lost:
        if (r3 != null) goto L129;
     */
    /* JADX WARN: Code restructure failed: missing block: B:62:0x0153, code lost:
        r3.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:63:0x0156, code lost:
        r0 = new java.util.HashMap<>(r4);
     */
    /* JADX WARN: Code restructure failed: missing block: B:64:0x015c, code lost:
        if (r8 == 0) goto L113;
     */
    /* JADX WARN: Code restructure failed: missing block: B:65:0x015e, code lost:
        r3 = r26.database.queryFinalized("SELECT us.key, us.uid, us.fname, us.sname, up.phone, up.sphone, up.deleted, us.imported FROM user_contacts_v7 as us LEFT JOIN user_phones_v7 as up ON us.key = up.key WHERE 1 LIMIT 0," + r6, new java.lang.Object[0]);
     */
    /* JADX WARN: Code restructure failed: missing block: B:66:0x017b, code lost:
        r0 = r26.database.queryFinalized("SELECT us.key, us.uid, us.fname, us.sname, up.phone, up.sphone, up.deleted, us.imported FROM user_contacts_v7 as us LEFT JOIN user_phones_v7 as up ON us.key = up.key WHERE 1", new java.lang.Object[0]);
        r3 = r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:68:0x018a, code lost:
        if (r3.next() == false) goto L112;
     */
    /* JADX WARN: Code restructure failed: missing block: B:69:0x018c, code lost:
        r0 = r3.stringValue(0);
        r11 = r0.get(r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:70:0x0196, code lost:
        if (r11 != null) goto L85;
     */
    /* JADX WARN: Code restructure failed: missing block: B:71:0x0198, code lost:
        r11 = new im.uecahxyvjd.messenger.ContactsController.Contact();
        r11.contact_id = r3.intValue(r9);
        r11.first_name = r3.stringValue(r5);
        r11.last_name = r3.stringValue(r7);
        r11.imported = r3.intValue(7);
     */
    /* JADX WARN: Code restructure failed: missing block: B:72:0x01b9, code lost:
        if (r11.first_name != null) goto L81;
     */
    /* JADX WARN: Code restructure failed: missing block: B:73:0x01bb, code lost:
        r11.first_name = "";
     */
    /* JADX WARN: Code restructure failed: missing block: B:75:0x01bf, code lost:
        if (r11.last_name != null) goto L84;
     */
    /* JADX WARN: Code restructure failed: missing block: B:76:0x01c1, code lost:
        r11.last_name = "";
     */
    /* JADX WARN: Code restructure failed: missing block: B:77:0x01c3, code lost:
        r0.put(r0, r11);
     */
    /* JADX WARN: Code restructure failed: missing block: B:78:0x01c6, code lost:
        r14 = r3.stringValue(4);
     */
    /* JADX WARN: Code restructure failed: missing block: B:79:0x01cb, code lost:
        if (r14 != null) goto L90;
     */
    /* JADX WARN: Code restructure failed: missing block: B:81:0x01d1, code lost:
        r11.phones.add(r14);
        r16 = r3.stringValue(5);
     */
    /* JADX WARN: Code restructure failed: missing block: B:82:0x01db, code lost:
        if (r16 != null) goto L94;
     */
    /* JADX WARN: Code restructure failed: missing block: B:85:0x01e6, code lost:
        if (r16.length() != 8) goto L111;
     */
    /* JADX WARN: Code restructure failed: missing block: B:87:0x01ec, code lost:
        if (r14.length() == 8) goto L111;
     */
    /* JADX WARN: Code restructure failed: missing block: B:88:0x01ee, code lost:
        r5 = im.uecahxyvjd.phoneformat.PhoneFormat.stripExceptNumbers(r14);
     */
    /* JADX WARN: Code restructure failed: missing block: B:89:0x01f5, code lost:
        r5 = r16;
     */
    /* JADX WARN: Code restructure failed: missing block: B:90:0x01f7, code lost:
        r11.shortPhones.add(r5);
        r11.phoneDeleted.add(java.lang.Integer.valueOf(r3.intValue(6)));
        r11.phoneTypes.add("");
     */
    /* JADX WARN: Code restructure failed: missing block: B:91:0x0215, code lost:
        if (r0.size() != 5000) goto L110;
     */
    /* JADX WARN: Code restructure failed: missing block: B:94:0x0219, code lost:
        r5 = 2;
        r7 = 3;
        r9 = 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:95:0x021e, code lost:
        r3.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:96:0x0221, code lost:
        r0 = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:97:0x0222, code lost:
        if (0 == 0) goto L107;
     */
    /* JADX WARN: Code restructure failed: missing block: B:98:0x0224, code lost:
        r0.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:99:0x0228, code lost:
        r0 = move-exception;
     */
    /* renamed from: lambda$getCachedPhoneBook$90$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m770x18ab3361(boolean byError) {
        SQLiteCursor cursor = null;
        int i = 6;
        int i2 = 2;
        int i3 = 3;
        int i4 = 4;
        int i5 = 1;
        int i6 = 8;
        try {
            SQLiteCursor cursor2 = this.database.queryFinalized("SELECT name FROM sqlite_master WHERE type='table' AND name='user_contacts_v6'", new Object[0]);
            boolean migrate = cursor2.next();
            cursor2.dispose();
            cursor = null;
            if (migrate) {
                SQLiteCursor cursor3 = this.database.queryFinalized("SELECT COUNT(uid) FROM user_contacts_v6 WHERE 1", new Object[0]);
                int count = cursor3.next() ? Math.min(5000, cursor3.intValue(0)) : 16;
                cursor3.dispose();
                SparseArray<ContactsController.Contact> contactHashMap = new SparseArray<>(count);
                SQLiteCursor cursor4 = this.database.queryFinalized("SELECT us.uid, us.fname, us.sname, up.phone, up.sphone, up.deleted, us.imported FROM user_contacts_v6 as us LEFT JOIN user_phones_v6 as up ON us.uid = up.uid WHERE 1", new Object[0]);
                while (cursor4.next()) {
                    int uid = cursor4.intValue(0);
                    ContactsController.Contact contact = contactHashMap.get(uid);
                    if (contact == null) {
                        contact = new ContactsController.Contact();
                        contact.first_name = cursor4.stringValue(1);
                        contact.last_name = cursor4.stringValue(2);
                        contact.imported = cursor4.intValue(i);
                        if (contact.first_name == null) {
                            contact.first_name = "";
                        }
                        if (contact.last_name == null) {
                            contact.last_name = "";
                        }
                        contact.contact_id = uid;
                        contactHashMap.put(uid, contact);
                    }
                    String phone = cursor4.stringValue(3);
                    if (phone != null) {
                        contact.phones.add(phone);
                        String sphone = cursor4.stringValue(i4);
                        if (sphone == null) {
                            i = 6;
                        } else {
                            if (sphone.length() == i6 && phone.length() != i6) {
                                sphone = PhoneFormat.stripExceptNumbers(phone);
                            }
                            contact.shortPhones.add(sphone);
                            contact.phoneDeleted.add(Integer.valueOf(cursor4.intValue(5)));
                            contact.phoneTypes.add("");
                            if (contactHashMap.size() == 5000) {
                                break;
                            }
                            i = 6;
                            i4 = 4;
                            i6 = 8;
                        }
                    }
                }
                cursor4.dispose();
                cursor = null;
                getContactsController().migratePhoneBookToV7(contactHashMap);
            }
        } catch (Throwable e) {
            try {
                FileLog.e("getCachedPhoneBook ---> exception 1 ", e);
            } finally {
                if (cursor != null) {
                    cursor.dispose();
                }
            }
        }
    }

    public void getContacts() {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda72
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m773lambda$getContacts$91$imuecahxyvjdmessengerMessagesStorage();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x0073, code lost:
        if (r2 == null) goto L23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x0076, code lost:
        getContactsController().processLoadedContacts(r0, r1, 1);
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x007d, code lost:
        return;
     */
    /* renamed from: lambda$getContacts$91$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m773lambda$getContacts$91$imuecahxyvjdmessengerMessagesStorage() {
        ArrayList<TLRPC.Contact> contacts = new ArrayList<>();
        ArrayList<TLRPC.User> users = new ArrayList<>();
        SQLiteCursor cursor = null;
        try {
            try {
                SQLiteCursor cursor2 = this.database.queryFinalized("SELECT * FROM contacts WHERE 1", new Object[0]);
                StringBuilder uids = new StringBuilder();
                while (cursor2.next()) {
                    int user_id = cursor2.intValue(0);
                    TLRPC.Contact contact = new TLRPC.Contact();
                    contact.user_id = user_id;
                    contact.mutual = cursor2.intValue(1) == 1;
                    if (uids.length() != 0) {
                        uids.append(",");
                    }
                    contacts.add(contact);
                    uids.append(contact.user_id);
                }
                cursor2.dispose();
                cursor = null;
                if (uids.length() != 0) {
                    getUsersInternal(uids.toString(), users);
                }
            } catch (Exception e) {
                contacts.clear();
                users.clear();
                FileLog.e("getContacts ---> exception ", e);
            }
        } finally {
            if (cursor != null) {
                cursor.dispose();
            }
        }
    }

    public void getUnsentMessages(final int count) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda11
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m787x8a02dde9(count);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:172:0x0348  */
    /* JADX WARN: Removed duplicated region for block: B:177:0x0353  */
    /* renamed from: lambda$getUnsentMessages$92$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m787x8a02dde9(int count) {
        NativeByteBuffer data;
        SparseArray<TLRPC.Message> messageHashMap = new SparseArray<>();
        ArrayList<TLRPC.Message> messages = new ArrayList<>();
        ArrayList<TLRPC.Message> scheduledMessages = new ArrayList<>();
        ArrayList<TLRPC.User> users = new ArrayList<>();
        ArrayList<TLRPC.Chat> chats = new ArrayList<>();
        ArrayList<TLRPC.EncryptedChat> encryptedChats = new ArrayList<>();
        ArrayList<Integer> usersToLoad = new ArrayList<>();
        ArrayList<Integer> chatsToLoad = new ArrayList<>();
        ArrayList<Integer> encryptedChatIds = new ArrayList<>();
        SQLiteCursor cursor = null;
        NativeByteBuffer data2 = null;
        try {
            try {
                cursor = this.database.queryFinalized("SELECT m.read_state, m.data, m.send_state, m.mid, m.date, r.random_id, m.uid, s.seq_in, s.seq_out, m.ttl FROM messages as m LEFT JOIN randoms as r ON r.mid = m.mid LEFT JOIN messages_seq as s ON m.mid = s.mid WHERE (m.mid < 0 AND m.send_state = 1) OR (m.mid > 0 AND m.send_state = 3) ORDER BY m.mid DESC LIMIT " + count, new Object[0]);
                while (cursor.next()) {
                    try {
                        try {
                            data2 = cursor.byteBufferValue(1);
                            if (data2 != null) {
                                TLRPC.Message message = TLRPC.Message.TLdeserialize(data2, data2.readInt32(false), false);
                                message.send_state = cursor.intValue(2);
                                message.readAttachPath(data2, getUserConfig().clientUserId);
                                data2.reuse();
                                data2 = null;
                                try {
                                    if (messageHashMap.indexOfKey(message.id) < 0) {
                                        MessageObject.setUnreadFlags(message, cursor.intValue(0));
                                        message.id = cursor.intValue(3);
                                        message.date = cursor.intValue(4);
                                        if (!cursor.isNull(5)) {
                                            message.random_id = cursor.longValue(5);
                                        }
                                        message.dialog_id = cursor.longValue(6);
                                        message.seq_in = cursor.intValue(7);
                                        message.seq_out = cursor.intValue(8);
                                        message.ttl = cursor.intValue(9);
                                        messages.add(message);
                                        messageHashMap.put(message.id, message);
                                        int lower_id = (int) message.dialog_id;
                                        data = null;
                                        try {
                                            int high_id = (int) (message.dialog_id >> 32);
                                            if (lower_id != 0) {
                                                if (lower_id < 0) {
                                                    if (!chatsToLoad.contains(Integer.valueOf(-lower_id))) {
                                                        chatsToLoad.add(Integer.valueOf(-lower_id));
                                                    }
                                                } else if (!usersToLoad.contains(Integer.valueOf(lower_id))) {
                                                    usersToLoad.add(Integer.valueOf(lower_id));
                                                }
                                            } else if (!encryptedChatIds.contains(Integer.valueOf(high_id))) {
                                                encryptedChatIds.add(Integer.valueOf(high_id));
                                            }
                                            addUsersAndChatsFromMessage(message, usersToLoad, chatsToLoad);
                                            if (message.send_state != 3 && ((message.to_id.channel_id == 0 && !MessageObject.isUnread(message) && lower_id != 0) || message.id > 0)) {
                                                message.send_state = 0;
                                            }
                                        } catch (Exception e) {
                                            e = e;
                                            data2 = null;
                                            try {
                                                FileLog.e("getUnsentMessages ---> exception ", e);
                                                if (cursor != null) {
                                                }
                                            } catch (Throwable th) {
                                                th = th;
                                                if (cursor != null) {
                                                    cursor.dispose();
                                                }
                                                throw th;
                                            }
                                        } catch (Throwable th2) {
                                            th = th2;
                                            if (cursor != null) {
                                            }
                                            throw th;
                                        }
                                    } else {
                                        data = null;
                                    }
                                    data2 = data;
                                } catch (Exception e2) {
                                    e = e2;
                                } catch (Throwable th3) {
                                    th = th3;
                                }
                            }
                        } catch (Exception e3) {
                            e = e3;
                        } catch (Throwable th4) {
                            th = th4;
                        }
                    } catch (Exception e4) {
                        e = e4;
                    } catch (Throwable th5) {
                        th = th5;
                    }
                }
                cursor.dispose();
                cursor = null;
                try {
                    try {
                        cursor = this.database.queryFinalized("SELECT m.data, m.send_state, m.mid, m.date, r.random_id, m.uid, m.ttl FROM scheduled_messages as m LEFT JOIN randoms as r ON r.mid = m.mid WHERE (m.mid < 0 AND m.send_state = 1) OR (m.mid > 0 AND m.send_state = 3) ORDER BY date ASC", new Object[0]);
                        NativeByteBuffer data3 = data2;
                        while (cursor.next()) {
                            try {
                                try {
                                    NativeByteBuffer data4 = cursor.byteBufferValue(0);
                                    if (data4 != null) {
                                        TLRPC.Message message2 = TLRPC.Message.TLdeserialize(data4, data4.readInt32(false), false);
                                        message2.send_state = cursor.intValue(1);
                                        message2.readAttachPath(data4, getUserConfig().clientUserId);
                                        data4.reuse();
                                        data3 = null;
                                        if (messageHashMap.indexOfKey(message2.id) < 0) {
                                            message2.id = cursor.intValue(2);
                                            message2.date = cursor.intValue(3);
                                            if (!cursor.isNull(4)) {
                                                message2.random_id = cursor.longValue(4);
                                            }
                                            message2.dialog_id = cursor.longValue(5);
                                            message2.ttl = cursor.intValue(6);
                                            scheduledMessages.add(message2);
                                            messageHashMap.put(message2.id, message2);
                                            int lower_id2 = (int) message2.dialog_id;
                                            int high_id2 = (int) (message2.dialog_id >> 32);
                                            if (lower_id2 != 0) {
                                                if (lower_id2 < 0) {
                                                    if (!chatsToLoad.contains(Integer.valueOf(-lower_id2))) {
                                                        chatsToLoad.add(Integer.valueOf(-lower_id2));
                                                    }
                                                } else if (!usersToLoad.contains(Integer.valueOf(lower_id2))) {
                                                    usersToLoad.add(Integer.valueOf(lower_id2));
                                                }
                                            } else if (!encryptedChatIds.contains(Integer.valueOf(high_id2))) {
                                                encryptedChatIds.add(Integer.valueOf(high_id2));
                                            }
                                            addUsersAndChatsFromMessage(message2, usersToLoad, chatsToLoad);
                                            if (message2.send_state != 3 && ((message2.to_id.channel_id == 0 && !MessageObject.isUnread(message2) && lower_id2 != 0) || message2.id > 0)) {
                                                message2.send_state = 0;
                                            }
                                        }
                                    } else {
                                        data3 = data4;
                                    }
                                } catch (Exception e5) {
                                    e = e5;
                                    data2 = data3;
                                    FileLog.e("getUnsentMessages ---> exception ", e);
                                    if (cursor != null) {
                                        cursor.dispose();
                                    }
                                } catch (Throwable th6) {
                                    th = th6;
                                    if (cursor != null) {
                                    }
                                    throw th;
                                }
                            } catch (Exception e6) {
                                e = e6;
                                data2 = data3;
                            } catch (Throwable th7) {
                                th = th7;
                            }
                        }
                        cursor.dispose();
                        SQLiteCursor cursor2 = null;
                        try {
                            if (!encryptedChatIds.isEmpty()) {
                                try {
                                    getEncryptedChatsInternal(TextUtils.join(",", encryptedChatIds), encryptedChats, usersToLoad);
                                } catch (Exception e7) {
                                    e = e7;
                                    cursor = null;
                                    data2 = data3;
                                    FileLog.e("getUnsentMessages ---> exception ", e);
                                    if (cursor != null) {
                                    }
                                } catch (Throwable th8) {
                                    th = th8;
                                    cursor = null;
                                    if (cursor != null) {
                                    }
                                    throw th;
                                }
                            }
                            if (!usersToLoad.isEmpty()) {
                                getUsersInternal(TextUtils.join(",", usersToLoad), users);
                            }
                            if (!chatsToLoad.isEmpty()) {
                                StringBuilder stringToLoad = new StringBuilder();
                                for (int a2 = 0; a2 < chatsToLoad.size(); a2++) {
                                    Integer cid = chatsToLoad.get(a2);
                                    if (stringToLoad.length() != 0) {
                                        stringToLoad.append(",");
                                    }
                                    stringToLoad.append(cid);
                                }
                                getChatsInternal(stringToLoad.toString(), chats);
                            }
                        } catch (Exception e8) {
                            e = e8;
                            cursor = null;
                            data2 = data3;
                        } catch (Throwable th9) {
                            th = th9;
                            cursor = null;
                        }
                        try {
                            getSendMessagesHelper().processUnsentMessages(messages, scheduledMessages, users, chats, encryptedChats);
                            if (0 != 0) {
                                cursor2.dispose();
                            }
                        } catch (Exception e9) {
                            e = e9;
                            cursor = null;
                            data2 = data3;
                            FileLog.e("getUnsentMessages ---> exception ", e);
                            if (cursor != null) {
                            }
                        } catch (Throwable th10) {
                            th = th10;
                            cursor = null;
                            if (cursor != null) {
                            }
                            throw th;
                        }
                    } catch (Exception e10) {
                        e = e10;
                        cursor = null;
                    } catch (Throwable th11) {
                        th = th11;
                        cursor = null;
                    }
                } catch (Exception e11) {
                    e = e11;
                } catch (Throwable th12) {
                    th = th12;
                }
            } catch (Exception e12) {
                e = e12;
                cursor = null;
            } catch (Throwable th13) {
                th = th13;
                cursor = null;
            }
        } catch (Exception e13) {
            e = e13;
        } catch (Throwable th14) {
            th = th14;
        }
    }

    public boolean checkMessageByRandomId(final long random_id) {
        final boolean[] result = new boolean[1];
        final CountDownLatch countDownLatch = new CountDownLatch(1);
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda5
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m742x4e478a0f(random_id, result, countDownLatch);
            }
        });
        try {
            countDownLatch.await();
        } catch (Exception e) {
            FileLog.e("checkMessageByRandomId ---> exception 2 ", e);
        }
        return result[0];
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x0036, code lost:
        if (r0 == null) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0039, code lost:
        r12.countDown();
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x003c, code lost:
        return;
     */
    /* renamed from: lambda$checkMessageByRandomId$93$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m742x4e478a0f(long random_id, boolean[] result, CountDownLatch countDownLatch) {
        SQLiteCursor cursor = null;
        try {
            try {
                cursor = this.database.queryFinalized(String.format(Locale.US, "SELECT random_id FROM randoms WHERE random_id = %d", Long.valueOf(random_id)), new Object[0]);
                if (cursor.next()) {
                    result[0] = true;
                }
                cursor.dispose();
                cursor = null;
            } catch (Exception e) {
                FileLog.e("checkMessageByRandomId ---> exception 1 ", e);
            }
        } finally {
            if (cursor != null) {
                cursor.dispose();
            }
        }
    }

    public boolean checkMessageId(final long dialog_id, final int mid) {
        final boolean[] result = new boolean[1];
        final CountDownLatch countDownLatch = new CountDownLatch(1);
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda121
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m743lambda$checkMessageId$94$imuecahxyvjdmessengerMessagesStorage(dialog_id, mid, result, countDownLatch);
            }
        });
        try {
            countDownLatch.await();
        } catch (Exception e) {
            FileLog.e("checkMessageId ---> exception 2 ", e);
        }
        return result[0];
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x003d, code lost:
        if (r0 == null) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0040, code lost:
        r13.countDown();
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x0043, code lost:
        return;
     */
    /* renamed from: lambda$checkMessageId$94$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m743lambda$checkMessageId$94$imuecahxyvjdmessengerMessagesStorage(long dialog_id, int mid, boolean[] result, CountDownLatch countDownLatch) {
        SQLiteCursor cursor = null;
        try {
            try {
                cursor = this.database.queryFinalized(String.format(Locale.US, "SELECT mid FROM messages WHERE uid = %d AND mid = %d", Long.valueOf(dialog_id), Integer.valueOf(mid)), new Object[0]);
                if (cursor.next()) {
                    result[0] = true;
                }
                cursor.dispose();
                cursor = null;
            } catch (Exception e) {
                FileLog.e("checkMessageId ---> exception 1 ", e);
            }
        } finally {
            if (cursor != null) {
                cursor.dispose();
            }
        }
    }

    public void getUnreadMention(final long dialog_id, final IntCallback callback) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda31
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m786x3b4d5321(dialog_id, callback);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getUnreadMention$96$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m786x3b4d5321(long dialog_id, final IntCallback callback) {
        SQLiteCursor cursor = null;
        try {
            try {
                SQLiteCursor cursor2 = this.database.queryFinalized(String.format(Locale.US, "SELECT MIN(mid) FROM messages WHERE uid = %d AND mention = 1 AND read_state IN(0, 1)", Long.valueOf(dialog_id)), new Object[0]);
                final int result = cursor2.next() ? cursor2.intValue(0) : 0;
                cursor2.dispose();
                cursor = null;
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda24
                    @Override // java.lang.Runnable
                    public final void run() {
                        MessagesStorage.IntCallback.this.run(result);
                    }
                });
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("getUnreadMention ---> exception ", e);
                if (cursor == null) {
                    return;
                }
            }
            cursor.dispose();
        } catch (Throwable th) {
            if (cursor != null) {
                cursor.dispose();
            }
            throw th;
        }
    }

    public void getMessagesCount(final long dialog_id, final IntCallback callback) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda25
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m783xbe5d083b(dialog_id, callback);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getMessagesCount$98$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m783xbe5d083b(long dialog_id, final IntCallback callback) {
        SQLiteCursor cursor = null;
        try {
            try {
                SQLiteCursor cursor2 = this.database.queryFinalized(String.format(Locale.US, "SELECT COUNT(mid) FROM messages WHERE uid = %d", Long.valueOf(dialog_id)), new Object[0]);
                final int result = cursor2.next() ? cursor2.intValue(0) : 0;
                cursor2.dispose();
                cursor = null;
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda115
                    @Override // java.lang.Runnable
                    public final void run() {
                        MessagesStorage.IntCallback.this.run(result);
                    }
                });
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("getMessagesCount ---> exception ", e);
                if (cursor == null) {
                    return;
                }
            }
            cursor.dispose();
        } catch (Throwable th) {
            if (cursor != null) {
                cursor.dispose();
            }
            throw th;
        }
    }

    public void getMessages(final long dialog_id, final int count, final int max_id, final int offset_date, final int minDate, final int classGuid, final int load_type, final boolean isChannel, final boolean scheduled, final int loadIndex) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda46
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m782lambda$getMessages$100$imuecahxyvjdmessengerMessagesStorage(count, max_id, isChannel, dialog_id, scheduled, load_type, minDate, offset_date, classGuid, loadIndex);
            }
        });
    }

    /*  JADX ERROR: JadxRuntimeException in pass: BlockProcessor
        jadx.core.utils.exceptions.JadxRuntimeException: Unreachable block: B:135:0x04d8
        	at jadx.core.dex.visitors.blocks.BlockProcessor.checkForUnreachableBlocks(BlockProcessor.java:81)
        	at jadx.core.dex.visitors.blocks.BlockProcessor.processBlocksTree(BlockProcessor.java:47)
        	at jadx.core.dex.visitors.blocks.BlockProcessor.visit(BlockProcessor.java:39)
        */
    /* renamed from: lambda$getMessages$100$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /* synthetic */ void m782lambda$getMessages$100$imuecahxyvjdmessengerMessagesStorage(int r58, int r59, boolean r60, long r61, boolean r63, int r64, int r65, int r66, int r67, int r68) {
        /*
            Method dump skipped, instructions count: 15790
            To view this dump add '--comments-level debug' option
        */
        throw new UnsupportedOperationException("Method not decompiled: im.uecahxyvjd.messenger.MessagesStorage.m782lambda$getMessages$100$imuecahxyvjdmessengerMessagesStorage(int, int, boolean, long, boolean, int, int, int, int, int):void");
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ int lambda$getMessages$99(TLRPC.Message lhs, TLRPC.Message rhs) {
        if (lhs.id > 0 && rhs.id > 0) {
            if (lhs.id > rhs.id) {
                return -1;
            }
            return lhs.id < rhs.id ? 1 : 0;
        } else if (lhs.id < 0 && rhs.id < 0) {
            if (lhs.id < rhs.id) {
                return -1;
            }
            return lhs.id > rhs.id ? 1 : 0;
        } else if (lhs.date > rhs.date) {
            return -1;
        } else {
            return lhs.date < rhs.date ? 1 : 0;
        }
    }

    public void clearSentMedia() {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda12
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m748xd954870c();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$clearSentMedia$101$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m748xd954870c() {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast("DELETE FROM sent_files_v2 WHERE 1");
                state.stepThis().dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("clearSentMedia ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public Object[] getSentFile(final String path, final int type) {
        if (path == null || path.toLowerCase().endsWith("attheme")) {
            return null;
        }
        final CountDownLatch countDownLatch = new CountDownLatch(1);
        final Object[] result = new Object[2];
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda113
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m785lambda$getSentFile$102$imuecahxyvjdmessengerMessagesStorage(path, type, result, countDownLatch);
            }
        });
        try {
            countDownLatch.await();
        } catch (Exception e) {
            FileLog.e("getSentFile ---> exception 2 ", e);
        }
        if (result[0] != null) {
            return result;
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x007f, code lost:
        if (r0 != null) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x0082, code lost:
        return;
     */
    /* renamed from: lambda$getSentFile$102$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m785lambda$getSentFile$102$imuecahxyvjdmessengerMessagesStorage(String path, int type, Object[] result, CountDownLatch countDownLatch) {
        SQLiteCursor cursor = null;
        NativeByteBuffer data = null;
        try {
            try {
                String id = Utilities.MD5(path);
                if (id != null) {
                    cursor = this.database.queryFinalized(String.format(Locale.US, "SELECT data, parent FROM sent_files_v2 WHERE uid = '%s' AND type = %d", id, Integer.valueOf(type)), new Object[0]);
                    if (cursor.next() && (data = cursor.byteBufferValue(0)) != null) {
                        TLObject file = TLRPC.MessageMedia.TLdeserialize(data, data.readInt32(false), false);
                        data.reuse();
                        data = null;
                        if (file instanceof TLRPC.TL_messageMediaDocument) {
                            result[0] = ((TLRPC.TL_messageMediaDocument) file).document;
                        } else if (file instanceof TLRPC.TL_messageMediaPhoto) {
                            result[0] = ((TLRPC.TL_messageMediaPhoto) file).photo;
                        }
                        if (result[0] != null) {
                            result[1] = cursor.stringValue(1);
                        }
                    }
                    cursor.dispose();
                    cursor = null;
                }
            } catch (Exception e) {
                FileLog.e("getSentFile ---> exception 1 ", e);
                if (data != null) {
                    data.reuse();
                }
            }
        } finally {
            if (data != null) {
                data.reuse();
            }
            if (cursor != null) {
                cursor.dispose();
            }
            countDownLatch.countDown();
        }
    }

    public void putSentFile(final String path, final TLObject file, final int type, final String parent) {
        if (path == null || file == null || parent == null) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda59
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m841lambda$putSentFile$103$imuecahxyvjdmessengerMessagesStorage(path, file, type, parent);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$putSentFile$103$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m841lambda$putSentFile$103$imuecahxyvjdmessengerMessagesStorage(String path, TLObject file, int type, String parent) {
        NativeByteBuffer data = null;
        SQLitePreparedStatement state = null;
        try {
            try {
                String id = Utilities.MD5(path);
                if (id != null) {
                    TLRPC.MessageMedia messageMedia = null;
                    if (file instanceof TLRPC.Photo) {
                        messageMedia = new TLRPC.TL_messageMediaPhoto();
                        messageMedia.photo = (TLRPC.Photo) file;
                        messageMedia.flags |= 1;
                    } else if (file instanceof TLRPC.Document) {
                        messageMedia = new TLRPC.TL_messageMediaDocument();
                        messageMedia.document = (TLRPC.Document) file;
                        messageMedia.flags |= 1;
                    }
                    if (messageMedia == null) {
                        if (0 != 0) {
                            data.reuse();
                        }
                        if (0 != 0) {
                            state.dispose();
                            return;
                        }
                        return;
                    }
                    state = this.database.executeFast("REPLACE INTO sent_files_v2 VALUES(?, ?, ?, ?)");
                    state.requery();
                    NativeByteBuffer data2 = new NativeByteBuffer(messageMedia.getObjectSize());
                    messageMedia.serializeToStream(data2);
                    state.bindString(1, id);
                    state.bindInteger(2, type);
                    state.bindByteBuffer(3, data2);
                    state.bindString(4, parent);
                    state.step();
                    data2.reuse();
                    data = null;
                    state.dispose();
                    state = null;
                }
                if (data != null) {
                    data.reuse();
                }
                if (state == null) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("putSentFile ---> exception ", e);
                if (data != null) {
                    data.reuse();
                }
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void updateEncryptedChatSeq(final TLRPC.EncryptedChat chat, final boolean cleanup) {
        if (chat == null) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda16
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m882xe769729c(chat, cleanup);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateEncryptedChatSeq$104$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m882xe769729c(TLRPC.EncryptedChat chat, boolean cleanup) {
        SQLitePreparedStatement state = null;
        SQLitePreparedStatement state2 = null;
        try {
            try {
                state = this.database.executeFast("UPDATE enc_chats SET seq_in = ?, seq_out = ?, use_count = ?, in_seq_no = ?, mtproto_seq = ? WHERE uid = ?");
                state.bindInteger(1, chat.seq_in);
                state.bindInteger(2, chat.seq_out);
                state.bindInteger(3, (chat.key_use_count_in << 16) | chat.key_use_count_out);
                state.bindInteger(4, chat.in_seq_no);
                state.bindInteger(5, chat.mtproto_seq);
                state.bindInteger(6, chat.id);
                state.step();
                if (cleanup && chat.in_seq_no != 0) {
                    long did = chat.id << 32;
                    this.database.executeFast(String.format(Locale.US, "DELETE FROM messages WHERE mid IN (SELECT m.mid FROM messages as m LEFT JOIN messages_seq as s ON m.mid = s.mid WHERE m.uid = %d AND m.date = 0 AND m.mid < 0 AND s.seq_out <= %d)", Long.valueOf(did), Integer.valueOf(chat.in_seq_no))).stepThis().dispose();
                    state2 = null;
                }
                state.dispose();
                SQLitePreparedStatement state3 = null;
                if (0 != 0) {
                    state3.dispose();
                }
                if (state2 == null) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("updateEncryptedChatSeq ---> exception ", e);
                if (state != null) {
                    state.dispose();
                }
                if (state2 == null) {
                    return;
                }
            }
            state2.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            if (state2 != null) {
                state2.dispose();
            }
            throw th;
        }
    }

    public void updateEncryptedChatTTL(final TLRPC.EncryptedChat chat) {
        if (chat == null) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda92
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m883x3f573faa(chat);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateEncryptedChatTTL$105$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m883x3f573faa(TLRPC.EncryptedChat chat) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast("UPDATE enc_chats SET ttl = ? WHERE uid = ?");
                state.bindInteger(1, chat.ttl);
                state.bindInteger(2, chat.id);
                state.step();
                state.dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("updateEncryptedChatTTL ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void updateEncryptedChatLayer(final TLRPC.EncryptedChat chat) {
        if (chat == null) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda30
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m881xd07ec410(chat);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateEncryptedChatLayer$106$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m881xd07ec410(TLRPC.EncryptedChat chat) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast("UPDATE enc_chats SET layer = ? WHERE uid = ?");
                state.bindInteger(1, chat.layer);
                state.bindInteger(2, chat.id);
                state.step();
                state.dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("updateEncryptedChatLayer ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void updateEncryptedChat(final TLRPC.EncryptedChat chat) {
        if (chat == null) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda75
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m880x2b3e18cc(chat);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateEncryptedChat$107$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m880x2b3e18cc(TLRPC.EncryptedChat chat) {
        NativeByteBuffer data = null;
        NativeByteBuffer data2 = null;
        NativeByteBuffer data3 = null;
        NativeByteBuffer data4 = null;
        NativeByteBuffer data5 = null;
        SQLitePreparedStatement state = null;
        try {
            try {
                if ((chat.key_hash == null || chat.key_hash.length < 16) && chat.auth_key != null) {
                    chat.key_hash = AndroidUtilities.calcAuthKeyHash(chat.auth_key);
                }
                state = this.database.executeFast("UPDATE enc_chats SET data = ?, g = ?, authkey = ?, ttl = ?, layer = ?, seq_in = ?, seq_out = ?, use_count = ?, exchange_id = ?, key_date = ?, fprint = ?, fauthkey = ?, khash = ?, in_seq_no = ?, admin_id = ?, mtproto_seq = ? WHERE uid = ?");
                NativeByteBuffer data6 = new NativeByteBuffer(chat.getObjectSize());
                NativeByteBuffer data22 = new NativeByteBuffer(chat.a_or_b != null ? chat.a_or_b.length : 1);
                NativeByteBuffer data32 = new NativeByteBuffer(chat.auth_key != null ? chat.auth_key.length : 1);
                NativeByteBuffer data42 = new NativeByteBuffer(chat.future_auth_key != null ? chat.future_auth_key.length : 1);
                NativeByteBuffer data52 = new NativeByteBuffer(chat.key_hash != null ? chat.key_hash.length : 1);
                chat.serializeToStream(data6);
                state.bindByteBuffer(1, data6);
                if (chat.a_or_b != null) {
                    data22.writeBytes(chat.a_or_b);
                }
                if (chat.auth_key != null) {
                    data32.writeBytes(chat.auth_key);
                }
                if (chat.future_auth_key != null) {
                    data42.writeBytes(chat.future_auth_key);
                }
                if (chat.key_hash != null) {
                    data52.writeBytes(chat.key_hash);
                }
                state.bindByteBuffer(2, data22);
                state.bindByteBuffer(3, data32);
                state.bindInteger(4, chat.ttl);
                state.bindInteger(5, chat.layer);
                state.bindInteger(6, chat.seq_in);
                state.bindInteger(7, chat.seq_out);
                state.bindInteger(8, (chat.key_use_count_in << 16) | chat.key_use_count_out);
                state.bindLong(9, chat.exchange_id);
                state.bindInteger(10, chat.key_create_date);
                state.bindLong(11, chat.future_key_fingerprint);
                state.bindByteBuffer(12, data42);
                state.bindByteBuffer(13, data52);
                state.bindInteger(14, chat.in_seq_no);
                state.bindInteger(15, chat.admin_id);
                state.bindInteger(16, chat.mtproto_seq);
                state.bindInteger(17, chat.id);
                state.step();
                data6.reuse();
                data = null;
                data22.reuse();
                data2 = null;
                data32.reuse();
                data3 = null;
                data42.reuse();
                data4 = null;
                data52.reuse();
                data5 = null;
                state.dispose();
                state = null;
                if (0 != 0) {
                    data.reuse();
                }
                if (0 != 0) {
                    data2.reuse();
                }
                if (0 != 0) {
                    data3.reuse();
                }
                if (0 != 0) {
                    data4.reuse();
                }
                if (0 != 0) {
                    data5.reuse();
                }
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("updateEncryptedChat ---> exception ", e);
                if (data != null) {
                    data.reuse();
                }
                if (data2 != null) {
                    data2.reuse();
                }
                if (data3 != null) {
                    data3.reuse();
                }
                if (data4 != null) {
                    data4.reuse();
                }
                if (data5 != null) {
                    data5.reuse();
                }
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (data2 != null) {
                data2.reuse();
            }
            if (data3 != null) {
                data3.reuse();
            }
            if (data4 != null) {
                data4.reuse();
            }
            if (data5 != null) {
                data5.reuse();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public boolean isDialogHasMessages(final long did) {
        final CountDownLatch countDownLatch = new CountDownLatch(1);
        final boolean[] result = new boolean[1];
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda36
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m791xd51148ee(did, result, countDownLatch);
            }
        });
        try {
            countDownLatch.await();
        } catch (Exception e) {
            FileLog.e("isDialogHasMessages ---> exception 2 ", e);
        }
        return result[0];
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:11:0x0031, code lost:
        if (r0 == null) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x0033, code lost:
        r0.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x0036, code lost:
        r11.countDown();
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x003a, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x0026, code lost:
        if (0 != 0) goto L9;
     */
    /* renamed from: lambda$isDialogHasMessages$108$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m791xd51148ee(long did, boolean[] result, CountDownLatch countDownLatch) {
        SQLiteCursor cursor = null;
        try {
            try {
                cursor = this.database.queryFinalized(String.format(Locale.US, "SELECT mid FROM messages WHERE uid = %d LIMIT 1", Long.valueOf(did)), new Object[0]);
                result[0] = cursor.next();
                cursor.dispose();
                cursor = null;
            } catch (Exception e) {
                FileLog.e("isDialogHasMessages ---> exception 1 ", e);
            }
        } catch (Throwable th) {
            if (cursor != null) {
                cursor.dispose();
            }
            countDownLatch.countDown();
            throw th;
        }
    }

    public boolean hasAuthMessage(final int date) {
        final CountDownLatch countDownLatch = new CountDownLatch(1);
        final boolean[] result = new boolean[1];
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda159
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m790x253d9cfa(date, result, countDownLatch);
            }
        });
        try {
            countDownLatch.await();
        } catch (Exception e) {
            FileLog.e("hasAuthMessage ---> exception 2 ", e);
        }
        return result[0];
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:11:0x0031, code lost:
        if (r0 == null) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x0033, code lost:
        r0.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x0036, code lost:
        r10.countDown();
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x003a, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x0026, code lost:
        if (0 != 0) goto L9;
     */
    /* renamed from: lambda$hasAuthMessage$109$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m790x253d9cfa(int date, boolean[] result, CountDownLatch countDownLatch) {
        SQLiteCursor cursor = null;
        try {
            try {
                cursor = this.database.queryFinalized(String.format(Locale.US, "SELECT mid FROM messages WHERE uid = 777000 AND date = %d AND mid < 0 LIMIT 1", Integer.valueOf(date)), new Object[0]);
                result[0] = cursor.next();
                cursor.dispose();
                cursor = null;
            } catch (Exception e) {
                FileLog.e("hasAuthMessage ---> exception 1 ", e);
            }
        } catch (Throwable th) {
            if (cursor != null) {
                cursor.dispose();
            }
            countDownLatch.countDown();
            throw th;
        }
    }

    public void getEncryptedChat(final int chat_id, final CountDownLatch countDownLatch, final ArrayList<TLObject> result) {
        if (countDownLatch == null || result == null) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda44
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m781xda120391(chat_id, result, countDownLatch);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getEncryptedChat$110$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m781xda120391(int chat_id, ArrayList result, CountDownLatch countDownLatch) {
        try {
            try {
                ArrayList<Integer> usersToLoad = new ArrayList<>();
                ArrayList<TLRPC.EncryptedChat> encryptedChats = new ArrayList<>();
                getEncryptedChatsInternal("" + chat_id, encryptedChats, usersToLoad);
                if (!encryptedChats.isEmpty() && !usersToLoad.isEmpty()) {
                    ArrayList<TLRPC.User> users = new ArrayList<>();
                    getUsersInternal(TextUtils.join(",", usersToLoad), users);
                    if (!users.isEmpty()) {
                        result.add(encryptedChats.get(0));
                        result.add(users.get(0));
                    }
                }
            } catch (Exception e) {
                FileLog.e("getEncryptedChat ---> exception ", e);
            }
        } finally {
            countDownLatch.countDown();
        }
    }

    public void putEncryptedChat(final TLRPC.EncryptedChat chat, final TLRPC.User user, final TLRPC.Dialog dialog) {
        if (chat == null) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda79
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m835xa83120f9(chat, user, dialog);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$putEncryptedChat$111$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m835xa83120f9(TLRPC.EncryptedChat chat, TLRPC.User user, TLRPC.Dialog dialog) {
        if ((chat.key_hash == null || chat.key_hash.length < 16) && chat.auth_key != null) {
            chat.key_hash = AndroidUtilities.calcAuthKeyHash(chat.auth_key);
        }
        SQLitePreparedStatement state = null;
        NativeByteBuffer data = null;
        NativeByteBuffer data2 = null;
        NativeByteBuffer data3 = null;
        NativeByteBuffer data4 = null;
        NativeByteBuffer data5 = null;
        try {
            try {
                SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO enc_chats VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
                NativeByteBuffer data6 = new NativeByteBuffer(chat.getObjectSize());
                NativeByteBuffer data22 = new NativeByteBuffer(chat.a_or_b != null ? chat.a_or_b.length : 1);
                NativeByteBuffer data32 = new NativeByteBuffer(chat.auth_key != null ? chat.auth_key.length : 1);
                NativeByteBuffer data42 = new NativeByteBuffer(chat.future_auth_key != null ? chat.future_auth_key.length : 1);
                NativeByteBuffer data52 = new NativeByteBuffer(chat.key_hash != null ? chat.key_hash.length : 1);
                chat.serializeToStream(data6);
                state2.bindInteger(1, chat.id);
                state2.bindInteger(2, user.id);
                state2.bindString(3, formatUserSearchName(user));
                state2.bindByteBuffer(4, data6);
                if (chat.a_or_b != null) {
                    data22.writeBytes(chat.a_or_b);
                }
                if (chat.auth_key != null) {
                    data32.writeBytes(chat.auth_key);
                }
                if (chat.future_auth_key != null) {
                    data42.writeBytes(chat.future_auth_key);
                }
                if (chat.key_hash != null) {
                    data52.writeBytes(chat.key_hash);
                }
                state2.bindByteBuffer(5, data22);
                state2.bindByteBuffer(6, data32);
                state2.bindInteger(7, chat.ttl);
                state2.bindInteger(8, chat.layer);
                state2.bindInteger(9, chat.seq_in);
                state2.bindInteger(10, chat.seq_out);
                state2.bindInteger(11, chat.key_use_count_out | (chat.key_use_count_in << 16));
                state2.bindLong(12, chat.exchange_id);
                state2.bindInteger(13, chat.key_create_date);
                state2.bindLong(14, chat.future_key_fingerprint);
                state2.bindByteBuffer(15, data42);
                state2.bindByteBuffer(16, data52);
                state2.bindInteger(17, chat.in_seq_no);
                state2.bindInteger(18, chat.admin_id);
                state2.bindInteger(19, chat.mtproto_seq);
                state2.step();
                state2.dispose();
                state = null;
                data6.reuse();
                data = null;
                data22.reuse();
                data2 = null;
                data32.reuse();
                data3 = null;
                data42.reuse();
                data4 = null;
                data52.reuse();
                data5 = null;
                if (dialog != null) {
                    state = this.database.executeFast("REPLACE INTO dialogs VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
                    state.bindLong(1, dialog.id);
                    state.bindInteger(2, dialog.last_message_date);
                    state.bindInteger(3, dialog.unread_count);
                    state.bindInteger(4, dialog.top_message);
                    state.bindInteger(5, dialog.read_inbox_max_id);
                    state.bindInteger(6, dialog.read_outbox_max_id);
                    state.bindInteger(7, 0);
                    state.bindInteger(8, dialog.unread_mentions_count);
                    state.bindInteger(9, dialog.pts);
                    state.bindInteger(10, 0);
                    state.bindInteger(11, dialog.pinnedNum);
                    state.bindInteger(12, dialog.flags);
                    state.bindInteger(13, dialog.folder_id);
                    state.bindNull(14);
                    state.step();
                    state.dispose();
                    state = null;
                }
                if (0 != 0) {
                    data.reuse();
                }
                if (0 != 0) {
                    data2.reuse();
                }
                if (0 != 0) {
                    data3.reuse();
                }
                if (0 != 0) {
                    data4.reuse();
                }
                if (0 != 0) {
                    data5.reuse();
                }
                if (state == null) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("putEncryptedChat ---> exception ", e);
                if (data != null) {
                    data.reuse();
                }
                if (data2 != null) {
                    data2.reuse();
                }
                if (data3 != null) {
                    data3.reuse();
                }
                if (data4 != null) {
                    data4.reuse();
                }
                if (data5 != null) {
                    data5.reuse();
                }
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (data2 != null) {
                data2.reuse();
            }
            if (data3 != null) {
                data3.reuse();
            }
            if (data4 != null) {
                data4.reuse();
            }
            if (data5 != null) {
                data5.reuse();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    private String formatUserSearchName(TLRPC.User user) {
        StringBuilder str = new StringBuilder();
        if (user.first_name != null && user.first_name.length() > 0) {
            str.append(user.first_name);
        }
        if (user.last_name != null && user.last_name.length() > 0) {
            if (str.length() > 0) {
                str.append(" ");
            }
            str.append(user.last_name);
        }
        str.append(";;;");
        if (user.username != null && user.username.length() > 0) {
            str.append(user.username);
        }
        return str.toString().toLowerCase();
    }

    private void putUsersInternal(ArrayList<TLRPC.User> users) throws Exception {
        if (users == null || users.isEmpty()) {
            return;
        }
        NativeByteBuffer data = null;
        SQLitePreparedStatement state = null;
        try {
            try {
                SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO users VALUES(?, ?, ?, ?)");
                for (int a2 = 0; a2 < users.size(); a2++) {
                    TLRPC.User user = users.get(a2);
                    if (user.min) {
                        SQLiteCursor cursor = null;
                        try {
                            try {
                                cursor = this.database.queryFinalized(String.format(Locale.US, "SELECT data FROM users WHERE uid = %d", Integer.valueOf(user.id)), new Object[0]);
                                if (cursor.next() && (data = cursor.byteBufferValue(0)) != null) {
                                    TLRPC.User oldUser = TLRPC.User.TLdeserialize(data, data.readInt32(false), false);
                                    data.reuse();
                                    data = null;
                                    if (oldUser != null) {
                                        if (user.username != null) {
                                            oldUser.username = user.username;
                                            oldUser.flags |= 8;
                                        } else {
                                            oldUser.username = null;
                                            oldUser.flags &= -9;
                                        }
                                        if (user.photo != null) {
                                            oldUser.photo = user.photo;
                                            oldUser.flags |= 32;
                                        } else {
                                            oldUser.photo = null;
                                            oldUser.flags &= -33;
                                        }
                                        user = oldUser;
                                    }
                                }
                                cursor.dispose();
                                cursor = null;
                            } catch (Exception e) {
                                FileLog.e("putUsersInternal --->  exception 1 ", e);
                                if (data != null) {
                                    data.reuse();
                                }
                                if (cursor != null) {
                                }
                            }
                        } finally {
                            if (data != null) {
                                data.reuse();
                            }
                            if (cursor != null) {
                                cursor.dispose();
                            }
                        }
                    }
                    state2.requery();
                    NativeByteBuffer data2 = new NativeByteBuffer(user.getObjectSize());
                    user.serializeToStream(data2);
                    state2.bindInteger(1, user.id);
                    state2.bindString(2, formatUserSearchName(user));
                    if (user.status != null) {
                        if (user.status instanceof TLRPC.TL_userStatusRecently) {
                            user.status.expires = -100;
                        } else if (user.status instanceof TLRPC.TL_userStatusLastWeek) {
                            user.status.expires = -101;
                        } else if (user.status instanceof TLRPC.TL_userStatusLastMonth) {
                            user.status.expires = -102;
                        }
                        state2.bindInteger(3, user.status.expires);
                    } else {
                        state2.bindInteger(3, 0);
                    }
                    state2.bindByteBuffer(4, data2);
                    state2.step();
                    data2.reuse();
                    data = null;
                }
                state2.dispose();
                state = null;
            } catch (Exception e2) {
                FileLog.e("putUsersInternal --->  exception 2 ", e2);
                throw new Exception(e2);
            }
        } finally {
            if (0 != 0) {
                data.reuse();
            }
            if (state != null) {
                state.dispose();
            }
        }
    }

    public void updateChatDefaultBannedRights(final int chatId, final TLRPC.TL_chatBannedRights rights, final int version) {
        if (rights == null || chatId == 0) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda29
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m866x220d6928(chatId, version, rights);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x008f, code lost:
        r0.dispose();
     */
    /* renamed from: lambda$updateChatDefaultBannedRights$112$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m866x220d6928(int chatId, int version, TLRPC.TL_chatBannedRights rights) {
        SQLiteCursor cursor = null;
        SQLitePreparedStatement state = null;
        NativeByteBuffer data = null;
        TLRPC.Chat chat = null;
        try {
            try {
                SQLiteCursor cursor2 = this.database.queryFinalized(String.format(Locale.US, "SELECT data FROM chats WHERE uid = %d", Integer.valueOf(chatId)), new Object[0]);
                if (cursor2.next() && (data = cursor2.byteBufferValue(0)) != null) {
                    chat = TLRPC.Chat.TLdeserialize(data, data.readInt32(false), false);
                    data.reuse();
                    data = null;
                }
                cursor2.dispose();
                cursor = null;
            } catch (Exception e) {
                FileLog.e("updateChatDefaultBannedRights ---> exception ", e);
                if (cursor != null) {
                    cursor.dispose();
                }
                if (state != null) {
                    state.dispose();
                }
                if (data == null) {
                    return;
                }
            }
            if (chat != null && (chat.default_banned_rights == null || version >= chat.version)) {
                chat.default_banned_rights = rights;
                chat.flags |= 262144;
                chat.version = version;
                state = this.database.executeFast("UPDATE chats SET data = ? WHERE uid = ?");
                NativeByteBuffer data2 = new NativeByteBuffer(chat.getObjectSize());
                chat.serializeToStream(data2);
                state.bindByteBuffer(1, data2);
                state.bindInteger(2, chat.id);
                state.step();
                data2.reuse();
                data = null;
                state.dispose();
                SQLitePreparedStatement state2 = null;
                if (0 != 0) {
                    cursor.dispose();
                }
                if (0 != 0) {
                    state2.dispose();
                }
                if (0 == 0) {
                    return;
                }
                data.reuse();
                return;
            }
            if (0 != 0) {
                state.dispose();
            }
            if (data != null) {
                data.reuse();
            }
        } catch (Throwable th) {
            if (cursor != null) {
                cursor.dispose();
            }
            if (state != null) {
                state.dispose();
            }
            if (data != null) {
                data.reuse();
            }
            throw th;
        }
    }

    private void putChatsInternal(ArrayList<TLRPC.Chat> chats) throws Exception {
        if (chats == null || chats.isEmpty()) {
            return;
        }
        NativeByteBuffer data = null;
        SQLitePreparedStatement state = null;
        try {
            try {
                SQLitePreparedStatement state2 = this.database.executeFast("REPLACE INTO chats VALUES(?, ?, ?)");
                for (int a2 = 0; a2 < chats.size(); a2++) {
                    TLRPC.Chat chat = chats.get(a2);
                    if (chat.min) {
                        SQLiteCursor cursor = null;
                        try {
                            try {
                                cursor = this.database.queryFinalized(String.format(Locale.US, "SELECT data FROM chats WHERE uid = %d", Integer.valueOf(chat.id)), new Object[0]);
                                if (cursor.next() && (data = cursor.byteBufferValue(0)) != null) {
                                    TLRPC.Chat oldChat = TLRPC.Chat.TLdeserialize(data, data.readInt32(false), false);
                                    data.reuse();
                                    data = null;
                                    if (oldChat != null) {
                                        oldChat.title = chat.title;
                                        oldChat.photo = chat.photo;
                                        oldChat.broadcast = chat.broadcast;
                                        oldChat.verified = chat.verified;
                                        oldChat.megagroup = chat.megagroup;
                                        if (chat.default_banned_rights != null) {
                                            oldChat.default_banned_rights = chat.default_banned_rights;
                                            oldChat.flags |= 262144;
                                        }
                                        if (chat.admin_rights != null) {
                                            oldChat.admin_rights = chat.admin_rights;
                                            oldChat.flags |= 16384;
                                        }
                                        if (chat.banned_rights != null) {
                                            oldChat.banned_rights = chat.banned_rights;
                                            oldChat.flags |= 32768;
                                        }
                                        if (chat.username != null) {
                                            oldChat.username = chat.username;
                                            oldChat.flags |= 64;
                                        } else {
                                            oldChat.username = null;
                                            oldChat.flags &= -65;
                                        }
                                        chat = oldChat;
                                    }
                                }
                                cursor.dispose();
                                cursor = null;
                            } catch (Exception e) {
                                FileLog.e("putChatsInternal --->  exception 1 ", e);
                                if (data != null) {
                                    data.reuse();
                                }
                                if (cursor != null) {
                                }
                            }
                        } finally {
                            if (data != null) {
                                data.reuse();
                            }
                            if (cursor != null) {
                                cursor.dispose();
                            }
                        }
                    }
                    state2.requery();
                    NativeByteBuffer data2 = new NativeByteBuffer(chat.getObjectSize());
                    chat.serializeToStream(data2);
                    state2.bindInteger(1, chat.id);
                    if (chat.title != null) {
                        String name = chat.title.toLowerCase();
                        state2.bindString(2, name);
                    } else {
                        state2.bindString(2, "");
                    }
                    state2.bindByteBuffer(3, data2);
                    state2.step();
                    data2.reuse();
                    data = null;
                }
                state2.dispose();
                state = null;
            } catch (Exception e2) {
                FileLog.e("putChatsInternal --->  exception 2 ", e2);
                throw new Exception(e2);
            }
        } finally {
            if (0 != 0) {
                data.reuse();
            }
            if (state != null) {
                state.dispose();
            }
        }
    }

    public void getUsersInternal(String usersToLoad, ArrayList<TLRPC.User> result) throws Exception {
        if (usersToLoad == null || usersToLoad.length() == 0 || result == null) {
            return;
        }
        SQLiteCursor cursor = null;
        try {
            try {
                SQLiteCursor cursor2 = this.database.queryFinalized(String.format(Locale.US, "SELECT data, status FROM users WHERE uid IN(%s)", usersToLoad), new Object[0]);
                while (cursor2.next()) {
                    NativeByteBuffer data = null;
                    try {
                        try {
                            data = cursor2.byteBufferValue(0);
                            if (data != null) {
                                TLRPC.User user = TLRPC.User.TLdeserialize(data, data.readInt32(false), false);
                                data.reuse();
                                data = null;
                                if (user != null) {
                                    if (user.status != null) {
                                        user.status.expires = cursor2.intValue(1);
                                    }
                                    result.add(user);
                                }
                            }
                        } catch (Exception e) {
                            FileLog.e("getUsersInternal ---> exception 1 ", e);
                            if (data != null) {
                            }
                        }
                        if (data != null) {
                            data.reuse();
                        }
                    } catch (Throwable th) {
                        if (data != null) {
                            data.reuse();
                        }
                        throw th;
                    }
                }
                cursor2.dispose();
                cursor = null;
            } finally {
                if (cursor != null) {
                    cursor.dispose();
                }
            }
        } catch (Exception e2) {
            FileLog.e("getUsersInternal ---> exception 2 ", e2);
            throw new Exception(e2);
        }
    }

    public void getChatsInternal(String chatsToLoad, ArrayList<TLRPC.Chat> result) throws Exception {
        if (chatsToLoad == null || chatsToLoad.length() == 0 || result == null) {
            return;
        }
        SQLiteCursor cursor = null;
        try {
            try {
                SQLiteCursor cursor2 = this.database.queryFinalized(String.format(Locale.US, "SELECT data FROM chats WHERE uid IN(%s)", chatsToLoad), new Object[0]);
                while (cursor2.next()) {
                    NativeByteBuffer data = null;
                    try {
                        try {
                            data = cursor2.byteBufferValue(0);
                            if (data != null) {
                                TLRPC.Chat chat = TLRPC.Chat.TLdeserialize(data, data.readInt32(false), false);
                                data.reuse();
                                data = null;
                                if (chat != null) {
                                    result.add(chat);
                                }
                            }
                        } catch (Exception e) {
                            FileLog.e("getChatsInternal ---> exception 1 ", e);
                            if (data != null) {
                            }
                        }
                        if (data != null) {
                            data.reuse();
                        }
                    } catch (Throwable th) {
                        if (data != null) {
                            data.reuse();
                        }
                        throw th;
                    }
                }
                cursor2.dispose();
                cursor = null;
            } catch (Exception e2) {
                FileLog.e("getChatsInternal ---> exception 2 ", e2);
                throw new Exception(e2);
            }
        } finally {
            if (cursor != null) {
                cursor.dispose();
            }
        }
    }

    public void getEncryptedChatsInternal(String chatsToLoad, ArrayList<TLRPC.EncryptedChat> result, ArrayList<Integer> usersToLoad) throws Exception {
        if (chatsToLoad == null || chatsToLoad.length() == 0 || result == null) {
            return;
        }
        SQLiteCursor cursor = null;
        try {
            try {
                SQLiteCursor cursor2 = this.database.queryFinalized(String.format(Locale.US, "SELECT data, user, g, authkey, ttl, layer, seq_in, seq_out, use_count, exchange_id, key_date, fprint, fauthkey, khash, in_seq_no, admin_id, mtproto_seq FROM enc_chats WHERE uid IN(%s)", chatsToLoad), new Object[0]);
                while (cursor2.next()) {
                    NativeByteBuffer data = null;
                    try {
                        try {
                            data = cursor2.byteBufferValue(0);
                            if (data != null) {
                                TLRPC.EncryptedChat chat = TLRPC.EncryptedChat.TLdeserialize(data, data.readInt32(false), false);
                                data.reuse();
                                data = null;
                                if (chat != null) {
                                    chat.user_id = cursor2.intValue(1);
                                    if (usersToLoad != null && !usersToLoad.contains(Integer.valueOf(chat.user_id))) {
                                        usersToLoad.add(Integer.valueOf(chat.user_id));
                                    }
                                    chat.a_or_b = cursor2.byteArrayValue(2);
                                    chat.auth_key = cursor2.byteArrayValue(3);
                                    chat.ttl = cursor2.intValue(4);
                                    chat.layer = cursor2.intValue(5);
                                    chat.seq_in = cursor2.intValue(6);
                                    chat.seq_out = cursor2.intValue(7);
                                    int use_count = cursor2.intValue(8);
                                    chat.key_use_count_in = (short) (use_count >> 16);
                                    chat.key_use_count_out = (short) use_count;
                                    chat.exchange_id = cursor2.longValue(9);
                                    chat.key_create_date = cursor2.intValue(10);
                                    chat.future_key_fingerprint = cursor2.longValue(11);
                                    chat.future_auth_key = cursor2.byteArrayValue(12);
                                    chat.key_hash = cursor2.byteArrayValue(13);
                                    chat.in_seq_no = cursor2.intValue(14);
                                    int admin_id = cursor2.intValue(15);
                                    if (admin_id != 0) {
                                        chat.admin_id = admin_id;
                                    }
                                    chat.mtproto_seq = cursor2.intValue(16);
                                    result.add(chat);
                                }
                            }
                        } catch (Throwable th) {
                            if (data != null) {
                                data.reuse();
                            }
                            throw th;
                        }
                    } catch (Exception e) {
                        FileLog.e("getEncryptedChatsInternal ---> exception 1 ", e);
                        if (data != null) {
                        }
                    }
                    if (data != null) {
                        data.reuse();
                    }
                }
                cursor2.dispose();
                cursor = null;
            } catch (Exception e2) {
                FileLog.e("getEncryptedChatsInternal ---> exception 2 ", e2);
                throw new Exception(e2);
            }
        } finally {
            if (cursor != null) {
                cursor.dispose();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: putUsersAndChatsInternal */
    public void m842x8ecdb66b(ArrayList<TLRPC.User> users, ArrayList<TLRPC.Chat> chats, boolean withTransaction) {
        try {
            if (withTransaction) {
                try {
                    this.database.beginTransaction();
                } catch (Exception e) {
                    FileLog.e("putUsersAndChatsInternal ---> exception 1 ", e);
                }
            }
            putUsersInternal(users);
            putChatsInternal(chats);
            if (withTransaction) {
                this.database.commitTransaction();
            }
        } catch (Exception e2) {
            FileLog.e("putUsersAndChatsInternal ---> exception 2 ", e2);
        }
    }

    public void putUsersAndChats(final ArrayList<TLRPC.User> users, final ArrayList<TLRPC.Chat> chats, final boolean withTransaction, boolean useQueue) {
        if (users != null && users.isEmpty() && chats != null && chats.isEmpty()) {
            return;
        }
        if (useQueue) {
            this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda138
                @Override // java.lang.Runnable
                public final void run() {
                    MessagesStorage.this.m842x8ecdb66b(users, chats, withTransaction);
                }
            });
        } else {
            m842x8ecdb66b(users, chats, withTransaction);
        }
    }

    public void removeFromDownloadQueue(final long id, final int type, final boolean move) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda126
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m849xf3ce2430(move, type, id);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$removeFromDownloadQueue$114$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m849xf3ce2430(boolean move, int type, long id) {
        SQLiteCursor cursor = null;
        SQLitePreparedStatement state = null;
        try {
            try {
                if (move) {
                    SQLiteCursor cursor2 = this.database.queryFinalized(String.format(Locale.US, "SELECT min(date) FROM download_queue WHERE type = %d", Integer.valueOf(type)), new Object[0]);
                    int minDate = cursor2.next() ? cursor2.intValue(0) : -1;
                    cursor2.dispose();
                    cursor = null;
                    if (minDate != -1) {
                        this.database.executeFast(String.format(Locale.US, "UPDATE download_queue SET date = %d WHERE uid = %d AND type = %d", Integer.valueOf(minDate - 1), Long.valueOf(id), Integer.valueOf(type))).stepThis().dispose();
                        state = null;
                    }
                } else {
                    this.database.executeFast(String.format(Locale.US, "DELETE FROM download_queue WHERE uid = %d AND type = %d", Long.valueOf(id), Integer.valueOf(type))).stepThis().dispose();
                    state = null;
                }
                if (cursor != null) {
                    cursor.dispose();
                }
                if (state == null) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("removeFromDownloadQueue ---> exception ", e);
                if (0 != 0) {
                    cursor.dispose();
                }
                if (0 == 0) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (0 != 0) {
                cursor.dispose();
            }
            if (0 != 0) {
                state.dispose();
            }
            throw th;
        }
    }

    public void clearDownloadQueue(final int type) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda110
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m747xc4e9aeec(type);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$clearDownloadQueue$115$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m747xc4e9aeec(int type) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = type == 0 ? this.database.executeFast("DELETE FROM download_queue WHERE 1") : this.database.executeFast(String.format(Locale.US, "DELETE FROM download_queue WHERE type = %d", Integer.valueOf(type)));
                state.stepThis().dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("clearDownloadQueue ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void getDownloadQueue(final int type) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda52
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m780x71481745(type);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getDownloadQueue$117$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m780x71481745(final int type) {
        SQLiteCursor cursor = null;
        NativeByteBuffer data = null;
        try {
            try {
                final ArrayList<DownloadObject> objects = new ArrayList<>();
                SQLiteCursor cursor2 = this.database.queryFinalized(String.format(Locale.US, "SELECT uid, type, data, parent FROM download_queue WHERE type = %d ORDER BY date DESC LIMIT 3", Integer.valueOf(type)), new Object[0]);
                while (cursor2.next()) {
                    DownloadObject downloadObject = new DownloadObject();
                    downloadObject.type = cursor2.intValue(1);
                    downloadObject.id = cursor2.longValue(0);
                    downloadObject.parent = cursor2.stringValue(3);
                    data = cursor2.byteBufferValue(2);
                    if (data != null) {
                        TLRPC.MessageMedia messageMedia = TLRPC.MessageMedia.TLdeserialize(data, data.readInt32(false), false);
                        data.reuse();
                        data = null;
                        if (messageMedia.document != null) {
                            downloadObject.object = messageMedia.document;
                        } else if (messageMedia.photo != null) {
                            downloadObject.object = messageMedia.photo;
                        }
                        downloadObject.secret = messageMedia.ttl_seconds > 0 && messageMedia.ttl_seconds <= 60;
                        downloadObject.forceCache = (messageMedia.flags & Integer.MIN_VALUE) != 0;
                    }
                    objects.add(downloadObject);
                }
                cursor2.dispose();
                cursor = null;
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda7
                    @Override // java.lang.Runnable
                    public final void run() {
                        MessagesStorage.this.m779xe4a7ec44(type, objects);
                    }
                });
                if (data != null) {
                    data.reuse();
                }
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("getDownloadQueue ---> exception ", e);
                if (data != null) {
                    data.reuse();
                }
                if (cursor == null) {
                    return;
                }
            }
            cursor.dispose();
        } catch (Throwable th) {
            if (data != null) {
                data.reuse();
            }
            if (cursor != null) {
                cursor.dispose();
            }
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getDownloadQueue$116$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m779xe4a7ec44(int type, ArrayList objects) {
        getDownloadController().processDownloadObjects(type, objects);
    }

    private int getMessageMediaType(TLRPC.Message message) {
        if (message instanceof TLRPC.TL_message_secret) {
            if ((((message.media instanceof TLRPC.TL_messageMediaPhoto) || MessageObject.isGifMessage(message)) && message.ttl > 0 && message.ttl <= 60) || MessageObject.isVoiceMessage(message) || MessageObject.isVideoMessage(message) || MessageObject.isRoundVideoMessage(message)) {
                return 1;
            }
            return ((message.media instanceof TLRPC.TL_messageMediaPhoto) || MessageObject.isVideoMessage(message)) ? 0 : -1;
        } else if (!(message instanceof TLRPC.TL_message) || (!((message.media instanceof TLRPC.TL_messageMediaPhoto) || (message.media instanceof TLRPC.TL_messageMediaDocument)) || message.media.ttl_seconds == 0)) {
            return ((message.media instanceof TLRPC.TL_messageMediaPhoto) || MessageObject.isVideoMessage(message)) ? 0 : -1;
        } else {
            return 1;
        }
    }

    public void putWebPages(final LongSparseArray<TLRPC.WebPage> webPages) {
        if (isEmpty(webPages)) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda140
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m845lambda$putWebPages$119$imuecahxyvjdmessengerMessagesStorage(webPages);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$putWebPages$119$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m845lambda$putWebPages$119$imuecahxyvjdmessengerMessagesStorage(LongSparseArray webPages) {
        final ArrayList<TLRPC.Message> messages;
        SQLiteCursor cursor = null;
        NativeByteBuffer data = null;
        SQLitePreparedStatement state = null;
        SQLitePreparedStatement state2 = null;
        try {
            try {
                messages = new ArrayList<>();
                for (int a2 = 0; a2 < webPages.size(); a2++) {
                    SQLiteCursor cursor2 = this.database.queryFinalized("SELECT mid FROM webpage_pending WHERE id = " + webPages.keyAt(a2), new Object[0]);
                    ArrayList<Long> mids = new ArrayList<>();
                    while (cursor2.next()) {
                        mids.add(Long.valueOf(cursor2.longValue(0)));
                    }
                    cursor2.dispose();
                    cursor = null;
                    if (!mids.isEmpty()) {
                        SQLiteCursor cursor3 = this.database.queryFinalized(String.format(Locale.US, "SELECT mid, data FROM messages WHERE mid IN (%s)", TextUtils.join(",", mids)), new Object[0]);
                        while (cursor3.next()) {
                            int mid = cursor3.intValue(0);
                            data = cursor3.byteBufferValue(1);
                            if (data != null) {
                                TLRPC.Message message = TLRPC.Message.TLdeserialize(data, data.readInt32(false), false);
                                message.readAttachPath(data, getUserConfig().clientUserId);
                                data.reuse();
                                data = null;
                                if (message.media instanceof TLRPC.TL_messageMediaWebPage) {
                                    message.id = mid;
                                    message.media.webpage = (TLRPC.WebPage) webPages.valueAt(a2);
                                    messages.add(message);
                                }
                            }
                        }
                        cursor3.dispose();
                        cursor = null;
                    }
                }
            } catch (Throwable th) {
                if (data != null) {
                    data.reuse();
                }
                if (cursor != null) {
                    cursor.dispose();
                }
                if (state != null) {
                    state.dispose();
                }
                if (state2 != null) {
                    state2.dispose();
                }
                throw th;
            }
        } catch (Exception e) {
            FileLog.e("putWebPages ---> exception 2 ", e);
            if (data != null) {
                data.reuse();
            }
            if (cursor != null) {
                cursor.dispose();
            }
            if (state != null) {
                state.dispose();
            }
            if (state2 == null) {
                return;
            }
        }
        if (messages.isEmpty()) {
            if (data != null) {
                data.reuse();
            }
            if (cursor != null) {
                cursor.dispose();
            }
            if (0 != 0) {
                state.dispose();
            }
            if (0 != 0) {
                state2.dispose();
                return;
            }
            return;
        }
        try {
            this.database.beginTransaction();
        } catch (Exception e2) {
            FileLog.e("putWebPages ---> exception 1 ", e2);
        }
        SQLitePreparedStatement state3 = this.database.executeFast("UPDATE messages SET data = ? WHERE mid = ?");
        SQLitePreparedStatement state22 = this.database.executeFast("UPDATE media_v2 SET data = ? WHERE mid = ?");
        for (int a3 = 0; a3 < messages.size(); a3++) {
            TLRPC.Message message2 = messages.get(a3);
            NativeByteBuffer data2 = new NativeByteBuffer(message2.getObjectSize());
            message2.serializeToStream(data2);
            long messageId = message2.id;
            if (message2.to_id.channel_id != 0) {
                messageId |= message2.to_id.channel_id << 32;
            }
            state3.requery();
            state3.bindByteBuffer(1, data2);
            state3.bindLong(2, messageId);
            state3.step();
            state22.requery();
            state22.bindByteBuffer(1, data2);
            state22.bindLong(2, messageId);
            state22.step();
            data2.reuse();
            data = null;
        }
        state3.dispose();
        state = null;
        state22.dispose();
        state2 = null;
        this.database.commitTransaction();
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda63
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m844lambda$putWebPages$118$imuecahxyvjdmessengerMessagesStorage(messages);
            }
        });
        if (data != null) {
            data.reuse();
        }
        if (cursor != null) {
            cursor.dispose();
        }
        if (0 != 0) {
            state.dispose();
        }
        if (0 == 0) {
            return;
        }
        state2.dispose();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$putWebPages$118$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m844lambda$putWebPages$118$imuecahxyvjdmessengerMessagesStorage(ArrayList messages) {
        getNotificationCenter().postNotificationName(NotificationCenter.didReceivedWebpages, messages);
    }

    public void overwriteChannel(final int channel_id, final TLRPC.TL_updates_channelDifferenceTooLong difference, final int newDialogType) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda156
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m827x54559823(channel_id, newDialogType, difference);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$overwriteChannel$121$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m827x54559823(int channel_id, int newDialogType, TLRPC.TL_updates_channelDifferenceTooLong difference) {
        SQLiteCursor cursor = null;
        SQLitePreparedStatement state = null;
        boolean checkInvite = false;
        final long did = -channel_id;
        int pinned = 0;
        try {
            try {
                SQLiteCursor cursor2 = this.database.queryFinalized("SELECT pinned FROM dialogs WHERE did = " + did, new Object[0]);
                if (cursor2.next()) {
                    pinned = cursor2.intValue(0);
                } else if (newDialogType != 0) {
                    checkInvite = true;
                }
                cursor2.dispose();
                SQLiteCursor cursor3 = null;
                this.database.executeFast("DELETE FROM messages WHERE uid = " + did).stepThis().dispose();
                this.database.executeFast("DELETE FROM bot_keyboard WHERE uid = " + did).stepThis().dispose();
                this.database.executeFast("UPDATE media_counts_v2 SET old = 1 WHERE uid = " + did).stepThis().dispose();
                this.database.executeFast("DELETE FROM media_v2 WHERE uid = " + did).stepThis().dispose();
                this.database.executeFast("DELETE FROM messages_holes WHERE uid = " + did).stepThis().dispose();
                this.database.executeFast("DELETE FROM media_holes_v2 WHERE uid = " + did).stepThis().dispose();
                state = null;
                getMediaDataController().clearBotKeyboard(did, null);
                TLRPC.TL_messages_dialogs dialogs = new TLRPC.TL_messages_dialogs();
                dialogs.chats.addAll(difference.chats);
                dialogs.users.addAll(difference.users);
                dialogs.messages.addAll(difference.messages);
                TLRPC.Dialog dialog = difference.dialog;
                dialog.id = did;
                dialog.flags = 1;
                dialog.notify_settings = null;
                dialog.pinned = pinned != 0;
                dialog.pinnedNum = pinned;
                dialogs.dialogs.add(dialog);
                putDialogsInternal(dialogs, 0);
                updateDialogsWithDeletedMessages(new ArrayList<>(), null, false, channel_id);
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda60
                    @Override // java.lang.Runnable
                    public final void run() {
                        MessagesStorage.this.m826xc7b56d22(did);
                    }
                });
                if (checkInvite) {
                    if (newDialogType == 1) {
                        getMessagesController().checkChannelInviter(channel_id);
                    } else {
                        getMessagesController().generateJoinMessage(channel_id, false);
                    }
                }
                if (0 != 0) {
                    cursor3.dispose();
                }
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("overwriteChannel ---> exception ", e);
                if (0 != 0) {
                    cursor.dispose();
                }
                if (0 == 0) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (0 != 0) {
                cursor.dispose();
            }
            if (0 != 0) {
                state.dispose();
            }
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$overwriteChannel$120$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m826xc7b56d22(long did) {
        getNotificationCenter().postNotificationName(NotificationCenter.removeAllMessagesFromDialog, Long.valueOf(did), true);
    }

    public void putChannelViews(final SparseArray<SparseIntArray> channelViews, final boolean isChannel) {
        if (isEmpty(channelViews)) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda111
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m831x21a071ec(channelViews, isChannel);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$putChannelViews$122$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m831x21a071ec(SparseArray channelViews, boolean isChannel) {
        try {
            this.database.beginTransaction();
        } catch (Exception e) {
            FileLog.e("putChannelViews ---> exception 1 ", e);
        }
        SQLitePreparedStatement state = null;
        try {
            try {
                SQLitePreparedStatement state2 = this.database.executeFast("UPDATE messages SET media = max((SELECT media FROM messages WHERE mid = ?), ?) WHERE mid = ?");
                for (int a2 = 0; a2 < channelViews.size(); a2++) {
                    int peer = channelViews.keyAt(a2);
                    SparseIntArray messages = (SparseIntArray) channelViews.get(peer);
                    for (int b = 0; b < messages.size(); b++) {
                        int views = messages.get(messages.keyAt(b));
                        long messageId = messages.keyAt(b);
                        if (isChannel) {
                            messageId |= (-peer) << 32;
                        }
                        state2.requery();
                        state2.bindLong(1, messageId);
                        state2.bindInteger(2, views);
                        state2.bindLong(3, messageId);
                        state2.step();
                    }
                }
                state2.dispose();
                state = null;
                this.database.commitTransaction();
                if (0 == 0) {
                    return;
                }
            } catch (Exception e2) {
                FileLog.e("putChannelViews ---> exception 2 ", e2);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    private boolean isValidKeyboardToSave(TLRPC.Message message) {
        return (message.reply_markup == null || (message.reply_markup instanceof TLRPC.TL_replyInlineMarkup) || (message.reply_markup.selective && !message.mentioned)) ? false : true;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Code restructure failed: missing block: B:384:0x0998, code lost:
        if (r36.id <= r8.id) goto L411;
     */
    /* JADX WARN: Removed duplicated region for block: B:1006:0x0a36 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:1082:0x0c0c A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:1155:? A[RETURN, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:374:0x0979  */
    /* JADX WARN: Removed duplicated region for block: B:401:0x0a03  */
    /* JADX WARN: Removed duplicated region for block: B:418:0x0a77 A[Catch: all -> 0x0a3d, Exception -> 0x0a51, TRY_ENTER, TRY_LEAVE, TryCatch #139 {Exception -> 0x0a51, all -> 0x0a3d, blocks: (B:405:0x0a36, B:418:0x0a77), top: B:1006:0x0a36 }] */
    /* JADX WARN: Removed duplicated region for block: B:420:0x0a7f A[Catch: all -> 0x0f5b, Exception -> 0x0f72, TRY_ENTER, TryCatch #123 {Exception -> 0x0f72, all -> 0x0f5b, blocks: (B:403:0x0a0d, B:415:0x0a67, B:421:0x0a88, B:425:0x0a95, B:420:0x0a7f), top: B:1038:0x0a0d }] */
    /* JADX WARN: Removed duplicated region for block: B:423:0x0a92  */
    /* JADX WARN: Removed duplicated region for block: B:424:0x0a94  */
    /* JADX WARN: Removed duplicated region for block: B:440:0x0b0b  */
    /* JADX WARN: Removed duplicated region for block: B:443:0x0b15  */
    /* JADX WARN: Removed duplicated region for block: B:453:0x0b6d  */
    /* JADX WARN: Removed duplicated region for block: B:456:0x0b75  */
    /* JADX WARN: Removed duplicated region for block: B:460:0x0b9a A[Catch: all -> 0x0f31, Exception -> 0x0f46, TRY_ENTER, TRY_LEAVE, TryCatch #147 {Exception -> 0x0f46, all -> 0x0f31, blocks: (B:441:0x0b0f, B:454:0x0b6f, B:460:0x0b9a), top: B:990:0x0b0f }] */
    /* JADX WARN: Removed duplicated region for block: B:917:0x19bc  */
    /* JADX WARN: Removed duplicated region for block: B:919:0x19c1  */
    /* JADX WARN: Removed duplicated region for block: B:921:0x19c6  */
    /* JADX WARN: Removed duplicated region for block: B:923:0x19cb  */
    /* JADX WARN: Removed duplicated region for block: B:925:0x19d0  */
    /* JADX WARN: Removed duplicated region for block: B:927:0x19d5  */
    /* JADX WARN: Removed duplicated region for block: B:929:0x19da  */
    /* JADX WARN: Removed duplicated region for block: B:931:0x19df  */
    /* JADX WARN: Removed duplicated region for block: B:933:0x19e4  */
    /* JADX WARN: Removed duplicated region for block: B:935:0x19e9  */
    /* JADX WARN: Removed duplicated region for block: B:940:0x19f1  */
    /* JADX WARN: Removed duplicated region for block: B:942:0x19f6  */
    /* JADX WARN: Removed duplicated region for block: B:944:0x19fb  */
    /* JADX WARN: Removed duplicated region for block: B:946:0x1a00  */
    /* JADX WARN: Removed duplicated region for block: B:948:0x1a05  */
    /* JADX WARN: Removed duplicated region for block: B:950:0x1a0a  */
    /* JADX WARN: Removed duplicated region for block: B:952:0x1a0f  */
    /* JADX WARN: Removed duplicated region for block: B:954:0x1a14  */
    /* JADX WARN: Removed duplicated region for block: B:956:0x1a19  */
    /* JADX WARN: Removed duplicated region for block: B:958:0x1a1e  */
    /* JADX WARN: Removed duplicated region for block: B:986:0x0aa5 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* renamed from: putMessagesInternal */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void m837lambda$putMessages$124$imuecahxyvjdmessengerMessagesStorage(ArrayList<TLRPC.Message> messages, boolean withTransaction, boolean doNotUpdateDialogDate, int downloadMask, boolean ifNoLastMessage, boolean scheduled) {
        Throwable th;
        Exception e;
        String str;
        SQLitePreparedStatement state_dialogs_replace;
        SQLitePreparedStatement state_dialogs_update;
        SQLitePreparedStatement state_dialogs_replace2;
        SQLitePreparedStatement state_messages;
        SQLitePreparedStatement state_randoms;
        SQLitePreparedStatement state_download;
        SQLitePreparedStatement state_webpage;
        SQLitePreparedStatement state_polls;
        SparseArray<LongSparseArray<Integer>> mediaCounts;
        LongSparseArray<Long> mentionsIdsMap;
        LongSparseArray<Integer> mentionCounts;
        LongSparseArray<Integer> messagesCounts;
        final MessagesStorage messagesStorage;
        SQLitePreparedStatement state_dialogs_update2;
        SparseArray<LongSparseArray<Integer>> mediaCounts2;
        SQLiteCursor cursor;
        int old;
        int count;
        SQLitePreparedStatement state_randoms2;
        int channelId;
        LongSparseArray<TLRPC.Message> messagesMap;
        SQLitePreparedStatement state_polls2;
        SQLitePreparedStatement state_webpage2;
        SQLitePreparedStatement state_download2;
        int dialog_date;
        int last_mid;
        SQLitePreparedStatement state_media;
        LongSparseArray<Integer> messagesCounts2;
        SQLitePreparedStatement state_messages2;
        LongSparseArray<Integer> mentionCounts2;
        int downloadMediaMask;
        long messageId;
        LongSparseArray<TLRPC.Message> botKeyboards;
        LongSparseArray<Long> messagesIdsMap;
        SQLiteCursor cursor2;
        LongSparseArray<Integer> messagesCounts3;
        LongSparseArray<TLRPC.Message> messagesMap2;
        SQLitePreparedStatement state_messages3;
        int i;
        SQLitePreparedStatement state_randoms3;
        LongSparseArray<Integer> messagesCounts4;
        LongSparseArray<Integer> mentionCounts3;
        SQLitePreparedStatement state_webpage3;
        NativeByteBuffer data;
        SQLitePreparedStatement state_download3;
        TLRPC.Photo photo;
        int type;
        TLRPC.Photo photo2;
        long id;
        int type2;
        TLRPC.Photo photo3;
        NativeByteBuffer data2;
        SQLiteCursor cursor3;
        LongSparseArray<Integer> mediaTypes;
        LongSparseArray<Long> messagesMediaIdsMap;
        long value;
        Integer count2;
        int previousType;
        Integer count3;
        LongSparseArray<Long> mentionsIdsMap2;
        LongSparseArray<TLRPC.Message> messagesMap3;
        LongSparseArray<Integer> messagesCounts5;
        StringBuilder messageIds;
        LongSparseArray<Integer> dialogsReadMax;
        LongSparseArray<Long> messagesIdsMap2;
        LongSparseArray<Long> messagesMediaIdsMap2;
        LongSparseArray<Integer> dialogsReadMax2;
        LongSparseArray<Long> mentionsIdsMap3;
        TLRPC.Message oldMessage;
        StringBuilder messageMediaIds;
        SQLiteCursor cursor4;
        int a2;
        MessagesStorage messagesStorage2 = this;
        if (scheduled && withTransaction) {
            try {
                messagesStorage2.database.beginTransaction();
            } catch (Exception e2) {
                FileLog.e("putMessagesInternal ---> exception 1 ", e2);
            }
        }
        char c = ' ';
        if (scheduled) {
            SQLitePreparedStatement state_messages4 = null;
            SQLitePreparedStatement state_randoms4 = null;
            NativeByteBuffer data3 = null;
            try {
                try {
                    SQLitePreparedStatement state_messages5 = messagesStorage2.database.executeFast("REPLACE INTO scheduled_messages VALUES(?, ?, ?, ?, ?, ?, NULL)");
                    SQLitePreparedStatement state_randoms5 = messagesStorage2.database.executeFast("REPLACE INTO randoms VALUES(?, ?)");
                    ArrayList<Long> dialogsToUpdate = new ArrayList<>();
                    int a3 = 0;
                    while (a3 < messages.size()) {
                        TLRPC.Message message = messages.get(a3);
                        if (message instanceof TLRPC.TL_messageEmpty) {
                            a2 = a3;
                        } else {
                            messagesStorage2.fixUnsupportedMedia(message);
                            state_messages5.requery();
                            a2 = a3;
                            long messageId2 = message.id;
                            if (message.local_id != 0) {
                                messageId2 = message.local_id;
                            }
                            if (message.to_id.channel_id != 0) {
                                messageId2 |= message.to_id.channel_id << c;
                            }
                            NativeByteBuffer data4 = new NativeByteBuffer(message.getObjectSize());
                            message.serializeToStream(data4);
                            long did = MessageObject.getDialogId(message);
                            state_messages5.bindLong(1, messageId2);
                            state_messages5.bindLong(2, did);
                            state_messages5.bindInteger(3, message.send_state);
                            state_messages5.bindInteger(4, message.date);
                            state_messages5.bindByteBuffer(5, data4);
                            state_messages5.bindInteger(6, message.ttl);
                            state_messages5.step();
                            if (message.random_id != 0) {
                                state_randoms5.requery();
                                state_randoms5.bindLong(1, message.random_id);
                                state_randoms5.bindLong(2, messageId2);
                                state_randoms5.step();
                            }
                            data4.reuse();
                            data3 = null;
                            if (!dialogsToUpdate.contains(Long.valueOf(did))) {
                                dialogsToUpdate.add(Long.valueOf(did));
                            }
                        }
                        a3 = a2 + 1;
                        c = ' ';
                    }
                    state_messages5.dispose();
                    state_messages4 = null;
                    state_randoms5.dispose();
                    state_randoms4 = null;
                    if (withTransaction) {
                        messagesStorage2.database.commitTransaction();
                    }
                    int N = dialogsToUpdate.size();
                    for (int a4 = 0; a4 < N; a4++) {
                        messagesStorage2.broadcastScheduledMessagesChange(dialogsToUpdate.get(a4));
                    }
                    if (state_randoms4 == null) {
                        return;
                    }
                } catch (Exception e3) {
                    FileLog.e("putMessagesInternal ---> exception 2 ", e3);
                    if (data3 != null) {
                        data3.reuse();
                    }
                    if (state_messages4 != null) {
                        state_messages4.dispose();
                    }
                    if (state_randoms4 == null) {
                        return;
                    }
                }
                return;
            } finally {
                if (data3 != null) {
                    data3.reuse();
                }
                if (state_messages4 != null) {
                    state_messages4.dispose();
                }
                if (state_randoms4 != null) {
                    state_randoms4.dispose();
                }
            }
        }
        SQLiteCursor cursor5 = null;
        NativeByteBuffer data5 = null;
        SQLitePreparedStatement state_messages6 = null;
        SQLitePreparedStatement state_media2 = null;
        SQLitePreparedStatement state_randoms6 = null;
        SQLitePreparedStatement state_download4 = null;
        SQLitePreparedStatement state_webpage4 = null;
        SQLitePreparedStatement state_polls3 = null;
        SQLitePreparedStatement state_dialogs_replace3 = null;
        SQLitePreparedStatement state_dialogs_update3 = null;
        if (ifNoLastMessage) {
            try {
                TLRPC.Message lastMessage = messages.get(0);
                str = "REPLACE INTO randoms VALUES(?, ?)";
                if (lastMessage.dialog_id == 0) {
                    try {
                        try {
                            MessageObject.getDialogId(lastMessage);
                        } catch (Throwable th2) {
                            th = th2;
                            if (data5 != null) {
                            }
                            if (cursor5 != null) {
                            }
                            if (state_messages6 != null) {
                            }
                            if (state_media2 != null) {
                            }
                            if (state_randoms6 != null) {
                            }
                            if (state_download4 != null) {
                            }
                            if (state_webpage4 != null) {
                            }
                            if (state_polls3 != null) {
                            }
                            if (state_dialogs_replace3 != null) {
                            }
                            if (state_dialogs_update3 != null) {
                            }
                            throw th;
                        }
                    } catch (Exception e4) {
                        e = e4;
                        FileLog.e("putMessagesInternal ---> exception 4 ", e);
                        if (data5 != null) {
                        }
                        if (cursor5 != null) {
                        }
                        if (state_messages6 != null) {
                        }
                        if (state_media2 != null) {
                        }
                        if (state_randoms6 != null) {
                        }
                        if (state_download4 != null) {
                        }
                        if (state_webpage4 != null) {
                        }
                        if (state_polls3 != null) {
                        }
                        if (state_dialogs_replace3 != null) {
                        }
                        if (state_dialogs_update3 == null) {
                        }
                    }
                }
                state_dialogs_replace = null;
                state_dialogs_update = null;
                try {
                    try {
                        SQLiteCursor cursor6 = messagesStorage2.database.queryFinalized("SELECT last_mid FROM dialogs WHERE did = " + lastMessage.dialog_id, new Object[0]);
                        int lastMid = cursor6.next() ? cursor6.intValue(0) : -1;
                        cursor6.dispose();
                        cursor5 = null;
                        if (lastMid != 0) {
                            if (0 != 0) {
                                data5.reuse();
                            }
                            if (0 != 0) {
                                cursor5.dispose();
                            }
                            if (0 != 0) {
                                state_messages6.dispose();
                            }
                            if (0 != 0) {
                                state_media2.dispose();
                            }
                            if (0 != 0) {
                                state_randoms6.dispose();
                            }
                            if (0 != 0) {
                                state_download4.dispose();
                            }
                            if (0 != 0) {
                                state_webpage4.dispose();
                            }
                            if (0 != 0) {
                                state_polls3.dispose();
                            }
                            if (0 != 0) {
                                state_dialogs_replace.dispose();
                            }
                            if (0 != 0) {
                                state_dialogs_update.dispose();
                                return;
                            }
                            return;
                        }
                    } catch (Exception e5) {
                        e = e5;
                        state_dialogs_replace3 = state_dialogs_replace;
                        state_dialogs_update3 = state_dialogs_update;
                        FileLog.e("putMessagesInternal ---> exception 4 ", e);
                        if (data5 != null) {
                            data5.reuse();
                        }
                        if (cursor5 != null) {
                            cursor5.dispose();
                        }
                        if (state_messages6 != null) {
                            state_messages6.dispose();
                        }
                        if (state_media2 != null) {
                            state_media2.dispose();
                        }
                        if (state_randoms6 != null) {
                            state_randoms6.dispose();
                        }
                        if (state_download4 != null) {
                            state_download4.dispose();
                        }
                        if (state_webpage4 != null) {
                            state_webpage4.dispose();
                        }
                        if (state_polls3 != null) {
                            state_polls3.dispose();
                        }
                        if (state_dialogs_replace3 != null) {
                            state_dialogs_replace3.dispose();
                        }
                        if (state_dialogs_update3 == null) {
                            state_dialogs_update3.dispose();
                            return;
                        }
                        return;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    state_dialogs_replace3 = state_dialogs_replace;
                    state_dialogs_update3 = state_dialogs_update;
                    if (data5 != null) {
                        data5.reuse();
                    }
                    if (cursor5 != null) {
                        cursor5.dispose();
                    }
                    if (state_messages6 != null) {
                        state_messages6.dispose();
                    }
                    if (state_media2 != null) {
                        state_media2.dispose();
                    }
                    if (state_randoms6 != null) {
                        state_randoms6.dispose();
                    }
                    if (state_download4 != null) {
                        state_download4.dispose();
                    }
                    if (state_webpage4 != null) {
                        state_webpage4.dispose();
                    }
                    if (state_polls3 != null) {
                        state_polls3.dispose();
                    }
                    if (state_dialogs_replace3 != null) {
                        state_dialogs_replace3.dispose();
                    }
                    if (state_dialogs_update3 != null) {
                        state_dialogs_update3.dispose();
                    }
                    throw th;
                }
            } catch (Exception e6) {
                e = e6;
            } catch (Throwable th4) {
                th = th4;
                if (data5 != null) {
                }
                if (cursor5 != null) {
                }
                if (state_messages6 != null) {
                }
                if (state_media2 != null) {
                }
                if (state_randoms6 != null) {
                }
                if (state_download4 != null) {
                }
                if (state_webpage4 != null) {
                }
                if (state_polls3 != null) {
                }
                if (state_dialogs_replace3 != null) {
                }
                if (state_dialogs_update3 != null) {
                }
                throw th;
            }
        } else {
            str = "REPLACE INTO randoms VALUES(?, ?)";
            state_dialogs_replace = null;
            state_dialogs_update = null;
        }
        if (withTransaction) {
            try {
                messagesStorage2.database.beginTransaction();
            } catch (Exception e7) {
                FileLog.e("putMessagesInternal ---> exception 3 ", e7);
            }
        }
        try {
            LongSparseArray<TLRPC.Message> messagesMap4 = new LongSparseArray<>();
            LongSparseArray<Integer> messagesCounts6 = new LongSparseArray<>();
            LongSparseArray<Integer> mentionCounts4 = new LongSparseArray<>();
            SparseArray<LongSparseArray<Integer>> mediaCounts3 = null;
            LongSparseArray<TLRPC.Message> botKeyboards2 = new LongSparseArray<>();
            StringBuilder messageMediaIds2 = null;
            StringBuilder messageIds2 = new StringBuilder();
            LongSparseArray<Integer> dialogsReadMax3 = new LongSparseArray<>();
            LongSparseArray<Long> messagesIdsMap3 = new LongSparseArray<>();
            LongSparseArray<Long> mentionsIdsMap4 = new LongSparseArray<>();
            SQLiteCursor cursor7 = cursor5;
            try {
                NativeByteBuffer data6 = null;
                try {
                    state_messages6 = messagesStorage2.database.executeFast("REPLACE INTO messages VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, NULL, ?, ?,?)");
                    state_media2 = null;
                    try {
                        state_randoms6 = messagesStorage2.database.executeFast(str);
                        try {
                            state_download4 = messagesStorage2.database.executeFast("REPLACE INTO download_queue VALUES(?, ?, ?, ?, ?)");
                            try {
                                state_webpage4 = messagesStorage2.database.executeFast("REPLACE INTO webpage_pending VALUES(?, ?)");
                                state_polls3 = null;
                                int a5 = 0;
                                SQLitePreparedStatement state_media3 = null;
                                LongSparseArray<Long> messagesMediaIdsMap3 = null;
                                LongSparseArray<Integer> mediaTypes2 = null;
                                while (true) {
                                    state_dialogs_replace2 = state_dialogs_replace;
                                    try {
                                        if (a5 >= messages.size()) {
                                            break;
                                        }
                                        try {
                                            TLRPC.Message message2 = messages.get(a5);
                                            state_polls = state_polls3;
                                            SparseArray<LongSparseArray<Integer>> mediaCounts4 = mediaCounts3;
                                            try {
                                                state_download = state_download4;
                                                state_webpage = state_webpage4;
                                                long messageId3 = message2.id;
                                                LongSparseArray<Integer> mentionCounts5 = mentionCounts4;
                                                try {
                                                    if (message2.dialog_id == 0) {
                                                        try {
                                                            MessageObject.getDialogId(message2);
                                                        } catch (Exception e8) {
                                                            e = e8;
                                                            state_media2 = null;
                                                            state_dialogs_update3 = state_dialogs_update;
                                                            state_dialogs_replace3 = state_dialogs_replace2;
                                                            state_polls3 = state_polls;
                                                            cursor5 = cursor7;
                                                            data5 = null;
                                                            state_download4 = state_download;
                                                            state_webpage4 = state_webpage;
                                                            FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                            if (data5 != null) {
                                                            }
                                                            if (cursor5 != null) {
                                                            }
                                                            if (state_messages6 != null) {
                                                            }
                                                            if (state_media2 != null) {
                                                            }
                                                            if (state_randoms6 != null) {
                                                            }
                                                            if (state_download4 != null) {
                                                            }
                                                            if (state_webpage4 != null) {
                                                            }
                                                            if (state_polls3 != null) {
                                                            }
                                                            if (state_dialogs_replace3 != null) {
                                                            }
                                                            if (state_dialogs_update3 == null) {
                                                            }
                                                        } catch (Throwable th5) {
                                                            th = th5;
                                                            state_media2 = null;
                                                            state_dialogs_update3 = state_dialogs_update;
                                                            state_dialogs_replace3 = state_dialogs_replace2;
                                                            state_polls3 = state_polls;
                                                            cursor5 = cursor7;
                                                            data5 = null;
                                                            state_download4 = state_download;
                                                            state_webpage4 = state_webpage;
                                                            if (data5 != null) {
                                                            }
                                                            if (cursor5 != null) {
                                                            }
                                                            if (state_messages6 != null) {
                                                            }
                                                            if (state_media2 != null) {
                                                            }
                                                            if (state_randoms6 != null) {
                                                            }
                                                            if (state_download4 != null) {
                                                            }
                                                            if (state_webpage4 != null) {
                                                            }
                                                            if (state_polls3 != null) {
                                                            }
                                                            if (state_dialogs_replace3 != null) {
                                                            }
                                                            if (state_dialogs_update3 != null) {
                                                            }
                                                            throw th;
                                                        }
                                                    }
                                                    if (message2.to_id.channel_id != 0) {
                                                        messageId3 |= message2.to_id.channel_id << 32;
                                                    }
                                                    if (message2.mentioned && message2.media_unread) {
                                                        mentionsIdsMap2 = mentionsIdsMap4;
                                                        mentionsIdsMap2.put(messageId3, Long.valueOf(message2.dialog_id));
                                                    } else {
                                                        mentionsIdsMap2 = mentionsIdsMap4;
                                                    }
                                                    if (message2.action instanceof TLRPC.TL_messageActionHistoryClear) {
                                                        messagesMap3 = messagesMap4;
                                                        messagesCounts5 = messagesCounts6;
                                                        state_messages = state_messages6;
                                                        state_randoms = state_randoms6;
                                                        messageIds = messageIds2;
                                                        dialogsReadMax = dialogsReadMax3;
                                                        messagesIdsMap2 = messagesIdsMap3;
                                                        messagesMediaIdsMap2 = messagesMediaIdsMap3;
                                                    } else if (MessageObject.isOut(message2) && !message2.from_scheduled) {
                                                        messagesMap3 = messagesMap4;
                                                        messagesCounts5 = messagesCounts6;
                                                        state_messages = state_messages6;
                                                        state_randoms = state_randoms6;
                                                        messageIds = messageIds2;
                                                        dialogsReadMax = dialogsReadMax3;
                                                        messagesIdsMap2 = messagesIdsMap3;
                                                        messagesMediaIdsMap2 = messagesMediaIdsMap3;
                                                    } else if (message2.id > 0 || MessageObject.isUnread(message2)) {
                                                        messagesCounts5 = messagesCounts6;
                                                        messagesMap3 = messagesMap4;
                                                        dialogsReadMax = dialogsReadMax3;
                                                        Integer currentMaxId = dialogsReadMax.get(message2.dialog_id);
                                                        if (currentMaxId == null) {
                                                            state_randoms = state_randoms6;
                                                            try {
                                                                messagesMediaIdsMap2 = messagesMediaIdsMap3;
                                                                state_messages = state_messages6;
                                                                cursor4 = messagesStorage2.database.queryFinalized("SELECT inbox_max FROM dialogs WHERE did = " + message2.dialog_id, new Object[0]);
                                                            } catch (Exception e9) {
                                                                e = e9;
                                                                state_media2 = null;
                                                                state_dialogs_update3 = state_dialogs_update;
                                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                                state_polls3 = state_polls;
                                                                cursor5 = cursor7;
                                                                data5 = null;
                                                                state_download4 = state_download;
                                                                state_webpage4 = state_webpage;
                                                                state_randoms6 = state_randoms;
                                                            } catch (Throwable th6) {
                                                                th = th6;
                                                                state_media2 = null;
                                                                state_dialogs_update3 = state_dialogs_update;
                                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                                state_polls3 = state_polls;
                                                                cursor5 = cursor7;
                                                                data5 = null;
                                                                state_download4 = state_download;
                                                                state_webpage4 = state_webpage;
                                                                state_randoms6 = state_randoms;
                                                            }
                                                            try {
                                                                Integer currentMaxId2 = cursor4.next() ? Integer.valueOf(cursor4.intValue(0)) : 0;
                                                                cursor4.dispose();
                                                                dialogsReadMax.put(message2.dialog_id, currentMaxId2);
                                                                cursor7 = null;
                                                                currentMaxId = currentMaxId2;
                                                            } catch (Exception e10) {
                                                                cursor5 = cursor4;
                                                                state_media2 = null;
                                                                state_dialogs_update3 = state_dialogs_update;
                                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                                state_polls3 = state_polls;
                                                                data5 = null;
                                                                state_download4 = state_download;
                                                                state_webpage4 = state_webpage;
                                                                state_randoms6 = state_randoms;
                                                                state_messages6 = state_messages;
                                                                e = e10;
                                                                FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                if (data5 != null) {
                                                                }
                                                                if (cursor5 != null) {
                                                                }
                                                                if (state_messages6 != null) {
                                                                }
                                                                if (state_media2 != null) {
                                                                }
                                                                if (state_randoms6 != null) {
                                                                }
                                                                if (state_download4 != null) {
                                                                }
                                                                if (state_webpage4 != null) {
                                                                }
                                                                if (state_polls3 != null) {
                                                                }
                                                                if (state_dialogs_replace3 != null) {
                                                                }
                                                                if (state_dialogs_update3 == null) {
                                                                }
                                                            } catch (Throwable th7) {
                                                                cursor5 = cursor4;
                                                                state_media2 = null;
                                                                state_dialogs_update3 = state_dialogs_update;
                                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                                state_polls3 = state_polls;
                                                                data5 = null;
                                                                state_download4 = state_download;
                                                                state_webpage4 = state_webpage;
                                                                state_randoms6 = state_randoms;
                                                                state_messages6 = state_messages;
                                                                th = th7;
                                                                if (data5 != null) {
                                                                }
                                                                if (cursor5 != null) {
                                                                }
                                                                if (state_messages6 != null) {
                                                                }
                                                                if (state_media2 != null) {
                                                                }
                                                                if (state_randoms6 != null) {
                                                                }
                                                                if (state_download4 != null) {
                                                                }
                                                                if (state_webpage4 != null) {
                                                                }
                                                                if (state_polls3 != null) {
                                                                }
                                                                if (state_dialogs_replace3 != null) {
                                                                }
                                                                if (state_dialogs_update3 != null) {
                                                                }
                                                                throw th;
                                                            }
                                                        } else {
                                                            state_messages = state_messages6;
                                                            state_randoms = state_randoms6;
                                                            messagesMediaIdsMap2 = messagesMediaIdsMap3;
                                                        }
                                                        if (message2.id >= 0 && currentMaxId.intValue() >= message2.id) {
                                                            messageIds = messageIds2;
                                                            messagesIdsMap2 = messagesIdsMap3;
                                                        }
                                                        if (messageIds2.length() > 0) {
                                                            messageIds = messageIds2;
                                                            messageIds.append(",");
                                                        } else {
                                                            messageIds = messageIds2;
                                                        }
                                                        messageIds.append(messageId3);
                                                        messagesIdsMap2 = messagesIdsMap3;
                                                        messagesIdsMap2.put(messageId3, Long.valueOf(message2.dialog_id));
                                                    } else {
                                                        messagesMap3 = messagesMap4;
                                                        messagesCounts5 = messagesCounts6;
                                                        state_messages = state_messages6;
                                                        state_randoms = state_randoms6;
                                                        messageIds = messageIds2;
                                                        dialogsReadMax = dialogsReadMax3;
                                                        messagesIdsMap2 = messagesIdsMap3;
                                                        messagesMediaIdsMap2 = messagesMediaIdsMap3;
                                                    }
                                                    if (MediaDataController.canAddMessageToMedia(message2)) {
                                                        if (messageMediaIds2 == null) {
                                                            try {
                                                                StringBuilder messageMediaIds3 = new StringBuilder();
                                                                messagesMediaIdsMap3 = new LongSparseArray<>();
                                                                mediaTypes2 = new LongSparseArray<>();
                                                                messageMediaIds = messageMediaIds3;
                                                            } catch (Exception e11) {
                                                                e = e11;
                                                                state_media2 = null;
                                                                state_dialogs_update3 = state_dialogs_update;
                                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                                state_polls3 = state_polls;
                                                                cursor5 = cursor7;
                                                                data5 = null;
                                                                state_download4 = state_download;
                                                                state_webpage4 = state_webpage;
                                                                state_randoms6 = state_randoms;
                                                                state_messages6 = state_messages;
                                                                FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                if (data5 != null) {
                                                                }
                                                                if (cursor5 != null) {
                                                                }
                                                                if (state_messages6 != null) {
                                                                }
                                                                if (state_media2 != null) {
                                                                }
                                                                if (state_randoms6 != null) {
                                                                }
                                                                if (state_download4 != null) {
                                                                }
                                                                if (state_webpage4 != null) {
                                                                }
                                                                if (state_polls3 != null) {
                                                                }
                                                                if (state_dialogs_replace3 != null) {
                                                                }
                                                                if (state_dialogs_update3 == null) {
                                                                }
                                                            } catch (Throwable th8) {
                                                                th = th8;
                                                                state_media2 = null;
                                                                state_dialogs_update3 = state_dialogs_update;
                                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                                state_polls3 = state_polls;
                                                                cursor5 = cursor7;
                                                                data5 = null;
                                                                state_download4 = state_download;
                                                                state_webpage4 = state_webpage;
                                                                state_randoms6 = state_randoms;
                                                                state_messages6 = state_messages;
                                                                if (data5 != null) {
                                                                }
                                                                if (cursor5 != null) {
                                                                }
                                                                if (state_messages6 != null) {
                                                                }
                                                                if (state_media2 != null) {
                                                                }
                                                                if (state_randoms6 != null) {
                                                                }
                                                                if (state_download4 != null) {
                                                                }
                                                                if (state_webpage4 != null) {
                                                                }
                                                                if (state_polls3 != null) {
                                                                }
                                                                if (state_dialogs_replace3 != null) {
                                                                }
                                                                if (state_dialogs_update3 != null) {
                                                                }
                                                                throw th;
                                                            }
                                                        } else {
                                                            messagesMediaIdsMap3 = messagesMediaIdsMap2;
                                                            messageMediaIds = messageMediaIds2;
                                                        }
                                                        if (messageMediaIds.length() > 0) {
                                                            messageMediaIds.append(",");
                                                        }
                                                        messageMediaIds.append(messageId3);
                                                        dialogsReadMax2 = dialogsReadMax;
                                                        mentionsIdsMap3 = mentionsIdsMap2;
                                                        messagesMediaIdsMap3.put(messageId3, Long.valueOf(message2.dialog_id));
                                                        mediaTypes2.put(messageId3, Integer.valueOf(MediaDataController.getMediaType(message2)));
                                                        messageMediaIds2 = messageMediaIds;
                                                    } else {
                                                        dialogsReadMax2 = dialogsReadMax;
                                                        mentionsIdsMap3 = mentionsIdsMap2;
                                                        messagesMediaIdsMap3 = messagesMediaIdsMap2;
                                                    }
                                                    if (messagesStorage2.isValidKeyboardToSave(message2) && ((oldMessage = botKeyboards2.get(message2.dialog_id)) == null || oldMessage.id < message2.id)) {
                                                        botKeyboards2.put(message2.dialog_id, message2);
                                                    }
                                                    a5++;
                                                    messagesIdsMap3 = messagesIdsMap2;
                                                    state_dialogs_replace = state_dialogs_replace2;
                                                    state_polls3 = state_polls;
                                                    dialogsReadMax3 = dialogsReadMax2;
                                                    mentionCounts4 = mentionCounts5;
                                                    state_download4 = state_download;
                                                    state_webpage4 = state_webpage;
                                                    messagesMap4 = messagesMap3;
                                                    state_randoms6 = state_randoms;
                                                    state_messages6 = state_messages;
                                                    messageIds2 = messageIds;
                                                    mentionsIdsMap4 = mentionsIdsMap3;
                                                    mediaCounts3 = mediaCounts4;
                                                    messagesCounts6 = messagesCounts5;
                                                } catch (Exception e12) {
                                                    e = e12;
                                                    state_media2 = null;
                                                    state_dialogs_update3 = state_dialogs_update;
                                                    state_dialogs_replace3 = state_dialogs_replace2;
                                                    state_polls3 = state_polls;
                                                    cursor5 = cursor7;
                                                    data5 = null;
                                                    state_download4 = state_download;
                                                    state_webpage4 = state_webpage;
                                                } catch (Throwable th9) {
                                                    th = th9;
                                                    state_media2 = null;
                                                    state_dialogs_update3 = state_dialogs_update;
                                                    state_dialogs_replace3 = state_dialogs_replace2;
                                                    state_polls3 = state_polls;
                                                    cursor5 = cursor7;
                                                    data5 = null;
                                                    state_download4 = state_download;
                                                    state_webpage4 = state_webpage;
                                                }
                                            } catch (Exception e13) {
                                                e = e13;
                                                state_media2 = null;
                                                state_dialogs_update3 = state_dialogs_update;
                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                state_polls3 = state_polls;
                                                cursor5 = cursor7;
                                                data5 = null;
                                            } catch (Throwable th10) {
                                                th = th10;
                                                state_media2 = null;
                                                state_dialogs_update3 = state_dialogs_update;
                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                state_polls3 = state_polls;
                                                cursor5 = cursor7;
                                                data5 = null;
                                            }
                                        } catch (Exception e14) {
                                            e = e14;
                                            state_media2 = null;
                                            state_dialogs_update3 = state_dialogs_update;
                                            state_dialogs_replace3 = state_dialogs_replace2;
                                            cursor5 = cursor7;
                                            data5 = null;
                                        } catch (Throwable th11) {
                                            th = th11;
                                            state_media2 = null;
                                            state_dialogs_update3 = state_dialogs_update;
                                            state_dialogs_replace3 = state_dialogs_replace2;
                                            cursor5 = cursor7;
                                            data5 = null;
                                        }
                                    } catch (Exception e15) {
                                        e = e15;
                                        state_randoms6 = state_randoms6;
                                        state_media2 = null;
                                        state_dialogs_replace3 = state_dialogs_replace2;
                                        cursor5 = cursor7;
                                        data5 = null;
                                        state_webpage4 = state_webpage4;
                                        state_messages6 = state_messages6;
                                        state_dialogs_update3 = state_dialogs_update;
                                    } catch (Throwable th12) {
                                        th = th12;
                                        state_randoms6 = state_randoms6;
                                        state_media2 = null;
                                        state_dialogs_replace3 = state_dialogs_replace2;
                                        cursor5 = cursor7;
                                        data5 = null;
                                        state_webpage4 = state_webpage4;
                                        state_messages6 = state_messages6;
                                        state_dialogs_update3 = state_dialogs_update;
                                    }
                                }
                                LongSparseArray<TLRPC.Message> messagesMap5 = messagesMap4;
                                LongSparseArray<Integer> messagesCounts7 = messagesCounts6;
                                state_messages = state_messages6;
                                state_randoms = state_randoms6;
                                state_download = state_download4;
                                state_webpage = state_webpage4;
                                state_polls = state_polls3;
                                SparseArray<LongSparseArray<Integer>> mediaCounts5 = mediaCounts3;
                                StringBuilder messageIds3 = messageIds2;
                                LongSparseArray<Long> messagesIdsMap4 = messagesIdsMap3;
                                LongSparseArray<Long> mentionsIdsMap5 = mentionsIdsMap4;
                                LongSparseArray<Long> messagesMediaIdsMap4 = messagesMediaIdsMap3;
                                LongSparseArray<Integer> mentionCounts6 = mentionCounts4;
                                for (int a6 = 0; a6 < botKeyboards2.size(); a6++) {
                                    try {
                                        getMediaDataController().putBotKeyboard(botKeyboards2.keyAt(a6), botKeyboards2.valueAt(a6));
                                    } catch (Exception e16) {
                                        e = e16;
                                        state_download4 = state_download;
                                        state_randoms6 = state_randoms;
                                        state_media2 = null;
                                        state_dialogs_replace3 = state_dialogs_replace2;
                                        state_polls3 = state_polls;
                                        cursor5 = cursor7;
                                        data5 = null;
                                        state_webpage4 = state_webpage;
                                        state_messages6 = state_messages;
                                        state_dialogs_update3 = state_dialogs_update;
                                    } catch (Throwable th13) {
                                        th = th13;
                                        state_download4 = state_download;
                                        state_randoms6 = state_randoms;
                                        state_media2 = null;
                                        state_dialogs_replace3 = state_dialogs_replace2;
                                        state_polls3 = state_polls;
                                        cursor5 = cursor7;
                                        data5 = null;
                                        state_webpage4 = state_webpage;
                                        state_messages6 = state_messages;
                                        state_dialogs_update3 = state_dialogs_update;
                                    }
                                }
                                if (messageMediaIds2 != null) {
                                    SQLiteCursor cursor8 = messagesStorage2.database.queryFinalized("SELECT mid, type FROM media_v2 WHERE mid IN(" + messageMediaIds2.toString() + SQLBuilder.PARENTHESES_RIGHT, new Object[0]);
                                    LongSparseArray<Integer> mediaTypesChange = null;
                                    while (cursor8.next()) {
                                        try {
                                            long mid = cursor8.longValue(0);
                                            int type3 = cursor8.intValue(1);
                                            if (type3 == mediaTypes2.get(mid).intValue()) {
                                                messagesMediaIdsMap4.remove(mid);
                                            } else {
                                                if (mediaTypesChange == null) {
                                                    mediaTypesChange = new LongSparseArray<>();
                                                }
                                                mediaTypesChange.put(mid, Integer.valueOf(type3));
                                            }
                                        } catch (Exception e17) {
                                            e = e17;
                                            cursor5 = cursor8;
                                            state_media2 = null;
                                            state_dialogs_update3 = state_dialogs_update;
                                            state_dialogs_replace3 = state_dialogs_replace2;
                                            state_polls3 = state_polls;
                                            data5 = null;
                                            state_download4 = state_download;
                                            state_webpage4 = state_webpage;
                                            state_randoms6 = state_randoms;
                                            state_messages6 = state_messages;
                                        } catch (Throwable th14) {
                                            th = th14;
                                            cursor5 = cursor8;
                                            state_media2 = null;
                                            state_dialogs_update3 = state_dialogs_update;
                                            state_dialogs_replace3 = state_dialogs_replace2;
                                            state_polls3 = state_polls;
                                            data5 = null;
                                            state_download4 = state_download;
                                            state_webpage4 = state_webpage;
                                            state_randoms6 = state_randoms;
                                            state_messages6 = state_messages;
                                        }
                                    }
                                    cursor8.dispose();
                                    SQLiteCursor cursor9 = null;
                                    try {
                                        mediaCounts = new SparseArray<>();
                                        int a7 = 0;
                                        while (a7 < messagesMediaIdsMap4.size()) {
                                            long key = messagesMediaIdsMap4.keyAt(a7);
                                            long value2 = messagesMediaIdsMap4.valueAt(a7).longValue();
                                            Integer type4 = mediaTypes2.get(key);
                                            LongSparseArray<Integer> counts = mediaCounts.get(type4.intValue());
                                            if (counts == null) {
                                                counts = new LongSparseArray<>();
                                                count2 = 0;
                                                cursor3 = cursor9;
                                                try {
                                                    mediaCounts.put(type4.intValue(), counts);
                                                    mediaTypes = mediaTypes2;
                                                    messagesMediaIdsMap = messagesMediaIdsMap4;
                                                    value = value2;
                                                } catch (Exception e18) {
                                                    e = e18;
                                                    state_media2 = null;
                                                    state_dialogs_update3 = state_dialogs_update;
                                                    state_dialogs_replace3 = state_dialogs_replace2;
                                                    state_polls3 = state_polls;
                                                    cursor5 = cursor3;
                                                    data5 = null;
                                                    state_download4 = state_download;
                                                    state_webpage4 = state_webpage;
                                                    state_randoms6 = state_randoms;
                                                    state_messages6 = state_messages;
                                                    FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                    if (data5 != null) {
                                                    }
                                                    if (cursor5 != null) {
                                                    }
                                                    if (state_messages6 != null) {
                                                    }
                                                    if (state_media2 != null) {
                                                    }
                                                    if (state_randoms6 != null) {
                                                    }
                                                    if (state_download4 != null) {
                                                    }
                                                    if (state_webpage4 != null) {
                                                    }
                                                    if (state_polls3 != null) {
                                                    }
                                                    if (state_dialogs_replace3 != null) {
                                                    }
                                                    if (state_dialogs_update3 == null) {
                                                    }
                                                } catch (Throwable th15) {
                                                    th = th15;
                                                    state_media2 = null;
                                                    state_dialogs_update3 = state_dialogs_update;
                                                    state_dialogs_replace3 = state_dialogs_replace2;
                                                    state_polls3 = state_polls;
                                                    cursor5 = cursor3;
                                                    data5 = null;
                                                    state_download4 = state_download;
                                                    state_webpage4 = state_webpage;
                                                    state_randoms6 = state_randoms;
                                                    state_messages6 = state_messages;
                                                    if (data5 != null) {
                                                    }
                                                    if (cursor5 != null) {
                                                    }
                                                    if (state_messages6 != null) {
                                                    }
                                                    if (state_media2 != null) {
                                                    }
                                                    if (state_randoms6 != null) {
                                                    }
                                                    if (state_download4 != null) {
                                                    }
                                                    if (state_webpage4 != null) {
                                                    }
                                                    if (state_polls3 != null) {
                                                    }
                                                    if (state_dialogs_replace3 != null) {
                                                    }
                                                    if (state_dialogs_update3 != null) {
                                                    }
                                                    throw th;
                                                }
                                            } else {
                                                cursor3 = cursor9;
                                                mediaTypes = mediaTypes2;
                                                messagesMediaIdsMap = messagesMediaIdsMap4;
                                                value = value2;
                                                count2 = counts.get(value);
                                            }
                                            if (count2 == null) {
                                                count2 = 0;
                                            }
                                            counts.put(value, Integer.valueOf(count2.intValue() + 1));
                                            if (mediaTypesChange != null && (previousType = mediaTypesChange.get(key, -1).intValue()) >= 0) {
                                                LongSparseArray<Integer> counts2 = mediaCounts.get(previousType);
                                                if (counts2 == null) {
                                                    counts2 = new LongSparseArray<>();
                                                    count3 = 0;
                                                    mediaCounts.put(previousType, counts2);
                                                } else {
                                                    count3 = counts2.get(value);
                                                }
                                                if (count3 == null) {
                                                    count3 = 0;
                                                }
                                                counts2.put(value, Integer.valueOf(count3.intValue() - 1));
                                            }
                                            a7++;
                                            cursor9 = cursor3;
                                            messagesMediaIdsMap4 = messagesMediaIdsMap;
                                            mediaTypes2 = mediaTypes;
                                        }
                                        cursor7 = cursor9;
                                    } catch (Exception e19) {
                                        e = e19;
                                        state_media2 = null;
                                        state_dialogs_update3 = state_dialogs_update;
                                        state_dialogs_replace3 = state_dialogs_replace2;
                                        state_polls3 = state_polls;
                                        cursor5 = cursor9;
                                        data5 = null;
                                        state_download4 = state_download;
                                        state_webpage4 = state_webpage;
                                        state_randoms6 = state_randoms;
                                        state_messages6 = state_messages;
                                    } catch (Throwable th16) {
                                        th = th16;
                                        state_media2 = null;
                                        state_dialogs_update3 = state_dialogs_update;
                                        state_dialogs_replace3 = state_dialogs_replace2;
                                        state_polls3 = state_polls;
                                        cursor5 = cursor9;
                                        data5 = null;
                                        state_download4 = state_download;
                                        state_webpage4 = state_webpage;
                                        state_randoms6 = state_randoms;
                                        state_messages6 = state_messages;
                                    }
                                } else {
                                    mediaCounts = mediaCounts5;
                                }
                                if (messageIds3.length() > 0) {
                                    cursor5 = messagesStorage2.database.queryFinalized("SELECT mid FROM messages WHERE mid IN(" + messageIds3.toString() + SQLBuilder.PARENTHESES_RIGHT, new Object[0]);
                                    while (cursor5.next()) {
                                        try {
                                            long mid2 = cursor5.longValue(0);
                                            messagesIdsMap4.remove(mid2);
                                            LongSparseArray<Long> mentionsIdsMap6 = mentionsIdsMap5;
                                            mentionsIdsMap6.remove(mid2);
                                            mentionsIdsMap5 = mentionsIdsMap6;
                                        } catch (Exception e20) {
                                            e = e20;
                                            state_media2 = null;
                                            state_dialogs_update3 = state_dialogs_update;
                                            state_dialogs_replace3 = state_dialogs_replace2;
                                            state_polls3 = state_polls;
                                            data5 = null;
                                            state_download4 = state_download;
                                            state_webpage4 = state_webpage;
                                            state_randoms6 = state_randoms;
                                            state_messages6 = state_messages;
                                            FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                            if (data5 != null) {
                                            }
                                            if (cursor5 != null) {
                                            }
                                            if (state_messages6 != null) {
                                            }
                                            if (state_media2 != null) {
                                            }
                                            if (state_randoms6 != null) {
                                            }
                                            if (state_download4 != null) {
                                            }
                                            if (state_webpage4 != null) {
                                            }
                                            if (state_polls3 != null) {
                                            }
                                            if (state_dialogs_replace3 != null) {
                                            }
                                            if (state_dialogs_update3 == null) {
                                            }
                                        } catch (Throwable th17) {
                                            th = th17;
                                            state_media2 = null;
                                            state_dialogs_update3 = state_dialogs_update;
                                            state_dialogs_replace3 = state_dialogs_replace2;
                                            state_polls3 = state_polls;
                                            data5 = null;
                                            state_download4 = state_download;
                                            state_webpage4 = state_webpage;
                                            state_randoms6 = state_randoms;
                                            state_messages6 = state_messages;
                                            if (data5 != null) {
                                            }
                                            if (cursor5 != null) {
                                            }
                                            if (state_messages6 != null) {
                                            }
                                            if (state_media2 != null) {
                                            }
                                            if (state_randoms6 != null) {
                                            }
                                            if (state_download4 != null) {
                                            }
                                            if (state_webpage4 != null) {
                                            }
                                            if (state_polls3 != null) {
                                            }
                                            if (state_dialogs_replace3 != null) {
                                            }
                                            if (state_dialogs_update3 != null) {
                                            }
                                            throw th;
                                        }
                                    }
                                    mentionsIdsMap = mentionsIdsMap5;
                                    cursor5.dispose();
                                    cursor5 = null;
                                    int a8 = 0;
                                    while (a8 < messagesIdsMap4.size()) {
                                        long dialog_id = messagesIdsMap4.valueAt(a8).longValue();
                                        LongSparseArray<Integer> messagesCounts8 = messagesCounts7;
                                        Integer count4 = messagesCounts8.get(dialog_id);
                                        if (count4 == null) {
                                            count4 = 0;
                                        }
                                        messagesCounts8.put(dialog_id, Integer.valueOf(count4.intValue() + 1));
                                        a8++;
                                        messagesCounts7 = messagesCounts8;
                                    }
                                    messagesCounts = messagesCounts7;
                                    int a9 = 0;
                                    while (a9 < mentionsIdsMap.size()) {
                                        long dialog_id2 = mentionsIdsMap.valueAt(a9).longValue();
                                        LongSparseArray<Integer> mentionCounts7 = mentionCounts6;
                                        Integer count5 = mentionCounts7.get(dialog_id2);
                                        if (count5 == null) {
                                            count5 = 0;
                                        }
                                        mentionCounts7.put(dialog_id2, Integer.valueOf(count5.intValue() + 1));
                                        a9++;
                                        mentionCounts6 = mentionCounts7;
                                    }
                                    mentionCounts = mentionCounts6;
                                    cursor7 = null;
                                } else {
                                    mentionsIdsMap = mentionsIdsMap5;
                                    mentionCounts = mentionCounts6;
                                    messagesCounts = messagesCounts7;
                                }
                                int a10 = 0;
                                state_polls3 = state_polls;
                                int downloadMediaMask2 = 0;
                                cursor5 = cursor7;
                                while (a10 < messages.size()) {
                                    try {
                                        TLRPC.Message message3 = messages.get(a10);
                                        messagesStorage2.fixUnsupportedMedia(message3);
                                        state_messages.requery();
                                        LongSparseArray<Long> mentionsIdsMap7 = mentionsIdsMap;
                                        StringBuilder messageIds4 = messageIds3;
                                        long messageId4 = message3.id;
                                        if (message3.local_id != 0) {
                                            try {
                                                messageId4 = message3.local_id;
                                            } catch (Exception e21) {
                                                e = e21;
                                                state_media2 = state_media3;
                                                state_dialogs_update3 = state_dialogs_update;
                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                data5 = data6;
                                                state_download4 = state_download;
                                                state_webpage4 = state_webpage;
                                                state_randoms6 = state_randoms;
                                                state_messages6 = state_messages;
                                                FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                if (data5 != null) {
                                                }
                                                if (cursor5 != null) {
                                                }
                                                if (state_messages6 != null) {
                                                }
                                                if (state_media2 != null) {
                                                }
                                                if (state_randoms6 != null) {
                                                }
                                                if (state_download4 != null) {
                                                }
                                                if (state_webpage4 != null) {
                                                }
                                                if (state_polls3 != null) {
                                                }
                                                if (state_dialogs_replace3 != null) {
                                                }
                                                if (state_dialogs_update3 == null) {
                                                }
                                            } catch (Throwable th18) {
                                                th = th18;
                                                state_media2 = state_media3;
                                                state_dialogs_update3 = state_dialogs_update;
                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                data5 = data6;
                                                state_download4 = state_download;
                                                state_webpage4 = state_webpage;
                                                state_randoms6 = state_randoms;
                                                state_messages6 = state_messages;
                                                if (data5 != null) {
                                                }
                                                if (cursor5 != null) {
                                                }
                                                if (state_messages6 != null) {
                                                }
                                                if (state_media2 != null) {
                                                }
                                                if (state_randoms6 != null) {
                                                }
                                                if (state_download4 != null) {
                                                }
                                                if (state_webpage4 != null) {
                                                }
                                                if (state_polls3 != null) {
                                                }
                                                if (state_dialogs_replace3 != null) {
                                                }
                                                if (state_dialogs_update3 != null) {
                                                }
                                                throw th;
                                            }
                                        }
                                        if (message3.to_id.channel_id != 0) {
                                            botKeyboards = botKeyboards2;
                                            messageId4 |= message3.to_id.channel_id << 32;
                                        } else {
                                            botKeyboards = botKeyboards2;
                                        }
                                        NativeByteBuffer data7 = new NativeByteBuffer(message3.getObjectSize());
                                        try {
                                            message3.serializeToStream(data7);
                                            boolean updateDialog = true;
                                            SQLiteCursor cursor10 = cursor5;
                                            try {
                                                try {
                                                    try {
                                                        try {
                                                            if (message3.action instanceof TLRPC.TL_messageEncryptedAction) {
                                                                try {
                                                                    if (!(message3.action.encryptedAction instanceof TLRPC.TL_decryptedMessageActionSetMessageTTL) && !(message3.action.encryptedAction instanceof TLRPC.TL_decryptedMessageActionScreenshotMessages)) {
                                                                        updateDialog = false;
                                                                        messagesIdsMap = messagesIdsMap4;
                                                                        cursor5 = cursor10;
                                                                        if (updateDialog) {
                                                                            cursor2 = cursor5;
                                                                            messagesCounts3 = messagesCounts;
                                                                            messagesMap2 = messagesMap5;
                                                                        } else {
                                                                            messagesCounts3 = messagesCounts;
                                                                            try {
                                                                                cursor2 = cursor5;
                                                                                messagesMap2 = messagesMap5;
                                                                            } catch (Exception e22) {
                                                                                e = e22;
                                                                                data5 = data7;
                                                                                state_media2 = state_media3;
                                                                                state_dialogs_update3 = state_dialogs_update;
                                                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                                                state_download4 = state_download;
                                                                                state_webpage4 = state_webpage;
                                                                                state_randoms6 = state_randoms;
                                                                                state_messages6 = state_messages;
                                                                            } catch (Throwable th19) {
                                                                                th = th19;
                                                                                data5 = data7;
                                                                                state_media2 = state_media3;
                                                                                state_dialogs_update3 = state_dialogs_update;
                                                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                                                state_download4 = state_download;
                                                                                state_webpage4 = state_webpage;
                                                                                state_randoms6 = state_randoms;
                                                                                state_messages6 = state_messages;
                                                                            }
                                                                            try {
                                                                                TLRPC.Message lastMessage2 = messagesMap2.get(message3.dialog_id);
                                                                                if (lastMessage2 != null) {
                                                                                    if (message3.date <= lastMessage2.date) {
                                                                                        if (lastMessage2.id > 0) {
                                                                                        }
                                                                                        if (lastMessage2.id < 0 && message3.id < lastMessage2.id) {
                                                                                        }
                                                                                    }
                                                                                }
                                                                                messagesMap2.put(message3.dialog_id, message3);
                                                                            } catch (Exception e23) {
                                                                                e = e23;
                                                                                data5 = data7;
                                                                                state_media2 = state_media3;
                                                                                state_dialogs_update3 = state_dialogs_update;
                                                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                                                cursor5 = cursor2;
                                                                                state_download4 = state_download;
                                                                                state_webpage4 = state_webpage;
                                                                                state_randoms6 = state_randoms;
                                                                                state_messages6 = state_messages;
                                                                                FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                                if (data5 != null) {
                                                                                }
                                                                                if (cursor5 != null) {
                                                                                }
                                                                                if (state_messages6 != null) {
                                                                                }
                                                                                if (state_media2 != null) {
                                                                                }
                                                                                if (state_randoms6 != null) {
                                                                                }
                                                                                if (state_download4 != null) {
                                                                                }
                                                                                if (state_webpage4 != null) {
                                                                                }
                                                                                if (state_polls3 != null) {
                                                                                }
                                                                                if (state_dialogs_replace3 != null) {
                                                                                }
                                                                                if (state_dialogs_update3 == null) {
                                                                                }
                                                                            } catch (Throwable th20) {
                                                                                th = th20;
                                                                                data5 = data7;
                                                                                state_media2 = state_media3;
                                                                                state_dialogs_update3 = state_dialogs_update;
                                                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                                                cursor5 = cursor2;
                                                                                state_download4 = state_download;
                                                                                state_webpage4 = state_webpage;
                                                                                state_randoms6 = state_randoms;
                                                                                state_messages6 = state_messages;
                                                                                if (data5 != null) {
                                                                                }
                                                                                if (cursor5 != null) {
                                                                                }
                                                                                if (state_messages6 != null) {
                                                                                }
                                                                                if (state_media2 != null) {
                                                                                }
                                                                                if (state_randoms6 != null) {
                                                                                }
                                                                                if (state_download4 != null) {
                                                                                }
                                                                                if (state_webpage4 != null) {
                                                                                }
                                                                                if (state_polls3 != null) {
                                                                                }
                                                                                if (state_dialogs_replace3 != null) {
                                                                                }
                                                                                if (state_dialogs_update3 != null) {
                                                                                }
                                                                                throw th;
                                                                            }
                                                                        }
                                                                        state_messages3 = state_messages;
                                                                        state_messages3.bindLong(1, messageId4);
                                                                        SparseArray<LongSparseArray<Integer>> mediaCounts6 = mediaCounts;
                                                                        state_messages3.bindLong(2, message3.dialog_id);
                                                                        state_messages3.bindInteger(3, MessageObject.getUnreadFlags(message3));
                                                                        state_messages3.bindInteger(4, message3.send_state);
                                                                        state_messages3.bindInteger(5, message3.date);
                                                                        state_messages3.bindByteBuffer(6, data7);
                                                                        if (!MessageObject.isOut(message3)) {
                                                                            try {
                                                                                if (!message3.from_scheduled) {
                                                                                    i = 0;
                                                                                    state_messages3.bindInteger(7, i);
                                                                                    state_messages3.bindInteger(8, message3.ttl);
                                                                                    if ((message3.flags & 1024) != 0) {
                                                                                        state_messages3.bindInteger(9, message3.views);
                                                                                    } else {
                                                                                        state_messages3.bindInteger(9, messagesStorage2.getMessageMediaType(message3));
                                                                                    }
                                                                                    state_messages3.bindInteger(10, 0);
                                                                                    state_messages3.bindInteger(11, message3.mentioned ? 1 : 0);
                                                                                    state_messages3.step();
                                                                                    if (message3.random_id != 0) {
                                                                                        try {
                                                                                            state_randoms.requery();
                                                                                            state_randoms3 = state_randoms;
                                                                                            messagesCounts4 = messagesCounts3;
                                                                                        } catch (Exception e24) {
                                                                                            e = e24;
                                                                                            state_randoms6 = state_randoms;
                                                                                            data5 = data7;
                                                                                            state_messages6 = state_messages3;
                                                                                            state_media2 = state_media3;
                                                                                            state_dialogs_update3 = state_dialogs_update;
                                                                                            state_dialogs_replace3 = state_dialogs_replace2;
                                                                                            cursor5 = cursor2;
                                                                                            state_download4 = state_download;
                                                                                            state_webpage4 = state_webpage;
                                                                                        } catch (Throwable th21) {
                                                                                            th = th21;
                                                                                            state_randoms6 = state_randoms;
                                                                                            data5 = data7;
                                                                                            state_messages6 = state_messages3;
                                                                                            state_media2 = state_media3;
                                                                                            state_dialogs_update3 = state_dialogs_update;
                                                                                            state_dialogs_replace3 = state_dialogs_replace2;
                                                                                            cursor5 = cursor2;
                                                                                            state_download4 = state_download;
                                                                                            state_webpage4 = state_webpage;
                                                                                        }
                                                                                        try {
                                                                                            state_randoms3.bindLong(1, message3.random_id);
                                                                                            state_randoms3.bindLong(2, messageId4);
                                                                                            state_randoms3.step();
                                                                                        } catch (Exception e25) {
                                                                                            e = e25;
                                                                                            state_randoms6 = state_randoms3;
                                                                                            data5 = data7;
                                                                                            state_messages6 = state_messages3;
                                                                                            state_media2 = state_media3;
                                                                                            state_dialogs_update3 = state_dialogs_update;
                                                                                            state_dialogs_replace3 = state_dialogs_replace2;
                                                                                            cursor5 = cursor2;
                                                                                            state_download4 = state_download;
                                                                                            state_webpage4 = state_webpage;
                                                                                            FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                                            if (data5 != null) {
                                                                                            }
                                                                                            if (cursor5 != null) {
                                                                                            }
                                                                                            if (state_messages6 != null) {
                                                                                            }
                                                                                            if (state_media2 != null) {
                                                                                            }
                                                                                            if (state_randoms6 != null) {
                                                                                            }
                                                                                            if (state_download4 != null) {
                                                                                            }
                                                                                            if (state_webpage4 != null) {
                                                                                            }
                                                                                            if (state_polls3 != null) {
                                                                                            }
                                                                                            if (state_dialogs_replace3 != null) {
                                                                                            }
                                                                                            if (state_dialogs_update3 == null) {
                                                                                            }
                                                                                        } catch (Throwable th22) {
                                                                                            th = th22;
                                                                                            state_randoms6 = state_randoms3;
                                                                                            data5 = data7;
                                                                                            state_messages6 = state_messages3;
                                                                                            state_media2 = state_media3;
                                                                                            state_dialogs_update3 = state_dialogs_update;
                                                                                            state_dialogs_replace3 = state_dialogs_replace2;
                                                                                            cursor5 = cursor2;
                                                                                            state_download4 = state_download;
                                                                                            state_webpage4 = state_webpage;
                                                                                            if (data5 != null) {
                                                                                            }
                                                                                            if (cursor5 != null) {
                                                                                            }
                                                                                            if (state_messages6 != null) {
                                                                                            }
                                                                                            if (state_media2 != null) {
                                                                                            }
                                                                                            if (state_randoms6 != null) {
                                                                                            }
                                                                                            if (state_download4 != null) {
                                                                                            }
                                                                                            if (state_webpage4 != null) {
                                                                                            }
                                                                                            if (state_polls3 != null) {
                                                                                            }
                                                                                            if (state_dialogs_replace3 != null) {
                                                                                            }
                                                                                            if (state_dialogs_update3 != null) {
                                                                                            }
                                                                                            throw th;
                                                                                        }
                                                                                    } else {
                                                                                        state_randoms3 = state_randoms;
                                                                                        messagesCounts4 = messagesCounts3;
                                                                                    }
                                                                                    if (MediaDataController.canAddMessageToMedia(message3)) {
                                                                                        SQLitePreparedStatement state_media4 = state_media3 == null ? messagesStorage2.database.executeFast("REPLACE INTO media_v2 VALUES(?, ?, ?, ?, ?)") : state_media3;
                                                                                        try {
                                                                                            state_media4.requery();
                                                                                            state_media4.bindLong(1, messageId4);
                                                                                            mentionCounts3 = mentionCounts;
                                                                                            state_media4.bindLong(2, message3.dialog_id);
                                                                                            state_media4.bindInteger(3, message3.date);
                                                                                            state_media4.bindInteger(4, MediaDataController.getMediaType(message3));
                                                                                            state_media4.bindByteBuffer(5, data7);
                                                                                            state_media4.step();
                                                                                            state_media3 = state_media4;
                                                                                        } catch (Exception e26) {
                                                                                            e = e26;
                                                                                            state_media2 = state_media4;
                                                                                            state_randoms6 = state_randoms3;
                                                                                            data5 = data7;
                                                                                            state_messages6 = state_messages3;
                                                                                            state_dialogs_update3 = state_dialogs_update;
                                                                                            state_dialogs_replace3 = state_dialogs_replace2;
                                                                                            cursor5 = cursor2;
                                                                                            state_download4 = state_download;
                                                                                            state_webpage4 = state_webpage;
                                                                                            FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                                            if (data5 != null) {
                                                                                            }
                                                                                            if (cursor5 != null) {
                                                                                            }
                                                                                            if (state_messages6 != null) {
                                                                                            }
                                                                                            if (state_media2 != null) {
                                                                                            }
                                                                                            if (state_randoms6 != null) {
                                                                                            }
                                                                                            if (state_download4 != null) {
                                                                                            }
                                                                                            if (state_webpage4 != null) {
                                                                                            }
                                                                                            if (state_polls3 != null) {
                                                                                            }
                                                                                            if (state_dialogs_replace3 != null) {
                                                                                            }
                                                                                            if (state_dialogs_update3 == null) {
                                                                                            }
                                                                                        } catch (Throwable th23) {
                                                                                            th = th23;
                                                                                            state_media2 = state_media4;
                                                                                            state_randoms6 = state_randoms3;
                                                                                            data5 = data7;
                                                                                            state_messages6 = state_messages3;
                                                                                            state_dialogs_update3 = state_dialogs_update;
                                                                                            state_dialogs_replace3 = state_dialogs_replace2;
                                                                                            cursor5 = cursor2;
                                                                                            state_download4 = state_download;
                                                                                            state_webpage4 = state_webpage;
                                                                                            if (data5 != null) {
                                                                                            }
                                                                                            if (cursor5 != null) {
                                                                                            }
                                                                                            if (state_messages6 != null) {
                                                                                            }
                                                                                            if (state_media2 != null) {
                                                                                            }
                                                                                            if (state_randoms6 != null) {
                                                                                            }
                                                                                            if (state_download4 != null) {
                                                                                            }
                                                                                            if (state_webpage4 != null) {
                                                                                            }
                                                                                            if (state_polls3 != null) {
                                                                                            }
                                                                                            if (state_dialogs_replace3 != null) {
                                                                                            }
                                                                                            if (state_dialogs_update3 != null) {
                                                                                            }
                                                                                            throw th;
                                                                                        }
                                                                                    } else {
                                                                                        mentionCounts3 = mentionCounts;
                                                                                    }
                                                                                    if (message3.media instanceof TLRPC.TL_messageMediaPoll) {
                                                                                        if (state_polls3 == null) {
                                                                                            state_polls3 = messagesStorage2.database.executeFast("REPLACE INTO polls VALUES(?, ?)");
                                                                                        }
                                                                                        TLRPC.TL_messageMediaPoll mediaPoll = (TLRPC.TL_messageMediaPoll) message3.media;
                                                                                        state_polls3.requery();
                                                                                        state_polls3.bindLong(1, messageId4);
                                                                                        state_polls3.bindLong(2, mediaPoll.poll.id);
                                                                                        state_polls3.step();
                                                                                        state_webpage3 = state_webpage;
                                                                                    } else if (message3.media instanceof TLRPC.TL_messageMediaWebPage) {
                                                                                        try {
                                                                                            state_webpage.requery();
                                                                                            state_webpage3 = state_webpage;
                                                                                        } catch (Exception e27) {
                                                                                            e = e27;
                                                                                            state_randoms6 = state_randoms3;
                                                                                            data5 = data7;
                                                                                            state_media2 = state_media3;
                                                                                            state_dialogs_replace3 = state_dialogs_replace2;
                                                                                            cursor5 = cursor2;
                                                                                            state_download4 = state_download;
                                                                                            state_webpage4 = state_webpage;
                                                                                            state_messages6 = state_messages3;
                                                                                            state_dialogs_update3 = state_dialogs_update;
                                                                                        } catch (Throwable th24) {
                                                                                            th = th24;
                                                                                            state_randoms6 = state_randoms3;
                                                                                            data5 = data7;
                                                                                            state_media2 = state_media3;
                                                                                            state_dialogs_replace3 = state_dialogs_replace2;
                                                                                            cursor5 = cursor2;
                                                                                            state_download4 = state_download;
                                                                                            state_webpage4 = state_webpage;
                                                                                            state_messages6 = state_messages3;
                                                                                            state_dialogs_update3 = state_dialogs_update;
                                                                                        }
                                                                                        try {
                                                                                            state_webpage3.bindLong(1, message3.media.webpage.id);
                                                                                            state_webpage3.bindLong(2, messageId4);
                                                                                            state_webpage3.step();
                                                                                        } catch (Exception e28) {
                                                                                            e = e28;
                                                                                            state_randoms6 = state_randoms3;
                                                                                            data5 = data7;
                                                                                            state_media2 = state_media3;
                                                                                            state_dialogs_replace3 = state_dialogs_replace2;
                                                                                            cursor5 = cursor2;
                                                                                            state_download4 = state_download;
                                                                                            state_webpage4 = state_webpage3;
                                                                                            state_messages6 = state_messages3;
                                                                                            state_dialogs_update3 = state_dialogs_update;
                                                                                            FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                                            if (data5 != null) {
                                                                                            }
                                                                                            if (cursor5 != null) {
                                                                                            }
                                                                                            if (state_messages6 != null) {
                                                                                            }
                                                                                            if (state_media2 != null) {
                                                                                            }
                                                                                            if (state_randoms6 != null) {
                                                                                            }
                                                                                            if (state_download4 != null) {
                                                                                            }
                                                                                            if (state_webpage4 != null) {
                                                                                            }
                                                                                            if (state_polls3 != null) {
                                                                                            }
                                                                                            if (state_dialogs_replace3 != null) {
                                                                                            }
                                                                                            if (state_dialogs_update3 == null) {
                                                                                            }
                                                                                        } catch (Throwable th25) {
                                                                                            th = th25;
                                                                                            state_randoms6 = state_randoms3;
                                                                                            data5 = data7;
                                                                                            state_media2 = state_media3;
                                                                                            state_dialogs_replace3 = state_dialogs_replace2;
                                                                                            cursor5 = cursor2;
                                                                                            state_download4 = state_download;
                                                                                            state_webpage4 = state_webpage3;
                                                                                            state_messages6 = state_messages3;
                                                                                            state_dialogs_update3 = state_dialogs_update;
                                                                                            if (data5 != null) {
                                                                                            }
                                                                                            if (cursor5 != null) {
                                                                                            }
                                                                                            if (state_messages6 != null) {
                                                                                            }
                                                                                            if (state_media2 != null) {
                                                                                            }
                                                                                            if (state_randoms6 != null) {
                                                                                            }
                                                                                            if (state_download4 != null) {
                                                                                            }
                                                                                            if (state_webpage4 != null) {
                                                                                            }
                                                                                            if (state_polls3 != null) {
                                                                                            }
                                                                                            if (state_dialogs_replace3 != null) {
                                                                                            }
                                                                                            if (state_dialogs_update3 != null) {
                                                                                            }
                                                                                            throw th;
                                                                                        }
                                                                                    } else {
                                                                                        state_webpage3 = state_webpage;
                                                                                    }
                                                                                    data7.reuse();
                                                                                    if (downloadMask != 0) {
                                                                                        try {
                                                                                            if (message3.to_id.channel_id != 0) {
                                                                                                try {
                                                                                                    if (!message3.post) {
                                                                                                        data = null;
                                                                                                        state_download3 = state_download;
                                                                                                        data2 = data;
                                                                                                        a10++;
                                                                                                        messagesMap5 = messagesMap2;
                                                                                                        state_webpage = state_webpage3;
                                                                                                        state_download = state_download3;
                                                                                                        cursor5 = cursor2;
                                                                                                        messageIds3 = messageIds4;
                                                                                                        messagesCounts = messagesCounts4;
                                                                                                        messagesIdsMap4 = messagesIdsMap;
                                                                                                        mentionCounts = mentionCounts3;
                                                                                                        data6 = data2;
                                                                                                        state_randoms = state_randoms3;
                                                                                                        mediaCounts = mediaCounts6;
                                                                                                        mentionsIdsMap = mentionsIdsMap7;
                                                                                                        state_messages = state_messages3;
                                                                                                        botKeyboards2 = botKeyboards;
                                                                                                    }
                                                                                                } catch (Exception e29) {
                                                                                                    e = e29;
                                                                                                    data5 = null;
                                                                                                    state_randoms6 = state_randoms3;
                                                                                                    state_media2 = state_media3;
                                                                                                    state_dialogs_replace3 = state_dialogs_replace2;
                                                                                                    cursor5 = cursor2;
                                                                                                    state_download4 = state_download;
                                                                                                    state_webpage4 = state_webpage3;
                                                                                                    state_messages6 = state_messages3;
                                                                                                    state_dialogs_update3 = state_dialogs_update;
                                                                                                    FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                                                    if (data5 != null) {
                                                                                                    }
                                                                                                    if (cursor5 != null) {
                                                                                                    }
                                                                                                    if (state_messages6 != null) {
                                                                                                    }
                                                                                                    if (state_media2 != null) {
                                                                                                    }
                                                                                                    if (state_randoms6 != null) {
                                                                                                    }
                                                                                                    if (state_download4 != null) {
                                                                                                    }
                                                                                                    if (state_webpage4 != null) {
                                                                                                    }
                                                                                                    if (state_polls3 != null) {
                                                                                                    }
                                                                                                    if (state_dialogs_replace3 != null) {
                                                                                                    }
                                                                                                    if (state_dialogs_update3 == null) {
                                                                                                    }
                                                                                                } catch (Throwable th26) {
                                                                                                    th = th26;
                                                                                                    data5 = null;
                                                                                                    state_randoms6 = state_randoms3;
                                                                                                    state_media2 = state_media3;
                                                                                                    state_dialogs_replace3 = state_dialogs_replace2;
                                                                                                    cursor5 = cursor2;
                                                                                                    state_download4 = state_download;
                                                                                                    state_webpage4 = state_webpage3;
                                                                                                    state_messages6 = state_messages3;
                                                                                                    state_dialogs_update3 = state_dialogs_update;
                                                                                                    if (data5 != null) {
                                                                                                    }
                                                                                                    if (cursor5 != null) {
                                                                                                    }
                                                                                                    if (state_messages6 != null) {
                                                                                                    }
                                                                                                    if (state_media2 != null) {
                                                                                                    }
                                                                                                    if (state_randoms6 != null) {
                                                                                                    }
                                                                                                    if (state_download4 != null) {
                                                                                                    }
                                                                                                    if (state_webpage4 != null) {
                                                                                                    }
                                                                                                    if (state_polls3 != null) {
                                                                                                    }
                                                                                                    if (state_dialogs_replace3 != null) {
                                                                                                    }
                                                                                                    if (state_dialogs_update3 != null) {
                                                                                                    }
                                                                                                    throw th;
                                                                                                }
                                                                                            }
                                                                                            if (message3.date >= getConnectionsManager().getCurrentTime() - 3600 && getDownloadController().canDownloadMedia(message3) == 1) {
                                                                                                if ((message3.media instanceof TLRPC.TL_messageMediaPhoto) || (message3.media instanceof TLRPC.TL_messageMediaDocument) || (message3.media instanceof TLRPC.TL_messageMediaWebPage)) {
                                                                                                    TLRPC.TL_messageMediaDocument tL_messageMediaDocument = null;
                                                                                                    TLRPC.Document document = MessageObject.getDocument(message3);
                                                                                                    TLRPC.Photo photo4 = MessageObject.getPhoto(message3);
                                                                                                    if (MessageObject.isVoiceMessage(message3)) {
                                                                                                        long messageId5 = document.id;
                                                                                                        type = 2;
                                                                                                        tL_messageMediaDocument = new TLRPC.TL_messageMediaDocument();
                                                                                                        tL_messageMediaDocument.document = document;
                                                                                                        tL_messageMediaDocument.flags |= 1;
                                                                                                        data = null;
                                                                                                        id = messageId5;
                                                                                                        photo2 = photo4;
                                                                                                    } else {
                                                                                                        if (MessageObject.isStickerMessage(message3)) {
                                                                                                            data = null;
                                                                                                            photo3 = photo4;
                                                                                                        } else {
                                                                                                            try {
                                                                                                                if (MessageObject.isAnimatedStickerMessage(message3)) {
                                                                                                                    data = null;
                                                                                                                    photo3 = photo4;
                                                                                                                } else {
                                                                                                                    if (MessageObject.isVideoMessage(message3) || MessageObject.isRoundVideoMessage(message3)) {
                                                                                                                        data = null;
                                                                                                                        photo = photo4;
                                                                                                                    } else if (MessageObject.isGifMessage(message3)) {
                                                                                                                        data = null;
                                                                                                                        photo = photo4;
                                                                                                                    } else if (document != null) {
                                                                                                                        long id2 = document.id;
                                                                                                                        type = 8;
                                                                                                                        tL_messageMediaDocument = new TLRPC.TL_messageMediaDocument();
                                                                                                                        tL_messageMediaDocument.document = document;
                                                                                                                        tL_messageMediaDocument.flags |= 1;
                                                                                                                        data = null;
                                                                                                                        id = id2;
                                                                                                                        photo2 = photo4;
                                                                                                                    } else {
                                                                                                                        if (photo4 != null) {
                                                                                                                            ArrayList<TLRPC.PhotoSize> arrayList = photo4.sizes;
                                                                                                                            data = null;
                                                                                                                            TLRPC.PhotoSize photoSize = FileLoader.getClosestPhotoSizeWithSize(arrayList, AndroidUtilities.getPhotoSize());
                                                                                                                            if (photoSize != null) {
                                                                                                                                long id3 = photo4.id;
                                                                                                                                type = 1;
                                                                                                                                tL_messageMediaDocument = new TLRPC.TL_messageMediaPhoto();
                                                                                                                                tL_messageMediaDocument.photo = photo4;
                                                                                                                                tL_messageMediaDocument.flags |= 1;
                                                                                                                                if (message3.media instanceof TLRPC.TL_messageMediaWebPage) {
                                                                                                                                    tL_messageMediaDocument.flags |= Integer.MIN_VALUE;
                                                                                                                                }
                                                                                                                                photo2 = photo4;
                                                                                                                                id = id3;
                                                                                                                            } else {
                                                                                                                                type2 = 0;
                                                                                                                            }
                                                                                                                        } else {
                                                                                                                            data = null;
                                                                                                                            type2 = 0;
                                                                                                                        }
                                                                                                                        photo2 = photo4;
                                                                                                                        id = 0;
                                                                                                                        type = type2;
                                                                                                                    }
                                                                                                                    long id4 = document.id;
                                                                                                                    type = 4;
                                                                                                                    tL_messageMediaDocument = new TLRPC.TL_messageMediaDocument();
                                                                                                                    tL_messageMediaDocument.document = document;
                                                                                                                    tL_messageMediaDocument.flags |= 1;
                                                                                                                    photo2 = photo;
                                                                                                                    id = id4;
                                                                                                                }
                                                                                                            } catch (Exception e30) {
                                                                                                                e = e30;
                                                                                                                state_randoms6 = state_randoms3;
                                                                                                                state_media2 = state_media3;
                                                                                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                                                                                data5 = null;
                                                                                                                cursor5 = cursor2;
                                                                                                                state_download4 = state_download;
                                                                                                                state_webpage4 = state_webpage3;
                                                                                                                state_messages6 = state_messages3;
                                                                                                                state_dialogs_update3 = state_dialogs_update;
                                                                                                                FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                                                                if (data5 != null) {
                                                                                                                }
                                                                                                                if (cursor5 != null) {
                                                                                                                }
                                                                                                                if (state_messages6 != null) {
                                                                                                                }
                                                                                                                if (state_media2 != null) {
                                                                                                                }
                                                                                                                if (state_randoms6 != null) {
                                                                                                                }
                                                                                                                if (state_download4 != null) {
                                                                                                                }
                                                                                                                if (state_webpage4 != null) {
                                                                                                                }
                                                                                                                if (state_polls3 != null) {
                                                                                                                }
                                                                                                                if (state_dialogs_replace3 != null) {
                                                                                                                }
                                                                                                                if (state_dialogs_update3 == null) {
                                                                                                                }
                                                                                                            } catch (Throwable th27) {
                                                                                                                th = th27;
                                                                                                                state_randoms6 = state_randoms3;
                                                                                                                state_media2 = state_media3;
                                                                                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                                                                                data5 = null;
                                                                                                                cursor5 = cursor2;
                                                                                                                state_download4 = state_download;
                                                                                                                state_webpage4 = state_webpage3;
                                                                                                                state_messages6 = state_messages3;
                                                                                                                state_dialogs_update3 = state_dialogs_update;
                                                                                                                if (data5 != null) {
                                                                                                                }
                                                                                                                if (cursor5 != null) {
                                                                                                                }
                                                                                                                if (state_messages6 != null) {
                                                                                                                }
                                                                                                                if (state_media2 != null) {
                                                                                                                }
                                                                                                                if (state_randoms6 != null) {
                                                                                                                }
                                                                                                                if (state_download4 != null) {
                                                                                                                }
                                                                                                                if (state_webpage4 != null) {
                                                                                                                }
                                                                                                                if (state_polls3 != null) {
                                                                                                                }
                                                                                                                if (state_dialogs_replace3 != null) {
                                                                                                                }
                                                                                                                if (state_dialogs_update3 != null) {
                                                                                                                }
                                                                                                                throw th;
                                                                                                            }
                                                                                                        }
                                                                                                        long id5 = document.id;
                                                                                                        type = 1;
                                                                                                        tL_messageMediaDocument = new TLRPC.TL_messageMediaDocument();
                                                                                                        tL_messageMediaDocument.document = document;
                                                                                                        tL_messageMediaDocument.flags |= 1;
                                                                                                        photo2 = photo3;
                                                                                                        id = id5;
                                                                                                    }
                                                                                                    if (tL_messageMediaDocument != null) {
                                                                                                        try {
                                                                                                            if (message3.media.ttl_seconds != 0) {
                                                                                                                try {
                                                                                                                    tL_messageMediaDocument.ttl_seconds = message3.media.ttl_seconds;
                                                                                                                    tL_messageMediaDocument.flags |= 4;
                                                                                                                } catch (Exception e31) {
                                                                                                                    e = e31;
                                                                                                                    state_randoms6 = state_randoms3;
                                                                                                                    state_media2 = state_media3;
                                                                                                                    state_dialogs_replace3 = state_dialogs_replace2;
                                                                                                                    data5 = data;
                                                                                                                    cursor5 = cursor2;
                                                                                                                    state_download4 = state_download;
                                                                                                                    state_webpage4 = state_webpage3;
                                                                                                                    state_messages6 = state_messages3;
                                                                                                                    state_dialogs_update3 = state_dialogs_update;
                                                                                                                    FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                                                                    if (data5 != null) {
                                                                                                                    }
                                                                                                                    if (cursor5 != null) {
                                                                                                                    }
                                                                                                                    if (state_messages6 != null) {
                                                                                                                    }
                                                                                                                    if (state_media2 != null) {
                                                                                                                    }
                                                                                                                    if (state_randoms6 != null) {
                                                                                                                    }
                                                                                                                    if (state_download4 != null) {
                                                                                                                    }
                                                                                                                    if (state_webpage4 != null) {
                                                                                                                    }
                                                                                                                    if (state_polls3 != null) {
                                                                                                                    }
                                                                                                                    if (state_dialogs_replace3 != null) {
                                                                                                                    }
                                                                                                                    if (state_dialogs_update3 == null) {
                                                                                                                    }
                                                                                                                } catch (Throwable th28) {
                                                                                                                    th = th28;
                                                                                                                    state_randoms6 = state_randoms3;
                                                                                                                    state_media2 = state_media3;
                                                                                                                    state_dialogs_replace3 = state_dialogs_replace2;
                                                                                                                    data5 = data;
                                                                                                                    cursor5 = cursor2;
                                                                                                                    state_download4 = state_download;
                                                                                                                    state_webpage4 = state_webpage3;
                                                                                                                    state_messages6 = state_messages3;
                                                                                                                    state_dialogs_update3 = state_dialogs_update;
                                                                                                                    if (data5 != null) {
                                                                                                                    }
                                                                                                                    if (cursor5 != null) {
                                                                                                                    }
                                                                                                                    if (state_messages6 != null) {
                                                                                                                    }
                                                                                                                    if (state_media2 != null) {
                                                                                                                    }
                                                                                                                    if (state_randoms6 != null) {
                                                                                                                    }
                                                                                                                    if (state_download4 != null) {
                                                                                                                    }
                                                                                                                    if (state_webpage4 != null) {
                                                                                                                    }
                                                                                                                    if (state_polls3 != null) {
                                                                                                                    }
                                                                                                                    if (state_dialogs_replace3 != null) {
                                                                                                                    }
                                                                                                                    if (state_dialogs_update3 != null) {
                                                                                                                    }
                                                                                                                    throw th;
                                                                                                                }
                                                                                                            }
                                                                                                            int downloadMediaMask3 = downloadMediaMask2 | type;
                                                                                                            state_download.requery();
                                                                                                            int downloadMediaMask4 = tL_messageMediaDocument.getObjectSize();
                                                                                                            data5 = new NativeByteBuffer(downloadMediaMask4);
                                                                                                            try {
                                                                                                                tL_messageMediaDocument.serializeToStream(data5);
                                                                                                                state_download3 = state_download;
                                                                                                                try {
                                                                                                                    state_download3.bindLong(1, id);
                                                                                                                    state_download3.bindInteger(2, type);
                                                                                                                    state_download3.bindInteger(3, message3.date);
                                                                                                                    state_download3.bindByteBuffer(4, data5);
                                                                                                                    state_download3.bindString(5, "sent_" + (message3.to_id != null ? message3.to_id.channel_id : 0) + "_" + message3.id);
                                                                                                                    state_download3.step();
                                                                                                                    data5.reuse();
                                                                                                                    data2 = null;
                                                                                                                    downloadMediaMask2 = downloadMediaMask3;
                                                                                                                    a10++;
                                                                                                                    messagesMap5 = messagesMap2;
                                                                                                                    state_webpage = state_webpage3;
                                                                                                                    state_download = state_download3;
                                                                                                                    cursor5 = cursor2;
                                                                                                                    messageIds3 = messageIds4;
                                                                                                                    messagesCounts = messagesCounts4;
                                                                                                                    messagesIdsMap4 = messagesIdsMap;
                                                                                                                    mentionCounts = mentionCounts3;
                                                                                                                    data6 = data2;
                                                                                                                    state_randoms = state_randoms3;
                                                                                                                    mediaCounts = mediaCounts6;
                                                                                                                    mentionsIdsMap = mentionsIdsMap7;
                                                                                                                    state_messages = state_messages3;
                                                                                                                    botKeyboards2 = botKeyboards;
                                                                                                                } catch (Exception e32) {
                                                                                                                    e = e32;
                                                                                                                    state_download4 = state_download3;
                                                                                                                    state_randoms6 = state_randoms3;
                                                                                                                    state_media2 = state_media3;
                                                                                                                    state_dialogs_replace3 = state_dialogs_replace2;
                                                                                                                    cursor5 = cursor2;
                                                                                                                    state_webpage4 = state_webpage3;
                                                                                                                    state_messages6 = state_messages3;
                                                                                                                    state_dialogs_update3 = state_dialogs_update;
                                                                                                                    FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                                                                    if (data5 != null) {
                                                                                                                    }
                                                                                                                    if (cursor5 != null) {
                                                                                                                    }
                                                                                                                    if (state_messages6 != null) {
                                                                                                                    }
                                                                                                                    if (state_media2 != null) {
                                                                                                                    }
                                                                                                                    if (state_randoms6 != null) {
                                                                                                                    }
                                                                                                                    if (state_download4 != null) {
                                                                                                                    }
                                                                                                                    if (state_webpage4 != null) {
                                                                                                                    }
                                                                                                                    if (state_polls3 != null) {
                                                                                                                    }
                                                                                                                    if (state_dialogs_replace3 != null) {
                                                                                                                    }
                                                                                                                    if (state_dialogs_update3 == null) {
                                                                                                                    }
                                                                                                                } catch (Throwable th29) {
                                                                                                                    th = th29;
                                                                                                                    state_download4 = state_download3;
                                                                                                                    state_randoms6 = state_randoms3;
                                                                                                                    state_media2 = state_media3;
                                                                                                                    state_dialogs_replace3 = state_dialogs_replace2;
                                                                                                                    cursor5 = cursor2;
                                                                                                                    state_webpage4 = state_webpage3;
                                                                                                                    state_messages6 = state_messages3;
                                                                                                                    state_dialogs_update3 = state_dialogs_update;
                                                                                                                    if (data5 != null) {
                                                                                                                    }
                                                                                                                    if (cursor5 != null) {
                                                                                                                    }
                                                                                                                    if (state_messages6 != null) {
                                                                                                                    }
                                                                                                                    if (state_media2 != null) {
                                                                                                                    }
                                                                                                                    if (state_randoms6 != null) {
                                                                                                                    }
                                                                                                                    if (state_download4 != null) {
                                                                                                                    }
                                                                                                                    if (state_webpage4 != null) {
                                                                                                                    }
                                                                                                                    if (state_polls3 != null) {
                                                                                                                    }
                                                                                                                    if (state_dialogs_replace3 != null) {
                                                                                                                    }
                                                                                                                    if (state_dialogs_update3 != null) {
                                                                                                                    }
                                                                                                                    throw th;
                                                                                                                }
                                                                                                            } catch (Exception e33) {
                                                                                                                e = e33;
                                                                                                                state_download4 = state_download;
                                                                                                                state_randoms6 = state_randoms3;
                                                                                                                state_media2 = state_media3;
                                                                                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                                                                                cursor5 = cursor2;
                                                                                                                state_webpage4 = state_webpage3;
                                                                                                                state_messages6 = state_messages3;
                                                                                                                state_dialogs_update3 = state_dialogs_update;
                                                                                                            } catch (Throwable th30) {
                                                                                                                th = th30;
                                                                                                                state_download4 = state_download;
                                                                                                                state_randoms6 = state_randoms3;
                                                                                                                state_media2 = state_media3;
                                                                                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                                                                                cursor5 = cursor2;
                                                                                                                state_webpage4 = state_webpage3;
                                                                                                                state_messages6 = state_messages3;
                                                                                                                state_dialogs_update3 = state_dialogs_update;
                                                                                                            }
                                                                                                        } catch (Exception e34) {
                                                                                                            e = e34;
                                                                                                            state_download4 = state_download;
                                                                                                            state_randoms6 = state_randoms3;
                                                                                                            state_media2 = state_media3;
                                                                                                            state_dialogs_replace3 = state_dialogs_replace2;
                                                                                                            data5 = data;
                                                                                                            cursor5 = cursor2;
                                                                                                            state_webpage4 = state_webpage3;
                                                                                                            state_messages6 = state_messages3;
                                                                                                            state_dialogs_update3 = state_dialogs_update;
                                                                                                        } catch (Throwable th31) {
                                                                                                            th = th31;
                                                                                                            state_download4 = state_download;
                                                                                                            state_randoms6 = state_randoms3;
                                                                                                            state_media2 = state_media3;
                                                                                                            state_dialogs_replace3 = state_dialogs_replace2;
                                                                                                            data5 = data;
                                                                                                            cursor5 = cursor2;
                                                                                                            state_webpage4 = state_webpage3;
                                                                                                            state_messages6 = state_messages3;
                                                                                                            state_dialogs_update3 = state_dialogs_update;
                                                                                                        }
                                                                                                    } else {
                                                                                                        state_download3 = state_download;
                                                                                                    }
                                                                                                } else {
                                                                                                    data = null;
                                                                                                    state_download3 = state_download;
                                                                                                }
                                                                                                data2 = data;
                                                                                                a10++;
                                                                                                messagesMap5 = messagesMap2;
                                                                                                state_webpage = state_webpage3;
                                                                                                state_download = state_download3;
                                                                                                cursor5 = cursor2;
                                                                                                messageIds3 = messageIds4;
                                                                                                messagesCounts = messagesCounts4;
                                                                                                messagesIdsMap4 = messagesIdsMap;
                                                                                                mentionCounts = mentionCounts3;
                                                                                                data6 = data2;
                                                                                                state_randoms = state_randoms3;
                                                                                                mediaCounts = mediaCounts6;
                                                                                                mentionsIdsMap = mentionsIdsMap7;
                                                                                                state_messages = state_messages3;
                                                                                                botKeyboards2 = botKeyboards;
                                                                                            }
                                                                                        } catch (Exception e35) {
                                                                                            e = e35;
                                                                                            state_download4 = state_download;
                                                                                            state_randoms6 = state_randoms3;
                                                                                            state_media2 = state_media3;
                                                                                            state_dialogs_replace3 = state_dialogs_replace2;
                                                                                            data5 = null;
                                                                                            cursor5 = cursor2;
                                                                                            state_webpage4 = state_webpage3;
                                                                                            state_messages6 = state_messages3;
                                                                                            state_dialogs_update3 = state_dialogs_update;
                                                                                        } catch (Throwable th32) {
                                                                                            th = th32;
                                                                                            state_download4 = state_download;
                                                                                            state_randoms6 = state_randoms3;
                                                                                            state_media2 = state_media3;
                                                                                            state_dialogs_replace3 = state_dialogs_replace2;
                                                                                            data5 = null;
                                                                                            cursor5 = cursor2;
                                                                                            state_webpage4 = state_webpage3;
                                                                                            state_messages6 = state_messages3;
                                                                                            state_dialogs_update3 = state_dialogs_update;
                                                                                        }
                                                                                    }
                                                                                    data = null;
                                                                                    state_download3 = state_download;
                                                                                    data2 = data;
                                                                                    a10++;
                                                                                    messagesMap5 = messagesMap2;
                                                                                    state_webpage = state_webpage3;
                                                                                    state_download = state_download3;
                                                                                    cursor5 = cursor2;
                                                                                    messageIds3 = messageIds4;
                                                                                    messagesCounts = messagesCounts4;
                                                                                    messagesIdsMap4 = messagesIdsMap;
                                                                                    mentionCounts = mentionCounts3;
                                                                                    data6 = data2;
                                                                                    state_randoms = state_randoms3;
                                                                                    mediaCounts = mediaCounts6;
                                                                                    mentionsIdsMap = mentionsIdsMap7;
                                                                                    state_messages = state_messages3;
                                                                                    botKeyboards2 = botKeyboards;
                                                                                }
                                                                            } catch (Exception e36) {
                                                                                e = e36;
                                                                                data5 = data7;
                                                                                state_messages6 = state_messages3;
                                                                                state_media2 = state_media3;
                                                                                state_dialogs_update3 = state_dialogs_update;
                                                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                                                cursor5 = cursor2;
                                                                                state_download4 = state_download;
                                                                                state_webpage4 = state_webpage;
                                                                                state_randoms6 = state_randoms;
                                                                                FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                                if (data5 != null) {
                                                                                }
                                                                                if (cursor5 != null) {
                                                                                }
                                                                                if (state_messages6 != null) {
                                                                                }
                                                                                if (state_media2 != null) {
                                                                                }
                                                                                if (state_randoms6 != null) {
                                                                                }
                                                                                if (state_download4 != null) {
                                                                                }
                                                                                if (state_webpage4 != null) {
                                                                                }
                                                                                if (state_polls3 != null) {
                                                                                }
                                                                                if (state_dialogs_replace3 != null) {
                                                                                }
                                                                                if (state_dialogs_update3 == null) {
                                                                                }
                                                                            } catch (Throwable th33) {
                                                                                th = th33;
                                                                                data5 = data7;
                                                                                state_messages6 = state_messages3;
                                                                                state_media2 = state_media3;
                                                                                state_dialogs_update3 = state_dialogs_update;
                                                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                                                cursor5 = cursor2;
                                                                                state_download4 = state_download;
                                                                                state_webpage4 = state_webpage;
                                                                                state_randoms6 = state_randoms;
                                                                                if (data5 != null) {
                                                                                }
                                                                                if (cursor5 != null) {
                                                                                }
                                                                                if (state_messages6 != null) {
                                                                                }
                                                                                if (state_media2 != null) {
                                                                                }
                                                                                if (state_randoms6 != null) {
                                                                                }
                                                                                if (state_download4 != null) {
                                                                                }
                                                                                if (state_webpage4 != null) {
                                                                                }
                                                                                if (state_polls3 != null) {
                                                                                }
                                                                                if (state_dialogs_replace3 != null) {
                                                                                }
                                                                                if (state_dialogs_update3 != null) {
                                                                                }
                                                                                throw th;
                                                                            }
                                                                        }
                                                                        i = 1;
                                                                        state_messages3.bindInteger(7, i);
                                                                        state_messages3.bindInteger(8, message3.ttl);
                                                                        if ((message3.flags & 1024) != 0) {
                                                                        }
                                                                        state_messages3.bindInteger(10, 0);
                                                                        state_messages3.bindInteger(11, message3.mentioned ? 1 : 0);
                                                                        state_messages3.step();
                                                                        if (message3.random_id != 0) {
                                                                        }
                                                                        if (MediaDataController.canAddMessageToMedia(message3)) {
                                                                        }
                                                                        if (message3.media instanceof TLRPC.TL_messageMediaPoll) {
                                                                        }
                                                                        data7.reuse();
                                                                        if (downloadMask != 0) {
                                                                        }
                                                                        data = null;
                                                                        state_download3 = state_download;
                                                                        data2 = data;
                                                                        a10++;
                                                                        messagesMap5 = messagesMap2;
                                                                        state_webpage = state_webpage3;
                                                                        state_download = state_download3;
                                                                        cursor5 = cursor2;
                                                                        messageIds3 = messageIds4;
                                                                        messagesCounts = messagesCounts4;
                                                                        messagesIdsMap4 = messagesIdsMap;
                                                                        mentionCounts = mentionCounts3;
                                                                        data6 = data2;
                                                                        state_randoms = state_randoms3;
                                                                        mediaCounts = mediaCounts6;
                                                                        mentionsIdsMap = mentionsIdsMap7;
                                                                        state_messages = state_messages3;
                                                                        botKeyboards2 = botKeyboards;
                                                                    }
                                                                } catch (Exception e37) {
                                                                    e = e37;
                                                                    data5 = data7;
                                                                    state_media2 = state_media3;
                                                                    state_dialogs_update3 = state_dialogs_update;
                                                                    state_dialogs_replace3 = state_dialogs_replace2;
                                                                    state_download4 = state_download;
                                                                    state_webpage4 = state_webpage;
                                                                    state_randoms6 = state_randoms;
                                                                    state_messages6 = state_messages;
                                                                    cursor5 = cursor10;
                                                                    FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                    if (data5 != null) {
                                                                    }
                                                                    if (cursor5 != null) {
                                                                    }
                                                                    if (state_messages6 != null) {
                                                                    }
                                                                    if (state_media2 != null) {
                                                                    }
                                                                    if (state_randoms6 != null) {
                                                                    }
                                                                    if (state_download4 != null) {
                                                                    }
                                                                    if (state_webpage4 != null) {
                                                                    }
                                                                    if (state_polls3 != null) {
                                                                    }
                                                                    if (state_dialogs_replace3 != null) {
                                                                    }
                                                                    if (state_dialogs_update3 == null) {
                                                                    }
                                                                } catch (Throwable th34) {
                                                                    th = th34;
                                                                    data5 = data7;
                                                                    state_media2 = state_media3;
                                                                    state_dialogs_update3 = state_dialogs_update;
                                                                    state_dialogs_replace3 = state_dialogs_replace2;
                                                                    state_download4 = state_download;
                                                                    state_webpage4 = state_webpage;
                                                                    state_randoms6 = state_randoms;
                                                                    state_messages6 = state_messages;
                                                                    cursor5 = cursor10;
                                                                    if (data5 != null) {
                                                                    }
                                                                    if (cursor5 != null) {
                                                                    }
                                                                    if (state_messages6 != null) {
                                                                    }
                                                                    if (state_media2 != null) {
                                                                    }
                                                                    if (state_randoms6 != null) {
                                                                    }
                                                                    if (state_download4 != null) {
                                                                    }
                                                                    if (state_webpage4 != null) {
                                                                    }
                                                                    if (state_polls3 != null) {
                                                                    }
                                                                    if (state_dialogs_replace3 != null) {
                                                                    }
                                                                    if (state_dialogs_update3 != null) {
                                                                    }
                                                                    throw th;
                                                                }
                                                            }
                                                            data7.reuse();
                                                            if (downloadMask != 0) {
                                                            }
                                                            data = null;
                                                            state_download3 = state_download;
                                                            data2 = data;
                                                            a10++;
                                                            messagesMap5 = messagesMap2;
                                                            state_webpage = state_webpage3;
                                                            state_download = state_download3;
                                                            cursor5 = cursor2;
                                                            messageIds3 = messageIds4;
                                                            messagesCounts = messagesCounts4;
                                                            messagesIdsMap4 = messagesIdsMap;
                                                            mentionCounts = mentionCounts3;
                                                            data6 = data2;
                                                            state_randoms = state_randoms3;
                                                            mediaCounts = mediaCounts6;
                                                            mentionsIdsMap = mentionsIdsMap7;
                                                            state_messages = state_messages3;
                                                            botKeyboards2 = botKeyboards;
                                                        } catch (Exception e38) {
                                                            e = e38;
                                                            state_download4 = state_download;
                                                            state_randoms6 = state_randoms3;
                                                            data5 = data7;
                                                            state_media2 = state_media3;
                                                            state_dialogs_replace3 = state_dialogs_replace2;
                                                            cursor5 = cursor2;
                                                            state_webpage4 = state_webpage3;
                                                            state_messages6 = state_messages3;
                                                            state_dialogs_update3 = state_dialogs_update;
                                                        } catch (Throwable th35) {
                                                            th = th35;
                                                            state_download4 = state_download;
                                                            state_randoms6 = state_randoms3;
                                                            data5 = data7;
                                                            state_media2 = state_media3;
                                                            state_dialogs_replace3 = state_dialogs_replace2;
                                                            cursor5 = cursor2;
                                                            state_webpage4 = state_webpage3;
                                                            state_messages6 = state_messages3;
                                                            state_dialogs_update3 = state_dialogs_update;
                                                        }
                                                        if (MediaDataController.canAddMessageToMedia(message3)) {
                                                        }
                                                        if (message3.media instanceof TLRPC.TL_messageMediaPoll) {
                                                        }
                                                    } catch (Exception e39) {
                                                        e = e39;
                                                        state_download4 = state_download;
                                                        state_randoms6 = state_randoms3;
                                                        data5 = data7;
                                                        state_media2 = state_media3;
                                                        state_dialogs_replace3 = state_dialogs_replace2;
                                                        cursor5 = cursor2;
                                                        state_webpage4 = state_webpage;
                                                        state_messages6 = state_messages3;
                                                        state_dialogs_update3 = state_dialogs_update;
                                                    } catch (Throwable th36) {
                                                        th = th36;
                                                        state_download4 = state_download;
                                                        state_randoms6 = state_randoms3;
                                                        data5 = data7;
                                                        state_media2 = state_media3;
                                                        state_dialogs_replace3 = state_dialogs_replace2;
                                                        cursor5 = cursor2;
                                                        state_webpage4 = state_webpage;
                                                        state_messages6 = state_messages3;
                                                        state_dialogs_update3 = state_dialogs_update;
                                                    }
                                                    state_messages3.bindLong(1, messageId4);
                                                    SparseArray<LongSparseArray<Integer>> mediaCounts62 = mediaCounts;
                                                    state_messages3.bindLong(2, message3.dialog_id);
                                                    state_messages3.bindInteger(3, MessageObject.getUnreadFlags(message3));
                                                    state_messages3.bindInteger(4, message3.send_state);
                                                    state_messages3.bindInteger(5, message3.date);
                                                    state_messages3.bindByteBuffer(6, data7);
                                                    if (!MessageObject.isOut(message3)) {
                                                    }
                                                    i = 1;
                                                    state_messages3.bindInteger(7, i);
                                                    state_messages3.bindInteger(8, message3.ttl);
                                                    if ((message3.flags & 1024) != 0) {
                                                    }
                                                    state_messages3.bindInteger(10, 0);
                                                    state_messages3.bindInteger(11, message3.mentioned ? 1 : 0);
                                                    state_messages3.step();
                                                    if (message3.random_id != 0) {
                                                    }
                                                } catch (Exception e40) {
                                                    e = e40;
                                                    state_download4 = state_download;
                                                    state_randoms6 = state_randoms;
                                                    data5 = data7;
                                                    state_media2 = state_media3;
                                                    state_dialogs_replace3 = state_dialogs_replace2;
                                                    cursor5 = cursor2;
                                                    state_webpage4 = state_webpage;
                                                    state_messages6 = state_messages3;
                                                    state_dialogs_update3 = state_dialogs_update;
                                                } catch (Throwable th37) {
                                                    th = th37;
                                                    state_download4 = state_download;
                                                    state_randoms6 = state_randoms;
                                                    data5 = data7;
                                                    state_media2 = state_media3;
                                                    state_dialogs_replace3 = state_dialogs_replace2;
                                                    cursor5 = cursor2;
                                                    state_webpage4 = state_webpage;
                                                    state_messages6 = state_messages3;
                                                    state_dialogs_update3 = state_dialogs_update;
                                                }
                                                if (message3.out) {
                                                    messagesIdsMap = messagesIdsMap4;
                                                    cursor5 = messagesStorage2.database.queryFinalized("SELECT mid FROM messages WHERE mid = " + messageId4, new Object[0]);
                                                    try {
                                                        updateDialog = !cursor5.next();
                                                        cursor5.dispose();
                                                        cursor5 = null;
                                                    } catch (Exception e41) {
                                                        e = e41;
                                                        data5 = data7;
                                                        state_media2 = state_media3;
                                                        state_dialogs_update3 = state_dialogs_update;
                                                        state_dialogs_replace3 = state_dialogs_replace2;
                                                        state_download4 = state_download;
                                                        state_webpage4 = state_webpage;
                                                        state_randoms6 = state_randoms;
                                                        state_messages6 = state_messages;
                                                        FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                        if (data5 != null) {
                                                        }
                                                        if (cursor5 != null) {
                                                        }
                                                        if (state_messages6 != null) {
                                                        }
                                                        if (state_media2 != null) {
                                                        }
                                                        if (state_randoms6 != null) {
                                                        }
                                                        if (state_download4 != null) {
                                                        }
                                                        if (state_webpage4 != null) {
                                                        }
                                                        if (state_polls3 != null) {
                                                        }
                                                        if (state_dialogs_replace3 != null) {
                                                        }
                                                        if (state_dialogs_update3 == null) {
                                                        }
                                                    } catch (Throwable th38) {
                                                        th = th38;
                                                        data5 = data7;
                                                        state_media2 = state_media3;
                                                        state_dialogs_update3 = state_dialogs_update;
                                                        state_dialogs_replace3 = state_dialogs_replace2;
                                                        state_download4 = state_download;
                                                        state_webpage4 = state_webpage;
                                                        state_randoms6 = state_randoms;
                                                        state_messages6 = state_messages;
                                                        if (data5 != null) {
                                                        }
                                                        if (cursor5 != null) {
                                                        }
                                                        if (state_messages6 != null) {
                                                        }
                                                        if (state_media2 != null) {
                                                        }
                                                        if (state_randoms6 != null) {
                                                        }
                                                        if (state_download4 != null) {
                                                        }
                                                        if (state_webpage4 != null) {
                                                        }
                                                        if (state_polls3 != null) {
                                                        }
                                                        if (state_dialogs_replace3 != null) {
                                                        }
                                                        if (state_dialogs_update3 != null) {
                                                        }
                                                        throw th;
                                                    }
                                                } else {
                                                    messagesIdsMap = messagesIdsMap4;
                                                    cursor5 = cursor10;
                                                }
                                                if (updateDialog) {
                                                }
                                                state_messages3 = state_messages;
                                            } catch (Exception e42) {
                                                e = e42;
                                                state_download4 = state_download;
                                                state_randoms6 = state_randoms;
                                                data5 = data7;
                                                state_media2 = state_media3;
                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                cursor5 = cursor10;
                                                state_webpage4 = state_webpage;
                                                state_messages6 = state_messages;
                                                state_dialogs_update3 = state_dialogs_update;
                                            } catch (Throwable th39) {
                                                th = th39;
                                                state_download4 = state_download;
                                                state_randoms6 = state_randoms;
                                                data5 = data7;
                                                state_media2 = state_media3;
                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                cursor5 = cursor10;
                                                state_webpage4 = state_webpage;
                                                state_messages6 = state_messages;
                                                state_dialogs_update3 = state_dialogs_update;
                                            }
                                        } catch (Exception e43) {
                                            e = e43;
                                            state_download4 = state_download;
                                            state_randoms6 = state_randoms;
                                            data5 = data7;
                                            state_media2 = state_media3;
                                            state_dialogs_replace3 = state_dialogs_replace2;
                                            state_webpage4 = state_webpage;
                                            state_messages6 = state_messages;
                                            state_dialogs_update3 = state_dialogs_update;
                                        } catch (Throwable th40) {
                                            th = th40;
                                            state_download4 = state_download;
                                            state_randoms6 = state_randoms;
                                            data5 = data7;
                                            state_media2 = state_media3;
                                            state_dialogs_replace3 = state_dialogs_replace2;
                                            state_webpage4 = state_webpage;
                                            state_messages6 = state_messages;
                                            state_dialogs_update3 = state_dialogs_update;
                                        }
                                    } catch (Exception e44) {
                                        e = e44;
                                        state_download4 = state_download;
                                        state_randoms6 = state_randoms;
                                        state_media2 = state_media3;
                                        state_dialogs_replace3 = state_dialogs_replace2;
                                        data5 = data6;
                                        state_webpage4 = state_webpage;
                                        state_messages6 = state_messages;
                                        state_dialogs_update3 = state_dialogs_update;
                                    } catch (Throwable th41) {
                                        th = th41;
                                        state_download4 = state_download;
                                        state_randoms6 = state_randoms;
                                        state_media2 = state_media3;
                                        state_dialogs_replace3 = state_dialogs_replace2;
                                        data5 = data6;
                                        state_webpage4 = state_webpage;
                                        state_messages6 = state_messages;
                                        state_dialogs_update3 = state_dialogs_update;
                                    }
                                }
                                SQLiteCursor cursor11 = cursor5;
                                LongSparseArray<Integer> mentionCounts8 = mentionCounts;
                                SQLitePreparedStatement state_download5 = state_download;
                                SQLitePreparedStatement state_webpage5 = state_webpage;
                                LongSparseArray<TLRPC.Message> messagesMap6 = messagesMap5;
                                SQLitePreparedStatement state_messages7 = state_messages;
                                SparseArray<LongSparseArray<Integer>> mediaCounts7 = mediaCounts;
                                SQLitePreparedStatement state_randoms7 = state_randoms;
                                LongSparseArray<Integer> messagesCounts9 = messagesCounts;
                                try {
                                    state_messages7.dispose();
                                    SQLitePreparedStatement state_messages8 = null;
                                    if (state_media3 != null) {
                                        try {
                                            state_media3.dispose();
                                            state_media2 = null;
                                        } catch (Exception e45) {
                                            state_download4 = state_download5;
                                            state_randoms6 = state_randoms7;
                                            state_media2 = state_media3;
                                            state_dialogs_update3 = state_dialogs_update;
                                            state_dialogs_replace3 = state_dialogs_replace2;
                                            data5 = data6;
                                            cursor5 = cursor11;
                                            state_webpage4 = state_webpage5;
                                            state_messages6 = null;
                                            e = e45;
                                            FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                            if (data5 != null) {
                                            }
                                            if (cursor5 != null) {
                                            }
                                            if (state_messages6 != null) {
                                            }
                                            if (state_media2 != null) {
                                            }
                                            if (state_randoms6 != null) {
                                            }
                                            if (state_download4 != null) {
                                            }
                                            if (state_webpage4 != null) {
                                            }
                                            if (state_polls3 != null) {
                                            }
                                            if (state_dialogs_replace3 != null) {
                                            }
                                            if (state_dialogs_update3 == null) {
                                            }
                                        } catch (Throwable th42) {
                                            state_download4 = state_download5;
                                            state_randoms6 = state_randoms7;
                                            state_media2 = state_media3;
                                            state_dialogs_update3 = state_dialogs_update;
                                            state_dialogs_replace3 = state_dialogs_replace2;
                                            data5 = data6;
                                            cursor5 = cursor11;
                                            state_webpage4 = state_webpage5;
                                            state_messages6 = null;
                                            th = th42;
                                            if (data5 != null) {
                                            }
                                            if (cursor5 != null) {
                                            }
                                            if (state_messages6 != null) {
                                            }
                                            if (state_media2 != null) {
                                            }
                                            if (state_randoms6 != null) {
                                            }
                                            if (state_download4 != null) {
                                            }
                                            if (state_webpage4 != null) {
                                            }
                                            if (state_polls3 != null) {
                                            }
                                            if (state_dialogs_replace3 != null) {
                                            }
                                            if (state_dialogs_update3 != null) {
                                            }
                                            throw th;
                                        }
                                    } else {
                                        state_media2 = state_media3;
                                    }
                                    if (state_polls3 != null) {
                                        try {
                                            state_polls3.dispose();
                                            state_polls3 = null;
                                        } catch (Exception e46) {
                                            state_download4 = state_download5;
                                            state_randoms6 = state_randoms7;
                                            state_dialogs_update3 = state_dialogs_update;
                                            state_dialogs_replace3 = state_dialogs_replace2;
                                            data5 = data6;
                                            cursor5 = cursor11;
                                            state_webpage4 = state_webpage5;
                                            state_messages6 = null;
                                            e = e46;
                                            FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                            if (data5 != null) {
                                            }
                                            if (cursor5 != null) {
                                            }
                                            if (state_messages6 != null) {
                                            }
                                            if (state_media2 != null) {
                                            }
                                            if (state_randoms6 != null) {
                                            }
                                            if (state_download4 != null) {
                                            }
                                            if (state_webpage4 != null) {
                                            }
                                            if (state_polls3 != null) {
                                            }
                                            if (state_dialogs_replace3 != null) {
                                            }
                                            if (state_dialogs_update3 == null) {
                                            }
                                        } catch (Throwable th43) {
                                            state_download4 = state_download5;
                                            state_randoms6 = state_randoms7;
                                            state_dialogs_update3 = state_dialogs_update;
                                            state_dialogs_replace3 = state_dialogs_replace2;
                                            data5 = data6;
                                            cursor5 = cursor11;
                                            state_webpage4 = state_webpage5;
                                            state_messages6 = null;
                                            th = th43;
                                            if (data5 != null) {
                                            }
                                            if (cursor5 != null) {
                                            }
                                            if (state_messages6 != null) {
                                            }
                                            if (state_media2 != null) {
                                            }
                                            if (state_randoms6 != null) {
                                            }
                                            if (state_download4 != null) {
                                            }
                                            if (state_webpage4 != null) {
                                            }
                                            if (state_polls3 != null) {
                                            }
                                            if (state_dialogs_replace3 != null) {
                                            }
                                            if (state_dialogs_update3 != null) {
                                            }
                                            throw th;
                                        }
                                    }
                                    try {
                                        state_randoms7.dispose();
                                        SQLitePreparedStatement state_randoms8 = null;
                                        try {
                                            state_download5.dispose();
                                            state_download4 = null;
                                            try {
                                                state_webpage5.dispose();
                                                state_webpage4 = null;
                                                try {
                                                    state_dialogs_replace3 = messagesStorage2.database.executeFast("REPLACE INTO dialogs VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
                                                    try {
                                                        state_dialogs_update3 = messagesStorage2.database.executeFast("UPDATE dialogs SET date = ?, unread_count = ?, last_mid = ?, unread_count_i = ? WHERE did = ?");
                                                        int a11 = 0;
                                                        while (a11 < messagesMap6.size()) {
                                                            try {
                                                                try {
                                                                    long key2 = messagesMap6.keyAt(a11);
                                                                    if (key2 == 0) {
                                                                        state_messages2 = state_messages8;
                                                                        state_randoms2 = state_randoms8;
                                                                        messagesMap = messagesMap6;
                                                                        downloadMediaMask = downloadMediaMask2;
                                                                        state_media = state_media2;
                                                                        state_download2 = state_download4;
                                                                        state_webpage2 = state_webpage4;
                                                                        state_polls2 = state_polls3;
                                                                        messagesCounts2 = messagesCounts9;
                                                                        mentionCounts2 = mentionCounts8;
                                                                    } else {
                                                                        TLRPC.Message message4 = messagesMap6.valueAt(a11);
                                                                        if (message4 != null) {
                                                                            state_randoms2 = state_randoms8;
                                                                            try {
                                                                                channelId = message4.to_id.channel_id;
                                                                            } catch (Exception e47) {
                                                                                state_messages6 = state_messages8;
                                                                                data5 = data6;
                                                                                state_randoms6 = state_randoms2;
                                                                                cursor5 = cursor11;
                                                                                e = e47;
                                                                                FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                                if (data5 != null) {
                                                                                }
                                                                                if (cursor5 != null) {
                                                                                }
                                                                                if (state_messages6 != null) {
                                                                                }
                                                                                if (state_media2 != null) {
                                                                                }
                                                                                if (state_randoms6 != null) {
                                                                                }
                                                                                if (state_download4 != null) {
                                                                                }
                                                                                if (state_webpage4 != null) {
                                                                                }
                                                                                if (state_polls3 != null) {
                                                                                }
                                                                                if (state_dialogs_replace3 != null) {
                                                                                }
                                                                                if (state_dialogs_update3 == null) {
                                                                                }
                                                                            } catch (Throwable th44) {
                                                                                state_messages6 = state_messages8;
                                                                                data5 = data6;
                                                                                state_randoms6 = state_randoms2;
                                                                                cursor5 = cursor11;
                                                                                th = th44;
                                                                                if (data5 != null) {
                                                                                }
                                                                                if (cursor5 != null) {
                                                                                }
                                                                                if (state_messages6 != null) {
                                                                                }
                                                                                if (state_media2 != null) {
                                                                                }
                                                                                if (state_randoms6 != null) {
                                                                                }
                                                                                if (state_download4 != null) {
                                                                                }
                                                                                if (state_webpage4 != null) {
                                                                                }
                                                                                if (state_polls3 != null) {
                                                                                }
                                                                                if (state_dialogs_replace3 != null) {
                                                                                }
                                                                                if (state_dialogs_update3 != null) {
                                                                                }
                                                                                throw th;
                                                                            }
                                                                        } else {
                                                                            state_randoms2 = state_randoms8;
                                                                            channelId = 0;
                                                                        }
                                                                        messagesMap = messagesMap6;
                                                                        try {
                                                                            state_polls2 = state_polls3;
                                                                            try {
                                                                                state_webpage2 = state_webpage4;
                                                                                try {
                                                                                    state_download2 = state_download4;
                                                                                    try {
                                                                                        cursor5 = messagesStorage2.database.queryFinalized("SELECT date, unread_count, last_mid, unread_count_i FROM dialogs WHERE did = " + key2, new Object[0]);
                                                                                        int old_unread_count = 0;
                                                                                        int old_mentions_count = 0;
                                                                                        try {
                                                                                            boolean exists = cursor5.next();
                                                                                            if (exists) {
                                                                                                try {
                                                                                                    int dialog_date2 = cursor5.intValue(0);
                                                                                                    int last_mid2 = cursor5.intValue(1);
                                                                                                    old_unread_count = Math.max(0, last_mid2);
                                                                                                    int last_mid3 = cursor5.intValue(2);
                                                                                                    int last_mid4 = cursor5.intValue(3);
                                                                                                    old_mentions_count = Math.max(0, last_mid4);
                                                                                                    dialog_date = dialog_date2;
                                                                                                    last_mid = last_mid3;
                                                                                                } catch (Exception e48) {
                                                                                                    state_messages6 = state_messages8;
                                                                                                    state_polls3 = state_polls2;
                                                                                                    data5 = data6;
                                                                                                    state_randoms6 = state_randoms2;
                                                                                                    state_webpage4 = state_webpage2;
                                                                                                    state_download4 = state_download2;
                                                                                                    e = e48;
                                                                                                    FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                                                    if (data5 != null) {
                                                                                                    }
                                                                                                    if (cursor5 != null) {
                                                                                                    }
                                                                                                    if (state_messages6 != null) {
                                                                                                    }
                                                                                                    if (state_media2 != null) {
                                                                                                    }
                                                                                                    if (state_randoms6 != null) {
                                                                                                    }
                                                                                                    if (state_download4 != null) {
                                                                                                    }
                                                                                                    if (state_webpage4 != null) {
                                                                                                    }
                                                                                                    if (state_polls3 != null) {
                                                                                                    }
                                                                                                    if (state_dialogs_replace3 != null) {
                                                                                                    }
                                                                                                    if (state_dialogs_update3 == null) {
                                                                                                    }
                                                                                                } catch (Throwable th45) {
                                                                                                    state_messages6 = state_messages8;
                                                                                                    state_polls3 = state_polls2;
                                                                                                    data5 = data6;
                                                                                                    state_randoms6 = state_randoms2;
                                                                                                    state_webpage4 = state_webpage2;
                                                                                                    state_download4 = state_download2;
                                                                                                    th = th45;
                                                                                                    if (data5 != null) {
                                                                                                    }
                                                                                                    if (cursor5 != null) {
                                                                                                    }
                                                                                                    if (state_messages6 != null) {
                                                                                                    }
                                                                                                    if (state_media2 != null) {
                                                                                                    }
                                                                                                    if (state_randoms6 != null) {
                                                                                                    }
                                                                                                    if (state_download4 != null) {
                                                                                                    }
                                                                                                    if (state_webpage4 != null) {
                                                                                                    }
                                                                                                    if (state_polls3 != null) {
                                                                                                    }
                                                                                                    if (state_dialogs_replace3 != null) {
                                                                                                    }
                                                                                                    if (state_dialogs_update3 != null) {
                                                                                                    }
                                                                                                    throw th;
                                                                                                }
                                                                                            } else {
                                                                                                if (channelId != 0) {
                                                                                                    getMessagesController().checkChannelInviter(channelId);
                                                                                                }
                                                                                                dialog_date = 0;
                                                                                                last_mid = 0;
                                                                                            }
                                                                                            cursor5.dispose();
                                                                                            LongSparseArray<Integer> mentionCounts9 = mentionCounts8;
                                                                                            try {
                                                                                                Integer mentions_count = mentionCounts9.get(key2);
                                                                                                state_media = state_media2;
                                                                                                messagesCounts2 = messagesCounts9;
                                                                                                try {
                                                                                                    Integer unread_count = messagesCounts2.get(key2);
                                                                                                    if (unread_count == null) {
                                                                                                        try {
                                                                                                            unread_count = 0;
                                                                                                            state_messages2 = state_messages8;
                                                                                                        } catch (Exception e49) {
                                                                                                            state_messages6 = state_messages8;
                                                                                                            state_polls3 = state_polls2;
                                                                                                            cursor5 = null;
                                                                                                            data5 = data6;
                                                                                                            state_randoms6 = state_randoms2;
                                                                                                            state_webpage4 = state_webpage2;
                                                                                                            state_download4 = state_download2;
                                                                                                            state_media2 = state_media;
                                                                                                            e = e49;
                                                                                                            FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                                                            if (data5 != null) {
                                                                                                            }
                                                                                                            if (cursor5 != null) {
                                                                                                            }
                                                                                                            if (state_messages6 != null) {
                                                                                                            }
                                                                                                            if (state_media2 != null) {
                                                                                                            }
                                                                                                            if (state_randoms6 != null) {
                                                                                                            }
                                                                                                            if (state_download4 != null) {
                                                                                                            }
                                                                                                            if (state_webpage4 != null) {
                                                                                                            }
                                                                                                            if (state_polls3 != null) {
                                                                                                            }
                                                                                                            if (state_dialogs_replace3 != null) {
                                                                                                            }
                                                                                                            if (state_dialogs_update3 == null) {
                                                                                                            }
                                                                                                        } catch (Throwable th46) {
                                                                                                            state_messages6 = state_messages8;
                                                                                                            state_polls3 = state_polls2;
                                                                                                            cursor5 = null;
                                                                                                            data5 = data6;
                                                                                                            state_randoms6 = state_randoms2;
                                                                                                            state_webpage4 = state_webpage2;
                                                                                                            state_download4 = state_download2;
                                                                                                            state_media2 = state_media;
                                                                                                            th = th46;
                                                                                                            if (data5 != null) {
                                                                                                            }
                                                                                                            if (cursor5 != null) {
                                                                                                            }
                                                                                                            if (state_messages6 != null) {
                                                                                                            }
                                                                                                            if (state_media2 != null) {
                                                                                                            }
                                                                                                            if (state_randoms6 != null) {
                                                                                                            }
                                                                                                            if (state_download4 != null) {
                                                                                                            }
                                                                                                            if (state_webpage4 != null) {
                                                                                                            }
                                                                                                            if (state_polls3 != null) {
                                                                                                            }
                                                                                                            if (state_dialogs_replace3 != null) {
                                                                                                            }
                                                                                                            if (state_dialogs_update3 != null) {
                                                                                                            }
                                                                                                            throw th;
                                                                                                        }
                                                                                                    } else {
                                                                                                        state_messages2 = state_messages8;
                                                                                                        messagesCounts2.put(key2, Integer.valueOf(unread_count.intValue() + old_unread_count));
                                                                                                    }
                                                                                                    if (mentions_count == null) {
                                                                                                        try {
                                                                                                            mentions_count = 0;
                                                                                                        } catch (Exception e50) {
                                                                                                            e = e50;
                                                                                                            state_polls3 = state_polls2;
                                                                                                            cursor5 = null;
                                                                                                            data5 = data6;
                                                                                                            state_randoms6 = state_randoms2;
                                                                                                            state_webpage4 = state_webpage2;
                                                                                                            state_download4 = state_download2;
                                                                                                            state_media2 = state_media;
                                                                                                            state_messages6 = state_messages2;
                                                                                                            FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                                                            if (data5 != null) {
                                                                                                            }
                                                                                                            if (cursor5 != null) {
                                                                                                            }
                                                                                                            if (state_messages6 != null) {
                                                                                                            }
                                                                                                            if (state_media2 != null) {
                                                                                                            }
                                                                                                            if (state_randoms6 != null) {
                                                                                                            }
                                                                                                            if (state_download4 != null) {
                                                                                                            }
                                                                                                            if (state_webpage4 != null) {
                                                                                                            }
                                                                                                            if (state_polls3 != null) {
                                                                                                            }
                                                                                                            if (state_dialogs_replace3 != null) {
                                                                                                            }
                                                                                                            if (state_dialogs_update3 == null) {
                                                                                                            }
                                                                                                        } catch (Throwable th47) {
                                                                                                            th = th47;
                                                                                                            state_polls3 = state_polls2;
                                                                                                            cursor5 = null;
                                                                                                            data5 = data6;
                                                                                                            state_randoms6 = state_randoms2;
                                                                                                            state_webpage4 = state_webpage2;
                                                                                                            state_download4 = state_download2;
                                                                                                            state_media2 = state_media;
                                                                                                            state_messages6 = state_messages2;
                                                                                                            if (data5 != null) {
                                                                                                            }
                                                                                                            if (cursor5 != null) {
                                                                                                            }
                                                                                                            if (state_messages6 != null) {
                                                                                                            }
                                                                                                            if (state_media2 != null) {
                                                                                                            }
                                                                                                            if (state_randoms6 != null) {
                                                                                                            }
                                                                                                            if (state_download4 != null) {
                                                                                                            }
                                                                                                            if (state_webpage4 != null) {
                                                                                                            }
                                                                                                            if (state_polls3 != null) {
                                                                                                            }
                                                                                                            if (state_dialogs_replace3 != null) {
                                                                                                            }
                                                                                                            if (state_dialogs_update3 != null) {
                                                                                                            }
                                                                                                            throw th;
                                                                                                        }
                                                                                                    } else {
                                                                                                        mentionCounts9.put(key2, Integer.valueOf(mentions_count.intValue() + old_mentions_count));
                                                                                                    }
                                                                                                    if (message4 != null) {
                                                                                                        mentionCounts2 = mentionCounts9;
                                                                                                        downloadMediaMask = downloadMediaMask2;
                                                                                                        messageId = message4.id;
                                                                                                    } else {
                                                                                                        mentionCounts2 = mentionCounts9;
                                                                                                        downloadMediaMask = downloadMediaMask2;
                                                                                                        messageId = last_mid;
                                                                                                    }
                                                                                                    if (message4 != null && message4.local_id != 0) {
                                                                                                        messageId = message4.local_id;
                                                                                                    }
                                                                                                    if (channelId != 0) {
                                                                                                        messageId |= channelId << 32;
                                                                                                    }
                                                                                                    if (exists) {
                                                                                                        try {
                                                                                                            state_dialogs_update3.requery();
                                                                                                            state_dialogs_update3.bindInteger(1, (message4 == null || (doNotUpdateDialogDate && dialog_date != 0)) ? dialog_date : message4.date);
                                                                                                            state_dialogs_update3.bindInteger(2, unread_count.intValue() + old_unread_count);
                                                                                                            state_dialogs_update3.bindLong(3, messageId);
                                                                                                            state_dialogs_update3.bindInteger(4, old_mentions_count + mentions_count.intValue());
                                                                                                            state_dialogs_update3.bindLong(5, key2);
                                                                                                            state_dialogs_update3.step();
                                                                                                        } catch (Exception e51) {
                                                                                                            e = e51;
                                                                                                            state_polls3 = state_polls2;
                                                                                                            cursor5 = null;
                                                                                                            data5 = data6;
                                                                                                            state_randoms6 = state_randoms2;
                                                                                                            state_webpage4 = state_webpage2;
                                                                                                            state_download4 = state_download2;
                                                                                                            state_media2 = state_media;
                                                                                                            state_messages6 = state_messages2;
                                                                                                            FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                                                            if (data5 != null) {
                                                                                                            }
                                                                                                            if (cursor5 != null) {
                                                                                                            }
                                                                                                            if (state_messages6 != null) {
                                                                                                            }
                                                                                                            if (state_media2 != null) {
                                                                                                            }
                                                                                                            if (state_randoms6 != null) {
                                                                                                            }
                                                                                                            if (state_download4 != null) {
                                                                                                            }
                                                                                                            if (state_webpage4 != null) {
                                                                                                            }
                                                                                                            if (state_polls3 != null) {
                                                                                                            }
                                                                                                            if (state_dialogs_replace3 != null) {
                                                                                                            }
                                                                                                            if (state_dialogs_update3 == null) {
                                                                                                            }
                                                                                                        } catch (Throwable th48) {
                                                                                                            th = th48;
                                                                                                            state_polls3 = state_polls2;
                                                                                                            cursor5 = null;
                                                                                                            data5 = data6;
                                                                                                            state_randoms6 = state_randoms2;
                                                                                                            state_webpage4 = state_webpage2;
                                                                                                            state_download4 = state_download2;
                                                                                                            state_media2 = state_media;
                                                                                                            state_messages6 = state_messages2;
                                                                                                            if (data5 != null) {
                                                                                                            }
                                                                                                            if (cursor5 != null) {
                                                                                                            }
                                                                                                            if (state_messages6 != null) {
                                                                                                            }
                                                                                                            if (state_media2 != null) {
                                                                                                            }
                                                                                                            if (state_randoms6 != null) {
                                                                                                            }
                                                                                                            if (state_download4 != null) {
                                                                                                            }
                                                                                                            if (state_webpage4 != null) {
                                                                                                            }
                                                                                                            if (state_polls3 != null) {
                                                                                                            }
                                                                                                            if (state_dialogs_replace3 != null) {
                                                                                                            }
                                                                                                            if (state_dialogs_update3 != null) {
                                                                                                            }
                                                                                                            throw th;
                                                                                                        }
                                                                                                    } else {
                                                                                                        state_dialogs_replace3.requery();
                                                                                                        state_dialogs_replace3.bindLong(1, key2);
                                                                                                        state_dialogs_replace3.bindInteger(2, (message4 == null || (doNotUpdateDialogDate && dialog_date != 0)) ? dialog_date : message4.date);
                                                                                                        state_dialogs_replace3.bindInteger(3, unread_count.intValue() + old_unread_count);
                                                                                                        state_dialogs_replace3.bindLong(4, messageId);
                                                                                                        state_dialogs_replace3.bindInteger(5, 0);
                                                                                                        state_dialogs_replace3.bindInteger(6, 0);
                                                                                                        state_dialogs_replace3.bindLong(7, 0L);
                                                                                                        state_dialogs_replace3.bindInteger(8, old_mentions_count + mentions_count.intValue());
                                                                                                        state_dialogs_replace3.bindInteger(9, channelId != 0 ? 1 : 0);
                                                                                                        state_dialogs_replace3.bindInteger(10, 0);
                                                                                                        state_dialogs_replace3.bindInteger(11, 0);
                                                                                                        state_dialogs_replace3.bindInteger(12, 0);
                                                                                                        state_dialogs_replace3.bindInteger(13, 0);
                                                                                                        state_dialogs_replace3.bindNull(14);
                                                                                                        state_dialogs_replace3.step();
                                                                                                    }
                                                                                                    cursor11 = null;
                                                                                                } catch (Exception e52) {
                                                                                                    SQLitePreparedStatement sQLitePreparedStatement = state_messages8;
                                                                                                    e = e52;
                                                                                                    state_polls3 = state_polls2;
                                                                                                    cursor5 = null;
                                                                                                    data5 = data6;
                                                                                                    state_randoms6 = state_randoms2;
                                                                                                    state_webpage4 = state_webpage2;
                                                                                                    state_download4 = state_download2;
                                                                                                    state_media2 = state_media;
                                                                                                    state_messages6 = sQLitePreparedStatement;
                                                                                                } catch (Throwable th49) {
                                                                                                    SQLitePreparedStatement sQLitePreparedStatement2 = state_messages8;
                                                                                                    th = th49;
                                                                                                    state_polls3 = state_polls2;
                                                                                                    cursor5 = null;
                                                                                                    data5 = data6;
                                                                                                    state_randoms6 = state_randoms2;
                                                                                                    state_webpage4 = state_webpage2;
                                                                                                    state_download4 = state_download2;
                                                                                                    state_media2 = state_media;
                                                                                                    state_messages6 = sQLitePreparedStatement2;
                                                                                                }
                                                                                            } catch (Exception e53) {
                                                                                                SQLitePreparedStatement sQLitePreparedStatement3 = state_messages8;
                                                                                                e = e53;
                                                                                                state_polls3 = state_polls2;
                                                                                                cursor5 = null;
                                                                                                data5 = data6;
                                                                                                state_randoms6 = state_randoms2;
                                                                                                state_webpage4 = state_webpage2;
                                                                                                state_download4 = state_download2;
                                                                                                state_messages6 = sQLitePreparedStatement3;
                                                                                            } catch (Throwable th50) {
                                                                                                SQLitePreparedStatement sQLitePreparedStatement4 = state_messages8;
                                                                                                th = th50;
                                                                                                state_polls3 = state_polls2;
                                                                                                cursor5 = null;
                                                                                                data5 = data6;
                                                                                                state_randoms6 = state_randoms2;
                                                                                                state_webpage4 = state_webpage2;
                                                                                                state_download4 = state_download2;
                                                                                                state_messages6 = sQLitePreparedStatement4;
                                                                                            }
                                                                                        } catch (Exception e54) {
                                                                                            SQLitePreparedStatement sQLitePreparedStatement5 = state_messages8;
                                                                                            e = e54;
                                                                                            state_polls3 = state_polls2;
                                                                                            data5 = data6;
                                                                                            state_randoms6 = state_randoms2;
                                                                                            state_webpage4 = state_webpage2;
                                                                                            state_download4 = state_download2;
                                                                                            state_messages6 = sQLitePreparedStatement5;
                                                                                        } catch (Throwable th51) {
                                                                                            SQLitePreparedStatement sQLitePreparedStatement6 = state_messages8;
                                                                                            th = th51;
                                                                                            state_polls3 = state_polls2;
                                                                                            data5 = data6;
                                                                                            state_randoms6 = state_randoms2;
                                                                                            state_webpage4 = state_webpage2;
                                                                                            state_download4 = state_download2;
                                                                                            state_messages6 = sQLitePreparedStatement6;
                                                                                        }
                                                                                    } catch (Exception e55) {
                                                                                        SQLitePreparedStatement sQLitePreparedStatement7 = state_messages8;
                                                                                        e = e55;
                                                                                        state_polls3 = state_polls2;
                                                                                        data5 = data6;
                                                                                        state_randoms6 = state_randoms2;
                                                                                        state_webpage4 = state_webpage2;
                                                                                        cursor5 = cursor11;
                                                                                        state_download4 = state_download2;
                                                                                        state_messages6 = sQLitePreparedStatement7;
                                                                                    } catch (Throwable th52) {
                                                                                        SQLitePreparedStatement sQLitePreparedStatement8 = state_messages8;
                                                                                        th = th52;
                                                                                        state_polls3 = state_polls2;
                                                                                        data5 = data6;
                                                                                        state_randoms6 = state_randoms2;
                                                                                        state_webpage4 = state_webpage2;
                                                                                        cursor5 = cursor11;
                                                                                        state_download4 = state_download2;
                                                                                        state_messages6 = sQLitePreparedStatement8;
                                                                                    }
                                                                                } catch (Exception e56) {
                                                                                    SQLitePreparedStatement sQLitePreparedStatement9 = state_messages8;
                                                                                    e = e56;
                                                                                    state_polls3 = state_polls2;
                                                                                    data5 = data6;
                                                                                    state_randoms6 = state_randoms2;
                                                                                    state_webpage4 = state_webpage2;
                                                                                    cursor5 = cursor11;
                                                                                    state_messages6 = sQLitePreparedStatement9;
                                                                                } catch (Throwable th53) {
                                                                                    SQLitePreparedStatement sQLitePreparedStatement10 = state_messages8;
                                                                                    th = th53;
                                                                                    state_polls3 = state_polls2;
                                                                                    data5 = data6;
                                                                                    state_randoms6 = state_randoms2;
                                                                                    state_webpage4 = state_webpage2;
                                                                                    cursor5 = cursor11;
                                                                                    state_messages6 = sQLitePreparedStatement10;
                                                                                }
                                                                            } catch (Exception e57) {
                                                                                SQLitePreparedStatement sQLitePreparedStatement11 = state_messages8;
                                                                                e = e57;
                                                                                state_polls3 = state_polls2;
                                                                                data5 = data6;
                                                                                state_randoms6 = state_randoms2;
                                                                                cursor5 = cursor11;
                                                                                state_messages6 = sQLitePreparedStatement11;
                                                                            } catch (Throwable th54) {
                                                                                SQLitePreparedStatement sQLitePreparedStatement12 = state_messages8;
                                                                                th = th54;
                                                                                state_polls3 = state_polls2;
                                                                                data5 = data6;
                                                                                state_randoms6 = state_randoms2;
                                                                                cursor5 = cursor11;
                                                                                state_messages6 = sQLitePreparedStatement12;
                                                                            }
                                                                        } catch (Exception e58) {
                                                                            SQLitePreparedStatement sQLitePreparedStatement13 = state_messages8;
                                                                            e = e58;
                                                                            data5 = data6;
                                                                            state_randoms6 = state_randoms2;
                                                                            cursor5 = cursor11;
                                                                            state_messages6 = sQLitePreparedStatement13;
                                                                        } catch (Throwable th55) {
                                                                            SQLitePreparedStatement sQLitePreparedStatement14 = state_messages8;
                                                                            th = th55;
                                                                            data5 = data6;
                                                                            state_randoms6 = state_randoms2;
                                                                            cursor5 = cursor11;
                                                                            state_messages6 = sQLitePreparedStatement14;
                                                                        }
                                                                    }
                                                                    a11++;
                                                                    messagesStorage2 = this;
                                                                    messagesCounts9 = messagesCounts2;
                                                                    state_polls3 = state_polls2;
                                                                    state_randoms8 = state_randoms2;
                                                                    state_webpage4 = state_webpage2;
                                                                    messagesMap6 = messagesMap;
                                                                    state_download4 = state_download2;
                                                                    state_media2 = state_media;
                                                                    downloadMediaMask2 = downloadMediaMask;
                                                                    state_messages8 = state_messages2;
                                                                    mentionCounts8 = mentionCounts2;
                                                                } catch (Exception e59) {
                                                                    SQLitePreparedStatement sQLitePreparedStatement15 = state_messages8;
                                                                    e = e59;
                                                                    data5 = data6;
                                                                    state_randoms6 = state_randoms8;
                                                                    cursor5 = cursor11;
                                                                    state_messages6 = sQLitePreparedStatement15;
                                                                } catch (Throwable th56) {
                                                                    SQLitePreparedStatement sQLitePreparedStatement16 = state_messages8;
                                                                    th = th56;
                                                                    data5 = data6;
                                                                    state_randoms6 = state_randoms8;
                                                                    cursor5 = cursor11;
                                                                    state_messages6 = sQLitePreparedStatement16;
                                                                }
                                                            } catch (Exception e60) {
                                                                SQLitePreparedStatement sQLitePreparedStatement17 = state_messages8;
                                                                e = e60;
                                                                data5 = data6;
                                                                state_randoms6 = state_randoms8;
                                                                cursor5 = cursor11;
                                                                state_messages6 = sQLitePreparedStatement17;
                                                            } catch (Throwable th57) {
                                                                SQLitePreparedStatement sQLitePreparedStatement18 = state_messages8;
                                                                th = th57;
                                                                data5 = data6;
                                                                state_randoms6 = state_randoms8;
                                                                cursor5 = cursor11;
                                                                state_messages6 = sQLitePreparedStatement18;
                                                            }
                                                        }
                                                        SQLitePreparedStatement state_messages9 = state_messages8;
                                                        SQLitePreparedStatement state_randoms9 = state_randoms8;
                                                        final int downloadMediaMask5 = downloadMediaMask2;
                                                        SQLitePreparedStatement state_media5 = state_media2;
                                                        SQLitePreparedStatement state_download6 = state_download4;
                                                        SQLitePreparedStatement state_webpage6 = state_webpage4;
                                                        SQLitePreparedStatement state_polls4 = state_polls3;
                                                        LongSparseArray<Integer> messagesCounts10 = messagesCounts9;
                                                        LongSparseArray<Integer> mentionCounts10 = mentionCounts8;
                                                        try {
                                                            state_dialogs_update3.dispose();
                                                            state_dialogs_update3 = null;
                                                            try {
                                                                state_dialogs_replace3.dispose();
                                                                state_dialogs_replace3 = null;
                                                                if (mediaCounts7 != null) {
                                                                    messagesStorage = this;
                                                                    try {
                                                                        state_randoms6 = messagesStorage.database.executeFast("REPLACE INTO media_counts_v2 VALUES(?, ?, ?, ?)");
                                                                        int a12 = 0;
                                                                        cursor5 = cursor11;
                                                                        while (a12 < mediaCounts7.size()) {
                                                                            try {
                                                                                SparseArray<LongSparseArray<Integer>> mediaCounts8 = mediaCounts7;
                                                                                int type5 = mediaCounts8.keyAt(a12);
                                                                                LongSparseArray<Integer> value3 = mediaCounts8.valueAt(a12);
                                                                                int b = 0;
                                                                                while (b < value3.size()) {
                                                                                    try {
                                                                                        long uid = value3.keyAt(b);
                                                                                        int i2 = (int) uid;
                                                                                        SQLiteCursor cursor12 = cursor5;
                                                                                        try {
                                                                                            mediaCounts2 = mediaCounts8;
                                                                                            state_dialogs_update2 = state_dialogs_update3;
                                                                                            try {
                                                                                                cursor = messagesStorage.database.queryFinalized(String.format(Locale.US, "SELECT count, old FROM media_counts_v2 WHERE uid = %d AND type = %d LIMIT 1", Long.valueOf(uid), Integer.valueOf(type5)), new Object[0]);
                                                                                            } catch (Exception e61) {
                                                                                                e = e61;
                                                                                                cursor5 = cursor12;
                                                                                                state_dialogs_update3 = state_dialogs_update2;
                                                                                                state_polls3 = state_polls4;
                                                                                                data5 = data6;
                                                                                                state_webpage4 = state_webpage6;
                                                                                                state_download4 = state_download6;
                                                                                                state_media2 = state_media5;
                                                                                                state_messages6 = state_messages9;
                                                                                                FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                                                if (data5 != null) {
                                                                                                }
                                                                                                if (cursor5 != null) {
                                                                                                }
                                                                                                if (state_messages6 != null) {
                                                                                                }
                                                                                                if (state_media2 != null) {
                                                                                                }
                                                                                                if (state_randoms6 != null) {
                                                                                                }
                                                                                                if (state_download4 != null) {
                                                                                                }
                                                                                                if (state_webpage4 != null) {
                                                                                                }
                                                                                                if (state_polls3 != null) {
                                                                                                }
                                                                                                if (state_dialogs_replace3 != null) {
                                                                                                }
                                                                                                if (state_dialogs_update3 == null) {
                                                                                                }
                                                                                            } catch (Throwable th58) {
                                                                                                th = th58;
                                                                                                cursor5 = cursor12;
                                                                                                state_dialogs_update3 = state_dialogs_update2;
                                                                                                state_polls3 = state_polls4;
                                                                                                data5 = data6;
                                                                                                state_webpage4 = state_webpage6;
                                                                                                state_download4 = state_download6;
                                                                                                state_media2 = state_media5;
                                                                                                state_messages6 = state_messages9;
                                                                                                if (data5 != null) {
                                                                                                }
                                                                                                if (cursor5 != null) {
                                                                                                }
                                                                                                if (state_messages6 != null) {
                                                                                                }
                                                                                                if (state_media2 != null) {
                                                                                                }
                                                                                                if (state_randoms6 != null) {
                                                                                                }
                                                                                                if (state_download4 != null) {
                                                                                                }
                                                                                                if (state_webpage4 != null) {
                                                                                                }
                                                                                                if (state_polls3 != null) {
                                                                                                }
                                                                                                if (state_dialogs_replace3 != null) {
                                                                                                }
                                                                                                if (state_dialogs_update3 != null) {
                                                                                                }
                                                                                                throw th;
                                                                                            }
                                                                                        } catch (Exception e62) {
                                                                                            e = e62;
                                                                                            cursor5 = cursor12;
                                                                                            state_polls3 = state_polls4;
                                                                                            data5 = data6;
                                                                                            state_webpage4 = state_webpage6;
                                                                                            state_download4 = state_download6;
                                                                                            state_media2 = state_media5;
                                                                                            state_messages6 = state_messages9;
                                                                                        } catch (Throwable th59) {
                                                                                            th = th59;
                                                                                            cursor5 = cursor12;
                                                                                            state_polls3 = state_polls4;
                                                                                            data5 = data6;
                                                                                            state_webpage4 = state_webpage6;
                                                                                            state_download4 = state_download6;
                                                                                            state_media2 = state_media5;
                                                                                            state_messages6 = state_messages9;
                                                                                        }
                                                                                        try {
                                                                                            if (cursor.next()) {
                                                                                                count = cursor.intValue(0);
                                                                                                int old2 = cursor.intValue(1);
                                                                                                old = old2;
                                                                                            } else {
                                                                                                old = 0;
                                                                                                count = -1;
                                                                                            }
                                                                                            cursor.dispose();
                                                                                            cursor5 = null;
                                                                                            if (count != -1) {
                                                                                                state_randoms6.requery();
                                                                                                state_randoms6.bindLong(1, uid);
                                                                                                state_randoms6.bindInteger(2, type5);
                                                                                                state_randoms6.bindInteger(3, Math.max(0, count + value3.valueAt(b).intValue()));
                                                                                                state_randoms6.bindInteger(4, old);
                                                                                                state_randoms6.step();
                                                                                            }
                                                                                            b++;
                                                                                            state_dialogs_update3 = state_dialogs_update2;
                                                                                            mediaCounts8 = mediaCounts2;
                                                                                        } catch (Exception e63) {
                                                                                            e = e63;
                                                                                            state_dialogs_update3 = state_dialogs_update2;
                                                                                            state_polls3 = state_polls4;
                                                                                            data5 = data6;
                                                                                            state_webpage4 = state_webpage6;
                                                                                            state_download4 = state_download6;
                                                                                            state_media2 = state_media5;
                                                                                            state_messages6 = state_messages9;
                                                                                            FileLog.e("putMessagesInternal ---> exception 4 ", e);
                                                                                            if (data5 != null) {
                                                                                            }
                                                                                            if (cursor5 != null) {
                                                                                            }
                                                                                            if (state_messages6 != null) {
                                                                                            }
                                                                                            if (state_media2 != null) {
                                                                                            }
                                                                                            if (state_randoms6 != null) {
                                                                                            }
                                                                                            if (state_download4 != null) {
                                                                                            }
                                                                                            if (state_webpage4 != null) {
                                                                                            }
                                                                                            if (state_polls3 != null) {
                                                                                            }
                                                                                            if (state_dialogs_replace3 != null) {
                                                                                            }
                                                                                            if (state_dialogs_update3 == null) {
                                                                                            }
                                                                                        } catch (Throwable th60) {
                                                                                            th = th60;
                                                                                            state_dialogs_update3 = state_dialogs_update2;
                                                                                            state_polls3 = state_polls4;
                                                                                            data5 = data6;
                                                                                            state_webpage4 = state_webpage6;
                                                                                            state_download4 = state_download6;
                                                                                            state_media2 = state_media5;
                                                                                            state_messages6 = state_messages9;
                                                                                            if (data5 != null) {
                                                                                            }
                                                                                            if (cursor5 != null) {
                                                                                            }
                                                                                            if (state_messages6 != null) {
                                                                                            }
                                                                                            if (state_media2 != null) {
                                                                                            }
                                                                                            if (state_randoms6 != null) {
                                                                                            }
                                                                                            if (state_download4 != null) {
                                                                                            }
                                                                                            if (state_webpage4 != null) {
                                                                                            }
                                                                                            if (state_polls3 != null) {
                                                                                            }
                                                                                            if (state_dialogs_replace3 != null) {
                                                                                            }
                                                                                            if (state_dialogs_update3 != null) {
                                                                                            }
                                                                                            throw th;
                                                                                        }
                                                                                    } catch (Exception e64) {
                                                                                        e = e64;
                                                                                        state_polls3 = state_polls4;
                                                                                        data5 = data6;
                                                                                        state_webpage4 = state_webpage6;
                                                                                        state_download4 = state_download6;
                                                                                        state_media2 = state_media5;
                                                                                        state_messages6 = state_messages9;
                                                                                    } catch (Throwable th61) {
                                                                                        th = th61;
                                                                                        state_polls3 = state_polls4;
                                                                                        data5 = data6;
                                                                                        state_webpage4 = state_webpage6;
                                                                                        state_download4 = state_download6;
                                                                                        state_media2 = state_media5;
                                                                                        state_messages6 = state_messages9;
                                                                                    }
                                                                                }
                                                                                mediaCounts7 = mediaCounts8;
                                                                                a12++;
                                                                                state_dialogs_update3 = state_dialogs_update3;
                                                                            } catch (Exception e65) {
                                                                                e = e65;
                                                                                state_polls3 = state_polls4;
                                                                                data5 = data6;
                                                                                state_webpage4 = state_webpage6;
                                                                                state_download4 = state_download6;
                                                                                state_media2 = state_media5;
                                                                                state_messages6 = state_messages9;
                                                                            } catch (Throwable th62) {
                                                                                th = th62;
                                                                                state_polls3 = state_polls4;
                                                                                data5 = data6;
                                                                                state_webpage4 = state_webpage6;
                                                                                state_download4 = state_download6;
                                                                                state_media2 = state_media5;
                                                                                state_messages6 = state_messages9;
                                                                            }
                                                                        }
                                                                        state_dialogs_update2 = state_dialogs_update3;
                                                                        state_randoms6.dispose();
                                                                        state_randoms6 = null;
                                                                    } catch (Exception e66) {
                                                                        e = e66;
                                                                        state_polls3 = state_polls4;
                                                                        data5 = data6;
                                                                        state_randoms6 = state_randoms9;
                                                                        state_webpage4 = state_webpage6;
                                                                        cursor5 = cursor11;
                                                                        state_download4 = state_download6;
                                                                        state_media2 = state_media5;
                                                                        state_messages6 = state_messages9;
                                                                    } catch (Throwable th63) {
                                                                        th = th63;
                                                                        state_polls3 = state_polls4;
                                                                        data5 = data6;
                                                                        state_randoms6 = state_randoms9;
                                                                        state_webpage4 = state_webpage6;
                                                                        cursor5 = cursor11;
                                                                        state_download4 = state_download6;
                                                                        state_media2 = state_media5;
                                                                        state_messages6 = state_messages9;
                                                                    }
                                                                } else {
                                                                    messagesStorage = this;
                                                                    state_dialogs_update2 = null;
                                                                    state_randoms6 = state_randoms9;
                                                                    cursor5 = cursor11;
                                                                }
                                                                if (withTransaction) {
                                                                    messagesStorage.database.commitTransaction();
                                                                }
                                                                getMessagesController().processDialogsUpdateRead(messagesCounts10, mentionCounts10);
                                                                if (downloadMediaMask5 != 0) {
                                                                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda152
                                                                        @Override // java.lang.Runnable
                                                                        public final void run() {
                                                                            MessagesStorage.this.m839xe6f6a7eb(downloadMediaMask5);
                                                                        }
                                                                    });
                                                                }
                                                                if (data6 != null) {
                                                                    data6.reuse();
                                                                }
                                                                if (cursor5 != null) {
                                                                    cursor5.dispose();
                                                                }
                                                                if (state_messages9 != null) {
                                                                    state_messages9.dispose();
                                                                }
                                                                if (state_media5 != null) {
                                                                    state_media5.dispose();
                                                                }
                                                                if (state_randoms6 != null) {
                                                                    state_randoms6.dispose();
                                                                }
                                                                if (state_download6 != null) {
                                                                    state_download6.dispose();
                                                                }
                                                                if (state_webpage6 != null) {
                                                                    state_webpage6.dispose();
                                                                }
                                                                if (state_polls4 != null) {
                                                                    state_polls4.dispose();
                                                                }
                                                                if (0 != 0) {
                                                                    state_dialogs_replace3.dispose();
                                                                }
                                                                if (state_dialogs_update2 != null) {
                                                                    state_dialogs_update2.dispose();
                                                                }
                                                            } catch (Exception e67) {
                                                                e = e67;
                                                                state_polls3 = state_polls4;
                                                                data5 = data6;
                                                                state_randoms6 = state_randoms9;
                                                                state_webpage4 = state_webpage6;
                                                                cursor5 = cursor11;
                                                                state_download4 = state_download6;
                                                                state_media2 = state_media5;
                                                                state_messages6 = state_messages9;
                                                            } catch (Throwable th64) {
                                                                th = th64;
                                                                state_polls3 = state_polls4;
                                                                data5 = data6;
                                                                state_randoms6 = state_randoms9;
                                                                state_webpage4 = state_webpage6;
                                                                cursor5 = cursor11;
                                                                state_download4 = state_download6;
                                                                state_media2 = state_media5;
                                                                state_messages6 = state_messages9;
                                                            }
                                                        } catch (Exception e68) {
                                                            e = e68;
                                                            state_polls3 = state_polls4;
                                                            data5 = data6;
                                                            state_randoms6 = state_randoms9;
                                                            state_webpage4 = state_webpage6;
                                                            cursor5 = cursor11;
                                                            state_download4 = state_download6;
                                                            state_media2 = state_media5;
                                                            state_messages6 = state_messages9;
                                                        } catch (Throwable th65) {
                                                            th = th65;
                                                            state_polls3 = state_polls4;
                                                            data5 = data6;
                                                            state_randoms6 = state_randoms9;
                                                            state_webpage4 = state_webpage6;
                                                            cursor5 = cursor11;
                                                            state_download4 = state_download6;
                                                            state_media2 = state_media5;
                                                            state_messages6 = state_messages9;
                                                        }
                                                    } catch (Exception e69) {
                                                        e = e69;
                                                        state_dialogs_update3 = state_dialogs_update;
                                                        data5 = data6;
                                                        state_randoms6 = null;
                                                        cursor5 = cursor11;
                                                        state_messages6 = null;
                                                    } catch (Throwable th66) {
                                                        th = th66;
                                                        state_dialogs_update3 = state_dialogs_update;
                                                        data5 = data6;
                                                        state_randoms6 = null;
                                                        cursor5 = cursor11;
                                                        state_messages6 = null;
                                                    }
                                                } catch (Exception e70) {
                                                    e = e70;
                                                    state_dialogs_update3 = state_dialogs_update;
                                                    state_dialogs_replace3 = state_dialogs_replace2;
                                                    data5 = data6;
                                                    state_randoms6 = null;
                                                    cursor5 = cursor11;
                                                    state_messages6 = null;
                                                } catch (Throwable th67) {
                                                    th = th67;
                                                    state_dialogs_update3 = state_dialogs_update;
                                                    state_dialogs_replace3 = state_dialogs_replace2;
                                                    data5 = data6;
                                                    state_randoms6 = null;
                                                    cursor5 = cursor11;
                                                    state_messages6 = null;
                                                }
                                            } catch (Exception e71) {
                                                e = e71;
                                                state_webpage4 = state_webpage5;
                                                state_dialogs_update3 = state_dialogs_update;
                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                data5 = data6;
                                                state_randoms6 = null;
                                                cursor5 = cursor11;
                                                state_messages6 = null;
                                            } catch (Throwable th68) {
                                                th = th68;
                                                state_webpage4 = state_webpage5;
                                                state_dialogs_update3 = state_dialogs_update;
                                                state_dialogs_replace3 = state_dialogs_replace2;
                                                data5 = data6;
                                                state_randoms6 = null;
                                                cursor5 = cursor11;
                                                state_messages6 = null;
                                            }
                                        } catch (Exception e72) {
                                            e = e72;
                                            state_webpage4 = state_webpage5;
                                            state_download4 = state_download5;
                                            state_dialogs_update3 = state_dialogs_update;
                                            state_dialogs_replace3 = state_dialogs_replace2;
                                            data5 = data6;
                                            state_randoms6 = null;
                                            cursor5 = cursor11;
                                            state_messages6 = null;
                                        } catch (Throwable th69) {
                                            th = th69;
                                            state_webpage4 = state_webpage5;
                                            state_download4 = state_download5;
                                            state_dialogs_update3 = state_dialogs_update;
                                            state_dialogs_replace3 = state_dialogs_replace2;
                                            data5 = data6;
                                            state_randoms6 = null;
                                            cursor5 = cursor11;
                                            state_messages6 = null;
                                        }
                                    } catch (Exception e73) {
                                        e = e73;
                                        state_download4 = state_download5;
                                        state_randoms6 = state_randoms7;
                                        state_dialogs_update3 = state_dialogs_update;
                                        state_dialogs_replace3 = state_dialogs_replace2;
                                        data5 = data6;
                                        cursor5 = cursor11;
                                        state_webpage4 = state_webpage5;
                                        state_messages6 = null;
                                    } catch (Throwable th70) {
                                        th = th70;
                                        state_download4 = state_download5;
                                        state_randoms6 = state_randoms7;
                                        state_dialogs_update3 = state_dialogs_update;
                                        state_dialogs_replace3 = state_dialogs_replace2;
                                        data5 = data6;
                                        cursor5 = cursor11;
                                        state_webpage4 = state_webpage5;
                                        state_messages6 = null;
                                    }
                                } catch (Exception e74) {
                                    e = e74;
                                    state_download4 = state_download5;
                                    state_randoms6 = state_randoms7;
                                    state_media2 = state_media3;
                                    state_dialogs_replace3 = state_dialogs_replace2;
                                    data5 = data6;
                                    cursor5 = cursor11;
                                    state_webpage4 = state_webpage5;
                                    state_messages6 = state_messages7;
                                    state_dialogs_update3 = state_dialogs_update;
                                } catch (Throwable th71) {
                                    th = th71;
                                    state_download4 = state_download5;
                                    state_randoms6 = state_randoms7;
                                    state_media2 = state_media3;
                                    state_dialogs_replace3 = state_dialogs_replace2;
                                    data5 = data6;
                                    cursor5 = cursor11;
                                    state_webpage4 = state_webpage5;
                                    state_messages6 = state_messages7;
                                    state_dialogs_update3 = state_dialogs_update;
                                }
                            } catch (Exception e75) {
                                state_dialogs_update3 = state_dialogs_update;
                                state_dialogs_replace3 = state_dialogs_replace;
                                cursor5 = cursor7;
                                data5 = null;
                                state_randoms6 = state_randoms6;
                                e = e75;
                            } catch (Throwable th72) {
                                state_dialogs_update3 = state_dialogs_update;
                                state_dialogs_replace3 = state_dialogs_replace;
                                cursor5 = cursor7;
                                data5 = null;
                                state_randoms6 = state_randoms6;
                                th = th72;
                            }
                        } catch (Exception e76) {
                            state_dialogs_update3 = state_dialogs_update;
                            state_dialogs_replace3 = state_dialogs_replace;
                            cursor5 = cursor7;
                            data5 = null;
                            e = e76;
                        } catch (Throwable th73) {
                            state_dialogs_update3 = state_dialogs_update;
                            state_dialogs_replace3 = state_dialogs_replace;
                            cursor5 = cursor7;
                            data5 = null;
                            th = th73;
                        }
                    } catch (Exception e77) {
                        e = e77;
                        state_dialogs_update3 = state_dialogs_update;
                        state_dialogs_replace3 = state_dialogs_replace;
                        cursor5 = cursor7;
                        data5 = null;
                    } catch (Throwable th74) {
                        th = th74;
                        state_dialogs_update3 = state_dialogs_update;
                        state_dialogs_replace3 = state_dialogs_replace;
                        cursor5 = cursor7;
                        data5 = null;
                    }
                } catch (Exception e78) {
                    e = e78;
                    state_dialogs_update3 = state_dialogs_update;
                    state_dialogs_replace3 = state_dialogs_replace;
                    cursor5 = cursor7;
                    data5 = null;
                } catch (Throwable th75) {
                    th = th75;
                    state_dialogs_update3 = state_dialogs_update;
                    state_dialogs_replace3 = state_dialogs_replace;
                    cursor5 = cursor7;
                    data5 = null;
                }
            } catch (Exception e79) {
                e = e79;
                state_dialogs_update3 = state_dialogs_update;
                state_dialogs_replace3 = state_dialogs_replace;
                cursor5 = cursor7;
            } catch (Throwable th76) {
                th = th76;
                state_dialogs_update3 = state_dialogs_update;
                state_dialogs_replace3 = state_dialogs_replace;
                cursor5 = cursor7;
            }
        } catch (Exception e80) {
            e = e80;
            state_dialogs_update3 = state_dialogs_update;
            state_dialogs_replace3 = state_dialogs_replace;
        } catch (Throwable th77) {
            th = th77;
            state_dialogs_update3 = state_dialogs_update;
            state_dialogs_replace3 = state_dialogs_replace;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$putMessagesInternal$123$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m839xe6f6a7eb(int downloadMediaMaskFinal) {
        getDownloadController().newDownloadObjectsAvailable(downloadMediaMaskFinal);
    }

    public void putMessages(ArrayList<TLRPC.Message> messages, boolean withTransaction, boolean useQueue, boolean doNotUpdateDialogDate, int downloadMask, boolean scheduled) {
        putMessages(messages, withTransaction, useQueue, doNotUpdateDialogDate, downloadMask, false, scheduled);
    }

    public void putMessages(final ArrayList<TLRPC.Message> messages, final boolean withTransaction, boolean useQueue, final boolean doNotUpdateDialogDate, final int downloadMask, final boolean ifNoLastMessage, final boolean scheduled) {
        if (messages.size() == 0) {
            return;
        }
        if (useQueue) {
            this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda17
                @Override // java.lang.Runnable
                public final void run() {
                    MessagesStorage.this.m837lambda$putMessages$124$imuecahxyvjdmessengerMessagesStorage(messages, withTransaction, doNotUpdateDialogDate, downloadMask, ifNoLastMessage, scheduled);
                }
            });
        } else {
            m837lambda$putMessages$124$imuecahxyvjdmessengerMessagesStorage(messages, withTransaction, doNotUpdateDialogDate, downloadMask, ifNoLastMessage, scheduled);
        }
    }

    public void markMessageAsSendError(final TLRPC.Message message, final boolean scheduled) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda54
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m817xe099cfe3(message, scheduled);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$markMessageAsSendError$125$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m817xe099cfe3(TLRPC.Message message, boolean scheduled) {
        SQLitePreparedStatement state = null;
        try {
            try {
                long messageId = message.id;
                if (message.to_id.channel_id != 0) {
                    messageId |= message.to_id.channel_id << 32;
                }
                state = scheduled ? this.database.executeFast("UPDATE scheduled_messages SET send_state = 2 WHERE mid = " + messageId) : this.database.executeFast("UPDATE messages SET send_state = 2 WHERE mid = " + messageId);
                state.stepThis().dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("markMessageAsSendError ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void setMessageSeq(final int mid, final int seq_in, final int seq_out) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda154
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m863lambda$setMessageSeq$126$imuecahxyvjdmessengerMessagesStorage(mid, seq_in, seq_out);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$setMessageSeq$126$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m863lambda$setMessageSeq$126$imuecahxyvjdmessengerMessagesStorage(int mid, int seq_in, int seq_out) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast("REPLACE INTO messages_seq VALUES(?, ?, ?)");
                state.requery();
                state.bindInteger(1, mid);
                state.bindInteger(2, seq_in);
                state.bindInteger(3, seq_out);
                state.step();
                state.dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("setMessageSeq ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Code restructure failed: missing block: B:110:0x0176, code lost:
        if (r6 == null) goto L15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:156:0x0244, code lost:
        if (0 == 0) goto L163;
     */
    /* JADX WARN: Code restructure failed: missing block: B:157:0x0246, code lost:
        r11.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:167:0x025a, code lost:
        if (r11 == null) goto L163;
     */
    /* JADX WARN: Code restructure failed: missing block: B:169:0x025d, code lost:
        im.uecahxyvjd.messenger.FileLog.e("updateMessageStateAndIdInternal ---> exception 6 ", r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:170:0x0262, code lost:
        if (r11 == null) goto L99;
     */
    /* JADX WARN: Code restructure failed: missing block: B:171:0x0264, code lost:
        r11.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:185:0x02ad, code lost:
        if (0 == 0) goto L136;
     */
    /* JADX WARN: Code restructure failed: missing block: B:186:0x02af, code lost:
        r11.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:196:0x02c1, code lost:
        if (r11 == null) goto L136;
     */
    /* JADX WARN: Code restructure failed: missing block: B:198:0x02c4, code lost:
        im.uecahxyvjd.messenger.FileLog.e("updateMessageStateAndIdInternal ---> exception 8 ", r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:199:0x02c9, code lost:
        if (r11 == null) goto L105;
     */
    /* JADX WARN: Code restructure failed: missing block: B:200:0x02cb, code lost:
        r11.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:234:0x0337, code lost:
        if (0 != 0) goto L60;
     */
    /* JADX WARN: Code restructure failed: missing block: B:235:0x0339, code lost:
        r11.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:244:0x0363, code lost:
        if (0 == 0) goto L72;
     */
    /* JADX WARN: Code restructure failed: missing block: B:245:0x0365, code lost:
        r11.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:255:0x0377, code lost:
        if (r11 == null) goto L72;
     */
    /* JADX WARN: Code restructure failed: missing block: B:257:0x037a, code lost:
        im.uecahxyvjd.messenger.FileLog.e("updateMessageStateAndIdInternal ---> exception 11 ", r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:258:0x037f, code lost:
        if (r11 == null) goto L54;
     */
    /* JADX WARN: Code restructure failed: missing block: B:49:0x00b4, code lost:
        if (0 != 0) goto L252;
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x00b6, code lost:
        r6.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:68:0x00ee, code lost:
        if (r6 == null) goto L11;
     */
    /* JADX WARN: Code restructure failed: missing block: B:87:0x012d, code lost:
        if (0 != 0) goto L202;
     */
    /* JADX WARN: Code restructure failed: missing block: B:88:0x012f, code lost:
        r6.dispose();
     */
    /* JADX WARN: Removed duplicated region for block: B:139:0x01d3  */
    /* JADX WARN: Removed duplicated region for block: B:24:0x005c A[RETURN] */
    /* JADX WARN: Removed duplicated region for block: B:272:0x03a3  */
    /* JADX WARN: Removed duplicated region for block: B:277:0x03ac  */
    /* JADX WARN: Removed duplicated region for block: B:27:0x0060  */
    /* JADX WARN: Removed duplicated region for block: B:32:0x006d  */
    /* JADX WARN: Removed duplicated region for block: B:44:0x00a3 A[Catch: all -> 0x00c1, Exception -> 0x00c8, TRY_LEAVE, TryCatch #38 {Exception -> 0x00c8, all -> 0x00c1, blocks: (B:42:0x009d, B:44:0x00a3), top: B:325:0x009d }] */
    /* JADX WARN: Removed duplicated region for block: B:46:0x00ae  */
    /* renamed from: updateMessageStateAndIdInternal */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public long[] m886x82133b76(long random_id, Integer _oldId, int newId, int date, int channelId, int scheduled) {
        Integer _oldId2;
        long oldMessageId;
        int scheduled2;
        SQLiteCursor cursor = null;
        long newMessageId = newId;
        if (_oldId == null) {
            try {
                cursor = this.database.queryFinalized(String.format(Locale.US, "SELECT mid FROM randoms WHERE random_id = %d LIMIT 1", Long.valueOf(random_id)), new Object[0]);
                _oldId2 = cursor.next() ? Integer.valueOf(cursor.intValue(0)) : _oldId;
            } catch (Exception e) {
                e = e;
                _oldId2 = _oldId;
            } catch (Throwable th) {
                th = th;
                if (cursor != null) {
                }
                throw th;
            }
            try {
                try {
                    cursor.dispose();
                    SQLiteCursor cursor2 = null;
                    if (0 != 0) {
                        cursor2.dispose();
                    }
                    cursor = null;
                } catch (Throwable th2) {
                    th = th2;
                    if (cursor != null) {
                        cursor.dispose();
                    }
                    throw th;
                }
            } catch (Exception e2) {
                e = e2;
                FileLog.e("updateMessageStateAndIdInternal ---> exception 1 ", e);
                if (cursor != null) {
                    cursor.dispose();
                }
                if (_oldId2 == null) {
                }
                oldMessageId = _oldId2.intValue();
                if (channelId != 0) {
                }
                long did = 0;
                if (scheduled != -1) {
                }
                try {
                    SQLiteDatabase sQLiteDatabase = this.database;
                    Locale locale = Locale.US;
                    Object[] objArr = new Object[1];
                    SQLiteCursor cursor3 = cursor;
                    try {
                        objArr[0] = Long.valueOf(oldMessageId);
                        cursor = sQLiteDatabase.queryFinalized(String.format(locale, "SELECT uid FROM messages WHERE mid = %d LIMIT 1", objArr), new Object[0]);
                        try {
                            if (cursor.next()) {
                            }
                            try {
                                cursor.dispose();
                                cursor = null;
                            } catch (Exception e3) {
                                e = e3;
                                try {
                                    FileLog.e("updateMessageStateAndIdInternal ---> exception 2 ", e);
                                } catch (Throwable th3) {
                                    th = th3;
                                    if (cursor != null) {
                                        cursor.dispose();
                                    }
                                    throw th;
                                }
                            } catch (Throwable th4) {
                                th = th4;
                                if (cursor != null) {
                                }
                                throw th;
                            }
                        } catch (Exception e4) {
                            e = e4;
                            scheduled2 = scheduled;
                        } catch (Throwable th5) {
                            th = th5;
                        }
                    } catch (Exception e5) {
                        e = e5;
                        scheduled2 = scheduled;
                        cursor = cursor3;
                    } catch (Throwable th6) {
                        th = th6;
                        cursor = cursor3;
                    }
                } catch (Exception e6) {
                    e = e6;
                    scheduled2 = scheduled;
                } catch (Throwable th7) {
                    th = th7;
                }
            }
            if (_oldId2 == null) {
                return null;
            }
        } else {
            _oldId2 = _oldId;
        }
        oldMessageId = _oldId2.intValue();
        if (channelId != 0) {
            oldMessageId |= channelId << 32;
            newMessageId |= channelId << 32;
        }
        long did2 = 0;
        if (scheduled != -1 || scheduled == 0) {
            SQLiteDatabase sQLiteDatabase2 = this.database;
            Locale locale2 = Locale.US;
            Object[] objArr2 = new Object[1];
            SQLiteCursor cursor32 = cursor;
            objArr2[0] = Long.valueOf(oldMessageId);
            cursor = sQLiteDatabase2.queryFinalized(String.format(locale2, "SELECT uid FROM messages WHERE mid = %d LIMIT 1", objArr2), new Object[0]);
            if (cursor.next()) {
                scheduled2 = scheduled;
            } else {
                did2 = cursor.longValue(0);
                scheduled2 = 0;
            }
            cursor.dispose();
            cursor = null;
        } else {
            scheduled2 = scheduled;
        }
        if (scheduled2 == -1 || scheduled2 == 1) {
            try {
                SQLiteDatabase sQLiteDatabase3 = this.database;
                Locale locale3 = Locale.US;
                int scheduled3 = scheduled2;
                try {
                    Object[] objArr3 = new Object[1];
                    SQLiteCursor cursor4 = cursor;
                    try {
                        objArr3[0] = Long.valueOf(oldMessageId);
                        cursor = sQLiteDatabase3.queryFinalized(String.format(locale3, "SELECT uid FROM scheduled_messages WHERE mid = %d LIMIT 1", objArr3), new Object[0]);
                        try {
                            if (cursor.next()) {
                                did2 = cursor.longValue(0);
                                scheduled2 = 1;
                            } else {
                                scheduled2 = scheduled3;
                            }
                            try {
                                cursor.dispose();
                                cursor = null;
                            } catch (Exception e7) {
                                e = e7;
                                try {
                                    FileLog.e("updateMessageStateAndIdInternal ---> exception 3 ", e);
                                } catch (Throwable th8) {
                                    th = th8;
                                    if (cursor != null) {
                                        cursor.dispose();
                                    }
                                    throw th;
                                }
                            } catch (Throwable th9) {
                                th = th9;
                                if (cursor != null) {
                                }
                                throw th;
                            }
                        } catch (Exception e8) {
                            e = e8;
                            scheduled2 = scheduled3;
                        } catch (Throwable th10) {
                            th = th10;
                        }
                    } catch (Exception e9) {
                        e = e9;
                        cursor = cursor4;
                        scheduled2 = scheduled3;
                    } catch (Throwable th11) {
                        th = th11;
                        cursor = cursor4;
                    }
                } catch (Exception e10) {
                    e = e10;
                    scheduled2 = scheduled3;
                } catch (Throwable th12) {
                    th = th12;
                }
            } catch (Exception e11) {
                e = e11;
            } catch (Throwable th13) {
                th = th13;
            }
        }
        if (did2 == 0) {
            return null;
        }
        if (oldMessageId == newMessageId && date != 0) {
            SQLitePreparedStatement state = null;
            try {
                state = scheduled2 == 0 ? this.database.executeFast("UPDATE messages SET send_state = 0, date = ? WHERE mid = ?") : this.database.executeFast("UPDATE scheduled_messages SET send_state = 0, date = ? WHERE mid = ?");
                state.bindInteger(1, date);
                state.bindLong(2, newMessageId);
                state.step();
                state.dispose();
                SQLitePreparedStatement state2 = null;
                if (0 != 0) {
                    state2.dispose();
                }
            } catch (Exception e12) {
                try {
                    FileLog.e("updateMessageStateAndIdInternal ---> exception 4 ", e12);
                    if (state != null) {
                        state.dispose();
                    }
                } catch (Throwable th14) {
                    th = th14;
                    if (state != null) {
                        state.dispose();
                    }
                    throw th;
                }
            } catch (Throwable th15) {
                th = th15;
                if (state != null) {
                }
                throw th;
            }
            return new long[]{did2, newId};
        }
        Integer _oldId3 = _oldId2;
        SQLitePreparedStatement state3 = null;
        try {
            if (scheduled2 == 0) {
                try {
                    state3 = this.database.executeFast("UPDATE messages SET mid = ?, send_state = 0 WHERE mid = ?");
                    state3.bindLong(1, newMessageId);
                    state3.bindLong(2, oldMessageId);
                    state3.step();
                    state3.dispose();
                    SQLitePreparedStatement state4 = null;
                    if (0 != 0) {
                        state4.dispose();
                    }
                    state3 = null;
                } catch (Exception e13) {
                    try {
                        try {
                            SQLitePreparedStatement state5 = this.database.executeFast(String.format(Locale.US, "DELETE FROM messages WHERE mid = %d", Long.valueOf(oldMessageId)));
                            try {
                                state5.stepThis().dispose();
                                state5 = this.database.executeFast(String.format(Locale.US, "DELETE FROM messages_seq WHERE mid = %d", Long.valueOf(oldMessageId)));
                                state5.stepThis().dispose();
                                state3 = null;
                            } catch (Exception e14) {
                                e2 = e14;
                                state3 = state5;
                                FileLog.e("updateMessageStateAndIdInternal ---> exception 5 ", e2);
                            } catch (Throwable th16) {
                                th = th16;
                                state3 = state5;
                                if (state3 != null) {
                                    state3.dispose();
                                }
                                throw th;
                            }
                        } catch (Exception e15) {
                            e2 = e15;
                        }
                    } catch (Throwable th17) {
                        th = th17;
                    }
                }
                try {
                    try {
                        state3 = this.database.executeFast("UPDATE media_v2 SET mid = ? WHERE mid = ?");
                        state3.bindLong(1, newMessageId);
                        state3.bindLong(2, oldMessageId);
                        state3.step();
                        state3.dispose();
                        SQLitePreparedStatement state6 = null;
                        if (0 != 0) {
                            state6.dispose();
                        }
                        state3 = null;
                    } catch (Exception e16) {
                        try {
                            try {
                                SQLitePreparedStatement state7 = this.database.executeFast(String.format(Locale.US, "DELETE FROM media_v2 WHERE mid = %d", Long.valueOf(oldMessageId)));
                                try {
                                    state7.stepThis().dispose();
                                    state3 = null;
                                } catch (Exception e17) {
                                    e2 = e17;
                                    state3 = state7;
                                    FileLog.e("updateMessageStateAndIdInternal ---> exception 7 ", e2);
                                } catch (Throwable th18) {
                                    th = th18;
                                    state3 = state7;
                                    if (state3 != null) {
                                        state3.dispose();
                                    }
                                    throw th;
                                }
                            } catch (Throwable th19) {
                                th = th19;
                            }
                        } catch (Exception e18) {
                            e2 = e18;
                        }
                    }
                    try {
                        try {
                            state3 = this.database.executeFast("UPDATE dialogs SET last_mid = ? WHERE last_mid = ?");
                            state3.bindLong(1, newMessageId);
                            state3.bindLong(2, oldMessageId);
                            state3.step();
                            state3.dispose();
                            SQLitePreparedStatement state8 = null;
                            if (0 != 0) {
                                state8.dispose();
                            }
                        } catch (Exception e19) {
                            FileLog.e("updateMessageStateAndIdInternal ---> exception 9 ", e19);
                            if (state3 != null) {
                                state3.dispose();
                            }
                        }
                    } catch (Throwable th20) {
                        if (state3 != null) {
                            state3.dispose();
                        }
                        throw th20;
                    }
                } catch (Throwable th21) {
                    if (state3 != null) {
                        state3.dispose();
                    }
                    throw th21;
                }
            } else {
                try {
                    if (scheduled2 == 1) {
                        try {
                            state3 = this.database.executeFast("UPDATE scheduled_messages SET mid = ?, send_state = 0 WHERE mid = ?");
                            state3.bindLong(1, newMessageId);
                            state3.bindLong(2, oldMessageId);
                            state3.step();
                            state3.dispose();
                            state3 = null;
                        } catch (Exception e20) {
                            try {
                                try {
                                    SQLitePreparedStatement state9 = this.database.executeFast(String.format(Locale.US, "DELETE FROM scheduled_messages WHERE mid = %d", Long.valueOf(oldMessageId)));
                                    try {
                                        state9.stepThis().dispose();
                                        state3 = null;
                                    } catch (Exception e21) {
                                        e2 = e21;
                                        state3 = state9;
                                        FileLog.e("updateMessageStateAndIdInternal ---> exception 10 ", e2);
                                    } catch (Throwable th22) {
                                        th = th22;
                                        state3 = state9;
                                        if (state3 != null) {
                                            state3.dispose();
                                        }
                                        throw th;
                                    }
                                } catch (Exception e22) {
                                    e2 = e22;
                                }
                            } catch (Throwable th23) {
                                th = th23;
                            }
                        }
                    }
                } catch (Throwable th24) {
                    if (state3 != null) {
                        state3.dispose();
                    }
                    throw th24;
                }
            }
            return new long[]{did2, _oldId3.intValue()};
        } catch (Throwable th25) {
            if (state3 != null) {
                state3.dispose();
            }
            throw th25;
        }
    }

    public long[] updateMessageStateAndId(final long random_id, final Integer _oldId, final int newId, final int date, boolean useQueue, final int channelId, final int scheduled) {
        if (useQueue) {
            this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda47
                @Override // java.lang.Runnable
                public final void run() {
                    MessagesStorage.this.m886x82133b76(random_id, _oldId, newId, date, channelId, scheduled);
                }
            });
            return null;
        }
        return m886x82133b76(random_id, _oldId, newId, date, channelId, scheduled);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: updateUsersInternal */
    public void m890lambda$updateUsers$128$imuecahxyvjdmessengerMessagesStorage(ArrayList<TLRPC.User> users, boolean onlyStatus, boolean withTransaction) {
        SQLitePreparedStatement state = null;
        try {
            try {
                if (onlyStatus) {
                    if (withTransaction) {
                        try {
                            this.database.beginTransaction();
                        } catch (Exception e) {
                            FileLog.e("updateUsersInternal ---> exception 1 ", e);
                        }
                    }
                    SQLitePreparedStatement state2 = this.database.executeFast("UPDATE users SET status = ? WHERE uid = ?");
                    int N = users.size();
                    for (int a2 = 0; a2 < N; a2++) {
                        TLRPC.User user = users.get(a2);
                        state2.requery();
                        if (user.status != null) {
                            state2.bindInteger(1, user.status.expires);
                        } else {
                            state2.bindInteger(1, 0);
                        }
                        state2.bindInteger(2, user.id);
                        state2.step();
                    }
                    state2.dispose();
                    state = null;
                    if (withTransaction) {
                        this.database.commitTransaction();
                    }
                } else {
                    StringBuilder ids = new StringBuilder();
                    SparseArray<TLRPC.User> usersDict = new SparseArray<>();
                    int N2 = users.size();
                    for (int a3 = 0; a3 < N2; a3++) {
                        TLRPC.User user2 = users.get(a3);
                        if (ids.length() != 0) {
                            ids.append(",");
                        }
                        ids.append(user2.id);
                        usersDict.put(user2.id, user2);
                    }
                    ArrayList<TLRPC.User> loadedUsers = new ArrayList<>();
                    getUsersInternal(ids.toString(), loadedUsers);
                    int N3 = loadedUsers.size();
                    for (int a4 = 0; a4 < N3; a4++) {
                        TLRPC.User user3 = loadedUsers.get(a4);
                        TLRPC.User updateUser = usersDict.get(user3.id);
                        if (updateUser != null) {
                            if (updateUser.first_name != null && updateUser.last_name != null) {
                                if (!UserObject.isContact(user3)) {
                                    user3.first_name = updateUser.first_name;
                                    user3.last_name = updateUser.last_name;
                                }
                                user3.username = updateUser.username;
                            } else if (updateUser.photo != null) {
                                user3.photo = updateUser.photo;
                            } else if (updateUser.phone != null) {
                                user3.phone = updateUser.phone;
                            }
                        }
                    }
                    if (!loadedUsers.isEmpty()) {
                        if (withTransaction) {
                            try {
                                this.database.beginTransaction();
                            } catch (Exception e2) {
                                FileLog.e("updateUsersInternal ---> exception 2 ", e2);
                            }
                        }
                        putUsersInternal(loadedUsers);
                        if (withTransaction) {
                            this.database.commitTransaction();
                        }
                    }
                }
                if (state == null) {
                    return;
                }
            } catch (Exception e3) {
                FileLog.e("updateUsersInternal ---> exception 3 ", e3);
                if (0 == 0) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (0 != 0) {
                state.dispose();
            }
            throw th;
        }
    }

    public void updateUsers(final ArrayList<TLRPC.User> users, final boolean onlyStatus, final boolean withTransaction, boolean useQueue) {
        if (users == null || users.isEmpty()) {
            return;
        }
        if (useQueue) {
            this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda86
                @Override // java.lang.Runnable
                public final void run() {
                    MessagesStorage.this.m890lambda$updateUsers$128$imuecahxyvjdmessengerMessagesStorage(users, onlyStatus, withTransaction);
                }
            });
        } else {
            m890lambda$updateUsers$128$imuecahxyvjdmessengerMessagesStorage(users, onlyStatus, withTransaction);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: markMessagesAsReadInternal */
    public void m822x71c9c80a(SparseLongArray inbox, SparseLongArray outbox, SparseIntArray encryptedMessages) {
        SQLitePreparedStatement state = null;
        SQLitePreparedStatement state1 = null;
        try {
            try {
                if (!isEmpty(inbox)) {
                    SQLitePreparedStatement state2 = this.database.executeFast("DELETE FROM unread_push_messages WHERE uid = ? AND mid <= ?");
                    for (int b = 0; b < inbox.size(); b++) {
                        int key = inbox.keyAt(b);
                        long messageId = inbox.get(key);
                        this.database.executeFast(String.format(Locale.US, "UPDATE messages SET read_state = read_state | 1 WHERE uid = %d AND mid > 0 AND mid <= %d AND read_state IN(0,2) AND out = 0", Integer.valueOf(key), Long.valueOf(messageId))).stepThis().dispose();
                        state1 = null;
                        state2.requery();
                        state2.bindLong(1, key);
                        state2.bindLong(2, messageId);
                        state2.step();
                    }
                    state2.dispose();
                    state = null;
                }
                if (!isEmpty(outbox)) {
                    for (int b2 = 0; b2 < outbox.size(); b2++) {
                        int key2 = outbox.keyAt(b2);
                        this.database.executeFast(String.format(Locale.US, "UPDATE messages SET read_state = read_state | 1 WHERE uid = %d AND mid > 0 AND mid <= %d AND read_state IN(0,2) AND out = 1", Integer.valueOf(key2), Long.valueOf(outbox.get(key2)))).stepThis().dispose();
                        state = null;
                    }
                }
                if (encryptedMessages != null && !isEmpty(encryptedMessages)) {
                    for (int a2 = 0; a2 < encryptedMessages.size(); a2++) {
                        long dialog_id = encryptedMessages.keyAt(a2) << 32;
                        int max_date = encryptedMessages.valueAt(a2);
                        SQLitePreparedStatement state3 = this.database.executeFast("UPDATE messages SET read_state = read_state | 1 WHERE uid = ? AND date <= ? AND read_state IN(0,2) AND out = 1");
                        state3.requery();
                        state3.bindLong(1, dialog_id);
                        state3.bindInteger(2, max_date);
                        state3.step();
                        state3.dispose();
                        state = null;
                    }
                }
                if (state != null) {
                    state.dispose();
                }
                if (state1 == null) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("markMessagesAsReadInternal ---> exception ", e);
                if (state != null) {
                    state.dispose();
                }
                if (state1 == null) {
                    return;
                }
            }
            state1.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            if (state1 != null) {
                state1.dispose();
            }
            throw th;
        }
    }

    public void markMessagesContentAsRead(final ArrayList<Long> mids, final int date) {
        if (isEmpty(mids)) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda157
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m823xeeda61(mids, date);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$markMessagesContentAsRead$129$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m823xeeda61(ArrayList mids, int date) {
        SQLitePreparedStatement state = null;
        SQLiteCursor cursor = null;
        try {
            try {
                String midsStr = TextUtils.join(",", mids);
                this.database.executeFast(String.format(Locale.US, "UPDATE messages SET read_state = read_state | 2 WHERE mid IN (%s)", midsStr)).stepThis().dispose();
                state = null;
                if (date != 0) {
                    cursor = this.database.queryFinalized(String.format(Locale.US, "SELECT mid, ttl FROM messages WHERE mid IN (%s) AND ttl > 0", midsStr), new Object[0]);
                    ArrayList<Integer> arrayList = null;
                    while (cursor.next()) {
                        if (arrayList == null) {
                            arrayList = new ArrayList<>();
                        }
                        arrayList.add(Integer.valueOf(cursor.intValue(0)));
                    }
                    if (arrayList != null) {
                        emptyMessagesMedia(arrayList);
                    }
                    cursor.dispose();
                    cursor = null;
                }
                if (0 != 0) {
                    state.dispose();
                }
                if (cursor == null) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("markMessagesContentAsRead ---> exception ", e);
                if (state != null) {
                    state.dispose();
                }
                if (cursor == null) {
                    return;
                }
            }
            cursor.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            if (cursor != null) {
                cursor.dispose();
            }
            throw th;
        }
    }

    public void markMessagesAsRead(final SparseLongArray inbox, final SparseLongArray outbox, final SparseIntArray encryptedMessages, boolean useQueue) {
        if (useQueue) {
            this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda13
                @Override // java.lang.Runnable
                public final void run() {
                    MessagesStorage.this.m822x71c9c80a(inbox, outbox, encryptedMessages);
                }
            });
        } else {
            m822x71c9c80a(inbox, outbox, encryptedMessages);
        }
    }

    public void markMessagesAsDeletedByRandoms(final ArrayList<Long> messages) {
        if (messages.isEmpty()) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda27
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m821xe321bd16(messages);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$markMessagesAsDeletedByRandoms$132$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m821xe321bd16(ArrayList messages) {
        SQLiteCursor cursor = null;
        try {
            try {
                String ids = TextUtils.join(",", messages);
                SQLiteCursor cursor2 = this.database.queryFinalized(String.format(Locale.US, "SELECT mid FROM randoms WHERE random_id IN(%s)", ids), new Object[0]);
                final ArrayList<Integer> mids = new ArrayList<>();
                while (cursor2.next()) {
                    mids.add(Integer.valueOf(cursor2.intValue(0)));
                }
                cursor2.dispose();
                cursor = null;
                if (!mids.isEmpty()) {
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda150
                        @Override // java.lang.Runnable
                        public final void run() {
                            MessagesStorage.this.m820x56819215(mids);
                        }
                    });
                    updateDialogsWithReadMessagesInternal(mids, null, null, null);
                    m818x55b9a442(mids, 0, true, false);
                    m878x9436862a(mids, null, 0);
                }
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("markMessagesAsDeletedByRandoms ---> exception ", e);
                if (cursor == null) {
                    return;
                }
            }
            cursor.dispose();
        } catch (Throwable th) {
            if (cursor != null) {
                cursor.dispose();
            }
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$markMessagesAsDeletedByRandoms$131$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m820x56819215(ArrayList mids) {
        getNotificationCenter().postNotificationName(NotificationCenter.messagesDeleted, mids, 0, false);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public void deletePushMessages(long dialogId, ArrayList<Integer> messages) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast(String.format(Locale.US, "DELETE FROM unread_push_messages WHERE uid = %d AND mid IN(%s)", Long.valueOf(dialogId), TextUtils.join(",", messages)));
                state.stepThis().dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("deletePushMessages ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    private void broadcastScheduledMessagesChange(final Long did) {
        SQLiteCursor cursor = null;
        try {
            try {
                SQLiteCursor cursor2 = this.database.queryFinalized(String.format(Locale.US, "SELECT COUNT(mid) FROM scheduled_messages WHERE uid = %d", did), new Object[0]);
                final int count = cursor2.next() ? cursor2.intValue(0) : 0;
                cursor2.dispose();
                cursor = null;
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda118
                    @Override // java.lang.Runnable
                    public final void run() {
                        MessagesStorage.this.m739x81ad4674(did, count);
                    }
                });
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("broadcastScheduledMessagesChange ---> exception ", e);
                if (cursor == null) {
                    return;
                }
            }
            cursor.dispose();
        } catch (Throwable th) {
            if (cursor != null) {
                cursor.dispose();
            }
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$broadcastScheduledMessagesChange$133$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m739x81ad4674(Long did, int count) {
        getNotificationCenter().postNotificationName(NotificationCenter.scheduledMessagesUpdated, did, Integer.valueOf(count));
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Code restructure failed: missing block: B:102:0x0250, code lost:
        if (r18 == null) goto L47;
     */
    /* JADX WARN: Code restructure failed: missing block: B:104:0x0253, code lost:
        r9.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:105:0x0256, code lost:
        r2 = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:106:0x0257, code lost:
        getFileLoader().deleteFiles(r5, 0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:107:0x025f, code lost:
        r3 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:109:0x0264, code lost:
        if (r3 >= r12.size()) goto L102;
     */
    /* JADX WARN: Code restructure failed: missing block: B:110:0x0266, code lost:
        r9 = r12.keyAt(r3);
        r13 = r12.valueAt(r3);
     */
    /* JADX WARN: Code restructure failed: missing block: B:111:0x0277, code lost:
        r21 = r2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:112:0x0279, code lost:
        r22 = r5;
        r2 = r30.database.queryFinalized("SELECT unread_count, unread_count_i FROM dialogs WHERE did = " + r9, new java.lang.Object[0]);
     */
    /* JADX WARN: Code restructure failed: missing block: B:113:0x0290, code lost:
        r5 = 0;
        r14 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:115:0x0296, code lost:
        if (r2.next() == false) goto L64;
     */
    /* JADX WARN: Code restructure failed: missing block: B:116:0x0298, code lost:
        r5 = r2.intValue(0);
        r14 = r2.intValue(1);
     */
    /* JADX WARN: Code restructure failed: missing block: B:117:0x02a6, code lost:
        r2.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:119:0x02aa, code lost:
        r7.add(java.lang.Long.valueOf(r9));
     */
    /* JADX WARN: Code restructure failed: missing block: B:121:0x02b5, code lost:
        r2 = r30.database.executeFast("UPDATE dialogs SET unread_count = ?, unread_count_i = ? WHERE did = ?");
        r2.requery();
        r2.bindInteger(1, java.lang.Math.max(0, r5 - r13[0].intValue()));
        r2.bindInteger(2, java.lang.Math.max(0, r14 - r13[1].intValue()));
        r2.bindLong(3, r9);
        r2.step();
        r2.dispose();
        r6 = null;
        r3 = r3 + 1;
        r2 = null;
        r5 = r22;
     */
    /* JADX WARN: Code restructure failed: missing block: B:122:0x02f4, code lost:
        r0 = th;
     */
    /* JADX WARN: Code restructure failed: missing block: B:123:0x02f5, code lost:
        r21 = r2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:124:0x02fd, code lost:
        r0 = e;
     */
    /* JADX WARN: Code restructure failed: missing block: B:125:0x02fe, code lost:
        r21 = r2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:126:0x0306, code lost:
        r21 = r2;
        r30.database.executeFast(java.lang.String.format(java.util.Locale.US, "DELETE FROM messages WHERE mid IN(%s)", r4)).stepThis().dispose();
        r30.database.executeFast(java.lang.String.format(java.util.Locale.US, "DELETE FROM polls WHERE mid IN(%s)", r4)).stepThis().dispose();
        r30.database.executeFast(java.lang.String.format(java.util.Locale.US, "DELETE FROM bot_keyboard WHERE mid IN(%s)", r4)).stepThis().dispose();
        r30.database.executeFast(java.lang.String.format(java.util.Locale.US, "DELETE FROM messages_seq WHERE mid IN(%s)", r4)).stepThis().dispose();
        r6 = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:127:0x0382, code lost:
        if (r11.isEmpty() == false) goto L178;
     */
    /* JADX WARN: Code restructure failed: missing block: B:128:0x0384, code lost:
        r2 = r30.database.queryFinalized(java.lang.String.format(java.util.Locale.US, "SELECT uid, type FROM media_v2 WHERE mid IN(%s)", r4), new java.lang.Object[0]);
     */
    /* JADX WARN: Code restructure failed: missing block: B:129:0x039a, code lost:
        r3 = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:131:0x039f, code lost:
        if (r2.next() == false) goto L121;
     */
    /* JADX WARN: Code restructure failed: missing block: B:132:0x03a1, code lost:
        r9 = r2.longValue(0);
        r13 = r2.intValue(1);
     */
    /* JADX WARN: Code restructure failed: missing block: B:133:0x03ac, code lost:
        if (r3 != null) goto L112;
     */
    /* JADX WARN: Code restructure failed: missing block: B:134:0x03ae, code lost:
        r3 = new android.util.SparseArray<>();
     */
    /* JADX WARN: Code restructure failed: missing block: B:135:0x03b4, code lost:
        r13 = r3.get(r13);
     */
    /* JADX WARN: Code restructure failed: missing block: B:136:0x03ba, code lost:
        if (r13 != null) goto L120;
     */
    /* JADX WARN: Code restructure failed: missing block: B:137:0x03bc, code lost:
        r13 = new android.util.LongSparseArray<>();
        r14 = 0;
        r3.put(r13, r13);
     */
    /* JADX WARN: Code restructure failed: missing block: B:138:0x03cc, code lost:
        r14 = r13.get(r9);
        r14 = r14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:139:0x03d2, code lost:
        if (r14 != null) goto L119;
     */
    /* JADX WARN: Code restructure failed: missing block: B:140:0x03d4, code lost:
        r14 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:141:0x03db, code lost:
        r13.put(r9, java.lang.Integer.valueOf(r14.intValue() + 1));
     */
    /* JADX WARN: Code restructure failed: missing block: B:142:0x03ec, code lost:
        r2.dispose();
        r2 = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:143:0x03f0, code lost:
        if (r3 == null) goto L177;
     */
    /* JADX WARN: Code restructure failed: missing block: B:144:0x03f2, code lost:
        r6 = r30.database.executeFast("REPLACE INTO media_counts_v2 VALUES(?, ?, ?, ?)");
        r5 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:146:0x0400, code lost:
        if (r5 >= r3.size()) goto L149;
     */
    /* JADX WARN: Code restructure failed: missing block: B:147:0x0402, code lost:
        r9 = r3.keyAt(r5);
        r10 = r3.valueAt(r5);
     */
    /* JADX WARN: Code restructure failed: missing block: B:148:0x040c, code lost:
        r13 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:150:0x0411, code lost:
        if (r13 >= r10.size()) goto L146;
     */
    /* JADX WARN: Code restructure failed: missing block: B:151:0x0413, code lost:
        r14 = r10.keyAt(r13);
     */
    /* JADX WARN: Code restructure failed: missing block: B:152:0x0417, code lost:
        r21 = r2;
        r2 = (int) r14;
     */
    /* JADX WARN: Code restructure failed: missing block: B:153:0x0420, code lost:
        r26 = r3;
        r27 = r8;
        r28 = r11;
        r29 = r12;
        r2 = r30.database.queryFinalized(java.lang.String.format(java.util.Locale.US, "SELECT count, old FROM media_counts_v2 WHERE uid = %d AND type = %d LIMIT 1", java.lang.Long.valueOf(r14), java.lang.Integer.valueOf(r9)), new java.lang.Object[0]);
     */
    /* JADX WARN: Code restructure failed: missing block: B:155:0x0450, code lost:
        if (r2.next() == false) goto L144;
     */
    /* JADX WARN: Code restructure failed: missing block: B:156:0x0452, code lost:
        r8 = r2.intValue(0);
        r8 = r2.intValue(1);
        r3 = r8;
     */
    /* JADX WARN: Code restructure failed: missing block: B:157:0x0463, code lost:
        r3 = -1;
        r8 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:158:0x0467, code lost:
        r2.dispose();
        r2 = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:159:0x046c, code lost:
        if (r3 == (-1)) goto L142;
     */
    /* JADX WARN: Code restructure failed: missing block: B:160:0x046e, code lost:
        r6.requery();
        r11 = java.lang.Math.max(0, r3 - r10.valueAt(r13).intValue());
        r6.bindLong(1, r14);
        r6.bindInteger(2, r9);
        r6.bindInteger(3, r11);
        r6.bindInteger(4, r8);
        r6.step();
     */
    /* JADX WARN: Code restructure failed: missing block: B:162:0x0498, code lost:
        r13 = r13 + 1;
        r3 = r26;
        r8 = r27;
        r11 = r28;
        r12 = r29;
     */
    /* JADX WARN: Code restructure failed: missing block: B:163:0x04a4, code lost:
        r5 = r5 + 1;
        r12 = r12;
     */
    /* JADX WARN: Code restructure failed: missing block: B:164:0x04b5, code lost:
        r6.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:165:0x04c0, code lost:
        r6 = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:169:0x04d5, code lost:
        if (r32 != 0) goto L185;
     */
    /* JADX WARN: Code restructure failed: missing block: B:170:0x04d7, code lost:
        r6 = r30.database.executeFast("UPDATE media_counts_v2 SET old = 1 WHERE 1");
     */
    /* JADX WARN: Code restructure failed: missing block: B:171:0x04e1, code lost:
        r6 = r30.database.executeFast(java.lang.String.format(java.util.Locale.US, "UPDATE media_counts_v2 SET old = 1 WHERE uid = %d", java.lang.Integer.valueOf(-r32)));
     */
    /* JADX WARN: Code restructure failed: missing block: B:172:0x04fb, code lost:
        r6.stepThis().dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:173:0x0502, code lost:
        r6 = null;
        r2 = r21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:174:0x0506, code lost:
        r30.database.executeFast(java.lang.String.format(java.util.Locale.US, "DELETE FROM media_v2 WHERE mid IN(%s)", r4)).stepThis().dispose();
        r6 = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:176:0x052b, code lost:
        getMediaDataController().clearBotKeyboard(0, r31);
     */
    /* JADX WARN: Code restructure failed: missing block: B:177:0x052e, code lost:
        r4 = r2;
        r5 = r18;
     */
    /* JADX WARN: Code restructure failed: missing block: B:186:0x0542, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:187:0x0543, code lost:
        r4 = r2;
        r5 = r18;
        r2 = r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:188:0x0549, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:189:0x054a, code lost:
        r4 = r2;
        r5 = r18;
        r2 = r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:190:0x0550, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:191:0x0551, code lost:
        r4 = r2;
        r5 = r18;
        r2 = r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:192:0x0559, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:193:0x055a, code lost:
        r4 = r2;
        r5 = r18;
        r2 = r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:194:0x0562, code lost:
        r0 = th;
     */
    /* JADX WARN: Code restructure failed: missing block: B:196:0x0566, code lost:
        r0 = e;
     */
    /* JADX WARN: Code restructure failed: missing block: B:198:0x056a, code lost:
        r0 = th;
     */
    /* JADX WARN: Code restructure failed: missing block: B:200:0x056f, code lost:
        r2 = r0;
        r5 = r18;
        r4 = r21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:201:0x0576, code lost:
        r0 = e;
     */
    /* JADX WARN: Code restructure failed: missing block: B:203:0x057b, code lost:
        r2 = r0;
        r5 = r18;
        r4 = r21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:204:0x0582, code lost:
        r0 = th;
     */
    /* JADX WARN: Code restructure failed: missing block: B:205:0x0583, code lost:
        r21 = r2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:206:0x0589, code lost:
        r2 = r0;
        r5 = r18;
        r4 = r21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:207:0x0590, code lost:
        r0 = e;
     */
    /* JADX WARN: Code restructure failed: missing block: B:208:0x0591, code lost:
        r21 = r2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:209:0x0597, code lost:
        r2 = r0;
        r5 = r18;
        r4 = r21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:210:0x059e, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:211:0x059f, code lost:
        r4 = r2;
        r5 = r18;
        r2 = r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:212:0x05a9, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:213:0x05aa, code lost:
        r4 = r2;
        r5 = r18;
        r2 = r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:214:0x05b4, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:215:0x05b5, code lost:
        r2 = r0;
        r4 = r9;
        r5 = r18;
     */
    /* JADX WARN: Code restructure failed: missing block: B:216:0x05bf, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:217:0x05c0, code lost:
        r2 = r0;
        r4 = r9;
        r5 = r18;
     */
    /* JADX WARN: Code restructure failed: missing block: B:94:0x0231, code lost:
        if (r18 != null) goto L204;
     */
    /* JADX WARN: Code restructure failed: missing block: B:95:0x0233, code lost:
        r18.reuse();
     */
    /* JADX WARN: Removed duplicated region for block: B:240:0x060e  */
    /* JADX WARN: Removed duplicated region for block: B:242:0x0613  */
    /* JADX WARN: Removed duplicated region for block: B:244:0x0618  */
    /* JADX WARN: Removed duplicated region for block: B:250:0x0621  */
    /* JADX WARN: Removed duplicated region for block: B:252:0x0626  */
    /* JADX WARN: Removed duplicated region for block: B:254:0x062b  */
    /* JADX WARN: Removed duplicated region for block: B:264:0x05db A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:321:? A[RETURN, SYNTHETIC] */
    /* renamed from: markMessagesAsDeletedInternal */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public ArrayList<Long> m818x55b9a442(ArrayList<Integer> messages, int channelId, boolean deleteFiles, boolean scheduled) {
        Throwable th;
        Exception e;
        String ids;
        SQLiteCursor cursor;
        NativeByteBuffer data;
        String ids2;
        Throwable th2;
        Exception e2;
        SQLiteCursor cursor2 = null;
        NativeByteBuffer data2 = null;
        SQLitePreparedStatement state = null;
        try {
            ArrayList<Long> dialogsIds = new ArrayList<>();
            if (scheduled) {
                try {
                    try {
                        if (channelId != 0) {
                            StringBuilder builder = new StringBuilder(messages.size());
                            for (int a2 = 0; a2 < messages.size(); a2++) {
                                long messageId = messages.get(a2).intValue();
                                long messageId2 = (channelId << 32) | messageId;
                                if (builder.length() > 0) {
                                    builder.append(',');
                                }
                                builder.append(messageId2);
                            }
                            ids = builder.toString();
                        } else {
                            ids = TextUtils.join(",", messages);
                        }
                        ArrayList<Long> dialogsToUpdate = new ArrayList<>();
                        SQLiteCursor cursor3 = this.database.queryFinalized(String.format(Locale.US, "SELECT uid FROM scheduled_messages WHERE mid IN(%s)", ids), new Object[0]);
                        while (cursor3.next()) {
                            try {
                                long did = cursor3.longValue(0);
                                if (!dialogsToUpdate.contains(Long.valueOf(did))) {
                                    dialogsToUpdate.add(Long.valueOf(did));
                                }
                            } catch (Exception e3) {
                                FileLog.e("markMessagesAsDeletedInternal ---> exception 1 ", e3);
                            }
                        }
                        cursor3.dispose();
                        cursor2 = null;
                        this.database.executeFast(String.format(Locale.US, "DELETE FROM scheduled_messages WHERE mid IN(%s)", ids)).stepThis().dispose();
                        state = null;
                        int N = dialogsToUpdate.size();
                        for (int a3 = 0; a3 < N; a3++) {
                            broadcastScheduledMessagesChange(dialogsToUpdate.get(a3));
                        }
                    } catch (Exception e4) {
                        e = e4;
                        try {
                            FileLog.e("markMessagesAsDeletedInternal ---> exception 3 ", e);
                            if (data2 != null) {
                                data2.reuse();
                            }
                            if (cursor2 != null) {
                                cursor2.dispose();
                            }
                            if (state == null) {
                                state.dispose();
                                return null;
                            }
                            return null;
                        } catch (Throwable th3) {
                            th = th3;
                            if (data2 != null) {
                            }
                            if (cursor2 != null) {
                            }
                            if (state != null) {
                            }
                            throw th;
                        }
                    }
                } catch (Throwable th4) {
                    th = th4;
                    if (data2 != null) {
                        data2.reuse();
                    }
                    if (cursor2 != null) {
                        cursor2.dispose();
                    }
                    if (state != null) {
                        state.dispose();
                    }
                    throw th;
                }
            } else {
                ArrayList<Integer> temp = new ArrayList<>(messages);
                LongSparseArray<Integer[]> dialogsToUpdate2 = new LongSparseArray<>();
                if (channelId != 0) {
                    try {
                        StringBuilder builder2 = new StringBuilder(messages.size());
                        int a4 = 0;
                        while (a4 < messages.size()) {
                            long messageId3 = messages.get(a4).intValue();
                            cursor = cursor2;
                            data = data2;
                            long messageId4 = (channelId << 32) | messageId3;
                            try {
                                if (builder2.length() > 0) {
                                    builder2.append(',');
                                }
                                builder2.append(messageId4);
                                a4++;
                                data2 = data;
                                cursor2 = cursor;
                            } catch (Exception e5) {
                                data2 = data;
                                cursor2 = cursor;
                                e = e5;
                                FileLog.e("markMessagesAsDeletedInternal ---> exception 3 ", e);
                                if (data2 != null) {
                                }
                                if (cursor2 != null) {
                                }
                                if (state == null) {
                                }
                            } catch (Throwable th5) {
                                data2 = data;
                                cursor2 = cursor;
                                th = th5;
                                if (data2 != null) {
                                }
                                if (cursor2 != null) {
                                }
                                if (state != null) {
                                }
                                throw th;
                            }
                        }
                        cursor = cursor2;
                        data = data2;
                        ids2 = builder2.toString();
                    } catch (Exception e6) {
                        e = e6;
                        e = e;
                        FileLog.e("markMessagesAsDeletedInternal ---> exception 3 ", e);
                        if (data2 != null) {
                        }
                        if (cursor2 != null) {
                        }
                        if (state == null) {
                        }
                    } catch (Throwable th6) {
                        th = th6;
                        th = th;
                        if (data2 != null) {
                        }
                        if (cursor2 != null) {
                        }
                        if (state != null) {
                        }
                        throw th;
                    }
                } else {
                    cursor = null;
                    data = null;
                    try {
                        ids2 = TextUtils.join(",", messages);
                    } catch (Exception e7) {
                        e = e7;
                        data2 = data;
                        cursor2 = cursor;
                        FileLog.e("markMessagesAsDeletedInternal ---> exception 3 ", e);
                        if (data2 != null) {
                        }
                        if (cursor2 != null) {
                        }
                        if (state == null) {
                        }
                    } catch (Throwable th7) {
                        th = th7;
                        data2 = data;
                        cursor2 = cursor;
                        if (data2 != null) {
                        }
                        if (cursor2 != null) {
                        }
                        if (state != null) {
                        }
                        throw th;
                    }
                }
                ArrayList<File> filesToDelete = new ArrayList<>();
                int currentUser = getUserConfig().getClientUserId();
                SQLiteCursor cursor4 = this.database.queryFinalized(String.format(Locale.US, "SELECT uid, data, read_state, out, mention, mid FROM messages WHERE mid IN(%s)", ids2), new Object[0]);
                while (cursor4.next()) {
                    try {
                        long did2 = cursor4.longValue(0);
                        int mid = cursor4.intValue(5);
                        temp.remove(Integer.valueOf(mid));
                        if (did2 != currentUser) {
                            int read_state = cursor4.intValue(2);
                            if (cursor4.intValue(3) == 0) {
                                Integer[] unread_count = dialogsToUpdate2.get(did2);
                                if (unread_count == null) {
                                    unread_count = new Integer[]{0, 0};
                                    dialogsToUpdate2.put(did2, unread_count);
                                }
                                if (read_state < 2) {
                                    Integer num = unread_count[1];
                                    unread_count[1] = Integer.valueOf(unread_count[1].intValue() + 1);
                                }
                                if (read_state == 0 || read_state == 2) {
                                    Integer num2 = unread_count[0];
                                    unread_count[0] = Integer.valueOf(unread_count[0].intValue() + 1);
                                }
                            }
                        }
                        if (((int) did2) == 0 || deleteFiles) {
                            NativeByteBuffer data3 = cursor4.byteBufferValue(1);
                            if (data3 != null) {
                                try {
                                    TLRPC.Message message = TLRPC.Message.TLdeserialize(data3, data3.readInt32(false), false);
                                    message.readAttachPath(data3, getUserConfig().clientUserId);
                                    data3.reuse();
                                    data3 = null;
                                    addFilesToDelete(message, filesToDelete, false);
                                } catch (Exception e8) {
                                    data = data3;
                                    e2 = e8;
                                    try {
                                        FileLog.e("markMessagesAsDeletedInternal ---> exception 2 ", e2);
                                    } catch (Throwable th8) {
                                        th2 = th8;
                                        data2 = data;
                                        if (data2 != null) {
                                            try {
                                                data2.reuse();
                                            } catch (Exception e9) {
                                                e = e9;
                                                cursor2 = cursor4;
                                                FileLog.e("markMessagesAsDeletedInternal ---> exception 3 ", e);
                                                if (data2 != null) {
                                                }
                                                if (cursor2 != null) {
                                                }
                                                if (state == null) {
                                                }
                                            } catch (Throwable th9) {
                                                th = th9;
                                                cursor2 = cursor4;
                                                if (data2 != null) {
                                                }
                                                if (cursor2 != null) {
                                                }
                                                if (state != null) {
                                                }
                                                throw th;
                                            }
                                        }
                                        throw th2;
                                    }
                                } catch (Throwable th10) {
                                    data2 = data3;
                                    th2 = th10;
                                    if (data2 != null) {
                                    }
                                    throw th2;
                                }
                            }
                            data = data3;
                        }
                    } catch (Exception e10) {
                        e2 = e10;
                    } catch (Throwable th11) {
                        th2 = th11;
                        data2 = data;
                    }
                }
            }
            if (data2 != null) {
                data2.reuse();
            }
            if (cursor2 != null) {
                cursor2.dispose();
            }
            if (state != null) {
                state.dispose();
            }
            return dialogsIds;
        } catch (Exception e11) {
            e = e11;
        } catch (Throwable th12) {
            th = th12;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Removed duplicated region for block: B:154:0x0321  */
    /* JADX WARN: Removed duplicated region for block: B:156:0x0326  */
    /* JADX WARN: Removed duplicated region for block: B:158:0x032b  */
    /* JADX WARN: Removed duplicated region for block: B:162:0x0332  */
    /* JADX WARN: Removed duplicated region for block: B:164:0x0337  */
    /* JADX WARN: Removed duplicated region for block: B:166:0x033c  */
    /* JADX WARN: Removed duplicated region for block: B:202:? A[RETURN, SYNTHETIC] */
    /* renamed from: updateDialogsWithDeletedMessagesInternal */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void m878x9436862a(ArrayList<Integer> messages, ArrayList<Long> additionalDialogsToUpdate, int channelId) {
        String ids;
        TLRPC.Dialog dialog;
        ArrayList<Integer> encryptedToLoad;
        SQLitePreparedStatement state;
        int lower_id = channelId;
        ArrayList<Long> dialogsToUpdate = new ArrayList<>();
        SQLiteCursor cursor = null;
        NativeByteBuffer data = null;
        SQLitePreparedStatement state2 = null;
        try {
            if (messages.isEmpty()) {
                try {
                    dialogsToUpdate.add(Long.valueOf(-lower_id));
                } catch (Exception e) {
                    e = e;
                    FileLog.e("updateDialogsWithDeletedMessagesInternal ---> exception 2 ", e);
                    if (data != null) {
                    }
                    if (cursor != null) {
                    }
                    if (state2 == null) {
                    }
                } catch (Throwable th) {
                    th = th;
                    if (data != null) {
                    }
                    if (cursor != null) {
                    }
                    if (state2 != null) {
                    }
                    throw th;
                }
            } else {
                if (lower_id != 0) {
                    try {
                        dialogsToUpdate.add(Long.valueOf(-lower_id));
                        state = this.database.executeFast("UPDATE dialogs SET last_mid = (SELECT mid FROM messages WHERE uid = ? AND date = (SELECT MAX(date) FROM messages WHERE uid = ?)) WHERE did = ?");
                    } catch (Exception e2) {
                        e = e2;
                        FileLog.e("updateDialogsWithDeletedMessagesInternal ---> exception 2 ", e);
                        if (data != null) {
                        }
                        if (cursor != null) {
                        }
                        if (state2 == null) {
                        }
                    } catch (Throwable th2) {
                        th = th2;
                        if (data != null) {
                        }
                        if (cursor != null) {
                        }
                        if (state2 != null) {
                        }
                        throw th;
                    }
                } else {
                    try {
                        try {
                            SQLiteCursor cursor2 = this.database.queryFinalized(String.format(Locale.US, "SELECT did FROM dialogs WHERE last_mid IN(%s)", TextUtils.join(",", messages)), new Object[0]);
                            while (cursor2.next()) {
                                dialogsToUpdate.add(Long.valueOf(cursor2.longValue(0)));
                            }
                            cursor2.dispose();
                            cursor = null;
                            state = this.database.executeFast("UPDATE dialogs SET last_mid = (SELECT mid FROM messages WHERE uid = ? AND date = (SELECT MAX(date) FROM messages WHERE uid = ? AND date != 0)) WHERE did = ?");
                        } catch (Exception e3) {
                            e = e3;
                            FileLog.e("updateDialogsWithDeletedMessagesInternal ---> exception 2 ", e);
                            if (data != null) {
                                data.reuse();
                            }
                            if (cursor != null) {
                                cursor.dispose();
                            }
                            if (state2 == null) {
                                state2.dispose();
                                return;
                            }
                            return;
                        }
                    } catch (Throwable th3) {
                        th = th3;
                        if (data != null) {
                            data.reuse();
                        }
                        if (cursor != null) {
                            cursor.dispose();
                        }
                        if (state2 != null) {
                            state2.dispose();
                        }
                        throw th;
                    }
                }
                try {
                    this.database.beginTransaction();
                } catch (Exception e4) {
                    FileLog.e("updateDialogsWithDeletedMessagesInternal ---> exception 1 ", e4);
                }
                for (int a2 = 0; a2 < dialogsToUpdate.size(); a2++) {
                    long did = dialogsToUpdate.get(a2).longValue();
                    state.requery();
                    state.bindLong(1, did);
                    state.bindLong(2, did);
                    state.bindLong(3, did);
                    state.step();
                }
                state.dispose();
                state2 = null;
                this.database.commitTransaction();
            }
            if (additionalDialogsToUpdate != null) {
                for (int a3 = 0; a3 < additionalDialogsToUpdate.size(); a3++) {
                    Long did2 = additionalDialogsToUpdate.get(a3);
                    if (!dialogsToUpdate.contains(did2)) {
                        dialogsToUpdate.add(did2);
                    }
                }
            }
            try {
                String ids2 = TextUtils.join(",", dialogsToUpdate);
                TLRPC.messages_Dialogs dialogs = new TLRPC.TL_messages_dialogs();
                ArrayList<TLRPC.EncryptedChat> encryptedChats = new ArrayList<>();
                ArrayList<Integer> usersToLoad = new ArrayList<>();
                ArrayList<Integer> chatsToLoad = new ArrayList<>();
                ArrayList<Integer> encryptedToLoad2 = new ArrayList<>();
                SQLiteCursor cursor3 = cursor;
                try {
                    cursor = this.database.queryFinalized(String.format(Locale.US, "SELECT d.did, d.last_mid, d.unread_count, d.date, m.data, m.read_state, m.mid, m.send_state, m.date, d.pts, d.inbox_max, d.outbox_max, d.pinned, d.unread_count_i, d.flags, d.folder_id, d.data FROM dialogs as d LEFT JOIN messages as m ON d.last_mid = m.mid WHERE d.did IN(%s)", ids2), new Object[0]);
                    while (cursor.next()) {
                        try {
                            try {
                                long dialogId = cursor.longValue(0);
                                if (DialogObject.isFolderDialogId(dialogId)) {
                                    TLRPC.TL_dialogFolder dialogFolder = new TLRPC.TL_dialogFolder();
                                    if (cursor.isNull(16)) {
                                        ids = ids2;
                                    } else {
                                        data = cursor.byteBufferValue(16);
                                        if (data != null) {
                                            ids = ids2;
                                            dialogFolder.folder = TLRPC.TL_folder.TLdeserialize(data, data.readInt32(false), false);
                                            data.reuse();
                                        } else {
                                            ids = ids2;
                                            try {
                                                dialogFolder.folder = new TLRPC.TL_folder();
                                                try {
                                                    dialogFolder.folder.id = cursor.intValue(15);
                                                } catch (Exception e5) {
                                                    e = e5;
                                                    data = data;
                                                    FileLog.e("updateDialogsWithDeletedMessagesInternal ---> exception 2 ", e);
                                                    if (data != null) {
                                                    }
                                                    if (cursor != null) {
                                                    }
                                                    if (state2 == null) {
                                                    }
                                                } catch (Throwable th4) {
                                                    th = th4;
                                                    data = data;
                                                    if (data != null) {
                                                    }
                                                    if (cursor != null) {
                                                    }
                                                    if (state2 != null) {
                                                    }
                                                    throw th;
                                                }
                                            } catch (Exception e6) {
                                                e = e6;
                                            } catch (Throwable th5) {
                                                th = th5;
                                            }
                                        }
                                    }
                                    dialog = dialogFolder;
                                } else {
                                    ids = ids2;
                                    dialog = new TLRPC.TL_dialog();
                                }
                                dialog.id = dialogId;
                                dialog.top_message = cursor.intValue(1);
                                dialog.read_inbox_max_id = cursor.intValue(10);
                                dialog.read_outbox_max_id = cursor.intValue(11);
                                dialog.unread_count = cursor.intValue(2);
                                dialog.unread_mentions_count = cursor.intValue(13);
                                dialog.last_message_date = cursor.intValue(3);
                                dialog.pts = cursor.intValue(9);
                                dialog.flags = lower_id == 0 ? 0 : 1;
                                dialog.pinnedNum = cursor.intValue(12);
                                dialog.pinned = dialog.pinnedNum != 0;
                                int dialog_flags = cursor.intValue(14);
                                dialog.unread_mark = (dialog_flags & 1) != 0;
                                dialog.folder_id = cursor.intValue(15);
                                dialogs.dialogs.add(dialog);
                                data = cursor.byteBufferValue(4);
                                if (data != null) {
                                    int dialog_flags2 = data.readInt32(false);
                                    TLRPC.Message message = TLRPC.Message.TLdeserialize(data, dialog_flags2, false);
                                    message.readAttachPath(data, getUserConfig().clientUserId);
                                    data.reuse();
                                    data = null;
                                    MessageObject.setUnreadFlags(message, cursor.intValue(5));
                                    message.id = cursor.intValue(6);
                                    message.send_state = cursor.intValue(7);
                                    int date = cursor.intValue(8);
                                    if (date != 0) {
                                        dialog.last_message_date = date;
                                    }
                                    message.dialog_id = dialog.id;
                                    dialogs.messages.add(message);
                                    addUsersAndChatsFromMessage(message, usersToLoad, chatsToLoad);
                                }
                                int lower_id2 = (int) dialog.id;
                                int high_id = (int) (dialog.id >> 32);
                                if (lower_id2 == 0) {
                                    encryptedToLoad = encryptedToLoad2;
                                    if (!encryptedToLoad.contains(Integer.valueOf(high_id))) {
                                        encryptedToLoad.add(Integer.valueOf(high_id));
                                    }
                                } else if (lower_id2 > 0) {
                                    if (usersToLoad.contains(Integer.valueOf(lower_id2))) {
                                        encryptedToLoad = encryptedToLoad2;
                                    } else {
                                        usersToLoad.add(Integer.valueOf(lower_id2));
                                        encryptedToLoad = encryptedToLoad2;
                                    }
                                } else if (chatsToLoad.contains(Integer.valueOf(-lower_id2))) {
                                    encryptedToLoad = encryptedToLoad2;
                                } else {
                                    chatsToLoad.add(Integer.valueOf(-lower_id2));
                                    encryptedToLoad = encryptedToLoad2;
                                }
                                lower_id = channelId;
                                encryptedToLoad2 = encryptedToLoad;
                                ids2 = ids;
                            } catch (Exception e7) {
                                e = e7;
                            }
                        } catch (Throwable th6) {
                            th = th6;
                        }
                    }
                    ArrayList<Integer> encryptedToLoad3 = encryptedToLoad2;
                    cursor.dispose();
                    cursor = null;
                    if (!encryptedToLoad3.isEmpty()) {
                        getEncryptedChatsInternal(TextUtils.join(",", encryptedToLoad3), encryptedChats, usersToLoad);
                    }
                    if (!chatsToLoad.isEmpty()) {
                        getChatsInternal(TextUtils.join(",", chatsToLoad), dialogs.chats);
                    }
                    if (!usersToLoad.isEmpty()) {
                        getUsersInternal(TextUtils.join(",", usersToLoad), dialogs.users);
                    }
                    if (!dialogs.dialogs.isEmpty() || !encryptedChats.isEmpty()) {
                        getMessagesController().processDialogsUpdate(dialogs, encryptedChats);
                    }
                    if (data != null) {
                        data.reuse();
                    }
                    if (0 != 0) {
                        cursor.dispose();
                    }
                    if (state2 != null) {
                        state2.dispose();
                    }
                } catch (Exception e8) {
                    e = e8;
                    cursor = cursor3;
                } catch (Throwable th7) {
                    th = th7;
                    cursor = cursor3;
                }
            } catch (Exception e9) {
                e = e9;
            } catch (Throwable th8) {
                th = th8;
            }
        } catch (Exception e10) {
            e = e10;
        } catch (Throwable th9) {
            th = th9;
        }
    }

    public void updateDialogsWithDeletedMessages(final ArrayList<Integer> messages, final ArrayList<Long> additionalDialogsToUpdate, boolean useQueue, final int channelId) {
        if (messages.isEmpty() && channelId == 0) {
            return;
        }
        if (useQueue) {
            this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda112
                @Override // java.lang.Runnable
                public final void run() {
                    MessagesStorage.this.m878x9436862a(messages, additionalDialogsToUpdate, channelId);
                }
            });
        } else {
            m878x9436862a(messages, additionalDialogsToUpdate, channelId);
        }
    }

    public ArrayList<Long> markMessagesAsDeleted(final ArrayList<Integer> messages, boolean useQueue, final int channelId, final boolean deleteFiles, final boolean scheduled) {
        if (messages.isEmpty()) {
            return null;
        }
        if (useQueue) {
            this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda35
                @Override // java.lang.Runnable
                public final void run() {
                    MessagesStorage.this.m818x55b9a442(messages, channelId, deleteFiles, scheduled);
                }
            });
            return null;
        }
        return m818x55b9a442(messages, channelId, deleteFiles, scheduled);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Removed duplicated region for block: B:109:0x02ab  */
    /* JADX WARN: Removed duplicated region for block: B:111:0x02b0  */
    /* JADX WARN: Removed duplicated region for block: B:113:0x02b5  */
    /* JADX WARN: Removed duplicated region for block: B:137:0x0303 A[Catch: all -> 0x02fb, Exception -> 0x02fe, TryCatch #26 {Exception -> 0x02fe, all -> 0x02fb, blocks: (B:131:0x02f7, B:137:0x0303, B:139:0x0307), top: B:179:0x02f7 }] */
    /* JADX WARN: Removed duplicated region for block: B:150:0x0336  */
    /* JADX WARN: Removed duplicated region for block: B:152:0x033b  */
    /* JADX WARN: Removed duplicated region for block: B:154:0x0340  */
    /* JADX WARN: Removed duplicated region for block: B:159:0x0348  */
    /* JADX WARN: Removed duplicated region for block: B:161:0x034d  */
    /* JADX WARN: Removed duplicated region for block: B:163:0x0352  */
    /* JADX WARN: Removed duplicated region for block: B:179:0x02f7 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:191:0x0143 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:70:0x015d A[Catch: all -> 0x0147, Exception -> 0x0151, TRY_LEAVE, TryCatch #20 {Exception -> 0x0151, all -> 0x0147, blocks: (B:64:0x0143, B:70:0x015d), top: B:191:0x0143 }] */
    /* JADX WARN: Removed duplicated region for block: B:76:0x0170 A[Catch: all -> 0x02c7, Exception -> 0x02d2, TRY_LEAVE, TryCatch #21 {Exception -> 0x02d2, all -> 0x02c7, blocks: (B:74:0x016a, B:76:0x0170), top: B:189:0x016a }] */
    /* renamed from: markMessagesAsDeletedInternal */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public ArrayList<Long> m819xe259cf43(int channelId, int mid, boolean deleteFiles) {
        int a2;
        SQLitePreparedStatement state;
        NativeByteBuffer data;
        ArrayList<Long> dialogsIds = new ArrayList<>();
        LongSparseArray<Integer[]> dialogsToUpdate = new LongSparseArray<>();
        long maxMessageId = mid | (channelId << 32);
        ArrayList<File> filesToDelete = new ArrayList<>();
        int currentUser = getUserConfig().getClientUserId();
        SQLiteCursor cursor = null;
        NativeByteBuffer data2 = null;
        SQLitePreparedStatement state2 = null;
        try {
            try {
                SQLiteDatabase sQLiteDatabase = this.database;
                Locale locale = Locale.US;
                Object[] objArr = new Object[2];
                try {
                    objArr[0] = Integer.valueOf(-channelId);
                    objArr[1] = Long.valueOf(maxMessageId);
                    SQLiteCursor cursor2 = sQLiteDatabase.queryFinalized(String.format(locale, "SELECT uid, data, read_state, out, mention FROM messages WHERE uid = %d AND mid <= %d", objArr), new Object[0]);
                    while (cursor2.next()) {
                        try {
                            long did = cursor2.longValue(0);
                            data = data2;
                            if (did != currentUser) {
                                try {
                                    int read_state = cursor2.intValue(2);
                                    if (cursor2.intValue(3) == 0) {
                                        Integer[] unread_count = dialogsToUpdate.get(did);
                                        if (unread_count == null) {
                                            unread_count = new Integer[]{0, 0};
                                            dialogsToUpdate.put(did, unread_count);
                                        }
                                        if (read_state < 2) {
                                            Integer num = unread_count[1];
                                            unread_count[1] = Integer.valueOf(unread_count[1].intValue() + 1);
                                        }
                                        if (read_state == 0 || read_state == 2) {
                                            Integer num2 = unread_count[0];
                                            unread_count[0] = Integer.valueOf(unread_count[0].intValue() + 1);
                                        }
                                    }
                                } catch (Exception e) {
                                    e = e;
                                    data2 = data;
                                    try {
                                        FileLog.e("markMessagesAsDeletedInternal ---> exception 1 ", e);
                                        if (data2 != null) {
                                        }
                                        if (cursor2 != null) {
                                        }
                                        cursor = cursor2;
                                        getFileLoader().deleteFiles(filesToDelete, 0);
                                        a2 = 0;
                                        while (a2 < dialogsToUpdate.size()) {
                                            try {
                                            } catch (Exception e2) {
                                                e = e2;
                                            } catch (Throwable th) {
                                                th = th;
                                            }
                                        }
                                        state = state2;
                                        this.database.executeFast(String.format(Locale.US, "DELETE FROM messages WHERE uid = %d AND mid <= %d", Integer.valueOf(-channelId), Long.valueOf(maxMessageId))).stepThis().dispose();
                                        this.database.executeFast(String.format(Locale.US, "DELETE FROM media_v2 WHERE uid = %d AND mid <= %d", Integer.valueOf(-channelId), Long.valueOf(maxMessageId))).stepThis().dispose();
                                        state2 = this.database.executeFast(String.format(Locale.US, "UPDATE media_counts_v2 SET old = 1 WHERE uid = %d", Integer.valueOf(-channelId)));
                                        state2.stepThis().dispose();
                                        SQLitePreparedStatement state3 = null;
                                        if (data2 != null) {
                                        }
                                        if (cursor != null) {
                                        }
                                        if (0 != 0) {
                                        }
                                        return dialogsIds;
                                    } catch (Throwable th2) {
                                        th = th2;
                                        if (data2 != null) {
                                            try {
                                                data2.reuse();
                                            } catch (Exception e3) {
                                                e = e3;
                                                cursor = cursor2;
                                                FileLog.e("markMessagesAsDeletedInternal ---> exception 2 ", e);
                                                if (data2 != null) {
                                                }
                                                if (cursor != null) {
                                                }
                                                if (state2 != null) {
                                                }
                                                return dialogsIds;
                                            } catch (Throwable th3) {
                                                th = th3;
                                                cursor = cursor2;
                                                if (data2 != null) {
                                                    data2.reuse();
                                                }
                                                if (cursor != null) {
                                                    cursor.dispose();
                                                }
                                                if (state2 != null) {
                                                    state2.dispose();
                                                }
                                                throw th;
                                            }
                                        }
                                        if (cursor2 != null) {
                                            cursor2.dispose();
                                        }
                                        throw th;
                                    }
                                } catch (Throwable th4) {
                                    th = th4;
                                    data2 = data;
                                    if (data2 != null) {
                                    }
                                    if (cursor2 != null) {
                                    }
                                    throw th;
                                }
                            }
                            if (((int) did) == 0 || deleteFiles) {
                                NativeByteBuffer data3 = cursor2.byteBufferValue(1);
                                if (data3 != null) {
                                    try {
                                        TLRPC.Message message = TLRPC.Message.TLdeserialize(data3, data3.readInt32(false), false);
                                        message.readAttachPath(data3, getUserConfig().clientUserId);
                                        data3.reuse();
                                        data3 = null;
                                        addFilesToDelete(message, filesToDelete, false);
                                    } catch (Exception e4) {
                                        e = e4;
                                        data2 = data3;
                                        FileLog.e("markMessagesAsDeletedInternal ---> exception 1 ", e);
                                        if (data2 != null) {
                                            try {
                                                data2.reuse();
                                            } catch (Exception e5) {
                                                e = e5;
                                                cursor = cursor2;
                                                FileLog.e("markMessagesAsDeletedInternal ---> exception 2 ", e);
                                                if (data2 != null) {
                                                }
                                                if (cursor != null) {
                                                }
                                                if (state2 != null) {
                                                }
                                                return dialogsIds;
                                            } catch (Throwable th5) {
                                                th = th5;
                                                cursor = cursor2;
                                                if (data2 != null) {
                                                }
                                                if (cursor != null) {
                                                }
                                                if (state2 != null) {
                                                }
                                                throw th;
                                            }
                                        }
                                        if (cursor2 != null) {
                                            cursor2.dispose();
                                        }
                                        cursor = cursor2;
                                        getFileLoader().deleteFiles(filesToDelete, 0);
                                        a2 = 0;
                                        while (a2 < dialogsToUpdate.size()) {
                                        }
                                        state = state2;
                                        this.database.executeFast(String.format(Locale.US, "DELETE FROM messages WHERE uid = %d AND mid <= %d", Integer.valueOf(-channelId), Long.valueOf(maxMessageId))).stepThis().dispose();
                                        this.database.executeFast(String.format(Locale.US, "DELETE FROM media_v2 WHERE uid = %d AND mid <= %d", Integer.valueOf(-channelId), Long.valueOf(maxMessageId))).stepThis().dispose();
                                        state2 = this.database.executeFast(String.format(Locale.US, "UPDATE media_counts_v2 SET old = 1 WHERE uid = %d", Integer.valueOf(-channelId)));
                                        state2.stepThis().dispose();
                                        SQLitePreparedStatement state32 = null;
                                        if (data2 != null) {
                                        }
                                        if (cursor != null) {
                                        }
                                        if (0 != 0) {
                                        }
                                        return dialogsIds;
                                    } catch (Throwable th6) {
                                        th = th6;
                                        data2 = data3;
                                        if (data2 != null) {
                                        }
                                        if (cursor2 != null) {
                                        }
                                        throw th;
                                    }
                                }
                                data2 = data3;
                            } else {
                                data2 = data;
                            }
                        } catch (Exception e6) {
                            e = e6;
                        } catch (Throwable th7) {
                            th = th7;
                        }
                    }
                    data = data2;
                    cursor2.dispose();
                    cursor = null;
                    if (data != null) {
                        try {
                            data.reuse();
                        } catch (Exception e7) {
                            e = e7;
                            data2 = data;
                            FileLog.e("markMessagesAsDeletedInternal ---> exception 2 ", e);
                            if (data2 != null) {
                            }
                            if (cursor != null) {
                            }
                            if (state2 != null) {
                            }
                            return dialogsIds;
                        } catch (Throwable th8) {
                            th = th8;
                            data2 = data;
                            if (data2 != null) {
                            }
                            if (cursor != null) {
                            }
                            if (state2 != null) {
                            }
                            throw th;
                        }
                    }
                    if (0 != 0) {
                        cursor.dispose();
                    }
                    data2 = data;
                    try {
                        getFileLoader().deleteFiles(filesToDelete, 0);
                        a2 = 0;
                        while (a2 < dialogsToUpdate.size()) {
                            long did2 = dialogsToUpdate.keyAt(a2);
                            Integer[] counts = dialogsToUpdate.valueAt(a2);
                            int old_unread_count = 0;
                            int old_mentions_count = 0;
                            LongSparseArray<Integer[]> dialogsToUpdate2 = dialogsToUpdate;
                            try {
                                ArrayList<File> filesToDelete2 = filesToDelete;
                                try {
                                    int currentUser2 = currentUser;
                                    try {
                                        state = state2;
                                        try {
                                            SQLiteCursor cursor3 = this.database.queryFinalized("SELECT unread_count, unread_count_i FROM dialogs WHERE did = " + did2, new Object[0]);
                                            if (cursor3.next()) {
                                                old_unread_count = cursor3.intValue(0);
                                                old_mentions_count = cursor3.intValue(1);
                                            }
                                            cursor3.dispose();
                                            cursor = null;
                                            dialogsIds.add(Long.valueOf(did2));
                                            state2 = this.database.executeFast("UPDATE dialogs SET unread_count = ?, unread_count_i = ? WHERE did = ?");
                                            try {
                                                state2.requery();
                                                state2.bindInteger(1, Math.max(0, old_unread_count - counts[0].intValue()));
                                                state2.bindInteger(2, Math.max(0, old_mentions_count - counts[1].intValue()));
                                                state2.bindLong(3, did2);
                                                state2.step();
                                                state2.dispose();
                                                state2 = null;
                                                a2++;
                                                dialogsToUpdate = dialogsToUpdate2;
                                                filesToDelete = filesToDelete2;
                                                currentUser = currentUser2;
                                            } catch (Exception e8) {
                                                e = e8;
                                                FileLog.e("markMessagesAsDeletedInternal ---> exception 2 ", e);
                                                if (data2 != null) {
                                                    data2.reuse();
                                                }
                                                if (cursor != null) {
                                                    cursor.dispose();
                                                }
                                                if (state2 != null) {
                                                    state2.dispose();
                                                }
                                                return dialogsIds;
                                            }
                                        } catch (Exception e9) {
                                            e = e9;
                                            state2 = state;
                                            FileLog.e("markMessagesAsDeletedInternal ---> exception 2 ", e);
                                            if (data2 != null) {
                                            }
                                            if (cursor != null) {
                                            }
                                            if (state2 != null) {
                                            }
                                            return dialogsIds;
                                        } catch (Throwable th9) {
                                            th = th9;
                                            state2 = state;
                                            if (data2 != null) {
                                            }
                                            if (cursor != null) {
                                            }
                                            if (state2 != null) {
                                            }
                                            throw th;
                                        }
                                    } catch (Exception e10) {
                                        e = e10;
                                        FileLog.e("markMessagesAsDeletedInternal ---> exception 2 ", e);
                                        if (data2 != null) {
                                        }
                                        if (cursor != null) {
                                        }
                                        if (state2 != null) {
                                        }
                                        return dialogsIds;
                                    } catch (Throwable th10) {
                                        th = th10;
                                        if (data2 != null) {
                                        }
                                        if (cursor != null) {
                                        }
                                        if (state2 != null) {
                                        }
                                        throw th;
                                    }
                                } catch (Exception e11) {
                                    e = e11;
                                } catch (Throwable th11) {
                                    th = th11;
                                }
                            } catch (Exception e12) {
                                e = e12;
                            } catch (Throwable th12) {
                                th = th12;
                            }
                        }
                        state = state2;
                        this.database.executeFast(String.format(Locale.US, "DELETE FROM messages WHERE uid = %d AND mid <= %d", Integer.valueOf(-channelId), Long.valueOf(maxMessageId))).stepThis().dispose();
                        this.database.executeFast(String.format(Locale.US, "DELETE FROM media_v2 WHERE uid = %d AND mid <= %d", Integer.valueOf(-channelId), Long.valueOf(maxMessageId))).stepThis().dispose();
                        state2 = this.database.executeFast(String.format(Locale.US, "UPDATE media_counts_v2 SET old = 1 WHERE uid = %d", Integer.valueOf(-channelId)));
                        state2.stepThis().dispose();
                        SQLitePreparedStatement state322 = null;
                        if (data2 != null) {
                            data2.reuse();
                        }
                        if (cursor != null) {
                            cursor.dispose();
                        }
                        if (0 != 0) {
                            state322.dispose();
                        }
                    } catch (Exception e13) {
                        e = e13;
                    } catch (Throwable th13) {
                        th = th13;
                    }
                } catch (Exception e14) {
                    e = e14;
                    cursor = null;
                } catch (Throwable th14) {
                    th = th14;
                    cursor = null;
                }
            } catch (Throwable th15) {
                th = th15;
            }
        } catch (Exception e15) {
            e = e15;
        } catch (Throwable th16) {
            th = th16;
        }
        return dialogsIds;
    }

    public ArrayList<Long> markMessagesAsDeleted(final int channelId, final int mid, boolean useQueue, final boolean deleteFiles) {
        if (useQueue) {
            this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda81
                @Override // java.lang.Runnable
                public final void run() {
                    MessagesStorage.this.m819xe259cf43(channelId, mid, deleteFiles);
                }
            });
            return null;
        }
        return m819xe259cf43(channelId, mid, deleteFiles);
    }

    private void fixUnsupportedMedia(TLRPC.Message message) {
        if (message == null) {
            return;
        }
        if (message.media instanceof TLRPC.TL_messageMediaUnsupported_old) {
            if (message.media.bytes.length == 0) {
                message.media.bytes = new byte[1];
                message.media.bytes[0] = 105;
            }
        } else if (message.media instanceof TLRPC.TL_messageMediaUnsupported) {
            message.media = new TLRPC.TL_messageMediaUnsupported_old();
            message.media.bytes = new byte[1];
            message.media.bytes[0] = 105;
            message.flags |= 512;
        }
    }

    private void doneHolesInTable(String table, long did, int max_id) throws Exception {
        SQLitePreparedStatement state;
        SQLitePreparedStatement state2 = null;
        try {
            try {
                if (max_id == 0) {
                    state = this.database.executeFast(String.format(Locale.US, "DELETE FROM " + table + " WHERE uid = %d", Long.valueOf(did)));
                } else {
                    state = this.database.executeFast(String.format(Locale.US, "DELETE FROM " + table + " WHERE uid = %d AND start = 0", Long.valueOf(did)));
                }
                state.stepThis().dispose();
                state2 = this.database.executeFast("REPLACE INTO " + table + " VALUES(?, ?, ?)");
                state2.requery();
                state2.bindLong(1, did);
                state2.bindInteger(2, 1);
                state2.bindInteger(3, 1);
                state2.step();
                state2.dispose();
                state2 = null;
            } catch (Exception e) {
                FileLog.e("doneHolesInTable ---> exception ", e);
                throw new Exception(e);
            }
        } finally {
            if (state2 != null) {
                state2.dispose();
            }
        }
    }

    public void doneHolesInMedia(long did, int max_id, int type) throws Exception {
        SQLitePreparedStatement state;
        SQLitePreparedStatement state2;
        SQLitePreparedStatement state3;
        SQLitePreparedStatement state4 = null;
        try {
            try {
                if (type == -1) {
                    if (max_id == 0) {
                        state3 = this.database.executeFast(String.format(Locale.US, "DELETE FROM media_holes_v2 WHERE uid = %d", Long.valueOf(did)));
                    } else {
                        state3 = this.database.executeFast(String.format(Locale.US, "DELETE FROM media_holes_v2 WHERE uid = %d AND start = 0", Long.valueOf(did)));
                    }
                    state3.stepThis().dispose();
                    SQLitePreparedStatement state5 = this.database.executeFast("REPLACE INTO media_holes_v2 VALUES(?, ?, ?, ?)");
                    for (int a2 = 0; a2 < 5; a2++) {
                        state5.requery();
                        state5.bindLong(1, did);
                        state5.bindInteger(2, a2);
                        state5.bindInteger(3, 1);
                        state5.bindInteger(4, 1);
                        state5.step();
                    }
                    state5.dispose();
                    state2 = null;
                } else {
                    if (max_id == 0) {
                        state = this.database.executeFast(String.format(Locale.US, "DELETE FROM media_holes_v2 WHERE uid = %d AND type = %d", Long.valueOf(did), Integer.valueOf(type)));
                    } else {
                        state = this.database.executeFast(String.format(Locale.US, "DELETE FROM media_holes_v2 WHERE uid = %d AND type = %d AND start = 0", Long.valueOf(did), Integer.valueOf(type)));
                    }
                    state.stepThis().dispose();
                    SQLitePreparedStatement state6 = this.database.executeFast("REPLACE INTO media_holes_v2 VALUES(?, ?, ?, ?)");
                    state6.requery();
                    state6.bindLong(1, did);
                    state6.bindInteger(2, type);
                    state6.bindInteger(3, 1);
                    state6.bindInteger(4, 1);
                    state6.step();
                    state6.dispose();
                    state2 = null;
                }
            } catch (Exception e) {
                FileLog.e("doneHolesInMedia ---> exception ", e);
                throw new Exception(e);
            }
        } finally {
            if (state4 != null) {
                state4.dispose();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes16.dex */
    public static class Hole {
        public int end;
        public int start;
        public int type;

        public Hole(int s, int e) {
            this.start = s;
            this.end = e;
        }

        public Hole(int t, int s, int e) {
            this.type = t;
            this.start = s;
            this.end = e;
        }
    }

    public void closeHolesInMedia(long did, int minId, int maxId, int type) {
        SQLitePreparedStatement state;
        SQLitePreparedStatement state2;
        SQLitePreparedStatement state3;
        ArrayList<Hole> holes = null;
        SQLiteCursor cursor = null;
        SQLitePreparedStatement state4 = null;
        int i = 1;
        try {
            try {
                cursor = type < 0 ? this.database.queryFinalized(String.format(Locale.US, "SELECT type, start, end FROM media_holes_v2 WHERE uid = %d AND type >= 0 AND ((end >= %d AND end <= %d) OR (start >= %d AND start <= %d) OR (start >= %d AND end <= %d) OR (start <= %d AND end >= %d))", Long.valueOf(did), Integer.valueOf(minId), Integer.valueOf(maxId), Integer.valueOf(minId), Integer.valueOf(maxId), Integer.valueOf(minId), Integer.valueOf(maxId), Integer.valueOf(minId), Integer.valueOf(maxId)), new Object[0]) : this.database.queryFinalized(String.format(Locale.US, "SELECT type, start, end FROM media_holes_v2 WHERE uid = %d AND type = %d AND ((end >= %d AND end <= %d) OR (start >= %d AND start <= %d) OR (start >= %d AND end <= %d) OR (start <= %d AND end >= %d))", Long.valueOf(did), Integer.valueOf(type), Integer.valueOf(minId), Integer.valueOf(maxId), Integer.valueOf(minId), Integer.valueOf(maxId), Integer.valueOf(minId), Integer.valueOf(maxId), Integer.valueOf(minId), Integer.valueOf(maxId)), new Object[0]);
                while (cursor.next()) {
                    if (holes == null) {
                        holes = new ArrayList<>();
                    }
                    int holeType = cursor.intValue(0);
                    int start = cursor.intValue(1);
                    int end = cursor.intValue(2);
                    if (start != end || start != 1) {
                        holes.add(new Hole(holeType, start, end));
                    }
                }
                cursor.dispose();
                cursor = null;
                if (holes != null) {
                    SQLitePreparedStatement state5 = null;
                    int a2 = 0;
                    while (a2 < holes.size()) {
                        try {
                            Hole hole = holes.get(a2);
                            if (maxId >= hole.end - i && minId <= hole.start + i) {
                                SQLitePreparedStatement state6 = this.database.executeFast(String.format(Locale.US, "DELETE FROM media_holes_v2 WHERE uid = %d AND type = %d AND start = %d AND end = %d", Long.valueOf(did), Integer.valueOf(hole.type), Integer.valueOf(hole.start), Integer.valueOf(hole.end)));
                                try {
                                    state6.stepThis().dispose();
                                    state = null;
                                } catch (Exception e) {
                                    e = e;
                                    state4 = state6;
                                    FileLog.e("closeHolesInMedia ---> exception 3 ", e);
                                    if (cursor != null) {
                                        cursor.dispose();
                                    }
                                    if (state4 == null) {
                                        return;
                                    }
                                    state4.dispose();
                                } catch (Throwable th) {
                                    th = th;
                                    state4 = state6;
                                    if (cursor != null) {
                                        cursor.dispose();
                                    }
                                    if (state4 != null) {
                                        state4.dispose();
                                    }
                                    throw th;
                                }
                            } else if (maxId >= hole.end - 1) {
                                if (hole.end != minId) {
                                    try {
                                        try {
                                            state3 = this.database.executeFast(String.format(Locale.US, "UPDATE media_holes_v2 SET end = %d WHERE uid = %d AND type = %d AND start = %d AND end = %d", Integer.valueOf(minId), Long.valueOf(did), Integer.valueOf(hole.type), Integer.valueOf(hole.start), Integer.valueOf(hole.end)));
                                        } catch (Throwable th2) {
                                            th = th2;
                                        }
                                    } catch (Exception e2) {
                                        e = e2;
                                    }
                                    try {
                                        state3.stepThis().dispose();
                                        SQLitePreparedStatement state7 = null;
                                        if (0 != 0) {
                                            state7.dispose();
                                        }
                                        state5 = null;
                                    } catch (Exception e3) {
                                        e = e3;
                                        state5 = state3;
                                        FileLog.e("closeHolesInMedia ---> exception 1 ", e);
                                        if (state5 != null) {
                                            state5.dispose();
                                        }
                                        state = state5;
                                        a2++;
                                        state5 = state;
                                        i = 1;
                                    } catch (Throwable th3) {
                                        th = th3;
                                        state5 = state3;
                                        if (state5 != null) {
                                            state5.dispose();
                                        }
                                        throw th;
                                    }
                                    state = state5;
                                }
                                state = state5;
                            } else if (minId <= hole.start + 1) {
                                if (hole.start != maxId) {
                                    try {
                                        try {
                                            state2 = this.database.executeFast(String.format(Locale.US, "UPDATE media_holes_v2 SET start = %d WHERE uid = %d AND type = %d AND start = %d AND end = %d", Integer.valueOf(maxId), Long.valueOf(did), Integer.valueOf(hole.type), Integer.valueOf(hole.start), Integer.valueOf(hole.end)));
                                        } catch (Exception e4) {
                                            e = e4;
                                        }
                                    } catch (Throwable th4) {
                                        th = th4;
                                    }
                                    try {
                                        state2.stepThis().dispose();
                                        SQLitePreparedStatement state8 = null;
                                        if (0 != 0) {
                                            state8.dispose();
                                        }
                                        state5 = null;
                                    } catch (Exception e5) {
                                        e = e5;
                                        state5 = state2;
                                        FileLog.e("closeHolesInMedia ---> exception 2 ", e);
                                        if (state5 != null) {
                                            state5.dispose();
                                        }
                                        state = state5;
                                        a2++;
                                        state5 = state;
                                        i = 1;
                                    } catch (Throwable th5) {
                                        th = th5;
                                        state5 = state2;
                                        if (state5 != null) {
                                            state5.dispose();
                                        }
                                        throw th;
                                    }
                                    state = state5;
                                }
                                state = state5;
                            } else {
                                this.database.executeFast(String.format(Locale.US, "DELETE FROM media_holes_v2 WHERE uid = %d AND type = %d AND start = %d AND end = %d", Long.valueOf(did), Integer.valueOf(hole.type), Integer.valueOf(hole.start), Integer.valueOf(hole.end))).stepThis().dispose();
                                SQLitePreparedStatement state9 = this.database.executeFast("REPLACE INTO media_holes_v2 VALUES(?, ?, ?, ?)");
                                state9.requery();
                                state9.bindLong(1, did);
                                state9.bindInteger(2, hole.type);
                                state9.bindInteger(3, hole.start);
                                state9.bindInteger(4, minId);
                                state9.step();
                                state9.requery();
                                state9.bindLong(1, did);
                                state9.bindInteger(2, hole.type);
                                state9.bindInteger(3, maxId);
                                state9.bindInteger(4, hole.end);
                                state9.step();
                                state9.dispose();
                                state = null;
                            }
                            a2++;
                            state5 = state;
                            i = 1;
                        } catch (Exception e6) {
                            e = e6;
                            state4 = state5;
                        } catch (Throwable th6) {
                            th = th6;
                            state4 = state5;
                        }
                    }
                    state4 = state5;
                }
                if (0 != 0) {
                    cursor.dispose();
                }
                if (state4 == null) {
                    return;
                }
            } catch (Exception e7) {
                e = e7;
            }
            state4.dispose();
        } catch (Throwable th7) {
            th = th7;
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:100:0x02f4  */
    /* JADX WARN: Removed duplicated region for block: B:136:? A[RETURN, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:92:0x02e5  */
    /* JADX WARN: Removed duplicated region for block: B:98:0x02ef  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void closeHolesInTable(String table, long did, int minId, int maxId) {
        boolean ok;
        SQLitePreparedStatement state;
        SQLitePreparedStatement state2;
        boolean ok2 = false;
        ArrayList<Hole> holes = null;
        SQLiteCursor cursor = null;
        SQLitePreparedStatement state3 = null;
        try {
            cursor = this.database.queryFinalized(String.format(Locale.US, "SELECT start, end FROM " + table + " WHERE uid = %d AND ((end >= %d AND end <= %d) OR (start >= %d AND start <= %d) OR (start >= %d AND end <= %d) OR (start <= %d AND end >= %d))", Long.valueOf(did), Integer.valueOf(minId), Integer.valueOf(maxId), Integer.valueOf(minId), Integer.valueOf(maxId), Integer.valueOf(minId), Integer.valueOf(maxId), Integer.valueOf(minId), Integer.valueOf(maxId)), new Object[0]);
            while (cursor.next()) {
                if (holes == null) {
                    try {
                        holes = new ArrayList<>();
                    } catch (Exception e) {
                        e = e;
                        try {
                            FileLog.e("closeHolesInTable ---> exception 3 ", e);
                            if (cursor != null) {
                            }
                            if (state3 == null) {
                            }
                            state3.dispose();
                        } catch (Throwable th) {
                            th = th;
                            if (cursor != null) {
                            }
                            if (state3 != null) {
                            }
                            throw th;
                        }
                    } catch (Throwable th2) {
                        th = th2;
                        if (cursor != null) {
                        }
                        if (state3 != null) {
                        }
                        throw th;
                    }
                }
                int start = cursor.intValue(0);
                int end = cursor.intValue(1);
                if (start != end || start != 1) {
                    holes.add(new Hole(start, end));
                }
            }
            cursor.dispose();
            cursor = null;
            if (holes != null) {
                SQLitePreparedStatement state4 = null;
                int a2 = 0;
                while (a2 < holes.size()) {
                    try {
                        Hole hole = holes.get(a2);
                        if (maxId < hole.end - 1 || minId > hole.start + 1) {
                            ok = ok2;
                            if (maxId >= hole.end - 1) {
                                if (hole.end != minId) {
                                    try {
                                        state2 = this.database.executeFast(String.format(Locale.US, SQLBuilder.UPDATE + table + " SET end = %d WHERE uid = %d AND start = %d AND end = %d", Integer.valueOf(minId), Long.valueOf(did), Integer.valueOf(hole.start), Integer.valueOf(hole.end)));
                                    } catch (Exception e2) {
                                        e = e2;
                                    }
                                    try {
                                        state2.stepThis().dispose();
                                        state4 = null;
                                    } catch (Exception e3) {
                                        e = e3;
                                        state4 = state2;
                                        FileLog.e("closeHolesInTable ---> exception 1 ", e);
                                        state = state4;
                                        a2++;
                                        state4 = state;
                                        ok2 = ok;
                                    }
                                    state = state4;
                                }
                                state = state4;
                            } else if (minId <= hole.start + 1) {
                                if (hole.start != maxId) {
                                    try {
                                        SQLitePreparedStatement state5 = this.database.executeFast(String.format(Locale.US, SQLBuilder.UPDATE + table + " SET start = %d WHERE uid = %d AND start = %d AND end = %d", Integer.valueOf(maxId), Long.valueOf(did), Integer.valueOf(hole.start), Integer.valueOf(hole.end)));
                                        try {
                                            state5.stepThis().dispose();
                                            state4 = null;
                                        } catch (Exception e4) {
                                            e = e4;
                                            state4 = state5;
                                            FileLog.e("closeHolesInTable ---> exception 2 ", e);
                                            state = state4;
                                            a2++;
                                            state4 = state;
                                            ok2 = ok;
                                        }
                                    } catch (Exception e5) {
                                        e = e5;
                                    }
                                    state = state4;
                                }
                                state = state4;
                            } else {
                                this.database.executeFast(String.format(Locale.US, "DELETE FROM " + table + " WHERE uid = %d AND start = %d AND end = %d", Long.valueOf(did), Integer.valueOf(hole.start), Integer.valueOf(hole.end))).stepThis().dispose();
                                state = this.database.executeFast("REPLACE INTO " + table + " VALUES(?, ?, ?)");
                                state.requery();
                                state.bindLong(1, did);
                                state.bindInteger(2, hole.start);
                                state.bindInteger(3, minId);
                                state.step();
                                state.requery();
                                state.bindLong(1, did);
                                state.bindInteger(2, maxId);
                                state.bindInteger(3, hole.end);
                                state.step();
                                state.dispose();
                            }
                        } else {
                            ok = ok2;
                            try {
                                try {
                                    SQLitePreparedStatement state6 = this.database.executeFast(String.format(Locale.US, "DELETE FROM " + table + " WHERE uid = %d AND start = %d AND end = %d", Long.valueOf(did), Integer.valueOf(hole.start), Integer.valueOf(hole.end)));
                                    try {
                                        try {
                                            state6.stepThis().dispose();
                                            state = null;
                                        } catch (Exception e6) {
                                            e = e6;
                                            state3 = state6;
                                            FileLog.e("closeHolesInTable ---> exception 3 ", e);
                                            if (cursor != null) {
                                                cursor.dispose();
                                            }
                                            if (state3 == null) {
                                                return;
                                            }
                                            state3.dispose();
                                        }
                                    } catch (Throwable th3) {
                                        th = th3;
                                        state3 = state6;
                                        if (cursor != null) {
                                            cursor.dispose();
                                        }
                                        if (state3 != null) {
                                            state3.dispose();
                                        }
                                        throw th;
                                    }
                                } catch (Throwable th4) {
                                    th = th4;
                                    state3 = state4;
                                }
                            } catch (Exception e7) {
                                e = e7;
                                state3 = state4;
                            }
                        }
                        a2++;
                        state4 = state;
                        ok2 = ok;
                    } catch (Exception e8) {
                        e = e8;
                        state3 = state4;
                    } catch (Throwable th5) {
                        th = th5;
                        state3 = state4;
                    }
                }
                state3 = state4;
            }
            if (0 != 0) {
                cursor.dispose();
            }
            if (state3 == null) {
                return;
            }
        } catch (Exception e9) {
            e = e9;
        } catch (Throwable th6) {
            th = th6;
        }
        state3.dispose();
    }

    public void replaceMessageIfExists(final TLRPC.Message message, final int currentAccount, final ArrayList<TLRPC.User> users, final ArrayList<TLRPC.Chat> chats, final boolean broadcast) {
        if (message == null) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda142
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m852x3280bf3d(message, broadcast, users, chats, currentAccount);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:111:0x0203  */
    /* JADX WARN: Removed duplicated region for block: B:113:0x0208  */
    /* JADX WARN: Removed duplicated region for block: B:115:0x020d  */
    /* JADX WARN: Removed duplicated region for block: B:117:0x0212  */
    /* JADX WARN: Removed duplicated region for block: B:121:0x021c  */
    /* JADX WARN: Removed duplicated region for block: B:123:0x0221  */
    /* JADX WARN: Removed duplicated region for block: B:125:0x0226  */
    /* JADX WARN: Removed duplicated region for block: B:127:0x022b  */
    /* JADX WARN: Removed duplicated region for block: B:146:? A[RETURN, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:55:0x00f9 A[Catch: all -> 0x007d, Exception -> 0x01ef, TryCatch #0 {Exception -> 0x01ef, blocks: (B:43:0x0087, B:45:0x00a1, B:46:0x00a4, B:48:0x00de, B:53:0x00e6, B:55:0x00f9, B:57:0x0106, B:60:0x0110, B:62:0x011e, B:63:0x013c, B:56:0x00ff, B:42:0x0082), top: B:129:0x0082 }] */
    /* JADX WARN: Removed duplicated region for block: B:56:0x00ff A[Catch: all -> 0x007d, Exception -> 0x01ef, TryCatch #0 {Exception -> 0x01ef, blocks: (B:43:0x0087, B:45:0x00a1, B:46:0x00a4, B:48:0x00de, B:53:0x00e6, B:55:0x00f9, B:57:0x0106, B:60:0x0110, B:62:0x011e, B:63:0x013c, B:56:0x00ff, B:42:0x0082), top: B:129:0x0082 }] */
    /* JADX WARN: Removed duplicated region for block: B:59:0x010f  */
    /* JADX WARN: Removed duplicated region for block: B:62:0x011e A[Catch: all -> 0x007d, Exception -> 0x01ef, TryCatch #0 {Exception -> 0x01ef, blocks: (B:43:0x0087, B:45:0x00a1, B:46:0x00a4, B:48:0x00de, B:53:0x00e6, B:55:0x00f9, B:57:0x0106, B:60:0x0110, B:62:0x011e, B:63:0x013c, B:56:0x00ff, B:42:0x0082), top: B:129:0x0082 }] */
    /* JADX WARN: Removed duplicated region for block: B:71:0x014f A[Catch: all -> 0x01d1, Exception -> 0x01d7, TryCatch #12 {Exception -> 0x01d7, all -> 0x01d1, blocks: (B:69:0x0148, B:71:0x014f, B:72:0x015b, B:74:0x0161, B:76:0x0179, B:78:0x017f, B:79:0x0194), top: B:139:0x0148 }] */
    /* JADX WARN: Removed duplicated region for block: B:81:0x01bd  */
    /* JADX WARN: Removed duplicated region for block: B:83:0x01c2  */
    /* JADX WARN: Removed duplicated region for block: B:85:0x01c7  */
    /* JADX WARN: Removed duplicated region for block: B:87:0x01cc  */
    /* renamed from: lambda$replaceMessageIfExists$138$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m852x3280bf3d(TLRPC.Message message, boolean broadcast, ArrayList users, ArrayList chats, int currentAccount) {
        int i;
        SQLiteCursor cursor = null;
        NativeByteBuffer data = null;
        SQLitePreparedStatement state = null;
        SQLitePreparedStatement state2 = null;
        try {
            try {
                long messageId = message.id;
                int channelId = 0 == 0 ? message.to_id.channel_id : 0;
                long messageId2 = message.to_id.channel_id != 0 ? messageId | (channelId << 32) : messageId;
                try {
                    try {
                        cursor = this.database.queryFinalized(String.format(Locale.US, "SELECT uid FROM messages WHERE mid = %d LIMIT 1", Long.valueOf(messageId2)), new Object[0]);
                    } catch (Exception e) {
                        FileLog.e("replaceMessageIfExists ---> exception 1 ", e);
                        if (cursor != null) {
                            cursor.dispose();
                        }
                    }
                    if (!cursor.next()) {
                        if (cursor != null) {
                            cursor.dispose();
                        }
                        if (0 != 0) {
                            data.reuse();
                        }
                        if (cursor != null) {
                            cursor.dispose();
                        }
                        if (0 != 0) {
                            state.dispose();
                        }
                        if (0 != 0) {
                            state2.dispose();
                            return;
                        }
                        return;
                    }
                    cursor.dispose();
                    cursor = null;
                    if (0 != 0) {
                        cursor.dispose();
                    }
                    SQLiteCursor cursor2 = cursor;
                    try {
                        try {
                            this.database.beginTransaction();
                        } catch (Throwable th) {
                            th = th;
                            cursor = cursor2;
                            if (data != null) {
                                data.reuse();
                            }
                            if (cursor != null) {
                                cursor.dispose();
                            }
                            if (state != null) {
                                state.dispose();
                            }
                            if (state2 != null) {
                                state2.dispose();
                            }
                            throw th;
                        }
                    } catch (Exception e2) {
                        try {
                            FileLog.e("replaceMessageIfExists ---> exception 2 ", e2);
                        } catch (Exception e3) {
                            e = e3;
                            cursor = cursor2;
                            FileLog.e("replaceMessageIfExists ---> exception 3 ", e);
                            if (data != null) {
                                data.reuse();
                            }
                            if (cursor != null) {
                                cursor.dispose();
                            }
                            if (state != null) {
                                state.dispose();
                            }
                            if (state2 != null) {
                                state2.dispose();
                            }
                            return;
                        }
                    }
                    state = this.database.executeFast("REPLACE INTO messages VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, NULL, ?, ?,?)");
                    state2 = this.database.executeFast("REPLACE INTO media_v2 VALUES(?, ?, ?, ?, ?)");
                    if (message.dialog_id == 0) {
                        MessageObject.getDialogId(message);
                    }
                    fixUnsupportedMedia(message);
                    state.requery();
                    data = new NativeByteBuffer(message.getObjectSize());
                    message.serializeToStream(data);
                    state.bindLong(1, messageId2);
                    state.bindLong(2, message.dialog_id);
                    state.bindInteger(3, MessageObject.getUnreadFlags(message));
                    state.bindInteger(4, message.send_state);
                    state.bindInteger(5, message.date);
                    state.bindByteBuffer(6, data);
                    try {
                        try {
                            try {
                                if (!MessageObject.isOut(message) && !message.from_scheduled) {
                                    i = 0;
                                    state.bindInteger(7, i);
                                    state.bindInteger(8, message.ttl);
                                    if ((message.flags & 1024) == 0) {
                                        state.bindInteger(9, message.views);
                                    } else {
                                        state.bindInteger(9, getMessageMediaType(message));
                                    }
                                    state.bindInteger(10, 0);
                                    state.bindInteger(11, message.mentioned ? 1 : 0);
                                    state.step();
                                    if (MediaDataController.canAddMessageToMedia(message)) {
                                        state2.requery();
                                        state2.bindLong(1, messageId2);
                                        state2.bindLong(2, message.dialog_id);
                                        state2.bindInteger(3, message.date);
                                        state2.bindInteger(4, MediaDataController.getMediaType(message));
                                        state2.bindByteBuffer(5, data);
                                        state2.step();
                                    }
                                    data.reuse();
                                    NativeByteBuffer data2 = null;
                                    state.dispose();
                                    SQLitePreparedStatement state3 = null;
                                    state2.dispose();
                                    SQLitePreparedStatement state22 = null;
                                    this.database.commitTransaction();
                                    if (broadcast) {
                                        HashMap<Integer, TLRPC.User> userHashMap = new HashMap<>();
                                        HashMap<Integer, TLRPC.Chat> chatHashMap = new HashMap<>();
                                        for (int a2 = 0; a2 < users.size(); a2++) {
                                            TLRPC.User user = (TLRPC.User) users.get(a2);
                                            userHashMap.put(Integer.valueOf(user.id), user);
                                        }
                                        for (int a3 = 0; a3 < chats.size(); a3++) {
                                            TLRPC.Chat chat = (TLRPC.Chat) chats.get(a3);
                                            chatHashMap.put(Integer.valueOf(chat.id), chat);
                                        }
                                        final MessageObject messageObject = new MessageObject(currentAccount, message, (AbstractMap<Integer, TLRPC.User>) userHashMap, (AbstractMap<Integer, TLRPC.Chat>) chatHashMap, true);
                                        final ArrayList<MessageObject> arrayList = new ArrayList<>();
                                        arrayList.add(messageObject);
                                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda50
                                            @Override // java.lang.Runnable
                                            public final void run() {
                                                MessagesStorage.this.m851xa5e0943c(messageObject, arrayList);
                                            }
                                        });
                                    }
                                    if (0 != 0) {
                                        data2.reuse();
                                    }
                                    if (cursor2 != null) {
                                        cursor2.dispose();
                                    }
                                    if (0 != 0) {
                                        state3.dispose();
                                    }
                                    if (0 == 0) {
                                        state22.dispose();
                                        return;
                                    }
                                    return;
                                }
                                this.database.commitTransaction();
                                if (broadcast) {
                                }
                                if (0 != 0) {
                                }
                                if (cursor2 != null) {
                                }
                                if (0 != 0) {
                                }
                                if (0 == 0) {
                                }
                            } catch (Exception e4) {
                                e = e4;
                                cursor = cursor2;
                                data = null;
                                state = null;
                                state2 = null;
                                FileLog.e("replaceMessageIfExists ---> exception 3 ", e);
                                if (data != null) {
                                }
                                if (cursor != null) {
                                }
                                if (state != null) {
                                }
                                if (state2 != null) {
                                }
                                return;
                            } catch (Throwable th2) {
                                th = th2;
                                cursor = cursor2;
                                data = null;
                                state = null;
                                state2 = null;
                                if (data != null) {
                                }
                                if (cursor != null) {
                                }
                                if (state != null) {
                                }
                                if (state2 != null) {
                                }
                                throw th;
                            }
                            state2.dispose();
                            SQLitePreparedStatement state222 = null;
                        } catch (Exception e5) {
                            e = e5;
                            cursor = cursor2;
                            data = null;
                            state = null;
                        } catch (Throwable th3) {
                            th = th3;
                            cursor = cursor2;
                            data = null;
                            state = null;
                        }
                        state.dispose();
                        SQLitePreparedStatement state32 = null;
                    } catch (Exception e6) {
                        e = e6;
                        cursor = cursor2;
                        data = null;
                    } catch (Throwable th4) {
                        th = th4;
                        cursor = cursor2;
                        data = null;
                    }
                    i = 1;
                    state.bindInteger(7, i);
                    state.bindInteger(8, message.ttl);
                    if ((message.flags & 1024) == 0) {
                    }
                    state.bindInteger(10, 0);
                    state.bindInteger(11, message.mentioned ? 1 : 0);
                    state.step();
                    if (MediaDataController.canAddMessageToMedia(message)) {
                    }
                    data.reuse();
                    NativeByteBuffer data22 = null;
                } catch (Throwable th5) {
                    if (cursor != null) {
                        cursor.dispose();
                    }
                    throw th5;
                }
            } catch (Exception e7) {
                e = e7;
            }
        } catch (Throwable th6) {
            th = th6;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$replaceMessageIfExists$137$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m851xa5e0943c(MessageObject messageObject, ArrayList arrayList) {
        getNotificationCenter().postNotificationName(NotificationCenter.replaceMessagesObjects, Long.valueOf(messageObject.getDialogId()), arrayList);
    }

    public void putMessages(final TLRPC.messages_Messages messages, final long dialog_id, final int load_type, final int max_id, final boolean createDialog, final boolean scheduled) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda133
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m838lambda$putMessages$139$imuecahxyvjdmessengerMessagesStorage(scheduled, dialog_id, messages, load_type, max_id, createDialog);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Can't wrap try/catch for region: R(23:(4:(8:323|324|326|327|(9:329|330|(10:332|333|334|335|336|337|338|(2:342|343)|349|(3:351|(2:433|(1:446)(3:441|(1:443)(1:445)|444))(6:359|360|361|362|(1:364)(1:427)|365)|(1:367)(1:426))(1:447))(1:458)|368|369|370|(1:372)(1:420)|373|(3:375|(12:377|378|379|380|381|382|383|384|385|(1:387)(1:402)|388|389)(1:418)|(2:391|(1:393))(2:399|(1:401)))(1:419))(1:459)|394|395|(3:397|226|227)(1:398))(1:162)|(3:262|263|(16:265|195|196|197|(1:199)(1:261)|200|(1:202)(1:260)|203|(4:205|206|207|208)(1:259)|209|210|211|(4:(1:214)(1:239)|215|216|217)(3:240|241|(4:(1:244)(1:253)|245|246|247))|(1:233)(2:(2:222|(1:224))(1:232)|225)|226|227))|226|227)|186|187|188|189|190|191|192|194|195|196|197|(0)(0)|200|(0)(0)|203|(0)(0)|209|210|211|(0)(0)|(1:219)|233) */
    /* JADX WARN: Code restructure failed: missing block: B:377:0x0852, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:378:0x0853, code lost:
        r1 = r0;
        r18 = r2;
        r22 = r3;
        r23 = r34;
     */
    /* JADX WARN: Code restructure failed: missing block: B:379:0x085e, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:380:0x085f, code lost:
        r1 = r0;
        r18 = r2;
        r22 = r3;
        r23 = r34;
     */
    /* JADX WARN: Code restructure failed: missing block: B:381:0x086a, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:382:0x086b, code lost:
        r1 = r0;
        r18 = r2;
        r22 = r32;
        r23 = r34;
     */
    /* JADX WARN: Code restructure failed: missing block: B:383:0x0878, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:384:0x0879, code lost:
        r1 = r0;
        r18 = r2;
        r22 = r32;
        r23 = r34;
     */
    /* JADX WARN: Code restructure failed: missing block: B:99:0x0208, code lost:
        if (r14 != 4) goto L142;
     */
    /* JADX WARN: Removed duplicated region for block: B:322:0x072e A[Catch: all -> 0x0708, Exception -> 0x0712, TRY_ENTER, TRY_LEAVE, TryCatch #55 {Exception -> 0x0712, all -> 0x0708, blocks: (B:309:0x0701, B:322:0x072e), top: B:542:0x0701 }] */
    /* JADX WARN: Removed duplicated region for block: B:324:0x0736 A[Catch: all -> 0x0852, Exception -> 0x085e, TRY_ENTER, TryCatch #65 {Exception -> 0x085e, all -> 0x0852, blocks: (B:307:0x06dc, B:319:0x071e, B:325:0x073f, B:329:0x074c, B:331:0x075a, B:324:0x0736), top: B:522:0x06dc }] */
    /* JADX WARN: Removed duplicated region for block: B:327:0x0749  */
    /* JADX WARN: Removed duplicated region for block: B:328:0x074b  */
    /* JADX WARN: Removed duplicated region for block: B:331:0x075a A[Catch: all -> 0x0852, Exception -> 0x085e, TRY_LEAVE, TryCatch #65 {Exception -> 0x085e, all -> 0x0852, blocks: (B:307:0x06dc, B:319:0x071e, B:325:0x073f, B:329:0x074c, B:331:0x075a, B:324:0x0736), top: B:522:0x06dc }] */
    /* JADX WARN: Removed duplicated region for block: B:334:0x077d  */
    /* JADX WARN: Removed duplicated region for block: B:339:0x078c  */
    /* JADX WARN: Removed duplicated region for block: B:349:0x07ce  */
    /* JADX WARN: Removed duplicated region for block: B:449:0x09c1  */
    /* JADX WARN: Removed duplicated region for block: B:451:0x09c6  */
    /* JADX WARN: Removed duplicated region for block: B:453:0x09cb  */
    /* JADX WARN: Removed duplicated region for block: B:455:0x09d0  */
    /* JADX WARN: Removed duplicated region for block: B:457:0x09d5  */
    /* JADX WARN: Removed duplicated region for block: B:459:0x09da  */
    /* JADX WARN: Removed duplicated region for block: B:461:0x09df  */
    /* JADX WARN: Removed duplicated region for block: B:463:0x09e4  */
    /* JADX WARN: Removed duplicated region for block: B:465:0x09e9  */
    /* JADX WARN: Removed duplicated region for block: B:472:0x09f4  */
    /* JADX WARN: Removed duplicated region for block: B:474:0x09f9  */
    /* JADX WARN: Removed duplicated region for block: B:476:0x09fe  */
    /* JADX WARN: Removed duplicated region for block: B:478:0x0a03  */
    /* JADX WARN: Removed duplicated region for block: B:480:0x0a08  */
    /* JADX WARN: Removed duplicated region for block: B:482:0x0a0d  */
    /* JADX WARN: Removed duplicated region for block: B:484:0x0a12  */
    /* JADX WARN: Removed duplicated region for block: B:486:0x0a17  */
    /* JADX WARN: Removed duplicated region for block: B:488:0x0a1c  */
    /* JADX WARN: Removed duplicated region for block: B:490:0x0a21  */
    /* JADX WARN: Removed duplicated region for block: B:574:? A[RETURN, SYNTHETIC] */
    /* renamed from: lambda$putMessages$139$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m838lambda$putMessages$139$imuecahxyvjdmessengerMessagesStorage(boolean scheduled, long dialog_id, TLRPC.messages_Messages messages, int load_type, int max_id, boolean createDialog) {
        Throwable th;
        Exception e;
        int minId;
        int i;
        TLRPC.messages_Messages messages_messages;
        SQLitePreparedStatement state_messages;
        SQLitePreparedStatement state_media;
        int count;
        int channelId;
        TLRPC.Message botKeyboard;
        SQLitePreparedStatement state_messages2;
        SQLitePreparedStatement state_media2;
        long j;
        TLRPC.messages_Messages messages_messages2;
        ArrayList<File> filesToDelete;
        boolean sameMedia;
        NativeByteBuffer data;
        int i2;
        int mentions;
        int flags;
        boolean exist;
        int maxId;
        SQLiteCursor cursor = null;
        SQLiteCursor cursor2 = null;
        NativeByteBuffer data2 = null;
        SQLitePreparedStatement state = null;
        SQLitePreparedStatement state1 = null;
        SQLitePreparedStatement state3 = null;
        SQLitePreparedStatement state_messages3 = null;
        SQLitePreparedStatement state_media3 = null;
        SQLitePreparedStatement state_polls = null;
        SQLitePreparedStatement state_webpage = null;
        try {
            try {
                if (scheduled) {
                    this.database.executeFast(String.format(Locale.US, "DELETE FROM scheduled_messages WHERE uid = %d AND mid > 0", Long.valueOf(dialog_id))).stepThis().dispose();
                    state = null;
                    SQLitePreparedStatement state_messages4 = this.database.executeFast("REPLACE INTO scheduled_messages VALUES(?, ?, ?, ?, ?, ?, NULL)");
                    int channelId2 = 0;
                    try {
                        int count2 = messages.messages.size();
                        int a2 = 0;
                        while (a2 < count2) {
                            TLRPC.Message message = messages.messages.get(a2);
                            int a3 = a2;
                            long messageId = message.id;
                            if (channelId2 == 0) {
                                channelId2 = message.to_id.channel_id;
                            }
                            if (message.to_id.channel_id != 0) {
                                messageId |= channelId2 << 32;
                            }
                            fixUnsupportedMedia(message);
                            state_messages4.requery();
                            NativeByteBuffer data3 = new NativeByteBuffer(message.getObjectSize());
                            try {
                                message.serializeToStream(data3);
                                state_messages4.bindLong(1, messageId);
                                state_messages4.bindLong(2, dialog_id);
                                state_messages4.bindInteger(3, message.send_state);
                                state_messages4.bindInteger(4, message.date);
                                state_messages4.bindByteBuffer(5, data3);
                                state_messages4.bindInteger(6, message.ttl);
                                state_messages4.step();
                                data3.reuse();
                                data2 = null;
                                a2 = a3 + 1;
                            } catch (Exception e2) {
                                state_messages3 = state_messages4;
                                data2 = data3;
                                e = e2;
                                FileLog.e("putMessages ---> exception 2 ", e);
                                if (data2 != null) {
                                }
                                if (cursor != null) {
                                }
                                if (cursor2 != null) {
                                }
                                if (state != null) {
                                }
                                if (0 != 0) {
                                }
                                if (state3 != null) {
                                }
                                if (state_messages3 != null) {
                                }
                                if (state_media3 != null) {
                                }
                                if (state_polls != null) {
                                }
                                if (state_webpage == null) {
                                }
                                state_webpage.dispose();
                            } catch (Throwable th2) {
                                state_messages3 = state_messages4;
                                data2 = data3;
                                th = th2;
                                if (data2 != null) {
                                }
                                if (cursor != null) {
                                }
                                if (cursor2 != null) {
                                }
                                if (state != null) {
                                }
                                if (0 != 0) {
                                }
                                if (state3 != null) {
                                }
                                if (state_messages3 != null) {
                                }
                                if (state_media3 != null) {
                                }
                                if (state_polls != null) {
                                }
                                if (state_webpage != null) {
                                }
                                throw th;
                            }
                        }
                        state_messages4.dispose();
                        state_messages3 = null;
                        putUsersInternal(messages.users);
                        putChatsInternal(messages.chats);
                        this.database.commitTransaction();
                        broadcastScheduledMessagesChange(Long.valueOf(dialog_id));
                    } catch (Exception e3) {
                        state_messages3 = state_messages4;
                        e = e3;
                    } catch (Throwable th3) {
                        state_messages3 = state_messages4;
                        th = th3;
                    }
                } else {
                    try {
                        if (messages.messages.isEmpty()) {
                            if (load_type == 0) {
                                doneHolesInTable("messages_holes", dialog_id, max_id);
                                doneHolesInMedia(dialog_id, max_id, -1);
                            }
                            if (0 != 0) {
                                data2.reuse();
                            }
                            if (0 != 0) {
                                cursor.dispose();
                            }
                            if (0 != 0) {
                                cursor2.dispose();
                            }
                            if (0 != 0) {
                                state.dispose();
                            }
                            if (0 != 0) {
                                state1.dispose();
                            }
                            if (0 != 0) {
                                state3.dispose();
                            }
                            if (0 != 0) {
                                state_messages3.dispose();
                            }
                            if (0 != 0) {
                                state_media3.dispose();
                            }
                            if (0 != 0) {
                                state_polls.dispose();
                            }
                            if (0 != 0) {
                                state_webpage.dispose();
                                return;
                            }
                            return;
                        }
                        try {
                            this.database.beginTransaction();
                        } catch (Exception e4) {
                            FileLog.e("putMessages --->  exception 1 ", e4);
                        }
                        if (load_type == 0) {
                            try {
                                minId = messages.messages.get(messages.messages.size() - 1).id;
                                closeHolesInTable("messages_holes", dialog_id, minId, max_id);
                                i = load_type;
                            } catch (Exception e5) {
                                e = e5;
                            } catch (Throwable th4) {
                                th = th4;
                            }
                            try {
                                closeHolesInMedia(dialog_id, minId, max_id, -1);
                                messages_messages = messages;
                            } catch (Exception e6) {
                                e = e6;
                                FileLog.e("putMessages ---> exception 2 ", e);
                                if (data2 != null) {
                                }
                                if (cursor != null) {
                                }
                                if (cursor2 != null) {
                                }
                                if (state != null) {
                                }
                                if (0 != 0) {
                                }
                                if (state3 != null) {
                                }
                                if (state_messages3 != null) {
                                }
                                if (state_media3 != null) {
                                }
                                if (state_polls != null) {
                                }
                                if (state_webpage == null) {
                                }
                                state_webpage.dispose();
                            } catch (Throwable th5) {
                                th = th5;
                                if (data2 != null) {
                                }
                                if (cursor != null) {
                                }
                                if (cursor2 != null) {
                                }
                                if (state != null) {
                                }
                                if (0 != 0) {
                                }
                                if (state3 != null) {
                                }
                                if (state_messages3 != null) {
                                }
                                if (state_media3 != null) {
                                }
                                if (state_polls != null) {
                                }
                                if (state_webpage != null) {
                                }
                                throw th;
                            }
                        } else {
                            i = load_type;
                            if (i == 1) {
                                try {
                                    int maxId2 = messages.messages.get(0).id;
                                    closeHolesInTable("messages_holes", dialog_id, max_id, maxId2);
                                    messages_messages = messages;
                                    try {
                                        closeHolesInMedia(dialog_id, max_id, maxId2, -1);
                                    } catch (Exception e7) {
                                        e = e7;
                                        e = e;
                                        FileLog.e("putMessages ---> exception 2 ", e);
                                        if (data2 != null) {
                                        }
                                        if (cursor != null) {
                                        }
                                        if (cursor2 != null) {
                                        }
                                        if (state != null) {
                                        }
                                        if (0 != 0) {
                                        }
                                        if (state3 != null) {
                                        }
                                        if (state_messages3 != null) {
                                        }
                                        if (state_media3 != null) {
                                        }
                                        if (state_polls != null) {
                                        }
                                        if (state_webpage == null) {
                                        }
                                        state_webpage.dispose();
                                    } catch (Throwable th6) {
                                        th = th6;
                                        th = th;
                                        if (data2 != null) {
                                        }
                                        if (cursor != null) {
                                        }
                                        if (cursor2 != null) {
                                        }
                                        if (state != null) {
                                        }
                                        if (0 != 0) {
                                        }
                                        if (state3 != null) {
                                        }
                                        if (state_messages3 != null) {
                                        }
                                        if (state_media3 != null) {
                                        }
                                        if (state_polls != null) {
                                        }
                                        if (state_webpage != null) {
                                        }
                                        throw th;
                                    }
                                } catch (Exception e8) {
                                    e = e8;
                                    messages_messages = messages;
                                } catch (Throwable th7) {
                                    th = th7;
                                    messages_messages = messages;
                                }
                            } else {
                                messages_messages = messages;
                                if (i != 3) {
                                    if (i != 2) {
                                    }
                                }
                                if (max_id != 0 || i == 4) {
                                    try {
                                        maxId = messages_messages.messages.get(0).id;
                                    } catch (Exception e9) {
                                        e = e9;
                                        FileLog.e("putMessages ---> exception 2 ", e);
                                        if (data2 != null) {
                                        }
                                        if (cursor != null) {
                                        }
                                        if (cursor2 != null) {
                                        }
                                        if (state != null) {
                                        }
                                        if (0 != 0) {
                                        }
                                        if (state3 != null) {
                                        }
                                        if (state_messages3 != null) {
                                        }
                                        if (state_media3 != null) {
                                        }
                                        if (state_polls != null) {
                                        }
                                        if (state_webpage == null) {
                                        }
                                        state_webpage.dispose();
                                    } catch (Throwable th8) {
                                        th = th8;
                                        if (data2 != null) {
                                        }
                                        if (cursor != null) {
                                        }
                                        if (cursor2 != null) {
                                        }
                                        if (state != null) {
                                        }
                                        if (0 != 0) {
                                        }
                                        if (state3 != null) {
                                        }
                                        if (state_messages3 != null) {
                                        }
                                        if (state_media3 != null) {
                                        }
                                        if (state_polls != null) {
                                        }
                                        if (state_webpage != null) {
                                        }
                                        throw th;
                                    }
                                } else {
                                    maxId = Integer.MAX_VALUE;
                                }
                                int minId2 = messages_messages.messages.get(messages_messages.messages.size() - 1).id;
                                closeHolesInTable("messages_holes", dialog_id, minId2, maxId);
                                closeHolesInMedia(dialog_id, minId2, maxId, -1);
                            }
                        }
                        int count3 = messages_messages.messages.size();
                        ArrayList<File> filesToDelete2 = new ArrayList<>();
                        TLRPC.Message botKeyboard2 = null;
                        int channelId3 = 0;
                        SQLitePreparedStatement state_messages5 = this.database.executeFast("REPLACE INTO messages VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, NULL, ?, ?,?)");
                        try {
                            SQLitePreparedStatement state_media4 = this.database.executeFast("REPLACE INTO media_v2 VALUES(?, ?, ?, ?, ?)");
                            int a4 = 0;
                            int mentionCountUpdate = Integer.MAX_VALUE;
                            while (a4 < count3) {
                                try {
                                    TLRPC.Message message2 = messages_messages.messages.get(a4);
                                    ArrayList<File> filesToDelete3 = filesToDelete2;
                                    long messageId2 = message2.id;
                                    if (channelId3 == 0) {
                                        try {
                                            channelId3 = message2.to_id.channel_id;
                                        } catch (Exception e10) {
                                            e = e10;
                                            state_messages3 = state_messages5;
                                            state_media3 = state_media4;
                                            FileLog.e("putMessages ---> exception 2 ", e);
                                            if (data2 != null) {
                                            }
                                            if (cursor != null) {
                                            }
                                            if (cursor2 != null) {
                                            }
                                            if (state != null) {
                                            }
                                            if (0 != 0) {
                                            }
                                            if (state3 != null) {
                                            }
                                            if (state_messages3 != null) {
                                            }
                                            if (state_media3 != null) {
                                            }
                                            if (state_polls != null) {
                                            }
                                            if (state_webpage == null) {
                                            }
                                            state_webpage.dispose();
                                        } catch (Throwable th9) {
                                            th = th9;
                                            state_messages3 = state_messages5;
                                            state_media3 = state_media4;
                                            if (data2 != null) {
                                            }
                                            if (cursor != null) {
                                            }
                                            if (cursor2 != null) {
                                            }
                                            if (state != null) {
                                            }
                                            if (0 != 0) {
                                            }
                                            if (state3 != null) {
                                            }
                                            if (state_messages3 != null) {
                                            }
                                            if (state_media3 != null) {
                                            }
                                            if (state_polls != null) {
                                            }
                                            if (state_webpage != null) {
                                            }
                                            throw th;
                                        }
                                    }
                                    if (message2.to_id.channel_id != 0) {
                                        count = count3;
                                        messageId2 |= channelId3 << 32;
                                    } else {
                                        count = count3;
                                    }
                                    boolean exist2 = false;
                                    try {
                                        try {
                                            if (i == -2) {
                                                try {
                                                    channelId = channelId3;
                                                    botKeyboard = botKeyboard2;
                                                    SQLiteCursor cursor3 = this.database.queryFinalized(String.format(Locale.US, "SELECT mid, data, ttl, mention, read_state, send_state FROM messages WHERE mid = %d", Long.valueOf(messageId2)), new Object[0]);
                                                    try {
                                                        boolean exist3 = cursor3.next();
                                                        if (exist3) {
                                                            NativeByteBuffer data4 = cursor3.byteBufferValue(1);
                                                            if (data4 != null) {
                                                                try {
                                                                    TLRPC.Message oldMessage = TLRPC.Message.TLdeserialize(data4, data4.readInt32(false), false);
                                                                    oldMessage.readAttachPath(data4, getUserConfig().clientUserId);
                                                                    data4.reuse();
                                                                    data2 = null;
                                                                    try {
                                                                        int send_state = cursor3.intValue(5);
                                                                        if (oldMessage != null && send_state != 3) {
                                                                            try {
                                                                                message2.attachPath = oldMessage.attachPath;
                                                                                message2.ttl = cursor3.intValue(2);
                                                                            } catch (Exception e11) {
                                                                                cursor = cursor3;
                                                                                state_messages3 = state_messages5;
                                                                                state_media3 = state_media4;
                                                                                e = e11;
                                                                                FileLog.e("putMessages ---> exception 2 ", e);
                                                                                if (data2 != null) {
                                                                                }
                                                                                if (cursor != null) {
                                                                                }
                                                                                if (cursor2 != null) {
                                                                                }
                                                                                if (state != null) {
                                                                                }
                                                                                if (0 != 0) {
                                                                                }
                                                                                if (state3 != null) {
                                                                                }
                                                                                if (state_messages3 != null) {
                                                                                }
                                                                                if (state_media3 != null) {
                                                                                }
                                                                                if (state_polls != null) {
                                                                                }
                                                                                if (state_webpage == null) {
                                                                                }
                                                                                state_webpage.dispose();
                                                                            } catch (Throwable th10) {
                                                                                cursor = cursor3;
                                                                                state_messages3 = state_messages5;
                                                                                state_media3 = state_media4;
                                                                                th = th10;
                                                                                if (data2 != null) {
                                                                                }
                                                                                if (cursor != null) {
                                                                                }
                                                                                if (cursor2 != null) {
                                                                                }
                                                                                if (state != null) {
                                                                                }
                                                                                if (0 != 0) {
                                                                                }
                                                                                if (state3 != null) {
                                                                                }
                                                                                if (state_messages3 != null) {
                                                                                }
                                                                                if (state_media3 != null) {
                                                                                }
                                                                                if (state_polls != null) {
                                                                                }
                                                                                if (state_webpage != null) {
                                                                                }
                                                                                throw th;
                                                                            }
                                                                        }
                                                                        if (message2.out) {
                                                                            state_messages2 = state_messages5;
                                                                            filesToDelete = filesToDelete3;
                                                                        } else {
                                                                            if (!(oldMessage.media instanceof TLRPC.TL_messageMediaPhoto) || !(message2.media instanceof TLRPC.TL_messageMediaPhoto) || oldMessage.media.photo == null || message2.media.photo == null) {
                                                                                state_messages2 = state_messages5;
                                                                                sameMedia = (!(oldMessage.media instanceof TLRPC.TL_messageMediaDocument) || !(message2.media instanceof TLRPC.TL_messageMediaDocument) || oldMessage.media.document == null || message2.media.document == null) ? false : oldMessage.media.document.id == message2.media.document.id;
                                                                            } else {
                                                                                state_messages2 = state_messages5;
                                                                                try {
                                                                                    sameMedia = oldMessage.media.photo.id == message2.media.photo.id;
                                                                                } catch (Exception e12) {
                                                                                    cursor = cursor3;
                                                                                    state_media3 = state_media4;
                                                                                    state_messages3 = state_messages2;
                                                                                    e = e12;
                                                                                    FileLog.e("putMessages ---> exception 2 ", e);
                                                                                    if (data2 != null) {
                                                                                    }
                                                                                    if (cursor != null) {
                                                                                    }
                                                                                    if (cursor2 != null) {
                                                                                    }
                                                                                    if (state != null) {
                                                                                    }
                                                                                    if (0 != 0) {
                                                                                    }
                                                                                    if (state3 != null) {
                                                                                    }
                                                                                    if (state_messages3 != null) {
                                                                                    }
                                                                                    if (state_media3 != null) {
                                                                                    }
                                                                                    if (state_polls != null) {
                                                                                    }
                                                                                    if (state_webpage == null) {
                                                                                    }
                                                                                    state_webpage.dispose();
                                                                                } catch (Throwable th11) {
                                                                                    cursor = cursor3;
                                                                                    state_media3 = state_media4;
                                                                                    state_messages3 = state_messages2;
                                                                                    th = th11;
                                                                                    if (data2 != null) {
                                                                                    }
                                                                                    if (cursor != null) {
                                                                                    }
                                                                                    if (cursor2 != null) {
                                                                                    }
                                                                                    if (state != null) {
                                                                                    }
                                                                                    if (0 != 0) {
                                                                                    }
                                                                                    if (state3 != null) {
                                                                                    }
                                                                                    if (state_messages3 != null) {
                                                                                    }
                                                                                    if (state_media3 != null) {
                                                                                    }
                                                                                    if (state_polls != null) {
                                                                                    }
                                                                                    if (state_webpage != null) {
                                                                                    }
                                                                                    throw th;
                                                                                }
                                                                            }
                                                                            if (sameMedia) {
                                                                                filesToDelete = filesToDelete3;
                                                                            } else {
                                                                                filesToDelete = filesToDelete3;
                                                                                addFilesToDelete(oldMessage, filesToDelete, false);
                                                                            }
                                                                        }
                                                                    } catch (Exception e13) {
                                                                        cursor = cursor3;
                                                                        state_media3 = state_media4;
                                                                        state_messages3 = state_messages5;
                                                                        e = e13;
                                                                    } catch (Throwable th12) {
                                                                        cursor = cursor3;
                                                                        state_media3 = state_media4;
                                                                        state_messages3 = state_messages5;
                                                                        th = th12;
                                                                    }
                                                                } catch (Exception e14) {
                                                                    cursor = cursor3;
                                                                    data2 = data4;
                                                                    state_media3 = state_media4;
                                                                    state_messages3 = state_messages5;
                                                                    e = e14;
                                                                } catch (Throwable th13) {
                                                                    cursor = cursor3;
                                                                    data2 = data4;
                                                                    state_media3 = state_media4;
                                                                    state_messages3 = state_messages5;
                                                                    th = th13;
                                                                }
                                                            } else {
                                                                state_messages2 = state_messages5;
                                                                filesToDelete = filesToDelete3;
                                                                data2 = data4;
                                                            }
                                                            try {
                                                                boolean oldMention = cursor3.intValue(3) != 0;
                                                                int readState = cursor3.intValue(4);
                                                                if (oldMention != message2.mentioned) {
                                                                    if (mentionCountUpdate == Integer.MAX_VALUE) {
                                                                        filesToDelete3 = filesToDelete;
                                                                        SQLitePreparedStatement state_media5 = state_media4;
                                                                        j = dialog_id;
                                                                        try {
                                                                            int mentionCountUpdate2 = mentionCountUpdate;
                                                                            state_media2 = state_media5;
                                                                            try {
                                                                                SQLiteCursor cursor22 = this.database.queryFinalized("SELECT unread_count_i FROM dialogs WHERE did = " + j, new Object[0]);
                                                                                try {
                                                                                    mentionCountUpdate = cursor22.next() ? cursor22.intValue(0) : mentionCountUpdate2;
                                                                                    cursor22.dispose();
                                                                                    cursor2 = null;
                                                                                } catch (Exception e15) {
                                                                                    cursor = cursor3;
                                                                                    cursor2 = cursor22;
                                                                                    state_messages3 = state_messages2;
                                                                                    state_media3 = state_media2;
                                                                                    e = e15;
                                                                                    FileLog.e("putMessages ---> exception 2 ", e);
                                                                                    if (data2 != null) {
                                                                                    }
                                                                                    if (cursor != null) {
                                                                                    }
                                                                                    if (cursor2 != null) {
                                                                                    }
                                                                                    if (state != null) {
                                                                                    }
                                                                                    if (0 != 0) {
                                                                                    }
                                                                                    if (state3 != null) {
                                                                                    }
                                                                                    if (state_messages3 != null) {
                                                                                    }
                                                                                    if (state_media3 != null) {
                                                                                    }
                                                                                    if (state_polls != null) {
                                                                                    }
                                                                                    if (state_webpage == null) {
                                                                                    }
                                                                                    state_webpage.dispose();
                                                                                } catch (Throwable th14) {
                                                                                    cursor = cursor3;
                                                                                    cursor2 = cursor22;
                                                                                    state_messages3 = state_messages2;
                                                                                    state_media3 = state_media2;
                                                                                    th = th14;
                                                                                    if (data2 != null) {
                                                                                    }
                                                                                    if (cursor != null) {
                                                                                    }
                                                                                    if (cursor2 != null) {
                                                                                    }
                                                                                    if (state != null) {
                                                                                    }
                                                                                    if (0 != 0) {
                                                                                    }
                                                                                    if (state3 != null) {
                                                                                    }
                                                                                    if (state_messages3 != null) {
                                                                                    }
                                                                                    if (state_media3 != null) {
                                                                                    }
                                                                                    if (state_polls != null) {
                                                                                    }
                                                                                    if (state_webpage != null) {
                                                                                    }
                                                                                    throw th;
                                                                                }
                                                                            } catch (Exception e16) {
                                                                                cursor = cursor3;
                                                                                state_messages3 = state_messages2;
                                                                                state_media3 = state_media2;
                                                                                e = e16;
                                                                            } catch (Throwable th15) {
                                                                                cursor = cursor3;
                                                                                state_messages3 = state_messages2;
                                                                                state_media3 = state_media2;
                                                                                th = th15;
                                                                            }
                                                                        } catch (Exception e17) {
                                                                            cursor = cursor3;
                                                                            state_messages3 = state_messages2;
                                                                            state_media3 = state_media5;
                                                                            e = e17;
                                                                        } catch (Throwable th16) {
                                                                            cursor = cursor3;
                                                                            state_messages3 = state_messages2;
                                                                            state_media3 = state_media5;
                                                                            th = th16;
                                                                        }
                                                                    } else {
                                                                        filesToDelete3 = filesToDelete;
                                                                        state_media2 = state_media4;
                                                                        j = dialog_id;
                                                                    }
                                                                    if (oldMention) {
                                                                        if (readState <= 1) {
                                                                            mentionCountUpdate--;
                                                                        }
                                                                    } else if (message2.media_unread) {
                                                                        mentionCountUpdate++;
                                                                    }
                                                                } else {
                                                                    filesToDelete3 = filesToDelete;
                                                                    state_media2 = state_media4;
                                                                    j = dialog_id;
                                                                }
                                                            } catch (Exception e18) {
                                                                cursor = cursor3;
                                                                state_messages3 = state_messages2;
                                                                state_media3 = state_media4;
                                                                e = e18;
                                                            } catch (Throwable th17) {
                                                                cursor = cursor3;
                                                                state_messages3 = state_messages2;
                                                                state_media3 = state_media4;
                                                                th = th17;
                                                            }
                                                        } else {
                                                            state_messages2 = state_messages5;
                                                            state_media2 = state_media4;
                                                            j = dialog_id;
                                                        }
                                                        cursor3.dispose();
                                                        if (exist3) {
                                                            cursor = null;
                                                            exist2 = exist3;
                                                        } else {
                                                            messages_messages2 = messages;
                                                            cursor = null;
                                                            botKeyboard2 = botKeyboard;
                                                            state_messages = state_messages2;
                                                            state_media = state_media2;
                                                            a4++;
                                                            state_messages5 = state_messages;
                                                            state_media4 = state_media;
                                                            channelId3 = channelId;
                                                            filesToDelete2 = filesToDelete3;
                                                            count3 = count;
                                                            messages_messages = messages_messages2;
                                                            i = load_type;
                                                        }
                                                    } catch (Exception e19) {
                                                        cursor = cursor3;
                                                        state_messages3 = state_messages5;
                                                        state_media3 = state_media4;
                                                        e = e19;
                                                    } catch (Throwable th18) {
                                                        cursor = cursor3;
                                                        state_messages3 = state_messages5;
                                                        state_media3 = state_media4;
                                                        th = th18;
                                                    }
                                                } catch (Exception e20) {
                                                    e = e20;
                                                    state_messages3 = state_messages5;
                                                    state_media3 = state_media4;
                                                } catch (Throwable th19) {
                                                    th = th19;
                                                    state_messages3 = state_messages5;
                                                    state_media3 = state_media4;
                                                }
                                            } else {
                                                botKeyboard = botKeyboard2;
                                                channelId = channelId3;
                                                state_messages2 = state_messages5;
                                                state_media2 = state_media4;
                                                j = dialog_id;
                                            }
                                            if (!MessageObject.isOut(message2)) {
                                                try {
                                                    if (!message2.from_scheduled) {
                                                        i2 = 0;
                                                        state_messages.bindInteger(7, i2);
                                                        state_messages.bindInteger(8, message2.ttl);
                                                        if ((message2.flags & 1024) == 0) {
                                                            state_messages.bindInteger(9, message2.views);
                                                        } else {
                                                            state_messages.bindInteger(9, getMessageMediaType(message2));
                                                        }
                                                        state_messages.bindInteger(10, 0);
                                                        state_messages.bindInteger(11, !message2.mentioned ? 1 : 0);
                                                        state_messages.step();
                                                        if (MediaDataController.canAddMessageToMedia(message2)) {
                                                            state_media = state_media2;
                                                        } else {
                                                            state_media2.requery();
                                                            state_media = state_media2;
                                                            try {
                                                                state_media.bindLong(1, messageId2);
                                                                state_media.bindLong(2, j);
                                                                state_media.bindInteger(3, message2.date);
                                                                state_media.bindInteger(4, MediaDataController.getMediaType(message2));
                                                                state_media.bindByteBuffer(5, data);
                                                                state_media.step();
                                                            } catch (Exception e21) {
                                                                e = e21;
                                                                data2 = data;
                                                                state_messages3 = state_messages;
                                                                state_media3 = state_media;
                                                                FileLog.e("putMessages ---> exception 2 ", e);
                                                                if (data2 != null) {
                                                                }
                                                                if (cursor != null) {
                                                                }
                                                                if (cursor2 != null) {
                                                                }
                                                                if (state != null) {
                                                                }
                                                                if (0 != 0) {
                                                                }
                                                                if (state3 != null) {
                                                                }
                                                                if (state_messages3 != null) {
                                                                }
                                                                if (state_media3 != null) {
                                                                }
                                                                if (state_polls != null) {
                                                                }
                                                                if (state_webpage == null) {
                                                                }
                                                                state_webpage.dispose();
                                                            } catch (Throwable th20) {
                                                                th = th20;
                                                                data2 = data;
                                                                state_messages3 = state_messages;
                                                                state_media3 = state_media;
                                                                if (data2 != null) {
                                                                }
                                                                if (cursor != null) {
                                                                }
                                                                if (cursor2 != null) {
                                                                }
                                                                if (state != null) {
                                                                }
                                                                if (0 != 0) {
                                                                }
                                                                if (state3 != null) {
                                                                }
                                                                if (state_messages3 != null) {
                                                                }
                                                                if (state_media3 != null) {
                                                                }
                                                                if (state_polls != null) {
                                                                }
                                                                if (state_webpage != null) {
                                                                }
                                                                throw th;
                                                            }
                                                        }
                                                        data.reuse();
                                                        data2 = null;
                                                        if (!(message2.media instanceof TLRPC.TL_messageMediaPoll)) {
                                                            SQLitePreparedStatement state_polls2 = state_polls == null ? this.database.executeFast("REPLACE INTO polls VALUES(?, ?)") : state_polls;
                                                            try {
                                                                TLRPC.TL_messageMediaPoll mediaPoll = (TLRPC.TL_messageMediaPoll) message2.media;
                                                                state_polls2.requery();
                                                                state_polls2.bindLong(1, messageId2);
                                                                state_polls2.bindLong(2, mediaPoll.poll.id);
                                                                state_polls2.step();
                                                                state_polls2.dispose();
                                                                state_polls = null;
                                                            } catch (Exception e22) {
                                                                e = e22;
                                                                state_polls = state_polls2;
                                                                state_messages3 = state_messages;
                                                                state_media3 = state_media;
                                                                FileLog.e("putMessages ---> exception 2 ", e);
                                                                if (data2 != null) {
                                                                }
                                                                if (cursor != null) {
                                                                }
                                                                if (cursor2 != null) {
                                                                }
                                                                if (state != null) {
                                                                }
                                                                if (0 != 0) {
                                                                }
                                                                if (state3 != null) {
                                                                }
                                                                if (state_messages3 != null) {
                                                                }
                                                                if (state_media3 != null) {
                                                                }
                                                                if (state_polls != null) {
                                                                }
                                                                if (state_webpage == null) {
                                                                }
                                                                state_webpage.dispose();
                                                            } catch (Throwable th21) {
                                                                th = th21;
                                                                state_polls = state_polls2;
                                                                state_messages3 = state_messages;
                                                                state_media3 = state_media;
                                                                if (data2 != null) {
                                                                }
                                                                if (cursor != null) {
                                                                }
                                                                if (cursor2 != null) {
                                                                }
                                                                if (state != null) {
                                                                }
                                                                if (0 != 0) {
                                                                }
                                                                if (state3 != null) {
                                                                }
                                                                if (state_messages3 != null) {
                                                                }
                                                                if (state_media3 != null) {
                                                                }
                                                                if (state_polls != null) {
                                                                }
                                                                if (state_webpage != null) {
                                                                }
                                                                throw th;
                                                            }
                                                        } else if (message2.media instanceof TLRPC.TL_messageMediaWebPage) {
                                                            SQLitePreparedStatement state_webpage2 = state_webpage == null ? this.database.executeFast("REPLACE INTO webpage_pending VALUES(?, ?)") : state_webpage;
                                                            try {
                                                                state_webpage2.requery();
                                                                state_webpage2.bindLong(1, message2.media.webpage.id);
                                                                state_webpage2.bindLong(2, messageId2);
                                                                state_webpage2.step();
                                                                state_webpage2.dispose();
                                                                state_webpage = null;
                                                            } catch (Exception e23) {
                                                                state_webpage = state_webpage2;
                                                                state_messages3 = state_messages;
                                                                state_media3 = state_media;
                                                                e = e23;
                                                                FileLog.e("putMessages ---> exception 2 ", e);
                                                                if (data2 != null) {
                                                                }
                                                                if (cursor != null) {
                                                                }
                                                                if (cursor2 != null) {
                                                                }
                                                                if (state != null) {
                                                                }
                                                                if (0 != 0) {
                                                                }
                                                                if (state3 != null) {
                                                                }
                                                                if (state_messages3 != null) {
                                                                }
                                                                if (state_media3 != null) {
                                                                }
                                                                if (state_polls != null) {
                                                                }
                                                                if (state_webpage == null) {
                                                                }
                                                                state_webpage.dispose();
                                                            } catch (Throwable th22) {
                                                                state_webpage = state_webpage2;
                                                                state_messages3 = state_messages;
                                                                state_media3 = state_media;
                                                                th = th22;
                                                                if (data2 != null) {
                                                                }
                                                                if (cursor != null) {
                                                                }
                                                                if (cursor2 != null) {
                                                                }
                                                                if (state != null) {
                                                                }
                                                                if (0 != 0) {
                                                                }
                                                                if (state3 != null) {
                                                                }
                                                                if (state_messages3 != null) {
                                                                }
                                                                if (state_media3 != null) {
                                                                }
                                                                if (state_polls != null) {
                                                                }
                                                                if (state_webpage != null) {
                                                                }
                                                                throw th;
                                                            }
                                                        }
                                                        if (load_type == 0 || !isValidKeyboardToSave(message2)) {
                                                            botKeyboard2 = botKeyboard;
                                                        } else {
                                                            if (botKeyboard != null) {
                                                                botKeyboard2 = botKeyboard;
                                                                if (botKeyboard2.id < message2.id) {
                                                                }
                                                            }
                                                            botKeyboard2 = message2;
                                                        }
                                                        a4++;
                                                        state_messages5 = state_messages;
                                                        state_media4 = state_media;
                                                        channelId3 = channelId;
                                                        filesToDelete2 = filesToDelete3;
                                                        count3 = count;
                                                        messages_messages = messages_messages2;
                                                        i = load_type;
                                                    }
                                                } catch (Exception e24) {
                                                    e = e24;
                                                    data2 = data;
                                                    state_messages3 = state_messages;
                                                    state_media3 = state_media2;
                                                    FileLog.e("putMessages ---> exception 2 ", e);
                                                    if (data2 != null) {
                                                    }
                                                    if (cursor != null) {
                                                    }
                                                    if (cursor2 != null) {
                                                    }
                                                    if (state != null) {
                                                    }
                                                    if (0 != 0) {
                                                    }
                                                    if (state3 != null) {
                                                    }
                                                    if (state_messages3 != null) {
                                                    }
                                                    if (state_media3 != null) {
                                                    }
                                                    if (state_polls != null) {
                                                    }
                                                    if (state_webpage == null) {
                                                    }
                                                    state_webpage.dispose();
                                                } catch (Throwable th23) {
                                                    th = th23;
                                                    data2 = data;
                                                    state_messages3 = state_messages;
                                                    state_media3 = state_media2;
                                                    if (data2 != null) {
                                                    }
                                                    if (cursor != null) {
                                                    }
                                                    if (cursor2 != null) {
                                                    }
                                                    if (state != null) {
                                                    }
                                                    if (0 != 0) {
                                                    }
                                                    if (state3 != null) {
                                                    }
                                                    if (state_messages3 != null) {
                                                    }
                                                    if (state_media3 != null) {
                                                    }
                                                    if (state_polls != null) {
                                                    }
                                                    if (state_webpage != null) {
                                                    }
                                                    throw th;
                                                }
                                            }
                                            a4++;
                                            state_messages5 = state_messages;
                                            state_media4 = state_media;
                                            channelId3 = channelId;
                                            filesToDelete2 = filesToDelete3;
                                            count3 = count;
                                            messages_messages = messages_messages2;
                                            i = load_type;
                                        } catch (Exception e25) {
                                            e = e25;
                                            state_messages3 = state_messages;
                                            state_media3 = state_media;
                                            FileLog.e("putMessages ---> exception 2 ", e);
                                            if (data2 != null) {
                                            }
                                            if (cursor != null) {
                                            }
                                            if (cursor2 != null) {
                                            }
                                            if (state != null) {
                                            }
                                            if (0 != 0) {
                                            }
                                            if (state3 != null) {
                                            }
                                            if (state_messages3 != null) {
                                            }
                                            if (state_media3 != null) {
                                            }
                                            if (state_polls != null) {
                                            }
                                            if (state_webpage == null) {
                                            }
                                            state_webpage.dispose();
                                        } catch (Throwable th24) {
                                            th = th24;
                                            state_messages3 = state_messages;
                                            state_media3 = state_media;
                                            if (data2 != null) {
                                            }
                                            if (cursor != null) {
                                            }
                                            if (cursor2 != null) {
                                            }
                                            if (state != null) {
                                            }
                                            if (0 != 0) {
                                            }
                                            if (state3 != null) {
                                            }
                                            if (state_messages3 != null) {
                                            }
                                            if (state_media3 != null) {
                                            }
                                            if (state_polls != null) {
                                            }
                                            if (state_webpage != null) {
                                            }
                                            throw th;
                                        }
                                        fixUnsupportedMedia(message2);
                                        state_messages2.requery();
                                        data = new NativeByteBuffer(message2.getObjectSize());
                                        message2.serializeToStream(data);
                                        state_messages = state_messages2;
                                        state_messages.bindLong(1, messageId2);
                                        state_messages.bindLong(2, j);
                                        state_messages.bindInteger(3, MessageObject.getUnreadFlags(message2));
                                        state_messages.bindInteger(4, message2.send_state);
                                        state_messages.bindInteger(5, message2.date);
                                        state_messages.bindByteBuffer(6, data);
                                        i2 = 1;
                                        state_messages.bindInteger(7, i2);
                                        state_messages.bindInteger(8, message2.ttl);
                                        if ((message2.flags & 1024) == 0) {
                                        }
                                        state_messages.bindInteger(10, 0);
                                        state_messages.bindInteger(11, !message2.mentioned ? 1 : 0);
                                        state_messages.step();
                                        if (MediaDataController.canAddMessageToMedia(message2)) {
                                        }
                                        data.reuse();
                                        data2 = null;
                                        if (!(message2.media instanceof TLRPC.TL_messageMediaPoll)) {
                                        }
                                        if (load_type == 0) {
                                        }
                                        botKeyboard2 = botKeyboard;
                                    } catch (Exception e26) {
                                        e = e26;
                                        state_messages3 = state_messages2;
                                        state_media3 = state_media2;
                                    } catch (Throwable th25) {
                                        th = th25;
                                        state_messages3 = state_messages2;
                                        state_media3 = state_media2;
                                    }
                                    if (a4 == 0 && createDialog) {
                                        int pinned = 0;
                                        try {
                                            SQLiteCursor cursor4 = this.database.queryFinalized("SELECT pinned, unread_count_i, flags FROM dialogs WHERE did = " + j, new Object[0]);
                                            try {
                                                boolean exist4 = cursor4.next();
                                                if (exist4) {
                                                    pinned = cursor4.intValue(0);
                                                    int mentions2 = cursor4.intValue(1);
                                                    flags = cursor4.intValue(2);
                                                    mentions = mentions2;
                                                } else {
                                                    mentions = 0;
                                                    flags = 0;
                                                }
                                                cursor4.dispose();
                                                cursor = null;
                                                if (exist4) {
                                                    SQLitePreparedStatement state32 = this.database.executeFast("UPDATE dialogs SET date = ?, last_mid = ?, inbox_max = ?, last_mid_i = ?, pts = ?, date_i = ? WHERE did = ?");
                                                    try {
                                                        state32.bindInteger(1, message2.date);
                                                        state32.bindLong(2, messageId2);
                                                        state32.bindInteger(3, message2.id);
                                                        state32.bindLong(4, messageId2);
                                                        messages_messages2 = messages;
                                                        try {
                                                            exist = exist4;
                                                            state32.bindInteger(5, messages_messages2.pts);
                                                            state32.bindInteger(6, message2.date);
                                                            state32.bindLong(7, j);
                                                            state3 = state32;
                                                        } catch (Exception e27) {
                                                            e = e27;
                                                            state3 = state32;
                                                            state_messages3 = state_messages2;
                                                            state_media3 = state_media2;
                                                            FileLog.e("putMessages ---> exception 2 ", e);
                                                            if (data2 != null) {
                                                            }
                                                            if (cursor != null) {
                                                            }
                                                            if (cursor2 != null) {
                                                            }
                                                            if (state != null) {
                                                            }
                                                            if (0 != 0) {
                                                            }
                                                            if (state3 != null) {
                                                            }
                                                            if (state_messages3 != null) {
                                                            }
                                                            if (state_media3 != null) {
                                                            }
                                                            if (state_polls != null) {
                                                            }
                                                            if (state_webpage == null) {
                                                            }
                                                            state_webpage.dispose();
                                                        } catch (Throwable th26) {
                                                            th = th26;
                                                            state3 = state32;
                                                            state_messages3 = state_messages2;
                                                            state_media3 = state_media2;
                                                            if (data2 != null) {
                                                            }
                                                            if (cursor != null) {
                                                            }
                                                            if (cursor2 != null) {
                                                            }
                                                            if (state != null) {
                                                            }
                                                            if (0 != 0) {
                                                            }
                                                            if (state3 != null) {
                                                            }
                                                            if (state_messages3 != null) {
                                                            }
                                                            if (state_media3 != null) {
                                                            }
                                                            if (state_polls != null) {
                                                            }
                                                            if (state_webpage != null) {
                                                            }
                                                            throw th;
                                                        }
                                                    } catch (Exception e28) {
                                                        e = e28;
                                                        state3 = state32;
                                                        state_messages3 = state_messages2;
                                                        state_media3 = state_media2;
                                                    } catch (Throwable th27) {
                                                        th = th27;
                                                        state3 = state32;
                                                        state_messages3 = state_messages2;
                                                        state_media3 = state_media2;
                                                    }
                                                } else {
                                                    messages_messages2 = messages;
                                                    exist = exist4;
                                                    SQLitePreparedStatement state33 = this.database.executeFast("REPLACE INTO dialogs VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
                                                    try {
                                                        state33.bindLong(1, j);
                                                        state33.bindInteger(2, message2.date);
                                                        state33.bindInteger(3, 0);
                                                        state33.bindLong(4, messageId2);
                                                        state33.bindInteger(5, message2.id);
                                                        state33.bindInteger(6, 0);
                                                        state33.bindLong(7, messageId2);
                                                        state33.bindInteger(8, mentions);
                                                        state33.bindInteger(9, messages_messages2.pts);
                                                        state33.bindInteger(10, message2.date);
                                                        state33.bindInteger(11, pinned);
                                                        state33.bindInteger(12, flags);
                                                        state33.bindInteger(13, 0);
                                                        state33.bindNull(14);
                                                        state3 = state33;
                                                    } catch (Exception e29) {
                                                        state3 = state33;
                                                        state_messages3 = state_messages2;
                                                        state_media3 = state_media2;
                                                        e = e29;
                                                        FileLog.e("putMessages ---> exception 2 ", e);
                                                        if (data2 != null) {
                                                        }
                                                        if (cursor != null) {
                                                        }
                                                        if (cursor2 != null) {
                                                        }
                                                        if (state != null) {
                                                        }
                                                        if (0 != 0) {
                                                        }
                                                        if (state3 != null) {
                                                        }
                                                        if (state_messages3 != null) {
                                                        }
                                                        if (state_media3 != null) {
                                                        }
                                                        if (state_polls != null) {
                                                        }
                                                        if (state_webpage == null) {
                                                        }
                                                        state_webpage.dispose();
                                                    } catch (Throwable th28) {
                                                        state3 = state33;
                                                        state_messages3 = state_messages2;
                                                        state_media3 = state_media2;
                                                        th = th28;
                                                        if (data2 != null) {
                                                        }
                                                        if (cursor != null) {
                                                        }
                                                        if (cursor2 != null) {
                                                        }
                                                        if (state != null) {
                                                        }
                                                        if (0 != 0) {
                                                        }
                                                        if (state3 != null) {
                                                        }
                                                        if (state_messages3 != null) {
                                                        }
                                                        if (state_media3 != null) {
                                                        }
                                                        if (state_polls != null) {
                                                        }
                                                        if (state_webpage != null) {
                                                        }
                                                        throw th;
                                                    }
                                                }
                                                try {
                                                    state3.step();
                                                    state3.dispose();
                                                    state3 = null;
                                                    exist2 = exist;
                                                } catch (Exception e30) {
                                                    e = e30;
                                                    state_messages3 = state_messages2;
                                                    state_media3 = state_media2;
                                                    FileLog.e("putMessages ---> exception 2 ", e);
                                                    if (data2 != null) {
                                                    }
                                                    if (cursor != null) {
                                                    }
                                                    if (cursor2 != null) {
                                                    }
                                                    if (state != null) {
                                                    }
                                                    if (0 != 0) {
                                                    }
                                                    if (state3 != null) {
                                                    }
                                                    if (state_messages3 != null) {
                                                    }
                                                    if (state_media3 != null) {
                                                    }
                                                    if (state_polls != null) {
                                                    }
                                                    if (state_webpage == null) {
                                                    }
                                                    state_webpage.dispose();
                                                } catch (Throwable th29) {
                                                    th = th29;
                                                    state_messages3 = state_messages2;
                                                    state_media3 = state_media2;
                                                    if (data2 != null) {
                                                    }
                                                    if (cursor != null) {
                                                    }
                                                    if (cursor2 != null) {
                                                    }
                                                    if (state != null) {
                                                    }
                                                    if (0 != 0) {
                                                    }
                                                    if (state3 != null) {
                                                    }
                                                    if (state_messages3 != null) {
                                                    }
                                                    if (state_media3 != null) {
                                                    }
                                                    if (state_polls != null) {
                                                    }
                                                    if (state_webpage != null) {
                                                    }
                                                    throw th;
                                                }
                                            } catch (Exception e31) {
                                                e = e31;
                                                cursor = cursor4;
                                                state_messages3 = state_messages2;
                                                state_media3 = state_media2;
                                            } catch (Throwable th30) {
                                                th = th30;
                                                cursor = cursor4;
                                                state_messages3 = state_messages2;
                                                state_media3 = state_media2;
                                            }
                                        } catch (Exception e32) {
                                            e = e32;
                                            state_messages3 = state_messages2;
                                            state_media3 = state_media2;
                                        } catch (Throwable th31) {
                                            th = th31;
                                            state_messages3 = state_messages2;
                                            state_media3 = state_media2;
                                        }
                                    } else {
                                        messages_messages2 = messages;
                                    }
                                } catch (Exception e33) {
                                    e = e33;
                                    state_messages3 = state_messages5;
                                    state_media3 = state_media4;
                                } catch (Throwable th32) {
                                    th = th32;
                                    state_messages3 = state_messages5;
                                    state_media3 = state_media4;
                                }
                            }
                            ArrayList<File> filesToDelete4 = filesToDelete2;
                            state_messages = state_messages5;
                            int mentionCountUpdate3 = mentionCountUpdate;
                            TLRPC.messages_Messages messages_messages3 = messages_messages;
                            state_media = state_media4;
                            state_messages.dispose();
                            state_messages3 = null;
                            try {
                                state_media.dispose();
                                state_media3 = null;
                                if (botKeyboard2 != null) {
                                    try {
                                        try {
                                            getMediaDataController().putBotKeyboard(dialog_id, botKeyboard2);
                                        } catch (Exception e34) {
                                            e = e34;
                                            FileLog.e("putMessages ---> exception 2 ", e);
                                            if (data2 != null) {
                                                data2.reuse();
                                            }
                                            if (cursor != null) {
                                                cursor.dispose();
                                            }
                                            if (cursor2 != null) {
                                                cursor2.dispose();
                                            }
                                            if (state != null) {
                                                state.dispose();
                                            }
                                            if (0 != 0) {
                                                state1.dispose();
                                            }
                                            if (state3 != null) {
                                                state3.dispose();
                                            }
                                            if (state_messages3 != null) {
                                                state_messages3.dispose();
                                            }
                                            if (state_media3 != null) {
                                                state_media3.dispose();
                                            }
                                            if (state_polls != null) {
                                                state_polls.dispose();
                                            }
                                            if (state_webpage == null) {
                                                return;
                                            }
                                            state_webpage.dispose();
                                        }
                                    } catch (Throwable th33) {
                                        th = th33;
                                        if (data2 != null) {
                                            data2.reuse();
                                        }
                                        if (cursor != null) {
                                            cursor.dispose();
                                        }
                                        if (cursor2 != null) {
                                            cursor2.dispose();
                                        }
                                        if (state != null) {
                                            state.dispose();
                                        }
                                        if (0 != 0) {
                                            state1.dispose();
                                        }
                                        if (state3 != null) {
                                            state3.dispose();
                                        }
                                        if (state_messages3 != null) {
                                            state_messages3.dispose();
                                        }
                                        if (state_media3 != null) {
                                            state_media3.dispose();
                                        }
                                        if (state_polls != null) {
                                            state_polls.dispose();
                                        }
                                        if (state_webpage != null) {
                                            state_webpage.dispose();
                                        }
                                        throw th;
                                    }
                                }
                                getFileLoader().deleteFiles(filesToDelete4, 0);
                                putUsersInternal(messages_messages3.users);
                                putChatsInternal(messages_messages3.chats);
                                if (mentionCountUpdate3 != Integer.MAX_VALUE) {
                                    this.database.executeFast(String.format(Locale.US, "UPDATE dialogs SET unread_count_i = %d WHERE did = %d", Integer.valueOf(mentionCountUpdate3), Long.valueOf(dialog_id))).stepThis().dispose();
                                    state = null;
                                    LongSparseArray<Integer> sparseArray = new LongSparseArray<>(1);
                                    sparseArray.put(dialog_id, Integer.valueOf(mentionCountUpdate3));
                                    getMessagesController().processDialogsUpdateRead(null, sparseArray);
                                }
                                this.database.commitTransaction();
                                if (createDialog) {
                                    updateDialogsWithDeletedMessages(new ArrayList<>(), null, false, channelId3);
                                }
                            } catch (Exception e35) {
                                e = e35;
                                state_media3 = state_media;
                            } catch (Throwable th34) {
                                th = th34;
                                state_media3 = state_media;
                                if (data2 != null) {
                                }
                                if (cursor != null) {
                                }
                                if (cursor2 != null) {
                                }
                                if (state != null) {
                                }
                                if (0 != 0) {
                                }
                                if (state3 != null) {
                                }
                                if (state_messages3 != null) {
                                }
                                if (state_media3 != null) {
                                }
                                if (state_polls != null) {
                                }
                                if (state_webpage != null) {
                                }
                                throw th;
                            }
                        } catch (Exception e36) {
                            e = e36;
                            state_messages3 = state_messages5;
                        } catch (Throwable th35) {
                            th = th35;
                            state_messages3 = state_messages5;
                        }
                    } catch (Exception e37) {
                        e = e37;
                        FileLog.e("putMessages ---> exception 2 ", e);
                        if (data2 != null) {
                        }
                        if (cursor != null) {
                        }
                        if (cursor2 != null) {
                        }
                        if (state != null) {
                        }
                        if (0 != 0) {
                        }
                        if (state3 != null) {
                        }
                        if (state_messages3 != null) {
                        }
                        if (state_media3 != null) {
                        }
                        if (state_polls != null) {
                        }
                        if (state_webpage == null) {
                        }
                        state_webpage.dispose();
                    } catch (Throwable th36) {
                        th = th36;
                        if (data2 != null) {
                        }
                        if (cursor != null) {
                        }
                        if (cursor2 != null) {
                        }
                        if (state != null) {
                        }
                        if (0 != 0) {
                        }
                        if (state3 != null) {
                        }
                        if (state_messages3 != null) {
                        }
                        if (state_media3 != null) {
                        }
                        if (state_polls != null) {
                        }
                        if (state_webpage != null) {
                        }
                        throw th;
                    }
                }
                if (data2 != null) {
                    data2.reuse();
                }
                if (cursor != null) {
                    cursor.dispose();
                }
                if (cursor2 != null) {
                    cursor2.dispose();
                }
                if (state != null) {
                    state.dispose();
                }
                if (0 != 0) {
                    state1.dispose();
                }
                if (state3 != null) {
                    state3.dispose();
                }
                if (state_messages3 != null) {
                    state_messages3.dispose();
                }
                if (state_media3 != null) {
                    state_media3.dispose();
                }
                if (state_polls != null) {
                    state_polls.dispose();
                }
                if (state_webpage == null) {
                    return;
                }
            } catch (Exception e38) {
                e = e38;
            }
            state_webpage.dispose();
        } catch (Throwable th37) {
            th = th37;
        }
    }

    public static void addUsersAndChatsFromMessage(TLRPC.Message message, ArrayList<Integer> usersToLoad, ArrayList<Integer> chatsToLoad) {
        if (message.from_id != 0) {
            if (message.from_id > 0) {
                if (!usersToLoad.contains(Integer.valueOf(message.from_id))) {
                    usersToLoad.add(Integer.valueOf(message.from_id));
                }
            } else if (!chatsToLoad.contains(Integer.valueOf(-message.from_id))) {
                chatsToLoad.add(Integer.valueOf(-message.from_id));
            }
        }
        if (message.via_bot_id != 0 && !usersToLoad.contains(Integer.valueOf(message.via_bot_id))) {
            usersToLoad.add(Integer.valueOf(message.via_bot_id));
        }
        if (message.action != null) {
            if (message.action.user_id != 0 && !usersToLoad.contains(Integer.valueOf(message.action.user_id))) {
                usersToLoad.add(Integer.valueOf(message.action.user_id));
            }
            if (message.action.channel_id != 0 && !chatsToLoad.contains(Integer.valueOf(message.action.channel_id))) {
                chatsToLoad.add(Integer.valueOf(message.action.channel_id));
            }
            if (message.action.chat_id != 0 && !chatsToLoad.contains(Integer.valueOf(message.action.chat_id))) {
                chatsToLoad.add(Integer.valueOf(message.action.chat_id));
            }
            if (!message.action.users.isEmpty()) {
                for (int a2 = 0; a2 < message.action.users.size(); a2++) {
                    Integer uid = message.action.users.get(a2);
                    if (!usersToLoad.contains(uid)) {
                        usersToLoad.add(uid);
                    }
                }
            }
        }
        if (!message.entities.isEmpty()) {
            for (int a3 = 0; a3 < message.entities.size(); a3++) {
                TLRPC.MessageEntity entity = message.entities.get(a3);
                if (entity instanceof TLRPC.TL_messageEntityMentionName) {
                    usersToLoad.add(Integer.valueOf(((TLRPC.TL_messageEntityMentionName) entity).user_id));
                } else if (entity instanceof TLRPC.TL_inputMessageEntityMentionName) {
                    usersToLoad.add(Integer.valueOf(((TLRPC.TL_inputMessageEntityMentionName) entity).user_id.user_id));
                }
            }
        }
        if (message.media != null && message.media.user_id != 0 && !usersToLoad.contains(Integer.valueOf(message.media.user_id))) {
            usersToLoad.add(Integer.valueOf(message.media.user_id));
        }
        if (message.fwd_from != null) {
            if (message.fwd_from.from_id != 0 && !usersToLoad.contains(Integer.valueOf(message.fwd_from.from_id))) {
                usersToLoad.add(Integer.valueOf(message.fwd_from.from_id));
            }
            if (message.fwd_from.channel_id != 0 && !chatsToLoad.contains(Integer.valueOf(message.fwd_from.channel_id))) {
                chatsToLoad.add(Integer.valueOf(message.fwd_from.channel_id));
            }
            if (message.fwd_from.saved_from_peer != null) {
                if (message.fwd_from.saved_from_peer.user_id != 0) {
                    if (!chatsToLoad.contains(Integer.valueOf(message.fwd_from.saved_from_peer.user_id))) {
                        usersToLoad.add(Integer.valueOf(message.fwd_from.saved_from_peer.user_id));
                    }
                } else if (message.fwd_from.saved_from_peer.channel_id != 0) {
                    if (!chatsToLoad.contains(Integer.valueOf(message.fwd_from.saved_from_peer.channel_id))) {
                        chatsToLoad.add(Integer.valueOf(message.fwd_from.saved_from_peer.channel_id));
                    }
                } else if (message.fwd_from.saved_from_peer.chat_id != 0 && !chatsToLoad.contains(Integer.valueOf(message.fwd_from.saved_from_peer.chat_id))) {
                    chatsToLoad.add(Integer.valueOf(message.fwd_from.saved_from_peer.chat_id));
                }
            }
        }
        if (message.ttl < 0 && !chatsToLoad.contains(Integer.valueOf(-message.ttl))) {
            chatsToLoad.add(Integer.valueOf(-message.ttl));
        }
    }

    public void getDialogs(final int folderId, final int offset, final int count) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda14
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m778lambda$getDialogs$140$imuecahxyvjdmessengerMessagesStorage(folderId, offset, count);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:196:0x03e8 A[Catch: all -> 0x03ed, Exception -> 0x03f6, TryCatch #76 {Exception -> 0x03f6, all -> 0x03ed, blocks: (B:196:0x03e8, B:198:0x03ec, B:192:0x03df), top: B:394:0x03df }] */
    /* JADX WARN: Removed duplicated region for block: B:216:0x0455  */
    /* JADX WARN: Removed duplicated region for block: B:219:0x0468  */
    /* JADX WARN: Removed duplicated region for block: B:226:0x0490 A[Catch: all -> 0x04ab, Exception -> 0x04b4, TryCatch #74 {Exception -> 0x04b4, all -> 0x04ab, blocks: (B:217:0x045e, B:220:0x046a, B:222:0x0474, B:223:0x047c, B:225:0x0487, B:226:0x0490, B:228:0x049a), top: B:398:0x045e }] */
    /* JADX WARN: Removed duplicated region for block: B:367:0x0788  */
    /* JADX WARN: Removed duplicated region for block: B:369:0x078d  */
    /* JADX WARN: Removed duplicated region for block: B:374:0x0798  */
    /* JADX WARN: Removed duplicated region for block: B:376:0x079d  */
    /* JADX WARN: Removed duplicated region for block: B:394:0x03df A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:477:? A[RETURN, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:67:0x01a0  */
    /* JADX WARN: Removed duplicated region for block: B:68:0x01a2  */
    /* JADX WARN: Removed duplicated region for block: B:71:0x01b8  */
    /* JADX WARN: Removed duplicated region for block: B:72:0x01ba  */
    /* JADX WARN: Removed duplicated region for block: B:76:0x01d7 A[Catch: all -> 0x0172, Exception -> 0x0178, TRY_ENTER, TryCatch #80 {Exception -> 0x0178, all -> 0x0172, blocks: (B:54:0x016a, B:76:0x01d7, B:78:0x01e8), top: B:386:0x016a }] */
    /* JADX WARN: Removed duplicated region for block: B:80:0x01f0  */
    /* JADX WARN: Removed duplicated region for block: B:85:0x0209  */
    /* renamed from: lambda$getDialogs$140$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m778lambda$getDialogs$140$imuecahxyvjdmessengerMessagesStorage(int folderId, int offset, int count) {
        TLRPC.messages_Dialogs dialogs;
        SQLiteCursor cursor;
        NativeByteBuffer data;
        NativeByteBuffer data2;
        TLRPC.messages_Dialogs dialogs2;
        int cnt;
        int off;
        SQLiteCursor cursor2;
        NativeByteBuffer data3;
        ArrayList<Integer> foldersToLoad;
        LongSparseArray<TLRPC.Message> replyMessageOwners;
        TLRPC.messages_Dialogs dialogs3;
        ArrayList<TLRPC.EncryptedChat> encryptedChats;
        NativeByteBuffer data4;
        ArrayList<Integer> foldersToLoad2;
        long dialogId;
        TLRPC.Dialog dialog;
        ArrayList<Integer> foldersToLoad3;
        TLRPC.Dialog dialog2;
        int i;
        int low_flags;
        ArrayList<Integer> foldersToLoad4;
        TLRPC.messages_Dialogs dialogs4;
        ArrayList<TLRPC.EncryptedChat> encryptedChats2;
        LongSparseArray<TLRPC.Message> replyMessageOwners2;
        int lower_id;
        NativeByteBuffer data5;
        NativeByteBuffer data6;
        TLRPC.messages_Dialogs dialogs5 = new TLRPC.TL_messages_dialogs();
        ArrayList<TLRPC.EncryptedChat> encryptedChats3 = new ArrayList<>();
        SQLiteCursor cursor3 = null;
        NativeByteBuffer data7 = null;
        try {
            ArrayList<Integer> usersToLoad = new ArrayList<>();
            usersToLoad.add(Integer.valueOf(getUserConfig().getClientUserId()));
            ArrayList<Integer> chatsToLoad = new ArrayList<>();
            ArrayList<Integer> encryptedToLoad = new ArrayList<>();
            ArrayList<Long> replyMessages = new ArrayList<>();
            LongSparseArray<TLRPC.Message> replyMessageOwners3 = new LongSparseArray<>();
            ArrayList<Integer> foldersToLoad5 = new ArrayList<>(2);
            foldersToLoad5.add(Integer.valueOf(folderId));
            NativeByteBuffer data8 = null;
            SQLiteCursor cursor4 = null;
            int a2 = 0;
            while (a2 < foldersToLoad5.size()) {
                try {
                    try {
                        int fid = foldersToLoad5.get(a2).intValue();
                        if (a2 == 0) {
                            cnt = count;
                            off = offset;
                        } else {
                            cnt = 50;
                            off = 0;
                        }
                        cursor = cursor4;
                        try {
                            cursor2 = this.database.queryFinalized(String.format(Locale.US, "SELECT d.did, d.last_mid, d.unread_count, d.date, m.data, m.read_state, m.mid, m.send_state, s.flags, m.date, d.pts, d.inbox_max, d.outbox_max, m.replydata, d.pinned, d.unread_count_i, d.flags, d.folder_id, d.data FROM dialogs as d LEFT JOIN messages as m ON d.last_mid = m.mid LEFT JOIN dialog_settings as s ON d.did = s.did WHERE d.folder_id = %d ORDER BY d.pinned DESC, d.date DESC LIMIT %d,%d", Integer.valueOf(fid), Integer.valueOf(off), Integer.valueOf(cnt)), new Object[0]);
                            while (cursor2.next()) {
                                try {
                                    long dialogId2 = cursor2.longValue(0);
                                    if (DialogObject.isFolderDialogId(dialogId2)) {
                                        try {
                                            TLRPC.TL_dialogFolder dialogFolder = new TLRPC.TL_dialogFolder();
                                            if (cursor2.isNull(18)) {
                                                foldersToLoad2 = foldersToLoad5;
                                                dialogId = dialogId2;
                                                data4 = data8;
                                            } else {
                                                try {
                                                    data4 = cursor2.byteBufferValue(18);
                                                    if (data4 != null) {
                                                        try {
                                                            dialogFolder.folder = TLRPC.TL_folder.TLdeserialize(data4, data4.readInt32(false), false);
                                                            data4.reuse();
                                                            data4 = null;
                                                            foldersToLoad2 = foldersToLoad5;
                                                            dialogId = dialogId2;
                                                        } catch (Exception e) {
                                                            e = e;
                                                            cursor = cursor2;
                                                            data = null;
                                                            dialogs = dialogs5;
                                                            TLRPC.messages_Dialogs dialogs6 = dialogs;
                                                            try {
                                                                dialogs6.dialogs.clear();
                                                                dialogs6.users.clear();
                                                                dialogs6.chats.clear();
                                                                encryptedChats3.clear();
                                                                FileLog.e("getDialogs ---> exception 2 ", e);
                                                                getMessagesController().processLoadedDialogs(dialogs6, encryptedChats3, folderId, 0, 100, 1, true, false, true);
                                                                if (data != null) {
                                                                }
                                                                if (cursor != null) {
                                                                }
                                                            } catch (Throwable th) {
                                                                th = th;
                                                                cursor3 = cursor;
                                                                data7 = data;
                                                                if (data7 != null) {
                                                                    data7.reuse();
                                                                }
                                                                if (cursor3 != null) {
                                                                    cursor3.dispose();
                                                                }
                                                                throw th;
                                                            }
                                                        } catch (Throwable th2) {
                                                            th = th2;
                                                            cursor3 = cursor2;
                                                            data7 = null;
                                                            if (data7 != null) {
                                                            }
                                                            if (cursor3 != null) {
                                                            }
                                                            throw th;
                                                        }
                                                    } else {
                                                        dialogFolder.folder = new TLRPC.TL_folder();
                                                        foldersToLoad2 = foldersToLoad5;
                                                        dialogId = dialogId2;
                                                        dialogFolder.folder.id = (int) dialogId;
                                                    }
                                                } catch (Exception e2) {
                                                    e = e2;
                                                    cursor = cursor2;
                                                    data = data8;
                                                    dialogs = dialogs5;
                                                } catch (Throwable th3) {
                                                    th = th3;
                                                    cursor3 = cursor2;
                                                    data7 = data8;
                                                }
                                            }
                                            if (a2 == 0) {
                                                dialog = dialogFolder;
                                                foldersToLoad3 = foldersToLoad2;
                                                foldersToLoad3.add(Integer.valueOf(dialogFolder.folder.id));
                                            } else {
                                                dialog = dialogFolder;
                                                foldersToLoad3 = foldersToLoad2;
                                            }
                                            dialog2 = dialog;
                                        } catch (Exception e3) {
                                            e = e3;
                                            cursor = cursor2;
                                            data = data8;
                                            dialogs = dialogs5;
                                        } catch (Throwable th4) {
                                            th = th4;
                                            cursor3 = cursor2;
                                            data7 = data8;
                                        }
                                    } else {
                                        data4 = data8;
                                        foldersToLoad3 = foldersToLoad5;
                                        dialogId = dialogId2;
                                        try {
                                            dialog2 = new TLRPC.TL_dialog();
                                        } catch (Exception e4) {
                                            e = e4;
                                            cursor = cursor2;
                                            data = data4;
                                            dialogs = dialogs5;
                                            TLRPC.messages_Dialogs dialogs62 = dialogs;
                                            dialogs62.dialogs.clear();
                                            dialogs62.users.clear();
                                            dialogs62.chats.clear();
                                            encryptedChats3.clear();
                                            FileLog.e("getDialogs ---> exception 2 ", e);
                                            getMessagesController().processLoadedDialogs(dialogs62, encryptedChats3, folderId, 0, 100, 1, true, false, true);
                                            if (data != null) {
                                            }
                                            if (cursor != null) {
                                            }
                                        } catch (Throwable th5) {
                                            th = th5;
                                            cursor3 = cursor2;
                                            data7 = data4;
                                            if (data7 != null) {
                                            }
                                            if (cursor3 != null) {
                                            }
                                            throw th;
                                        }
                                    }
                                    try {
                                        dialog2.id = dialogId;
                                        data = data4;
                                        try {
                                            dialog2.top_message = cursor2.intValue(1);
                                            dialog2.unread_count = cursor2.intValue(2);
                                            TLRPC.Dialog dialog3 = dialog2;
                                            dialog3.last_message_date = cursor2.intValue(3);
                                            dialog3.pts = cursor2.intValue(10);
                                            try {
                                                if (dialog3.pts != 0) {
                                                    try {
                                                        if (((int) dialog3.id) <= 0) {
                                                            i = 1;
                                                            dialog3.flags = i;
                                                            dialog3.read_inbox_max_id = cursor2.intValue(11);
                                                            dialog3.read_outbox_max_id = cursor2.intValue(12);
                                                            dialog3.pinnedNum = cursor2.intValue(14);
                                                            dialog3.pinned = dialog3.pinnedNum == 0;
                                                            dialog3.unread_mentions_count = cursor2.intValue(15);
                                                            int dialog_flags = cursor2.intValue(16);
                                                            dialog3.unread_mark = (dialog_flags & 1) == 0;
                                                            long flags = cursor2.longValue(8);
                                                            LongSparseArray<TLRPC.Message> replyMessageOwners4 = replyMessageOwners3;
                                                            low_flags = (int) flags;
                                                            dialog3.notify_settings = new TLRPC.TL_peerNotifySettings();
                                                            if ((low_flags & 1) == 0) {
                                                                foldersToLoad4 = foldersToLoad3;
                                                                dialog3.notify_settings.mute_until = (int) (flags >> 32);
                                                                if (dialog3.notify_settings.mute_until == 0) {
                                                                    dialog3.notify_settings.mute_until = Integer.MAX_VALUE;
                                                                }
                                                            } else {
                                                                foldersToLoad4 = foldersToLoad3;
                                                            }
                                                            dialog3.folder_id = cursor2.intValue(17);
                                                            dialogs5.dialogs.add(dialog3);
                                                            data8 = cursor2.byteBufferValue(4);
                                                            if (data8 == null) {
                                                                try {
                                                                    TLRPC.Message message = TLRPC.Message.TLdeserialize(data8, data8.readInt32(false), false);
                                                                    message.readAttachPath(data8, getUserConfig().clientUserId);
                                                                    data8.reuse();
                                                                    data8 = null;
                                                                    if (message != null) {
                                                                        try {
                                                                            MessageObject.setUnreadFlags(message, cursor2.intValue(5));
                                                                            message.id = cursor2.intValue(6);
                                                                            int date = cursor2.intValue(9);
                                                                            NativeByteBuffer data9 = null;
                                                                            if (date != 0) {
                                                                                try {
                                                                                    dialog3.last_message_date = date;
                                                                                } catch (Exception e5) {
                                                                                    e = e5;
                                                                                    cursor = cursor2;
                                                                                    dialogs = dialogs5;
                                                                                    data = null;
                                                                                    TLRPC.messages_Dialogs dialogs622 = dialogs;
                                                                                    dialogs622.dialogs.clear();
                                                                                    dialogs622.users.clear();
                                                                                    dialogs622.chats.clear();
                                                                                    encryptedChats3.clear();
                                                                                    FileLog.e("getDialogs ---> exception 2 ", e);
                                                                                    getMessagesController().processLoadedDialogs(dialogs622, encryptedChats3, folderId, 0, 100, 1, true, false, true);
                                                                                    if (data != null) {
                                                                                    }
                                                                                    if (cursor != null) {
                                                                                    }
                                                                                } catch (Throwable th6) {
                                                                                    th = th6;
                                                                                    cursor3 = cursor2;
                                                                                    data7 = null;
                                                                                    if (data7 != null) {
                                                                                    }
                                                                                    if (cursor3 != null) {
                                                                                    }
                                                                                    throw th;
                                                                                }
                                                                            }
                                                                            try {
                                                                                message.send_state = cursor2.intValue(7);
                                                                                message.dialog_id = dialog3.id;
                                                                                dialogs5.messages.add(message);
                                                                                addUsersAndChatsFromMessage(message, usersToLoad, chatsToLoad);
                                                                                try {
                                                                                    if (message.reply_to_msg_id != 0) {
                                                                                        if (!(message.action instanceof TLRPC.TL_messageActionPinMessage)) {
                                                                                            try {
                                                                                                if (!(message.action instanceof TLRPC.TL_messageActionPaymentSent) && !(message.action instanceof TLRPC.TL_messageActionGameScore)) {
                                                                                                    dialogs4 = dialogs5;
                                                                                                    encryptedChats2 = encryptedChats3;
                                                                                                    replyMessageOwners2 = replyMessageOwners4;
                                                                                                }
                                                                                            } catch (Exception e6) {
                                                                                                e = e6;
                                                                                                dialogs4 = dialogs5;
                                                                                                encryptedChats2 = encryptedChats3;
                                                                                                replyMessageOwners2 = replyMessageOwners4;
                                                                                                data5 = null;
                                                                                                try {
                                                                                                    FileLog.e("getDialogs ---> exception 1 ", e);
                                                                                                    if (data5 != null) {
                                                                                                    }
                                                                                                    data8 = data5;
                                                                                                    lower_id = (int) dialog3.id;
                                                                                                    int high_id = (int) (dialog3.id >> 32);
                                                                                                    if (lower_id != 0) {
                                                                                                    }
                                                                                                    replyMessageOwners3 = replyMessageOwners2;
                                                                                                    foldersToLoad5 = foldersToLoad4;
                                                                                                    dialogs5 = dialogs4;
                                                                                                    encryptedChats3 = encryptedChats2;
                                                                                                } catch (Throwable th7) {
                                                                                                    th = th7;
                                                                                                    if (data5 != null) {
                                                                                                        data5.reuse();
                                                                                                    }
                                                                                                    throw th;
                                                                                                }
                                                                                            } catch (Throwable th8) {
                                                                                                th = th8;
                                                                                                dialogs4 = dialogs5;
                                                                                                encryptedChats2 = encryptedChats3;
                                                                                                data5 = null;
                                                                                                if (data5 != null) {
                                                                                                }
                                                                                                throw th;
                                                                                            }
                                                                                        }
                                                                                        if (cursor2.isNull(13)) {
                                                                                            data5 = null;
                                                                                        } else {
                                                                                            data5 = cursor2.byteBufferValue(13);
                                                                                            if (data5 != null) {
                                                                                                try {
                                                                                                    message.replyMessage = TLRPC.Message.TLdeserialize(data5, data5.readInt32(false), false);
                                                                                                    message.replyMessage.readAttachPath(data5, getUserConfig().clientUserId);
                                                                                                    data5.reuse();
                                                                                                    data5 = null;
                                                                                                    if (message.replyMessage != null) {
                                                                                                        if (MessageObject.isMegagroup(message)) {
                                                                                                            message.replyMessage.flags |= Integer.MIN_VALUE;
                                                                                                        }
                                                                                                        addUsersAndChatsFromMessage(message.replyMessage, usersToLoad, chatsToLoad);
                                                                                                    }
                                                                                                } catch (Exception e7) {
                                                                                                    e = e7;
                                                                                                    dialogs4 = dialogs5;
                                                                                                    encryptedChats2 = encryptedChats3;
                                                                                                    replyMessageOwners2 = replyMessageOwners4;
                                                                                                    FileLog.e("getDialogs ---> exception 1 ", e);
                                                                                                    if (data5 != null) {
                                                                                                        try {
                                                                                                            data5.reuse();
                                                                                                        } catch (Exception e8) {
                                                                                                            e = e8;
                                                                                                            cursor = cursor2;
                                                                                                            data = data5;
                                                                                                            dialogs = dialogs4;
                                                                                                            encryptedChats3 = encryptedChats2;
                                                                                                            TLRPC.messages_Dialogs dialogs6222 = dialogs;
                                                                                                            dialogs6222.dialogs.clear();
                                                                                                            dialogs6222.users.clear();
                                                                                                            dialogs6222.chats.clear();
                                                                                                            encryptedChats3.clear();
                                                                                                            FileLog.e("getDialogs ---> exception 2 ", e);
                                                                                                            getMessagesController().processLoadedDialogs(dialogs6222, encryptedChats3, folderId, 0, 100, 1, true, false, true);
                                                                                                            if (data != null) {
                                                                                                            }
                                                                                                            if (cursor != null) {
                                                                                                            }
                                                                                                        } catch (Throwable th9) {
                                                                                                            th = th9;
                                                                                                            cursor3 = cursor2;
                                                                                                            data7 = data5;
                                                                                                            if (data7 != null) {
                                                                                                            }
                                                                                                            if (cursor3 != null) {
                                                                                                            }
                                                                                                            throw th;
                                                                                                        }
                                                                                                    }
                                                                                                    data8 = data5;
                                                                                                    lower_id = (int) dialog3.id;
                                                                                                    int high_id2 = (int) (dialog3.id >> 32);
                                                                                                    if (lower_id != 0) {
                                                                                                    }
                                                                                                    replyMessageOwners3 = replyMessageOwners2;
                                                                                                    foldersToLoad5 = foldersToLoad4;
                                                                                                    dialogs5 = dialogs4;
                                                                                                    encryptedChats3 = encryptedChats2;
                                                                                                } catch (Throwable th10) {
                                                                                                    th = th10;
                                                                                                    dialogs4 = dialogs5;
                                                                                                    encryptedChats2 = encryptedChats3;
                                                                                                    if (data5 != null) {
                                                                                                    }
                                                                                                    throw th;
                                                                                                }
                                                                                            }
                                                                                        }
                                                                                        try {
                                                                                            if (message.replyMessage == null) {
                                                                                                data6 = data5;
                                                                                                long messageId = message.reply_to_msg_id;
                                                                                                try {
                                                                                                    if (message.to_id.channel_id != 0) {
                                                                                                        try {
                                                                                                            dialogs4 = dialogs5;
                                                                                                            encryptedChats2 = encryptedChats3;
                                                                                                            messageId |= message.to_id.channel_id << 32;
                                                                                                        } catch (Exception e9) {
                                                                                                            e = e9;
                                                                                                            dialogs4 = dialogs5;
                                                                                                            encryptedChats2 = encryptedChats3;
                                                                                                            data5 = data6;
                                                                                                            replyMessageOwners2 = replyMessageOwners4;
                                                                                                            FileLog.e("getDialogs ---> exception 1 ", e);
                                                                                                            if (data5 != null) {
                                                                                                            }
                                                                                                            data8 = data5;
                                                                                                            lower_id = (int) dialog3.id;
                                                                                                            int high_id22 = (int) (dialog3.id >> 32);
                                                                                                            if (lower_id != 0) {
                                                                                                            }
                                                                                                            replyMessageOwners3 = replyMessageOwners2;
                                                                                                            foldersToLoad5 = foldersToLoad4;
                                                                                                            dialogs5 = dialogs4;
                                                                                                            encryptedChats3 = encryptedChats2;
                                                                                                        } catch (Throwable th11) {
                                                                                                            th = th11;
                                                                                                            dialogs4 = dialogs5;
                                                                                                            encryptedChats2 = encryptedChats3;
                                                                                                            data5 = data6;
                                                                                                            if (data5 != null) {
                                                                                                            }
                                                                                                            throw th;
                                                                                                        }
                                                                                                    } else {
                                                                                                        dialogs4 = dialogs5;
                                                                                                        encryptedChats2 = encryptedChats3;
                                                                                                    }
                                                                                                    try {
                                                                                                        if (!replyMessages.contains(Long.valueOf(messageId))) {
                                                                                                            try {
                                                                                                                replyMessages.add(Long.valueOf(messageId));
                                                                                                            } catch (Exception e10) {
                                                                                                                e = e10;
                                                                                                                data5 = data6;
                                                                                                                replyMessageOwners2 = replyMessageOwners4;
                                                                                                                FileLog.e("getDialogs ---> exception 1 ", e);
                                                                                                                if (data5 != null) {
                                                                                                                }
                                                                                                                data8 = data5;
                                                                                                                lower_id = (int) dialog3.id;
                                                                                                                int high_id222 = (int) (dialog3.id >> 32);
                                                                                                                if (lower_id != 0) {
                                                                                                                }
                                                                                                                replyMessageOwners3 = replyMessageOwners2;
                                                                                                                foldersToLoad5 = foldersToLoad4;
                                                                                                                dialogs5 = dialogs4;
                                                                                                                encryptedChats3 = encryptedChats2;
                                                                                                            } catch (Throwable th12) {
                                                                                                                th = th12;
                                                                                                                data5 = data6;
                                                                                                                if (data5 != null) {
                                                                                                                }
                                                                                                                throw th;
                                                                                                            }
                                                                                                        }
                                                                                                        replyMessageOwners2 = replyMessageOwners4;
                                                                                                    } catch (Exception e11) {
                                                                                                        e = e11;
                                                                                                        replyMessageOwners2 = replyMessageOwners4;
                                                                                                        data5 = data6;
                                                                                                    } catch (Throwable th13) {
                                                                                                        th = th13;
                                                                                                        data5 = data6;
                                                                                                    }
                                                                                                } catch (Exception e12) {
                                                                                                    e = e12;
                                                                                                    dialogs4 = dialogs5;
                                                                                                    encryptedChats2 = encryptedChats3;
                                                                                                    replyMessageOwners2 = replyMessageOwners4;
                                                                                                    data5 = data6;
                                                                                                } catch (Throwable th14) {
                                                                                                    th = th14;
                                                                                                    dialogs4 = dialogs5;
                                                                                                    encryptedChats2 = encryptedChats3;
                                                                                                    data5 = data6;
                                                                                                }
                                                                                                try {
                                                                                                    replyMessageOwners2.put(dialog3.id, message);
                                                                                                } catch (Exception e13) {
                                                                                                    e = e13;
                                                                                                    data5 = data6;
                                                                                                    FileLog.e("getDialogs ---> exception 1 ", e);
                                                                                                    if (data5 != null) {
                                                                                                    }
                                                                                                    data8 = data5;
                                                                                                    lower_id = (int) dialog3.id;
                                                                                                    int high_id2222 = (int) (dialog3.id >> 32);
                                                                                                    if (lower_id != 0) {
                                                                                                    }
                                                                                                    replyMessageOwners3 = replyMessageOwners2;
                                                                                                    foldersToLoad5 = foldersToLoad4;
                                                                                                    dialogs5 = dialogs4;
                                                                                                    encryptedChats3 = encryptedChats2;
                                                                                                } catch (Throwable th15) {
                                                                                                    th = th15;
                                                                                                    data5 = data6;
                                                                                                    if (data5 != null) {
                                                                                                    }
                                                                                                    throw th;
                                                                                                }
                                                                                            } else {
                                                                                                data6 = data5;
                                                                                                dialogs4 = dialogs5;
                                                                                                encryptedChats2 = encryptedChats3;
                                                                                                replyMessageOwners2 = replyMessageOwners4;
                                                                                            }
                                                                                            data9 = data6;
                                                                                        } catch (Exception e14) {
                                                                                            e = e14;
                                                                                            dialogs4 = dialogs5;
                                                                                            encryptedChats2 = encryptedChats3;
                                                                                            replyMessageOwners2 = replyMessageOwners4;
                                                                                        } catch (Throwable th16) {
                                                                                            th = th16;
                                                                                            dialogs4 = dialogs5;
                                                                                            encryptedChats2 = encryptedChats3;
                                                                                        }
                                                                                    } else {
                                                                                        dialogs4 = dialogs5;
                                                                                        encryptedChats2 = encryptedChats3;
                                                                                        replyMessageOwners2 = replyMessageOwners4;
                                                                                    }
                                                                                    if (data9 != null) {
                                                                                        try {
                                                                                            data9.reuse();
                                                                                        } catch (Exception e15) {
                                                                                            e = e15;
                                                                                            cursor = cursor2;
                                                                                            data = data9;
                                                                                            dialogs = dialogs4;
                                                                                            encryptedChats3 = encryptedChats2;
                                                                                            TLRPC.messages_Dialogs dialogs62222 = dialogs;
                                                                                            dialogs62222.dialogs.clear();
                                                                                            dialogs62222.users.clear();
                                                                                            dialogs62222.chats.clear();
                                                                                            encryptedChats3.clear();
                                                                                            FileLog.e("getDialogs ---> exception 2 ", e);
                                                                                            getMessagesController().processLoadedDialogs(dialogs62222, encryptedChats3, folderId, 0, 100, 1, true, false, true);
                                                                                            if (data != null) {
                                                                                            }
                                                                                            if (cursor != null) {
                                                                                            }
                                                                                        } catch (Throwable th17) {
                                                                                            th = th17;
                                                                                            cursor3 = cursor2;
                                                                                            data7 = data9;
                                                                                            if (data7 != null) {
                                                                                            }
                                                                                            if (cursor3 != null) {
                                                                                            }
                                                                                            throw th;
                                                                                        }
                                                                                    }
                                                                                    data8 = data9;
                                                                                } catch (Exception e16) {
                                                                                    e = e16;
                                                                                    dialogs4 = dialogs5;
                                                                                    encryptedChats2 = encryptedChats3;
                                                                                    replyMessageOwners2 = replyMessageOwners4;
                                                                                    data5 = null;
                                                                                } catch (Throwable th18) {
                                                                                    th = th18;
                                                                                    dialogs4 = dialogs5;
                                                                                    encryptedChats2 = encryptedChats3;
                                                                                    data5 = null;
                                                                                }
                                                                            } catch (Exception e17) {
                                                                                e = e17;
                                                                                cursor = cursor2;
                                                                                data = null;
                                                                                dialogs = dialogs5;
                                                                            } catch (Throwable th19) {
                                                                                th = th19;
                                                                                cursor3 = cursor2;
                                                                                data7 = null;
                                                                            }
                                                                        } catch (Exception e18) {
                                                                            e = e18;
                                                                            cursor = cursor2;
                                                                            data = null;
                                                                            dialogs = dialogs5;
                                                                        } catch (Throwable th20) {
                                                                            th = th20;
                                                                            cursor3 = cursor2;
                                                                            data7 = null;
                                                                        }
                                                                    } else {
                                                                        dialogs4 = dialogs5;
                                                                        encryptedChats2 = encryptedChats3;
                                                                        replyMessageOwners2 = replyMessageOwners4;
                                                                    }
                                                                } catch (Exception e19) {
                                                                    e = e19;
                                                                    cursor = cursor2;
                                                                    data = data8;
                                                                    dialogs = dialogs5;
                                                                } catch (Throwable th21) {
                                                                    th = th21;
                                                                    cursor3 = cursor2;
                                                                    data7 = data8;
                                                                }
                                                            } else {
                                                                dialogs4 = dialogs5;
                                                                encryptedChats2 = encryptedChats3;
                                                                replyMessageOwners2 = replyMessageOwners4;
                                                            }
                                                            lower_id = (int) dialog3.id;
                                                            int high_id22222 = (int) (dialog3.id >> 32);
                                                            if (lower_id != 0) {
                                                                if (lower_id > 0) {
                                                                    if (!usersToLoad.contains(Integer.valueOf(lower_id))) {
                                                                        usersToLoad.add(Integer.valueOf(lower_id));
                                                                    }
                                                                } else if (!chatsToLoad.contains(Integer.valueOf(-lower_id))) {
                                                                    chatsToLoad.add(Integer.valueOf(-lower_id));
                                                                }
                                                            } else if (!encryptedToLoad.contains(Integer.valueOf(high_id22222))) {
                                                                encryptedToLoad.add(Integer.valueOf(high_id22222));
                                                            }
                                                            replyMessageOwners3 = replyMessageOwners2;
                                                            foldersToLoad5 = foldersToLoad4;
                                                            dialogs5 = dialogs4;
                                                            encryptedChats3 = encryptedChats2;
                                                        }
                                                    } catch (Exception e20) {
                                                        e = e20;
                                                        cursor = cursor2;
                                                        dialogs = dialogs5;
                                                        TLRPC.messages_Dialogs dialogs622222 = dialogs;
                                                        dialogs622222.dialogs.clear();
                                                        dialogs622222.users.clear();
                                                        dialogs622222.chats.clear();
                                                        encryptedChats3.clear();
                                                        FileLog.e("getDialogs ---> exception 2 ", e);
                                                        getMessagesController().processLoadedDialogs(dialogs622222, encryptedChats3, folderId, 0, 100, 1, true, false, true);
                                                        if (data != null) {
                                                            data.reuse();
                                                        }
                                                        if (cursor != null) {
                                                            cursor.dispose();
                                                            return;
                                                        }
                                                        return;
                                                    } catch (Throwable th22) {
                                                        th = th22;
                                                        cursor3 = cursor2;
                                                        data7 = data;
                                                        if (data7 != null) {
                                                        }
                                                        if (cursor3 != null) {
                                                        }
                                                        throw th;
                                                    }
                                                }
                                                lower_id = (int) dialog3.id;
                                                int high_id222222 = (int) (dialog3.id >> 32);
                                                if (lower_id != 0) {
                                                }
                                                replyMessageOwners3 = replyMessageOwners2;
                                                foldersToLoad5 = foldersToLoad4;
                                                dialogs5 = dialogs4;
                                                encryptedChats3 = encryptedChats2;
                                            } catch (Exception e21) {
                                                e = e21;
                                                cursor = cursor2;
                                                data = data8;
                                                dialogs = dialogs4;
                                                encryptedChats3 = encryptedChats2;
                                                TLRPC.messages_Dialogs dialogs6222222 = dialogs;
                                                dialogs6222222.dialogs.clear();
                                                dialogs6222222.users.clear();
                                                dialogs6222222.chats.clear();
                                                encryptedChats3.clear();
                                                FileLog.e("getDialogs ---> exception 2 ", e);
                                                getMessagesController().processLoadedDialogs(dialogs6222222, encryptedChats3, folderId, 0, 100, 1, true, false, true);
                                                if (data != null) {
                                                }
                                                if (cursor != null) {
                                                }
                                            } catch (Throwable th23) {
                                                th = th23;
                                                cursor3 = cursor2;
                                                data7 = data8;
                                                if (data7 != null) {
                                                }
                                                if (cursor3 != null) {
                                                }
                                                throw th;
                                            }
                                            i = 0;
                                            dialog3.flags = i;
                                            dialog3.read_inbox_max_id = cursor2.intValue(11);
                                            dialog3.read_outbox_max_id = cursor2.intValue(12);
                                            dialog3.pinnedNum = cursor2.intValue(14);
                                            dialog3.pinned = dialog3.pinnedNum == 0;
                                            dialog3.unread_mentions_count = cursor2.intValue(15);
                                            int dialog_flags2 = cursor2.intValue(16);
                                            dialog3.unread_mark = (dialog_flags2 & 1) == 0;
                                            long flags2 = cursor2.longValue(8);
                                            LongSparseArray<TLRPC.Message> replyMessageOwners42 = replyMessageOwners3;
                                            low_flags = (int) flags2;
                                            dialog3.notify_settings = new TLRPC.TL_peerNotifySettings();
                                            if ((low_flags & 1) == 0) {
                                            }
                                            dialog3.folder_id = cursor2.intValue(17);
                                            dialogs5.dialogs.add(dialog3);
                                            data8 = cursor2.byteBufferValue(4);
                                            if (data8 == null) {
                                            }
                                        } catch (Exception e22) {
                                            e = e22;
                                            cursor = cursor2;
                                            dialogs = dialogs5;
                                        } catch (Throwable th24) {
                                            th = th24;
                                            cursor3 = cursor2;
                                            data7 = data;
                                        }
                                    } catch (Exception e23) {
                                        e = e23;
                                        data = data4;
                                        cursor = cursor2;
                                        dialogs = dialogs5;
                                    } catch (Throwable th25) {
                                        th = th25;
                                        cursor3 = cursor2;
                                        data7 = data4;
                                    }
                                } catch (Exception e24) {
                                    e = e24;
                                    cursor = cursor2;
                                    data = data8;
                                    dialogs = dialogs5;
                                } catch (Throwable th26) {
                                    th = th26;
                                    cursor3 = cursor2;
                                    data7 = data8;
                                }
                            }
                            data3 = data8;
                            foldersToLoad = foldersToLoad5;
                            replyMessageOwners = replyMessageOwners3;
                            dialogs3 = dialogs5;
                            encryptedChats = encryptedChats3;
                        } catch (Exception e25) {
                            e = e25;
                            data = data8;
                            dialogs = dialogs5;
                        } catch (Throwable th27) {
                            th = th27;
                            data7 = data8;
                            cursor3 = cursor;
                        }
                    } catch (Exception e26) {
                        e = e26;
                        cursor = cursor4;
                        data = data8;
                        dialogs = dialogs5;
                    } catch (Throwable th28) {
                        th = th28;
                        SQLiteCursor sQLiteCursor = cursor4;
                        data7 = data8;
                        cursor3 = sQLiteCursor;
                    }
                } catch (Exception e27) {
                    e = e27;
                    cursor = cursor4;
                    dialogs = dialogs5;
                    data = data8;
                } catch (Throwable th29) {
                    th = th29;
                    SQLiteCursor sQLiteCursor2 = cursor4;
                    data7 = data8;
                    cursor3 = sQLiteCursor2;
                }
                try {
                    cursor2.dispose();
                    cursor4 = null;
                    a2++;
                    data8 = data3;
                    replyMessageOwners3 = replyMessageOwners;
                    foldersToLoad5 = foldersToLoad;
                    dialogs5 = dialogs3;
                    encryptedChats3 = encryptedChats;
                } catch (Exception e28) {
                    e = e28;
                    cursor = cursor2;
                    data = data3;
                    dialogs = dialogs3;
                    encryptedChats3 = encryptedChats;
                    TLRPC.messages_Dialogs dialogs62222222 = dialogs;
                    dialogs62222222.dialogs.clear();
                    dialogs62222222.users.clear();
                    dialogs62222222.chats.clear();
                    encryptedChats3.clear();
                    FileLog.e("getDialogs ---> exception 2 ", e);
                    getMessagesController().processLoadedDialogs(dialogs62222222, encryptedChats3, folderId, 0, 100, 1, true, false, true);
                    if (data != null) {
                    }
                    if (cursor != null) {
                    }
                } catch (Throwable th30) {
                    th = th30;
                    cursor3 = cursor2;
                    data7 = data3;
                    if (data7 != null) {
                    }
                    if (cursor3 != null) {
                    }
                    throw th;
                }
            }
            cursor = cursor4;
            data7 = data8;
            LongSparseArray<TLRPC.Message> replyMessageOwners5 = replyMessageOwners3;
            TLRPC.messages_Dialogs dialogs7 = dialogs5;
            ArrayList<TLRPC.EncryptedChat> encryptedChats4 = encryptedChats3;
            try {
                if (replyMessages.isEmpty()) {
                    data2 = data7;
                } else {
                    try {
                        SQLiteCursor cursor5 = this.database.queryFinalized(String.format(Locale.US, "SELECT data, mid, date, uid FROM messages WHERE mid IN(%s)", TextUtils.join(",", replyMessages)), new Object[0]);
                        while (cursor5.next()) {
                            try {
                                data7 = cursor5.byteBufferValue(0);
                                if (data7 != null) {
                                    TLRPC.Message message2 = TLRPC.Message.TLdeserialize(data7, data7.readInt32(false), false);
                                    message2.readAttachPath(data7, getUserConfig().clientUserId);
                                    data7.reuse();
                                    data7 = null;
                                    message2.id = cursor5.intValue(1);
                                    message2.date = cursor5.intValue(2);
                                    message2.dialog_id = cursor5.longValue(3);
                                    addUsersAndChatsFromMessage(message2, usersToLoad, chatsToLoad);
                                    TLRPC.Message owner = replyMessageOwners5.get(message2.dialog_id);
                                    if (owner != null) {
                                        owner.replyMessage = message2;
                                        message2.dialog_id = owner.dialog_id;
                                        if (MessageObject.isMegagroup(owner)) {
                                            owner.replyMessage.flags |= Integer.MIN_VALUE;
                                        }
                                    }
                                }
                            } catch (Exception e29) {
                                e = e29;
                                data = data7;
                                cursor = cursor5;
                                dialogs = dialogs7;
                                encryptedChats3 = encryptedChats4;
                                TLRPC.messages_Dialogs dialogs622222222 = dialogs;
                                dialogs622222222.dialogs.clear();
                                dialogs622222222.users.clear();
                                dialogs622222222.chats.clear();
                                encryptedChats3.clear();
                                FileLog.e("getDialogs ---> exception 2 ", e);
                                getMessagesController().processLoadedDialogs(dialogs622222222, encryptedChats3, folderId, 0, 100, 1, true, false, true);
                                if (data != null) {
                                }
                                if (cursor != null) {
                                }
                            } catch (Throwable th31) {
                                th = th31;
                                cursor3 = cursor5;
                                if (data7 != null) {
                                }
                                if (cursor3 != null) {
                                }
                                throw th;
                            }
                        }
                        cursor5.dispose();
                        cursor = null;
                        data2 = data7;
                    } catch (Exception e30) {
                        e = e30;
                        data = data7;
                        dialogs = dialogs7;
                        encryptedChats3 = encryptedChats4;
                    } catch (Throwable th32) {
                        th = th32;
                        cursor3 = cursor;
                    }
                }
                try {
                    if (encryptedToLoad.isEmpty()) {
                        encryptedChats3 = encryptedChats4;
                    } else {
                        try {
                            encryptedChats3 = encryptedChats4;
                        } catch (Exception e31) {
                            e = e31;
                            encryptedChats3 = encryptedChats4;
                            data = data2;
                            dialogs = dialogs7;
                        } catch (Throwable th33) {
                            th = th33;
                            data7 = data2;
                            cursor3 = cursor;
                        }
                        try {
                            getEncryptedChatsInternal(TextUtils.join(",", encryptedToLoad), encryptedChats3, usersToLoad);
                        } catch (Exception e32) {
                            e = e32;
                            data = data2;
                            dialogs = dialogs7;
                            TLRPC.messages_Dialogs dialogs6222222222 = dialogs;
                            dialogs6222222222.dialogs.clear();
                            dialogs6222222222.users.clear();
                            dialogs6222222222.chats.clear();
                            encryptedChats3.clear();
                            FileLog.e("getDialogs ---> exception 2 ", e);
                            getMessagesController().processLoadedDialogs(dialogs6222222222, encryptedChats3, folderId, 0, 100, 1, true, false, true);
                            if (data != null) {
                            }
                            if (cursor != null) {
                            }
                        } catch (Throwable th34) {
                            th = th34;
                            data7 = data2;
                            cursor3 = cursor;
                            if (data7 != null) {
                            }
                            if (cursor3 != null) {
                            }
                            throw th;
                        }
                    }
                    try {
                        if (chatsToLoad.isEmpty()) {
                            dialogs2 = dialogs7;
                        } else {
                            try {
                                dialogs2 = dialogs7;
                            } catch (Exception e33) {
                                e = e33;
                                dialogs = dialogs7;
                                data = data2;
                                TLRPC.messages_Dialogs dialogs62222222222 = dialogs;
                                dialogs62222222222.dialogs.clear();
                                dialogs62222222222.users.clear();
                                dialogs62222222222.chats.clear();
                                encryptedChats3.clear();
                                FileLog.e("getDialogs ---> exception 2 ", e);
                                getMessagesController().processLoadedDialogs(dialogs62222222222, encryptedChats3, folderId, 0, 100, 1, true, false, true);
                                if (data != null) {
                                }
                                if (cursor != null) {
                                }
                            } catch (Throwable th35) {
                                th = th35;
                                data7 = data2;
                                cursor3 = cursor;
                                if (data7 != null) {
                                }
                                if (cursor3 != null) {
                                }
                                throw th;
                            }
                            try {
                                getChatsInternal(TextUtils.join(",", chatsToLoad), dialogs2.chats);
                            } catch (Exception e34) {
                                e = e34;
                                dialogs = dialogs2;
                                data = data2;
                                TLRPC.messages_Dialogs dialogs622222222222 = dialogs;
                                dialogs622222222222.dialogs.clear();
                                dialogs622222222222.users.clear();
                                dialogs622222222222.chats.clear();
                                encryptedChats3.clear();
                                FileLog.e("getDialogs ---> exception 2 ", e);
                                getMessagesController().processLoadedDialogs(dialogs622222222222, encryptedChats3, folderId, 0, 100, 1, true, false, true);
                                if (data != null) {
                                }
                                if (cursor != null) {
                                }
                            } catch (Throwable th36) {
                                th = th36;
                                data7 = data2;
                                cursor3 = cursor;
                                if (data7 != null) {
                                }
                                if (cursor3 != null) {
                                }
                                throw th;
                            }
                        }
                        try {
                            if (!usersToLoad.isEmpty()) {
                                getUsersInternal(TextUtils.join(",", usersToLoad), dialogs2.users);
                            }
                            dialogs = dialogs2;
                            try {
                                getMessagesController().processLoadedDialogs(dialogs2, encryptedChats3, folderId, offset, count, 1, false, false, true);
                                if (data2 != null) {
                                    data2.reuse();
                                }
                                if (cursor != null) {
                                    cursor.dispose();
                                }
                            } catch (Exception e35) {
                                e = e35;
                                data = data2;
                                TLRPC.messages_Dialogs dialogs6222222222222 = dialogs;
                                dialogs6222222222222.dialogs.clear();
                                dialogs6222222222222.users.clear();
                                dialogs6222222222222.chats.clear();
                                encryptedChats3.clear();
                                FileLog.e("getDialogs ---> exception 2 ", e);
                                getMessagesController().processLoadedDialogs(dialogs6222222222222, encryptedChats3, folderId, 0, 100, 1, true, false, true);
                                if (data != null) {
                                }
                                if (cursor != null) {
                                }
                            } catch (Throwable th37) {
                                th = th37;
                                data7 = data2;
                                cursor3 = cursor;
                                if (data7 != null) {
                                }
                                if (cursor3 != null) {
                                }
                                throw th;
                            }
                        } catch (Exception e36) {
                            e = e36;
                            dialogs = dialogs2;
                            data = data2;
                        } catch (Throwable th38) {
                            th = th38;
                            data7 = data2;
                            cursor3 = cursor;
                        }
                    } catch (Exception e37) {
                        e = e37;
                        dialogs = dialogs7;
                        data = data2;
                    } catch (Throwable th39) {
                        th = th39;
                        data7 = data2;
                        cursor3 = cursor;
                    }
                } catch (Exception e38) {
                    e = e38;
                    dialogs = dialogs7;
                    encryptedChats3 = encryptedChats4;
                    data = data2;
                } catch (Throwable th40) {
                    th = th40;
                    data7 = data2;
                    cursor3 = cursor;
                }
            } catch (Exception e39) {
                e = e39;
                dialogs = dialogs7;
                encryptedChats3 = encryptedChats4;
                data = data7;
            } catch (Throwable th41) {
                th = th41;
                cursor3 = cursor;
            }
        } catch (Exception e40) {
            e = e40;
            dialogs = dialogs5;
            cursor = null;
            data = null;
        } catch (Throwable th42) {
            th = th42;
        }
    }

    public static void createFirstHoles(long did, SQLitePreparedStatement state5, SQLitePreparedStatement state6, int messageId) throws Exception {
        state5.requery();
        state5.bindLong(1, did);
        state5.bindInteger(2, messageId == 1 ? 1 : 0);
        state5.bindInteger(3, messageId);
        state5.step();
        for (int b = 0; b < 5; b++) {
            state6.requery();
            state6.bindLong(1, did);
            state6.bindInteger(2, b);
            state6.bindInteger(3, messageId == 1 ? 1 : 0);
            state6.bindInteger(4, messageId);
            state6.step();
        }
    }

    /* JADX WARN: Can't wrap try/catch for region: R(22:185|186|(3:250|251|252)(1:188)|(2:189|190)|(3:(3:236|237|(19:239|193|194|195|(1:197)(1:235)|198|199|(1:201)(1:234)|202|(1:204)|205|206|207|208|(1:228)(2:(2:226|227)|211)|212|213|214|215))|214|215)|192|193|194|195|(0)(0)|198|199|(0)(0)|202|(0)|205|206|207|208|(0)(0)|212|213) */
    /* JADX WARN: Code restructure failed: missing block: B:145:0x0363, code lost:
        r0 = th;
     */
    /* JADX WARN: Code restructure failed: missing block: B:146:0x0364, code lost:
        r10 = r21;
        r9 = r20;
        r4 = r23;
     */
    /* JADX WARN: Code restructure failed: missing block: B:147:0x0370, code lost:
        r0 = e;
     */
    /* JADX WARN: Code restructure failed: missing block: B:148:0x0371, code lost:
        r10 = r21;
        r9 = r20;
        r4 = r23;
     */
    /* JADX WARN: Removed duplicated region for block: B:113:0x02b4 A[Catch: all -> 0x0289, Exception -> 0x0296, TRY_ENTER, TRY_LEAVE, TryCatch #44 {Exception -> 0x0296, all -> 0x0289, blocks: (B:100:0x0282, B:113:0x02b4, B:123:0x02d8), top: B:369:0x0282 }] */
    /* JADX WARN: Removed duplicated region for block: B:115:0x02b7  */
    /* JADX WARN: Removed duplicated region for block: B:119:0x02c7  */
    /* JADX WARN: Removed duplicated region for block: B:120:0x02c9  */
    /* JADX WARN: Removed duplicated region for block: B:123:0x02d8 A[Catch: all -> 0x0289, Exception -> 0x0296, TRY_ENTER, TRY_LEAVE, TryCatch #44 {Exception -> 0x0296, all -> 0x0289, blocks: (B:100:0x0282, B:113:0x02b4, B:123:0x02d8), top: B:369:0x0282 }] */
    /* JADX WARN: Removed duplicated region for block: B:128:0x0304  */
    /* JADX WARN: Removed duplicated region for block: B:136:0x0340  */
    /* JADX WARN: Removed duplicated region for block: B:292:0x069e  */
    /* JADX WARN: Removed duplicated region for block: B:294:0x06a3  */
    /* JADX WARN: Removed duplicated region for block: B:296:0x06a8  */
    /* JADX WARN: Removed duplicated region for block: B:298:0x06ad  */
    /* JADX WARN: Removed duplicated region for block: B:300:0x06b2  */
    /* JADX WARN: Removed duplicated region for block: B:302:0x06b7  */
    /* JADX WARN: Removed duplicated region for block: B:304:0x06bc  */
    /* JADX WARN: Removed duplicated region for block: B:306:0x06c1  */
    /* JADX WARN: Removed duplicated region for block: B:312:0x06cb  */
    /* JADX WARN: Removed duplicated region for block: B:314:0x06d0  */
    /* JADX WARN: Removed duplicated region for block: B:316:0x06d5  */
    /* JADX WARN: Removed duplicated region for block: B:318:0x06da  */
    /* JADX WARN: Removed duplicated region for block: B:320:0x06df  */
    /* JADX WARN: Removed duplicated region for block: B:322:0x06e4  */
    /* JADX WARN: Removed duplicated region for block: B:324:0x06e9  */
    /* JADX WARN: Removed duplicated region for block: B:326:0x06ee  */
    /* JADX WARN: Removed duplicated region for block: B:328:0x06f3  */
    /* JADX WARN: Removed duplicated region for block: B:399:? A[RETURN, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void putDialogsInternal(TLRPC.messages_Dialogs dialogs, int check) {
        NativeByteBuffer data;
        SQLitePreparedStatement state_settings;
        SQLitePreparedStatement state_holes;
        SQLiteCursor cursor;
        SQLiteCursor cursor2;
        LongSparseArray<TLRPC.Message> new_dialogMessage;
        int a2;
        SQLiteCursor cursor3;
        SQLitePreparedStatement state_settings2;
        SQLitePreparedStatement state_holes2;
        int messageDate;
        int i;
        MessagesStorage messagesStorage = this;
        TLRPC.messages_Dialogs messages_dialogs = dialogs;
        int i2 = check;
        SQLiteCursor cursor4 = null;
        NativeByteBuffer data2 = null;
        SQLitePreparedStatement state_messages = null;
        SQLitePreparedStatement state_dialogs = null;
        SQLitePreparedStatement state_media = null;
        SQLitePreparedStatement state_settings3 = null;
        SQLitePreparedStatement state_holes3 = null;
        SQLitePreparedStatement state_media_holes = null;
        SQLitePreparedStatement state_polls = null;
        try {
            messagesStorage.database.beginTransaction();
        } catch (Exception e) {
            try {
                FileLog.e("putDialogsInternal ---> exception 1 ", e);
            } catch (Exception e2) {
                e = e2;
                FileLog.e("putDialogsInternal ---> exception 2 ", e);
                if (data2 != null) {
                }
                if (cursor4 != null) {
                }
                if (state_messages != null) {
                }
                if (state_dialogs != null) {
                }
                if (state_media != null) {
                }
                if (state_settings3 != null) {
                }
                if (state_holes3 != null) {
                }
                if (state_media_holes != null) {
                }
                if (state_polls == null) {
                }
                state_polls.dispose();
            } catch (Throwable th) {
                th = th;
                if (data2 != null) {
                }
                if (cursor4 != null) {
                }
                if (state_messages != null) {
                }
                if (state_dialogs != null) {
                }
                if (state_media != null) {
                }
                if (state_settings3 != null) {
                }
                if (state_holes3 != null) {
                }
                if (state_media_holes != null) {
                }
                if (state_polls != null) {
                }
                throw th;
            }
        } catch (Throwable th2) {
            th = th2;
            if (data2 != null) {
            }
            if (cursor4 != null) {
            }
            if (state_messages != null) {
            }
            if (state_dialogs != null) {
            }
            if (state_media != null) {
            }
            if (state_settings3 != null) {
            }
            if (state_holes3 != null) {
            }
            if (state_media_holes != null) {
            }
            if (state_polls != null) {
            }
            throw th;
        }
        LongSparseArray<TLRPC.Message> new_dialogMessage2 = new LongSparseArray<>(messages_dialogs.messages.size());
        int a3 = 0;
        while (a3 < messages_dialogs.messages.size()) {
            TLRPC.Message message = messages_dialogs.messages.get(a3);
            SQLiteCursor cursor5 = cursor4;
            NativeByteBuffer data3 = data2;
            try {
                new_dialogMessage2.put(MessageObject.getDialogId(message), message);
                a3++;
                cursor4 = cursor5;
                data2 = data3;
            } catch (Exception e3) {
                e = e3;
                cursor4 = cursor5;
                data2 = data3;
                FileLog.e("putDialogsInternal ---> exception 2 ", e);
                if (data2 != null) {
                }
                if (cursor4 != null) {
                }
                if (state_messages != null) {
                }
                if (state_dialogs != null) {
                }
                if (state_media != null) {
                }
                if (state_settings3 != null) {
                }
                if (state_holes3 != null) {
                }
                if (state_media_holes != null) {
                }
                if (state_polls == null) {
                }
                state_polls.dispose();
            } catch (Throwable th3) {
                th = th3;
                cursor4 = cursor5;
                data2 = data3;
                if (data2 != null) {
                }
                if (cursor4 != null) {
                }
                if (state_messages != null) {
                }
                if (state_dialogs != null) {
                }
                if (state_media != null) {
                }
                if (state_settings3 != null) {
                }
                if (state_holes3 != null) {
                }
                if (state_media_holes != null) {
                }
                if (state_polls != null) {
                }
                throw th;
            }
        }
        SQLiteCursor cursor6 = cursor4;
        NativeByteBuffer data4 = data2;
        try {
            if (messages_dialogs.dialogs.isEmpty()) {
                cursor4 = cursor6;
                data2 = data4;
            } else {
                try {
                    state_messages = messagesStorage.database.executeFast("REPLACE INTO messages VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, NULL, ?, ?,?)");
                    state_dialogs = messagesStorage.database.executeFast("REPLACE INTO dialogs VALUES(?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
                    state_media = messagesStorage.database.executeFast("REPLACE INTO media_v2 VALUES(?, ?, ?, ?, ?)");
                    state_settings3 = messagesStorage.database.executeFast("REPLACE INTO dialog_settings VALUES(?, ?)");
                    try {
                        state_holes3 = messagesStorage.database.executeFast("REPLACE INTO messages_holes VALUES(?, ?, ?)");
                        try {
                            state_media_holes = messagesStorage.database.executeFast("REPLACE INTO media_holes_v2 VALUES(?, ?, ?, ?)");
                            int a4 = 0;
                            data2 = data4;
                            while (a4 < messages_dialogs.dialogs.size()) {
                                try {
                                    TLRPC.Dialog dialog = messages_dialogs.dialogs.get(a4);
                                    DialogObject.initDialog(dialog);
                                    try {
                                        try {
                                            if (i2 == 1) {
                                                try {
                                                    data = data2;
                                                    try {
                                                        SQLiteCursor cursor7 = cursor6;
                                                        try {
                                                            state_settings = state_settings3;
                                                            state_holes = state_holes3;
                                                            try {
                                                                cursor = messagesStorage.database.queryFinalized("SELECT did FROM dialogs WHERE did = " + dialog.id, new Object[0]);
                                                            } catch (Exception e4) {
                                                                e = e4;
                                                                data2 = data;
                                                                cursor4 = cursor7;
                                                                state_settings3 = state_settings;
                                                                state_holes3 = state_holes;
                                                            } catch (Throwable th4) {
                                                                th = th4;
                                                                data2 = data;
                                                                cursor4 = cursor7;
                                                                state_settings3 = state_settings;
                                                                state_holes3 = state_holes;
                                                            }
                                                        } catch (Exception e5) {
                                                            e = e5;
                                                            data2 = data;
                                                            cursor4 = cursor7;
                                                        } catch (Throwable th5) {
                                                            th = th5;
                                                            data2 = data;
                                                            cursor4 = cursor7;
                                                        }
                                                        try {
                                                            boolean exists = cursor.next();
                                                            cursor.dispose();
                                                            cursor2 = null;
                                                            if (exists) {
                                                                new_dialogMessage = new_dialogMessage2;
                                                                a2 = a4;
                                                                cursor3 = null;
                                                                data2 = data;
                                                                state_settings2 = state_settings;
                                                                state_holes2 = state_holes;
                                                                int i3 = a2 + 1;
                                                                messagesStorage = this;
                                                                messages_dialogs = dialogs;
                                                                i2 = check;
                                                                state_holes3 = state_holes2;
                                                                state_settings3 = state_settings2;
                                                                cursor6 = cursor3;
                                                                a4 = i3;
                                                                new_dialogMessage2 = new_dialogMessage;
                                                            }
                                                        } catch (Exception e6) {
                                                            e = e6;
                                                            cursor4 = cursor;
                                                            data2 = data;
                                                            state_settings3 = state_settings;
                                                            state_holes3 = state_holes;
                                                            FileLog.e("putDialogsInternal ---> exception 2 ", e);
                                                            if (data2 != null) {
                                                            }
                                                            if (cursor4 != null) {
                                                            }
                                                            if (state_messages != null) {
                                                            }
                                                            if (state_dialogs != null) {
                                                            }
                                                            if (state_media != null) {
                                                            }
                                                            if (state_settings3 != null) {
                                                            }
                                                            if (state_holes3 != null) {
                                                            }
                                                            if (state_media_holes != null) {
                                                            }
                                                            if (state_polls == null) {
                                                            }
                                                            state_polls.dispose();
                                                        } catch (Throwable th6) {
                                                            th = th6;
                                                            cursor4 = cursor;
                                                            data2 = data;
                                                            state_settings3 = state_settings;
                                                            state_holes3 = state_holes;
                                                            if (data2 != null) {
                                                            }
                                                            if (cursor4 != null) {
                                                            }
                                                            if (state_messages != null) {
                                                            }
                                                            if (state_dialogs != null) {
                                                            }
                                                            if (state_media != null) {
                                                            }
                                                            if (state_settings3 != null) {
                                                            }
                                                            if (state_holes3 != null) {
                                                            }
                                                            if (state_media_holes != null) {
                                                            }
                                                            if (state_polls != null) {
                                                            }
                                                            throw th;
                                                        }
                                                    } catch (Exception e7) {
                                                        e = e7;
                                                        data2 = data;
                                                        cursor4 = cursor6;
                                                    } catch (Throwable th7) {
                                                        th = th7;
                                                        data2 = data;
                                                        cursor4 = cursor6;
                                                    }
                                                } catch (Exception e8) {
                                                    e = e8;
                                                    cursor4 = cursor6;
                                                } catch (Throwable th8) {
                                                    th = th8;
                                                    cursor4 = cursor6;
                                                }
                                            } else {
                                                data = data2;
                                                state_settings = state_settings3;
                                                state_holes = state_holes3;
                                                SQLiteCursor cursor8 = cursor6;
                                                try {
                                                    if (dialog.pinned && i2 == 2) {
                                                        SQLiteCursor cursor9 = messagesStorage.database.queryFinalized("SELECT pinned FROM dialogs WHERE did = " + dialog.id, new Object[0]);
                                                        if (cursor9.next()) {
                                                            dialog.pinnedNum = cursor9.intValue(0);
                                                        }
                                                        cursor9.dispose();
                                                        cursor2 = null;
                                                    } else {
                                                        cursor2 = cursor8;
                                                    }
                                                } catch (Exception e9) {
                                                    e = e9;
                                                    state_holes3 = state_holes;
                                                    state_settings3 = state_settings;
                                                    data2 = data;
                                                    cursor4 = cursor8;
                                                    FileLog.e("putDialogsInternal ---> exception 2 ", e);
                                                    if (data2 != null) {
                                                    }
                                                    if (cursor4 != null) {
                                                    }
                                                    if (state_messages != null) {
                                                    }
                                                    if (state_dialogs != null) {
                                                    }
                                                    if (state_media != null) {
                                                    }
                                                    if (state_settings3 != null) {
                                                    }
                                                    if (state_holes3 != null) {
                                                    }
                                                    if (state_media_holes != null) {
                                                    }
                                                    if (state_polls == null) {
                                                    }
                                                    state_polls.dispose();
                                                } catch (Throwable th9) {
                                                    th = th9;
                                                    state_holes3 = state_holes;
                                                    state_settings3 = state_settings;
                                                    data2 = data;
                                                    cursor4 = cursor8;
                                                    if (data2 != null) {
                                                    }
                                                    if (cursor4 != null) {
                                                    }
                                                    if (state_messages != null) {
                                                    }
                                                    if (state_dialogs != null) {
                                                    }
                                                    if (state_media != null) {
                                                    }
                                                    if (state_settings3 != null) {
                                                    }
                                                    if (state_holes3 != null) {
                                                    }
                                                    if (state_media_holes != null) {
                                                    }
                                                    if (state_polls != null) {
                                                    }
                                                    throw th;
                                                }
                                            }
                                            long topMessage = dialog.top_message;
                                            if (dialog.peer != null) {
                                                try {
                                                    if (dialog.peer.channel_id != 0) {
                                                        topMessage |= dialog.peer.channel_id << 32;
                                                    }
                                                } catch (Exception e10) {
                                                    e = e10;
                                                    state_holes3 = state_holes2;
                                                    state_settings3 = state_settings;
                                                    cursor4 = cursor3;
                                                    FileLog.e("putDialogsInternal ---> exception 2 ", e);
                                                    if (data2 != null) {
                                                    }
                                                    if (cursor4 != null) {
                                                    }
                                                    if (state_messages != null) {
                                                    }
                                                    if (state_dialogs != null) {
                                                    }
                                                    if (state_media != null) {
                                                    }
                                                    if (state_settings3 != null) {
                                                    }
                                                    if (state_holes3 != null) {
                                                    }
                                                    if (state_media_holes != null) {
                                                    }
                                                    if (state_polls == null) {
                                                    }
                                                    state_polls.dispose();
                                                } catch (Throwable th10) {
                                                    th = th10;
                                                    state_holes3 = state_holes2;
                                                    state_settings3 = state_settings;
                                                    cursor4 = cursor3;
                                                    if (data2 != null) {
                                                    }
                                                    if (cursor4 != null) {
                                                    }
                                                    if (state_messages != null) {
                                                    }
                                                    if (state_dialogs != null) {
                                                    }
                                                    if (state_media != null) {
                                                    }
                                                    if (state_settings3 != null) {
                                                    }
                                                    if (state_holes3 != null) {
                                                    }
                                                    if (state_media_holes != null) {
                                                    }
                                                    if (state_polls != null) {
                                                    }
                                                    throw th;
                                                }
                                            }
                                            state_dialogs.requery();
                                            state_dialogs.bindLong(1, dialog.id);
                                            state_dialogs.bindInteger(2, messageDate);
                                            state_dialogs.bindInteger(3, dialog.unread_count);
                                            state_dialogs.bindLong(4, topMessage);
                                            state_dialogs.bindInteger(5, dialog.read_inbox_max_id);
                                            state_dialogs.bindInteger(6, dialog.read_outbox_max_id);
                                            state_dialogs.bindLong(7, 0L);
                                            state_dialogs.bindInteger(8, dialog.unread_mentions_count);
                                            state_dialogs.bindInteger(9, dialog.pts);
                                            state_dialogs.bindInteger(10, 0);
                                            state_dialogs.bindInteger(11, dialog.pinnedNum);
                                            int flags = dialog.unread_mark ? 0 | 1 : 0;
                                            state_dialogs.bindInteger(12, flags);
                                            state_dialogs.bindInteger(13, dialog.folder_id);
                                            if (dialog instanceof TLRPC.TL_dialogFolder) {
                                                TLRPC.TL_dialogFolder dialogFolder = (TLRPC.TL_dialogFolder) dialog;
                                                data2 = new NativeByteBuffer(dialogFolder.folder.getObjectSize());
                                                dialogFolder.folder.serializeToStream(data2);
                                                state_dialogs.bindByteBuffer(14, data2);
                                            } else {
                                                data2 = null;
                                                state_dialogs.bindNull(14);
                                            }
                                            state_dialogs.step();
                                            if (data2 != null) {
                                                data2.reuse();
                                                data2 = null;
                                            }
                                            if (dialog.notify_settings != null) {
                                                state_settings.requery();
                                                state_settings2 = state_settings;
                                                int i4 = 1;
                                                try {
                                                    state_settings2.bindLong(1, dialog.id);
                                                    if (dialog.notify_settings.mute_until == 0) {
                                                        i4 = 0;
                                                    }
                                                    state_settings2.bindInteger(2, i4);
                                                    state_settings2.step();
                                                } catch (Exception e11) {
                                                    e = e11;
                                                    state_holes3 = state_holes2;
                                                    state_settings3 = state_settings2;
                                                    cursor4 = cursor3;
                                                    FileLog.e("putDialogsInternal ---> exception 2 ", e);
                                                    if (data2 != null) {
                                                    }
                                                    if (cursor4 != null) {
                                                    }
                                                    if (state_messages != null) {
                                                    }
                                                    if (state_dialogs != null) {
                                                    }
                                                    if (state_media != null) {
                                                    }
                                                    if (state_settings3 != null) {
                                                    }
                                                    if (state_holes3 != null) {
                                                    }
                                                    if (state_media_holes != null) {
                                                    }
                                                    if (state_polls == null) {
                                                    }
                                                    state_polls.dispose();
                                                } catch (Throwable th11) {
                                                    th = th11;
                                                    state_holes3 = state_holes2;
                                                    state_settings3 = state_settings2;
                                                    cursor4 = cursor3;
                                                    if (data2 != null) {
                                                    }
                                                    if (cursor4 != null) {
                                                    }
                                                    if (state_messages != null) {
                                                    }
                                                    if (state_dialogs != null) {
                                                    }
                                                    if (state_media != null) {
                                                    }
                                                    if (state_settings3 != null) {
                                                    }
                                                    if (state_holes3 != null) {
                                                    }
                                                    if (state_media_holes != null) {
                                                    }
                                                    if (state_polls != null) {
                                                    }
                                                    throw th;
                                                }
                                            } else {
                                                state_settings2 = state_settings;
                                            }
                                            int i32 = a2 + 1;
                                            messagesStorage = this;
                                            messages_dialogs = dialogs;
                                            i2 = check;
                                            state_holes3 = state_holes2;
                                            state_settings3 = state_settings2;
                                            cursor6 = cursor3;
                                            a4 = i32;
                                            new_dialogMessage2 = new_dialogMessage;
                                        } catch (Exception e12) {
                                            e = e12;
                                            state_holes3 = state_holes2;
                                            state_settings3 = state_settings;
                                            cursor4 = cursor3;
                                        } catch (Throwable th12) {
                                            th = th12;
                                            state_holes3 = state_holes2;
                                            state_settings3 = state_settings;
                                            cursor4 = cursor3;
                                        }
                                        TLRPC.Message message2 = new_dialogMessage2.get(dialog.id);
                                        if (message2 != null) {
                                            try {
                                                messageDate = Math.max(message2.date, 0);
                                                if (messagesStorage.isValidKeyboardToSave(message2)) {
                                                    new_dialogMessage = new_dialogMessage2;
                                                    getMediaDataController().putBotKeyboard(dialog.id, message2);
                                                } else {
                                                    new_dialogMessage = new_dialogMessage2;
                                                }
                                                messagesStorage.fixUnsupportedMedia(message2);
                                                NativeByteBuffer data5 = new NativeByteBuffer(message2.getObjectSize());
                                                try {
                                                    message2.serializeToStream(data5);
                                                    long messageId = message2.id;
                                                    if (message2.to_id.channel_id != 0) {
                                                        try {
                                                            a2 = a4;
                                                            cursor3 = cursor2;
                                                            messageId |= message2.to_id.channel_id << 32;
                                                        } catch (Exception e13) {
                                                            e = e13;
                                                            SQLiteCursor sQLiteCursor = cursor2;
                                                            data2 = data5;
                                                            state_settings3 = state_settings;
                                                            state_holes3 = state_holes;
                                                            cursor4 = sQLiteCursor;
                                                            FileLog.e("putDialogsInternal ---> exception 2 ", e);
                                                            if (data2 != null) {
                                                            }
                                                            if (cursor4 != null) {
                                                            }
                                                            if (state_messages != null) {
                                                            }
                                                            if (state_dialogs != null) {
                                                            }
                                                            if (state_media != null) {
                                                            }
                                                            if (state_settings3 != null) {
                                                            }
                                                            if (state_holes3 != null) {
                                                            }
                                                            if (state_media_holes != null) {
                                                            }
                                                            if (state_polls == null) {
                                                            }
                                                            state_polls.dispose();
                                                        } catch (Throwable th13) {
                                                            th = th13;
                                                            SQLiteCursor sQLiteCursor2 = cursor2;
                                                            data2 = data5;
                                                            state_settings3 = state_settings;
                                                            state_holes3 = state_holes;
                                                            cursor4 = sQLiteCursor2;
                                                            if (data2 != null) {
                                                            }
                                                            if (cursor4 != null) {
                                                            }
                                                            if (state_messages != null) {
                                                            }
                                                            if (state_dialogs != null) {
                                                            }
                                                            if (state_media != null) {
                                                            }
                                                            if (state_settings3 != null) {
                                                            }
                                                            if (state_holes3 != null) {
                                                            }
                                                            if (state_media_holes != null) {
                                                            }
                                                            if (state_polls != null) {
                                                            }
                                                            throw th;
                                                        }
                                                    } else {
                                                        a2 = a4;
                                                        cursor3 = cursor2;
                                                    }
                                                    try {
                                                        state_messages.requery();
                                                        state_messages.bindLong(1, messageId);
                                                        state_messages.bindLong(2, dialog.id);
                                                        state_messages.bindInteger(3, MessageObject.getUnreadFlags(message2));
                                                        state_messages.bindInteger(4, message2.send_state);
                                                        state_messages.bindInteger(5, message2.date);
                                                        state_messages.bindByteBuffer(6, data5);
                                                    } catch (Exception e14) {
                                                        e = e14;
                                                        state_holes3 = state_holes;
                                                        data2 = data5;
                                                        state_settings3 = state_settings;
                                                        cursor4 = cursor3;
                                                    } catch (Throwable th14) {
                                                        th = th14;
                                                        state_holes3 = state_holes;
                                                        data2 = data5;
                                                        state_settings3 = state_settings;
                                                        cursor4 = cursor3;
                                                    }
                                                    try {
                                                        if (!MessageObject.isOut(message2)) {
                                                            try {
                                                                if (!message2.from_scheduled) {
                                                                    i = 0;
                                                                    state_messages.bindInteger(7, i);
                                                                    state_messages.bindInteger(8, 0);
                                                                    state_messages.bindInteger(9, (message2.flags & 1024) == 0 ? message2.views : 0);
                                                                    state_messages.bindInteger(10, 0);
                                                                    state_messages.bindInteger(11, !message2.mentioned ? 1 : 0);
                                                                    state_messages.step();
                                                                    if (MediaDataController.canAddMessageToMedia(message2)) {
                                                                        state_media.requery();
                                                                        state_media.bindLong(1, messageId);
                                                                        state_media.bindLong(2, dialog.id);
                                                                        state_media.bindInteger(3, message2.date);
                                                                        state_media.bindInteger(4, MediaDataController.getMediaType(message2));
                                                                        state_media.bindByteBuffer(5, data5);
                                                                        state_media.step();
                                                                    }
                                                                    data5.reuse();
                                                                    data2 = null;
                                                                    if (message2.media instanceof TLRPC.TL_messageMediaPoll) {
                                                                        if (state_polls == null) {
                                                                            try {
                                                                                state_polls = messagesStorage.database.executeFast("REPLACE INTO polls VALUES(?, ?)");
                                                                            } catch (Exception e15) {
                                                                                e = e15;
                                                                                state_settings3 = state_settings;
                                                                                state_holes3 = state_holes;
                                                                                cursor4 = cursor3;
                                                                                FileLog.e("putDialogsInternal ---> exception 2 ", e);
                                                                                if (data2 != null) {
                                                                                }
                                                                                if (cursor4 != null) {
                                                                                }
                                                                                if (state_messages != null) {
                                                                                }
                                                                                if (state_dialogs != null) {
                                                                                }
                                                                                if (state_media != null) {
                                                                                }
                                                                                if (state_settings3 != null) {
                                                                                }
                                                                                if (state_holes3 != null) {
                                                                                }
                                                                                if (state_media_holes != null) {
                                                                                }
                                                                                if (state_polls == null) {
                                                                                }
                                                                                state_polls.dispose();
                                                                            } catch (Throwable th15) {
                                                                                th = th15;
                                                                                state_settings3 = state_settings;
                                                                                state_holes3 = state_holes;
                                                                                cursor4 = cursor3;
                                                                                if (data2 != null) {
                                                                                }
                                                                                if (cursor4 != null) {
                                                                                }
                                                                                if (state_messages != null) {
                                                                                }
                                                                                if (state_dialogs != null) {
                                                                                }
                                                                                if (state_media != null) {
                                                                                }
                                                                                if (state_settings3 != null) {
                                                                                }
                                                                                if (state_holes3 != null) {
                                                                                }
                                                                                if (state_media_holes != null) {
                                                                                }
                                                                                if (state_polls != null) {
                                                                                }
                                                                                throw th;
                                                                            }
                                                                        }
                                                                        TLRPC.TL_messageMediaPoll mediaPoll = (TLRPC.TL_messageMediaPoll) message2.media;
                                                                        state_polls.requery();
                                                                        state_polls.bindLong(1, messageId);
                                                                        state_polls.bindLong(2, mediaPoll.poll.id);
                                                                        state_polls.step();
                                                                    }
                                                                    state_holes2 = state_holes;
                                                                    createFirstHoles(dialog.id, state_holes2, state_media_holes, message2.id);
                                                                }
                                                            } catch (Exception e16) {
                                                                e = e16;
                                                                data2 = data5;
                                                                state_settings3 = state_settings;
                                                                state_holes3 = state_holes;
                                                                cursor4 = cursor3;
                                                                FileLog.e("putDialogsInternal ---> exception 2 ", e);
                                                                if (data2 != null) {
                                                                }
                                                                if (cursor4 != null) {
                                                                }
                                                                if (state_messages != null) {
                                                                }
                                                                if (state_dialogs != null) {
                                                                }
                                                                if (state_media != null) {
                                                                }
                                                                if (state_settings3 != null) {
                                                                }
                                                                if (state_holes3 != null) {
                                                                }
                                                                if (state_media_holes != null) {
                                                                }
                                                                if (state_polls == null) {
                                                                }
                                                                state_polls.dispose();
                                                            } catch (Throwable th16) {
                                                                th = th16;
                                                                data2 = data5;
                                                                state_settings3 = state_settings;
                                                                state_holes3 = state_holes;
                                                                cursor4 = cursor3;
                                                                if (data2 != null) {
                                                                }
                                                                if (cursor4 != null) {
                                                                }
                                                                if (state_messages != null) {
                                                                }
                                                                if (state_dialogs != null) {
                                                                }
                                                                if (state_media != null) {
                                                                }
                                                                if (state_settings3 != null) {
                                                                }
                                                                if (state_holes3 != null) {
                                                                }
                                                                if (state_media_holes != null) {
                                                                }
                                                                if (state_polls != null) {
                                                                }
                                                                throw th;
                                                            }
                                                        }
                                                        createFirstHoles(dialog.id, state_holes2, state_media_holes, message2.id);
                                                    } catch (Exception e17) {
                                                        e = e17;
                                                        state_holes3 = state_holes2;
                                                        state_settings3 = state_settings;
                                                        cursor4 = cursor3;
                                                        FileLog.e("putDialogsInternal ---> exception 2 ", e);
                                                        if (data2 != null) {
                                                        }
                                                        if (cursor4 != null) {
                                                        }
                                                        if (state_messages != null) {
                                                        }
                                                        if (state_dialogs != null) {
                                                        }
                                                        if (state_media != null) {
                                                        }
                                                        if (state_settings3 != null) {
                                                        }
                                                        if (state_holes3 != null) {
                                                        }
                                                        if (state_media_holes != null) {
                                                        }
                                                        if (state_polls == null) {
                                                        }
                                                        state_polls.dispose();
                                                    } catch (Throwable th17) {
                                                        th = th17;
                                                        state_holes3 = state_holes2;
                                                        state_settings3 = state_settings;
                                                        cursor4 = cursor3;
                                                        if (data2 != null) {
                                                        }
                                                        if (cursor4 != null) {
                                                        }
                                                        if (state_messages != null) {
                                                        }
                                                        if (state_dialogs != null) {
                                                        }
                                                        if (state_media != null) {
                                                        }
                                                        if (state_settings3 != null) {
                                                        }
                                                        if (state_holes3 != null) {
                                                        }
                                                        if (state_media_holes != null) {
                                                        }
                                                        if (state_polls != null) {
                                                        }
                                                        throw th;
                                                    }
                                                    i = 1;
                                                    state_messages.bindInteger(7, i);
                                                    state_messages.bindInteger(8, 0);
                                                    state_messages.bindInteger(9, (message2.flags & 1024) == 0 ? message2.views : 0);
                                                    state_messages.bindInteger(10, 0);
                                                    state_messages.bindInteger(11, !message2.mentioned ? 1 : 0);
                                                    state_messages.step();
                                                    if (MediaDataController.canAddMessageToMedia(message2)) {
                                                    }
                                                    data5.reuse();
                                                    data2 = null;
                                                    if (message2.media instanceof TLRPC.TL_messageMediaPoll) {
                                                    }
                                                    state_holes2 = state_holes;
                                                } catch (Exception e18) {
                                                    e = e18;
                                                    SQLiteCursor sQLiteCursor3 = cursor2;
                                                    state_holes3 = state_holes;
                                                    data2 = data5;
                                                    state_settings3 = state_settings;
                                                    cursor4 = sQLiteCursor3;
                                                } catch (Throwable th18) {
                                                    th = th18;
                                                    SQLiteCursor sQLiteCursor4 = cursor2;
                                                    state_holes3 = state_holes;
                                                    data2 = data5;
                                                    state_settings3 = state_settings;
                                                    cursor4 = sQLiteCursor4;
                                                }
                                            } catch (Exception e19) {
                                                e = e19;
                                                SQLiteCursor sQLiteCursor5 = cursor2;
                                                state_holes3 = state_holes;
                                                data2 = data;
                                                state_settings3 = state_settings;
                                                cursor4 = sQLiteCursor5;
                                            } catch (Throwable th19) {
                                                th = th19;
                                                SQLiteCursor sQLiteCursor6 = cursor2;
                                                state_holes3 = state_holes;
                                                data2 = data;
                                                state_settings3 = state_settings;
                                                cursor4 = sQLiteCursor6;
                                            }
                                        } else {
                                            new_dialogMessage = new_dialogMessage2;
                                            a2 = a4;
                                            cursor3 = cursor2;
                                            state_holes2 = state_holes;
                                            data2 = data;
                                        }
                                    } catch (Exception e20) {
                                        e = e20;
                                        SQLiteCursor sQLiteCursor7 = cursor2;
                                        state_holes3 = state_holes;
                                        state_settings3 = state_settings;
                                        data2 = data;
                                        cursor4 = sQLiteCursor7;
                                    } catch (Throwable th20) {
                                        th = th20;
                                        SQLiteCursor sQLiteCursor8 = cursor2;
                                        state_holes3 = state_holes;
                                        state_settings3 = state_settings;
                                        data2 = data;
                                        cursor4 = sQLiteCursor8;
                                    }
                                    messageDate = 0;
                                } catch (Exception e21) {
                                    e = e21;
                                    cursor4 = cursor6;
                                } catch (Throwable th21) {
                                    th = th21;
                                    cursor4 = cursor6;
                                }
                            }
                            NativeByteBuffer data6 = data2;
                            SQLitePreparedStatement state_settings4 = state_settings3;
                            SQLiteCursor cursor10 = cursor6;
                            SQLitePreparedStatement state_holes4 = state_holes3;
                            try {
                                state_messages.dispose();
                                state_messages = null;
                                state_dialogs.dispose();
                                state_dialogs = null;
                                state_media.dispose();
                                state_media = null;
                                state_settings4.dispose();
                                state_settings3 = null;
                                try {
                                    state_holes4.dispose();
                                    state_holes3 = null;
                                    try {
                                        state_media_holes.dispose();
                                        state_media_holes = null;
                                        if (state_polls != null) {
                                            state_polls.dispose();
                                            state_polls = null;
                                            data2 = data6;
                                            cursor4 = cursor10;
                                        } else {
                                            data2 = data6;
                                            cursor4 = cursor10;
                                        }
                                    } catch (Exception e22) {
                                        e = e22;
                                        data2 = data6;
                                        cursor4 = cursor10;
                                        FileLog.e("putDialogsInternal ---> exception 2 ", e);
                                        if (data2 != null) {
                                        }
                                        if (cursor4 != null) {
                                        }
                                        if (state_messages != null) {
                                        }
                                        if (state_dialogs != null) {
                                        }
                                        if (state_media != null) {
                                        }
                                        if (state_settings3 != null) {
                                        }
                                        if (state_holes3 != null) {
                                        }
                                        if (state_media_holes != null) {
                                        }
                                        if (state_polls == null) {
                                        }
                                        state_polls.dispose();
                                    } catch (Throwable th22) {
                                        th = th22;
                                        data2 = data6;
                                        cursor4 = cursor10;
                                        if (data2 != null) {
                                        }
                                        if (cursor4 != null) {
                                        }
                                        if (state_messages != null) {
                                        }
                                        if (state_dialogs != null) {
                                        }
                                        if (state_media != null) {
                                        }
                                        if (state_settings3 != null) {
                                        }
                                        if (state_holes3 != null) {
                                        }
                                        if (state_media_holes != null) {
                                        }
                                        if (state_polls != null) {
                                        }
                                        throw th;
                                    }
                                } catch (Exception e23) {
                                    e = e23;
                                    state_holes3 = state_holes4;
                                    data2 = data6;
                                    cursor4 = cursor10;
                                } catch (Throwable th23) {
                                    th = th23;
                                    state_holes3 = state_holes4;
                                    data2 = data6;
                                    cursor4 = cursor10;
                                }
                            } catch (Exception e24) {
                                e = e24;
                                state_holes3 = state_holes4;
                                state_settings3 = state_settings4;
                                data2 = data6;
                                cursor4 = cursor10;
                            } catch (Throwable th24) {
                                th = th24;
                                state_holes3 = state_holes4;
                                state_settings3 = state_settings4;
                                data2 = data6;
                                cursor4 = cursor10;
                            }
                        } catch (Exception e25) {
                            e = e25;
                            cursor4 = cursor6;
                            data2 = data4;
                        } catch (Throwable th25) {
                            th = th25;
                            cursor4 = cursor6;
                            data2 = data4;
                        }
                    } catch (Exception e26) {
                        e = e26;
                        cursor4 = cursor6;
                        data2 = data4;
                    } catch (Throwable th26) {
                        th = th26;
                        cursor4 = cursor6;
                        data2 = data4;
                    }
                } catch (Exception e27) {
                    e = e27;
                    cursor4 = cursor6;
                    data2 = data4;
                    FileLog.e("putDialogsInternal ---> exception 2 ", e);
                    if (data2 != null) {
                    }
                    if (cursor4 != null) {
                    }
                    if (state_messages != null) {
                    }
                    if (state_dialogs != null) {
                    }
                    if (state_media != null) {
                    }
                    if (state_settings3 != null) {
                    }
                    if (state_holes3 != null) {
                    }
                    if (state_media_holes != null) {
                    }
                    if (state_polls == null) {
                    }
                    state_polls.dispose();
                } catch (Throwable th27) {
                    th = th27;
                    cursor4 = cursor6;
                    data2 = data4;
                    if (data2 != null) {
                    }
                    if (cursor4 != null) {
                    }
                    if (state_messages != null) {
                    }
                    if (state_dialogs != null) {
                    }
                    if (state_media != null) {
                    }
                    if (state_settings3 != null) {
                    }
                    if (state_holes3 != null) {
                    }
                    if (state_media_holes != null) {
                    }
                    if (state_polls != null) {
                    }
                    throw th;
                }
            }
            try {
                try {
                    try {
                        putUsersInternal(dialogs.users);
                        putChatsInternal(dialogs.chats);
                        this.database.commitTransaction();
                        if (data2 != null) {
                            data2.reuse();
                        }
                        if (cursor4 != null) {
                            cursor4.dispose();
                        }
                        if (state_messages != null) {
                            state_messages.dispose();
                        }
                        if (state_dialogs != null) {
                            state_dialogs.dispose();
                        }
                        if (state_media != null) {
                            state_media.dispose();
                        }
                        if (state_settings3 != null) {
                            state_settings3.dispose();
                        }
                        if (state_holes3 != null) {
                            state_holes3.dispose();
                        }
                        if (state_media_holes != null) {
                            state_media_holes.dispose();
                        }
                        if (state_polls == null) {
                            return;
                        }
                    } catch (Exception e28) {
                        e = e28;
                        FileLog.e("putDialogsInternal ---> exception 2 ", e);
                        if (data2 != null) {
                            data2.reuse();
                        }
                        if (cursor4 != null) {
                            cursor4.dispose();
                        }
                        if (state_messages != null) {
                            state_messages.dispose();
                        }
                        if (state_dialogs != null) {
                            state_dialogs.dispose();
                        }
                        if (state_media != null) {
                            state_media.dispose();
                        }
                        if (state_settings3 != null) {
                            state_settings3.dispose();
                        }
                        if (state_holes3 != null) {
                            state_holes3.dispose();
                        }
                        if (state_media_holes != null) {
                            state_media_holes.dispose();
                        }
                        if (state_polls == null) {
                            return;
                        }
                        state_polls.dispose();
                    }
                } catch (Throwable th28) {
                    th = th28;
                    if (data2 != null) {
                        data2.reuse();
                    }
                    if (cursor4 != null) {
                        cursor4.dispose();
                    }
                    if (state_messages != null) {
                        state_messages.dispose();
                    }
                    if (state_dialogs != null) {
                        state_dialogs.dispose();
                    }
                    if (state_media != null) {
                        state_media.dispose();
                    }
                    if (state_settings3 != null) {
                        state_settings3.dispose();
                    }
                    if (state_holes3 != null) {
                        state_holes3.dispose();
                    }
                    if (state_media_holes != null) {
                        state_media_holes.dispose();
                    }
                    if (state_polls != null) {
                        state_polls.dispose();
                    }
                    throw th;
                }
            } catch (Exception e29) {
                e = e29;
            } catch (Throwable th29) {
                th = th29;
                if (data2 != null) {
                }
                if (cursor4 != null) {
                }
                if (state_messages != null) {
                }
                if (state_dialogs != null) {
                }
                if (state_media != null) {
                }
                if (state_settings3 != null) {
                }
                if (state_holes3 != null) {
                }
                if (state_media_holes != null) {
                }
                if (state_polls != null) {
                }
                throw th;
            }
        } catch (Exception e30) {
            e = e30;
        } catch (Throwable th30) {
            th = th30;
        }
        state_polls.dispose();
    }

    public void getDialogFolderId(final long dialogId, final IntCallback callback) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda21
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m774xc3229897(dialogId, callback);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getDialogFolderId$142$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m774xc3229897(long dialogId, final IntCallback callback) {
        SQLiteCursor cursor = null;
        try {
            try {
                SQLiteCursor cursor2 = this.database.queryFinalized("SELECT folder_id FROM dialogs WHERE did = ?", Long.valueOf(dialogId));
                final int folderId = cursor2.next() ? cursor2.intValue(0) : -1;
                cursor2.dispose();
                cursor = null;
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda93
                    @Override // java.lang.Runnable
                    public final void run() {
                        MessagesStorage.IntCallback.this.run(folderId);
                    }
                });
                if (0 != 0) {
                    cursor.dispose();
                }
            } catch (Exception e) {
                FileLog.e("getDialogFolderId ---> exception ", e);
                if (cursor != null) {
                    cursor.dispose();
                }
            }
        } catch (Throwable th) {
            if (cursor != null) {
                cursor.dispose();
            }
            throw th;
        }
    }

    public void setDialogsFolderId(final ArrayList<TLRPC.TL_folderPeer> peers, final ArrayList<TLRPC.TL_inputFolderPeer> inputPeers, final long dialogId, final int folderId) {
        if (peers == null && inputPeers == null && dialogId == 0) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda33
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m862x44f87ddd(peers, inputPeers, folderId, dialogId);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:44:0x00c0  */
    /* JADX WARN: Removed duplicated region for block: B:57:? A[RETURN, SYNTHETIC] */
    /* renamed from: lambda$setDialogsFolderId$143$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m862x44f87ddd(ArrayList peers, ArrayList inputPeers, int folderId, long dialogId) {
        SQLitePreparedStatement state = null;
        try {
            try {
                this.database.beginTransaction();
            } catch (Throwable th) {
                th = th;
                if (state != null) {
                    state.dispose();
                }
                throw th;
            }
        } catch (Exception e) {
            try {
                FileLog.e("setDialogsFolderId ---> exception 1 ", e);
            } catch (Exception e2) {
                e = e2;
                FileLog.e("setDialogsFolderId ---> exception 2 ", e);
                if (state == null) {
                    return;
                }
                state.dispose();
            }
        }
        state = this.database.executeFast("UPDATE dialogs SET folder_id = ?, pinned = ? WHERE did = ?");
        if (peers != null) {
            int N = peers.size();
            for (int a2 = 0; a2 < N; a2++) {
                TLRPC.TL_folderPeer folderPeer = (TLRPC.TL_folderPeer) peers.get(a2);
                long did = DialogObject.getPeerDialogId(folderPeer.peer);
                state.requery();
                state.bindInteger(1, folderPeer.folder_id);
                state.bindInteger(2, 0);
                state.bindLong(3, did);
                state.step();
            }
        } else if (inputPeers != null) {
            int N2 = inputPeers.size();
            for (int a3 = 0; a3 < N2; a3++) {
                TLRPC.TL_inputFolderPeer folderPeer2 = (TLRPC.TL_inputFolderPeer) inputPeers.get(a3);
                long did2 = DialogObject.getPeerDialogId(folderPeer2.peer);
                state.requery();
                state.bindInteger(1, folderPeer2.folder_id);
                state.bindInteger(2, 0);
                state.bindLong(3, did2);
                state.step();
            }
        } else {
            state.requery();
            try {
                state.bindInteger(1, folderId);
                state.bindInteger(2, 0);
                try {
                    try {
                        state.bindLong(3, dialogId);
                        state.step();
                    } catch (Exception e3) {
                        e = e3;
                        FileLog.e("setDialogsFolderId ---> exception 2 ", e);
                        if (state == null) {
                        }
                        state.dispose();
                    }
                } catch (Throwable th2) {
                    th = th2;
                    if (state != null) {
                    }
                    throw th;
                }
            } catch (Exception e4) {
                e = e4;
                FileLog.e("setDialogsFolderId ---> exception 2 ", e);
                if (state == null) {
                }
                state.dispose();
            } catch (Throwable th3) {
                th = th3;
                if (state != null) {
                }
                throw th;
            }
        }
        state.dispose();
        state = null;
        this.database.commitTransaction();
        m740x5d92127(1);
        if (0 == 0) {
            return;
        }
        state.dispose();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: checkIfFolderEmptyInternal */
    public void m740x5d92127(final int folderId) {
        SQLiteCursor cursor = null;
        SQLitePreparedStatement state = null;
        try {
            try {
                cursor = this.database.queryFinalized("SELECT did FROM dialogs WHERE folder_id = ?", Integer.valueOf(folderId));
                if (!cursor.next()) {
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda87
                        @Override // java.lang.Runnable
                        public final void run() {
                            MessagesStorage.this.m741x2d6ea283(folderId);
                        }
                    });
                    this.database.executeFast("DELETE FROM dialogs WHERE did = " + DialogObject.makeFolderDialogId(folderId)).stepThis().dispose();
                    state = null;
                }
                cursor.dispose();
                SQLiteCursor cursor2 = null;
                if (0 != 0) {
                    cursor2.dispose();
                }
                if (state == null) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("checkIfFolderEmptyInternal ---> exception ", e);
                if (cursor != null) {
                    cursor.dispose();
                }
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (cursor != null) {
                cursor.dispose();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$checkIfFolderEmptyInternal$144$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m741x2d6ea283(int folderId) {
        getMessagesController().onFolderEmpty(folderId);
    }

    public void checkIfFolderEmpty(final int folderId) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m740x5d92127(folderId);
            }
        });
    }

    public void unpinAllDialogsExceptNew(final ArrayList<Long> dids, final int folderId) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda38
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m864x18e2bb8f(dids, folderId);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$unpinAllDialogsExceptNew$146$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m864x18e2bb8f(ArrayList dids, int folderId) {
        SQLiteCursor cursor = null;
        SQLitePreparedStatement state = null;
        try {
            try {
                ArrayList<Long> unpinnedDialogs = new ArrayList<>();
                SQLiteCursor cursor2 = this.database.queryFinalized(String.format(Locale.US, "SELECT did, folder_id FROM dialogs WHERE pinned != 0 AND did NOT IN (%s)", TextUtils.join(",", dids)), new Object[0]);
                while (cursor2.next()) {
                    long did = cursor2.longValue(0);
                    int fid = cursor2.intValue(1);
                    if (fid == folderId && ((int) did) != 0 && !DialogObject.isFolderDialogId(did)) {
                        unpinnedDialogs.add(Long.valueOf(cursor2.longValue(0)));
                    }
                }
                cursor2.dispose();
                cursor = null;
                if (!unpinnedDialogs.isEmpty()) {
                    state = this.database.executeFast("UPDATE dialogs SET pinned = ? WHERE did = ?");
                    for (int a2 = 0; a2 < unpinnedDialogs.size(); a2++) {
                        long did2 = unpinnedDialogs.get(a2).longValue();
                        state.requery();
                        state.bindInteger(1, 0);
                        state.bindLong(2, did2);
                        state.step();
                    }
                    state.dispose();
                    state = null;
                }
                if (0 != 0) {
                    cursor.dispose();
                }
                if (state == null) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("unpinAllDialogsExceptNew ---> exception ", e);
                if (cursor != null) {
                    cursor.dispose();
                }
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (cursor != null) {
                cursor.dispose();
            }
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void setDialogUnread(final long did, final boolean unread) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda8
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m861x5ef6656e(did, unread);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x003d, code lost:
        if (r2 == null) goto L11;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0041, code lost:
        if (r10 == false) goto L21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0043, code lost:
        r1 = r1 | 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0045, code lost:
        r1 = r1 & (-2);
     */
    /* JADX WARN: Code restructure failed: missing block: B:21:0x0047, code lost:
        r4 = r7.database.executeFast("UPDATE dialogs SET flags = ? WHERE did = ?");
        r4.bindInteger(1, r1);
        r4.bindLong(2, r8);
        r4.step();
        r4.dispose();
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x005d, code lost:
        r0 = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x005e, code lost:
        if (0 == 0) goto L20;
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x0076, code lost:
        return;
     */
    /* renamed from: lambda$setDialogUnread$147$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m861x5ef6656e(long did, boolean unread) {
        SQLitePreparedStatement state = null;
        SQLiteCursor cursor = null;
        try {
            try {
                try {
                    try {
                        cursor = this.database.queryFinalized("SELECT flags FROM dialogs WHERE did = " + did, new Object[0]);
                        flags = cursor.next() ? cursor.intValue(0) : 0;
                        cursor.dispose();
                        cursor = null;
                    } catch (Exception e) {
                        FileLog.e("setDialogUnread ---> exception 2 ", e);
                        if (0 == 0) {
                            return;
                        }
                        state.dispose();
                    }
                } catch (Exception e2) {
                    FileLog.e("setDialogUnread ---> exception 1 ", e2);
                }
            } catch (Throwable th) {
                if (0 != 0) {
                    state.dispose();
                }
                throw th;
            }
        } finally {
            if (cursor != null) {
                cursor.dispose();
            }
        }
    }

    public void setDialogPinned(final long did, final int pinned) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda130
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m860x55955718(pinned, did);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$setDialogPinned$148$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m860x55955718(int pinned, long did) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast("UPDATE dialogs SET pinned = ? WHERE did = ?");
                state.bindInteger(1, pinned);
                state.bindLong(2, did);
                state.step();
                state.dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("setDialogPinned ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void putDialogs(final TLRPC.messages_Dialogs dialogs, final int check) {
        if (dialogs.dialogs.isEmpty()) {
            return;
        }
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda134
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m834lambda$putDialogs$149$imuecahxyvjdmessengerMessagesStorage(dialogs, check);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$putDialogs$149$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m834lambda$putDialogs$149$imuecahxyvjdmessengerMessagesStorage(TLRPC.messages_Dialogs dialogs, int check) {
        putDialogsInternal(dialogs, check);
        loadUnreadMessages();
    }

    public int getDialogReadMax(final boolean outbox, final long dialog_id) {
        final CountDownLatch countDownLatch = new CountDownLatch(1);
        final Integer[] max = {0};
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda85
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m777x3e764f57(outbox, dialog_id, max, countDownLatch);
            }
        });
        try {
            countDownLatch.await();
        } catch (Exception e) {
            FileLog.e("getDialogReadMax ---> exception 2 ", e);
        }
        return max[0].intValue();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x005f, code lost:
        if (r0 == null) goto L12;
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x0062, code lost:
        r10.countDown();
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0065, code lost:
        return;
     */
    /* renamed from: lambda$getDialogReadMax$150$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m777x3e764f57(boolean outbox, long dialog_id, Integer[] max, CountDownLatch countDownLatch) {
        SQLiteCursor cursor = null;
        try {
            try {
                cursor = outbox ? this.database.queryFinalized("SELECT outbox_max FROM dialogs WHERE did = " + dialog_id, new Object[0]) : this.database.queryFinalized("SELECT inbox_max FROM dialogs WHERE did = " + dialog_id, new Object[0]);
                if (cursor.next()) {
                    max[0] = Integer.valueOf(cursor.intValue(0));
                }
                cursor.dispose();
                cursor = null;
            } catch (Exception e) {
                FileLog.e("getDialogReadMax ---> exception 1 ", e);
            }
        } finally {
            if (cursor != null) {
                cursor.dispose();
            }
        }
    }

    public int getChannelPtsSync(final int channelId) {
        final CountDownLatch countDownLatch = new CountDownLatch(1);
        final Integer[] pts = {0};
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda88
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m771x29e831cb(channelId, pts, countDownLatch);
            }
        });
        try {
            countDownLatch.await();
        } catch (Exception e) {
            FileLog.e("getChannelPtsSync ---> exception 3 " + e);
        }
        return pts[0].intValue();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:14:0x0052, code lost:
        if (r0 == null) goto L10;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x0055, code lost:
        if (r8 == null) goto L19;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x0057, code lost:
        r8.countDown();
     */
    /* JADX WARN: Code restructure failed: missing block: B:19:0x005b, code lost:
        r1 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x005c, code lost:
        im.uecahxyvjd.messenger.FileLog.e("getChannelPtsSync ---> exception 2 " + r1);
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x0074, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:?, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:?, code lost:
        return;
     */
    /* renamed from: lambda$getChannelPtsSync$151$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m771x29e831cb(int channelId, Integer[] pts, CountDownLatch countDownLatch) {
        SQLiteCursor cursor = null;
        try {
            try {
                cursor = this.database.queryFinalized("SELECT pts FROM dialogs WHERE did = " + (-channelId), new Object[0]);
                if (cursor.next()) {
                    pts[0] = Integer.valueOf(cursor.intValue(0));
                }
                cursor.dispose();
                cursor = null;
            } catch (Exception e) {
                FileLog.e("getChannelPtsSync ---> exception 1 " + e);
            }
        } finally {
            if (cursor != null) {
                cursor.dispose();
            }
        }
    }

    public TLRPC.User getUserSync(final int user_id) {
        final CountDownLatch countDownLatch = new CountDownLatch(1);
        final TLRPC.User[] user = new TLRPC.User[1];
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda48
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m788lambda$getUserSync$152$imuecahxyvjdmessengerMessagesStorage(user, user_id, countDownLatch);
            }
        });
        try {
            countDownLatch.await();
        } catch (Exception e) {
            FileLog.e("getUserSync ---> exception " + e);
        }
        return user[0];
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getUserSync$152$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m788lambda$getUserSync$152$imuecahxyvjdmessengerMessagesStorage(TLRPC.User[] user, int user_id, CountDownLatch countDownLatch) {
        user[0] = getUser(user_id);
        countDownLatch.countDown();
    }

    public TLRPC.Chat getChatSync(final int chat_id) {
        final CountDownLatch countDownLatch = new CountDownLatch(1);
        final TLRPC.Chat[] chat = new TLRPC.Chat[1];
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda15
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m772lambda$getChatSync$153$imuecahxyvjdmessengerMessagesStorage(chat, chat_id, countDownLatch);
            }
        });
        try {
            countDownLatch.await();
        } catch (Exception e) {
            FileLog.e("getChatSync ---> exception " + e);
        }
        return chat[0];
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getChatSync$153$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m772lambda$getChatSync$153$imuecahxyvjdmessengerMessagesStorage(TLRPC.Chat[] chat, int chat_id, CountDownLatch countDownLatch) {
        chat[0] = getChat(chat_id);
        countDownLatch.countDown();
    }

    public TLRPC.User getUser(int user_id) {
        try {
            ArrayList<TLRPC.User> users = new ArrayList<>();
            getUsersInternal("" + user_id, users);
            if (users.isEmpty()) {
                return null;
            }
            TLRPC.User user = users.get(0);
            return user;
        } catch (Exception e) {
            FileLog.e("getUser ---> exception ", e);
            return null;
        }
    }

    public ArrayList<TLRPC.User> getUsers(ArrayList<Integer> uids) {
        ArrayList<TLRPC.User> users = new ArrayList<>();
        try {
            getUsersInternal(TextUtils.join(",", uids), users);
        } catch (Exception e) {
            users.clear();
            FileLog.e("getUsers ---> exception ", e);
        }
        return users;
    }

    public TLRPC.Chat getChat(int chat_id) {
        try {
            ArrayList<TLRPC.Chat> chats = new ArrayList<>();
            getChatsInternal("" + chat_id, chats);
            if (chats.isEmpty()) {
                return null;
            }
            TLRPC.Chat chat = chats.get(0);
            return chat;
        } catch (Exception e) {
            FileLog.e("getChat ---> exception " + e);
            return null;
        }
    }

    public TLRPC.EncryptedChat getEncryptedChat(int chat_id) {
        try {
            ArrayList<TLRPC.EncryptedChat> encryptedChats = new ArrayList<>();
            getEncryptedChatsInternal("" + chat_id, encryptedChats, null);
            if (encryptedChats.isEmpty()) {
                return null;
            }
            TLRPC.EncryptedChat chat = encryptedChats.get(0);
            return chat;
        } catch (Exception e) {
            FileLog.e("getEncryptedChat ---> exception " + e);
            return null;
        }
    }

    public void saveContactsApplyInfo(ArrayList<TLRPCContacts.ContactApplyInfo> infos) throws Exception {
        if (infos == null || infos.isEmpty()) {
            return;
        }
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast("REPLACE INTO contacts_apply_info VALUES(?, ?, ?, ?, ?, ?, ?)");
                for (int i = 0; i < infos.size(); i++) {
                    TLRPCContacts.ContactApplyInfo info = infos.get(i);
                    state.requery();
                    state.bindInteger(1, info.id);
                    state.bindInteger(2, info.for_apply_id);
                    state.bindInteger(3, info.from_peer.user_id);
                    state.bindInteger(4, info.state);
                    state.bindString(5, info.greet);
                    state.bindInteger(6, info.date);
                    state.bindInteger(7, info.expire);
                    state.step();
                }
                state.dispose();
                state = null;
            } catch (Exception e) {
                FileLog.e("saveContactsApplyInfo ---> exception " + e);
                throw new Exception(e);
            }
        } finally {
            if (state != null) {
                state.dispose();
            }
        }
    }

    public void putInternalContactsApplyInfos(final ArrayList<TLRPCContacts.ContactApplyInfo> infos) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda4
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m836x8bdd6fa7(infos);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$putInternalContactsApplyInfos$154$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m836x8bdd6fa7(ArrayList infos) {
        try {
            saveContactsApplyInfo(infos);
        } catch (Exception e) {
            FileLog.e("putInternalContactsApplyInfos ---> exception " + e);
        }
    }

    public ArrayList<TLRPCContacts.ContactApplyInfo> getContactsApplyInfos() {
        SQLiteCursor cursor = null;
        try {
            try {
                ArrayList<TLRPCContacts.ContactApplyInfo> applyInfos = new ArrayList<>();
                cursor = this.database.queryFinalized("SELECT apply_id, uid, state, greet, date, expire FROM contacts_apply_info WHERE for_apply_id =0 ORDER BY date DESC LIMIT 200", new Object[0]);
                while (cursor.next()) {
                    int apply_id = cursor.intValue(0);
                    int uid = cursor.intValue(1);
                    int state = cursor.intValue(2);
                    String greet = cursor.stringValue(3);
                    int date = cursor.intValue(4);
                    int expire = cursor.intValue(5);
                    TLRPCContacts.ContactApplyInfo info = new TLRPCContacts.ContactApplyInfo();
                    info.id = apply_id;
                    info.from_peer = getMessagesController().getPeer(uid);
                    info.state = state;
                    info.for_apply_id = 0;
                    info.expire = expire;
                    info.date = date;
                    info.greet = greet;
                    applyInfos.add(info);
                }
                cursor.dispose();
                SQLiteCursor cursor2 = null;
                if (0 != 0) {
                    cursor2.dispose();
                }
                return applyInfos;
            } catch (Exception e) {
                FileLog.e("getContactsApplyInfos ---> exception ", e);
                if (cursor != null) {
                    cursor.dispose();
                    return null;
                }
                return null;
            }
        } catch (Throwable th) {
            if (cursor != null) {
                cursor.dispose();
            }
            throw th;
        }
    }

    public void deleteContactsApply() {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda67
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m758xd00f66e2();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$deleteContactsApply$155$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m758xd00f66e2() {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast("DELETE FROM contacts_apply_info");
                state.stepThis().dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("deleteContactsApply ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void deleteContactsApply(final ArrayList<Integer> ids) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda145
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m759x5caf91e3(ids);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$deleteContactsApply$156$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m759x5caf91e3(ArrayList ids) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast(String.format(Locale.US, "DELETE FROM contacts_apply_info WHERE apply_id IN(%s)", TextUtils.join(",", ids)));
                state.stepThis().dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("deleteContactsApply ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void deleteContactsApplyByUserId(final ArrayList<Integer> ids) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda127
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m760xe7957001(ids);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$deleteContactsApplyByUserId$157$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m760xe7957001(ArrayList ids) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast(String.format(Locale.US, "DELETE FROM contacts_apply_info WHERE uid IN(%s)", TextUtils.join(",", ids)));
                state.stepThis().dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("deleteContactsApplyByUserId ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void updateContactsApply(final TLRPCContacts.ContactApplyInfo info) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda1
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m875x156a4a87(info);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateContactsApply$158$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m875x156a4a87(TLRPCContacts.ContactApplyInfo info) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast("UPDATE contacts_apply_info SET state = ? WHERE apply_id = ?");
                state.bindInteger(1, info.state);
                state.bindInteger(2, info.id);
                state.step();
                state.dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("updateContactsApply ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }

    public void updateContactsApplyByUserIds(final ArrayList<Integer> ids) {
        this.storageQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.MessagesStorage$$ExternalSyntheticLambda49
            @Override // java.lang.Runnable
            public final void run() {
                MessagesStorage.this.m876xcc278d34(ids);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateContactsApplyByUserIds$159$im-uecahxyvjd-messenger-MessagesStorage  reason: not valid java name */
    public /* synthetic */ void m876xcc278d34(ArrayList ids) {
        SQLitePreparedStatement state = null;
        try {
            try {
                state = this.database.executeFast(String.format(Locale.US, "UPDATE contacts_apply_info SET state = 1 WHERE uid IN(%s)", TextUtils.join(",", ids)));
                state.stepThis().dispose();
                state = null;
                if (0 == 0) {
                    return;
                }
            } catch (Exception e) {
                FileLog.e("updateContactsApplyByUserIds ---> exception ", e);
                if (state == null) {
                    return;
                }
            }
            state.dispose();
        } catch (Throwable th) {
            if (state != null) {
                state.dispose();
            }
            throw th;
        }
    }
}
