package im.uecahxyvjd.messenger;

import android.app.AlarmManager;
import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.ImageDecoder;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Point;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.graphics.PostProcessor;
import android.graphics.drawable.BitmapDrawable;
import android.media.AudioAttributes;
import android.media.AudioManager;
import android.media.SoundPool;
import android.net.Uri;
import android.os.Build;
import android.os.PowerManager;
import android.os.SystemClock;
import android.provider.Settings;
import android.text.TextUtils;
import android.util.LongSparseArray;
import android.util.SparseArray;
import android.util.SparseIntArray;
import androidx.core.app.NotificationCompat;
import androidx.core.app.NotificationManagerCompat;
import androidx.core.app.Person;
import androidx.core.content.FileProvider;
import androidx.core.graphics.drawable.IconCompat;
import com.google.android.exoplayer2.text.ttml.TtmlNode;
import com.google.android.exoplayer2.upstream.cache.ContentMetadata;
import com.google.android.exoplayer2.util.MimeTypes;
import com.zhy.http.okhttp.OkHttpUtils;
import im.uecahxyvjd.messenger.support.SparseLongArray;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLApiModel;
import im.uecahxyvjd.tgnet.TLJsonResolve;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCRedpacket;
import im.uecahxyvjd.ui.LaunchActivity;
import im.uecahxyvjd.ui.PopupNotificationActivity;
import im.uecahxyvjd.ui.hui.packet.bean.RedpacketBean;
import im.uecahxyvjd.ui.hui.packet.bean.RedpacketResponse;
import im.uecahxyvjd.ui.hui.transfer.bean.TransferResponse;
import java.io.File;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;
import java.util.Map;
import java.util.concurrent.CountDownLatch;
import java9.util.concurrent.ForkJoinPool;
import org.json.JSONException;
import org.json.JSONObject;
/* loaded from: classes16.dex */
public class NotificationsController extends BaseController {
    public static final String EXTRA_VOICE_REPLY = "extra_voice_reply";
    private static volatile NotificationsController[] Instance = null;
    public static final int SETTING_MUTE_2_DAYS = 2;
    public static final int SETTING_MUTE_8_HOURS = 1;
    public static final int SETTING_MUTE_FOREVER = 3;
    public static final int SETTING_MUTE_HOUR = 0;
    public static final int SETTING_MUTE_UNMUTE = 4;
    public static final int TYPE_CHANNEL = 2;
    public static final int TYPE_GROUP = 0;
    public static final int TYPE_PRIVATE = 1;
    protected static AudioManager audioManager;
    private static NotificationManagerCompat notificationManager;
    private static NotificationManager systemNotificationManager;
    private AlarmManager alarmManager;
    private ArrayList<MessageObject> delayedPushMessages;
    private LongSparseArray<MessageObject> fcmRandomMessagesDict;
    private boolean inChatSoundEnabled;
    private int lastBadgeCount;
    private int lastButtonId;
    private int lastOnlineFromOtherDevice;
    private long lastSoundOutPlay;
    private long lastSoundPlay;
    private LongSparseArray<Integer> lastWearNotifiedMessageId;
    private String launcherClassName;
    private Runnable notificationDelayRunnable;
    private PowerManager.WakeLock notificationDelayWakelock;
    private String notificationGroup;
    private int notificationId;
    private boolean notifyCheck;
    private long opened_dialog_id;
    private int personal_count;
    public ArrayList<MessageObject> popupMessages;
    public ArrayList<MessageObject> popupReplyMessages;
    private LongSparseArray<Integer> pushDialogs;
    private LongSparseArray<Integer> pushDialogsOverrideMention;
    private ArrayList<MessageObject> pushMessages;
    private LongSparseArray<MessageObject> pushMessagesDict;
    public boolean showBadgeMessages;
    public boolean showBadgeMuted;
    public boolean showBadgeNumber;
    private LongSparseArray<Point> smartNotificationsDialogs;
    private int soundIn;
    private boolean soundInLoaded;
    private int soundOut;
    private boolean soundOutLoaded;
    private SoundPool soundPool;
    private int soundRecord;
    private boolean soundRecordLoaded;
    private int total_unread_count;
    private LongSparseArray<Integer> wearNotificationsIds;
    public static String OTHER_NOTIFICATIONS_CHANNEL = null;
    private static DispatchQueue notificationsQueue = new DispatchQueue("notificationsQueue");
    public static long globalSecretChatId = ForkJoinPool.UC_MASK;

    static {
        notificationManager = null;
        systemNotificationManager = null;
        if (Build.VERSION.SDK_INT >= 26 && ApplicationLoader.applicationContext != null) {
            notificationManager = NotificationManagerCompat.from(ApplicationLoader.applicationContext);
            systemNotificationManager = (NotificationManager) ApplicationLoader.applicationContext.getSystemService("notification");
            checkOtherNotificationsChannel();
        }
        audioManager = (AudioManager) ApplicationLoader.applicationContext.getSystemService(MimeTypes.BASE_TYPE_AUDIO);
        Instance = new NotificationsController[3];
    }

    public static NotificationsController getInstance(int num) {
        NotificationsController localInstance = Instance[num];
        if (localInstance == null) {
            synchronized (NotificationsController.class) {
                localInstance = Instance[num];
                if (localInstance == null) {
                    NotificationsController[] notificationsControllerArr = Instance;
                    NotificationsController notificationsController = new NotificationsController(num);
                    localInstance = notificationsController;
                    notificationsControllerArr[num] = notificationsController;
                }
            }
        }
        return localInstance;
    }

    public NotificationManagerCompat getNotificationManager() {
        return notificationManager;
    }

    public NotificationsController(int instance) {
        super(instance);
        this.pushMessages = new ArrayList<>();
        this.delayedPushMessages = new ArrayList<>();
        this.pushMessagesDict = new LongSparseArray<>();
        this.fcmRandomMessagesDict = new LongSparseArray<>();
        this.smartNotificationsDialogs = new LongSparseArray<>();
        this.pushDialogs = new LongSparseArray<>();
        this.wearNotificationsIds = new LongSparseArray<>();
        this.lastWearNotifiedMessageId = new LongSparseArray<>();
        this.pushDialogsOverrideMention = new LongSparseArray<>();
        this.popupMessages = new ArrayList<>();
        this.popupReplyMessages = new ArrayList<>();
        this.opened_dialog_id = 0L;
        this.lastButtonId = 5000;
        this.total_unread_count = 0;
        this.personal_count = 0;
        this.notifyCheck = false;
        this.lastOnlineFromOtherDevice = 0;
        this.lastBadgeCount = -1;
        this.notificationId = this.currentAccount + 1;
        this.notificationGroup = "messages" + (this.currentAccount == 0 ? "" : Integer.valueOf(this.currentAccount));
        SharedPreferences preferences = getAccountInstance().getNotificationsSettings();
        this.inChatSoundEnabled = preferences.getBoolean("EnableInChatSound", true);
        this.showBadgeNumber = preferences.getBoolean("badgeNumber", true);
        this.showBadgeMuted = preferences.getBoolean("badgeNumberMuted", false);
        this.showBadgeMessages = preferences.getBoolean("badgeNumberMessages", true);
        notificationManager = NotificationManagerCompat.from(ApplicationLoader.applicationContext);
        systemNotificationManager = (NotificationManager) ApplicationLoader.applicationContext.getSystemService("notification");
        try {
            audioManager = (AudioManager) ApplicationLoader.applicationContext.getSystemService(MimeTypes.BASE_TYPE_AUDIO);
        } catch (Exception e) {
            FileLog.e(e);
        }
        try {
            this.alarmManager = (AlarmManager) ApplicationLoader.applicationContext.getSystemService(NotificationCompat.CATEGORY_ALARM);
        } catch (Exception e2) {
            FileLog.e(e2);
        }
        try {
            PowerManager pm = (PowerManager) ApplicationLoader.applicationContext.getSystemService("power");
            PowerManager.WakeLock newWakeLock = pm.newWakeLock(1, "hchat:notification_delay_lock");
            this.notificationDelayWakelock = newWakeLock;
            newWakeLock.setReferenceCounted(false);
        } catch (Exception e3) {
            FileLog.e(e3);
        }
        this.notificationDelayRunnable = new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda23
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m900lambda$new$0$imuecahxyvjdmessengerNotificationsController();
            }
        };
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$new$0$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m900lambda$new$0$imuecahxyvjdmessengerNotificationsController() {
        if (BuildVars.LOGS_ENABLED) {
            FileLog.d("delay reached");
        }
        if (!this.delayedPushMessages.isEmpty()) {
            showOrUpdateNotification(true);
            this.delayedPushMessages.clear();
        }
        try {
            if (this.notificationDelayWakelock.isHeld()) {
                this.notificationDelayWakelock.release();
            }
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    public static void checkOtherNotificationsChannel() {
        if (Build.VERSION.SDK_INT < 26) {
            return;
        }
        SharedPreferences preferences = null;
        if (OTHER_NOTIFICATIONS_CHANNEL == null) {
            preferences = ApplicationLoader.applicationContext.getSharedPreferences("Notifications", 0);
            OTHER_NOTIFICATIONS_CHANNEL = preferences.getString("OtherKey", "Other3");
        }
        NotificationChannel notificationChannel = systemNotificationManager.getNotificationChannel(OTHER_NOTIFICATIONS_CHANNEL);
        if (notificationChannel != null && notificationChannel.getImportance() == 0) {
            systemNotificationManager.deleteNotificationChannel(OTHER_NOTIFICATIONS_CHANNEL);
            OTHER_NOTIFICATIONS_CHANNEL = null;
            notificationChannel = null;
        }
        if (OTHER_NOTIFICATIONS_CHANNEL == null) {
            if (preferences == null) {
                preferences = ApplicationLoader.applicationContext.getSharedPreferences("Notifications", 0);
            }
            OTHER_NOTIFICATIONS_CHANNEL = "Other" + Utilities.random.nextLong();
            preferences.edit().putString("OtherKey", OTHER_NOTIFICATIONS_CHANNEL).commit();
        }
        if (notificationChannel == null) {
            NotificationChannel notificationChannel2 = new NotificationChannel(OTHER_NOTIFICATIONS_CHANNEL, "Other", 2);
            notificationChannel2.enableLights(false);
            notificationChannel2.enableVibration(false);
            AudioAttributes.Builder builder = new AudioAttributes.Builder();
            builder.setContentType(4);
            builder.setUsage(5);
            notificationChannel2.setSound(Settings.System.DEFAULT_NOTIFICATION_URI, builder.build());
            try {
                systemNotificationManager.createNotificationChannel(notificationChannel2);
            } catch (Exception e) {
                FileLog.e(e);
            }
        }
    }

    public void cleanup() {
        this.popupMessages.clear();
        this.popupReplyMessages.clear();
        notificationsQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda3
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m894lambda$cleanup$1$imuecahxyvjdmessengerNotificationsController();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$cleanup$1$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m894lambda$cleanup$1$imuecahxyvjdmessengerNotificationsController() {
        this.opened_dialog_id = 0L;
        this.total_unread_count = 0;
        this.personal_count = 0;
        this.pushMessages.clear();
        this.pushMessagesDict.clear();
        this.fcmRandomMessagesDict.clear();
        this.pushDialogs.clear();
        this.wearNotificationsIds.clear();
        this.lastWearNotifiedMessageId.clear();
        this.delayedPushMessages.clear();
        this.notifyCheck = false;
        this.lastBadgeCount = 0;
        try {
            if (this.notificationDelayWakelock.isHeld()) {
                this.notificationDelayWakelock.release();
            }
        } catch (Exception e) {
            FileLog.e(e);
        }
        dismissNotification();
        setBadge(getTotalAllUnreadCount());
        SharedPreferences preferences = getAccountInstance().getNotificationsSettings();
        SharedPreferences.Editor editor = preferences.edit();
        editor.clear();
        editor.commit();
        if (Build.VERSION.SDK_INT >= 26) {
            try {
                String keyStart = this.currentAccount + "channel";
                List<NotificationChannel> list = systemNotificationManager.getNotificationChannels();
                int count = list.size();
                for (int a2 = 0; a2 < count; a2++) {
                    NotificationChannel channel = list.get(a2);
                    String id = channel.getId();
                    if (id.startsWith(keyStart)) {
                        systemNotificationManager.deleteNotificationChannel(id);
                    }
                }
            } catch (Throwable e2) {
                FileLog.e(e2);
            }
        }
    }

    public void setInChatSoundEnabled(boolean value) {
        this.inChatSoundEnabled = value;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$setOpenedDialogId$2$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m921xddc145b6(long dialog_id) {
        this.opened_dialog_id = dialog_id;
    }

    public void setOpenedDialogId(final long dialog_id) {
        notificationsQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda2
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m921xddc145b6(dialog_id);
            }
        });
    }

    public void setLastOnlineFromOtherDevice(final int time) {
        notificationsQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda8
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m920x8f219234(time);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$setLastOnlineFromOtherDevice$3$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m920x8f219234(int time) {
        if (BuildVars.LOGS_ENABLED) {
            FileLog.d("set last online from other device = " + time);
        }
        this.lastOnlineFromOtherDevice = time;
    }

    public void removeNotificationsForDialog(long did) {
        processReadMessages(null, did, 0, Integer.MAX_VALUE, false);
        LongSparseArray<Integer> dialogsToUpdate = new LongSparseArray<>();
        dialogsToUpdate.put(did, 0);
        processDialogsUpdateRead(dialogsToUpdate);
    }

    public boolean hasMessagesToReply() {
        for (int a2 = 0; a2 < this.pushMessages.size(); a2++) {
            MessageObject messageObject = this.pushMessages.get(a2);
            long dialog_id = messageObject.getDialogId();
            if ((!messageObject.messageOwner.mentioned || !(messageObject.messageOwner.action instanceof TLRPC.TL_messageActionPinMessage)) && ((int) dialog_id) != 0 && (messageObject.messageOwner.to_id.channel_id == 0 || messageObject.isMegagroup())) {
                return true;
            }
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public void forceShowPopupForReply() {
        notificationsQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda12
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m898xe49c224a();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$forceShowPopupForReply$5$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m898xe49c224a() {
        final ArrayList<MessageObject> popupArray = new ArrayList<>();
        for (int a2 = 0; a2 < this.pushMessages.size(); a2++) {
            MessageObject messageObject = this.pushMessages.get(a2);
            long dialog_id = messageObject.getDialogId();
            if ((!messageObject.messageOwner.mentioned || !(messageObject.messageOwner.action instanceof TLRPC.TL_messageActionPinMessage)) && ((int) dialog_id) != 0 && (messageObject.messageOwner.to_id.channel_id == 0 || messageObject.isMegagroup())) {
                popupArray.add(0, messageObject);
            }
        }
        if (!popupArray.isEmpty() && !AndroidUtilities.needShowPasscode(false)) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda11
                @Override // java.lang.Runnable
                public final void run() {
                    NotificationsController.this.m897xe5128849(popupArray);
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$forceShowPopupForReply$4$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m897xe5128849(ArrayList popupArray) {
        this.popupReplyMessages = popupArray;
        Intent popupIntent = new Intent(ApplicationLoader.applicationContext, PopupNotificationActivity.class);
        popupIntent.putExtra("force", true);
        popupIntent.putExtra("currentAccount", this.currentAccount);
        popupIntent.setFlags(268763140);
        ApplicationLoader.applicationContext.startActivity(popupIntent);
        Intent it = new Intent("android.intent.action.CLOSE_SYSTEM_DIALOGS");
        ApplicationLoader.applicationContext.sendBroadcast(it);
    }

    public void removeDeletedMessagesFromNotifications(final SparseArray<ArrayList<Integer>> deletedMessages) {
        final ArrayList<MessageObject> popupArrayRemove = new ArrayList<>(0);
        notificationsQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda37
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m918x4ef34f85(deletedMessages, popupArrayRemove);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$removeDeletedMessagesFromNotifications$8$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m918x4ef34f85(SparseArray deletedMessages, final ArrayList popupArrayRemove) {
        int old_unread_count = this.total_unread_count;
        SharedPreferences preferences = getAccountInstance().getNotificationsSettings();
        int a2 = 0;
        while (a2 < deletedMessages.size()) {
            int key = deletedMessages.keyAt(a2);
            long dialog_id = -key;
            ArrayList<Integer> mids = (ArrayList) deletedMessages.get(key);
            Integer currentCount = this.pushDialogs.get(dialog_id);
            if (currentCount == null) {
                currentCount = 0;
            }
            Integer newCount = currentCount;
            int b = 0;
            while (b < mids.size()) {
                int old_unread_count2 = old_unread_count;
                SharedPreferences preferences2 = preferences;
                long mid = (key << 32) | mids.get(b).intValue();
                MessageObject messageObject = this.pushMessagesDict.get(mid);
                if (messageObject != null) {
                    this.pushMessagesDict.remove(mid);
                    this.delayedPushMessages.remove(messageObject);
                    this.pushMessages.remove(messageObject);
                    if (isPersonalMessage(messageObject)) {
                        this.personal_count--;
                    }
                    popupArrayRemove.add(messageObject);
                    newCount = Integer.valueOf(newCount.intValue() - 1);
                }
                b++;
                old_unread_count = old_unread_count2;
                preferences = preferences2;
            }
            int old_unread_count3 = old_unread_count;
            SharedPreferences preferences3 = preferences;
            int old_unread_count4 = newCount.intValue();
            if (old_unread_count4 <= 0) {
                newCount = 0;
                this.smartNotificationsDialogs.remove(dialog_id);
            }
            if (!newCount.equals(currentCount)) {
                int intValue = this.total_unread_count - currentCount.intValue();
                this.total_unread_count = intValue;
                this.total_unread_count = intValue + newCount.intValue();
                this.pushDialogs.put(dialog_id, newCount);
            }
            if (newCount.intValue() == 0) {
                this.pushDialogs.remove(dialog_id);
                this.pushDialogsOverrideMention.remove(dialog_id);
            }
            a2++;
            old_unread_count = old_unread_count3;
            preferences = preferences3;
        }
        int old_unread_count5 = old_unread_count;
        if (!popupArrayRemove.isEmpty()) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda15
                @Override // java.lang.Runnable
                public final void run() {
                    NotificationsController.this.m916x4fe01b83(popupArrayRemove);
                }
            });
        }
        if (old_unread_count5 != this.total_unread_count) {
            if (this.notifyCheck) {
                scheduleNotificationDelay(this.lastOnlineFromOtherDevice > getConnectionsManager().getCurrentTime());
            } else {
                this.delayedPushMessages.clear();
                showOrUpdateNotification(this.notifyCheck);
            }
            final int pushDialogsCount = this.pushDialogs.size();
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda16
                @Override // java.lang.Runnable
                public final void run() {
                    NotificationsController.this.m917x4f69b584(pushDialogsCount);
                }
            });
        }
        this.notifyCheck = false;
        if (this.showBadgeNumber) {
            setBadge(getTotalAllUnreadCount());
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$removeDeletedMessagesFromNotifications$6$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m916x4fe01b83(ArrayList popupArrayRemove) {
        int size = popupArrayRemove.size();
        for (int a2 = 0; a2 < size; a2++) {
            this.popupMessages.remove(popupArrayRemove.get(a2));
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$removeDeletedMessagesFromNotifications$7$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m917x4f69b584(int pushDialogsCount) {
        NotificationCenter.getGlobalInstance().postNotificationName(NotificationCenter.notificationsCountUpdated, Integer.valueOf(this.currentAccount));
        getNotificationCenter().postNotificationName(NotificationCenter.dialogsUnreadCounterChanged, Integer.valueOf(pushDialogsCount));
    }

    public void removeDeletedHisoryFromNotifications(final SparseIntArray deletedMessages) {
        final ArrayList<MessageObject> popupArrayRemove = new ArrayList<>(0);
        notificationsQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda24
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m914x8ab99059(deletedMessages, popupArrayRemove);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$removeDeletedHisoryFromNotifications$11$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m914x8ab99059(SparseIntArray deletedMessages, final ArrayList popupArrayRemove) {
        long dialog_id;
        long dialog_id2;
        int i;
        int old_unread_count = this.total_unread_count;
        getAccountInstance().getNotificationsSettings();
        for (int a2 = 0; a2 < deletedMessages.size(); a2++) {
            int key = deletedMessages.keyAt(a2);
            long dialog_id3 = -key;
            int id = deletedMessages.get(key);
            Integer currentCount = this.pushDialogs.get(dialog_id3);
            if (currentCount == null) {
                currentCount = 0;
            }
            Integer newCount = currentCount;
            int c = 0;
            while (c < this.pushMessages.size()) {
                MessageObject messageObject = this.pushMessages.get(c);
                if (messageObject.getDialogId() != dialog_id3 || messageObject.getId() > id) {
                    dialog_id2 = dialog_id3;
                    i = 1;
                } else {
                    dialog_id2 = dialog_id3;
                    this.pushMessagesDict.remove(messageObject.getIdWithChannel());
                    this.delayedPushMessages.remove(messageObject);
                    this.pushMessages.remove(messageObject);
                    c--;
                    if (isPersonalMessage(messageObject)) {
                        i = 1;
                        this.personal_count--;
                    } else {
                        i = 1;
                    }
                    popupArrayRemove.add(messageObject);
                    newCount = Integer.valueOf(newCount.intValue() - i);
                }
                c += i;
                dialog_id3 = dialog_id2;
            }
            long dialog_id4 = dialog_id3;
            if (newCount.intValue() > 0) {
                dialog_id = dialog_id4;
            } else {
                newCount = 0;
                dialog_id = dialog_id4;
                this.smartNotificationsDialogs.remove(dialog_id);
            }
            if (!newCount.equals(currentCount)) {
                int intValue = this.total_unread_count - currentCount.intValue();
                this.total_unread_count = intValue;
                this.total_unread_count = intValue + newCount.intValue();
                this.pushDialogs.put(dialog_id, newCount);
            }
            if (newCount.intValue() == 0) {
                this.pushDialogs.remove(dialog_id);
                this.pushDialogsOverrideMention.remove(dialog_id);
            }
        }
        if (popupArrayRemove.isEmpty()) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda29
                @Override // java.lang.Runnable
                public final void run() {
                    NotificationsController.this.m915x6ad0a3ae(popupArrayRemove);
                }
            });
        }
        if (old_unread_count != this.total_unread_count) {
            if (this.notifyCheck) {
                scheduleNotificationDelay(this.lastOnlineFromOtherDevice > getConnectionsManager().getCurrentTime());
            } else {
                this.delayedPushMessages.clear();
                showOrUpdateNotification(this.notifyCheck);
            }
            final int pushDialogsCount = this.pushDialogs.size();
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda30
                @Override // java.lang.Runnable
                public final void run() {
                    NotificationsController.this.m913x8b2ff658(pushDialogsCount);
                }
            });
        }
        this.notifyCheck = false;
        if (this.showBadgeNumber) {
            setBadge(getTotalAllUnreadCount());
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$removeDeletedHisoryFromNotifications$9$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m915x6ad0a3ae(ArrayList popupArrayRemove) {
        int size = popupArrayRemove.size();
        for (int a2 = 0; a2 < size; a2++) {
            this.popupMessages.remove(popupArrayRemove.get(a2));
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$removeDeletedHisoryFromNotifications$10$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m913x8b2ff658(int pushDialogsCount) {
        NotificationCenter.getGlobalInstance().postNotificationName(NotificationCenter.notificationsCountUpdated, Integer.valueOf(this.currentAccount));
        getNotificationCenter().postNotificationName(NotificationCenter.dialogsUnreadCounterChanged, Integer.valueOf(pushDialogsCount));
    }

    public void processReadMessages(final SparseLongArray inbox, final long dialog_id, final int max_date, final int max_id, final boolean isPopup) {
        final ArrayList<MessageObject> popupArrayRemove = new ArrayList<>(0);
        notificationsQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda14
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m912x1366b209(inbox, popupArrayRemove, dialog_id, max_id, max_date, isPopup);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$processReadMessages$13$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m912x1366b209(SparseLongArray inbox, final ArrayList popupArrayRemove, long dialog_id, int max_id, int max_date, boolean isPopup) {
        if (inbox != null) {
            for (int b = 0; b < inbox.size(); b++) {
                int key = inbox.keyAt(b);
                long messageId = inbox.get(key);
                int a2 = 0;
                while (a2 < this.pushMessages.size()) {
                    MessageObject messageObject = this.pushMessages.get(a2);
                    if (!messageObject.messageOwner.from_scheduled && messageObject.getDialogId() == key && messageObject.getId() <= ((int) messageId)) {
                        if (isPersonalMessage(messageObject)) {
                            this.personal_count--;
                        }
                        popupArrayRemove.add(messageObject);
                        long mid = messageObject.getId();
                        if (messageObject.messageOwner.to_id.channel_id != 0) {
                            mid |= messageObject.messageOwner.to_id.channel_id << 32;
                        }
                        this.pushMessagesDict.remove(mid);
                        this.delayedPushMessages.remove(messageObject);
                        this.pushMessages.remove(a2);
                        a2--;
                    }
                    a2++;
                }
            }
        }
        if (dialog_id != 0 && (max_id != 0 || max_date != 0)) {
            int a3 = 0;
            while (a3 < this.pushMessages.size()) {
                MessageObject messageObject2 = this.pushMessages.get(a3);
                if (messageObject2.getDialogId() == dialog_id) {
                    boolean remove = false;
                    if (max_date != 0) {
                        if (messageObject2.messageOwner.date <= max_date) {
                            remove = true;
                        }
                    } else if (!isPopup) {
                        if (messageObject2.getId() <= max_id || max_id < 0) {
                            remove = true;
                        }
                    } else if (messageObject2.getId() == max_id || max_id < 0) {
                        remove = true;
                    }
                    if (remove) {
                        if (isPersonalMessage(messageObject2)) {
                            this.personal_count--;
                        }
                        this.pushMessages.remove(a3);
                        this.delayedPushMessages.remove(messageObject2);
                        popupArrayRemove.add(messageObject2);
                        long mid2 = messageObject2.getId();
                        if (messageObject2.messageOwner.to_id.channel_id != 0) {
                            mid2 |= messageObject2.messageOwner.to_id.channel_id << 32;
                        }
                        this.pushMessagesDict.remove(mid2);
                        a3--;
                    }
                }
                a3++;
            }
        }
        if (!popupArrayRemove.isEmpty()) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda7
                @Override // java.lang.Runnable
                public final void run() {
                    NotificationsController.this.m911x13dd1808(popupArrayRemove);
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$processReadMessages$12$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m911x13dd1808(ArrayList popupArrayRemove) {
        int size = popupArrayRemove.size();
        for (int a2 = 0; a2 < size; a2++) {
            this.popupMessages.remove(popupArrayRemove.get(a2));
        }
        NotificationCenter.getGlobalInstance().postNotificationName(NotificationCenter.pushMessagesUpdated, new Object[0]);
    }

    private int addToPopupMessages(ArrayList<MessageObject> popupArrayAdd, MessageObject messageObject, int lower_id, long dialog_id, boolean isChannel, SharedPreferences preferences) {
        int popup = 0;
        if (lower_id != 0) {
            if (preferences.getBoolean(ContentMetadata.KEY_CUSTOM_PREFIX + dialog_id, false)) {
                popup = preferences.getInt("popup_" + dialog_id, 0);
            } else {
                popup = 0;
            }
            if (popup == 0) {
                if (isChannel) {
                    popup = preferences.getInt("popupChannel", 0);
                } else {
                    popup = preferences.getInt(((int) dialog_id) < 0 ? "popupGroup" : "popupAll", 0);
                }
            } else if (popup == 1) {
                popup = 3;
            } else if (popup == 2) {
                popup = 0;
            }
        }
        if (popup != 0 && messageObject.messageOwner.to_id.channel_id != 0 && !messageObject.isMegagroup()) {
            popup = 0;
        }
        if (popup != 0) {
            popupArrayAdd.add(0, messageObject);
        }
        return popup;
    }

    public void processNewMessages(final ArrayList<MessageObject> messageObjects, final boolean isLast, final boolean isFcm, final CountDownLatch countDownLatch) {
        if (messageObjects.isEmpty()) {
            if (countDownLatch != null) {
                countDownLatch.countDown();
                return;
            }
            return;
        }
        final ArrayList<MessageObject> popupArrayAdd = new ArrayList<>(0);
        notificationsQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda18
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m910x1b0ec1e6(messageObjects, popupArrayAdd, isFcm, isLast, countDownLatch);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$processNewMessages$16$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m910x1b0ec1e6(ArrayList messageObjects, final ArrayList popupArrayAdd, boolean isFcm, boolean isLast, CountDownLatch countDownLatch) {
        Integer override;
        int a2;
        boolean allowPinned;
        long mid;
        boolean isChannel;
        int lower_id;
        long random_id;
        boolean value;
        LongSparseArray<Boolean> settingsCache;
        boolean added;
        boolean edited;
        int i;
        long original_dialog_id;
        MessageObject messageObject;
        ArrayList arrayList = messageObjects;
        LongSparseArray<Boolean> settingsCache2 = new LongSparseArray<>();
        SharedPreferences preferences = getAccountInstance().getNotificationsSettings();
        boolean allowPinned2 = preferences.getBoolean("PinnedMessages", true);
        boolean added2 = false;
        boolean edited2 = false;
        int popup = 0;
        boolean hasScheduled = false;
        int a3 = 0;
        while (a3 < messageObjects.size()) {
            MessageObject messageObject2 = (MessageObject) arrayList.get(a3);
            if (messageObject2.messageOwner != null && messageObject2.messageOwner.silent) {
                if (messageObject2.messageOwner.action instanceof TLRPC.TL_messageActionContactSignUp) {
                    a2 = a3;
                    allowPinned = allowPinned2;
                } else if (messageObject2.messageOwner.action instanceof TLRPC.TL_messageActionUserJoined) {
                    a2 = a3;
                    allowPinned = allowPinned2;
                }
                settingsCache = settingsCache2;
                a3 = a2 + 1;
                arrayList = messageObjects;
                allowPinned2 = allowPinned;
                settingsCache2 = settingsCache;
            }
            a2 = a3;
            long mid2 = messageObject2.getId();
            long random_id2 = messageObject2.isFcmMessage() ? messageObject2.messageOwner.random_id : 0L;
            allowPinned = allowPinned2;
            long dialog_id = messageObject2.getDialogId();
            int lower_id2 = (int) dialog_id;
            if (messageObject2.messageOwner.to_id.channel_id != 0) {
                mid = mid2 | (messageObject2.messageOwner.to_id.channel_id << 32);
                isChannel = true;
            } else {
                mid = mid2;
                isChannel = false;
            }
            MessageObject oldMessageObject = this.pushMessagesDict.get(mid);
            if (oldMessageObject == null) {
                random_id = random_id2;
                if (messageObject2.messageOwner.random_id != 0) {
                    lower_id = lower_id2;
                    oldMessageObject = this.fcmRandomMessagesDict.get(messageObject2.messageOwner.random_id);
                    if (oldMessageObject != null) {
                        this.fcmRandomMessagesDict.remove(messageObject2.messageOwner.random_id);
                    }
                } else {
                    lower_id = lower_id2;
                }
            } else {
                lower_id = lower_id2;
                random_id = random_id2;
            }
            if (oldMessageObject == null) {
                long mid3 = mid;
                int lower_id3 = lower_id;
                long random_id3 = random_id;
                if (!edited2) {
                    if (isFcm) {
                        getMessagesStorage().putPushMessage(messageObject2);
                    }
                    if (dialog_id != this.opened_dialog_id || !ApplicationLoader.isScreenOn) {
                        if (messageObject2.messageOwner.mentioned) {
                            if (allowPinned || !(messageObject2.messageOwner.action instanceof TLRPC.TL_messageActionPinMessage)) {
                                dialog_id = messageObject2.messageOwner.from_id;
                            }
                        }
                        if (isPersonalMessage(messageObject2)) {
                            this.personal_count++;
                        }
                        boolean z = lower_id3 < 0;
                        int index = settingsCache2.indexOfKey(dialog_id);
                        if (index >= 0) {
                            value = settingsCache2.valueAt(index).booleanValue();
                        } else {
                            int notifyOverride = getNotifyOverride(preferences, dialog_id);
                            boolean value2 = notifyOverride == -1 ? isGlobalNotificationsEnabled(dialog_id) : notifyOverride != 2;
                            settingsCache2.put(dialog_id, Boolean.valueOf(value2));
                            value = value2;
                        }
                        if (value) {
                            if (isFcm) {
                                settingsCache = settingsCache2;
                                added = true;
                                edited = edited2;
                                i = 0;
                                original_dialog_id = dialog_id;
                            } else {
                                added = true;
                                edited = edited2;
                                original_dialog_id = dialog_id;
                                settingsCache = settingsCache2;
                                i = 0;
                                popup = addToPopupMessages(popupArrayAdd, messageObject2, lower_id3, dialog_id, isChannel, preferences);
                            }
                            if (!hasScheduled) {
                                hasScheduled = messageObject2.messageOwner.from_scheduled;
                            }
                            this.delayedPushMessages.add(messageObject2);
                            this.pushMessages.add(i, messageObject2);
                            if (mid3 != 0) {
                                this.pushMessagesDict.put(mid3, messageObject2);
                            } else if (random_id3 != 0) {
                                this.fcmRandomMessagesDict.put(random_id3, messageObject2);
                            }
                            if (original_dialog_id != dialog_id) {
                                Integer current = this.pushDialogsOverrideMention.get(original_dialog_id);
                                this.pushDialogsOverrideMention.put(original_dialog_id, Integer.valueOf(current == null ? 1 : current.intValue() + 1));
                            }
                            edited2 = edited;
                            added2 = added;
                        } else {
                            settingsCache = settingsCache2;
                            edited2 = edited2;
                            added2 = true;
                        }
                        a3 = a2 + 1;
                        arrayList = messageObjects;
                        allowPinned2 = allowPinned;
                        settingsCache2 = settingsCache;
                    } else if (!isFcm) {
                        playInChatSound();
                    }
                }
                settingsCache = settingsCache2;
                a3 = a2 + 1;
                arrayList = messageObjects;
                allowPinned2 = allowPinned;
                settingsCache2 = settingsCache;
            } else if (oldMessageObject.isFcmMessage()) {
                this.pushMessagesDict.put(mid, messageObject2);
                int idxOld = this.pushMessages.indexOf(oldMessageObject);
                if (idxOld >= 0) {
                    this.pushMessages.set(idxOld, messageObject2);
                    messageObject = messageObject2;
                    popup = addToPopupMessages(popupArrayAdd, messageObject2, lower_id, dialog_id, isChannel, preferences);
                } else {
                    messageObject = messageObject2;
                }
                if (isFcm) {
                    boolean z2 = messageObject.localEdit;
                    edited2 = z2;
                    if (z2) {
                        getMessagesStorage().putPushMessage(messageObject);
                    }
                }
                settingsCache = settingsCache2;
                a3 = a2 + 1;
                arrayList = messageObjects;
                allowPinned2 = allowPinned;
                settingsCache2 = settingsCache;
            } else {
                settingsCache = settingsCache2;
                a3 = a2 + 1;
                arrayList = messageObjects;
                allowPinned2 = allowPinned;
                settingsCache2 = settingsCache;
            }
        }
        boolean edited3 = edited2;
        if (added2) {
            this.notifyCheck = isLast;
        }
        if (!popupArrayAdd.isEmpty() && !AndroidUtilities.needShowPasscode(false)) {
            final int popupFinal = popup;
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda33
                @Override // java.lang.Runnable
                public final void run() {
                    NotificationsController.this.m908x1bfb8de4(popupArrayAdd, popupFinal);
                }
            });
        }
        if (isFcm || hasScheduled) {
            if (edited3) {
                this.delayedPushMessages.clear();
                showOrUpdateNotification(this.notifyCheck);
            } else if (added2) {
                long dialog_id2 = ((MessageObject) messageObjects.get(0)).getDialogId();
                int old_unread_count = this.total_unread_count;
                int notifyOverride2 = getNotifyOverride(preferences, dialog_id2);
                boolean canAddValue = notifyOverride2 == -1 ? isGlobalNotificationsEnabled(dialog_id2) : notifyOverride2 != 2;
                Integer currentCount = this.pushDialogs.get(dialog_id2);
                Integer newCount = Integer.valueOf(currentCount != null ? currentCount.intValue() + 1 : 1);
                if (this.notifyCheck && !canAddValue && (override = this.pushDialogsOverrideMention.get(dialog_id2)) != null && override.intValue() != 0) {
                    canAddValue = true;
                    newCount = override;
                }
                if (canAddValue) {
                    if (currentCount != null) {
                        this.total_unread_count -= currentCount.intValue();
                    }
                    this.total_unread_count += newCount.intValue();
                    this.pushDialogs.put(dialog_id2, newCount);
                }
                if (old_unread_count != this.total_unread_count) {
                    this.delayedPushMessages.clear();
                    showOrUpdateNotification(this.notifyCheck);
                    final int pushDialogsCount = this.pushDialogs.size();
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda34
                        @Override // java.lang.Runnable
                        public final void run() {
                            NotificationsController.this.m909x1b8527e5(pushDialogsCount);
                        }
                    });
                }
                this.notifyCheck = false;
                if (this.showBadgeNumber) {
                    setBadge(getTotalAllUnreadCount());
                }
            }
        }
        if (countDownLatch != null) {
            countDownLatch.countDown();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$processNewMessages$14$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m908x1bfb8de4(ArrayList popupArrayAdd, int popupFinal) {
        this.popupMessages.addAll(0, popupArrayAdd);
        if (ApplicationLoader.mainInterfacePaused || (!ApplicationLoader.isScreenOn && !SharedConfig.isWaitingForPasscodeEnter)) {
            if (popupFinal == 3 || ((popupFinal == 1 && ApplicationLoader.isScreenOn) || (popupFinal == 2 && !ApplicationLoader.isScreenOn))) {
                Intent popupIntent = new Intent(ApplicationLoader.applicationContext, PopupNotificationActivity.class);
                popupIntent.setFlags(268763140);
                try {
                    ApplicationLoader.applicationContext.startActivity(popupIntent);
                } catch (Throwable th) {
                }
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$processNewMessages$15$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m909x1b8527e5(int pushDialogsCount) {
        NotificationCenter.getGlobalInstance().postNotificationName(NotificationCenter.notificationsCountUpdated, Integer.valueOf(this.currentAccount));
        getNotificationCenter().postNotificationName(NotificationCenter.dialogsUnreadCounterChanged, Integer.valueOf(pushDialogsCount));
    }

    public int getTotalUnreadCount() {
        return this.total_unread_count;
    }

    public void processDialogsUpdateRead(final LongSparseArray<Integer> dialogsToUpdate) {
        final ArrayList<MessageObject> popupArrayToRemove = new ArrayList<>();
        notificationsQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda21
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m905xc4fba42b(dialogsToUpdate, popupArrayToRemove);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$processDialogsUpdateRead$19$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m905xc4fba42b(LongSparseArray dialogsToUpdate, final ArrayList popupArrayToRemove) {
        long dialog_id;
        Integer currentCount;
        Integer override;
        int old_unread_count = this.total_unread_count;
        SharedPreferences preferences = getAccountInstance().getNotificationsSettings();
        int b = 0;
        while (true) {
            boolean canAddValue = false;
            int i = 1;
            if (b >= dialogsToUpdate.size()) {
                break;
            }
            long dialog_id2 = dialogsToUpdate.keyAt(b);
            int notifyOverride = getNotifyOverride(preferences, dialog_id2);
            if (notifyOverride == -1) {
                canAddValue = isGlobalNotificationsEnabled(dialog_id2);
            } else if (notifyOverride != 2) {
                canAddValue = true;
            }
            Integer currentCount2 = this.pushDialogs.get(dialog_id2);
            Integer newCount = (Integer) dialogsToUpdate.get(dialog_id2);
            if (this.notifyCheck && !canAddValue && (override = this.pushDialogsOverrideMention.get(dialog_id2)) != null && override.intValue() != 0) {
                canAddValue = true;
                newCount = override;
            }
            if (newCount.intValue() == 0) {
                this.smartNotificationsDialogs.remove(dialog_id2);
            }
            if (newCount.intValue() < 0) {
                if (currentCount2 == null) {
                    b++;
                } else {
                    newCount = Integer.valueOf(currentCount2.intValue() + newCount.intValue());
                }
            }
            if ((canAddValue || newCount.intValue() == 0) && currentCount2 != null) {
                this.total_unread_count -= currentCount2.intValue();
            }
            if (newCount.intValue() == 0) {
                this.pushDialogs.remove(dialog_id2);
                this.pushDialogsOverrideMention.remove(dialog_id2);
                int a2 = 0;
                while (a2 < this.pushMessages.size()) {
                    MessageObject messageObject = this.pushMessages.get(a2);
                    if (messageObject.messageOwner.from_scheduled || messageObject.getDialogId() != dialog_id2) {
                        dialog_id = dialog_id2;
                        currentCount = currentCount2;
                    } else {
                        if (isPersonalMessage(messageObject)) {
                            this.personal_count -= i;
                        }
                        this.pushMessages.remove(a2);
                        a2--;
                        this.delayedPushMessages.remove(messageObject);
                        dialog_id = dialog_id2;
                        long mid = messageObject.getId();
                        if (messageObject.messageOwner.to_id.channel_id == 0) {
                            currentCount = currentCount2;
                        } else {
                            currentCount = currentCount2;
                            mid |= messageObject.messageOwner.to_id.channel_id << 32;
                        }
                        this.pushMessagesDict.remove(mid);
                        popupArrayToRemove.add(messageObject);
                    }
                    i = 1;
                    a2++;
                    currentCount2 = currentCount;
                    dialog_id2 = dialog_id;
                }
            } else if (canAddValue) {
                this.total_unread_count += newCount.intValue();
                this.pushDialogs.put(dialog_id2, newCount);
            }
            b++;
        }
        if (!popupArrayToRemove.isEmpty()) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda25
                @Override // java.lang.Runnable
                public final void run() {
                    NotificationsController.this.m903xc5e87029(popupArrayToRemove);
                }
            });
        }
        if (old_unread_count != this.total_unread_count) {
            if (this.notifyCheck) {
                scheduleNotificationDelay(this.lastOnlineFromOtherDevice > getConnectionsManager().getCurrentTime());
            } else {
                this.delayedPushMessages.clear();
                showOrUpdateNotification(this.notifyCheck);
            }
            final int pushDialogsCount = this.pushDialogs.size();
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda26
                @Override // java.lang.Runnable
                public final void run() {
                    NotificationsController.this.m904xc5720a2a(pushDialogsCount);
                }
            });
        }
        this.notifyCheck = false;
        if (this.showBadgeNumber) {
            setBadge(getTotalAllUnreadCount());
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$processDialogsUpdateRead$17$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m903xc5e87029(ArrayList popupArrayToRemove) {
        int size = popupArrayToRemove.size();
        for (int a2 = 0; a2 < size; a2++) {
            this.popupMessages.remove(popupArrayToRemove.get(a2));
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$processDialogsUpdateRead$18$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m904xc5720a2a(int pushDialogsCount) {
        NotificationCenter.getGlobalInstance().postNotificationName(NotificationCenter.notificationsCountUpdated, Integer.valueOf(this.currentAccount));
        getNotificationCenter().postNotificationName(NotificationCenter.dialogsUnreadCounterChanged, Integer.valueOf(pushDialogsCount));
    }

    public void processLoadedUnreadMessages(final LongSparseArray<Integer> dialogs, final ArrayList<TLRPC.Message> messages, final ArrayList<MessageObject> push, ArrayList<TLRPC.User> users, ArrayList<TLRPC.Chat> chats, ArrayList<TLRPC.EncryptedChat> encryptedChats) {
        getMessagesController().putUsers(users, true);
        getMessagesController().putChats(chats, true);
        getMessagesController().putEncryptedChats(encryptedChats, true);
        notificationsQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda27
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m907x416930e8(messages, dialogs, push);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$processLoadedUnreadMessages$21$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m907x416930e8(ArrayList messages, LongSparseArray dialogs, ArrayList push) {
        boolean value;
        boolean value2;
        int a2;
        long original_dialog_id;
        boolean value3;
        boolean value4;
        int a3;
        long dialog_id;
        boolean value5;
        ArrayList arrayList = messages;
        this.pushDialogs.clear();
        this.pushMessages.clear();
        this.pushMessagesDict.clear();
        boolean z = false;
        this.total_unread_count = 0;
        this.personal_count = 0;
        SharedPreferences preferences = getAccountInstance().getNotificationsSettings();
        LongSparseArray<Boolean> settingsCache = new LongSparseArray<>();
        char c = ' ';
        int i = 1;
        if (arrayList != null) {
            int a4 = 0;
            while (a4 < messages.size()) {
                TLRPC.Message message = (TLRPC.Message) arrayList.get(a4);
                if (message != null && message.silent) {
                    if (message.action instanceof TLRPC.TL_messageActionContactSignUp) {
                        a3 = a4;
                    } else if (message.action instanceof TLRPC.TL_messageActionUserJoined) {
                        a3 = a4;
                    }
                    a4 = a3 + 1;
                    arrayList = messages;
                    z = false;
                    c = ' ';
                    i = 1;
                }
                long mid = message.id;
                if (message.to_id.channel_id != 0) {
                    mid |= message.to_id.channel_id << c;
                }
                if (this.pushMessagesDict.indexOfKey(mid) >= 0) {
                    a3 = a4;
                } else {
                    MessageObject messageObject = new MessageObject(this.currentAccount, message, z);
                    if (isPersonalMessage(messageObject)) {
                        this.personal_count += i;
                    }
                    long dialog_id2 = messageObject.getDialogId();
                    if (!messageObject.messageOwner.mentioned) {
                        a3 = a4;
                        dialog_id = dialog_id2;
                    } else {
                        a3 = a4;
                        dialog_id = messageObject.messageOwner.from_id;
                    }
                    int index = settingsCache.indexOfKey(dialog_id);
                    if (index >= 0) {
                        value5 = settingsCache.valueAt(index).booleanValue();
                    } else {
                        int notifyOverride = getNotifyOverride(preferences, dialog_id);
                        if (notifyOverride == -1) {
                            value5 = isGlobalNotificationsEnabled(dialog_id);
                        } else {
                            value5 = notifyOverride != 2;
                        }
                        settingsCache.put(dialog_id, Boolean.valueOf(value5));
                    }
                    if (value5 && (dialog_id != this.opened_dialog_id || !ApplicationLoader.isScreenOn)) {
                        this.pushMessagesDict.put(mid, messageObject);
                        this.pushMessages.add(0, messageObject);
                        if (dialog_id2 != dialog_id) {
                            Integer current = this.pushDialogsOverrideMention.get(dialog_id2);
                            this.pushDialogsOverrideMention.put(dialog_id2, Integer.valueOf(current == null ? 1 : current.intValue() + 1));
                        }
                    }
                }
                a4 = a3 + 1;
                arrayList = messages;
                z = false;
                c = ' ';
                i = 1;
            }
        }
        for (int a5 = 0; a5 < dialogs.size(); a5++) {
            long dialog_id3 = dialogs.keyAt(a5);
            int index2 = settingsCache.indexOfKey(dialog_id3);
            if (index2 >= 0) {
                value4 = settingsCache.valueAt(index2).booleanValue();
            } else {
                int notifyOverride2 = getNotifyOverride(preferences, dialog_id3);
                if (notifyOverride2 == -1) {
                    value3 = isGlobalNotificationsEnabled(dialog_id3);
                } else {
                    value3 = notifyOverride2 != 2;
                }
                settingsCache.put(dialog_id3, Boolean.valueOf(value3));
                value4 = value3;
            }
            if (value4) {
                int count = ((Integer) dialogs.valueAt(a5)).intValue();
                this.pushDialogs.put(dialog_id3, Integer.valueOf(count));
                this.total_unread_count += count;
            }
        }
        ArrayList arrayList2 = push;
        if (arrayList2 != null) {
            int a6 = 0;
            while (a6 < push.size()) {
                MessageObject messageObject2 = (MessageObject) arrayList2.get(a6);
                long mid2 = messageObject2.getId();
                if (messageObject2.messageOwner.to_id.channel_id != 0) {
                    mid2 |= messageObject2.messageOwner.to_id.channel_id << 32;
                }
                if (this.pushMessagesDict.indexOfKey(mid2) >= 0) {
                    a2 = a6;
                } else {
                    if (isPersonalMessage(messageObject2)) {
                        this.personal_count++;
                    }
                    long dialog_id4 = messageObject2.getDialogId();
                    long random_id = messageObject2.messageOwner.random_id;
                    if (messageObject2.messageOwner.mentioned) {
                        dialog_id4 = messageObject2.messageOwner.from_id;
                    }
                    int index3 = settingsCache.indexOfKey(dialog_id4);
                    if (index3 >= 0) {
                        value2 = settingsCache.valueAt(index3).booleanValue();
                    } else {
                        int notifyOverride3 = getNotifyOverride(preferences, dialog_id4);
                        if (notifyOverride3 == -1) {
                            value = isGlobalNotificationsEnabled(dialog_id4);
                        } else {
                            value = notifyOverride3 != 2;
                        }
                        settingsCache.put(dialog_id4, Boolean.valueOf(value));
                        value2 = value;
                    }
                    if (value2) {
                        if (dialog_id4 == this.opened_dialog_id && ApplicationLoader.isScreenOn) {
                            a2 = a6;
                        } else {
                            if (mid2 != 0) {
                                this.pushMessagesDict.put(mid2, messageObject2);
                            } else if (random_id != 0) {
                                this.fcmRandomMessagesDict.put(random_id, messageObject2);
                            }
                            this.pushMessages.add(0, messageObject2);
                            if (dialog_id4 != dialog_id4) {
                                a2 = a6;
                                original_dialog_id = dialog_id4;
                                Integer current2 = this.pushDialogsOverrideMention.get(original_dialog_id);
                                this.pushDialogsOverrideMention.put(original_dialog_id, Integer.valueOf(current2 == null ? 1 : current2.intValue() + 1));
                            } else {
                                a2 = a6;
                                original_dialog_id = dialog_id4;
                            }
                            Integer currentCount = this.pushDialogs.get(dialog_id4);
                            Integer newCount = Integer.valueOf(currentCount != null ? currentCount.intValue() + 1 : 1);
                            if (currentCount != null) {
                                this.total_unread_count -= currentCount.intValue();
                            }
                            this.total_unread_count += newCount.intValue();
                            this.pushDialogs.put(dialog_id4, newCount);
                        }
                    } else {
                        a2 = a6;
                    }
                }
                a6 = a2 + 1;
                arrayList2 = push;
            }
        }
        final int pushDialogsCount = this.pushDialogs.size();
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda28
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m906x41df96e7(pushDialogsCount);
            }
        });
        showOrUpdateNotification(SystemClock.elapsedRealtime() / 1000 < 60);
        if (this.showBadgeNumber) {
            setBadge(getTotalAllUnreadCount());
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$processLoadedUnreadMessages$20$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m906x41df96e7(int pushDialogsCount) {
        if (this.total_unread_count == 0) {
            this.popupMessages.clear();
            NotificationCenter.getGlobalInstance().postNotificationName(NotificationCenter.pushMessagesUpdated, new Object[0]);
        }
        NotificationCenter.getGlobalInstance().postNotificationName(NotificationCenter.notificationsCountUpdated, Integer.valueOf(this.currentAccount));
        getNotificationCenter().postNotificationName(NotificationCenter.dialogsUnreadCounterChanged, Integer.valueOf(pushDialogsCount));
    }

    private int getTotalAllUnreadCount() {
        int count = 0;
        for (int a2 = 0; a2 < 3; a2++) {
            if (UserConfig.getInstance(a2).isClientActivated()) {
                NotificationsController controller = getInstance(a2);
                if (controller.showBadgeNumber) {
                    if (controller.showBadgeMessages) {
                        if (controller.showBadgeMuted) {
                            try {
                                int N = MessagesController.getInstance(a2).allDialogs.size();
                                for (int i = 0; i < N; i++) {
                                    TLRPC.Dialog dialog = MessagesController.getInstance(a2).allDialogs.get(i);
                                    if (dialog.unread_count != 0) {
                                        count += dialog.unread_count;
                                    }
                                }
                            } catch (Exception e) {
                                FileLog.e(e);
                            }
                        } else {
                            count += controller.total_unread_count;
                        }
                    } else if (controller.showBadgeMuted) {
                        try {
                            int N2 = MessagesController.getInstance(a2).allDialogs.size();
                            for (int i2 = 0; i2 < N2; i2++) {
                                if (MessagesController.getInstance(a2).allDialogs.get(i2).unread_count != 0) {
                                    count++;
                                }
                            }
                        } catch (Exception e2) {
                            FileLog.e(e2);
                        }
                    } else {
                        count += controller.pushDialogs.size();
                    }
                }
            }
        }
        return count;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateBadge$22$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m923x3de4353e() {
        setBadge(getTotalAllUnreadCount());
    }

    public void updateBadge() {
        notificationsQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda9
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m923x3de4353e();
            }
        });
    }

    private void setBadge(int count) {
        if (this.lastBadgeCount == count) {
            return;
        }
        this.lastBadgeCount = count;
        NotificationBadge.applyCount(count);
    }

    /* JADX WARN: Code restructure failed: missing block: B:130:0x01e5, code lost:
        if (r10.getBoolean("EnablePreviewGroup", true) == false) goto L634;
     */
    /* JADX WARN: Code restructure failed: missing block: B:135:0x01ef, code lost:
        if (r10.getBoolean("EnablePreviewChannel", r9) != false) goto L108;
     */
    /* JADX WARN: Removed duplicated region for block: B:50:0x00c7  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private String getShortStringForMessage(MessageObject messageObject, String[] userName, boolean[] preview) {
        int i;
        int i2;
        char c;
        char c2;
        char c3;
        char c4;
        int i3;
        char c5;
        TLRPC.Chat chat;
        char c6;
        if (AndroidUtilities.needShowPasscode(false) || SharedConfig.isWaitingForPasscodeEnter) {
            return LocaleController.getString("YouHaveNewMessage", R.string.YouHaveNewMessage);
        }
        long dialog_id = messageObject.messageOwner.dialog_id;
        int chat_id = messageObject.messageOwner.to_id.chat_id != 0 ? messageObject.messageOwner.to_id.chat_id : messageObject.messageOwner.to_id.channel_id;
        int from_id = messageObject.messageOwner.to_id.user_id;
        if (preview != null) {
            preview[0] = true;
        }
        SharedPreferences preferences = getAccountInstance().getNotificationsSettings();
        boolean dialogPreviewEnabled = preferences.getBoolean("content_preview_" + dialog_id, true);
        if (messageObject.isFcmMessage()) {
            if (chat_id == 0 && from_id != 0) {
                if (Build.VERSION.SDK_INT > 27) {
                    userName[0] = messageObject.localName;
                }
                if (!dialogPreviewEnabled || !preferences.getBoolean("EnablePreviewAll", true)) {
                    if (preview != null) {
                        preview[0] = false;
                    }
                    return LocaleController.getString("Message", R.string.Message);
                }
            } else if (chat_id != 0) {
                if (messageObject.messageOwner.to_id.channel_id == 0) {
                    c6 = 0;
                } else if (messageObject.isMegagroup()) {
                    c6 = 0;
                } else {
                    if (Build.VERSION.SDK_INT > 27) {
                        userName[0] = messageObject.localName;
                    }
                    if (dialogPreviewEnabled || ((!messageObject.localChannel && !preferences.getBoolean("EnablePreviewGroup", true)) || (messageObject.localChannel && !preferences.getBoolean("EnablePreviewChannel", true)))) {
                        if (preview != null) {
                            preview[0] = false;
                        }
                        return (!messageObject.isMegagroup() || messageObject.messageOwner.to_id.channel_id == 0) ? LocaleController.formatString("NotificationMessageGroupNoText", R.string.NotificationMessageGroupNoText, messageObject.localUserName, messageObject.localName) : LocaleController.formatString("ChannelMessageNoText", R.string.ChannelMessageNoText, messageObject.localName);
                    }
                }
                userName[c6] = messageObject.localUserName;
                if (dialogPreviewEnabled) {
                }
                if (preview != null) {
                }
                if (messageObject.isMegagroup()) {
                }
            }
            return messageObject.messageOwner.message;
        }
        if (from_id == 0) {
            if (messageObject.isFromUser() || messageObject.getId() < 0) {
                from_id = messageObject.messageOwner.from_id;
            } else {
                from_id = -chat_id;
            }
        } else if (from_id == getUserConfig().getClientUserId()) {
            from_id = messageObject.messageOwner.from_id;
        }
        if (dialog_id == 0) {
            if (chat_id != 0) {
                dialog_id = -chat_id;
            } else if (from_id != 0) {
                dialog_id = from_id;
            }
        }
        String name = null;
        if (from_id > 0) {
            TLRPC.User user = getMessagesController().getUser(Integer.valueOf(from_id));
            if (user != null) {
                String name2 = UserObject.getName(user);
                if (chat_id != 0) {
                    userName[0] = name2;
                } else if (Build.VERSION.SDK_INT <= 27) {
                    userName[0] = null;
                } else {
                    userName[0] = name2;
                }
                name = name2;
            }
        } else {
            TLRPC.Chat chat2 = getMessagesController().getChat(Integer.valueOf(-from_id));
            if (chat2 != null) {
                name = chat2.title;
                userName[0] = name;
            }
        }
        if (name == null) {
            return null;
        }
        TLRPC.Chat chat3 = null;
        if (chat_id != 0) {
            TLRPC.Chat chat4 = getMessagesController().getChat(Integer.valueOf(chat_id));
            if (chat4 == null) {
                return null;
            }
            if (!ChatObject.isChannel(chat4) || chat4.megagroup) {
                chat = chat4;
            } else {
                chat = chat4;
                if (Build.VERSION.SDK_INT <= 27) {
                    userName[0] = null;
                }
            }
            chat3 = chat;
        }
        if (((int) dialog_id) == 0) {
            userName[0] = null;
            return LocaleController.getString("YouHaveNewMessage", R.string.YouHaveNewMessage);
        }
        boolean isChannel = ChatObject.isChannel(chat3) && !chat3.megagroup;
        if (dialogPreviewEnabled) {
            if (chat_id != 0 || from_id == 0 || !preferences.getBoolean("EnablePreviewAll", true)) {
                if (chat_id != 0) {
                    boolean z = !isChannel ? true : true;
                    if (isChannel) {
                    }
                }
            }
            if (messageObject.messageOwner instanceof TLRPC.TL_messageService) {
                userName[0] = null;
                if (!(messageObject.messageOwner.action instanceof TLRPC.TL_messageActionUserJoined) && !(messageObject.messageOwner.action instanceof TLRPC.TL_messageActionContactSignUp)) {
                    if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionUserUpdatedPhoto) {
                        return LocaleController.formatString("NotificationContactNewPhoto", R.string.NotificationContactNewPhoto, name);
                    }
                    if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionLoginUnknownLocation) {
                        String date = LocaleController.formatString("formatDateAtTime", R.string.formatDateAtTime, LocaleController.getInstance().formatterYear.format(messageObject.messageOwner.date * 1000), LocaleController.getInstance().formatterDay.format(messageObject.messageOwner.date * 1000));
                        return LocaleController.formatString("NotificationUnrecognizedDevice", R.string.NotificationUnrecognizedDevice, getUserConfig().getCurrentUser().first_name, date, messageObject.messageOwner.action.title, messageObject.messageOwner.action.address);
                    }
                    if (!(messageObject.messageOwner.action instanceof TLRPC.TL_messageActionGameScore) && !(messageObject.messageOwner.action instanceof TLRPC.TL_messageActionPaymentSent)) {
                        if (!(messageObject.messageOwner.action instanceof TLRPC.TL_messageActionPhoneCall)) {
                            if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChatAddUser) {
                                int singleUserId = messageObject.messageOwner.action.user_id;
                                if (singleUserId == 0 && messageObject.messageOwner.action.users.size() == 1) {
                                    singleUserId = messageObject.messageOwner.action.users.get(0).intValue();
                                }
                                if (singleUserId != 0) {
                                    if (messageObject.messageOwner.to_id.channel_id == 0 || chat3.megagroup) {
                                        if (singleUserId == getUserConfig().getClientUserId()) {
                                            return LocaleController.formatString("NotificationInvitedToGroup", R.string.NotificationInvitedToGroup, name, chat3.title);
                                        }
                                        TLRPC.User u2 = getMessagesController().getUser(Integer.valueOf(singleUserId));
                                        if (u2 == null) {
                                            return null;
                                        }
                                        return from_id == u2.id ? chat3.megagroup ? LocaleController.formatString("NotificationGroupAddSelfMega", R.string.NotificationGroupAddSelfMega, name, chat3.title) : LocaleController.formatString("NotificationGroupAddSelf", R.string.NotificationGroupAddSelf, name, chat3.title) : LocaleController.formatString("NotificationGroupAddMember", R.string.NotificationGroupAddMember, name, chat3.title, UserObject.getName(u2));
                                    }
                                    return LocaleController.formatString("ChannelAddedByNotification", R.string.ChannelAddedByNotification, name, chat3.title);
                                }
                                StringBuilder names = new StringBuilder();
                                for (int a2 = 0; a2 < messageObject.messageOwner.action.users.size(); a2++) {
                                    TLRPC.User user2 = getMessagesController().getUser(messageObject.messageOwner.action.users.get(a2));
                                    if (user2 != null) {
                                        String name22 = UserObject.getName(user2);
                                        if (names.length() != 0) {
                                            names.append(", ");
                                        }
                                        names.append(name22);
                                    }
                                }
                                return LocaleController.formatString("NotificationGroupAddMember", R.string.NotificationGroupAddMember, name, chat3.title, names.toString());
                            } else if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChatJoinedByLink) {
                                return LocaleController.formatString("NotificationInvitedToGroupByLink", R.string.NotificationInvitedToGroupByLink, name, chat3.title);
                            } else {
                                if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChatEditTitle) {
                                    return LocaleController.formatString("NotificationEditedGroupName", R.string.NotificationEditedGroupName, name, messageObject.messageOwner.action.title);
                                }
                                if (!(messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChatEditPhoto) && !(messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChatDeletePhoto)) {
                                    if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChatDeleteUser) {
                                        if (messageObject.messageOwner.action.user_id == getUserConfig().getClientUserId()) {
                                            return LocaleController.formatString("NotificationGroupKickYou", R.string.NotificationGroupKickYou, name, chat3.title);
                                        }
                                        if (messageObject.messageOwner.action.user_id == from_id) {
                                            return LocaleController.formatString("NotificationGroupLeftMember", R.string.NotificationGroupLeftMember, name, chat3.title);
                                        }
                                        TLRPC.User u22 = getMessagesController().getUser(Integer.valueOf(messageObject.messageOwner.action.user_id));
                                        if (u22 == null) {
                                            return null;
                                        }
                                        return LocaleController.formatString("NotificationGroupKickMember", R.string.NotificationGroupKickMember, name, chat3.title, UserObject.getName(u22));
                                    } else if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChatCreate) {
                                        return messageObject.messageText.toString();
                                    } else {
                                        if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChannelCreate) {
                                            return messageObject.messageText.toString();
                                        }
                                        if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChatMigrateTo) {
                                            return LocaleController.formatString("ActionMigrateFromGroupNotify", R.string.ActionMigrateFromGroupNotify, chat3.title);
                                        }
                                        if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChannelMigrateFrom) {
                                            return LocaleController.formatString("ActionMigrateFromGroupNotify", R.string.ActionMigrateFromGroupNotify, messageObject.messageOwner.action.title);
                                        }
                                        if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionScreenshotTaken) {
                                            return messageObject.messageText.toString();
                                        }
                                        if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionPinMessage) {
                                            if (chat3 == null) {
                                                i = 1;
                                            } else if (!ChatObject.isChannel(chat3) || chat3.megagroup) {
                                                if (messageObject.replyMessageObject == null) {
                                                    return LocaleController.formatString("NotificationActionPinnedNoText", R.string.NotificationActionPinnedNoText, name, chat3.title);
                                                }
                                                MessageObject object = messageObject.replyMessageObject;
                                                if (object.isMusic()) {
                                                    return LocaleController.formatString("NotificationActionPinnedMusic", R.string.NotificationActionPinnedMusic, name, chat3.title);
                                                }
                                                if (object.isVideo()) {
                                                    return !TextUtils.isEmpty(object.messageOwner.message) ? LocaleController.formatString("NotificationActionPinnedText", R.string.NotificationActionPinnedText, name, "📹 " + object.messageOwner.message, chat3.title) : LocaleController.formatString("NotificationActionPinnedVideo", R.string.NotificationActionPinnedVideo, name, chat3.title);
                                                } else if (object.isGif()) {
                                                    return !TextUtils.isEmpty(object.messageOwner.message) ? LocaleController.formatString("NotificationActionPinnedText", R.string.NotificationActionPinnedText, name, "🎬 " + object.messageOwner.message, chat3.title) : LocaleController.formatString("NotificationActionPinnedGif", R.string.NotificationActionPinnedGif, name, chat3.title);
                                                } else if (object.isVoice()) {
                                                    return LocaleController.formatString("NotificationActionPinnedVoice", R.string.NotificationActionPinnedVoice, name, chat3.title);
                                                } else {
                                                    if (object.isRoundVideo()) {
                                                        return LocaleController.formatString("NotificationActionPinnedRound", R.string.NotificationActionPinnedRound, name, chat3.title);
                                                    }
                                                    if (object.isSticker() || object.isAnimatedSticker()) {
                                                        String emoji = object.getStickerEmoji();
                                                        return emoji != null ? LocaleController.formatString("NotificationActionPinnedStickerEmoji", R.string.NotificationActionPinnedStickerEmoji, name, chat3.title, emoji) : LocaleController.formatString("NotificationActionPinnedSticker", R.string.NotificationActionPinnedSticker, name, chat3.title);
                                                    } else if (object.messageOwner.media instanceof TLRPC.TL_messageMediaDocument) {
                                                        return !TextUtils.isEmpty(object.messageOwner.message) ? LocaleController.formatString("NotificationActionPinnedText", R.string.NotificationActionPinnedText, name, "📎 " + object.messageOwner.message, chat3.title) : LocaleController.formatString("NotificationActionPinnedFile", R.string.NotificationActionPinnedFile, name, chat3.title);
                                                    } else {
                                                        if (object.messageOwner.media instanceof TLRPC.TL_messageMediaGeo) {
                                                            c3 = 0;
                                                            c4 = 1;
                                                            i3 = 2;
                                                        } else if (!(object.messageOwner.media instanceof TLRPC.TL_messageMediaVenue)) {
                                                            if (object.messageOwner.media instanceof TLRPC.TL_messageMediaGeoLive) {
                                                                return LocaleController.formatString("NotificationActionPinnedGeoLive", R.string.NotificationActionPinnedGeoLive, name, chat3.title);
                                                            }
                                                            if (object.messageOwner.media instanceof TLRPC.TL_messageMediaContact) {
                                                                TLRPC.TL_messageMediaContact mediaContact = (TLRPC.TL_messageMediaContact) object.messageOwner.media;
                                                                return LocaleController.formatString("NotificationActionPinnedContact2", R.string.NotificationActionPinnedContact2, name, chat3.title, ContactsController.formatName(mediaContact.first_name, mediaContact.last_name));
                                                            } else if (object.messageOwner.media instanceof TLRPC.TL_messageMediaPoll) {
                                                                TLRPC.TL_messageMediaPoll mediaPoll = (TLRPC.TL_messageMediaPoll) object.messageOwner.media;
                                                                return LocaleController.formatString("NotificationActionPinnedPoll2", R.string.NotificationActionPinnedPoll2, name, chat3.title, mediaPoll.poll.question);
                                                            } else if (object.messageOwner.media instanceof TLRPC.TL_messageMediaPhoto) {
                                                                return !TextUtils.isEmpty(object.messageOwner.message) ? LocaleController.formatString("NotificationActionPinnedText", R.string.NotificationActionPinnedText, name, "🖼 " + object.messageOwner.message, chat3.title) : LocaleController.formatString("NotificationActionPinnedPhoto", R.string.NotificationActionPinnedPhoto, name, chat3.title);
                                                            } else if (object.messageOwner.media instanceof TLRPC.TL_messageMediaGame) {
                                                                return LocaleController.formatString("NotificationActionPinnedGame", R.string.NotificationActionPinnedGame, name, chat3.title);
                                                            } else {
                                                                if (object.messageText == null || object.messageText.length() <= 0) {
                                                                    return LocaleController.formatString("NotificationActionPinnedNoText", R.string.NotificationActionPinnedNoText, name, chat3.title);
                                                                }
                                                                CharSequence message = object.messageText;
                                                                if (message.length() <= 20) {
                                                                    c5 = 0;
                                                                } else {
                                                                    c5 = 0;
                                                                    message = ((Object) message.subSequence(0, 20)) + "...";
                                                                }
                                                                Object[] objArr = new Object[3];
                                                                objArr[c5] = name;
                                                                objArr[1] = message;
                                                                objArr[2] = chat3.title;
                                                                return LocaleController.formatString("NotificationActionPinnedText", R.string.NotificationActionPinnedText, objArr);
                                                            }
                                                        } else {
                                                            c3 = 0;
                                                            c4 = 1;
                                                            i3 = 2;
                                                        }
                                                        Object[] objArr2 = new Object[i3];
                                                        objArr2[c3] = name;
                                                        objArr2[c4] = chat3.title;
                                                        return LocaleController.formatString("NotificationActionPinnedGeo", R.string.NotificationActionPinnedGeo, objArr2);
                                                    }
                                                }
                                            } else {
                                                i = 1;
                                            }
                                            if (messageObject.replyMessageObject == null) {
                                                Object[] objArr3 = new Object[i];
                                                objArr3[0] = chat3.title;
                                                return LocaleController.formatString("NotificationActionPinnedNoTextChannel", R.string.NotificationActionPinnedNoTextChannel, objArr3);
                                            }
                                            MessageObject object2 = messageObject.replyMessageObject;
                                            if (object2.isMusic()) {
                                                return LocaleController.formatString("NotificationActionPinnedMusicChannel", R.string.NotificationActionPinnedMusicChannel, chat3.title);
                                            }
                                            if (object2.isVideo()) {
                                                return !TextUtils.isEmpty(object2.messageOwner.message) ? LocaleController.formatString("NotificationActionPinnedTextChannel", R.string.NotificationActionPinnedTextChannel, chat3.title, "📹 " + object2.messageOwner.message) : LocaleController.formatString("NotificationActionPinnedVideoChannel", R.string.NotificationActionPinnedVideoChannel, chat3.title);
                                            } else if (object2.isGif()) {
                                                return !TextUtils.isEmpty(object2.messageOwner.message) ? LocaleController.formatString("NotificationActionPinnedTextChannel", R.string.NotificationActionPinnedTextChannel, chat3.title, "🎬 " + object2.messageOwner.message) : LocaleController.formatString("NotificationActionPinnedGifChannel", R.string.NotificationActionPinnedGifChannel, chat3.title);
                                            } else if (object2.isVoice()) {
                                                return LocaleController.formatString("NotificationActionPinnedVoiceChannel", R.string.NotificationActionPinnedVoiceChannel, chat3.title);
                                            } else {
                                                if (object2.isRoundVideo()) {
                                                    return LocaleController.formatString("NotificationActionPinnedRoundChannel", R.string.NotificationActionPinnedRoundChannel, chat3.title);
                                                }
                                                if (object2.isSticker() || object2.isAnimatedSticker()) {
                                                    String emoji2 = object2.getStickerEmoji();
                                                    return emoji2 != null ? LocaleController.formatString("NotificationActionPinnedStickerEmojiChannel", R.string.NotificationActionPinnedStickerEmojiChannel, chat3.title, emoji2) : LocaleController.formatString("NotificationActionPinnedStickerChannel", R.string.NotificationActionPinnedStickerChannel, chat3.title);
                                                } else if (object2.messageOwner.media instanceof TLRPC.TL_messageMediaDocument) {
                                                    return !TextUtils.isEmpty(object2.messageOwner.message) ? LocaleController.formatString("NotificationActionPinnedTextChannel", R.string.NotificationActionPinnedTextChannel, chat3.title, "📎 " + object2.messageOwner.message) : LocaleController.formatString("NotificationActionPinnedFileChannel", R.string.NotificationActionPinnedFileChannel, chat3.title);
                                                } else {
                                                    if (object2.messageOwner.media instanceof TLRPC.TL_messageMediaGeo) {
                                                        i2 = 1;
                                                        c = 0;
                                                    } else if (!(object2.messageOwner.media instanceof TLRPC.TL_messageMediaVenue)) {
                                                        if (object2.messageOwner.media instanceof TLRPC.TL_messageMediaGeoLive) {
                                                            return LocaleController.formatString("NotificationActionPinnedGeoLiveChannel", R.string.NotificationActionPinnedGeoLiveChannel, chat3.title);
                                                        }
                                                        if (object2.messageOwner.media instanceof TLRPC.TL_messageMediaContact) {
                                                            TLRPC.TL_messageMediaContact mediaContact2 = (TLRPC.TL_messageMediaContact) object2.messageOwner.media;
                                                            return LocaleController.formatString("NotificationActionPinnedContactChannel2", R.string.NotificationActionPinnedContactChannel2, chat3.title, ContactsController.formatName(mediaContact2.first_name, mediaContact2.last_name));
                                                        } else if (object2.messageOwner.media instanceof TLRPC.TL_messageMediaPoll) {
                                                            TLRPC.TL_messageMediaPoll mediaPoll2 = (TLRPC.TL_messageMediaPoll) object2.messageOwner.media;
                                                            return LocaleController.formatString("NotificationActionPinnedPollChannel2", R.string.NotificationActionPinnedPollChannel2, chat3.title, mediaPoll2.poll.question);
                                                        } else if (object2.messageOwner.media instanceof TLRPC.TL_messageMediaPhoto) {
                                                            return !TextUtils.isEmpty(object2.messageOwner.message) ? LocaleController.formatString("NotificationActionPinnedTextChannel", R.string.NotificationActionPinnedTextChannel, chat3.title, "🖼 " + object2.messageOwner.message) : LocaleController.formatString("NotificationActionPinnedPhotoChannel", R.string.NotificationActionPinnedPhotoChannel, chat3.title);
                                                        } else if (object2.messageOwner.media instanceof TLRPC.TL_messageMediaGame) {
                                                            return LocaleController.formatString("NotificationActionPinnedGameChannel", R.string.NotificationActionPinnedGameChannel, chat3.title);
                                                        } else {
                                                            if (object2.messageText == null || object2.messageText.length() <= 0) {
                                                                return LocaleController.formatString("NotificationActionPinnedNoTextChannel", R.string.NotificationActionPinnedNoTextChannel, chat3.title);
                                                            }
                                                            CharSequence message2 = object2.messageText;
                                                            if (message2.length() <= 20) {
                                                                c2 = 0;
                                                            } else {
                                                                c2 = 0;
                                                                message2 = ((Object) message2.subSequence(0, 20)) + "...";
                                                            }
                                                            Object[] objArr4 = new Object[2];
                                                            objArr4[c2] = chat3.title;
                                                            objArr4[1] = message2;
                                                            return LocaleController.formatString("NotificationActionPinnedTextChannel", R.string.NotificationActionPinnedTextChannel, objArr4);
                                                        }
                                                    } else {
                                                        i2 = 1;
                                                        c = 0;
                                                    }
                                                    Object[] objArr5 = new Object[i2];
                                                    objArr5[c] = chat3.title;
                                                    return LocaleController.formatString("NotificationActionPinnedGeoChannel", R.string.NotificationActionPinnedGeoChannel, objArr5);
                                                }
                                            }
                                        } else if (messageObject.messageOwner.action instanceof TLRPCRedpacket.CL_messagesActionReceivedRpkTransfer) {
                                            TLRPCRedpacket.CL_messagesActionReceivedRpkTransfer action = (TLRPCRedpacket.CL_messagesActionReceivedRpkTransfer) messageObject.messageOwner.action;
                                            if (action.trans == 0) {
                                                TLRPC.User receiver = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(action.receiver.user_id));
                                                TLRPC.User sender = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(action.sender.user_id));
                                                TLApiModel<RedpacketResponse> parse = TLJsonResolve.parse(action.data, RedpacketResponse.class);
                                                RedpacketResponse bean = (RedpacketResponse) parse.model;
                                                StringBuilder builder = new StringBuilder();
                                                if (bean != null) {
                                                    if (messageObject.isOut()) {
                                                        if (getUserConfig().clientUserId == action.sender.user_id) {
                                                            builder.append(LocaleController.getString(R.string.YouReceivedYourPacket));
                                                        } else {
                                                            builder.append(String.format(LocaleController.getString(R.string.YouReceivePacketFrom), UserObject.getName(sender)));
                                                        }
                                                    } else if (getUserConfig().clientUserId == action.sender.user_id) {
                                                        builder.append(UserObject.getName(receiver));
                                                        builder.append(" ");
                                                        builder.append(LocaleController.getString(R.string.ReceivedYourPacket));
                                                    } else {
                                                        builder.append(String.format(LocaleController.getString(R.string.WhoReceivePacketFrom), UserObject.getName(receiver), UserObject.getName(sender)));
                                                    }
                                                }
                                                return builder.toString();
                                            }
                                        }
                                    }
                                }
                                return (messageObject.messageOwner.to_id.channel_id == 0 || chat3.megagroup) ? LocaleController.formatString("NotificationEditedGroupPhoto", R.string.NotificationEditedGroupPhoto, name, chat3.title) : LocaleController.formatString("ChannelPhotoEditNotification", R.string.ChannelPhotoEditNotification, chat3.title);
                            }
                        }
                        TLRPC.PhoneCallDiscardReason reason = messageObject.messageOwner.action.reason;
                        if (!messageObject.isOut() && (reason instanceof TLRPC.TL_phoneCallDiscardReasonMissed)) {
                            return LocaleController.getString("CallMessageIncomingMissed", R.string.CallMessageIncomingMissed);
                        }
                    }
                    return messageObject.messageText.toString();
                }
                return LocaleController.formatString("NotificationContactJoined", R.string.NotificationContactJoined, name);
            } else if (messageObject.isMediaEmpty()) {
                if (!TextUtils.isEmpty(messageObject.messageText)) {
                    return messageObject.messageText.toString();
                }
                if (!TextUtils.isEmpty(messageObject.messageOwner.message)) {
                    return messageObject.messageOwner.message;
                }
                return LocaleController.getString("Message", R.string.Message);
            } else if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaPhoto) {
                if (!TextUtils.isEmpty(messageObject.messageOwner.message)) {
                    return "🖼 " + messageObject.messageOwner.message;
                }
                if (messageObject.messageOwner.media.ttl_seconds != 0) {
                    return LocaleController.getString("AttachDestructingPhoto", R.string.AttachDestructingPhoto);
                }
                return LocaleController.getString("AttachPhoto", R.string.AttachPhoto);
            } else if (messageObject.messageOwner.media instanceof TLRPCRedpacket.CL_messagesRpkTransferMedia) {
                TLRPCRedpacket.CL_messagesRpkTransferMedia media = (TLRPCRedpacket.CL_messagesRpkTransferMedia) messageObject.messageOwner.media;
                if (media.trans == 0) {
                    RedpacketResponse bean2 = null;
                    if (media.data != null) {
                        TLApiModel<RedpacketResponse> parse2 = TLJsonResolve.parse(media.data, RedpacketResponse.class);
                        RedpacketResponse bean3 = parse2.model;
                        bean2 = bean3;
                    }
                    if (bean2 != null) {
                        RedpacketBean red = bean2.getRed();
                        TLRPC.User sender2 = getMessagesController().getUser(Integer.valueOf(red.getInitiatorUserIdInt()));
                        return String.format(LocaleController.getString(R.string.ReceiveRedPackFrom), UserObject.getName(sender2));
                    }
                    return LocaleController.getString(R.string.ReceivePacketMessage);
                } else if (media.trans == 1 || media.trans == 2) {
                    TransferResponse bean4 = null;
                    if (media.data != null) {
                        TLApiModel<TransferResponse> parse3 = TLJsonResolve.parse(media.data, TransferResponse.class);
                        TransferResponse bean5 = parse3.model;
                        bean4 = bean5;
                    }
                    if (bean4 == null) {
                        return LocaleController.getString(R.string.TransferMessages);
                    }
                    TransferResponse.Status state = bean4.getState();
                    if (messageObject.isOutOwner()) {
                        if (state == TransferResponse.Status.WAITING) {
                            return LocaleController.getString(R.string.TransferWaitingOtherCollect);
                        }
                        if (state == TransferResponse.Status.RECEIVED) {
                            if (bean4.getInitiatorUserIdInt() == UserConfig.getInstance(UserConfig.selectedAccount).clientUserId) {
                                return LocaleController.getString(R.string.TransferOtherHasCollected);
                            }
                            return LocaleController.getString(R.string.YouHaveConfirmedReceipt);
                        } else if (state == TransferResponse.Status.REFUSED) {
                            if (bean4.getInitiatorUserIdInt() == UserConfig.getInstance(UserConfig.selectedAccount).clientUserId) {
                                return LocaleController.getString(R.string.TransferHasBeenReturned);
                            }
                            return LocaleController.getString(R.string.YouHaveReturned);
                        } else if (state == TransferResponse.Status.TIMEOUT) {
                            return LocaleController.getString(R.string.TransferHasReturned);
                        }
                    } else {
                        int sender_id = bean4.getInitiatorUserIdInt();
                        int receiver_id = Integer.parseInt(bean4.getRecipientUserId());
                        TLRPC.User sender3 = getMessagesController().getUser(Integer.valueOf(sender_id));
                        TLRPC.User receiver2 = getMessagesController().getUser(Integer.valueOf(receiver_id));
                        if (state == TransferResponse.Status.WAITING) {
                            return String.format(LocaleController.getString(R.string.TransferReceivedFromSomebody), UserObject.getName(sender3));
                        }
                        if (state == TransferResponse.Status.RECEIVED) {
                            return sender_id == UserConfig.getInstance(UserConfig.selectedAccount).clientUserId ? String.format(LocaleController.getString(R.string.TransferReceivedBySomebody), UserObject.getName(receiver2)) : LocaleController.getString(R.string.YouHaveConfirmedReceipt);
                        } else if (state == TransferResponse.Status.REFUSED) {
                            return sender_id == UserConfig.getInstance(UserConfig.selectedAccount).clientUserId ? String.format(LocaleController.getString(R.string.TransferReturnedBySomebody), UserObject.getName(receiver2)) : LocaleController.getString(R.string.YouHaveReturned);
                        } else if (state == TransferResponse.Status.TIMEOUT) {
                            return String.format(LocaleController.getString(R.string.TransferSendToSomebodyExpired), UserObject.getName(receiver2));
                        }
                    }
                }
            } else if (messageObject.isVideo()) {
                if (!TextUtils.isEmpty(messageObject.messageOwner.message)) {
                    return "📹 " + messageObject.messageOwner.message;
                }
                if (messageObject.messageOwner.media.ttl_seconds != 0) {
                    return LocaleController.getString("AttachDestructingVideo", R.string.AttachDestructingVideo);
                }
                return LocaleController.getString("AttachVideo", R.string.AttachVideo);
            } else if (messageObject.isGame()) {
                return LocaleController.getString("AttachGame", R.string.AttachGame);
            } else {
                if (messageObject.isVoice()) {
                    return LocaleController.getString("AttachAudio", R.string.AttachAudio);
                }
                if (messageObject.isRoundVideo()) {
                    return LocaleController.getString("AttachRound", R.string.AttachRound);
                }
                if (messageObject.isMusic()) {
                    return LocaleController.getString("AttachMusic", R.string.AttachMusic);
                }
                if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaContact) {
                    return LocaleController.getString("AttachContact", R.string.AttachContact);
                }
                if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaPoll) {
                    return LocaleController.getString("Poll", R.string.Poll);
                }
                if ((messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaGeo) || (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaVenue)) {
                    return LocaleController.getString("AttachLocation", R.string.AttachLocation);
                }
                if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaGeoLive) {
                    return LocaleController.getString("AttachLiveLocation", R.string.AttachLiveLocation);
                }
                if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaDocument) {
                    if (messageObject.isSticker() || messageObject.isAnimatedSticker()) {
                        String emoji3 = messageObject.getStickerEmoji();
                        if (emoji3 != null) {
                            return emoji3 + " " + LocaleController.getString("AttachSticker", R.string.AttachSticker);
                        }
                        return LocaleController.getString("AttachSticker", R.string.AttachSticker);
                    } else if (messageObject.isGif()) {
                        if (!TextUtils.isEmpty(messageObject.messageOwner.message)) {
                            return "🎬 " + messageObject.messageOwner.message;
                        }
                        return LocaleController.getString("AttachGif", R.string.AttachGif);
                    } else if (!TextUtils.isEmpty(messageObject.messageOwner.message)) {
                        return "📎 " + messageObject.messageOwner.message;
                    } else {
                        return LocaleController.getString("AttachDocument", R.string.AttachDocument);
                    }
                }
            }
            return null;
        }
        if (preview != null) {
            preview[0] = false;
        }
        return LocaleController.getString("Message", R.string.Message);
    }

    /* JADX WARN: Code restructure failed: missing block: B:318:0x089c, code lost:
        if (r8.getBoolean("EnablePreviewGroup", true) != false) goto L331;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private String getStringForMessage(MessageObject messageObject, boolean shortMessage, boolean[] text, boolean[] preview) {
        String str;
        String msg;
        int i;
        char c;
        char c2;
        char c3;
        char c4;
        int i2;
        char c5;
        String msg2;
        int from_id;
        String str2;
        char c6;
        int from_id2;
        if (AndroidUtilities.needShowPasscode(false) || SharedConfig.isWaitingForPasscodeEnter) {
            return LocaleController.getString("YouHaveNewMessage", R.string.YouHaveNewMessage);
        }
        long dialog_id = messageObject.messageOwner.dialog_id;
        int chat_id = messageObject.messageOwner.to_id.chat_id != 0 ? messageObject.messageOwner.to_id.chat_id : messageObject.messageOwner.to_id.channel_id;
        int from_id3 = messageObject.messageOwner.to_id.user_id;
        if (preview != null) {
            preview[0] = true;
        }
        SharedPreferences preferences = getAccountInstance().getNotificationsSettings();
        boolean dialogPreviewEnabled = preferences.getBoolean("content_preview_" + dialog_id, true);
        if (messageObject.isFcmMessage()) {
            if (chat_id == 0 && from_id3 != 0) {
                if (!dialogPreviewEnabled || !preferences.getBoolean("EnablePreviewAll", true)) {
                    if (preview != null) {
                        preview[0] = false;
                    }
                    return LocaleController.formatString("NotificationMessageNoText", R.string.NotificationMessageNoText, messageObject.localName);
                }
            } else if (chat_id != 0 && (!dialogPreviewEnabled || ((!messageObject.localChannel && !preferences.getBoolean("EnablePreviewGroup", true)) || (messageObject.localChannel && !preferences.getBoolean("EnablePreviewChannel", true))))) {
                if (preview != null) {
                    preview[0] = false;
                }
                return (messageObject.isMegagroup() || messageObject.messageOwner.to_id.channel_id == 0) ? LocaleController.formatString("NotificationMessageGroupNoText", R.string.NotificationMessageGroupNoText, messageObject.localUserName, messageObject.localName) : LocaleController.formatString("ChannelMessageNoText", R.string.ChannelMessageNoText, messageObject.localName);
            }
            text[0] = true;
            return (String) messageObject.messageText;
        }
        int selfUsedId = getUserConfig().getClientUserId();
        if (from_id3 == 0) {
            if (messageObject.isFromUser() || messageObject.getId() < 0) {
                from_id3 = messageObject.messageOwner.from_id;
            } else {
                from_id3 = -chat_id;
            }
        } else if (from_id3 == selfUsedId) {
            from_id3 = messageObject.messageOwner.from_id;
        }
        if (dialog_id == 0) {
            if (chat_id != 0) {
                dialog_id = -chat_id;
            } else if (from_id3 != 0) {
                dialog_id = from_id3;
            }
        }
        String name = null;
        if (from_id3 > 0) {
            if (messageObject.messageOwner.from_scheduled) {
                str = "NotificationMessageNoText";
                name = dialog_id == ((long) selfUsedId) ? LocaleController.getString("MessageScheduledReminderNotification", R.string.MessageScheduledReminderNotification) : LocaleController.getString("NotificationMessageScheduledName", R.string.NotificationMessageScheduledName);
            } else {
                str = "NotificationMessageNoText";
                TLRPC.User user = getMessagesController().getUser(Integer.valueOf(from_id3));
                if (user != null) {
                    name = UserObject.getName(user);
                }
            }
        } else {
            str = "NotificationMessageNoText";
            TLRPC.Chat chat = getMessagesController().getChat(Integer.valueOf(-from_id3));
            if (chat != null) {
                name = chat.title;
            }
        }
        if (name == null) {
            return null;
        }
        TLRPC.Chat chat2 = null;
        if (chat_id != 0 && (chat2 = getMessagesController().getChat(Integer.valueOf(chat_id))) == null) {
            return null;
        }
        if (((int) dialog_id) == 0) {
            return LocaleController.getString("YouHaveNewMessage", R.string.YouHaveNewMessage);
        }
        if (chat_id != 0 || from_id3 == 0) {
            msg = null;
            int from_id4 = from_id3;
            if (chat_id != 0) {
                boolean isChannel = ChatObject.isChannel(chat2) && !chat2.megagroup;
                if (dialogPreviewEnabled) {
                    if (isChannel) {
                    }
                    if (!isChannel || !preferences.getBoolean("EnablePreviewChannel", true)) {
                    }
                    if (messageObject.messageOwner instanceof TLRPC.TL_messageService) {
                        if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChatAddUser) {
                            int singleUserId = messageObject.messageOwner.action.user_id;
                            if (singleUserId == 0 && messageObject.messageOwner.action.users.size() == 1) {
                                singleUserId = messageObject.messageOwner.action.users.get(0).intValue();
                            }
                            if (singleUserId != 0) {
                                if (messageObject.messageOwner.to_id.channel_id == 0 || chat2.megagroup) {
                                    if (singleUserId == selfUsedId) {
                                        return LocaleController.formatString("NotificationInvitedToGroup", R.string.NotificationInvitedToGroup, name, chat2.title);
                                    }
                                    TLRPC.User u2 = getMessagesController().getUser(Integer.valueOf(singleUserId));
                                    if (u2 == null) {
                                        return null;
                                    }
                                    if (from_id4 == u2.id) {
                                        msg2 = chat2.megagroup ? LocaleController.formatString("NotificationGroupAddSelfMega", R.string.NotificationGroupAddSelfMega, name, chat2.title) : LocaleController.formatString("NotificationGroupAddSelf", R.string.NotificationGroupAddSelf, name, chat2.title);
                                    } else {
                                        msg2 = LocaleController.formatString("NotificationGroupAddMember", R.string.NotificationGroupAddMember, name, chat2.title, UserObject.getName(u2));
                                    }
                                    return msg2;
                                }
                                return LocaleController.formatString("ChannelAddedByNotification", R.string.ChannelAddedByNotification, name, chat2.title);
                            }
                            StringBuilder names = new StringBuilder();
                            for (int a2 = 0; a2 < messageObject.messageOwner.action.users.size(); a2++) {
                                TLRPC.User user2 = getMessagesController().getUser(messageObject.messageOwner.action.users.get(a2));
                                if (user2 != null) {
                                    String name2 = UserObject.getName(user2);
                                    if (names.length() != 0) {
                                        names.append(", ");
                                    }
                                    names.append(name2);
                                }
                            }
                            return LocaleController.formatString("NotificationGroupAddMember", R.string.NotificationGroupAddMember, name, chat2.title, names.toString());
                        } else if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChatJoinedByLink) {
                            return LocaleController.formatString("NotificationInvitedToGroupByLink", R.string.NotificationInvitedToGroupByLink, name, chat2.title);
                        } else {
                            if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChatEditTitle) {
                                return LocaleController.formatString("NotificationEditedGroupName", R.string.NotificationEditedGroupName, name, messageObject.messageOwner.action.title);
                            }
                            if ((messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChatEditPhoto) || (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChatDeletePhoto)) {
                                return (messageObject.messageOwner.to_id.channel_id == 0 || chat2.megagroup) ? LocaleController.formatString("NotificationEditedGroupPhoto", R.string.NotificationEditedGroupPhoto, name, chat2.title) : LocaleController.formatString("ChannelPhotoEditNotification", R.string.ChannelPhotoEditNotification, chat2.title);
                            } else if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChatDeleteUser) {
                                if (messageObject.messageOwner.action.user_id == selfUsedId) {
                                    return LocaleController.formatString("NotificationGroupKickYou", R.string.NotificationGroupKickYou, name, chat2.title);
                                }
                                if (messageObject.messageOwner.action.user_id == from_id4) {
                                    return LocaleController.formatString("NotificationGroupLeftMember", R.string.NotificationGroupLeftMember, name, chat2.title);
                                }
                                TLRPC.User u22 = getMessagesController().getUser(Integer.valueOf(messageObject.messageOwner.action.user_id));
                                if (u22 == null) {
                                    return null;
                                }
                                return LocaleController.formatString("NotificationGroupKickMember", R.string.NotificationGroupKickMember, name, chat2.title, UserObject.getName(u22));
                            } else if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChatCreate) {
                                return messageObject.messageText.toString();
                            } else {
                                if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChannelCreate) {
                                    return messageObject.messageText.toString();
                                }
                                if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChatMigrateTo) {
                                    return LocaleController.formatString("ActionMigrateFromGroupNotify", R.string.ActionMigrateFromGroupNotify, chat2.title);
                                }
                                if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionChannelMigrateFrom) {
                                    return LocaleController.formatString("ActionMigrateFromGroupNotify", R.string.ActionMigrateFromGroupNotify, messageObject.messageOwner.action.title);
                                }
                                if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionScreenshotTaken) {
                                    return messageObject.messageText.toString();
                                }
                                if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionPinMessage) {
                                    if (chat2 != null && (!ChatObject.isChannel(chat2) || chat2.megagroup)) {
                                        if (messageObject.replyMessageObject == null) {
                                            return LocaleController.formatString("NotificationActionPinnedNoText", R.string.NotificationActionPinnedNoText, name, chat2.title);
                                        }
                                        MessageObject object = messageObject.replyMessageObject;
                                        if (object.isMusic()) {
                                            return LocaleController.formatString("NotificationActionPinnedMusic", R.string.NotificationActionPinnedMusic, name, chat2.title);
                                        }
                                        if (object.isVideo()) {
                                            return !TextUtils.isEmpty(object.messageOwner.message) ? LocaleController.formatString("NotificationActionPinnedText", R.string.NotificationActionPinnedText, name, "📹 " + object.messageOwner.message, chat2.title) : LocaleController.formatString("NotificationActionPinnedVideo", R.string.NotificationActionPinnedVideo, name, chat2.title);
                                        } else if (object.isGif()) {
                                            return !TextUtils.isEmpty(object.messageOwner.message) ? LocaleController.formatString("NotificationActionPinnedText", R.string.NotificationActionPinnedText, name, "🎬 " + object.messageOwner.message, chat2.title) : LocaleController.formatString("NotificationActionPinnedGif", R.string.NotificationActionPinnedGif, name, chat2.title);
                                        } else if (object.isVoice()) {
                                            return LocaleController.formatString("NotificationActionPinnedVoice", R.string.NotificationActionPinnedVoice, name, chat2.title);
                                        } else {
                                            if (object.isRoundVideo()) {
                                                return LocaleController.formatString("NotificationActionPinnedRound", R.string.NotificationActionPinnedRound, name, chat2.title);
                                            }
                                            if (object.isSticker() || object.isAnimatedSticker()) {
                                                String emoji = object.getStickerEmoji();
                                                return emoji != null ? LocaleController.formatString("NotificationActionPinnedStickerEmoji", R.string.NotificationActionPinnedStickerEmoji, name, chat2.title, emoji) : LocaleController.formatString("NotificationActionPinnedSticker", R.string.NotificationActionPinnedSticker, name, chat2.title);
                                            } else if (object.messageOwner.media instanceof TLRPC.TL_messageMediaDocument) {
                                                return !TextUtils.isEmpty(object.messageOwner.message) ? LocaleController.formatString("NotificationActionPinnedText", R.string.NotificationActionPinnedText, name, "📎 " + object.messageOwner.message, chat2.title) : LocaleController.formatString("NotificationActionPinnedFile", R.string.NotificationActionPinnedFile, name, chat2.title);
                                            } else {
                                                if (object.messageOwner.media instanceof TLRPC.TL_messageMediaGeo) {
                                                    c3 = 0;
                                                    c4 = 1;
                                                    i2 = 2;
                                                } else if (!(object.messageOwner.media instanceof TLRPC.TL_messageMediaVenue)) {
                                                    if (object.messageOwner.media instanceof TLRPC.TL_messageMediaGeoLive) {
                                                        return LocaleController.formatString("NotificationActionPinnedGeoLive", R.string.NotificationActionPinnedGeoLive, name, chat2.title);
                                                    }
                                                    if (object.messageOwner.media instanceof TLRPC.TL_messageMediaContact) {
                                                        TLRPC.TL_messageMediaContact mediaContact = (TLRPC.TL_messageMediaContact) messageObject.messageOwner.media;
                                                        return LocaleController.formatString("NotificationActionPinnedContact2", R.string.NotificationActionPinnedContact2, name, chat2.title, ContactsController.formatName(mediaContact.first_name, mediaContact.last_name));
                                                    } else if (object.messageOwner.media instanceof TLRPC.TL_messageMediaPoll) {
                                                        TLRPC.TL_messageMediaPoll mediaPoll = (TLRPC.TL_messageMediaPoll) object.messageOwner.media;
                                                        return LocaleController.formatString("NotificationActionPinnedPoll2", R.string.NotificationActionPinnedPoll2, name, chat2.title, mediaPoll.poll.question);
                                                    } else if (object.messageOwner.media instanceof TLRPC.TL_messageMediaPhoto) {
                                                        return !TextUtils.isEmpty(object.messageOwner.message) ? LocaleController.formatString("NotificationActionPinnedText", R.string.NotificationActionPinnedText, name, "🖼 " + object.messageOwner.message, chat2.title) : LocaleController.formatString("NotificationActionPinnedPhoto", R.string.NotificationActionPinnedPhoto, name, chat2.title);
                                                    } else if (object.messageOwner.media instanceof TLRPC.TL_messageMediaGame) {
                                                        return LocaleController.formatString("NotificationActionPinnedGame", R.string.NotificationActionPinnedGame, name, chat2.title);
                                                    } else {
                                                        if (object.messageText == null || object.messageText.length() <= 0) {
                                                            return LocaleController.formatString("NotificationActionPinnedNoText", R.string.NotificationActionPinnedNoText, name, chat2.title);
                                                        }
                                                        CharSequence message = object.messageText;
                                                        if (message.length() <= 20) {
                                                            c5 = 0;
                                                        } else {
                                                            c5 = 0;
                                                            message = ((Object) message.subSequence(0, 20)) + "...";
                                                        }
                                                        Object[] objArr = new Object[3];
                                                        objArr[c5] = name;
                                                        objArr[1] = message;
                                                        objArr[2] = chat2.title;
                                                        return LocaleController.formatString("NotificationActionPinnedText", R.string.NotificationActionPinnedText, objArr);
                                                    }
                                                } else {
                                                    c3 = 0;
                                                    c4 = 1;
                                                    i2 = 2;
                                                }
                                                Object[] objArr2 = new Object[i2];
                                                objArr2[c3] = name;
                                                objArr2[c4] = chat2.title;
                                                return LocaleController.formatString("NotificationActionPinnedGeo", R.string.NotificationActionPinnedGeo, objArr2);
                                            }
                                        }
                                    } else if (messageObject.replyMessageObject == null) {
                                        return LocaleController.formatString("NotificationActionPinnedNoTextChannel", R.string.NotificationActionPinnedNoTextChannel, chat2.title);
                                    } else {
                                        MessageObject object2 = messageObject.replyMessageObject;
                                        if (object2.isMusic()) {
                                            return LocaleController.formatString("NotificationActionPinnedMusicChannel", R.string.NotificationActionPinnedMusicChannel, chat2.title);
                                        }
                                        if (object2.isVideo()) {
                                            return !TextUtils.isEmpty(object2.messageOwner.message) ? LocaleController.formatString("NotificationActionPinnedTextChannel", R.string.NotificationActionPinnedTextChannel, chat2.title, "📹 " + object2.messageOwner.message) : LocaleController.formatString("NotificationActionPinnedVideoChannel", R.string.NotificationActionPinnedVideoChannel, chat2.title);
                                        } else if (object2.isGif()) {
                                            return !TextUtils.isEmpty(object2.messageOwner.message) ? LocaleController.formatString("NotificationActionPinnedTextChannel", R.string.NotificationActionPinnedTextChannel, chat2.title, "🎬 " + object2.messageOwner.message) : LocaleController.formatString("NotificationActionPinnedGifChannel", R.string.NotificationActionPinnedGifChannel, chat2.title);
                                        } else if (object2.isVoice()) {
                                            return LocaleController.formatString("NotificationActionPinnedVoiceChannel", R.string.NotificationActionPinnedVoiceChannel, chat2.title);
                                        } else {
                                            if (object2.isRoundVideo()) {
                                                return LocaleController.formatString("NotificationActionPinnedRoundChannel", R.string.NotificationActionPinnedRoundChannel, chat2.title);
                                            }
                                            if (object2.isSticker() || object2.isAnimatedSticker()) {
                                                String emoji2 = object2.getStickerEmoji();
                                                return emoji2 != null ? LocaleController.formatString("NotificationActionPinnedStickerEmojiChannel", R.string.NotificationActionPinnedStickerEmojiChannel, chat2.title, emoji2) : LocaleController.formatString("NotificationActionPinnedStickerChannel", R.string.NotificationActionPinnedStickerChannel, chat2.title);
                                            } else if (object2.messageOwner.media instanceof TLRPC.TL_messageMediaDocument) {
                                                return !TextUtils.isEmpty(object2.messageOwner.message) ? LocaleController.formatString("NotificationActionPinnedTextChannel", R.string.NotificationActionPinnedTextChannel, chat2.title, "📎 " + object2.messageOwner.message) : LocaleController.formatString("NotificationActionPinnedFileChannel", R.string.NotificationActionPinnedFileChannel, chat2.title);
                                            } else {
                                                if (object2.messageOwner.media instanceof TLRPC.TL_messageMediaGeo) {
                                                    i = 1;
                                                    c = 0;
                                                } else if (!(object2.messageOwner.media instanceof TLRPC.TL_messageMediaVenue)) {
                                                    if (object2.messageOwner.media instanceof TLRPC.TL_messageMediaGeoLive) {
                                                        return LocaleController.formatString("NotificationActionPinnedGeoLiveChannel", R.string.NotificationActionPinnedGeoLiveChannel, chat2.title);
                                                    }
                                                    if (object2.messageOwner.media instanceof TLRPC.TL_messageMediaContact) {
                                                        TLRPC.TL_messageMediaContact mediaContact2 = (TLRPC.TL_messageMediaContact) messageObject.messageOwner.media;
                                                        return LocaleController.formatString("NotificationActionPinnedContactChannel2", R.string.NotificationActionPinnedContactChannel2, chat2.title, ContactsController.formatName(mediaContact2.first_name, mediaContact2.last_name));
                                                    } else if (object2.messageOwner.media instanceof TLRPC.TL_messageMediaPoll) {
                                                        TLRPC.TL_messageMediaPoll mediaPoll2 = (TLRPC.TL_messageMediaPoll) object2.messageOwner.media;
                                                        return LocaleController.formatString("NotificationActionPinnedPollChannel2", R.string.NotificationActionPinnedPollChannel2, chat2.title, mediaPoll2.poll.question);
                                                    } else if (object2.messageOwner.media instanceof TLRPC.TL_messageMediaPhoto) {
                                                        return !TextUtils.isEmpty(object2.messageOwner.message) ? LocaleController.formatString("NotificationActionPinnedTextChannel", R.string.NotificationActionPinnedTextChannel, chat2.title, "🖼 " + object2.messageOwner.message) : LocaleController.formatString("NotificationActionPinnedPhotoChannel", R.string.NotificationActionPinnedPhotoChannel, chat2.title);
                                                    } else if (object2.messageOwner.media instanceof TLRPC.TL_messageMediaGame) {
                                                        return LocaleController.formatString("NotificationActionPinnedGameChannel", R.string.NotificationActionPinnedGameChannel, chat2.title);
                                                    } else {
                                                        if (object2.messageText == null || object2.messageText.length() <= 0) {
                                                            return LocaleController.formatString("NotificationActionPinnedNoTextChannel", R.string.NotificationActionPinnedNoTextChannel, chat2.title);
                                                        }
                                                        CharSequence message2 = object2.messageText;
                                                        if (message2.length() <= 20) {
                                                            c2 = 0;
                                                        } else {
                                                            c2 = 0;
                                                            message2 = ((Object) message2.subSequence(0, 20)) + "...";
                                                        }
                                                        Object[] objArr3 = new Object[2];
                                                        objArr3[c2] = chat2.title;
                                                        objArr3[1] = message2;
                                                        return LocaleController.formatString("NotificationActionPinnedTextChannel", R.string.NotificationActionPinnedTextChannel, objArr3);
                                                    }
                                                } else {
                                                    i = 1;
                                                    c = 0;
                                                }
                                                Object[] objArr4 = new Object[i];
                                                objArr4[c] = chat2.title;
                                                return LocaleController.formatString("NotificationActionPinnedGeoChannel", R.string.NotificationActionPinnedGeoChannel, objArr4);
                                            }
                                        }
                                    }
                                } else if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionGameScore) {
                                    return messageObject.messageText.toString();
                                } else {
                                    if (messageObject.messageOwner.action instanceof TLRPCRedpacket.CL_messagesActionReceivedRpkTransfer) {
                                        TLRPCRedpacket.CL_messagesActionReceivedRpkTransfer action = (TLRPCRedpacket.CL_messagesActionReceivedRpkTransfer) messageObject.messageOwner.action;
                                        if (action.trans == 0) {
                                            TLRPC.User receiver = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(action.receiver.user_id));
                                            TLRPC.User sender = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(action.sender.user_id));
                                            TLApiModel<RedpacketResponse> parse = TLJsonResolve.parse(action.data, RedpacketResponse.class);
                                            RedpacketResponse bean = (RedpacketResponse) parse.model;
                                            StringBuilder builder = new StringBuilder();
                                            if (bean != null) {
                                                if (messageObject.isOut()) {
                                                    if (getUserConfig().clientUserId == action.sender.user_id) {
                                                        builder.append(LocaleController.getString(R.string.YouReceivedYourPacket));
                                                    } else {
                                                        builder.append(String.format(LocaleController.getString(R.string.YouReceivePacketFrom), UserObject.getName(sender)));
                                                    }
                                                } else if (getUserConfig().clientUserId == action.sender.user_id) {
                                                    builder.append(UserObject.getName(receiver));
                                                    builder.append(" ");
                                                    builder.append(LocaleController.getString(R.string.ReceivedYourPacket));
                                                } else {
                                                    builder.append(String.format(LocaleController.getString(R.string.WhoReceivePacketFrom), UserObject.getName(receiver), UserObject.getName(sender)));
                                                }
                                            }
                                            return builder.toString();
                                        }
                                    }
                                }
                            }
                        }
                    } else if (ChatObject.isChannel(chat2) && !chat2.megagroup) {
                        if (messageObject.isMediaEmpty()) {
                            if (shortMessage || messageObject.messageOwner.message == null || messageObject.messageOwner.message.length() == 0) {
                                return LocaleController.formatString("ChannelMessageNoText", R.string.ChannelMessageNoText, name);
                            }
                            String msg3 = LocaleController.formatString("NotificationMessageText", R.string.NotificationMessageText, name, messageObject.messageOwner.message);
                            text[0] = true;
                            return msg3;
                        } else if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaPhoto) {
                            if (shortMessage || TextUtils.isEmpty(messageObject.messageOwner.message)) {
                                return LocaleController.formatString("ChannelMessagePhoto", R.string.ChannelMessagePhoto, name);
                            }
                            String msg4 = LocaleController.formatString("NotificationMessageText", R.string.NotificationMessageText, name, "🖼 " + messageObject.messageOwner.message);
                            text[0] = true;
                            return msg4;
                        } else if (messageObject.isVideo()) {
                            if (shortMessage || TextUtils.isEmpty(messageObject.messageOwner.message)) {
                                return LocaleController.formatString("ChannelMessageVideo", R.string.ChannelMessageVideo, name);
                            }
                            String msg5 = LocaleController.formatString("NotificationMessageText", R.string.NotificationMessageText, name, "📹 " + messageObject.messageOwner.message);
                            text[0] = true;
                            return msg5;
                        } else if (messageObject.isVoice()) {
                            return LocaleController.formatString("ChannelMessageAudio", R.string.ChannelMessageAudio, name);
                        } else {
                            if (messageObject.isRoundVideo()) {
                                return LocaleController.formatString("ChannelMessageRound", R.string.ChannelMessageRound, name);
                            }
                            if (messageObject.isMusic()) {
                                return LocaleController.formatString("ChannelMessageMusic", R.string.ChannelMessageMusic, name);
                            }
                            if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaContact) {
                                TLRPC.TL_messageMediaContact mediaContact3 = (TLRPC.TL_messageMediaContact) messageObject.messageOwner.media;
                                return LocaleController.formatString("ChannelMessageContact2", R.string.ChannelMessageContact2, name, ContactsController.formatName(mediaContact3.first_name, mediaContact3.last_name));
                            } else if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaPoll) {
                                TLRPC.TL_messageMediaPoll mediaPoll3 = (TLRPC.TL_messageMediaPoll) messageObject.messageOwner.media;
                                return LocaleController.formatString("ChannelMessagePoll2", R.string.ChannelMessagePoll2, name, mediaPoll3.poll.question);
                            } else if ((messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaGeo) || (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaVenue)) {
                                return LocaleController.formatString("ChannelMessageMap", R.string.ChannelMessageMap, name);
                            } else {
                                if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaGeoLive) {
                                    return LocaleController.formatString("ChannelMessageLiveLocation", R.string.ChannelMessageLiveLocation, name);
                                }
                                if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaDocument) {
                                    if (messageObject.isSticker() || messageObject.isAnimatedSticker()) {
                                        String emoji3 = messageObject.getStickerEmoji();
                                        return emoji3 != null ? LocaleController.formatString("ChannelMessageStickerEmoji", R.string.ChannelMessageStickerEmoji, name, emoji3) : LocaleController.formatString("ChannelMessageSticker", R.string.ChannelMessageSticker, name);
                                    } else if (messageObject.isGif()) {
                                        if (shortMessage || TextUtils.isEmpty(messageObject.messageOwner.message)) {
                                            return LocaleController.formatString("ChannelMessageGIF", R.string.ChannelMessageGIF, name);
                                        }
                                        String msg6 = LocaleController.formatString("NotificationMessageText", R.string.NotificationMessageText, name, "🎬 " + messageObject.messageOwner.message);
                                        text[0] = true;
                                        return msg6;
                                    } else if (shortMessage || TextUtils.isEmpty(messageObject.messageOwner.message)) {
                                        return LocaleController.formatString("ChannelMessageDocument", R.string.ChannelMessageDocument, name);
                                    } else {
                                        String msg7 = LocaleController.formatString("NotificationMessageText", R.string.NotificationMessageText, name, "📎 " + messageObject.messageOwner.message);
                                        text[0] = true;
                                        return msg7;
                                    }
                                }
                            }
                        }
                    } else if (messageObject.isMediaEmpty()) {
                        return (shortMessage || messageObject.messageOwner.message == null || messageObject.messageOwner.message.length() == 0) ? LocaleController.formatString("NotificationMessageGroupNoText", R.string.NotificationMessageGroupNoText, name, chat2.title) : LocaleController.formatString("NotificationMessageGroupText", R.string.NotificationMessageGroupText, name, chat2.title, messageObject.messageOwner.message);
                    } else if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaPhoto) {
                        return (shortMessage || TextUtils.isEmpty(messageObject.messageOwner.message)) ? LocaleController.formatString("NotificationMessageGroupPhoto", R.string.NotificationMessageGroupPhoto, name, chat2.title) : LocaleController.formatString("NotificationMessageGroupText", R.string.NotificationMessageGroupText, name, chat2.title, "🖼 " + messageObject.messageOwner.message);
                    } else if (messageObject.isVideo()) {
                        return (shortMessage || TextUtils.isEmpty(messageObject.messageOwner.message)) ? LocaleController.formatString(" ", R.string.NotificationMessageGroupVideo, name, chat2.title) : LocaleController.formatString("NotificationMessageGroupText", R.string.NotificationMessageGroupText, name, chat2.title, "📹 " + messageObject.messageOwner.message);
                    } else if (messageObject.isVoice()) {
                        return LocaleController.formatString("NotificationMessageGroupAudio", R.string.NotificationMessageGroupAudio, name, chat2.title);
                    } else {
                        if (messageObject.isRoundVideo()) {
                            return LocaleController.formatString("NotificationMessageGroupRound", R.string.NotificationMessageGroupRound, name, chat2.title);
                        }
                        if (messageObject.isMusic()) {
                            return LocaleController.formatString("NotificationMessageGroupMusic", R.string.NotificationMessageGroupMusic, name, chat2.title);
                        }
                        if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaContact) {
                            TLRPC.TL_messageMediaContact mediaContact4 = (TLRPC.TL_messageMediaContact) messageObject.messageOwner.media;
                            return LocaleController.formatString("NotificationMessageGroupContact2", R.string.NotificationMessageGroupContact2, name, chat2.title, ContactsController.formatName(mediaContact4.first_name, mediaContact4.last_name));
                        } else if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaPoll) {
                            TLRPC.TL_messageMediaPoll mediaPoll4 = (TLRPC.TL_messageMediaPoll) messageObject.messageOwner.media;
                            return LocaleController.formatString("NotificationMessageGroupPoll2", R.string.NotificationMessageGroupPoll2, name, chat2.title, mediaPoll4.poll.question);
                        } else if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaGame) {
                            return LocaleController.formatString("NotificationMessageGroupGame", R.string.NotificationMessageGroupGame, name, chat2.title, messageObject.messageOwner.media.game.title);
                        } else {
                            if ((messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaGeo) || (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaVenue)) {
                                return LocaleController.formatString("NotificationMessageGroupMap", R.string.NotificationMessageGroupMap, name, chat2.title);
                            }
                            if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaGeoLive) {
                                return LocaleController.formatString("NotificationMessageGroupLiveLocation", R.string.NotificationMessageGroupLiveLocation, name, chat2.title);
                            }
                            if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaDocument) {
                                if (!messageObject.isSticker() && !messageObject.isAnimatedSticker()) {
                                    return messageObject.isGif() ? (shortMessage || TextUtils.isEmpty(messageObject.messageOwner.message)) ? LocaleController.formatString("NotificationMessageGroupGif", R.string.NotificationMessageGroupGif, name, chat2.title) : LocaleController.formatString("NotificationMessageGroupText", R.string.NotificationMessageGroupText, name, chat2.title, "🎬 " + messageObject.messageOwner.message) : (shortMessage || TextUtils.isEmpty(messageObject.messageOwner.message)) ? LocaleController.formatString("NotificationMessageGroupDocument", R.string.NotificationMessageGroupDocument, name, chat2.title) : LocaleController.formatString("NotificationMessageGroupText", R.string.NotificationMessageGroupText, name, chat2.title, "📎 " + messageObject.messageOwner.message);
                                }
                                String emoji4 = messageObject.getStickerEmoji();
                                return emoji4 != null ? LocaleController.formatString("NotificationMessageGroupStickerEmoji", R.string.NotificationMessageGroupStickerEmoji, name, chat2.title, emoji4) : LocaleController.formatString("NotificationMessageGroupSticker", R.string.NotificationMessageGroupSticker, name, chat2.title);
                            } else if (messageObject.messageOwner.media instanceof TLRPCRedpacket.CL_messagesRpkTransferMedia) {
                                TLRPCRedpacket.CL_messagesRpkTransferMedia media = (TLRPCRedpacket.CL_messagesRpkTransferMedia) messageObject.messageOwner.media;
                                if (media.trans == 0) {
                                    RedpacketResponse bean2 = null;
                                    if (media.data != null) {
                                        TLApiModel<RedpacketResponse> parse2 = TLJsonResolve.parse(media.data, RedpacketResponse.class);
                                        RedpacketResponse bean3 = parse2.model;
                                        bean2 = bean3;
                                    }
                                    if (bean2 != null) {
                                        RedpacketBean red = bean2.getRed();
                                        TLRPC.User sender2 = getMessagesController().getUser(Integer.valueOf(red.getInitiatorUserIdInt()));
                                        return String.format(LocaleController.getString(R.string.ReceiveGroupRedPacketFromOtherView), UserObject.getName(sender2));
                                    }
                                    return LocaleController.getString(R.string.ReceiveGroupRedPacket);
                                } else if (media.trans == 1 || media.trans == 2) {
                                    TransferResponse bean4 = null;
                                    if (media.data != null) {
                                        TLApiModel<TransferResponse> parse3 = TLJsonResolve.parse(media.data, TransferResponse.class);
                                        TransferResponse bean5 = parse3.model;
                                        bean4 = bean5;
                                    }
                                    if (bean4 == null) {
                                        return LocaleController.getString(R.string.TransferMessages);
                                    }
                                    TransferResponse.Status state = bean4.getState();
                                    if (messageObject.isOutOwner()) {
                                        if (state == TransferResponse.Status.WAITING) {
                                            return LocaleController.getString(R.string.TransferWaitingOtherCollect);
                                        }
                                        if (state == TransferResponse.Status.RECEIVED) {
                                            if (bean4.getInitiatorUserIdInt() == UserConfig.getInstance(UserConfig.selectedAccount).clientUserId) {
                                                return LocaleController.getString(R.string.TransferOtherHasCollected);
                                            }
                                            return LocaleController.getString(R.string.YouHaveConfirmedReceipt);
                                        } else if (state == TransferResponse.Status.REFUSED) {
                                            if (bean4.getInitiatorUserIdInt() == UserConfig.getInstance(UserConfig.selectedAccount).clientUserId) {
                                                return LocaleController.getString(R.string.TransferHasBeenReturned);
                                            }
                                            return LocaleController.getString(R.string.YouHaveReturned);
                                        } else if (state == TransferResponse.Status.TIMEOUT) {
                                            return LocaleController.getString(R.string.TransferHasReturned);
                                        }
                                    } else {
                                        int sender_id = bean4.getInitiatorUserIdInt();
                                        int receiver_id = Integer.parseInt(bean4.getRecipientUserId());
                                        TLRPC.User sender3 = getMessagesController().getUser(Integer.valueOf(sender_id));
                                        TLRPC.User receiver2 = getMessagesController().getUser(Integer.valueOf(receiver_id));
                                        if (state == TransferResponse.Status.WAITING) {
                                            return String.format(LocaleController.getString(R.string.TransferReceivedFromSomebody), UserObject.getName(sender3));
                                        }
                                        if (state == TransferResponse.Status.RECEIVED) {
                                            return sender_id == UserConfig.getInstance(UserConfig.selectedAccount).clientUserId ? String.format(LocaleController.getString(R.string.TransferReceivedBySomebody), UserObject.getName(receiver2)) : LocaleController.getString(R.string.YouHaveConfirmedReceipt);
                                        } else if (state == TransferResponse.Status.REFUSED) {
                                            return sender_id == UserConfig.getInstance(UserConfig.selectedAccount).clientUserId ? String.format(LocaleController.getString(R.string.TransferReturnedBySomebody), UserObject.getName(receiver2)) : LocaleController.getString(R.string.YouHaveReturned);
                                        } else if (state == TransferResponse.Status.TIMEOUT) {
                                            return String.format(LocaleController.getString(R.string.TransferSendToSomebodyExpired), UserObject.getName(receiver2));
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
                if (preview != null) {
                    preview[0] = false;
                }
                return (!ChatObject.isChannel(chat2) || chat2.megagroup) ? LocaleController.formatString("NotificationMessageGroupNoText", R.string.NotificationMessageGroupNoText, name, chat2.title) : LocaleController.formatString("ChannelMessageNoText", R.string.ChannelMessageNoText, name);
            }
        } else {
            if (dialogPreviewEnabled) {
                msg = null;
                if (!preferences.getBoolean("EnablePreviewAll", true)) {
                    from_id = from_id3;
                    str2 = str;
                } else if (messageObject.messageOwner instanceof TLRPC.TL_messageService) {
                    if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionUserJoined) {
                        from_id2 = from_id3;
                    } else if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionContactSignUp) {
                        from_id2 = from_id3;
                    } else if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionUserUpdatedPhoto) {
                        return LocaleController.formatString("NotificationContactNewPhoto", R.string.NotificationContactNewPhoto, name);
                    } else {
                        if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionLoginUnknownLocation) {
                            String date = LocaleController.formatString("formatDateAtTime", R.string.formatDateAtTime, LocaleController.getInstance().formatterYear.format(messageObject.messageOwner.date * 1000), LocaleController.getInstance().formatterDay.format(messageObject.messageOwner.date * 1000));
                            return LocaleController.formatString("NotificationUnrecognizedDevice", R.string.NotificationUnrecognizedDevice, getUserConfig().getCurrentUser().first_name, date, messageObject.messageOwner.action.title, messageObject.messageOwner.action.address);
                        } else if ((messageObject.messageOwner.action instanceof TLRPC.TL_messageActionGameScore) || (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionPaymentSent)) {
                            return messageObject.messageText.toString();
                        } else {
                            if (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionPhoneCall) {
                                TLRPC.PhoneCallDiscardReason reason = messageObject.messageOwner.action.reason;
                                if (!messageObject.isOut() && (reason instanceof TLRPC.TL_phoneCallDiscardReasonMissed)) {
                                    msg = LocaleController.getString("CallMessageIncomingMissed", R.string.CallMessageIncomingMissed);
                                }
                                return msg;
                            } else if (messageObject.messageOwner.action instanceof TLRPCRedpacket.CL_messagesActionReceivedRpkTransfer) {
                                TLRPCRedpacket.CL_messagesActionReceivedRpkTransfer action2 = (TLRPCRedpacket.CL_messagesActionReceivedRpkTransfer) messageObject.messageOwner.action;
                                if (action2.trans == 0) {
                                    TLRPC.User receiver3 = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(action2.receiver.user_id));
                                    TLRPC.User sender4 = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(action2.sender.user_id));
                                    TLApiModel<RedpacketResponse> parse4 = TLJsonResolve.parse(action2.data, RedpacketResponse.class);
                                    RedpacketResponse bean6 = (RedpacketResponse) parse4.model;
                                    StringBuilder builder2 = new StringBuilder();
                                    if (bean6 != null) {
                                        if (messageObject.isOut()) {
                                            if (getUserConfig().clientUserId == action2.sender.user_id) {
                                                builder2.append(LocaleController.getString(R.string.YouReceivedYourPacket));
                                            } else {
                                                builder2.append(String.format(LocaleController.getString(R.string.YouReceivePacketFrom), UserObject.getName(sender4)));
                                            }
                                        } else if (getUserConfig().clientUserId == action2.sender.user_id) {
                                            builder2.append(UserObject.getName(receiver3));
                                            builder2.append(" ");
                                            builder2.append(LocaleController.getString(R.string.ReceivedYourPacket));
                                        } else {
                                            builder2.append(String.format(LocaleController.getString(R.string.WhoReceivePacketFrom), UserObject.getName(receiver3), UserObject.getName(sender4)));
                                        }
                                    }
                                    return builder2.toString();
                                }
                            }
                        }
                    }
                    return LocaleController.formatString("NotificationContactJoined", R.string.NotificationContactJoined, name);
                } else if (messageObject.isMediaEmpty()) {
                    if (!shortMessage) {
                        if (TextUtils.isEmpty(messageObject.messageOwner.message)) {
                            return LocaleController.formatString(str, R.string.NotificationMessageNoText, name);
                        }
                        String msg8 = LocaleController.formatString("NotificationMessageText", R.string.NotificationMessageText, name, messageObject.messageOwner.message);
                        text[0] = true;
                        return msg8;
                    }
                    return LocaleController.formatString(str, R.string.NotificationMessageNoText, name);
                } else if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaPhoto) {
                    if (shortMessage || TextUtils.isEmpty(messageObject.messageOwner.message)) {
                        return messageObject.messageOwner.media.ttl_seconds != 0 ? LocaleController.formatString("NotificationMessageSDPhoto", R.string.NotificationMessageSDPhoto, name) : LocaleController.formatString("NotificationMessagePhoto", R.string.NotificationMessagePhoto, name);
                    }
                    String msg9 = LocaleController.formatString("NotificationMessageText", R.string.NotificationMessageText, name, "🖼 " + messageObject.messageOwner.message);
                    text[0] = true;
                    return msg9;
                } else if (messageObject.isVideo()) {
                    if (shortMessage || TextUtils.isEmpty(messageObject.messageOwner.message)) {
                        return messageObject.messageOwner.media.ttl_seconds != 0 ? LocaleController.formatString("NotificationMessageSDVideo", R.string.NotificationMessageSDVideo, name) : LocaleController.formatString("NotificationMessageVideo", R.string.NotificationMessageVideo, name);
                    }
                    String msg10 = LocaleController.formatString("NotificationMessageText", R.string.NotificationMessageText, name, "📹 " + messageObject.messageOwner.message);
                    text[0] = true;
                    return msg10;
                } else if (messageObject.isGame()) {
                    return LocaleController.formatString("NotificationMessageGame", R.string.NotificationMessageGame, name, messageObject.messageOwner.media.game.title);
                } else {
                    if (messageObject.isVoice()) {
                        return LocaleController.formatString("NotificationMessageAudio", R.string.NotificationMessageAudio, name);
                    }
                    if (messageObject.isRoundVideo()) {
                        return LocaleController.formatString("NotificationMessageRound", R.string.NotificationMessageRound, name);
                    }
                    if (messageObject.isMusic()) {
                        return LocaleController.formatString("NotificationMessageMusic", R.string.NotificationMessageMusic, name);
                    }
                    if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaContact) {
                        TLRPC.TL_messageMediaContact mediaContact5 = (TLRPC.TL_messageMediaContact) messageObject.messageOwner.media;
                        return LocaleController.formatString("NotificationMessageContact2", R.string.NotificationMessageContact2, name, ContactsController.formatName(mediaContact5.first_name, mediaContact5.last_name));
                    } else if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaPoll) {
                        TLRPC.TL_messageMediaPoll mediaPoll5 = (TLRPC.TL_messageMediaPoll) messageObject.messageOwner.media;
                        return LocaleController.formatString("NotificationMessagePoll2", R.string.NotificationMessagePoll2, name, mediaPoll5.poll.question);
                    } else if ((messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaGeo) || (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaVenue)) {
                        return LocaleController.formatString("NotificationMessageMap", R.string.NotificationMessageMap, name);
                    } else {
                        if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaGeoLive) {
                            return LocaleController.formatString("NotificationMessageLiveLocation", R.string.NotificationMessageLiveLocation, name);
                        }
                        if (messageObject.messageOwner.media instanceof TLRPC.TL_messageMediaDocument) {
                            if (messageObject.isSticker() || messageObject.isAnimatedSticker()) {
                                String emoji5 = messageObject.getStickerEmoji();
                                return emoji5 != null ? LocaleController.formatString("NotificationMessageStickerEmoji", R.string.NotificationMessageStickerEmoji, name, emoji5) : LocaleController.formatString("NotificationMessageSticker", R.string.NotificationMessageSticker, name);
                            } else if (messageObject.isGif()) {
                                if (shortMessage || TextUtils.isEmpty(messageObject.messageOwner.message)) {
                                    return LocaleController.formatString("NotificationMessageGif", R.string.NotificationMessageGif, name);
                                }
                                String msg11 = LocaleController.formatString("NotificationMessageText", R.string.NotificationMessageText, name, "🎬 " + messageObject.messageOwner.message);
                                text[0] = true;
                                return msg11;
                            } else if (shortMessage || TextUtils.isEmpty(messageObject.messageOwner.message)) {
                                return LocaleController.formatString("NotificationMessageDocument", R.string.NotificationMessageDocument, name);
                            } else {
                                String msg12 = LocaleController.formatString("NotificationMessageText", R.string.NotificationMessageText, name, "📎 " + messageObject.messageOwner.message);
                                text[0] = true;
                                return msg12;
                            }
                        } else if (messageObject.messageOwner.media instanceof TLRPCRedpacket.CL_messagesRpkTransferMedia) {
                            TLRPCRedpacket.CL_messagesRpkTransferMedia media2 = (TLRPCRedpacket.CL_messagesRpkTransferMedia) messageObject.messageOwner.media;
                            if (media2.trans == 0) {
                                RedpacketResponse bean7 = null;
                                if (media2.data != null) {
                                    TLApiModel<RedpacketResponse> parse5 = TLJsonResolve.parse(media2.data, RedpacketResponse.class);
                                    RedpacketResponse bean8 = parse5.model;
                                    bean7 = bean8;
                                }
                                if (bean7 != null) {
                                    RedpacketBean red2 = bean7.getRed();
                                    TLRPC.User sender5 = getMessagesController().getUser(Integer.valueOf(red2.getInitiatorUserIdInt()));
                                    return String.format(LocaleController.getString(R.string.ReceiveRedPackFrom), UserObject.getName(sender5));
                                }
                                return LocaleController.getString(R.string.ReceivePacketMessage);
                            } else if (media2.trans == 1 || media2.trans == 2) {
                                TransferResponse bean9 = null;
                                if (media2.data != null) {
                                    TLApiModel<TransferResponse> parse6 = TLJsonResolve.parse(media2.data, TransferResponse.class);
                                    TransferResponse bean10 = parse6.model;
                                    bean9 = bean10;
                                }
                                if (bean9 == null) {
                                    return LocaleController.getString(R.string.TransferMessages);
                                }
                                TransferResponse.Status state2 = bean9.getState();
                                if (messageObject.isOutOwner()) {
                                    if (state2 == TransferResponse.Status.WAITING) {
                                        return LocaleController.getString(R.string.TransferWaitingOtherCollect);
                                    }
                                    if (state2 == TransferResponse.Status.RECEIVED) {
                                        if (bean9.getInitiatorUserIdInt() == UserConfig.getInstance(UserConfig.selectedAccount).clientUserId) {
                                            return LocaleController.getString(R.string.TransferOtherHasCollected);
                                        }
                                        return LocaleController.getString(R.string.YouHaveConfirmedReceipt);
                                    } else if (state2 == TransferResponse.Status.REFUSED) {
                                        if (bean9.getInitiatorUserIdInt() == UserConfig.getInstance(UserConfig.selectedAccount).clientUserId) {
                                            return LocaleController.getString(R.string.TransferHasBeenReturned);
                                        }
                                        return LocaleController.getString(R.string.YouHaveReturned);
                                    } else if (state2 == TransferResponse.Status.TIMEOUT) {
                                        return LocaleController.getString(R.string.TransferHasReturned);
                                    }
                                } else {
                                    int sender_id2 = bean9.getInitiatorUserIdInt();
                                    int receiver_id2 = Integer.parseInt(bean9.getRecipientUserId());
                                    TLRPC.User sender6 = getMessagesController().getUser(Integer.valueOf(sender_id2));
                                    TLRPC.User receiver4 = getMessagesController().getUser(Integer.valueOf(receiver_id2));
                                    if (state2 == TransferResponse.Status.WAITING) {
                                        return String.format(LocaleController.getString(R.string.TransferReceivedFromSomebody), UserObject.getName(sender6));
                                    }
                                    if (state2 == TransferResponse.Status.RECEIVED) {
                                        return sender_id2 == UserConfig.getInstance(UserConfig.selectedAccount).clientUserId ? String.format(LocaleController.getString(R.string.TransferReceivedBySomebody), UserObject.getName(receiver4)) : LocaleController.getString(R.string.YouHaveConfirmedReceipt);
                                    } else if (state2 == TransferResponse.Status.REFUSED) {
                                        return sender_id2 == UserConfig.getInstance(UserConfig.selectedAccount).clientUserId ? String.format(LocaleController.getString(R.string.TransferReturnedBySomebody), UserObject.getName(receiver4)) : LocaleController.getString(R.string.YouHaveReturned);
                                    } else if (state2 == TransferResponse.Status.TIMEOUT) {
                                        return String.format(LocaleController.getString(R.string.TransferSendToSomebodyExpired), UserObject.getName(receiver4));
                                    }
                                }
                            }
                        }
                    }
                }
            } else {
                from_id = from_id3;
                str2 = str;
            }
            if (preview == null) {
                c6 = 0;
            } else {
                c6 = 0;
                preview[0] = false;
            }
            Object[] objArr5 = new Object[1];
            objArr5[c6] = name;
            return LocaleController.formatString(str2, R.string.NotificationMessageNoText, objArr5);
        }
        return msg;
    }

    private void scheduleNotificationRepeat() {
        try {
            Intent intent = new Intent(ApplicationLoader.applicationContext, NotificationRepeat.class);
            intent.putExtra("currentAccount", this.currentAccount);
            PendingIntent pintent = PendingIntent.getService(ApplicationLoader.applicationContext, 0, intent, 0);
            SharedPreferences preferences = getAccountInstance().getNotificationsSettings();
            int minutes = preferences.getInt("repeat_messages", 60);
            if (minutes > 0 && this.personal_count > 0) {
                this.alarmManager.set(2, SystemClock.elapsedRealtime() + (minutes * 60 * 1000), pintent);
            } else {
                this.alarmManager.cancel(pintent);
            }
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    private boolean isPersonalMessage(MessageObject messageObject) {
        return messageObject.messageOwner.to_id != null && messageObject.messageOwner.to_id.chat_id == 0 && messageObject.messageOwner.to_id.channel_id == 0 && (messageObject.messageOwner.action == null || (messageObject.messageOwner.action instanceof TLRPC.TL_messageActionEmpty));
    }

    private int getNotifyOverride(SharedPreferences preferences, long dialog_id) {
        int notifyOverride = preferences.getInt("notify2_" + dialog_id, -1);
        if (notifyOverride == 3) {
            int muteUntil = preferences.getInt("notifyuntil_" + dialog_id, 0);
            if (muteUntil >= getConnectionsManager().getCurrentTime()) {
                return 2;
            }
            return notifyOverride;
        }
        return notifyOverride;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$showNotifications$23$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m922xeb05c94e() {
        showOrUpdateNotification(false);
    }

    public void showNotifications() {
        notificationsQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda19
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m922xeb05c94e();
            }
        });
    }

    public void hideNotifications() {
        notificationsQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda1
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m899x615bd94();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$hideNotifications$24$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m899x615bd94() {
        notificationManager.cancel(this.notificationId);
        this.lastWearNotifiedMessageId.clear();
        for (int a2 = 0; a2 < this.wearNotificationsIds.size(); a2++) {
            notificationManager.cancel(this.wearNotificationsIds.valueAt(a2).intValue());
        }
        this.wearNotificationsIds.clear();
    }

    private void dismissNotification() {
        try {
            notificationManager.cancel(this.notificationId);
            this.pushMessages.clear();
            this.pushMessagesDict.clear();
            this.lastWearNotifiedMessageId.clear();
            for (int a2 = 0; a2 < this.wearNotificationsIds.size(); a2++) {
                notificationManager.cancel(this.wearNotificationsIds.valueAt(a2).intValue());
            }
            this.wearNotificationsIds.clear();
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda31
                @Override // java.lang.Runnable
                public final void run() {
                    NotificationCenter.getGlobalInstance().postNotificationName(NotificationCenter.pushMessagesUpdated, new Object[0]);
                }
            });
            if (WearDataLayerListenerService.isWatchConnected()) {
                try {
                    JSONObject o = new JSONObject();
                    o.put(TtmlNode.ATTR_ID, getUserConfig().getClientUserId());
                    o.put("cancel_all", true);
                    WearDataLayerListenerService.sendMessageToWatch("/notify", o.toString().getBytes(), "remote_notifications");
                } catch (JSONException e) {
                }
            }
        } catch (Exception e2) {
            FileLog.e(e2);
        }
    }

    private void playInChatSound() {
        if (!this.inChatSoundEnabled || MediaController.getInstance().isRecordingAudio()) {
            return;
        }
        try {
            if (audioManager.getRingerMode() == 0) {
                return;
            }
        } catch (Exception e) {
            FileLog.e(e);
        }
        try {
            SharedPreferences preferences = getAccountInstance().getNotificationsSettings();
            int notifyOverride = getNotifyOverride(preferences, this.opened_dialog_id);
            if (notifyOverride == 2) {
                return;
            }
            notificationsQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda22
                @Override // java.lang.Runnable
                public final void run() {
                    NotificationsController.this.m901x37a26d7f();
                }
            });
        } catch (Exception e2) {
            FileLog.e(e2);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$playInChatSound$27$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m901x37a26d7f() {
        if (Math.abs(System.currentTimeMillis() - this.lastSoundPlay) <= 500) {
            return;
        }
        try {
            if (this.soundPool == null) {
                SoundPool soundPool = new SoundPool(3, 1, 0);
                this.soundPool = soundPool;
                soundPool.setOnLoadCompleteListener(new SoundPool.OnLoadCompleteListener() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda10
                    @Override // android.media.SoundPool.OnLoadCompleteListener
                    public final void onLoadComplete(SoundPool soundPool2, int i, int i2) {
                        NotificationsController.lambda$playInChatSound$26(soundPool2, i, i2);
                    }
                });
            }
            if (this.soundIn == 0 && !this.soundInLoaded) {
                this.soundInLoaded = true;
                this.soundIn = this.soundPool.load(ApplicationLoader.applicationContext, R.raw.sound_in, 1);
            }
            int i = this.soundIn;
            if (i != 0) {
                try {
                    this.soundPool.play(i, 1.0f, 1.0f, 1, 0, 1.0f);
                } catch (Exception e) {
                    FileLog.e(e);
                }
            }
        } catch (Exception e2) {
            FileLog.e(e2);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$playInChatSound$26(SoundPool soundPool, int sampleId, int status) {
        if (status == 0) {
            try {
                soundPool.play(sampleId, 1.0f, 1.0f, 1, 0, 1.0f);
            } catch (Exception e) {
                FileLog.e(e);
            }
        }
    }

    private void scheduleNotificationDelay(boolean onlineReason) {
        try {
            if (BuildVars.LOGS_ENABLED) {
                FileLog.d("delay notification start, onlineReason = " + onlineReason);
            }
            this.notificationDelayWakelock.acquire(OkHttpUtils.DEFAULT_MILLISECONDS);
            notificationsQueue.cancelRunnable(this.notificationDelayRunnable);
            notificationsQueue.postRunnable(this.notificationDelayRunnable, onlineReason ? 3000 : 1000);
        } catch (Exception e) {
            FileLog.e(e);
            showOrUpdateNotification(this.notifyCheck);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public void repeatNotificationMaybe() {
        notificationsQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda13
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m919xf88ff3c();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$repeatNotificationMaybe$28$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m919xf88ff3c() {
        int hour = Calendar.getInstance().get(11);
        if (hour >= 11 && hour <= 22) {
            notificationManager.cancel(this.notificationId);
            showOrUpdateNotification(true);
            return;
        }
        scheduleNotificationRepeat();
    }

    private boolean isEmptyVibration(long[] pattern) {
        if (pattern == null || pattern.length == 0) {
            return false;
        }
        for (int a2 = 0; a2 < pattern.length; a2++) {
            if (pattern[a2] != 0) {
                return false;
            }
        }
        return true;
    }

    public void deleteNotificationChannel(final long dialogId) {
        notificationsQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda32
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m896xe846c812(dialogId);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$deleteNotificationChannel$29$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m896xe846c812(long dialogId) {
        if (Build.VERSION.SDK_INT < 26) {
            return;
        }
        try {
            SharedPreferences preferences = getAccountInstance().getNotificationsSettings();
            String key = "im.uecahxyvjd.key" + dialogId;
            String channelId = preferences.getString(key, null);
            if (channelId != null) {
                preferences.edit().remove(key).remove(key + "_s").commit();
                systemNotificationManager.deleteNotificationChannel(channelId);
            }
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    public void deleteAllNotificationChannels() {
        notificationsQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda6
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m895x3ac60e24();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$deleteAllNotificationChannels$30$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m895x3ac60e24() {
        if (Build.VERSION.SDK_INT < 26) {
            return;
        }
        try {
            SharedPreferences preferences = getAccountInstance().getNotificationsSettings();
            Map<String, ?> values = preferences.getAll();
            SharedPreferences.Editor editor = preferences.edit();
            for (Map.Entry<String, ?> entry : values.entrySet()) {
                String key = entry.getKey();
                if (key.startsWith("im.uecahxyvjd.key")) {
                    if (!key.endsWith("_s")) {
                        systemNotificationManager.deleteNotificationChannel((String) entry.getValue());
                    }
                    editor.remove(key);
                }
            }
            editor.commit();
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    private String validateChannelId(long dialogId, String name, long[] vibrationPattern, int ledColor, Uri sound, int importance, long[] configVibrationPattern, Uri configSound, int configImportance) {
        SharedPreferences preferences = getAccountInstance().getNotificationsSettings();
        String key = "im.uecahxyvjd.key" + dialogId;
        String channelId = preferences.getString(key, null);
        String settings = preferences.getString(key + "_s", null);
        StringBuilder newSettings = new StringBuilder();
        for (long j : vibrationPattern) {
            newSettings.append(j);
        }
        newSettings.append(ledColor);
        if (sound != null) {
            newSettings.append(sound.toString());
        }
        newSettings.append(importance);
        String newSettingsHash = Utilities.MD5(newSettings.toString());
        if (channelId != null && !settings.equals(newSettingsHash)) {
            if (0 != 0) {
                preferences.edit().putString(key, channelId).putString(key + "_s", newSettingsHash).commit();
            } else {
                systemNotificationManager.deleteNotificationChannel(channelId);
                channelId = null;
            }
        }
        if (channelId == null) {
            channelId = this.currentAccount + "channel" + dialogId + "_" + Utilities.random.nextLong();
            NotificationChannel notificationChannel = new NotificationChannel(channelId, name, importance);
            if (ledColor != 0) {
                notificationChannel.enableLights(true);
                notificationChannel.setLightColor(ledColor);
            }
            if (!isEmptyVibration(vibrationPattern)) {
                notificationChannel.enableVibration(true);
                if (vibrationPattern != null && vibrationPattern.length > 0) {
                    notificationChannel.setVibrationPattern(vibrationPattern);
                }
            } else {
                notificationChannel.enableVibration(false);
            }
            AudioAttributes.Builder builder = new AudioAttributes.Builder();
            builder.setContentType(4);
            builder.setUsage(5);
            if (sound != null) {
                notificationChannel.setSound(sound, builder.build());
            } else {
                notificationChannel.setSound(null, builder.build());
            }
            systemNotificationManager.createNotificationChannel(notificationChannel);
            preferences.edit().putString(key, channelId).putString(key + "_s", newSettingsHash).commit();
        }
        return channelId;
    }

    /* JADX WARN: Code restructure failed: missing block: B:432:0x097f, code lost:
        if (r9.length() <= 100) goto L379;
     */
    /* JADX WARN: Code restructure failed: missing block: B:433:0x0981, code lost:
        r51 = r3;
        r26 = r6;
        r9 = r9.substring(0, 100).replace('\n', ' ').trim() + "...";
     */
    /* JADX WARN: Removed duplicated region for block: B:175:0x03d0  */
    /* JADX WARN: Removed duplicated region for block: B:218:0x0449  */
    /* JADX WARN: Removed duplicated region for block: B:219:0x0456  */
    /* JADX WARN: Removed duplicated region for block: B:222:0x0492 A[Catch: Exception -> 0x0cbe, TryCatch #0 {Exception -> 0x0cbe, blocks: (B:66:0x0118, B:73:0x016e, B:75:0x0178, B:85:0x01df, B:87:0x021c, B:93:0x026f, B:98:0x0280, B:118:0x0313, B:120:0x032e, B:143:0x0370, B:172:0x03bd, B:195:0x0408, B:197:0x040e, B:199:0x0414, B:200:0x0417, B:192:0x0400, B:220:0x045c, B:222:0x0492, B:225:0x049d, B:227:0x04a5, B:228:0x04aa, B:230:0x04b1, B:233:0x04b7, B:235:0x04c0, B:239:0x04ca, B:241:0x04ce, B:243:0x04d4, B:245:0x04de, B:247:0x04e6, B:270:0x0550, B:274:0x056a, B:276:0x0570, B:281:0x058a, B:283:0x058d, B:285:0x0598, B:287:0x059f, B:293:0x05b7, B:296:0x05c4, B:298:0x05cc, B:301:0x05fa, B:303:0x0605, B:312:0x0671, B:315:0x06c2, B:317:0x06c6, B:319:0x06ce, B:321:0x06eb, B:324:0x0700, B:329:0x0728, B:335:0x077c, B:359:0x086f, B:361:0x0899, B:363:0x08a8, B:419:0x0959, B:425:0x096b, B:436:0x09b4, B:439:0x09c0, B:441:0x09ca, B:443:0x09d0, B:445:0x09d8, B:475:0x0a6f, B:479:0x0a80, B:487:0x0a95, B:507:0x0af3, B:509:0x0afb, B:511:0x0aff, B:513:0x0b0a, B:515:0x0b10, B:518:0x0b23, B:520:0x0b3f, B:522:0x0b4f, B:524:0x0b70, B:525:0x0b77, B:527:0x0bab, B:528:0x0bbf, B:534:0x0c16, B:536:0x0c1c, B:538:0x0c24, B:540:0x0c2a, B:541:0x0c51, B:498:0x0aaf, B:500:0x0abc, B:505:0x0ad1, B:446:0x09e0, B:447:0x09ea, B:449:0x09f2, B:450:0x09fe, B:452:0x0a04, B:454:0x0a0c, B:468:0x0a48, B:469:0x0a52, B:431:0x0979, B:433:0x0981, B:435:0x09b1, B:506:0x0ada, B:407:0x092b, B:412:0x093b, B:415:0x0949, B:330:0x0741, B:332:0x0748, B:333:0x0761, B:336:0x0798, B:338:0x07c1, B:340:0x07d9, B:357:0x0853, B:345:0x07ea, B:346:0x07f1, B:350:0x0800, B:351:0x0817, B:353:0x081c, B:354:0x0835, B:355:0x084d, B:358:0x085f, B:307:0x0610, B:310:0x061b, B:311:0x0637, B:299:0x05d9, B:292:0x05aa, B:279:0x057f, B:280:0x0584, B:250:0x04f7, B:252:0x04fb, B:254:0x0501, B:256:0x050b, B:258:0x0513, B:263:0x052e, B:265:0x0537, B:267:0x053d, B:169:0x03b5, B:97:0x0279, B:101:0x02a7, B:106:0x02b8, B:105:0x02b1, B:110:0x02de, B:115:0x02ef, B:114:0x02e8, B:76:0x0190, B:78:0x01a4, B:79:0x01b0, B:81:0x01b4, B:159:0x039d), top: B:561:0x0118, inners: #11 }] */
    /* JADX WARN: Removed duplicated region for block: B:263:0x052e A[Catch: Exception -> 0x0cbe, TryCatch #0 {Exception -> 0x0cbe, blocks: (B:66:0x0118, B:73:0x016e, B:75:0x0178, B:85:0x01df, B:87:0x021c, B:93:0x026f, B:98:0x0280, B:118:0x0313, B:120:0x032e, B:143:0x0370, B:172:0x03bd, B:195:0x0408, B:197:0x040e, B:199:0x0414, B:200:0x0417, B:192:0x0400, B:220:0x045c, B:222:0x0492, B:225:0x049d, B:227:0x04a5, B:228:0x04aa, B:230:0x04b1, B:233:0x04b7, B:235:0x04c0, B:239:0x04ca, B:241:0x04ce, B:243:0x04d4, B:245:0x04de, B:247:0x04e6, B:270:0x0550, B:274:0x056a, B:276:0x0570, B:281:0x058a, B:283:0x058d, B:285:0x0598, B:287:0x059f, B:293:0x05b7, B:296:0x05c4, B:298:0x05cc, B:301:0x05fa, B:303:0x0605, B:312:0x0671, B:315:0x06c2, B:317:0x06c6, B:319:0x06ce, B:321:0x06eb, B:324:0x0700, B:329:0x0728, B:335:0x077c, B:359:0x086f, B:361:0x0899, B:363:0x08a8, B:419:0x0959, B:425:0x096b, B:436:0x09b4, B:439:0x09c0, B:441:0x09ca, B:443:0x09d0, B:445:0x09d8, B:475:0x0a6f, B:479:0x0a80, B:487:0x0a95, B:507:0x0af3, B:509:0x0afb, B:511:0x0aff, B:513:0x0b0a, B:515:0x0b10, B:518:0x0b23, B:520:0x0b3f, B:522:0x0b4f, B:524:0x0b70, B:525:0x0b77, B:527:0x0bab, B:528:0x0bbf, B:534:0x0c16, B:536:0x0c1c, B:538:0x0c24, B:540:0x0c2a, B:541:0x0c51, B:498:0x0aaf, B:500:0x0abc, B:505:0x0ad1, B:446:0x09e0, B:447:0x09ea, B:449:0x09f2, B:450:0x09fe, B:452:0x0a04, B:454:0x0a0c, B:468:0x0a48, B:469:0x0a52, B:431:0x0979, B:433:0x0981, B:435:0x09b1, B:506:0x0ada, B:407:0x092b, B:412:0x093b, B:415:0x0949, B:330:0x0741, B:332:0x0748, B:333:0x0761, B:336:0x0798, B:338:0x07c1, B:340:0x07d9, B:357:0x0853, B:345:0x07ea, B:346:0x07f1, B:350:0x0800, B:351:0x0817, B:353:0x081c, B:354:0x0835, B:355:0x084d, B:358:0x085f, B:307:0x0610, B:310:0x061b, B:311:0x0637, B:299:0x05d9, B:292:0x05aa, B:279:0x057f, B:280:0x0584, B:250:0x04f7, B:252:0x04fb, B:254:0x0501, B:256:0x050b, B:258:0x0513, B:263:0x052e, B:265:0x0537, B:267:0x053d, B:169:0x03b5, B:97:0x0279, B:101:0x02a7, B:106:0x02b8, B:105:0x02b1, B:110:0x02de, B:115:0x02ef, B:114:0x02e8, B:76:0x0190, B:78:0x01a4, B:79:0x01b0, B:81:0x01b4, B:159:0x039d), top: B:561:0x0118, inners: #11 }] */
    /* JADX WARN: Removed duplicated region for block: B:272:0x0566 A[ADDED_TO_REGION] */
    /* JADX WARN: Removed duplicated region for block: B:279:0x057f A[Catch: Exception -> 0x0cbe, TryCatch #0 {Exception -> 0x0cbe, blocks: (B:66:0x0118, B:73:0x016e, B:75:0x0178, B:85:0x01df, B:87:0x021c, B:93:0x026f, B:98:0x0280, B:118:0x0313, B:120:0x032e, B:143:0x0370, B:172:0x03bd, B:195:0x0408, B:197:0x040e, B:199:0x0414, B:200:0x0417, B:192:0x0400, B:220:0x045c, B:222:0x0492, B:225:0x049d, B:227:0x04a5, B:228:0x04aa, B:230:0x04b1, B:233:0x04b7, B:235:0x04c0, B:239:0x04ca, B:241:0x04ce, B:243:0x04d4, B:245:0x04de, B:247:0x04e6, B:270:0x0550, B:274:0x056a, B:276:0x0570, B:281:0x058a, B:283:0x058d, B:285:0x0598, B:287:0x059f, B:293:0x05b7, B:296:0x05c4, B:298:0x05cc, B:301:0x05fa, B:303:0x0605, B:312:0x0671, B:315:0x06c2, B:317:0x06c6, B:319:0x06ce, B:321:0x06eb, B:324:0x0700, B:329:0x0728, B:335:0x077c, B:359:0x086f, B:361:0x0899, B:363:0x08a8, B:419:0x0959, B:425:0x096b, B:436:0x09b4, B:439:0x09c0, B:441:0x09ca, B:443:0x09d0, B:445:0x09d8, B:475:0x0a6f, B:479:0x0a80, B:487:0x0a95, B:507:0x0af3, B:509:0x0afb, B:511:0x0aff, B:513:0x0b0a, B:515:0x0b10, B:518:0x0b23, B:520:0x0b3f, B:522:0x0b4f, B:524:0x0b70, B:525:0x0b77, B:527:0x0bab, B:528:0x0bbf, B:534:0x0c16, B:536:0x0c1c, B:538:0x0c24, B:540:0x0c2a, B:541:0x0c51, B:498:0x0aaf, B:500:0x0abc, B:505:0x0ad1, B:446:0x09e0, B:447:0x09ea, B:449:0x09f2, B:450:0x09fe, B:452:0x0a04, B:454:0x0a0c, B:468:0x0a48, B:469:0x0a52, B:431:0x0979, B:433:0x0981, B:435:0x09b1, B:506:0x0ada, B:407:0x092b, B:412:0x093b, B:415:0x0949, B:330:0x0741, B:332:0x0748, B:333:0x0761, B:336:0x0798, B:338:0x07c1, B:340:0x07d9, B:357:0x0853, B:345:0x07ea, B:346:0x07f1, B:350:0x0800, B:351:0x0817, B:353:0x081c, B:354:0x0835, B:355:0x084d, B:358:0x085f, B:307:0x0610, B:310:0x061b, B:311:0x0637, B:299:0x05d9, B:292:0x05aa, B:279:0x057f, B:280:0x0584, B:250:0x04f7, B:252:0x04fb, B:254:0x0501, B:256:0x050b, B:258:0x0513, B:263:0x052e, B:265:0x0537, B:267:0x053d, B:169:0x03b5, B:97:0x0279, B:101:0x02a7, B:106:0x02b8, B:105:0x02b1, B:110:0x02de, B:115:0x02ef, B:114:0x02e8, B:76:0x0190, B:78:0x01a4, B:79:0x01b0, B:81:0x01b4, B:159:0x039d), top: B:561:0x0118, inners: #11 }] */
    /* JADX WARN: Removed duplicated region for block: B:280:0x0584 A[Catch: Exception -> 0x0cbe, TryCatch #0 {Exception -> 0x0cbe, blocks: (B:66:0x0118, B:73:0x016e, B:75:0x0178, B:85:0x01df, B:87:0x021c, B:93:0x026f, B:98:0x0280, B:118:0x0313, B:120:0x032e, B:143:0x0370, B:172:0x03bd, B:195:0x0408, B:197:0x040e, B:199:0x0414, B:200:0x0417, B:192:0x0400, B:220:0x045c, B:222:0x0492, B:225:0x049d, B:227:0x04a5, B:228:0x04aa, B:230:0x04b1, B:233:0x04b7, B:235:0x04c0, B:239:0x04ca, B:241:0x04ce, B:243:0x04d4, B:245:0x04de, B:247:0x04e6, B:270:0x0550, B:274:0x056a, B:276:0x0570, B:281:0x058a, B:283:0x058d, B:285:0x0598, B:287:0x059f, B:293:0x05b7, B:296:0x05c4, B:298:0x05cc, B:301:0x05fa, B:303:0x0605, B:312:0x0671, B:315:0x06c2, B:317:0x06c6, B:319:0x06ce, B:321:0x06eb, B:324:0x0700, B:329:0x0728, B:335:0x077c, B:359:0x086f, B:361:0x0899, B:363:0x08a8, B:419:0x0959, B:425:0x096b, B:436:0x09b4, B:439:0x09c0, B:441:0x09ca, B:443:0x09d0, B:445:0x09d8, B:475:0x0a6f, B:479:0x0a80, B:487:0x0a95, B:507:0x0af3, B:509:0x0afb, B:511:0x0aff, B:513:0x0b0a, B:515:0x0b10, B:518:0x0b23, B:520:0x0b3f, B:522:0x0b4f, B:524:0x0b70, B:525:0x0b77, B:527:0x0bab, B:528:0x0bbf, B:534:0x0c16, B:536:0x0c1c, B:538:0x0c24, B:540:0x0c2a, B:541:0x0c51, B:498:0x0aaf, B:500:0x0abc, B:505:0x0ad1, B:446:0x09e0, B:447:0x09ea, B:449:0x09f2, B:450:0x09fe, B:452:0x0a04, B:454:0x0a0c, B:468:0x0a48, B:469:0x0a52, B:431:0x0979, B:433:0x0981, B:435:0x09b1, B:506:0x0ada, B:407:0x092b, B:412:0x093b, B:415:0x0949, B:330:0x0741, B:332:0x0748, B:333:0x0761, B:336:0x0798, B:338:0x07c1, B:340:0x07d9, B:357:0x0853, B:345:0x07ea, B:346:0x07f1, B:350:0x0800, B:351:0x0817, B:353:0x081c, B:354:0x0835, B:355:0x084d, B:358:0x085f, B:307:0x0610, B:310:0x061b, B:311:0x0637, B:299:0x05d9, B:292:0x05aa, B:279:0x057f, B:280:0x0584, B:250:0x04f7, B:252:0x04fb, B:254:0x0501, B:256:0x050b, B:258:0x0513, B:263:0x052e, B:265:0x0537, B:267:0x053d, B:169:0x03b5, B:97:0x0279, B:101:0x02a7, B:106:0x02b8, B:105:0x02b1, B:110:0x02de, B:115:0x02ef, B:114:0x02e8, B:76:0x0190, B:78:0x01a4, B:79:0x01b0, B:81:0x01b4, B:159:0x039d), top: B:561:0x0118, inners: #11 }] */
    /* JADX WARN: Removed duplicated region for block: B:283:0x058d A[Catch: Exception -> 0x0cbe, TryCatch #0 {Exception -> 0x0cbe, blocks: (B:66:0x0118, B:73:0x016e, B:75:0x0178, B:85:0x01df, B:87:0x021c, B:93:0x026f, B:98:0x0280, B:118:0x0313, B:120:0x032e, B:143:0x0370, B:172:0x03bd, B:195:0x0408, B:197:0x040e, B:199:0x0414, B:200:0x0417, B:192:0x0400, B:220:0x045c, B:222:0x0492, B:225:0x049d, B:227:0x04a5, B:228:0x04aa, B:230:0x04b1, B:233:0x04b7, B:235:0x04c0, B:239:0x04ca, B:241:0x04ce, B:243:0x04d4, B:245:0x04de, B:247:0x04e6, B:270:0x0550, B:274:0x056a, B:276:0x0570, B:281:0x058a, B:283:0x058d, B:285:0x0598, B:287:0x059f, B:293:0x05b7, B:296:0x05c4, B:298:0x05cc, B:301:0x05fa, B:303:0x0605, B:312:0x0671, B:315:0x06c2, B:317:0x06c6, B:319:0x06ce, B:321:0x06eb, B:324:0x0700, B:329:0x0728, B:335:0x077c, B:359:0x086f, B:361:0x0899, B:363:0x08a8, B:419:0x0959, B:425:0x096b, B:436:0x09b4, B:439:0x09c0, B:441:0x09ca, B:443:0x09d0, B:445:0x09d8, B:475:0x0a6f, B:479:0x0a80, B:487:0x0a95, B:507:0x0af3, B:509:0x0afb, B:511:0x0aff, B:513:0x0b0a, B:515:0x0b10, B:518:0x0b23, B:520:0x0b3f, B:522:0x0b4f, B:524:0x0b70, B:525:0x0b77, B:527:0x0bab, B:528:0x0bbf, B:534:0x0c16, B:536:0x0c1c, B:538:0x0c24, B:540:0x0c2a, B:541:0x0c51, B:498:0x0aaf, B:500:0x0abc, B:505:0x0ad1, B:446:0x09e0, B:447:0x09ea, B:449:0x09f2, B:450:0x09fe, B:452:0x0a04, B:454:0x0a0c, B:468:0x0a48, B:469:0x0a52, B:431:0x0979, B:433:0x0981, B:435:0x09b1, B:506:0x0ada, B:407:0x092b, B:412:0x093b, B:415:0x0949, B:330:0x0741, B:332:0x0748, B:333:0x0761, B:336:0x0798, B:338:0x07c1, B:340:0x07d9, B:357:0x0853, B:345:0x07ea, B:346:0x07f1, B:350:0x0800, B:351:0x0817, B:353:0x081c, B:354:0x0835, B:355:0x084d, B:358:0x085f, B:307:0x0610, B:310:0x061b, B:311:0x0637, B:299:0x05d9, B:292:0x05aa, B:279:0x057f, B:280:0x0584, B:250:0x04f7, B:252:0x04fb, B:254:0x0501, B:256:0x050b, B:258:0x0513, B:263:0x052e, B:265:0x0537, B:267:0x053d, B:169:0x03b5, B:97:0x0279, B:101:0x02a7, B:106:0x02b8, B:105:0x02b1, B:110:0x02de, B:115:0x02ef, B:114:0x02e8, B:76:0x0190, B:78:0x01a4, B:79:0x01b0, B:81:0x01b4, B:159:0x039d), top: B:561:0x0118, inners: #11 }] */
    /* JADX WARN: Removed duplicated region for block: B:291:0x05a8  */
    /* JADX WARN: Removed duplicated region for block: B:296:0x05c4 A[Catch: Exception -> 0x0cbe, TRY_ENTER, TryCatch #0 {Exception -> 0x0cbe, blocks: (B:66:0x0118, B:73:0x016e, B:75:0x0178, B:85:0x01df, B:87:0x021c, B:93:0x026f, B:98:0x0280, B:118:0x0313, B:120:0x032e, B:143:0x0370, B:172:0x03bd, B:195:0x0408, B:197:0x040e, B:199:0x0414, B:200:0x0417, B:192:0x0400, B:220:0x045c, B:222:0x0492, B:225:0x049d, B:227:0x04a5, B:228:0x04aa, B:230:0x04b1, B:233:0x04b7, B:235:0x04c0, B:239:0x04ca, B:241:0x04ce, B:243:0x04d4, B:245:0x04de, B:247:0x04e6, B:270:0x0550, B:274:0x056a, B:276:0x0570, B:281:0x058a, B:283:0x058d, B:285:0x0598, B:287:0x059f, B:293:0x05b7, B:296:0x05c4, B:298:0x05cc, B:301:0x05fa, B:303:0x0605, B:312:0x0671, B:315:0x06c2, B:317:0x06c6, B:319:0x06ce, B:321:0x06eb, B:324:0x0700, B:329:0x0728, B:335:0x077c, B:359:0x086f, B:361:0x0899, B:363:0x08a8, B:419:0x0959, B:425:0x096b, B:436:0x09b4, B:439:0x09c0, B:441:0x09ca, B:443:0x09d0, B:445:0x09d8, B:475:0x0a6f, B:479:0x0a80, B:487:0x0a95, B:507:0x0af3, B:509:0x0afb, B:511:0x0aff, B:513:0x0b0a, B:515:0x0b10, B:518:0x0b23, B:520:0x0b3f, B:522:0x0b4f, B:524:0x0b70, B:525:0x0b77, B:527:0x0bab, B:528:0x0bbf, B:534:0x0c16, B:536:0x0c1c, B:538:0x0c24, B:540:0x0c2a, B:541:0x0c51, B:498:0x0aaf, B:500:0x0abc, B:505:0x0ad1, B:446:0x09e0, B:447:0x09ea, B:449:0x09f2, B:450:0x09fe, B:452:0x0a04, B:454:0x0a0c, B:468:0x0a48, B:469:0x0a52, B:431:0x0979, B:433:0x0981, B:435:0x09b1, B:506:0x0ada, B:407:0x092b, B:412:0x093b, B:415:0x0949, B:330:0x0741, B:332:0x0748, B:333:0x0761, B:336:0x0798, B:338:0x07c1, B:340:0x07d9, B:357:0x0853, B:345:0x07ea, B:346:0x07f1, B:350:0x0800, B:351:0x0817, B:353:0x081c, B:354:0x0835, B:355:0x084d, B:358:0x085f, B:307:0x0610, B:310:0x061b, B:311:0x0637, B:299:0x05d9, B:292:0x05aa, B:279:0x057f, B:280:0x0584, B:250:0x04f7, B:252:0x04fb, B:254:0x0501, B:256:0x050b, B:258:0x0513, B:263:0x052e, B:265:0x0537, B:267:0x053d, B:169:0x03b5, B:97:0x0279, B:101:0x02a7, B:106:0x02b8, B:105:0x02b1, B:110:0x02de, B:115:0x02ef, B:114:0x02e8, B:76:0x0190, B:78:0x01a4, B:79:0x01b0, B:81:0x01b4, B:159:0x039d), top: B:561:0x0118, inners: #11 }] */
    /* JADX WARN: Removed duplicated region for block: B:300:0x05f9  */
    /* JADX WARN: Removed duplicated region for block: B:303:0x0605 A[Catch: Exception -> 0x0cbe, TryCatch #0 {Exception -> 0x0cbe, blocks: (B:66:0x0118, B:73:0x016e, B:75:0x0178, B:85:0x01df, B:87:0x021c, B:93:0x026f, B:98:0x0280, B:118:0x0313, B:120:0x032e, B:143:0x0370, B:172:0x03bd, B:195:0x0408, B:197:0x040e, B:199:0x0414, B:200:0x0417, B:192:0x0400, B:220:0x045c, B:222:0x0492, B:225:0x049d, B:227:0x04a5, B:228:0x04aa, B:230:0x04b1, B:233:0x04b7, B:235:0x04c0, B:239:0x04ca, B:241:0x04ce, B:243:0x04d4, B:245:0x04de, B:247:0x04e6, B:270:0x0550, B:274:0x056a, B:276:0x0570, B:281:0x058a, B:283:0x058d, B:285:0x0598, B:287:0x059f, B:293:0x05b7, B:296:0x05c4, B:298:0x05cc, B:301:0x05fa, B:303:0x0605, B:312:0x0671, B:315:0x06c2, B:317:0x06c6, B:319:0x06ce, B:321:0x06eb, B:324:0x0700, B:329:0x0728, B:335:0x077c, B:359:0x086f, B:361:0x0899, B:363:0x08a8, B:419:0x0959, B:425:0x096b, B:436:0x09b4, B:439:0x09c0, B:441:0x09ca, B:443:0x09d0, B:445:0x09d8, B:475:0x0a6f, B:479:0x0a80, B:487:0x0a95, B:507:0x0af3, B:509:0x0afb, B:511:0x0aff, B:513:0x0b0a, B:515:0x0b10, B:518:0x0b23, B:520:0x0b3f, B:522:0x0b4f, B:524:0x0b70, B:525:0x0b77, B:527:0x0bab, B:528:0x0bbf, B:534:0x0c16, B:536:0x0c1c, B:538:0x0c24, B:540:0x0c2a, B:541:0x0c51, B:498:0x0aaf, B:500:0x0abc, B:505:0x0ad1, B:446:0x09e0, B:447:0x09ea, B:449:0x09f2, B:450:0x09fe, B:452:0x0a04, B:454:0x0a0c, B:468:0x0a48, B:469:0x0a52, B:431:0x0979, B:433:0x0981, B:435:0x09b1, B:506:0x0ada, B:407:0x092b, B:412:0x093b, B:415:0x0949, B:330:0x0741, B:332:0x0748, B:333:0x0761, B:336:0x0798, B:338:0x07c1, B:340:0x07d9, B:357:0x0853, B:345:0x07ea, B:346:0x07f1, B:350:0x0800, B:351:0x0817, B:353:0x081c, B:354:0x0835, B:355:0x084d, B:358:0x085f, B:307:0x0610, B:310:0x061b, B:311:0x0637, B:299:0x05d9, B:292:0x05aa, B:279:0x057f, B:280:0x0584, B:250:0x04f7, B:252:0x04fb, B:254:0x0501, B:256:0x050b, B:258:0x0513, B:263:0x052e, B:265:0x0537, B:267:0x053d, B:169:0x03b5, B:97:0x0279, B:101:0x02a7, B:106:0x02b8, B:105:0x02b1, B:110:0x02de, B:115:0x02ef, B:114:0x02e8, B:76:0x0190, B:78:0x01a4, B:79:0x01b0, B:81:0x01b4, B:159:0x039d), top: B:561:0x0118, inners: #11 }] */
    /* JADX WARN: Removed duplicated region for block: B:310:0x061b A[Catch: Exception -> 0x0cbe, TRY_ENTER, TryCatch #0 {Exception -> 0x0cbe, blocks: (B:66:0x0118, B:73:0x016e, B:75:0x0178, B:85:0x01df, B:87:0x021c, B:93:0x026f, B:98:0x0280, B:118:0x0313, B:120:0x032e, B:143:0x0370, B:172:0x03bd, B:195:0x0408, B:197:0x040e, B:199:0x0414, B:200:0x0417, B:192:0x0400, B:220:0x045c, B:222:0x0492, B:225:0x049d, B:227:0x04a5, B:228:0x04aa, B:230:0x04b1, B:233:0x04b7, B:235:0x04c0, B:239:0x04ca, B:241:0x04ce, B:243:0x04d4, B:245:0x04de, B:247:0x04e6, B:270:0x0550, B:274:0x056a, B:276:0x0570, B:281:0x058a, B:283:0x058d, B:285:0x0598, B:287:0x059f, B:293:0x05b7, B:296:0x05c4, B:298:0x05cc, B:301:0x05fa, B:303:0x0605, B:312:0x0671, B:315:0x06c2, B:317:0x06c6, B:319:0x06ce, B:321:0x06eb, B:324:0x0700, B:329:0x0728, B:335:0x077c, B:359:0x086f, B:361:0x0899, B:363:0x08a8, B:419:0x0959, B:425:0x096b, B:436:0x09b4, B:439:0x09c0, B:441:0x09ca, B:443:0x09d0, B:445:0x09d8, B:475:0x0a6f, B:479:0x0a80, B:487:0x0a95, B:507:0x0af3, B:509:0x0afb, B:511:0x0aff, B:513:0x0b0a, B:515:0x0b10, B:518:0x0b23, B:520:0x0b3f, B:522:0x0b4f, B:524:0x0b70, B:525:0x0b77, B:527:0x0bab, B:528:0x0bbf, B:534:0x0c16, B:536:0x0c1c, B:538:0x0c24, B:540:0x0c2a, B:541:0x0c51, B:498:0x0aaf, B:500:0x0abc, B:505:0x0ad1, B:446:0x09e0, B:447:0x09ea, B:449:0x09f2, B:450:0x09fe, B:452:0x0a04, B:454:0x0a0c, B:468:0x0a48, B:469:0x0a52, B:431:0x0979, B:433:0x0981, B:435:0x09b1, B:506:0x0ada, B:407:0x092b, B:412:0x093b, B:415:0x0949, B:330:0x0741, B:332:0x0748, B:333:0x0761, B:336:0x0798, B:338:0x07c1, B:340:0x07d9, B:357:0x0853, B:345:0x07ea, B:346:0x07f1, B:350:0x0800, B:351:0x0817, B:353:0x081c, B:354:0x0835, B:355:0x084d, B:358:0x085f, B:307:0x0610, B:310:0x061b, B:311:0x0637, B:299:0x05d9, B:292:0x05aa, B:279:0x057f, B:280:0x0584, B:250:0x04f7, B:252:0x04fb, B:254:0x0501, B:256:0x050b, B:258:0x0513, B:263:0x052e, B:265:0x0537, B:267:0x053d, B:169:0x03b5, B:97:0x0279, B:101:0x02a7, B:106:0x02b8, B:105:0x02b1, B:110:0x02de, B:115:0x02ef, B:114:0x02e8, B:76:0x0190, B:78:0x01a4, B:79:0x01b0, B:81:0x01b4, B:159:0x039d), top: B:561:0x0118, inners: #11 }] */
    /* JADX WARN: Removed duplicated region for block: B:311:0x0637 A[Catch: Exception -> 0x0cbe, TryCatch #0 {Exception -> 0x0cbe, blocks: (B:66:0x0118, B:73:0x016e, B:75:0x0178, B:85:0x01df, B:87:0x021c, B:93:0x026f, B:98:0x0280, B:118:0x0313, B:120:0x032e, B:143:0x0370, B:172:0x03bd, B:195:0x0408, B:197:0x040e, B:199:0x0414, B:200:0x0417, B:192:0x0400, B:220:0x045c, B:222:0x0492, B:225:0x049d, B:227:0x04a5, B:228:0x04aa, B:230:0x04b1, B:233:0x04b7, B:235:0x04c0, B:239:0x04ca, B:241:0x04ce, B:243:0x04d4, B:245:0x04de, B:247:0x04e6, B:270:0x0550, B:274:0x056a, B:276:0x0570, B:281:0x058a, B:283:0x058d, B:285:0x0598, B:287:0x059f, B:293:0x05b7, B:296:0x05c4, B:298:0x05cc, B:301:0x05fa, B:303:0x0605, B:312:0x0671, B:315:0x06c2, B:317:0x06c6, B:319:0x06ce, B:321:0x06eb, B:324:0x0700, B:329:0x0728, B:335:0x077c, B:359:0x086f, B:361:0x0899, B:363:0x08a8, B:419:0x0959, B:425:0x096b, B:436:0x09b4, B:439:0x09c0, B:441:0x09ca, B:443:0x09d0, B:445:0x09d8, B:475:0x0a6f, B:479:0x0a80, B:487:0x0a95, B:507:0x0af3, B:509:0x0afb, B:511:0x0aff, B:513:0x0b0a, B:515:0x0b10, B:518:0x0b23, B:520:0x0b3f, B:522:0x0b4f, B:524:0x0b70, B:525:0x0b77, B:527:0x0bab, B:528:0x0bbf, B:534:0x0c16, B:536:0x0c1c, B:538:0x0c24, B:540:0x0c2a, B:541:0x0c51, B:498:0x0aaf, B:500:0x0abc, B:505:0x0ad1, B:446:0x09e0, B:447:0x09ea, B:449:0x09f2, B:450:0x09fe, B:452:0x0a04, B:454:0x0a0c, B:468:0x0a48, B:469:0x0a52, B:431:0x0979, B:433:0x0981, B:435:0x09b1, B:506:0x0ada, B:407:0x092b, B:412:0x093b, B:415:0x0949, B:330:0x0741, B:332:0x0748, B:333:0x0761, B:336:0x0798, B:338:0x07c1, B:340:0x07d9, B:357:0x0853, B:345:0x07ea, B:346:0x07f1, B:350:0x0800, B:351:0x0817, B:353:0x081c, B:354:0x0835, B:355:0x084d, B:358:0x085f, B:307:0x0610, B:310:0x061b, B:311:0x0637, B:299:0x05d9, B:292:0x05aa, B:279:0x057f, B:280:0x0584, B:250:0x04f7, B:252:0x04fb, B:254:0x0501, B:256:0x050b, B:258:0x0513, B:263:0x052e, B:265:0x0537, B:267:0x053d, B:169:0x03b5, B:97:0x0279, B:101:0x02a7, B:106:0x02b8, B:105:0x02b1, B:110:0x02de, B:115:0x02ef, B:114:0x02e8, B:76:0x0190, B:78:0x01a4, B:79:0x01b0, B:81:0x01b4, B:159:0x039d), top: B:561:0x0118, inners: #11 }] */
    /* JADX WARN: Removed duplicated region for block: B:314:0x06c0 A[ADDED_TO_REGION] */
    /* JADX WARN: Removed duplicated region for block: B:324:0x0700 A[Catch: Exception -> 0x0cbe, TRY_ENTER, TryCatch #0 {Exception -> 0x0cbe, blocks: (B:66:0x0118, B:73:0x016e, B:75:0x0178, B:85:0x01df, B:87:0x021c, B:93:0x026f, B:98:0x0280, B:118:0x0313, B:120:0x032e, B:143:0x0370, B:172:0x03bd, B:195:0x0408, B:197:0x040e, B:199:0x0414, B:200:0x0417, B:192:0x0400, B:220:0x045c, B:222:0x0492, B:225:0x049d, B:227:0x04a5, B:228:0x04aa, B:230:0x04b1, B:233:0x04b7, B:235:0x04c0, B:239:0x04ca, B:241:0x04ce, B:243:0x04d4, B:245:0x04de, B:247:0x04e6, B:270:0x0550, B:274:0x056a, B:276:0x0570, B:281:0x058a, B:283:0x058d, B:285:0x0598, B:287:0x059f, B:293:0x05b7, B:296:0x05c4, B:298:0x05cc, B:301:0x05fa, B:303:0x0605, B:312:0x0671, B:315:0x06c2, B:317:0x06c6, B:319:0x06ce, B:321:0x06eb, B:324:0x0700, B:329:0x0728, B:335:0x077c, B:359:0x086f, B:361:0x0899, B:363:0x08a8, B:419:0x0959, B:425:0x096b, B:436:0x09b4, B:439:0x09c0, B:441:0x09ca, B:443:0x09d0, B:445:0x09d8, B:475:0x0a6f, B:479:0x0a80, B:487:0x0a95, B:507:0x0af3, B:509:0x0afb, B:511:0x0aff, B:513:0x0b0a, B:515:0x0b10, B:518:0x0b23, B:520:0x0b3f, B:522:0x0b4f, B:524:0x0b70, B:525:0x0b77, B:527:0x0bab, B:528:0x0bbf, B:534:0x0c16, B:536:0x0c1c, B:538:0x0c24, B:540:0x0c2a, B:541:0x0c51, B:498:0x0aaf, B:500:0x0abc, B:505:0x0ad1, B:446:0x09e0, B:447:0x09ea, B:449:0x09f2, B:450:0x09fe, B:452:0x0a04, B:454:0x0a0c, B:468:0x0a48, B:469:0x0a52, B:431:0x0979, B:433:0x0981, B:435:0x09b1, B:506:0x0ada, B:407:0x092b, B:412:0x093b, B:415:0x0949, B:330:0x0741, B:332:0x0748, B:333:0x0761, B:336:0x0798, B:338:0x07c1, B:340:0x07d9, B:357:0x0853, B:345:0x07ea, B:346:0x07f1, B:350:0x0800, B:351:0x0817, B:353:0x081c, B:354:0x0835, B:355:0x084d, B:358:0x085f, B:307:0x0610, B:310:0x061b, B:311:0x0637, B:299:0x05d9, B:292:0x05aa, B:279:0x057f, B:280:0x0584, B:250:0x04f7, B:252:0x04fb, B:254:0x0501, B:256:0x050b, B:258:0x0513, B:263:0x052e, B:265:0x0537, B:267:0x053d, B:169:0x03b5, B:97:0x0279, B:101:0x02a7, B:106:0x02b8, B:105:0x02b1, B:110:0x02de, B:115:0x02ef, B:114:0x02e8, B:76:0x0190, B:78:0x01a4, B:79:0x01b0, B:81:0x01b4, B:159:0x039d), top: B:561:0x0118, inners: #11 }] */
    /* JADX WARN: Removed duplicated region for block: B:336:0x0798 A[Catch: Exception -> 0x0cbe, TryCatch #0 {Exception -> 0x0cbe, blocks: (B:66:0x0118, B:73:0x016e, B:75:0x0178, B:85:0x01df, B:87:0x021c, B:93:0x026f, B:98:0x0280, B:118:0x0313, B:120:0x032e, B:143:0x0370, B:172:0x03bd, B:195:0x0408, B:197:0x040e, B:199:0x0414, B:200:0x0417, B:192:0x0400, B:220:0x045c, B:222:0x0492, B:225:0x049d, B:227:0x04a5, B:228:0x04aa, B:230:0x04b1, B:233:0x04b7, B:235:0x04c0, B:239:0x04ca, B:241:0x04ce, B:243:0x04d4, B:245:0x04de, B:247:0x04e6, B:270:0x0550, B:274:0x056a, B:276:0x0570, B:281:0x058a, B:283:0x058d, B:285:0x0598, B:287:0x059f, B:293:0x05b7, B:296:0x05c4, B:298:0x05cc, B:301:0x05fa, B:303:0x0605, B:312:0x0671, B:315:0x06c2, B:317:0x06c6, B:319:0x06ce, B:321:0x06eb, B:324:0x0700, B:329:0x0728, B:335:0x077c, B:359:0x086f, B:361:0x0899, B:363:0x08a8, B:419:0x0959, B:425:0x096b, B:436:0x09b4, B:439:0x09c0, B:441:0x09ca, B:443:0x09d0, B:445:0x09d8, B:475:0x0a6f, B:479:0x0a80, B:487:0x0a95, B:507:0x0af3, B:509:0x0afb, B:511:0x0aff, B:513:0x0b0a, B:515:0x0b10, B:518:0x0b23, B:520:0x0b3f, B:522:0x0b4f, B:524:0x0b70, B:525:0x0b77, B:527:0x0bab, B:528:0x0bbf, B:534:0x0c16, B:536:0x0c1c, B:538:0x0c24, B:540:0x0c2a, B:541:0x0c51, B:498:0x0aaf, B:500:0x0abc, B:505:0x0ad1, B:446:0x09e0, B:447:0x09ea, B:449:0x09f2, B:450:0x09fe, B:452:0x0a04, B:454:0x0a0c, B:468:0x0a48, B:469:0x0a52, B:431:0x0979, B:433:0x0981, B:435:0x09b1, B:506:0x0ada, B:407:0x092b, B:412:0x093b, B:415:0x0949, B:330:0x0741, B:332:0x0748, B:333:0x0761, B:336:0x0798, B:338:0x07c1, B:340:0x07d9, B:357:0x0853, B:345:0x07ea, B:346:0x07f1, B:350:0x0800, B:351:0x0817, B:353:0x081c, B:354:0x0835, B:355:0x084d, B:358:0x085f, B:307:0x0610, B:310:0x061b, B:311:0x0637, B:299:0x05d9, B:292:0x05aa, B:279:0x057f, B:280:0x0584, B:250:0x04f7, B:252:0x04fb, B:254:0x0501, B:256:0x050b, B:258:0x0513, B:263:0x052e, B:265:0x0537, B:267:0x053d, B:169:0x03b5, B:97:0x0279, B:101:0x02a7, B:106:0x02b8, B:105:0x02b1, B:110:0x02de, B:115:0x02ef, B:114:0x02e8, B:76:0x0190, B:78:0x01a4, B:79:0x01b0, B:81:0x01b4, B:159:0x039d), top: B:561:0x0118, inners: #11 }] */
    /* JADX WARN: Removed duplicated region for block: B:361:0x0899 A[Catch: Exception -> 0x0cbe, TryCatch #0 {Exception -> 0x0cbe, blocks: (B:66:0x0118, B:73:0x016e, B:75:0x0178, B:85:0x01df, B:87:0x021c, B:93:0x026f, B:98:0x0280, B:118:0x0313, B:120:0x032e, B:143:0x0370, B:172:0x03bd, B:195:0x0408, B:197:0x040e, B:199:0x0414, B:200:0x0417, B:192:0x0400, B:220:0x045c, B:222:0x0492, B:225:0x049d, B:227:0x04a5, B:228:0x04aa, B:230:0x04b1, B:233:0x04b7, B:235:0x04c0, B:239:0x04ca, B:241:0x04ce, B:243:0x04d4, B:245:0x04de, B:247:0x04e6, B:270:0x0550, B:274:0x056a, B:276:0x0570, B:281:0x058a, B:283:0x058d, B:285:0x0598, B:287:0x059f, B:293:0x05b7, B:296:0x05c4, B:298:0x05cc, B:301:0x05fa, B:303:0x0605, B:312:0x0671, B:315:0x06c2, B:317:0x06c6, B:319:0x06ce, B:321:0x06eb, B:324:0x0700, B:329:0x0728, B:335:0x077c, B:359:0x086f, B:361:0x0899, B:363:0x08a8, B:419:0x0959, B:425:0x096b, B:436:0x09b4, B:439:0x09c0, B:441:0x09ca, B:443:0x09d0, B:445:0x09d8, B:475:0x0a6f, B:479:0x0a80, B:487:0x0a95, B:507:0x0af3, B:509:0x0afb, B:511:0x0aff, B:513:0x0b0a, B:515:0x0b10, B:518:0x0b23, B:520:0x0b3f, B:522:0x0b4f, B:524:0x0b70, B:525:0x0b77, B:527:0x0bab, B:528:0x0bbf, B:534:0x0c16, B:536:0x0c1c, B:538:0x0c24, B:540:0x0c2a, B:541:0x0c51, B:498:0x0aaf, B:500:0x0abc, B:505:0x0ad1, B:446:0x09e0, B:447:0x09ea, B:449:0x09f2, B:450:0x09fe, B:452:0x0a04, B:454:0x0a0c, B:468:0x0a48, B:469:0x0a52, B:431:0x0979, B:433:0x0981, B:435:0x09b1, B:506:0x0ada, B:407:0x092b, B:412:0x093b, B:415:0x0949, B:330:0x0741, B:332:0x0748, B:333:0x0761, B:336:0x0798, B:338:0x07c1, B:340:0x07d9, B:357:0x0853, B:345:0x07ea, B:346:0x07f1, B:350:0x0800, B:351:0x0817, B:353:0x081c, B:354:0x0835, B:355:0x084d, B:358:0x085f, B:307:0x0610, B:310:0x061b, B:311:0x0637, B:299:0x05d9, B:292:0x05aa, B:279:0x057f, B:280:0x0584, B:250:0x04f7, B:252:0x04fb, B:254:0x0501, B:256:0x050b, B:258:0x0513, B:263:0x052e, B:265:0x0537, B:267:0x053d, B:169:0x03b5, B:97:0x0279, B:101:0x02a7, B:106:0x02b8, B:105:0x02b1, B:110:0x02de, B:115:0x02ef, B:114:0x02e8, B:76:0x0190, B:78:0x01a4, B:79:0x01b0, B:81:0x01b4, B:159:0x039d), top: B:561:0x0118, inners: #11 }] */
    /* JADX WARN: Removed duplicated region for block: B:384:0x08f8  */
    /* JADX WARN: Removed duplicated region for block: B:387:0x08fe  */
    /* JADX WARN: Removed duplicated region for block: B:418:0x0957  */
    /* JADX WARN: Removed duplicated region for block: B:421:0x0963  */
    /* JADX WARN: Removed duplicated region for block: B:424:0x0969 A[ADDED_TO_REGION] */
    /* JADX WARN: Removed duplicated region for block: B:438:0x09be  */
    /* JADX WARN: Removed duplicated region for block: B:472:0x0a67  */
    /* JADX WARN: Removed duplicated region for block: B:475:0x0a6f A[Catch: Exception -> 0x0cbe, TryCatch #0 {Exception -> 0x0cbe, blocks: (B:66:0x0118, B:73:0x016e, B:75:0x0178, B:85:0x01df, B:87:0x021c, B:93:0x026f, B:98:0x0280, B:118:0x0313, B:120:0x032e, B:143:0x0370, B:172:0x03bd, B:195:0x0408, B:197:0x040e, B:199:0x0414, B:200:0x0417, B:192:0x0400, B:220:0x045c, B:222:0x0492, B:225:0x049d, B:227:0x04a5, B:228:0x04aa, B:230:0x04b1, B:233:0x04b7, B:235:0x04c0, B:239:0x04ca, B:241:0x04ce, B:243:0x04d4, B:245:0x04de, B:247:0x04e6, B:270:0x0550, B:274:0x056a, B:276:0x0570, B:281:0x058a, B:283:0x058d, B:285:0x0598, B:287:0x059f, B:293:0x05b7, B:296:0x05c4, B:298:0x05cc, B:301:0x05fa, B:303:0x0605, B:312:0x0671, B:315:0x06c2, B:317:0x06c6, B:319:0x06ce, B:321:0x06eb, B:324:0x0700, B:329:0x0728, B:335:0x077c, B:359:0x086f, B:361:0x0899, B:363:0x08a8, B:419:0x0959, B:425:0x096b, B:436:0x09b4, B:439:0x09c0, B:441:0x09ca, B:443:0x09d0, B:445:0x09d8, B:475:0x0a6f, B:479:0x0a80, B:487:0x0a95, B:507:0x0af3, B:509:0x0afb, B:511:0x0aff, B:513:0x0b0a, B:515:0x0b10, B:518:0x0b23, B:520:0x0b3f, B:522:0x0b4f, B:524:0x0b70, B:525:0x0b77, B:527:0x0bab, B:528:0x0bbf, B:534:0x0c16, B:536:0x0c1c, B:538:0x0c24, B:540:0x0c2a, B:541:0x0c51, B:498:0x0aaf, B:500:0x0abc, B:505:0x0ad1, B:446:0x09e0, B:447:0x09ea, B:449:0x09f2, B:450:0x09fe, B:452:0x0a04, B:454:0x0a0c, B:468:0x0a48, B:469:0x0a52, B:431:0x0979, B:433:0x0981, B:435:0x09b1, B:506:0x0ada, B:407:0x092b, B:412:0x093b, B:415:0x0949, B:330:0x0741, B:332:0x0748, B:333:0x0761, B:336:0x0798, B:338:0x07c1, B:340:0x07d9, B:357:0x0853, B:345:0x07ea, B:346:0x07f1, B:350:0x0800, B:351:0x0817, B:353:0x081c, B:354:0x0835, B:355:0x084d, B:358:0x085f, B:307:0x0610, B:310:0x061b, B:311:0x0637, B:299:0x05d9, B:292:0x05aa, B:279:0x057f, B:280:0x0584, B:250:0x04f7, B:252:0x04fb, B:254:0x0501, B:256:0x050b, B:258:0x0513, B:263:0x052e, B:265:0x0537, B:267:0x053d, B:169:0x03b5, B:97:0x0279, B:101:0x02a7, B:106:0x02b8, B:105:0x02b1, B:110:0x02de, B:115:0x02ef, B:114:0x02e8, B:76:0x0190, B:78:0x01a4, B:79:0x01b0, B:81:0x01b4, B:159:0x039d), top: B:561:0x0118, inners: #11 }] */
    /* JADX WARN: Removed duplicated region for block: B:476:0x0a79  */
    /* JADX WARN: Removed duplicated region for block: B:479:0x0a80 A[Catch: Exception -> 0x0cbe, TRY_LEAVE, TryCatch #0 {Exception -> 0x0cbe, blocks: (B:66:0x0118, B:73:0x016e, B:75:0x0178, B:85:0x01df, B:87:0x021c, B:93:0x026f, B:98:0x0280, B:118:0x0313, B:120:0x032e, B:143:0x0370, B:172:0x03bd, B:195:0x0408, B:197:0x040e, B:199:0x0414, B:200:0x0417, B:192:0x0400, B:220:0x045c, B:222:0x0492, B:225:0x049d, B:227:0x04a5, B:228:0x04aa, B:230:0x04b1, B:233:0x04b7, B:235:0x04c0, B:239:0x04ca, B:241:0x04ce, B:243:0x04d4, B:245:0x04de, B:247:0x04e6, B:270:0x0550, B:274:0x056a, B:276:0x0570, B:281:0x058a, B:283:0x058d, B:285:0x0598, B:287:0x059f, B:293:0x05b7, B:296:0x05c4, B:298:0x05cc, B:301:0x05fa, B:303:0x0605, B:312:0x0671, B:315:0x06c2, B:317:0x06c6, B:319:0x06ce, B:321:0x06eb, B:324:0x0700, B:329:0x0728, B:335:0x077c, B:359:0x086f, B:361:0x0899, B:363:0x08a8, B:419:0x0959, B:425:0x096b, B:436:0x09b4, B:439:0x09c0, B:441:0x09ca, B:443:0x09d0, B:445:0x09d8, B:475:0x0a6f, B:479:0x0a80, B:487:0x0a95, B:507:0x0af3, B:509:0x0afb, B:511:0x0aff, B:513:0x0b0a, B:515:0x0b10, B:518:0x0b23, B:520:0x0b3f, B:522:0x0b4f, B:524:0x0b70, B:525:0x0b77, B:527:0x0bab, B:528:0x0bbf, B:534:0x0c16, B:536:0x0c1c, B:538:0x0c24, B:540:0x0c2a, B:541:0x0c51, B:498:0x0aaf, B:500:0x0abc, B:505:0x0ad1, B:446:0x09e0, B:447:0x09ea, B:449:0x09f2, B:450:0x09fe, B:452:0x0a04, B:454:0x0a0c, B:468:0x0a48, B:469:0x0a52, B:431:0x0979, B:433:0x0981, B:435:0x09b1, B:506:0x0ada, B:407:0x092b, B:412:0x093b, B:415:0x0949, B:330:0x0741, B:332:0x0748, B:333:0x0761, B:336:0x0798, B:338:0x07c1, B:340:0x07d9, B:357:0x0853, B:345:0x07ea, B:346:0x07f1, B:350:0x0800, B:351:0x0817, B:353:0x081c, B:354:0x0835, B:355:0x084d, B:358:0x085f, B:307:0x0610, B:310:0x061b, B:311:0x0637, B:299:0x05d9, B:292:0x05aa, B:279:0x057f, B:280:0x0584, B:250:0x04f7, B:252:0x04fb, B:254:0x0501, B:256:0x050b, B:258:0x0513, B:263:0x052e, B:265:0x0537, B:267:0x053d, B:169:0x03b5, B:97:0x0279, B:101:0x02a7, B:106:0x02b8, B:105:0x02b1, B:110:0x02de, B:115:0x02ef, B:114:0x02e8, B:76:0x0190, B:78:0x01a4, B:79:0x01b0, B:81:0x01b4, B:159:0x039d), top: B:561:0x0118, inners: #11 }] */
    /* JADX WARN: Removed duplicated region for block: B:509:0x0afb A[Catch: Exception -> 0x0cbe, TryCatch #0 {Exception -> 0x0cbe, blocks: (B:66:0x0118, B:73:0x016e, B:75:0x0178, B:85:0x01df, B:87:0x021c, B:93:0x026f, B:98:0x0280, B:118:0x0313, B:120:0x032e, B:143:0x0370, B:172:0x03bd, B:195:0x0408, B:197:0x040e, B:199:0x0414, B:200:0x0417, B:192:0x0400, B:220:0x045c, B:222:0x0492, B:225:0x049d, B:227:0x04a5, B:228:0x04aa, B:230:0x04b1, B:233:0x04b7, B:235:0x04c0, B:239:0x04ca, B:241:0x04ce, B:243:0x04d4, B:245:0x04de, B:247:0x04e6, B:270:0x0550, B:274:0x056a, B:276:0x0570, B:281:0x058a, B:283:0x058d, B:285:0x0598, B:287:0x059f, B:293:0x05b7, B:296:0x05c4, B:298:0x05cc, B:301:0x05fa, B:303:0x0605, B:312:0x0671, B:315:0x06c2, B:317:0x06c6, B:319:0x06ce, B:321:0x06eb, B:324:0x0700, B:329:0x0728, B:335:0x077c, B:359:0x086f, B:361:0x0899, B:363:0x08a8, B:419:0x0959, B:425:0x096b, B:436:0x09b4, B:439:0x09c0, B:441:0x09ca, B:443:0x09d0, B:445:0x09d8, B:475:0x0a6f, B:479:0x0a80, B:487:0x0a95, B:507:0x0af3, B:509:0x0afb, B:511:0x0aff, B:513:0x0b0a, B:515:0x0b10, B:518:0x0b23, B:520:0x0b3f, B:522:0x0b4f, B:524:0x0b70, B:525:0x0b77, B:527:0x0bab, B:528:0x0bbf, B:534:0x0c16, B:536:0x0c1c, B:538:0x0c24, B:540:0x0c2a, B:541:0x0c51, B:498:0x0aaf, B:500:0x0abc, B:505:0x0ad1, B:446:0x09e0, B:447:0x09ea, B:449:0x09f2, B:450:0x09fe, B:452:0x0a04, B:454:0x0a0c, B:468:0x0a48, B:469:0x0a52, B:431:0x0979, B:433:0x0981, B:435:0x09b1, B:506:0x0ada, B:407:0x092b, B:412:0x093b, B:415:0x0949, B:330:0x0741, B:332:0x0748, B:333:0x0761, B:336:0x0798, B:338:0x07c1, B:340:0x07d9, B:357:0x0853, B:345:0x07ea, B:346:0x07f1, B:350:0x0800, B:351:0x0817, B:353:0x081c, B:354:0x0835, B:355:0x084d, B:358:0x085f, B:307:0x0610, B:310:0x061b, B:311:0x0637, B:299:0x05d9, B:292:0x05aa, B:279:0x057f, B:280:0x0584, B:250:0x04f7, B:252:0x04fb, B:254:0x0501, B:256:0x050b, B:258:0x0513, B:263:0x052e, B:265:0x0537, B:267:0x053d, B:169:0x03b5, B:97:0x0279, B:101:0x02a7, B:106:0x02b8, B:105:0x02b1, B:110:0x02de, B:115:0x02ef, B:114:0x02e8, B:76:0x0190, B:78:0x01a4, B:79:0x01b0, B:81:0x01b4, B:159:0x039d), top: B:561:0x0118, inners: #11 }] */
    /* JADX WARN: Removed duplicated region for block: B:534:0x0c16 A[Catch: Exception -> 0x0cbe, TryCatch #0 {Exception -> 0x0cbe, blocks: (B:66:0x0118, B:73:0x016e, B:75:0x0178, B:85:0x01df, B:87:0x021c, B:93:0x026f, B:98:0x0280, B:118:0x0313, B:120:0x032e, B:143:0x0370, B:172:0x03bd, B:195:0x0408, B:197:0x040e, B:199:0x0414, B:200:0x0417, B:192:0x0400, B:220:0x045c, B:222:0x0492, B:225:0x049d, B:227:0x04a5, B:228:0x04aa, B:230:0x04b1, B:233:0x04b7, B:235:0x04c0, B:239:0x04ca, B:241:0x04ce, B:243:0x04d4, B:245:0x04de, B:247:0x04e6, B:270:0x0550, B:274:0x056a, B:276:0x0570, B:281:0x058a, B:283:0x058d, B:285:0x0598, B:287:0x059f, B:293:0x05b7, B:296:0x05c4, B:298:0x05cc, B:301:0x05fa, B:303:0x0605, B:312:0x0671, B:315:0x06c2, B:317:0x06c6, B:319:0x06ce, B:321:0x06eb, B:324:0x0700, B:329:0x0728, B:335:0x077c, B:359:0x086f, B:361:0x0899, B:363:0x08a8, B:419:0x0959, B:425:0x096b, B:436:0x09b4, B:439:0x09c0, B:441:0x09ca, B:443:0x09d0, B:445:0x09d8, B:475:0x0a6f, B:479:0x0a80, B:487:0x0a95, B:507:0x0af3, B:509:0x0afb, B:511:0x0aff, B:513:0x0b0a, B:515:0x0b10, B:518:0x0b23, B:520:0x0b3f, B:522:0x0b4f, B:524:0x0b70, B:525:0x0b77, B:527:0x0bab, B:528:0x0bbf, B:534:0x0c16, B:536:0x0c1c, B:538:0x0c24, B:540:0x0c2a, B:541:0x0c51, B:498:0x0aaf, B:500:0x0abc, B:505:0x0ad1, B:446:0x09e0, B:447:0x09ea, B:449:0x09f2, B:450:0x09fe, B:452:0x0a04, B:454:0x0a0c, B:468:0x0a48, B:469:0x0a52, B:431:0x0979, B:433:0x0981, B:435:0x09b1, B:506:0x0ada, B:407:0x092b, B:412:0x093b, B:415:0x0949, B:330:0x0741, B:332:0x0748, B:333:0x0761, B:336:0x0798, B:338:0x07c1, B:340:0x07d9, B:357:0x0853, B:345:0x07ea, B:346:0x07f1, B:350:0x0800, B:351:0x0817, B:353:0x081c, B:354:0x0835, B:355:0x084d, B:358:0x085f, B:307:0x0610, B:310:0x061b, B:311:0x0637, B:299:0x05d9, B:292:0x05aa, B:279:0x057f, B:280:0x0584, B:250:0x04f7, B:252:0x04fb, B:254:0x0501, B:256:0x050b, B:258:0x0513, B:263:0x052e, B:265:0x0537, B:267:0x053d, B:169:0x03b5, B:97:0x0279, B:101:0x02a7, B:106:0x02b8, B:105:0x02b1, B:110:0x02de, B:115:0x02ef, B:114:0x02e8, B:76:0x0190, B:78:0x01a4, B:79:0x01b0, B:81:0x01b4, B:159:0x039d), top: B:561:0x0118, inners: #11 }] */
    /* JADX WARN: Removed duplicated region for block: B:544:0x0c57  */
    /* JADX WARN: Removed duplicated region for block: B:546:0x0c95  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void showOrUpdateNotification(boolean notifyAboutLast) {
        Exception e;
        int dismissDate;
        TLRPC.Chat chat;
        boolean value;
        String str;
        String str2;
        int priorityOverride;
        String choosenSoundPath;
        int vibrateOverride;
        boolean vibrateOnlyIfSilent;
        int needVibrate;
        String choosenSoundPath2;
        int priority;
        boolean vibrateOnlyIfSilent2;
        int needVibrate2;
        int needVibrate3;
        String choosenSoundPath3;
        int needVibrate4;
        int needVibrate5;
        int priority2;
        int priority3;
        int needVibrate6;
        String choosenSoundPath4;
        int ledColor;
        TLRPC.User user;
        TLRPC.FileLocation photoPath;
        MessageObject lastMessageObject;
        MessageObject lastMessageObject2;
        String chatName;
        int chat_id;
        String name;
        String detailText;
        String defaultPath;
        String defaultPath2;
        int importance;
        Uri sound;
        String choosenSoundPath5;
        boolean z;
        String str3;
        MessageObject lastMessageObject3;
        TLRPC.FileLocation photoPath2;
        String lastMessage;
        MessageObject lastMessageObject4;
        TLRPC.FileLocation photoPath3;
        int priority4;
        int priority5;
        String name2;
        TLRPC.FileLocation photoPath4;
        int needVibrate7;
        int ledColor2;
        String choosenSoundPath6;
        String lastMessage2;
        String choosenSoundPath7;
        MessageObject lastMessageObject5;
        int needVibrate8;
        int ledColor3;
        boolean z2;
        long dialog_id;
        boolean hasCallback;
        boolean z3;
        MessageObject lastMessageObject6;
        ArrayList<TLRPC.TL_keyboardButtonRow> rows;
        int ledColor4;
        boolean z4;
        TLRPC.Chat chat2;
        long dialog_id2;
        Uri sound2;
        int mode;
        int needVibrate9;
        int notifyMaxCount;
        int notifyDelay;
        if (getUserConfig().isClientActivated() && !this.pushMessages.isEmpty()) {
            if (SharedConfig.showNotificationsForAllAccounts || this.currentAccount == UserConfig.selectedAccount) {
                try {
                    getConnectionsManager().resumeNetworkMaybe();
                    MessageObject lastMessageObject7 = this.pushMessages.get(0);
                    SharedPreferences preferences = getAccountInstance().getNotificationsSettings();
                    int dismissDate2 = preferences.getInt("dismissDate", 0);
                    try {
                        if (lastMessageObject7.messageOwner.date <= dismissDate2) {
                            dismissNotification();
                            return;
                        }
                        long override_dialog_id = lastMessageObject7.getDialogId();
                        long override_dialog_id2 = lastMessageObject7.messageOwner.mentioned ? lastMessageObject7.messageOwner.from_id : override_dialog_id;
                        lastMessageObject7.getId();
                        int chat_id2 = lastMessageObject7.messageOwner.to_id.chat_id != 0 ? lastMessageObject7.messageOwner.to_id.chat_id : lastMessageObject7.messageOwner.to_id.channel_id;
                        int user_id = lastMessageObject7.messageOwner.to_id.user_id;
                        if (user_id == 0) {
                            user_id = lastMessageObject7.messageOwner.from_id;
                        } else if (user_id == getUserConfig().getClientUserId()) {
                            user_id = lastMessageObject7.messageOwner.from_id;
                        }
                        boolean isChannel = false;
                        TLRPC.User user2 = getMessagesController().getUser(Integer.valueOf(user_id));
                        if (chat_id2 != 0) {
                            dismissDate = dismissDate2;
                            TLRPC.Chat chat3 = getMessagesController().getChat(Integer.valueOf(chat_id2));
                            isChannel = ChatObject.isChannel(chat3) && !chat3.megagroup;
                            chat = chat3;
                        } else {
                            dismissDate = dismissDate2;
                            chat = null;
                        }
                        boolean notifyDisabled = false;
                        int ledColor5 = -16776961;
                        int priority6 = 0;
                        int notifyOverride = getNotifyOverride(preferences, override_dialog_id2);
                        if (notifyOverride == -1) {
                            value = isGlobalNotificationsEnabled(override_dialog_id);
                        } else {
                            value = notifyOverride != 2;
                        }
                        notifyDisabled = (notifyAboutLast && value) ? true : true;
                        if (notifyDisabled || override_dialog_id != override_dialog_id2 || chat == null) {
                            str = "color_";
                            str2 = "currentAccount";
                        } else {
                            try {
                                if (preferences.getBoolean(ContentMetadata.KEY_CUSTOM_PREFIX + override_dialog_id, false)) {
                                    int notifyMaxCount2 = preferences.getInt("smart_max_count_" + override_dialog_id, 2);
                                    notifyDelay = preferences.getInt("smart_delay_" + override_dialog_id, 180);
                                    notifyMaxCount = notifyMaxCount2;
                                } else {
                                    notifyMaxCount = 2;
                                    notifyDelay = 180;
                                }
                                if (notifyMaxCount != 0) {
                                    Point dialogInfo = this.smartNotificationsDialogs.get(override_dialog_id);
                                    if (dialogInfo == null) {
                                        str = "color_";
                                        str2 = "currentAccount";
                                        this.smartNotificationsDialogs.put(override_dialog_id, new Point(1, (int) (System.currentTimeMillis() / 1000)));
                                    } else {
                                        str = "color_";
                                        str2 = "currentAccount";
                                        int lastTime = dialogInfo.y;
                                        if (lastTime + notifyDelay < System.currentTimeMillis() / 1000) {
                                            dialogInfo.set(1, (int) (System.currentTimeMillis() / 1000));
                                        } else {
                                            int count = dialogInfo.x;
                                            if (count < notifyMaxCount) {
                                                dialogInfo.set(count + 1, (int) (System.currentTimeMillis() / 1000));
                                            } else {
                                                notifyDisabled = true;
                                            }
                                        }
                                    }
                                } else {
                                    str = "color_";
                                    str2 = "currentAccount";
                                }
                            } catch (Exception e2) {
                                e = e2;
                                e = e;
                                FileLog.e(e);
                                return;
                            }
                        }
                        String defaultPath3 = Settings.System.DEFAULT_NOTIFICATION_URI.getPath();
                        boolean inAppSounds = preferences.getBoolean("EnableInAppSounds", true);
                        boolean inAppVibrate = preferences.getBoolean("EnableInAppVibrate", true);
                        boolean inAppPreview = preferences.getBoolean("EnableInAppPreview", true);
                        boolean custom = preferences.getBoolean(ContentMetadata.KEY_CUSTOM_PREFIX + override_dialog_id, false);
                        if (custom) {
                            int vibrateOverride2 = preferences.getInt("vibrate_" + override_dialog_id, 0);
                            priorityOverride = preferences.getInt("priority_" + override_dialog_id, 3);
                            choosenSoundPath = preferences.getString("sound_path_" + override_dialog_id, null);
                            vibrateOverride = vibrateOverride2;
                        } else {
                            priorityOverride = 3;
                            choosenSoundPath = null;
                            vibrateOverride = 0;
                        }
                        if (chat_id2 == 0) {
                            vibrateOnlyIfSilent = false;
                            if (user_id != 0) {
                                if (choosenSoundPath != null && choosenSoundPath.equals(defaultPath3)) {
                                    choosenSoundPath = null;
                                } else if (choosenSoundPath == null) {
                                    choosenSoundPath = preferences.getString("GlobalSoundPath", defaultPath3);
                                }
                                int needVibrate10 = preferences.getInt("vibrate_messages", 0);
                                priority6 = preferences.getInt("priority_messages", 1);
                                ledColor5 = preferences.getInt("MessagesLed", -16776961);
                                needVibrate = needVibrate10;
                            } else {
                                needVibrate = 0;
                            }
                        } else if (isChannel) {
                            if (choosenSoundPath != null && choosenSoundPath.equals(defaultPath3)) {
                                choosenSoundPath = null;
                            } else if (choosenSoundPath == null) {
                                choosenSoundPath = preferences.getString("ChannelSoundPath", defaultPath3);
                            }
                            vibrateOnlyIfSilent = false;
                            int needVibrate11 = preferences.getInt("vibrate_channel", 0);
                            priority6 = preferences.getInt("priority_channel", 1);
                            ledColor5 = preferences.getInt("ChannelLed", -16776961);
                            needVibrate = needVibrate11;
                        } else {
                            vibrateOnlyIfSilent = false;
                            if (choosenSoundPath != null && choosenSoundPath.equals(defaultPath3)) {
                                choosenSoundPath = null;
                            } else if (choosenSoundPath == null) {
                                choosenSoundPath = preferences.getString("GroupSoundPath", defaultPath3);
                            }
                            int needVibrate12 = preferences.getInt("vibrate_group", 0);
                            priority6 = preferences.getInt("priority_group", 1);
                            ledColor5 = preferences.getInt("GroupLed", -16776961);
                            needVibrate = needVibrate12;
                        }
                        if (custom) {
                            choosenSoundPath2 = choosenSoundPath;
                            String choosenSoundPath8 = str;
                            if (preferences.contains(choosenSoundPath8 + override_dialog_id)) {
                                ledColor5 = preferences.getInt(choosenSoundPath8 + override_dialog_id, 0);
                            }
                        } else {
                            choosenSoundPath2 = choosenSoundPath;
                        }
                        if (priorityOverride != 3) {
                            int priority7 = priorityOverride;
                            priority = priority7;
                        } else {
                            priority = priority6;
                        }
                        if (needVibrate == 4) {
                            vibrateOnlyIfSilent2 = true;
                            needVibrate = 0;
                        } else {
                            vibrateOnlyIfSilent2 = vibrateOnlyIfSilent;
                        }
                        if ((needVibrate == 2 && (vibrateOverride == 1 || vibrateOverride == 3)) || ((needVibrate != 2 && vibrateOverride == 2) || (vibrateOverride != 0 && vibrateOverride != 4))) {
                            needVibrate = vibrateOverride;
                        }
                        if (ApplicationLoader.mainInterfacePaused) {
                            needVibrate2 = needVibrate;
                            needVibrate3 = 2;
                            choosenSoundPath3 = choosenSoundPath2;
                        } else {
                            String choosenSoundPath9 = !inAppSounds ? null : choosenSoundPath2;
                            if (!inAppVibrate) {
                                needVibrate = 2;
                            }
                            if (1 == 0) {
                                priority = 0;
                                choosenSoundPath3 = choosenSoundPath9;
                                needVibrate2 = needVibrate;
                                needVibrate3 = 2;
                            } else {
                                int needVibrate13 = needVibrate;
                                needVibrate3 = 2;
                                if (priority == 2) {
                                    priority = 1;
                                    choosenSoundPath3 = choosenSoundPath9;
                                    needVibrate2 = needVibrate13;
                                } else {
                                    choosenSoundPath3 = choosenSoundPath9;
                                    needVibrate2 = needVibrate13;
                                }
                            }
                        }
                        try {
                            if (vibrateOnlyIfSilent2 && needVibrate2 != needVibrate3) {
                                try {
                                    mode = audioManager.getRingerMode();
                                } catch (Exception e3) {
                                    needVibrate4 = needVibrate2;
                                    FileLog.e(e3);
                                }
                                if (mode != 0) {
                                    needVibrate9 = needVibrate2;
                                    if (mode != 1) {
                                        needVibrate5 = 2;
                                        long[] configVibrationPattern = null;
                                        int configImportance = 0;
                                        Uri configSound = null;
                                        if (Build.VERSION.SDK_INT >= 26) {
                                            if (needVibrate5 == 2) {
                                                configVibrationPattern = new long[]{0, 0};
                                            } else if (needVibrate5 == 1) {
                                                configVibrationPattern = new long[]{0, 100, 0, 100};
                                            } else {
                                                if (needVibrate5 != 0 && needVibrate5 != 4) {
                                                    if (needVibrate5 == 3) {
                                                        configVibrationPattern = new long[]{0, 1000};
                                                    }
                                                }
                                                configVibrationPattern = new long[0];
                                            }
                                            String choosenSoundPath10 = choosenSoundPath3;
                                            Uri configSound2 = (choosenSoundPath10 == null || choosenSoundPath10.equals("NoSound")) ? null : choosenSoundPath10.equals(defaultPath3) ? Settings.System.DEFAULT_NOTIFICATION_URI : Uri.parse(choosenSoundPath10);
                                            if (priority == 0) {
                                                configImportance = 3;
                                                choosenSoundPath3 = choosenSoundPath10;
                                                configSound = configSound2;
                                            } else {
                                                choosenSoundPath3 = choosenSoundPath10;
                                                if (priority != 1 && priority != 2) {
                                                    if (priority == 4) {
                                                        configImportance = 1;
                                                        configSound = configSound2;
                                                    } else if (priority == 5) {
                                                        configImportance = 2;
                                                        configSound = configSound2;
                                                    } else {
                                                        configSound = configSound2;
                                                    }
                                                }
                                                configImportance = 4;
                                                configSound = configSound2;
                                            }
                                        }
                                        if (notifyDisabled) {
                                            priority2 = 0;
                                            priority3 = 0;
                                            needVibrate6 = 0;
                                            choosenSoundPath4 = null;
                                        } else {
                                            priority2 = priority;
                                            priority3 = needVibrate5;
                                            needVibrate6 = ledColor5;
                                            choosenSoundPath4 = choosenSoundPath3;
                                        }
                                        int needVibrate14 = priority3;
                                        Intent intent = new Intent(ApplicationLoader.applicationContext, LaunchActivity.class);
                                        int priority8 = priority2;
                                        intent.setAction("com.tmessages.openchat" + Math.random() + Integer.MAX_VALUE);
                                        if (((int) override_dialog_id) != 0) {
                                            if (this.pushDialogs.size() == 1) {
                                                if (chat_id2 != 0) {
                                                    intent.putExtra("chatId", chat_id2);
                                                } else if (user_id != 0) {
                                                    intent.putExtra("userId", user_id);
                                                }
                                            }
                                            if (!AndroidUtilities.needShowPasscode(false) && !SharedConfig.isWaitingForPasscodeEnter) {
                                                if (this.pushDialogs.size() != 1 || Build.VERSION.SDK_INT >= 28) {
                                                    ledColor = needVibrate6;
                                                    user = user2;
                                                } else if (chat != null) {
                                                    if (chat.photo != null && chat.photo.photo_small != null && chat.photo.photo_small.volume_id != 0 && chat.photo.photo_small.local_id != 0) {
                                                        photoPath = chat.photo.photo_small;
                                                        ledColor = needVibrate6;
                                                        user = user2;
                                                        String str4 = str2;
                                                        intent.putExtra(str4, this.currentAccount);
                                                        PendingIntent contentIntent = PendingIntent.getActivity(ApplicationLoader.applicationContext, 0, intent, 1073741824);
                                                        if (((chat_id2 == 0 && chat == null) || user == null) && lastMessageObject7.isFcmMessage()) {
                                                            lastMessageObject = lastMessageObject7;
                                                            lastMessageObject2 = 1;
                                                            chatName = lastMessageObject.localName;
                                                        } else {
                                                            lastMessageObject = lastMessageObject7;
                                                            lastMessageObject2 = 1;
                                                            if (chat == null) {
                                                                chatName = chat.title;
                                                            } else {
                                                                String chatName2 = UserObject.getName(user);
                                                                chatName = chatName2;
                                                            }
                                                        }
                                                        if (((int) override_dialog_id) == 0) {
                                                            chat_id = chat_id2;
                                                            if (this.pushDialogs.size() <= 1 && !AndroidUtilities.needShowPasscode(false) && !SharedConfig.isWaitingForPasscodeEnter) {
                                                                name = chatName;
                                                                detailText = UserConfig.getActivatedAccountsCount() > 1 ? this.pushDialogs.size() == 1 ? UserObject.getFirstName(getUserConfig().getCurrentUser()) : UserObject.getFirstName(getUserConfig().getCurrentUser()) + "・" : "";
                                                                long dialog_id3 = override_dialog_id;
                                                                if (this.pushDialogs.size() == 1 && Build.VERSION.SDK_INT >= 23) {
                                                                    defaultPath = defaultPath3;
                                                                    defaultPath2 = detailText;
                                                                    NotificationCompat.Builder mBuilder = new NotificationCompat.Builder(ApplicationLoader.applicationContext).setContentTitle(name).setSmallIcon(R.mipmap.notification).setAutoCancel(true).setNumber(this.total_unread_count).setContentIntent(contentIntent).setGroup(this.notificationGroup).setGroupSummary(true).setShowWhen(true).setWhen(lastMessageObject.messageOwner.date * 1000).setColor(-15618822);
                                                                    long[] vibrationPattern = null;
                                                                    mBuilder.setCategory(NotificationCompat.CATEGORY_MESSAGE);
                                                                    if (chat != null && user != null && user.phone != null && user.phone.length() > 0) {
                                                                        mBuilder.addPerson("tel:+" + user.phone);
                                                                    }
                                                                    String lastMessage3 = null;
                                                                    if (this.pushMessages.size() == 1) {
                                                                        MessageObject messageObject = this.pushMessages.get(0);
                                                                        importance = 0;
                                                                        boolean[] text = new boolean[1];
                                                                        sound = null;
                                                                        String lastMessage4 = getStringForMessage(messageObject, false, text, null);
                                                                        String message = lastMessage4;
                                                                        boolean z5 = messageObject.messageOwner.silent;
                                                                        if (message == null) {
                                                                            return;
                                                                        }
                                                                        if (lastMessageObject2 != null) {
                                                                            message = chat != null ? message.replace(" @ " + name, "") : text[0] ? message.replace(name + ": ", "") : message.replace(name + " ", "");
                                                                        }
                                                                        mBuilder.setContentText(message);
                                                                        mBuilder.setStyle(new NotificationCompat.BigTextStyle().bigText(message));
                                                                        choosenSoundPath5 = choosenSoundPath4;
                                                                        str3 = str4;
                                                                        lastMessageObject3 = lastMessageObject;
                                                                        photoPath2 = photoPath;
                                                                        z = z5;
                                                                        lastMessage = lastMessage4;
                                                                    } else {
                                                                        importance = 0;
                                                                        sound = null;
                                                                        mBuilder.setContentText(defaultPath2);
                                                                        NotificationCompat.InboxStyle inboxStyle = new NotificationCompat.InboxStyle();
                                                                        inboxStyle.setBigContentTitle(name);
                                                                        int count2 = Math.min(10, this.pushMessages.size());
                                                                        boolean[] text2 = new boolean[1];
                                                                        choosenSoundPath5 = choosenSoundPath4;
                                                                        int i = 0;
                                                                        z = true;
                                                                        while (i < count2) {
                                                                            int count3 = count2;
                                                                            MessageObject messageObject2 = this.pushMessages.get(i);
                                                                            String str5 = str4;
                                                                            TLRPC.FileLocation photoPath5 = photoPath;
                                                                            String message2 = getStringForMessage(messageObject2, false, text2, null);
                                                                            if (message2 != null) {
                                                                                lastMessageObject4 = lastMessageObject;
                                                                                int dismissDate3 = dismissDate;
                                                                                if (messageObject2.messageOwner.date <= dismissDate3) {
                                                                                    dismissDate = dismissDate3;
                                                                                } else {
                                                                                    if (z) {
                                                                                        lastMessage3 = message2;
                                                                                        z = messageObject2.messageOwner.silent;
                                                                                    }
                                                                                    dismissDate = dismissDate3;
                                                                                    if (this.pushDialogs.size() == 1 && lastMessageObject2 != null) {
                                                                                        message2 = chat != null ? message2.replace(" @ " + name, "") : text2[0] ? message2.replace(name + ": ", "") : message2.replace(name + " ", "");
                                                                                    }
                                                                                    inboxStyle.addLine(message2);
                                                                                }
                                                                            } else {
                                                                                lastMessageObject4 = lastMessageObject;
                                                                            }
                                                                            i++;
                                                                            count2 = count3;
                                                                            photoPath = photoPath5;
                                                                            str4 = str5;
                                                                            lastMessageObject = lastMessageObject4;
                                                                        }
                                                                        str3 = str4;
                                                                        lastMessageObject3 = lastMessageObject;
                                                                        photoPath2 = photoPath;
                                                                        inboxStyle.setSummaryText(defaultPath2);
                                                                        mBuilder.setStyle(inboxStyle);
                                                                        lastMessage = lastMessage3;
                                                                    }
                                                                    Intent dismissIntent = new Intent(ApplicationLoader.applicationContext, NotificationDismissReceiver.class);
                                                                    MessageObject lastMessageObject8 = lastMessageObject3;
                                                                    dismissIntent.putExtra("messageDate", lastMessageObject8.messageOwner.date);
                                                                    String str6 = str3;
                                                                    dismissIntent.putExtra(str6, this.currentAccount);
                                                                    mBuilder.setDeleteIntent(PendingIntent.getBroadcast(ApplicationLoader.applicationContext, 1, dismissIntent, 134217728));
                                                                    if (photoPath2 != null) {
                                                                        photoPath3 = photoPath2;
                                                                        BitmapDrawable img = ImageLoader.getInstance().getImageFromMemory(photoPath3, null, "50_50");
                                                                        if (img != null) {
                                                                            mBuilder.setLargeIcon(img.getBitmap());
                                                                        } else {
                                                                            try {
                                                                                File file = FileLoader.getPathToAttach(photoPath3, true);
                                                                                if (file.exists()) {
                                                                                    float scaleFactor = 160.0f / AndroidUtilities.dp(50.0f);
                                                                                    BitmapFactory.Options options = new BitmapFactory.Options();
                                                                                    try {
                                                                                        options.inSampleSize = scaleFactor < 1.0f ? 1 : (int) scaleFactor;
                                                                                        Bitmap bitmap = BitmapFactory.decodeFile(file.getAbsolutePath(), options);
                                                                                        if (bitmap != null) {
                                                                                            mBuilder.setLargeIcon(bitmap);
                                                                                        }
                                                                                    } catch (Throwable th) {
                                                                                    }
                                                                                }
                                                                            } catch (Throwable th2) {
                                                                            }
                                                                        }
                                                                    } else {
                                                                        photoPath3 = photoPath2;
                                                                    }
                                                                    if (!notifyAboutLast) {
                                                                        priority4 = priority8;
                                                                    } else if (!z) {
                                                                        if (priority8 == 0) {
                                                                            try {
                                                                                mBuilder.setPriority(0);
                                                                                if (Build.VERSION.SDK_INT >= 26) {
                                                                                    importance = 3;
                                                                                    priority4 = priority8;
                                                                                } else {
                                                                                    priority4 = priority8;
                                                                                }
                                                                            } catch (Exception e4) {
                                                                                e = e4;
                                                                                FileLog.e(e);
                                                                                return;
                                                                            }
                                                                        } else {
                                                                            priority4 = priority8;
                                                                            if (priority4 == 1 || priority4 == 2) {
                                                                                mBuilder.setPriority(1);
                                                                                if (Build.VERSION.SDK_INT >= 26) {
                                                                                    importance = 4;
                                                                                }
                                                                            } else if (priority4 == 4) {
                                                                                mBuilder.setPriority(-2);
                                                                                if (Build.VERSION.SDK_INT >= 26) {
                                                                                    importance = 1;
                                                                                }
                                                                            } else if (priority4 == 5) {
                                                                                mBuilder.setPriority(-1);
                                                                                if (Build.VERSION.SDK_INT >= 26) {
                                                                                    importance = 2;
                                                                                }
                                                                            }
                                                                        }
                                                                        if (!z || notifyDisabled) {
                                                                            priority5 = priority4;
                                                                            name2 = name;
                                                                            photoPath4 = photoPath3;
                                                                            needVibrate7 = needVibrate14;
                                                                            ledColor2 = ledColor;
                                                                            choosenSoundPath6 = choosenSoundPath5;
                                                                            long[] vibrationPattern2 = {0, 0};
                                                                            mBuilder.setVibrate(vibrationPattern2);
                                                                            vibrationPattern = vibrationPattern2;
                                                                            lastMessage2 = lastMessage;
                                                                        } else {
                                                                            if (!ApplicationLoader.mainInterfacePaused && !inAppPreview) {
                                                                                priority5 = priority4;
                                                                                name2 = name;
                                                                                if (!MediaController.getInstance().isRecordingAudio()) {
                                                                                    photoPath4 = photoPath3;
                                                                                    choosenSoundPath6 = choosenSoundPath5;
                                                                                } else if (choosenSoundPath5 != null) {
                                                                                    choosenSoundPath6 = choosenSoundPath5;
                                                                                    if (choosenSoundPath6.equals("NoSound")) {
                                                                                        photoPath4 = photoPath3;
                                                                                    } else if (Build.VERSION.SDK_INT >= 26) {
                                                                                        String defaultPath4 = defaultPath;
                                                                                        if (choosenSoundPath6.equals(defaultPath4)) {
                                                                                            sound2 = Settings.System.DEFAULT_NOTIFICATION_URI;
                                                                                            defaultPath = defaultPath4;
                                                                                            photoPath4 = photoPath3;
                                                                                        } else {
                                                                                            sound2 = Uri.parse(choosenSoundPath6);
                                                                                            defaultPath = defaultPath4;
                                                                                            photoPath4 = photoPath3;
                                                                                        }
                                                                                        if (ledColor == 0) {
                                                                                            ledColor2 = ledColor;
                                                                                            mBuilder.setLights(ledColor2, 1000, 1000);
                                                                                        } else {
                                                                                            ledColor2 = ledColor;
                                                                                        }
                                                                                        needVibrate7 = needVibrate14;
                                                                                        if (needVibrate7 != 2 || MediaController.getInstance().isRecordingAudio()) {
                                                                                            long[] vibrationPattern3 = {0, 0};
                                                                                            mBuilder.setVibrate(vibrationPattern3);
                                                                                            sound = sound2;
                                                                                            vibrationPattern = vibrationPattern3;
                                                                                            lastMessage2 = lastMessage;
                                                                                        } else if (needVibrate7 == 1) {
                                                                                            long[] vibrationPattern4 = {0, 100, 0, 100};
                                                                                            mBuilder.setVibrate(vibrationPattern4);
                                                                                            sound = sound2;
                                                                                            vibrationPattern = vibrationPattern4;
                                                                                            lastMessage2 = lastMessage;
                                                                                        } else if (needVibrate7 == 0 || needVibrate7 == 4) {
                                                                                            mBuilder.setDefaults(2);
                                                                                            sound = sound2;
                                                                                            vibrationPattern = new long[0];
                                                                                            lastMessage2 = lastMessage;
                                                                                        } else if (needVibrate7 == 3) {
                                                                                            long[] vibrationPattern5 = {0, 1000};
                                                                                            mBuilder.setVibrate(vibrationPattern5);
                                                                                            sound = sound2;
                                                                                            vibrationPattern = vibrationPattern5;
                                                                                            lastMessage2 = lastMessage;
                                                                                        } else {
                                                                                            sound = sound2;
                                                                                            lastMessage2 = lastMessage;
                                                                                        }
                                                                                    } else {
                                                                                        String defaultPath5 = defaultPath;
                                                                                        if (choosenSoundPath6.equals(defaultPath5)) {
                                                                                            mBuilder.setSound(Settings.System.DEFAULT_NOTIFICATION_URI, 5);
                                                                                            defaultPath = defaultPath5;
                                                                                            photoPath4 = photoPath3;
                                                                                        } else if (Build.VERSION.SDK_INT < 24 || !choosenSoundPath6.startsWith("file://") || AndroidUtilities.isInternalUri(Uri.parse(choosenSoundPath6))) {
                                                                                            defaultPath = defaultPath5;
                                                                                            photoPath4 = photoPath3;
                                                                                            mBuilder.setSound(Uri.parse(choosenSoundPath6), 5);
                                                                                        } else {
                                                                                            try {
                                                                                                defaultPath = defaultPath5;
                                                                                                try {
                                                                                                    photoPath4 = photoPath3;
                                                                                                } catch (Exception e5) {
                                                                                                    photoPath4 = photoPath3;
                                                                                                }
                                                                                                try {
                                                                                                    Uri uri = FileProvider.getUriForFile(ApplicationLoader.applicationContext, "im.uecahxyvjd.messenger.provider", new File(choosenSoundPath6.replace("file://", "")));
                                                                                                    ApplicationLoader.applicationContext.grantUriPermission("com.android.systemui", uri, 1);
                                                                                                    mBuilder.setSound(uri, 5);
                                                                                                } catch (Exception e6) {
                                                                                                    mBuilder.setSound(Uri.parse(choosenSoundPath6), 5);
                                                                                                    sound2 = sound;
                                                                                                    if (ledColor == 0) {
                                                                                                    }
                                                                                                    needVibrate7 = needVibrate14;
                                                                                                    if (needVibrate7 != 2) {
                                                                                                    }
                                                                                                    long[] vibrationPattern32 = {0, 0};
                                                                                                    mBuilder.setVibrate(vibrationPattern32);
                                                                                                    sound = sound2;
                                                                                                    vibrationPattern = vibrationPattern32;
                                                                                                    lastMessage2 = lastMessage;
                                                                                                    boolean hasCallback2 = false;
                                                                                                    if (!AndroidUtilities.needShowPasscode(false)) {
                                                                                                    }
                                                                                                    choosenSoundPath7 = choosenSoundPath6;
                                                                                                    lastMessageObject5 = lastMessageObject8;
                                                                                                    needVibrate8 = needVibrate7;
                                                                                                    ledColor3 = ledColor2;
                                                                                                    z2 = z;
                                                                                                    dialog_id = dialog_id3;
                                                                                                    hasCallback = false;
                                                                                                    if (!hasCallback) {
                                                                                                    }
                                                                                                    if (Build.VERSION.SDK_INT < 26) {
                                                                                                    }
                                                                                                    showExtraNotifications(mBuilder, z3, defaultPath2);
                                                                                                    scheduleNotificationRepeat();
                                                                                                    return;
                                                                                                }
                                                                                            } catch (Exception e7) {
                                                                                                defaultPath = defaultPath5;
                                                                                                photoPath4 = photoPath3;
                                                                                            }
                                                                                        }
                                                                                    }
                                                                                } else {
                                                                                    photoPath4 = photoPath3;
                                                                                    choosenSoundPath6 = choosenSoundPath5;
                                                                                }
                                                                                sound2 = sound;
                                                                                if (ledColor == 0) {
                                                                                }
                                                                                needVibrate7 = needVibrate14;
                                                                                if (needVibrate7 != 2) {
                                                                                }
                                                                                long[] vibrationPattern322 = {0, 0};
                                                                                mBuilder.setVibrate(vibrationPattern322);
                                                                                sound = sound2;
                                                                                vibrationPattern = vibrationPattern322;
                                                                                lastMessage2 = lastMessage;
                                                                            }
                                                                            priority5 = priority4;
                                                                            name2 = name;
                                                                            mBuilder.setTicker(lastMessage);
                                                                            if (!MediaController.getInstance().isRecordingAudio()) {
                                                                            }
                                                                            sound2 = sound;
                                                                            if (ledColor == 0) {
                                                                            }
                                                                            needVibrate7 = needVibrate14;
                                                                            if (needVibrate7 != 2) {
                                                                            }
                                                                            long[] vibrationPattern3222 = {0, 0};
                                                                            mBuilder.setVibrate(vibrationPattern3222);
                                                                            sound = sound2;
                                                                            vibrationPattern = vibrationPattern3222;
                                                                            lastMessage2 = lastMessage;
                                                                        }
                                                                        boolean hasCallback22 = false;
                                                                        if (!AndroidUtilities.needShowPasscode(false) || SharedConfig.isWaitingForPasscodeEnter || lastMessageObject8.getDialogId() != 777000) {
                                                                            choosenSoundPath7 = choosenSoundPath6;
                                                                            lastMessageObject5 = lastMessageObject8;
                                                                            needVibrate8 = needVibrate7;
                                                                            ledColor3 = ledColor2;
                                                                            z2 = z;
                                                                            dialog_id = dialog_id3;
                                                                        } else if (lastMessageObject8.messageOwner.reply_markup != null) {
                                                                            ArrayList<TLRPC.TL_keyboardButtonRow> rows2 = lastMessageObject8.messageOwner.reply_markup.rows;
                                                                            int a2 = 0;
                                                                            int size = rows2.size();
                                                                            while (true) {
                                                                                choosenSoundPath7 = choosenSoundPath6;
                                                                                int size2 = size;
                                                                                if (a2 >= size2) {
                                                                                    break;
                                                                                }
                                                                                TLRPC.TL_keyboardButtonRow row = rows2.get(a2);
                                                                                boolean hasCallback3 = hasCallback22;
                                                                                int size22 = row.buttons.size();
                                                                                int needVibrate15 = needVibrate7;
                                                                                int needVibrate16 = 0;
                                                                                while (needVibrate16 < size22) {
                                                                                    int size23 = size22;
                                                                                    TLRPC.KeyboardButton button = row.buttons.get(needVibrate16);
                                                                                    TLRPC.TL_keyboardButtonRow row2 = row;
                                                                                    if (button instanceof TLRPC.TL_keyboardButtonCallback) {
                                                                                        rows = rows2;
                                                                                        ledColor4 = ledColor2;
                                                                                        Intent callbackIntent = new Intent(ApplicationLoader.applicationContext, NotificationCallbackReceiver.class);
                                                                                        callbackIntent.putExtra(str6, this.currentAccount);
                                                                                        z4 = z;
                                                                                        chat2 = chat;
                                                                                        dialog_id2 = dialog_id3;
                                                                                        callbackIntent.putExtra("did", dialog_id2);
                                                                                        if (button.data != null) {
                                                                                            callbackIntent.putExtra("data", button.data);
                                                                                        }
                                                                                        callbackIntent.putExtra("mid", lastMessageObject8.getId());
                                                                                        CharSequence charSequence = button.text;
                                                                                        Context context = ApplicationLoader.applicationContext;
                                                                                        int i2 = this.lastButtonId;
                                                                                        lastMessageObject6 = lastMessageObject8;
                                                                                        this.lastButtonId = i2 + 1;
                                                                                        mBuilder.addAction(0, charSequence, PendingIntent.getBroadcast(context, i2, callbackIntent, 134217728));
                                                                                        hasCallback3 = true;
                                                                                    } else {
                                                                                        lastMessageObject6 = lastMessageObject8;
                                                                                        rows = rows2;
                                                                                        ledColor4 = ledColor2;
                                                                                        z4 = z;
                                                                                        chat2 = chat;
                                                                                        dialog_id2 = dialog_id3;
                                                                                    }
                                                                                    needVibrate16++;
                                                                                    dialog_id3 = dialog_id2;
                                                                                    size22 = size23;
                                                                                    row = row2;
                                                                                    rows2 = rows;
                                                                                    ledColor2 = ledColor4;
                                                                                    chat = chat2;
                                                                                    z = z4;
                                                                                    lastMessageObject8 = lastMessageObject6;
                                                                                }
                                                                                a2++;
                                                                                hasCallback22 = hasCallback3;
                                                                                size = size2;
                                                                                needVibrate7 = needVibrate15;
                                                                                chat = chat;
                                                                                choosenSoundPath6 = choosenSoundPath7;
                                                                                z = z;
                                                                                lastMessageObject8 = lastMessageObject8;
                                                                            }
                                                                            hasCallback = hasCallback22;
                                                                            lastMessageObject5 = lastMessageObject8;
                                                                            needVibrate8 = needVibrate7;
                                                                            ledColor3 = ledColor2;
                                                                            z2 = z;
                                                                            dialog_id = dialog_id3;
                                                                            if (!hasCallback && Build.VERSION.SDK_INT < 24 && SharedConfig.passcodeHash.length() == 0 && hasMessagesToReply()) {
                                                                                Intent replyIntent = new Intent(ApplicationLoader.applicationContext, PopupReplyReceiver.class);
                                                                                replyIntent.putExtra(str6, this.currentAccount);
                                                                                mBuilder.addAction(R.drawable.ic_ab_reply, LocaleController.getString("Reply", R.string.Reply), PendingIntent.getBroadcast(ApplicationLoader.applicationContext, 2, replyIntent, 134217728));
                                                                            }
                                                                            if (Build.VERSION.SDK_INT < 26) {
                                                                                z3 = notifyAboutLast;
                                                                                try {
                                                                                    mBuilder.setChannelId(validateChannelId(dialog_id, chatName, vibrationPattern, ledColor3, sound, importance, configVibrationPattern, configSound, configImportance));
                                                                                } catch (Exception e8) {
                                                                                    e = e8;
                                                                                    e = e;
                                                                                    FileLog.e(e);
                                                                                    return;
                                                                                }
                                                                            } else {
                                                                                z3 = notifyAboutLast;
                                                                            }
                                                                            showExtraNotifications(mBuilder, z3, defaultPath2);
                                                                            scheduleNotificationRepeat();
                                                                            return;
                                                                        } else {
                                                                            choosenSoundPath7 = choosenSoundPath6;
                                                                            lastMessageObject5 = lastMessageObject8;
                                                                            needVibrate8 = needVibrate7;
                                                                            ledColor3 = ledColor2;
                                                                            z2 = z;
                                                                            dialog_id = dialog_id3;
                                                                        }
                                                                        hasCallback = false;
                                                                        if (!hasCallback) {
                                                                            Intent replyIntent2 = new Intent(ApplicationLoader.applicationContext, PopupReplyReceiver.class);
                                                                            replyIntent2.putExtra(str6, this.currentAccount);
                                                                            mBuilder.addAction(R.drawable.ic_ab_reply, LocaleController.getString("Reply", R.string.Reply), PendingIntent.getBroadcast(ApplicationLoader.applicationContext, 2, replyIntent2, 134217728));
                                                                        }
                                                                        if (Build.VERSION.SDK_INT < 26) {
                                                                        }
                                                                        showExtraNotifications(mBuilder, z3, defaultPath2);
                                                                        scheduleNotificationRepeat();
                                                                        return;
                                                                    } else {
                                                                        priority4 = priority8;
                                                                    }
                                                                    mBuilder.setPriority(-1);
                                                                    if (Build.VERSION.SDK_INT >= 26) {
                                                                        importance = 2;
                                                                    }
                                                                    if (!z) {
                                                                    }
                                                                    priority5 = priority4;
                                                                    name2 = name;
                                                                    photoPath4 = photoPath3;
                                                                    needVibrate7 = needVibrate14;
                                                                    ledColor2 = ledColor;
                                                                    choosenSoundPath6 = choosenSoundPath5;
                                                                    long[] vibrationPattern22 = {0, 0};
                                                                    mBuilder.setVibrate(vibrationPattern22);
                                                                    vibrationPattern = vibrationPattern22;
                                                                    lastMessage2 = lastMessage;
                                                                    boolean hasCallback222 = false;
                                                                    if (!AndroidUtilities.needShowPasscode(false)) {
                                                                    }
                                                                    choosenSoundPath7 = choosenSoundPath6;
                                                                    lastMessageObject5 = lastMessageObject8;
                                                                    needVibrate8 = needVibrate7;
                                                                    ledColor3 = ledColor2;
                                                                    z2 = z;
                                                                    dialog_id = dialog_id3;
                                                                    hasCallback = false;
                                                                    if (!hasCallback) {
                                                                    }
                                                                    if (Build.VERSION.SDK_INT < 26) {
                                                                    }
                                                                    showExtraNotifications(mBuilder, z3, defaultPath2);
                                                                    scheduleNotificationRepeat();
                                                                    return;
                                                                }
                                                                if (this.pushDialogs.size() == 1) {
                                                                    defaultPath = defaultPath3;
                                                                    defaultPath2 = detailText + LocaleController.formatPluralString("NewMessages", this.total_unread_count);
                                                                } else {
                                                                    defaultPath = defaultPath3;
                                                                    defaultPath2 = detailText + LocaleController.formatString("NotificationMessagesPeopleDisplayOrder", R.string.NotificationMessagesPeopleDisplayOrder, LocaleController.formatPluralString("NewMessages", this.total_unread_count), LocaleController.formatPluralString("FromChats", this.pushDialogs.size()));
                                                                }
                                                                NotificationCompat.Builder mBuilder2 = new NotificationCompat.Builder(ApplicationLoader.applicationContext).setContentTitle(name).setSmallIcon(R.mipmap.notification).setAutoCancel(true).setNumber(this.total_unread_count).setContentIntent(contentIntent).setGroup(this.notificationGroup).setGroupSummary(true).setShowWhen(true).setWhen(lastMessageObject.messageOwner.date * 1000).setColor(-15618822);
                                                                long[] vibrationPattern6 = null;
                                                                mBuilder2.setCategory(NotificationCompat.CATEGORY_MESSAGE);
                                                                if (chat != null) {
                                                                }
                                                                String lastMessage32 = null;
                                                                if (this.pushMessages.size() == 1) {
                                                                }
                                                                Intent dismissIntent2 = new Intent(ApplicationLoader.applicationContext, NotificationDismissReceiver.class);
                                                                MessageObject lastMessageObject82 = lastMessageObject3;
                                                                dismissIntent2.putExtra("messageDate", lastMessageObject82.messageOwner.date);
                                                                String str62 = str3;
                                                                dismissIntent2.putExtra(str62, this.currentAccount);
                                                                mBuilder2.setDeleteIntent(PendingIntent.getBroadcast(ApplicationLoader.applicationContext, 1, dismissIntent2, 134217728));
                                                                if (photoPath2 != null) {
                                                                }
                                                                if (!notifyAboutLast) {
                                                                }
                                                                mBuilder2.setPriority(-1);
                                                                if (Build.VERSION.SDK_INT >= 26) {
                                                                }
                                                                if (!z) {
                                                                }
                                                                priority5 = priority4;
                                                                name2 = name;
                                                                photoPath4 = photoPath3;
                                                                needVibrate7 = needVibrate14;
                                                                ledColor2 = ledColor;
                                                                choosenSoundPath6 = choosenSoundPath5;
                                                                long[] vibrationPattern222 = {0, 0};
                                                                mBuilder2.setVibrate(vibrationPattern222);
                                                                vibrationPattern6 = vibrationPattern222;
                                                                lastMessage2 = lastMessage;
                                                                boolean hasCallback2222 = false;
                                                                if (!AndroidUtilities.needShowPasscode(false)) {
                                                                }
                                                                choosenSoundPath7 = choosenSoundPath6;
                                                                lastMessageObject5 = lastMessageObject82;
                                                                needVibrate8 = needVibrate7;
                                                                ledColor3 = ledColor2;
                                                                z2 = z;
                                                                dialog_id = dialog_id3;
                                                                hasCallback = false;
                                                                if (!hasCallback) {
                                                                }
                                                                if (Build.VERSION.SDK_INT < 26) {
                                                                }
                                                                showExtraNotifications(mBuilder2, z3, defaultPath2);
                                                                scheduleNotificationRepeat();
                                                                return;
                                                            }
                                                        } else {
                                                            chat_id = chat_id2;
                                                        }
                                                        String name3 = LocaleController.getString("AppName", R.string.AppName);
                                                        lastMessageObject2 = null;
                                                        name = name3;
                                                        if (UserConfig.getActivatedAccountsCount() > 1) {
                                                        }
                                                        long dialog_id32 = override_dialog_id;
                                                        if (this.pushDialogs.size() == 1) {
                                                            defaultPath = defaultPath3;
                                                            defaultPath2 = detailText;
                                                            NotificationCompat.Builder mBuilder22 = new NotificationCompat.Builder(ApplicationLoader.applicationContext).setContentTitle(name).setSmallIcon(R.mipmap.notification).setAutoCancel(true).setNumber(this.total_unread_count).setContentIntent(contentIntent).setGroup(this.notificationGroup).setGroupSummary(true).setShowWhen(true).setWhen(lastMessageObject.messageOwner.date * 1000).setColor(-15618822);
                                                            long[] vibrationPattern62 = null;
                                                            mBuilder22.setCategory(NotificationCompat.CATEGORY_MESSAGE);
                                                            if (chat != null) {
                                                            }
                                                            String lastMessage322 = null;
                                                            if (this.pushMessages.size() == 1) {
                                                            }
                                                            Intent dismissIntent22 = new Intent(ApplicationLoader.applicationContext, NotificationDismissReceiver.class);
                                                            MessageObject lastMessageObject822 = lastMessageObject3;
                                                            dismissIntent22.putExtra("messageDate", lastMessageObject822.messageOwner.date);
                                                            String str622 = str3;
                                                            dismissIntent22.putExtra(str622, this.currentAccount);
                                                            mBuilder22.setDeleteIntent(PendingIntent.getBroadcast(ApplicationLoader.applicationContext, 1, dismissIntent22, 134217728));
                                                            if (photoPath2 != null) {
                                                            }
                                                            if (!notifyAboutLast) {
                                                            }
                                                            mBuilder22.setPriority(-1);
                                                            if (Build.VERSION.SDK_INT >= 26) {
                                                            }
                                                            if (!z) {
                                                            }
                                                            priority5 = priority4;
                                                            name2 = name;
                                                            photoPath4 = photoPath3;
                                                            needVibrate7 = needVibrate14;
                                                            ledColor2 = ledColor;
                                                            choosenSoundPath6 = choosenSoundPath5;
                                                            long[] vibrationPattern2222 = {0, 0};
                                                            mBuilder22.setVibrate(vibrationPattern2222);
                                                            vibrationPattern62 = vibrationPattern2222;
                                                            lastMessage2 = lastMessage;
                                                            boolean hasCallback22222 = false;
                                                            if (!AndroidUtilities.needShowPasscode(false)) {
                                                            }
                                                            choosenSoundPath7 = choosenSoundPath6;
                                                            lastMessageObject5 = lastMessageObject822;
                                                            needVibrate8 = needVibrate7;
                                                            ledColor3 = ledColor2;
                                                            z2 = z;
                                                            dialog_id = dialog_id32;
                                                            hasCallback = false;
                                                            if (!hasCallback) {
                                                            }
                                                            if (Build.VERSION.SDK_INT < 26) {
                                                            }
                                                            showExtraNotifications(mBuilder22, z3, defaultPath2);
                                                            scheduleNotificationRepeat();
                                                            return;
                                                        }
                                                        if (this.pushDialogs.size() == 1) {
                                                        }
                                                        NotificationCompat.Builder mBuilder222 = new NotificationCompat.Builder(ApplicationLoader.applicationContext).setContentTitle(name).setSmallIcon(R.mipmap.notification).setAutoCancel(true).setNumber(this.total_unread_count).setContentIntent(contentIntent).setGroup(this.notificationGroup).setGroupSummary(true).setShowWhen(true).setWhen(lastMessageObject.messageOwner.date * 1000).setColor(-15618822);
                                                        long[] vibrationPattern622 = null;
                                                        mBuilder222.setCategory(NotificationCompat.CATEGORY_MESSAGE);
                                                        if (chat != null) {
                                                        }
                                                        String lastMessage3222 = null;
                                                        if (this.pushMessages.size() == 1) {
                                                        }
                                                        Intent dismissIntent222 = new Intent(ApplicationLoader.applicationContext, NotificationDismissReceiver.class);
                                                        MessageObject lastMessageObject8222 = lastMessageObject3;
                                                        dismissIntent222.putExtra("messageDate", lastMessageObject8222.messageOwner.date);
                                                        String str6222 = str3;
                                                        dismissIntent222.putExtra(str6222, this.currentAccount);
                                                        mBuilder222.setDeleteIntent(PendingIntent.getBroadcast(ApplicationLoader.applicationContext, 1, dismissIntent222, 134217728));
                                                        if (photoPath2 != null) {
                                                        }
                                                        if (!notifyAboutLast) {
                                                        }
                                                        mBuilder222.setPriority(-1);
                                                        if (Build.VERSION.SDK_INT >= 26) {
                                                        }
                                                        if (!z) {
                                                        }
                                                        priority5 = priority4;
                                                        name2 = name;
                                                        photoPath4 = photoPath3;
                                                        needVibrate7 = needVibrate14;
                                                        ledColor2 = ledColor;
                                                        choosenSoundPath6 = choosenSoundPath5;
                                                        long[] vibrationPattern22222 = {0, 0};
                                                        mBuilder222.setVibrate(vibrationPattern22222);
                                                        vibrationPattern622 = vibrationPattern22222;
                                                        lastMessage2 = lastMessage;
                                                        boolean hasCallback222222 = false;
                                                        if (!AndroidUtilities.needShowPasscode(false)) {
                                                        }
                                                        choosenSoundPath7 = choosenSoundPath6;
                                                        lastMessageObject5 = lastMessageObject8222;
                                                        needVibrate8 = needVibrate7;
                                                        ledColor3 = ledColor2;
                                                        z2 = z;
                                                        dialog_id = dialog_id32;
                                                        hasCallback = false;
                                                        if (!hasCallback) {
                                                        }
                                                        if (Build.VERSION.SDK_INT < 26) {
                                                        }
                                                        showExtraNotifications(mBuilder222, z3, defaultPath2);
                                                        scheduleNotificationRepeat();
                                                        return;
                                                    }
                                                    ledColor = needVibrate6;
                                                    user = user2;
                                                } else if (user2 == null) {
                                                    ledColor = needVibrate6;
                                                    user = user2;
                                                } else if (user2.photo != null && user2.photo.photo_small != null && user2.photo.photo_small.volume_id != 0 && user2.photo.photo_small.local_id != 0) {
                                                    photoPath = user2.photo.photo_small;
                                                    ledColor = needVibrate6;
                                                    user = user2;
                                                    String str42 = str2;
                                                    intent.putExtra(str42, this.currentAccount);
                                                    PendingIntent contentIntent2 = PendingIntent.getActivity(ApplicationLoader.applicationContext, 0, intent, 1073741824);
                                                    if (chat_id2 == 0) {
                                                    }
                                                    lastMessageObject = lastMessageObject7;
                                                    lastMessageObject2 = 1;
                                                    if (chat == null) {
                                                    }
                                                    if (((int) override_dialog_id) == 0) {
                                                    }
                                                    String name32 = LocaleController.getString("AppName", R.string.AppName);
                                                    lastMessageObject2 = null;
                                                    name = name32;
                                                    if (UserConfig.getActivatedAccountsCount() > 1) {
                                                    }
                                                    long dialog_id322 = override_dialog_id;
                                                    if (this.pushDialogs.size() == 1) {
                                                    }
                                                    if (this.pushDialogs.size() == 1) {
                                                    }
                                                    NotificationCompat.Builder mBuilder2222 = new NotificationCompat.Builder(ApplicationLoader.applicationContext).setContentTitle(name).setSmallIcon(R.mipmap.notification).setAutoCancel(true).setNumber(this.total_unread_count).setContentIntent(contentIntent2).setGroup(this.notificationGroup).setGroupSummary(true).setShowWhen(true).setWhen(lastMessageObject.messageOwner.date * 1000).setColor(-15618822);
                                                    long[] vibrationPattern6222 = null;
                                                    mBuilder2222.setCategory(NotificationCompat.CATEGORY_MESSAGE);
                                                    if (chat != null) {
                                                    }
                                                    String lastMessage32222 = null;
                                                    if (this.pushMessages.size() == 1) {
                                                    }
                                                    Intent dismissIntent2222 = new Intent(ApplicationLoader.applicationContext, NotificationDismissReceiver.class);
                                                    MessageObject lastMessageObject82222 = lastMessageObject3;
                                                    dismissIntent2222.putExtra("messageDate", lastMessageObject82222.messageOwner.date);
                                                    String str62222 = str3;
                                                    dismissIntent2222.putExtra(str62222, this.currentAccount);
                                                    mBuilder2222.setDeleteIntent(PendingIntent.getBroadcast(ApplicationLoader.applicationContext, 1, dismissIntent2222, 134217728));
                                                    if (photoPath2 != null) {
                                                    }
                                                    if (!notifyAboutLast) {
                                                    }
                                                    mBuilder2222.setPriority(-1);
                                                    if (Build.VERSION.SDK_INT >= 26) {
                                                    }
                                                    if (!z) {
                                                    }
                                                    priority5 = priority4;
                                                    name2 = name;
                                                    photoPath4 = photoPath3;
                                                    needVibrate7 = needVibrate14;
                                                    ledColor2 = ledColor;
                                                    choosenSoundPath6 = choosenSoundPath5;
                                                    long[] vibrationPattern222222 = {0, 0};
                                                    mBuilder2222.setVibrate(vibrationPattern222222);
                                                    vibrationPattern6222 = vibrationPattern222222;
                                                    lastMessage2 = lastMessage;
                                                    boolean hasCallback2222222 = false;
                                                    if (!AndroidUtilities.needShowPasscode(false)) {
                                                    }
                                                    choosenSoundPath7 = choosenSoundPath6;
                                                    lastMessageObject5 = lastMessageObject82222;
                                                    needVibrate8 = needVibrate7;
                                                    ledColor3 = ledColor2;
                                                    z2 = z;
                                                    dialog_id = dialog_id322;
                                                    hasCallback = false;
                                                    if (!hasCallback) {
                                                    }
                                                    if (Build.VERSION.SDK_INT < 26) {
                                                    }
                                                    showExtraNotifications(mBuilder2222, z3, defaultPath2);
                                                    scheduleNotificationRepeat();
                                                    return;
                                                } else {
                                                    ledColor = needVibrate6;
                                                    user = user2;
                                                }
                                            }
                                            photoPath = null;
                                            ledColor = needVibrate6;
                                            user = user2;
                                            String str422 = str2;
                                            intent.putExtra(str422, this.currentAccount);
                                            PendingIntent contentIntent22 = PendingIntent.getActivity(ApplicationLoader.applicationContext, 0, intent, 1073741824);
                                            if (chat_id2 == 0) {
                                            }
                                            lastMessageObject = lastMessageObject7;
                                            lastMessageObject2 = 1;
                                            if (chat == null) {
                                            }
                                            if (((int) override_dialog_id) == 0) {
                                            }
                                            String name322 = LocaleController.getString("AppName", R.string.AppName);
                                            lastMessageObject2 = null;
                                            name = name322;
                                            if (UserConfig.getActivatedAccountsCount() > 1) {
                                            }
                                            long dialog_id3222 = override_dialog_id;
                                            if (this.pushDialogs.size() == 1) {
                                            }
                                            if (this.pushDialogs.size() == 1) {
                                            }
                                            NotificationCompat.Builder mBuilder22222 = new NotificationCompat.Builder(ApplicationLoader.applicationContext).setContentTitle(name).setSmallIcon(R.mipmap.notification).setAutoCancel(true).setNumber(this.total_unread_count).setContentIntent(contentIntent22).setGroup(this.notificationGroup).setGroupSummary(true).setShowWhen(true).setWhen(lastMessageObject.messageOwner.date * 1000).setColor(-15618822);
                                            long[] vibrationPattern62222 = null;
                                            mBuilder22222.setCategory(NotificationCompat.CATEGORY_MESSAGE);
                                            if (chat != null) {
                                            }
                                            String lastMessage322222 = null;
                                            if (this.pushMessages.size() == 1) {
                                            }
                                            Intent dismissIntent22222 = new Intent(ApplicationLoader.applicationContext, NotificationDismissReceiver.class);
                                            MessageObject lastMessageObject822222 = lastMessageObject3;
                                            dismissIntent22222.putExtra("messageDate", lastMessageObject822222.messageOwner.date);
                                            String str622222 = str3;
                                            dismissIntent22222.putExtra(str622222, this.currentAccount);
                                            mBuilder22222.setDeleteIntent(PendingIntent.getBroadcast(ApplicationLoader.applicationContext, 1, dismissIntent22222, 134217728));
                                            if (photoPath2 != null) {
                                            }
                                            if (!notifyAboutLast) {
                                            }
                                            mBuilder22222.setPriority(-1);
                                            if (Build.VERSION.SDK_INT >= 26) {
                                            }
                                            if (!z) {
                                            }
                                            priority5 = priority4;
                                            name2 = name;
                                            photoPath4 = photoPath3;
                                            needVibrate7 = needVibrate14;
                                            ledColor2 = ledColor;
                                            choosenSoundPath6 = choosenSoundPath5;
                                            long[] vibrationPattern2222222 = {0, 0};
                                            mBuilder22222.setVibrate(vibrationPattern2222222);
                                            vibrationPattern62222 = vibrationPattern2222222;
                                            lastMessage2 = lastMessage;
                                            boolean hasCallback22222222 = false;
                                            if (!AndroidUtilities.needShowPasscode(false)) {
                                            }
                                            choosenSoundPath7 = choosenSoundPath6;
                                            lastMessageObject5 = lastMessageObject822222;
                                            needVibrate8 = needVibrate7;
                                            ledColor3 = ledColor2;
                                            z2 = z;
                                            dialog_id = dialog_id3222;
                                            hasCallback = false;
                                            if (!hasCallback) {
                                            }
                                            if (Build.VERSION.SDK_INT < 26) {
                                            }
                                            showExtraNotifications(mBuilder22222, z3, defaultPath2);
                                            scheduleNotificationRepeat();
                                            return;
                                        } else if (this.pushDialogs.size() != 1 || override_dialog_id == globalSecretChatId) {
                                            ledColor = needVibrate6;
                                            user = user2;
                                        } else {
                                            ledColor = needVibrate6;
                                            user = user2;
                                            intent.putExtra("encId", (int) (override_dialog_id >> 32));
                                        }
                                        photoPath = null;
                                        String str4222 = str2;
                                        intent.putExtra(str4222, this.currentAccount);
                                        PendingIntent contentIntent222 = PendingIntent.getActivity(ApplicationLoader.applicationContext, 0, intent, 1073741824);
                                        if (chat_id2 == 0) {
                                        }
                                        lastMessageObject = lastMessageObject7;
                                        lastMessageObject2 = 1;
                                        if (chat == null) {
                                        }
                                        if (((int) override_dialog_id) == 0) {
                                        }
                                        String name3222 = LocaleController.getString("AppName", R.string.AppName);
                                        lastMessageObject2 = null;
                                        name = name3222;
                                        if (UserConfig.getActivatedAccountsCount() > 1) {
                                        }
                                        long dialog_id32222 = override_dialog_id;
                                        if (this.pushDialogs.size() == 1) {
                                        }
                                        if (this.pushDialogs.size() == 1) {
                                        }
                                        NotificationCompat.Builder mBuilder222222 = new NotificationCompat.Builder(ApplicationLoader.applicationContext).setContentTitle(name).setSmallIcon(R.mipmap.notification).setAutoCancel(true).setNumber(this.total_unread_count).setContentIntent(contentIntent222).setGroup(this.notificationGroup).setGroupSummary(true).setShowWhen(true).setWhen(lastMessageObject.messageOwner.date * 1000).setColor(-15618822);
                                        long[] vibrationPattern622222 = null;
                                        mBuilder222222.setCategory(NotificationCompat.CATEGORY_MESSAGE);
                                        if (chat != null) {
                                        }
                                        String lastMessage3222222 = null;
                                        if (this.pushMessages.size() == 1) {
                                        }
                                        Intent dismissIntent222222 = new Intent(ApplicationLoader.applicationContext, NotificationDismissReceiver.class);
                                        MessageObject lastMessageObject8222222 = lastMessageObject3;
                                        dismissIntent222222.putExtra("messageDate", lastMessageObject8222222.messageOwner.date);
                                        String str6222222 = str3;
                                        dismissIntent222222.putExtra(str6222222, this.currentAccount);
                                        mBuilder222222.setDeleteIntent(PendingIntent.getBroadcast(ApplicationLoader.applicationContext, 1, dismissIntent222222, 134217728));
                                        if (photoPath2 != null) {
                                        }
                                        if (!notifyAboutLast) {
                                        }
                                        mBuilder222222.setPriority(-1);
                                        if (Build.VERSION.SDK_INT >= 26) {
                                        }
                                        if (!z) {
                                        }
                                        priority5 = priority4;
                                        name2 = name;
                                        photoPath4 = photoPath3;
                                        needVibrate7 = needVibrate14;
                                        ledColor2 = ledColor;
                                        choosenSoundPath6 = choosenSoundPath5;
                                        long[] vibrationPattern22222222 = {0, 0};
                                        mBuilder222222.setVibrate(vibrationPattern22222222);
                                        vibrationPattern622222 = vibrationPattern22222222;
                                        lastMessage2 = lastMessage;
                                        boolean hasCallback222222222 = false;
                                        if (!AndroidUtilities.needShowPasscode(false)) {
                                        }
                                        choosenSoundPath7 = choosenSoundPath6;
                                        lastMessageObject5 = lastMessageObject8222222;
                                        needVibrate8 = needVibrate7;
                                        ledColor3 = ledColor2;
                                        z2 = z;
                                        dialog_id = dialog_id32222;
                                        hasCallback = false;
                                        if (!hasCallback) {
                                        }
                                        if (Build.VERSION.SDK_INT < 26) {
                                        }
                                        showExtraNotifications(mBuilder222222, z3, defaultPath2);
                                        scheduleNotificationRepeat();
                                        return;
                                    }
                                } else {
                                    needVibrate9 = needVibrate2;
                                }
                                needVibrate5 = needVibrate9;
                                long[] configVibrationPattern2 = null;
                                int configImportance2 = 0;
                                Uri configSound3 = null;
                                if (Build.VERSION.SDK_INT >= 26) {
                                }
                                if (notifyDisabled) {
                                }
                                int needVibrate142 = priority3;
                                Intent intent2 = new Intent(ApplicationLoader.applicationContext, LaunchActivity.class);
                                int priority82 = priority2;
                                intent2.setAction("com.tmessages.openchat" + Math.random() + Integer.MAX_VALUE);
                                if (((int) override_dialog_id) != 0) {
                                }
                                photoPath = null;
                                String str42222 = str2;
                                intent2.putExtra(str42222, this.currentAccount);
                                PendingIntent contentIntent2222 = PendingIntent.getActivity(ApplicationLoader.applicationContext, 0, intent2, 1073741824);
                                if (chat_id2 == 0) {
                                }
                                lastMessageObject = lastMessageObject7;
                                lastMessageObject2 = 1;
                                if (chat == null) {
                                }
                                if (((int) override_dialog_id) == 0) {
                                }
                                String name32222 = LocaleController.getString("AppName", R.string.AppName);
                                lastMessageObject2 = null;
                                name = name32222;
                                if (UserConfig.getActivatedAccountsCount() > 1) {
                                }
                                long dialog_id322222 = override_dialog_id;
                                if (this.pushDialogs.size() == 1) {
                                }
                                if (this.pushDialogs.size() == 1) {
                                }
                                NotificationCompat.Builder mBuilder2222222 = new NotificationCompat.Builder(ApplicationLoader.applicationContext).setContentTitle(name).setSmallIcon(R.mipmap.notification).setAutoCancel(true).setNumber(this.total_unread_count).setContentIntent(contentIntent2222).setGroup(this.notificationGroup).setGroupSummary(true).setShowWhen(true).setWhen(lastMessageObject.messageOwner.date * 1000).setColor(-15618822);
                                long[] vibrationPattern6222222 = null;
                                mBuilder2222222.setCategory(NotificationCompat.CATEGORY_MESSAGE);
                                if (chat != null) {
                                }
                                String lastMessage32222222 = null;
                                if (this.pushMessages.size() == 1) {
                                }
                                Intent dismissIntent2222222 = new Intent(ApplicationLoader.applicationContext, NotificationDismissReceiver.class);
                                MessageObject lastMessageObject82222222 = lastMessageObject3;
                                dismissIntent2222222.putExtra("messageDate", lastMessageObject82222222.messageOwner.date);
                                String str62222222 = str3;
                                dismissIntent2222222.putExtra(str62222222, this.currentAccount);
                                mBuilder2222222.setDeleteIntent(PendingIntent.getBroadcast(ApplicationLoader.applicationContext, 1, dismissIntent2222222, 134217728));
                                if (photoPath2 != null) {
                                }
                                if (!notifyAboutLast) {
                                }
                                mBuilder2222222.setPriority(-1);
                                if (Build.VERSION.SDK_INT >= 26) {
                                }
                                if (!z) {
                                }
                                priority5 = priority4;
                                name2 = name;
                                photoPath4 = photoPath3;
                                needVibrate7 = needVibrate142;
                                ledColor2 = ledColor;
                                choosenSoundPath6 = choosenSoundPath5;
                                long[] vibrationPattern222222222 = {0, 0};
                                mBuilder2222222.setVibrate(vibrationPattern222222222);
                                vibrationPattern6222222 = vibrationPattern222222222;
                                lastMessage2 = lastMessage;
                                boolean hasCallback2222222222 = false;
                                if (!AndroidUtilities.needShowPasscode(false)) {
                                }
                                choosenSoundPath7 = choosenSoundPath6;
                                lastMessageObject5 = lastMessageObject82222222;
                                needVibrate8 = needVibrate7;
                                ledColor3 = ledColor2;
                                z2 = z;
                                dialog_id = dialog_id322222;
                                hasCallback = false;
                                if (!hasCallback) {
                                }
                                if (Build.VERSION.SDK_INT < 26) {
                                }
                                showExtraNotifications(mBuilder2222222, z3, defaultPath2);
                                scheduleNotificationRepeat();
                                return;
                            }
                            needVibrate4 = needVibrate2;
                            if (Build.VERSION.SDK_INT >= 26) {
                            }
                            if (notifyDisabled) {
                            }
                            int needVibrate1422 = priority3;
                            Intent intent22 = new Intent(ApplicationLoader.applicationContext, LaunchActivity.class);
                            int priority822 = priority2;
                            intent22.setAction("com.tmessages.openchat" + Math.random() + Integer.MAX_VALUE);
                            if (((int) override_dialog_id) != 0) {
                            }
                            photoPath = null;
                            String str422222 = str2;
                            intent22.putExtra(str422222, this.currentAccount);
                            PendingIntent contentIntent22222 = PendingIntent.getActivity(ApplicationLoader.applicationContext, 0, intent22, 1073741824);
                            if (chat_id2 == 0) {
                            }
                            lastMessageObject = lastMessageObject7;
                            lastMessageObject2 = 1;
                            if (chat == null) {
                            }
                            if (((int) override_dialog_id) == 0) {
                            }
                            String name322222 = LocaleController.getString("AppName", R.string.AppName);
                            lastMessageObject2 = null;
                            name = name322222;
                            if (UserConfig.getActivatedAccountsCount() > 1) {
                            }
                            long dialog_id3222222 = override_dialog_id;
                            if (this.pushDialogs.size() == 1) {
                            }
                            if (this.pushDialogs.size() == 1) {
                            }
                            NotificationCompat.Builder mBuilder22222222 = new NotificationCompat.Builder(ApplicationLoader.applicationContext).setContentTitle(name).setSmallIcon(R.mipmap.notification).setAutoCancel(true).setNumber(this.total_unread_count).setContentIntent(contentIntent22222).setGroup(this.notificationGroup).setGroupSummary(true).setShowWhen(true).setWhen(lastMessageObject.messageOwner.date * 1000).setColor(-15618822);
                            long[] vibrationPattern62222222 = null;
                            mBuilder22222222.setCategory(NotificationCompat.CATEGORY_MESSAGE);
                            if (chat != null) {
                            }
                            String lastMessage322222222 = null;
                            if (this.pushMessages.size() == 1) {
                            }
                            Intent dismissIntent22222222 = new Intent(ApplicationLoader.applicationContext, NotificationDismissReceiver.class);
                            MessageObject lastMessageObject822222222 = lastMessageObject3;
                            dismissIntent22222222.putExtra("messageDate", lastMessageObject822222222.messageOwner.date);
                            String str622222222 = str3;
                            dismissIntent22222222.putExtra(str622222222, this.currentAccount);
                            mBuilder22222222.setDeleteIntent(PendingIntent.getBroadcast(ApplicationLoader.applicationContext, 1, dismissIntent22222222, 134217728));
                            if (photoPath2 != null) {
                            }
                            if (!notifyAboutLast) {
                            }
                            mBuilder22222222.setPriority(-1);
                            if (Build.VERSION.SDK_INT >= 26) {
                            }
                            if (!z) {
                            }
                            priority5 = priority4;
                            name2 = name;
                            photoPath4 = photoPath3;
                            needVibrate7 = needVibrate1422;
                            ledColor2 = ledColor;
                            choosenSoundPath6 = choosenSoundPath5;
                            long[] vibrationPattern2222222222 = {0, 0};
                            mBuilder22222222.setVibrate(vibrationPattern2222222222);
                            vibrationPattern62222222 = vibrationPattern2222222222;
                            lastMessage2 = lastMessage;
                            boolean hasCallback22222222222 = false;
                            if (!AndroidUtilities.needShowPasscode(false)) {
                            }
                            choosenSoundPath7 = choosenSoundPath6;
                            lastMessageObject5 = lastMessageObject822222222;
                            needVibrate8 = needVibrate7;
                            ledColor3 = ledColor2;
                            z2 = z;
                            dialog_id = dialog_id3222222;
                            hasCallback = false;
                            if (!hasCallback) {
                            }
                            if (Build.VERSION.SDK_INT < 26) {
                            }
                            showExtraNotifications(mBuilder22222222, z3, defaultPath2);
                            scheduleNotificationRepeat();
                            return;
                        } catch (Exception e9) {
                            e = e9;
                        }
                        needVibrate5 = needVibrate4;
                        long[] configVibrationPattern22 = null;
                        int configImportance22 = 0;
                        Uri configSound32 = null;
                    } catch (Exception e10) {
                        e = e10;
                    }
                } catch (Exception e11) {
                    e = e11;
                }
            }
        }
        dismissNotification();
    }

    /*  JADX ERROR: JadxRuntimeException in pass: BlockProcessor
        jadx.core.utils.exceptions.JadxRuntimeException: Unreachable block: B:444:0x0d32
        	at jadx.core.dex.visitors.blocks.BlockProcessor.checkForUnreachableBlocks(BlockProcessor.java:81)
        	at jadx.core.dex.visitors.blocks.BlockProcessor.processBlocksTree(BlockProcessor.java:47)
        	at jadx.core.dex.visitors.blocks.BlockProcessor.visit(BlockProcessor.java:39)
        */
    private void showExtraNotifications(androidx.core.app.NotificationCompat.Builder r72, boolean r73, java.lang.String r74) {
        /*
            Method dump skipped, instructions count: 3727
            To view this dump add '--comments-level debug' option
        */
        throw new UnsupportedOperationException("Method not decompiled: im.uecahxyvjd.messenger.NotificationsController.showExtraNotifications(androidx.core.app.NotificationCompat$Builder, boolean, java.lang.String):void");
    }

    private void loadRoundAvatar(File avatar, Person.Builder personBuilder) {
        if (avatar != null) {
            try {
                Bitmap bitmap = ImageDecoder.decodeBitmap(ImageDecoder.createSource(avatar), new ImageDecoder.OnHeaderDecodedListener() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda20
                    @Override // android.graphics.ImageDecoder.OnHeaderDecodedListener
                    public final void onHeaderDecoded(ImageDecoder imageDecoder, ImageDecoder.ImageInfo imageInfo, ImageDecoder.Source source) {
                        imageDecoder.setPostProcessor(new PostProcessor() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda5
                            @Override // android.graphics.PostProcessor
                            public final int onPostProcess(Canvas canvas) {
                                return NotificationsController.lambda$loadRoundAvatar$32(canvas);
                            }
                        });
                    }
                });
                IconCompat icon = IconCompat.createWithBitmap(bitmap);
                personBuilder.setIcon(icon);
            } catch (Throwable th) {
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ int lambda$loadRoundAvatar$32(Canvas canvas) {
        Path path = new Path();
        path.setFillType(Path.FillType.INVERSE_EVEN_ODD);
        int width = canvas.getWidth();
        int height = canvas.getHeight();
        path.addRoundRect(0.0f, 0.0f, width, height, width / 2, width / 2, Path.Direction.CW);
        Paint paint = new Paint();
        paint.setAntiAlias(true);
        paint.setColor(0);
        paint.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.SRC));
        canvas.drawPath(path, paint);
        return -3;
    }

    public void playOutChatSound() {
        if (!this.inChatSoundEnabled || MediaController.getInstance().isRecordingAudio()) {
            return;
        }
        try {
            if (audioManager.getRingerMode() == 0) {
                return;
            }
        } catch (Exception e) {
            FileLog.e(e);
        }
        notificationsQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda35
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsController.this.m902x6f17d3c3();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$playOutChatSound$35$im-uecahxyvjd-messenger-NotificationsController  reason: not valid java name */
    public /* synthetic */ void m902x6f17d3c3() {
        try {
            if (Math.abs(System.currentTimeMillis() - this.lastSoundOutPlay) <= 100) {
                return;
            }
            this.lastSoundOutPlay = System.currentTimeMillis();
            if (this.soundPool == null) {
                SoundPool soundPool = new SoundPool(3, 1, 0);
                this.soundPool = soundPool;
                soundPool.setOnLoadCompleteListener(new SoundPool.OnLoadCompleteListener() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda17
                    @Override // android.media.SoundPool.OnLoadCompleteListener
                    public final void onLoadComplete(SoundPool soundPool2, int i, int i2) {
                        NotificationsController.lambda$playOutChatSound$34(soundPool2, i, i2);
                    }
                });
            }
            if (this.soundOut == 0 && !this.soundOutLoaded) {
                this.soundOutLoaded = true;
                this.soundOut = this.soundPool.load(ApplicationLoader.applicationContext, R.raw.sound_out, 1);
            }
            int i = this.soundOut;
            if (i != 0) {
                try {
                    this.soundPool.play(i, 1.0f, 1.0f, 1, 0, 1.0f);
                } catch (Exception e) {
                    FileLog.e(e);
                }
            }
        } catch (Exception e2) {
            FileLog.e(e2);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$playOutChatSound$34(SoundPool soundPool, int sampleId, int status) {
        if (status == 0) {
            try {
                soundPool.play(sampleId, 1.0f, 1.0f, 1, 0, 1.0f);
            } catch (Exception e) {
                FileLog.e(e);
            }
        }
    }

    public void setDialogNotificationsSettings(long dialog_id, int setting) {
        long flags;
        SharedPreferences preferences = getAccountInstance().getNotificationsSettings();
        SharedPreferences.Editor editor = preferences.edit();
        TLRPC.Dialog dialog = MessagesController.getInstance(UserConfig.selectedAccount).dialogs_dict.get(dialog_id);
        if (setting == 4) {
            boolean defaultEnabled = isGlobalNotificationsEnabled(dialog_id);
            if (defaultEnabled) {
                editor.remove("notify2_" + dialog_id);
            } else {
                editor.putInt("notify2_" + dialog_id, 0);
            }
            getMessagesStorage().setDialogFlags(dialog_id, 0L);
            if (dialog != null) {
                dialog.notify_settings = new TLRPC.TL_peerNotifySettings();
            }
        } else {
            int untilTime = ConnectionsManager.getInstance(UserConfig.selectedAccount).getCurrentTime();
            if (setting == 0) {
                untilTime += 3600;
            } else if (setting == 1) {
                untilTime += 28800;
            } else if (setting == 2) {
                untilTime += 172800;
            } else if (setting == 3) {
                untilTime = Integer.MAX_VALUE;
            }
            if (setting == 3) {
                editor.putInt("notify2_" + dialog_id, 2);
                flags = 1;
            } else {
                editor.putInt("notify2_" + dialog_id, 3);
                editor.putInt("notifyuntil_" + dialog_id, untilTime);
                flags = (untilTime << 32) | 1;
            }
            getInstance(UserConfig.selectedAccount).removeNotificationsForDialog(dialog_id);
            MessagesStorage.getInstance(UserConfig.selectedAccount).setDialogFlags(dialog_id, flags);
            if (dialog != null) {
                dialog.notify_settings = new TLRPC.TL_peerNotifySettings();
                dialog.notify_settings.mute_until = untilTime;
            }
        }
        editor.commit();
        updateServerNotificationsSettings(dialog_id);
    }

    public void updateServerNotificationsSettings(long dialog_id) {
        updateServerNotificationsSettings(dialog_id, true);
    }

    public void updateServerNotificationsSettings(long dialog_id, boolean post) {
        if (post) {
            getNotificationCenter().postNotificationName(NotificationCenter.notificationsSettingsUpdated, new Object[0]);
        }
        if (((int) dialog_id) == 0) {
            return;
        }
        SharedPreferences preferences = getAccountInstance().getNotificationsSettings();
        TLRPC.TL_account_updateNotifySettings req = new TLRPC.TL_account_updateNotifySettings();
        req.settings = new TLRPC.TL_inputPeerNotifySettings();
        req.settings.flags |= 1;
        req.settings.show_previews = preferences.getBoolean("content_preview_" + dialog_id, true);
        req.settings.flags |= 2;
        req.settings.silent = preferences.getBoolean("silent_" + dialog_id, false);
        int mute_type = preferences.getInt("notify2_" + dialog_id, -1);
        if (mute_type != -1) {
            req.settings.flags |= 4;
            if (mute_type == 3) {
                req.settings.mute_until = preferences.getInt("notifyuntil_" + dialog_id, 0);
            } else {
                req.settings.mute_until = mute_type == 2 ? Integer.MAX_VALUE : 0;
            }
        }
        req.peer = new TLRPC.TL_inputNotifyPeer();
        ((TLRPC.TL_inputNotifyPeer) req.peer).peer = getMessagesController().getInputPeer((int) dialog_id);
        getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda4
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                NotificationsController.lambda$updateServerNotificationsSettings$36(tLObject, tL_error);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$updateServerNotificationsSettings$36(TLObject response, TLRPC.TL_error error) {
    }

    public void updateServerNotificationsSettings(int type) {
        SharedPreferences preferences = getAccountInstance().getNotificationsSettings();
        TLRPC.TL_account_updateNotifySettings req = new TLRPC.TL_account_updateNotifySettings();
        req.settings = new TLRPC.TL_inputPeerNotifySettings();
        req.settings.flags = 5;
        if (type == 0) {
            req.peer = new TLRPC.TL_inputNotifyChats();
            req.settings.mute_until = preferences.getInt("EnableGroup2", 0);
            req.settings.show_previews = preferences.getBoolean("EnablePreviewGroup", true);
        } else if (type == 1) {
            req.peer = new TLRPC.TL_inputNotifyUsers();
            req.settings.mute_until = preferences.getInt("EnableAll2", 0);
            req.settings.show_previews = preferences.getBoolean("EnablePreviewAll", true);
        } else {
            req.peer = new TLRPC.TL_inputNotifyBroadcasts();
            req.settings.mute_until = preferences.getInt("EnableChannel2", 0);
            req.settings.show_previews = preferences.getBoolean("EnablePreviewChannel", true);
        }
        getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.messenger.NotificationsController$$ExternalSyntheticLambda36
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                NotificationsController.lambda$updateServerNotificationsSettings$37(tLObject, tL_error);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$updateServerNotificationsSettings$37(TLObject response, TLRPC.TL_error error) {
    }

    public boolean isGlobalNotificationsEnabled(long did) {
        int type;
        int lower_id = (int) did;
        if (lower_id < 0) {
            TLRPC.Chat chat = getMessagesController().getChat(Integer.valueOf(-lower_id));
            if (ChatObject.isChannel(chat) && !chat.megagroup) {
                type = 2;
            } else {
                type = 0;
            }
        } else {
            type = 1;
        }
        return isGlobalNotificationsEnabled(type);
    }

    public boolean isGlobalNotificationsEnabled(int type) {
        return getAccountInstance().getNotificationsSettings().getInt(getGlobalNotificationsKey(type), 0) < getConnectionsManager().getCurrentTime();
    }

    public void setGlobalNotificationsEnabled(int type, int time) {
        getAccountInstance().getNotificationsSettings().edit().putInt(getGlobalNotificationsKey(type), time).commit();
        updateServerNotificationsSettings(type);
    }

    public String getGlobalNotificationsKey(int type) {
        if (type == 0) {
            return "EnableGroup2";
        }
        if (type == 1) {
            return "EnableAll2";
        }
        return "EnableChannel2";
    }
}
