package im.uecahxyvjd.messenger;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import androidx.core.app.RemoteInput;
import im.uecahxyvjd.tgnet.TLRPC;
/* loaded from: classes16.dex */
public class WearReplyReceiver extends BroadcastReceiver {
    @Override // android.content.BroadcastReceiver
    public void onReceive(Context context, Intent intent) {
        ApplicationLoader.postInitApplication();
        Bundle remoteInput = RemoteInput.getResultsFromIntent(intent);
        if (remoteInput == null) {
            return;
        }
        final CharSequence text = remoteInput.getCharSequence(NotificationsController.EXTRA_VOICE_REPLY);
        if (!TextUtils.isEmpty(text)) {
            final long dialog_id = intent.getLongExtra("dialog_id", 0L);
            final int max_id = intent.getIntExtra("max_id", 0);
            int currentAccount = intent.getIntExtra("currentAccount", 0);
            if (dialog_id != 0 && max_id != 0) {
                final int lowerId = (int) dialog_id;
                int i = (int) (dialog_id >> 32);
                final AccountInstance accountInstance = AccountInstance.getInstance(currentAccount);
                if (lowerId > 0) {
                    TLRPC.User user = accountInstance.getMessagesController().getUser(Integer.valueOf(lowerId));
                    if (user == null) {
                        Utilities.globalQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.WearReplyReceiver$$ExternalSyntheticLambda1
                            @Override // java.lang.Runnable
                            public final void run() {
                                WearReplyReceiver.this.m1004lambda$onReceive$1$imuecahxyvjdmessengerWearReplyReceiver(accountInstance, lowerId, text, dialog_id, max_id);
                            }
                        });
                        return;
                    }
                } else if (lowerId < 0) {
                    TLRPC.Chat chat = accountInstance.getMessagesController().getChat(Integer.valueOf(-lowerId));
                    if (chat == null) {
                        Utilities.globalQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.messenger.WearReplyReceiver$$ExternalSyntheticLambda2
                            @Override // java.lang.Runnable
                            public final void run() {
                                WearReplyReceiver.this.m1006lambda$onReceive$3$imuecahxyvjdmessengerWearReplyReceiver(accountInstance, lowerId, text, dialog_id, max_id);
                            }
                        });
                        return;
                    }
                }
                sendMessage(accountInstance, text, dialog_id, max_id);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onReceive$1$im-uecahxyvjd-messenger-WearReplyReceiver  reason: not valid java name */
    public /* synthetic */ void m1004lambda$onReceive$1$imuecahxyvjdmessengerWearReplyReceiver(final AccountInstance accountInstance, int lowerId, final CharSequence text, final long dialog_id, final int max_id) {
        final TLRPC.User user1 = accountInstance.getMessagesStorage().getUserSync(lowerId);
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.WearReplyReceiver$$ExternalSyntheticLambda3
            @Override // java.lang.Runnable
            public final void run() {
                WearReplyReceiver.this.m1003lambda$onReceive$0$imuecahxyvjdmessengerWearReplyReceiver(accountInstance, user1, text, dialog_id, max_id);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onReceive$0$im-uecahxyvjd-messenger-WearReplyReceiver  reason: not valid java name */
    public /* synthetic */ void m1003lambda$onReceive$0$imuecahxyvjdmessengerWearReplyReceiver(AccountInstance accountInstance, TLRPC.User user1, CharSequence text, long dialog_id, int max_id) {
        accountInstance.getMessagesController().putUser(user1, true);
        sendMessage(accountInstance, text, dialog_id, max_id);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onReceive$3$im-uecahxyvjd-messenger-WearReplyReceiver  reason: not valid java name */
    public /* synthetic */ void m1006lambda$onReceive$3$imuecahxyvjdmessengerWearReplyReceiver(final AccountInstance accountInstance, int lowerId, final CharSequence text, final long dialog_id, final int max_id) {
        final TLRPC.Chat chat1 = accountInstance.getMessagesStorage().getChatSync(-lowerId);
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.messenger.WearReplyReceiver$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                WearReplyReceiver.this.m1005lambda$onReceive$2$imuecahxyvjdmessengerWearReplyReceiver(accountInstance, chat1, text, dialog_id, max_id);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onReceive$2$im-uecahxyvjd-messenger-WearReplyReceiver  reason: not valid java name */
    public /* synthetic */ void m1005lambda$onReceive$2$imuecahxyvjdmessengerWearReplyReceiver(AccountInstance accountInstance, TLRPC.Chat chat1, CharSequence text, long dialog_id, int max_id) {
        accountInstance.getMessagesController().putChat(chat1, true);
        sendMessage(accountInstance, text, dialog_id, max_id);
    }

    private void sendMessage(AccountInstance accountInstance, CharSequence text, long dialog_id, int max_id) {
        accountInstance.getSendMessagesHelper().sendMessage(text.toString(), dialog_id, null, null, true, null, null, null, true, 0);
        accountInstance.getMessagesController().markDialogAsRead(dialog_id, max_id, max_id, 0, false, 0, true, 0);
    }
}
