package im.uecahxyvjd.messenger.utils;
/* loaded from: classes15.dex */
public class TaskQueue<T> {
    private TaskQueue<T>.DataNode pHeader = null;
    private TaskQueue<T>.DataNode pTail = null;
    private int miCount = 0;

    public synchronized boolean inputQueue(T tMember) {
        if (tMember == null) {
            return false;
        }
        TaskQueue<T>.DataNode dataNode = new DataNode(tMember);
        if (this.miCount == 0) {
            this.pHeader = dataNode;
            this.pTail = dataNode;
        } else {
            ((DataNode) this.pTail).mNextNode = dataNode;
        }
        this.pTail = dataNode;
        this.miCount++;
        return true;
    }

    public synchronized T getQueueTask() {
        TaskQueue<T>.DataNode dataNode = null;
        TaskQueue<T>.DataNode dataNode2 = this.pHeader;
        if (dataNode2 != null) {
            dataNode = dataNode2;
            this.pHeader = ((DataNode) dataNode).mNextNode;
            ((DataNode) dataNode).mNextNode = null;
            this.miCount--;
        }
        if (dataNode != null) {
            return (T) ((DataNode) dataNode).mData;
        }
        return null;
    }

    public synchronized void cleanQueue() {
        while (true) {
            TaskQueue<T>.DataNode dataNode = this.pHeader;
            if (dataNode == null) {
                this.miCount = 0;
            } else {
                this.pHeader = ((DataNode) dataNode).mNextNode;
                ((DataNode) dataNode).mNextNode = null;
            }
        }
    }

    public int getQueueSize() {
        return this.miCount;
    }

    /* loaded from: classes15.dex */
    private class DataNode {
        private T mData;
        private TaskQueue<T>.DataNode mNextNode = null;

        public DataNode(T t) {
            this.mData = t;
        }
    }
}
