package im.uecahxyvjd.messenger.voip;

import kotlin.UByte;
import kotlin.jvm.internal.ByteCompanionObject;
/* loaded from: classes6.dex */
public class EncryptionKeyEmojifier {
    private static final String[] emojis = {"😉", "😍", "😛", "😭", "😱", "😡", "😎", "😴", "😵", "😈", "😬", "😇", "😏", "👮", "👷", "💂", "👶", "👨", "👩", "👴", "👵", "😻", "😽", "🙀", "👺", "🙈", "🙉", "🙊", "💀", "👽", "💩", "🔥", "💥", "💤", "👂", "👀", "👃", "👅", "👄", "👍", "👎", "👌", "👊", "✌", "✋", "👐", "👆", "👇", "👉", "👈", "🙏", "👏", "💪", "🚶", "🏃", "💃", "👫", "👪", "👬", "👭", "💅", "🎩", "👑", "👒", "👟", "👞", "👠", "👕", "👗", "👖", "👙", "👜", "👓", "🎀", "💄", "💛", "💙", "💜", "💚", "💍", "💎", "🐶", "🐺", "🐱", "🐭", "🐹", "🐰", "🐸", "🐯", "🐨", "🐻", "🐷", "🐮", "🐗", "🐴", "🐑", "🐘", "🐼", "🐧", "🐥", "🐔", "🐍", "🐢", "🐛", "🐝", "🐜", "🐞", "🐌", "🐙", "🐚", "🐟", "🐬", "🐋", "🐐", "🐊", "🐫", "🍀", "🌹", "🌻", "🍁", "🌾", "🍄", "🌵", "🌴", "🌳", "🌞", "🌚", "🌙", "🌎", "🌋", "⚡", "☔", "❄", "⛄", "🌀", "🌈", "🌊", "🎓", "🎆", "🎃", "👻", "🎅", "🎄", "🎁", "🎈", "🔮", "🎥", "📷", "💿", "💻", "☎", "📡", "📺", "📻", "🔉", "🔔", "⏳", "⏰", "⌚", "🔒", "🔑", "🔎", "💡", "🔦", "🔌", "🔋", "🚿", "🚽", "🔧", "🔨", "🚪", "🚬", "💣", "🔫", "🔪", "💊", "💉", "💰", "💵", "💳", "✉", "📫", "📦", "📅", "📁", "✂", "📌", "📎", "✒", "✏", "📐", "📚", "🔬", "🔭", "🎨", "🎬", "🎤", "🎧", "🎵", "🎹", "🎻", "🎺", "🎸", "👾", "🎮", "🃏", "🎲", "🎯", "🏈", "🏀", "⚽", "⚾", "🎾", "🎱", "🏉", "🎳", "🏁", "🏇", "🏆", "🏊", "🏄", "☕", "🍼", "🍺", "🍷", "🍴", "🍕", "🍔", "🍟", "🍗", "🍱", "🍚", "🍜", "🍡", "🍳", "🍞", "🍩", "🍦", "🎂", "🍰", "🍪", "🍫", "🍭", "🍯", "🍎", "🍏", "🍊", "🍋", "🍒", "🍇", "🍉", "🍓", "🍑", "🍌", "🍐", "🍍", "🍆", "🍅", "🌽", "🏡", "🏥", "🏦", "⛪", "🏰", "⛺", "🏭", "🗻", "🗽", "🎠", "🎡", "⛲", "🎢", "🚢", "🚤", "⚓", "🚀", "✈", "🚁", "🚂", "🚋", "🚎", "🚌", "🚙", "🚗", "🚕", "🚛", "🚨", "🚔", "🚒", "🚑", "🚲", "🚠", "🚜", "🚦", "⚠", "🚧", "⛽", "🎰", "🗿", "🎪", "🎭", "🇯🇵", "🇰🇷", "🇩🇪", "🇨🇳", "🇺🇸", "🇫🇷", "🇪🇸", "🇮🇹", "🇷🇺", "🇬🇧", "1⃣", "2⃣", "3⃣", "4⃣", "5⃣", "6⃣", "7⃣", "8⃣", "9⃣", "0⃣", "🔟", "❗", "❓", "♥", "♦", "💯", "🔗", "🔱", "🔴", "🔵", "🔶", "🔷"};
    private static final int[] offsets = {0, 4, 8, 12, 16};

    private static int bytesToInt(byte[] arr, int offset) {
        return ((arr[offset] & ByteCompanionObject.MAX_VALUE) << 24) | ((arr[offset + 1] & UByte.MAX_VALUE) << 16) | ((arr[offset + 2] & UByte.MAX_VALUE) << 8) | (arr[offset + 3] & UByte.MAX_VALUE);
    }

    private static long bytesToLong(byte[] arr, int offset) {
        return ((arr[offset] & 127) << 56) | ((arr[offset + 1] & 255) << 48) | ((arr[offset + 2] & 255) << 40) | ((arr[offset + 3] & 255) << 32) | ((arr[offset + 4] & 255) << 24) | ((arr[offset + 5] & 255) << 16) | ((arr[offset + 6] & 255) << 8) | (arr[offset + 7] & 255);
    }

    public static String[] emojify(byte[] sha256) {
        if (sha256.length != 32) {
            throw new IllegalArgumentException("sha256 needs to be exactly 32 bytes");
        }
        String[] result = new String[5];
        for (int i = 0; i < 5; i++) {
            String[] strArr = emojis;
            result[i] = strArr[bytesToInt(sha256, offsets[i]) % strArr.length];
        }
        return result;
    }

    public static String[] emojifyForCall(byte[] sha256) {
        String[] result = new String[4];
        for (int i = 0; i < 4; i++) {
            String[] strArr = emojis;
            result[i] = strArr[(int) (bytesToLong(sha256, i * 8) % strArr.length)];
        }
        return result;
    }
}
