package im.uecahxyvjd.phoneformat;
/* loaded from: classes4.dex */
public class PhoneRule {
    public int byte8;
    public String desensitizationFormat;
    public int flag12;
    public int flag13;
    public String format;
    public boolean hasIntlPrefix;
    public boolean hasTrunkPrefix;
    public int maxLen;
    public int maxVal;
    public int minVal;
    public int otherFlag;
    public int prefixLen;

    /* JADX INFO: Access modifiers changed from: package-private */
    public String format(String str, String intlPrefix, String trunkPrefix) {
        boolean hadC = false;
        boolean hadN = false;
        boolean hasOpen = false;
        int spot = 0;
        StringBuilder res = new StringBuilder(20);
        for (int i = 0; i < this.format.length(); i++) {
            char ch = this.format.charAt(i);
            switch (ch) {
                case '#':
                    if (spot < str.length()) {
                        res.append(str.substring(spot, spot + 1));
                        spot++;
                        continue;
                    } else if (hasOpen) {
                        res.append(" ");
                    }
                case '(':
                    if (spot < str.length()) {
                        hasOpen = true;
                        break;
                    }
                    break;
                case 'c':
                    hadC = true;
                    if (intlPrefix != null) {
                        res.append(intlPrefix);
                    } else {
                        continue;
                    }
                case 'n':
                    hadN = true;
                    if (trunkPrefix != null) {
                        res.append(trunkPrefix);
                    } else {
                        continue;
                    }
            }
            if ((ch != ' ' || i <= 0 || ((this.format.charAt(i - 1) != 'n' || trunkPrefix != null) && (this.format.charAt(i - 1) != 'c' || intlPrefix != null))) && (spot < str.length() || (hasOpen && ch == ')'))) {
                res.append(this.format.substring(i, i + 1));
                if (ch == ')') {
                    hasOpen = false;
                }
            }
        }
        if (intlPrefix != null && !hadC) {
            res.insert(0, String.format("%s ", intlPrefix));
        } else if (trunkPrefix != null && !hadN) {
            res.insert(0, trunkPrefix);
        }
        return res.toString();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public String desensitization(String str, String intlPrefix, String trunkPrefix) {
        String str2;
        if (this.desensitizationFormat == null && (str2 = this.format) != null) {
            StringBuilder dres = new StringBuilder(str2.length());
            String[] arrs = this.format.split("-");
            if (arrs.length == 1) {
                dres.append(handleDesensitizationSpecial(arrs[0], 3));
            } else if (arrs.length == 2) {
                dres.append(arrs[0]);
                dres.append(handleDesensitizationSpecial(arrs[1], 2));
            } else {
                dres.append(arrs[0]);
                for (int i = 1; i < arrs.length - 1; i++) {
                    String e = arrs[i];
                    for (int j = 0; j < e.length(); j++) {
                        dres.append("*");
                    }
                }
                int i2 = arrs.length;
                dres.append(arrs[i2 - 1]);
            }
            this.desensitizationFormat = dres.toString();
        }
        boolean hadC = false;
        boolean hadN = false;
        boolean hasOpen = false;
        int spot = 0;
        StringBuilder res = new StringBuilder(20);
        for (int i3 = 0; i3 < this.desensitizationFormat.length(); i3++) {
            char ch = this.desensitizationFormat.charAt(i3);
            switch (ch) {
                case '#':
                    if (spot < str.length()) {
                        res.append(str.substring(spot, spot + 1));
                        spot++;
                        continue;
                    } else if (hasOpen) {
                        res.append(" ");
                    }
                case '(':
                    if (spot < str.length()) {
                        hasOpen = true;
                        break;
                    }
                    break;
                case 'c':
                    hadC = true;
                    if (intlPrefix != null) {
                        res.append(intlPrefix);
                    } else {
                        continue;
                    }
                case 'n':
                    hadN = true;
                    if (trunkPrefix != null) {
                        res.append(trunkPrefix);
                    } else {
                        continue;
                    }
            }
            if ((ch != ' ' || i3 <= 0 || ((this.format.charAt(i3 - 1) != 'n' || trunkPrefix != null) && (this.format.charAt(i3 - 1) != 'c' || intlPrefix != null))) && (spot < str.length() || (hasOpen && ch == ')'))) {
                res.append(this.desensitizationFormat.substring(i3, i3 + 1));
                if (ch == ')') {
                    hasOpen = false;
                }
            }
        }
        if (intlPrefix != null && !hadC) {
            res.insert(0, String.format("%s ", intlPrefix));
        } else if (trunkPrefix != null && !hadN) {
            res.insert(0, trunkPrefix);
        }
        return res.toString();
    }

    private String handleDesensitizationSpecial(String str, int type) {
        if (str == null) {
            return "";
        }
        StringBuilder res = new StringBuilder(str.length());
        if (str.length() == 0) {
            return "";
        }
        if (str.length() == 1) {
            return str;
        }
        if (str.length() == 2) {
            return type == 1 ? "#*" : type == 2 ? "*#" : str;
        } else if (str.length() == 3) {
            return type == 1 ? "#**" : type == 2 ? "**#" : "#*#";
        } else if (str.length() == 4) {
            return type == 1 ? "#***" : type == 2 ? "***#" : "#**#";
        } else if (str.length() == 5) {
            return type == 1 ? "##***" : type == 2 ? "***##" : "#***#";
        } else if (str.length() == 6) {
            return type == 1 ? "##****" : type == 2 ? "****##" : "#****#";
        } else if (str.length() == 7) {
            return type == 1 ? "###****" : type == 2 ? "****###" : "##****#";
        } else {
            if (type == 1) {
                res.append("####");
                for (int i = 4; i < str.length(); i++) {
                    res.append("*");
                }
            } else if (type == 2) {
                for (int i2 = 0; i2 < str.length() - 4; i2++) {
                    res.append("*");
                }
                res.append("####");
            } else {
                res.append("##");
                for (int i3 = 2; i3 < str.length() - 2; i3++) {
                    res.append("*");
                }
            }
            return res.toString();
        }
    }

    boolean hasIntlPrefix() {
        return (this.flag12 & 2) != 0;
    }

    boolean hasTrunkPrefix() {
        return (this.flag12 & 1) != 0;
    }
}
