package im.uecahxyvjd.tgnet;

import android.text.TextUtils;
import com.bjz.comm.net.bean.BResponse;
import com.bjz.comm.net.bean.TokenRequest;
import com.bjz.comm.net.factory.ApiFactory;
import com.bjz.comm.net.listener.GetHttpTokenCallBack;
import com.google.gson.Gson;
import com.socks.library.KLog;
import im.uecahxyvjd.javaBean.AllTokenResponse;
import im.uecahxyvjd.messenger.AccountInstance;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.tgnet.FCTokenRequestCallback;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCBasic;
import io.reactivex.Observable;
import io.reactivex.ObservableEmitter;
import io.reactivex.ObservableOnSubscribe;
import io.reactivex.ObservableSource;
import io.reactivex.disposables.Disposable;
import io.reactivex.functions.Consumer;
import io.reactivex.functions.Function;
import io.reactivex.schedulers.Schedulers;
import java.util.concurrent.TimeUnit;
/* loaded from: classes7.dex */
public class FCTokenRequestCallback implements GetHttpTokenCallBack {
    private static final String TAG = FCTokenRequestCallback.class.getSimpleName();

    /* renamed from: im  reason: collision with root package name */
    private boolean f612im = true;
    private Disposable disposable = null;

    public static FCTokenRequestCallback getInstance() {
        return Holder.INSTANCE;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes7.dex */
    public static class Holder {
        private static final FCTokenRequestCallback INSTANCE = new FCTokenRequestCallback();

        private Holder() {
        }
    }

    @Override // com.bjz.comm.net.listener.GetHttpTokenCallBack
    public void requestToken(final ObservableEmitter<String> ef) {
        KLog.e("TAG", "获取Token start");
        if (this.f612im) {
            Disposable disposable = this.disposable;
            if (disposable != null && !disposable.isDisposed()) {
                this.disposable.dispose();
                this.disposable = null;
            }
            this.disposable = Observable.create(new AnonymousClass2()).timeout(5L, TimeUnit.SECONDS).retryWhen(new Function<Observable<Throwable>, ObservableSource<String>>() { // from class: im.uecahxyvjd.tgnet.FCTokenRequestCallback.1
                private int retryCount = 0;

                static /* synthetic */ int access$108(AnonymousClass1 x0) {
                    int i = x0.retryCount;
                    x0.retryCount = i + 1;
                    return i;
                }

                @Override // io.reactivex.functions.Function
                public ObservableSource<String> apply(Observable<Throwable> throwableObservable) throws Exception {
                    return throwableObservable.flatMap(new Function<Throwable, ObservableSource<String>>() { // from class: im.uecahxyvjd.tgnet.FCTokenRequestCallback.1.1
                        @Override // io.reactivex.functions.Function
                        public ObservableSource<String> apply(Throwable throwable) throws Exception {
                            AnonymousClass1.access$108(AnonymousClass1.this);
                            KLog.e(FCTokenRequestCallback.TAG, "获取朋友圈Token retryThrowable = " + throwable.getMessage());
                            KLog.e(FCTokenRequestCallback.TAG, "获取朋友圈Token retryCount = " + AnonymousClass1.this.retryCount);
                            if (AnonymousClass1.this.retryCount != 3) {
                                if (AnonymousClass1.this.retryCount > 3) {
                                    return Observable.error(throwable);
                                }
                                return Observable.just("");
                            }
                            return Observable.just("");
                        }
                    });
                }
            }).subscribeOn(Schedulers.io()).subscribe(new Consumer() { // from class: im.uecahxyvjd.tgnet.FCTokenRequestCallback$$ExternalSyntheticLambda0
                @Override // io.reactivex.functions.Consumer
                public final void accept(Object obj) {
                    FCTokenRequestCallback.this.m1030lambda$requestToken$0$imuecahxyvjdtgnetFCTokenRequestCallback(ef, (String) obj);
                }
            }, new Consumer() { // from class: im.uecahxyvjd.tgnet.FCTokenRequestCallback$$ExternalSyntheticLambda1
                @Override // io.reactivex.functions.Consumer
                public final void accept(Object obj) {
                    FCTokenRequestCallback.this.m1031lambda$requestToken$1$imuecahxyvjdtgnetFCTokenRequestCallback(ef, (Throwable) obj);
                }
            });
            return;
        }
        int clientUserId = UserConfig.getInstance(UserConfig.selectedAccount).getClientUserId();
        Observable<BResponse<TokenRequest>> token = ApiFactory.getInstance().getApiMomentForum().getToken(clientUserId);
        token.subscribeOn(Schedulers.io()).subscribe(new Consumer() { // from class: im.uecahxyvjd.tgnet.FCTokenRequestCallback$$ExternalSyntheticLambda2
            @Override // io.reactivex.functions.Consumer
            public final void accept(Object obj) {
                FCTokenRequestCallback.lambda$requestToken$2(ObservableEmitter.this, (BResponse) obj);
            }
        }, new Consumer() { // from class: im.uecahxyvjd.tgnet.FCTokenRequestCallback$$ExternalSyntheticLambda3
            @Override // io.reactivex.functions.Consumer
            public final void accept(Object obj) {
                ObservableEmitter.this.onError((Throwable) obj);
            }
        });
    }

    /* renamed from: im.uecahxyvjd.tgnet.FCTokenRequestCallback$2  reason: invalid class name */
    /* loaded from: classes7.dex */
    class AnonymousClass2 implements ObservableOnSubscribe<String> {
        AnonymousClass2() {
        }

        @Override // io.reactivex.ObservableOnSubscribe
        public void subscribe(final ObservableEmitter<String> e) throws Exception {
            TLRPCBasic.TL_GetToken req = new TLRPCBasic.TL_GetToken();
            req.friendCircle = true;
            AccountInstance instance = AccountInstance.getInstance(UserConfig.selectedAccount);
            instance.getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.tgnet.FCTokenRequestCallback$2$$ExternalSyntheticLambda0
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    FCTokenRequestCallback.AnonymousClass2.lambda$subscribe$0(ObservableEmitter.this, tLObject, tL_error);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        public static /* synthetic */ void lambda$subscribe$0(ObservableEmitter e, TLObject response, TLRPC.TL_error error) {
            if (!(response instanceof TLRPCBasic.TL_AllToken)) {
                KLog.e(FCTokenRequestCallback.TAG, "获取朋友圈Token error == " + error.text);
                return;
            }
            TLRPCBasic.TL_AllToken tl_allToken = (TLRPCBasic.TL_AllToken) response;
            TLRPC.TL_dataJSON tokens = tl_allToken.tokens;
            if (tokens == null) {
                KLog.e(FCTokenRequestCallback.TAG, "获取朋友圈Token error == " + error.text);
                e.onError(new Throwable(error.text != null ? error.text : "获取Token失败"));
                return;
            }
            String data = tokens.data;
            if (TextUtils.isEmpty(data)) {
                KLog.e(FCTokenRequestCallback.TAG, "获取朋友圈Token data == null ");
                e.onError(new Throwable("获取Token失败"));
                return;
            }
            try {
                AllTokenResponse tokenResponse = (AllTokenResponse) new Gson().fromJson(data, (Class<Object>) AllTokenResponse.class);
                if (tokenResponse != null) {
                    String momenttoken = tokenResponse.getMomenttoken();
                    KLog.e(FCTokenRequestCallback.TAG, "获取朋友圈Token == " + momenttoken);
                    e.onNext(momenttoken);
                }
            } catch (Exception exception) {
                KLog.e(FCTokenRequestCallback.TAG, "获取朋友圈Token error == " + exception.getMessage());
                e.onError(exception);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$requestToken$0$im-uecahxyvjd-tgnet-FCTokenRequestCallback  reason: not valid java name */
    public /* synthetic */ void m1030lambda$requestToken$0$imuecahxyvjdtgnetFCTokenRequestCallback(ObservableEmitter ef, String o) throws Exception {
        Disposable disposable = this.disposable;
        if (disposable != null && !disposable.isDisposed()) {
            this.disposable.dispose();
            this.disposable = null;
        }
        ef.onNext(o);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$requestToken$1$im-uecahxyvjd-tgnet-FCTokenRequestCallback  reason: not valid java name */
    public /* synthetic */ void m1031lambda$requestToken$1$imuecahxyvjdtgnetFCTokenRequestCallback(ObservableEmitter ef, Throwable throwable) throws Exception {
        Disposable disposable = this.disposable;
        if (disposable != null && !disposable.isDisposed()) {
            this.disposable.dispose();
            this.disposable = null;
        }
        ef.onError(throwable);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$requestToken$2(ObservableEmitter ef, BResponse tokenRequestBResponse) throws Exception {
        if (tokenRequestBResponse.isState() && tokenRequestBResponse.Data != 0) {
            ef.onNext(((TokenRequest) tokenRequestBResponse.Data).getToken());
        } else {
            ef.onError(new Throwable("获取token失败"));
        }
    }
}
