package im.uecahxyvjd.tgnet;

import java.io.File;
/* loaded from: classes7.dex */
public class FileLoadOperation {
    private long address;
    private FileLoadOperationDelegate delegate;
    private boolean isForceRequest;
    private boolean started;

    public static native void native_cancelLoadOperation(long j);

    public static native long native_createLoadOpetation(int i, long j, long j2, long j3, int i2, byte[] bArr, byte[] bArr2, String str, int i3, int i4, String str2, String str3, Object obj);

    public static native void native_startLoadOperation(long j);

    public FileLoadOperation(int dc_id, long id, long volume_id, long access_hash, int local_id, byte[] encKey, byte[] encIv, String extension, int version, int size, File dest, File temp, FileLoadOperationDelegate fileLoadOperationDelegate) {
        this.address = native_createLoadOpetation(dc_id, id, volume_id, access_hash, local_id, encKey, encIv, extension, version, size, dest.getAbsolutePath(), temp.getAbsolutePath(), fileLoadOperationDelegate);
        this.delegate = fileLoadOperationDelegate;
    }

    public void setForceRequest(boolean forceRequest) {
        this.isForceRequest = forceRequest;
    }

    public boolean isForceRequest() {
        return this.isForceRequest;
    }

    public void start() {
        if (this.started) {
            return;
        }
        long j = this.address;
        if (j == 0) {
            this.delegate.onFailed(0);
            return;
        }
        this.started = true;
        native_startLoadOperation(j);
    }

    public void cancel() {
        if (this.started) {
            long j = this.address;
            if (j == 0) {
                return;
            }
            native_cancelLoadOperation(j);
        }
    }

    public boolean wasStarted() {
        return this.started;
    }
}
