package im.uecahxyvjd.tgnet;

import android.text.TextUtils;
import com.alibaba.fastjson.JSONObject;
import com.aliyun.security.yunceng.android.sdk.YunCeng;
import com.google.android.exoplayer2.util.Log;
import com.google.gson.Gson;
import com.king.zxing.util.LogUtils;
import com.qiniu.android.dns.DnsManager;
import com.qiniu.android.dns.IResolver;
import com.qiniu.android.dns.NetworkInfo;
import com.qiniu.android.dns.Record;
import com.qiniu.android.dns.dns.DohResolver;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.BuildVars;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.ui.hui.friendscircle.okhttphelper.MD5Utils;
import im.uecahxyvjd.ui.hui.friendscircle_v1.view.expandTextView.model.UUIDUtils;
import im.uecahxyvjd.ui.utils.AesUtils;
import java.io.ByteArrayOutputStream;
import java.io.InputStream;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.net.HttpURLConnection;
import java.net.URL;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import org.webrtc.utils.RecvStatsReportCommon;
/* loaded from: classes7.dex */
public class NetworkConfig {
    private static final int ENV_LOCAL = 1000;
    private static final int ENV_LOCAL_TEST = 1001;
    private static final int ENV_NONE = 0;
    private static final int ENV_ONLINE = 1002;
    private static final int ENV_ONLINE_GREY = 1004;
    private static final int ENV_ONLINE_TEST = 1003;
    private DnsManager dnsManager;
    private boolean inited;
    private boolean inited_doh;
    private boolean initing;
    private boolean initing_doh;
    public static final String[] IP_DEFALUT_ONLINE = {"1.1.1.1", "30689"};
    public static final String[] HOST = {"https://ao6957gric.execute-api.ap-northeast-1.amazonaws.com/prod/dns-query", "https://bwsad689.asduka677.com/dns-query"};
    private static volatile NetworkConfig sInstance = new NetworkConfig();
    public static int serverIndex = 1;
    private String dohDomain = "cn.bw689.com";
    private ArrayList<NetBean> connInfos = new ArrayList<>();
    private int sCurrentConnection = -1;
    protected int currentAccount = UserConfig.selectedAccount;
    private boolean start = true;

    @Retention(RetentionPolicy.SOURCE)
    /* loaded from: classes7.dex */
    private @interface EnvNode {
    }

    public static NetworkConfig getInstance() {
        NetworkConfig localInstance = sInstance;
        if (localInstance == null) {
            synchronized (NetworkConfig.class) {
                localInstance = sInstance;
                if (localInstance == null) {
                    NetworkConfig networkConfig = new NetworkConfig();
                    localInstance = networkConfig;
                    sInstance = networkConfig;
                }
            }
        }
        return localInstance;
    }

    public static void setIpPortDefaultAddress() {
        String[] cfg;
        if (BuildVars.RELEASE_VERSION) {
            cfg = IP_DEFALUT_ONLINE;
        } else {
            cfg = getInstance().initNetconfig(1001);
        }
        if (BuildVars.DEBUG_VERSION) {
            Log.i("connection", "java NetWorkConfig setIpPortDefaultAddress ===> address = " + (cfg != null ? Arrays.toString(cfg) : "null"));
        }
        if (cfg != null && cfg[0] != null && cfg[1] != null) {
            for (int a2 = 0; a2 < 3; a2++) {
                ConnectionsManager.native_setIpPortDefaultAddress(a2, cfg[0], Integer.parseInt(cfg[1]));
            }
        }
    }

    private NetworkConfig() {
    }

    public void applyNetconfig(int instance) {
        String[] cfg;
        if (BuildVars.RELEASE_VERSION) {
            cfg = initNetconfig(1002);
        } else {
            cfg = initNetconfig(1002);
        }
        if (BuildVars.DEBUG_VERSION) {
            Log.i("connection", "java NetWorkConfig applyNetconfig ===> address = " + (cfg != null ? Arrays.toString(cfg) : "null"));
        }
        if (cfg != null && cfg[0] != null && cfg[1] != null) {
            ConnectionsManager.getInstance(instance).applyDatacenterAddress(2, cfg[0], Integer.parseInt(cfg[1]));
            ConnectionsManager.getInstance(instance).resumeNetworkMaybe();
        }
    }

    public void initUrlDOH() {
        this.initing_doh = true;
        try {
            try {
                String[] strArr = HOST;
                IResolver[] resolvers = {new DohResolver(strArr[0]), new DohResolver(strArr[1])};
                DnsManager dnsManager = new DnsManager(NetworkInfo.normal, resolvers);
                this.dnsManager = dnsManager;
                Record[] records = dnsManager.queryRecords(this.dohDomain);
                String recordsStr = JSONObject.toJSONString(records);
                LogUtils.e("doh获取成功====" + recordsStr);
                if (records != null && records.length > 0) {
                    for (Record record : records) {
                        String ipAddress = record.value;
                        NetBean netBean = new NetBean(null, ipAddress, IP_DEFALUT_ONLINE[1]);
                        this.connInfos.add(netBean);
                    }
                }
                this.inited_doh = true;
                this.sCurrentConnection = -1;
                setServer2();
            } catch (Exception e) {
                e.printStackTrace();
            }
        } finally {
            this.initing_doh = false;
        }
    }

    private void setServer2() {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.tgnet.NetworkConfig$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                NetworkConfig.this.m1033lambda$setServer2$0$imuecahxyvjdtgnetNetworkConfig();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$setServer2$0$im-uecahxyvjd-tgnet-NetworkConfig  reason: not valid java name */
    public /* synthetic */ void m1033lambda$setServer2$0$imuecahxyvjdtgnetNetworkConfig() {
        String server2 = this.inited ? "oss+server 2" : "server 2";
        if (this.inited_doh) {
            server2 = "doh+" + server2;
        }
        if (serverIndex < 3) {
            NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.getBackupIpStatus, server2);
        }
    }

    private String[] initNetconfig(int node) {
        if (this.start) {
            this.start = false;
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.tgnet.NetworkConfig$$ExternalSyntheticLambda1
                @Override // java.lang.Runnable
                public final void run() {
                    NetworkConfig.this.m1032lambda$initNetconfig$1$imuecahxyvjdtgnetNetworkConfig();
                }
            });
        }
        switch (node) {
            case 1000:
                return new String[]{"47.104.243.76", "31537"};
            case 1001:
                return new String[]{"192.168.1.184", "31443"};
            case 1002:
                String[] address = initRemoteNetconfig();
                if (address == null || address.length != 2 || TextUtils.isEmpty(address[0]) || TextUtils.isEmpty(address[1])) {
                    return IP_DEFALUT_ONLINE;
                }
                return address;
            case 1003:
                return new String[]{"183.230.11.65", "55555"};
            case 1004:
                return new String[]{"36.255.220.245", "31443"};
            default:
                return null;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initNetconfig$1$im-uecahxyvjd-tgnet-NetworkConfig  reason: not valid java name */
    public /* synthetic */ void m1032lambda$initNetconfig$1$imuecahxyvjdtgnetNetworkConfig() {
        NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.getBackupIpStatus, "server 1");
    }

    private String[] initRemoteNetconfig() {
        synchronized (UUIDUtils.getUuid()) {
            if (this.inited) {
                return selecteRemoteConnInfo();
            } else if (this.initing) {
                return null;
            } else {
                return selecteRemoteConnInfo();
            }
        }
    }

    private synchronized String[] selecteRemoteConnInfo() {
        if (this.connInfos.size() == 0) {
            return null;
        }
        if (this.sCurrentConnection == -1) {
            this.sCurrentConnection = 0;
        }
        NetBean netBean = this.connInfos.get(this.sCurrentConnection);
        LogUtils.e("连接信息====" + new Gson().toJson(this.connInfos));
        if (this.sCurrentConnection != this.connInfos.size() - 1) {
            this.sCurrentConnection++;
            return new String[]{netBean.getdDomain(), netBean.getdPort()};
        }
        this.sCurrentConnection = -1;
        this.inited = false;
        this.inited_doh = false;
        this.connInfos = new ArrayList<>();
        return null;
    }

    private synchronized void initRemoteConnInfos() {
        getOssUrl(false);
    }

    /* JADX WARN: Removed duplicated region for block: B:104:0x02da A[Catch: Exception -> 0x02a2, TRY_ENTER, TRY_LEAVE, TryCatch #12 {Exception -> 0x02a2, blocks: (B:104:0x02da, B:83:0x029e), top: B:129:0x00b9 }] */
    /* JADX WARN: Removed duplicated region for block: B:122:0x02e6 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:126:0x02f4 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:131:0x02cc A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:158:? A[RETURN, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:95:0x02c4 A[Catch: all -> 0x02df, TRY_LEAVE, TryCatch #24 {all -> 0x02df, blocks: (B:93:0x02bb, B:95:0x02c4, B:72:0x0282, B:74:0x0288), top: B:124:0x0282 }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void getOssUrl(Boolean isBei) {
        Throwable th;
        InputStream httpConnectionStream;
        SimpleDateFormat dateFormat;
        String format;
        this.initing = true;
        InputStream httpConnectionStream2 = null;
        ByteArrayOutputStream bos = null;
        Date date = new Date();
        SimpleDateFormat dateFormat2 = new SimpleDateFormat("YYYYMMdd");
        String format2 = dateFormat2.format(date);
        String md5_tong = MD5Utils.getMD5String(BuildVars.ENABLE_SETTING + format2 + (isBei.booleanValue() ? "1" : ""));
        String md5_txt = MD5Utils.getMD5String(BuildVars.ENABLE_SETTING + format2 + RecvStatsReportCommon.sdk_platform);
        String md5_url = "https://" + md5_tong + ".filugd6a8l9daiaga.com/" + md5_txt + ".txt";
        System.out.println("环境时间：" + BuildVars.ENABLE_SETTING + format2 + isBei);
        System.out.println("oss==>：" + md5_url);
        try {
            try {
                URL url = new URL(md5_url);
                HttpURLConnection conn = (HttpURLConnection) url.openConnection();
                conn.addRequestProperty("User-Agent", "Mozilla/5.0 (iPhone; CPU iPhone OS 10_0 like Mac OS X) AppleWebKit/602.1.38 (KHTML, like Gecko) Version/10.0 Mobile/14A5297c Safari/602.1");
                conn.setRequestMethod("GET");
                conn.setReadTimeout(5000);
                conn.setConnectTimeout(5000);
                conn.connect();
                if (conn.getResponseCode() == 200) {
                    httpConnectionStream2 = conn.getInputStream();
                    int len = 0;
                    try {
                        byte[] bytes = new byte[1024];
                        bos = new ByteArrayOutputStream();
                        while (true) {
                            try {
                                int len2 = httpConnectionStream2.read(bytes);
                                httpConnectionStream = httpConnectionStream2;
                                if (len2 == -1) {
                                    break;
                                }
                                len = len2;
                                try {
                                    bos.write(bytes, 0, len);
                                    httpConnectionStream2 = httpConnectionStream;
                                } catch (Exception e) {
                                    e = e;
                                    httpConnectionStream2 = httpConnectionStream;
                                    FileLog.e(e);
                                    if (!isBei.booleanValue()) {
                                    }
                                    this.initing = false;
                                    if (httpConnectionStream2 != null) {
                                    }
                                    if (bos == null) {
                                    }
                                } catch (Throwable th2) {
                                    th = th2;
                                    httpConnectionStream2 = httpConnectionStream;
                                    this.initing = false;
                                    if (httpConnectionStream2 != null) {
                                    }
                                    if (bos != null) {
                                    }
                                    throw th;
                                }
                            } catch (Exception e2) {
                                e = e2;
                            } catch (Throwable th3) {
                                th = th3;
                            }
                        }
                        try {
                            String txt = new String(bos.toByteArray());
                            byte[] rets = AesUtils.decryptYunceng(txt);
                            String retStr = new String(rets);
                            try {
                                LogUtils.e("oss获取成功====" + retStr);
                                String[] arrConn = retStr.split(",", 3);
                                int i = 0;
                                while (true) {
                                    String retStr2 = retStr;
                                    if (i >= arrConn.length) {
                                        break;
                                    }
                                    String connInfo = arrConn[i];
                                    Date date2 = date;
                                    try {
                                        String[] arrConn2 = arrConn;
                                        if (i != arrConn.length - 1) {
                                            String[] split = connInfo.split(LogUtils.COLON, 2);
                                            dateFormat = dateFormat2;
                                            try {
                                                format = format2;
                                            } catch (Exception e3) {
                                                e = e3;
                                                httpConnectionStream2 = httpConnectionStream;
                                                bos = bos;
                                                FileLog.e(e);
                                                if (!isBei.booleanValue()) {
                                                }
                                                this.initing = false;
                                                if (httpConnectionStream2 != null) {
                                                }
                                                if (bos == null) {
                                                }
                                            } catch (Throwable th4) {
                                                th = th4;
                                                httpConnectionStream2 = httpConnectionStream;
                                                bos = bos;
                                                this.initing = false;
                                                if (httpConnectionStream2 != null) {
                                                }
                                                if (bos != null) {
                                                }
                                                throw th;
                                            }
                                            try {
                                                NetBean netBean = new NetBean(null, split[0], split[1]);
                                                this.connInfos.add(netBean);
                                            } catch (Exception e4) {
                                                e = e4;
                                                httpConnectionStream2 = httpConnectionStream;
                                                bos = bos;
                                                FileLog.e(e);
                                                if (!isBei.booleanValue()) {
                                                }
                                                this.initing = false;
                                                if (httpConnectionStream2 != null) {
                                                }
                                                if (bos == null) {
                                                }
                                            } catch (Throwable th5) {
                                                th = th5;
                                                httpConnectionStream2 = httpConnectionStream;
                                                bos = bos;
                                                this.initing = false;
                                                if (httpConnectionStream2 != null) {
                                                }
                                                if (bos != null) {
                                                }
                                                throw th;
                                            }
                                        } else {
                                            dateFormat = dateFormat2;
                                            format = format2;
                                            String[] split2 = connInfo.split("#", 3);
                                            NetBean netBean2 = new NetBean(split2[0], split2[1], split2[2]);
                                            this.connInfos.add(netBean2);
                                        }
                                        i++;
                                        retStr = retStr2;
                                        date = date2;
                                        arrConn = arrConn2;
                                        dateFormat2 = dateFormat;
                                        format2 = format;
                                    } catch (Exception e5) {
                                        e = e5;
                                        httpConnectionStream2 = httpConnectionStream;
                                        bos = bos;
                                    } catch (Throwable th6) {
                                        th = th6;
                                        httpConnectionStream2 = httpConnectionStream;
                                        bos = bos;
                                    }
                                }
                                this.inited = true;
                                this.sCurrentConnection = -1;
                                setServer2();
                                httpConnectionStream2 = httpConnectionStream;
                                bos = bos;
                            } catch (Exception e6) {
                                e = e6;
                                httpConnectionStream2 = httpConnectionStream;
                                bos = bos;
                            } catch (Throwable th7) {
                                th = th7;
                                httpConnectionStream2 = httpConnectionStream;
                                bos = bos;
                            }
                        } catch (Exception e7) {
                            e = e7;
                            httpConnectionStream2 = httpConnectionStream;
                        } catch (Throwable th8) {
                            th = th8;
                            httpConnectionStream2 = httpConnectionStream;
                        }
                    } catch (Exception e8) {
                        e = e8;
                    } catch (Throwable th9) {
                        th = th9;
                    }
                } else {
                    try {
                        try {
                            if (!isBei.booleanValue()) {
                                getOssUrl(true);
                            }
                        } catch (Exception e9) {
                            e = e9;
                            FileLog.e(e);
                            if (!isBei.booleanValue()) {
                                getOssUrl(true);
                            }
                            this.initing = false;
                            if (httpConnectionStream2 != null) {
                                try {
                                    httpConnectionStream2.close();
                                } catch (Exception e10) {
                                    FileLog.e(e10);
                                }
                            }
                            if (bos == null) {
                                bos.close();
                            }
                            return;
                        }
                    } catch (Throwable th10) {
                        th = th10;
                        this.initing = false;
                        if (httpConnectionStream2 != null) {
                            try {
                                httpConnectionStream2.close();
                            } catch (Exception e11) {
                                FileLog.e(e11);
                            }
                        }
                        if (bos != null) {
                            try {
                                bos.close();
                            } catch (Exception e12) {
                                FileLog.e(e12);
                            }
                        }
                        throw th;
                    }
                }
                this.initing = false;
                if (httpConnectionStream2 != null) {
                    try {
                        httpConnectionStream2.close();
                    } catch (Exception e13) {
                        FileLog.e(e13);
                    }
                }
            } catch (Exception e14) {
                FileLog.e(e14);
                return;
            }
        } catch (Exception e15) {
            e = e15;
        } catch (Throwable th11) {
            th = th11;
        }
        if (bos != null) {
            bos.close();
        }
    }

    private String[] getYuncengConfig(String groupName, String dDomain, String dPort) {
        StringBuffer ip = new StringBuffer();
        StringBuffer port = new StringBuffer();
        int ret = YunCeng.getProxyTcpByDomain("Default", groupName, dDomain, dPort, ip, port);
        if (ret == 0) {
            return new String[]{ip.toString(), port.toString()};
        }
        FileLog.e("YunCeng get next ip failed: " + ret);
        return null;
    }
}
