package im.uecahxyvjd.ui;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.recyclerview.widget.DividerItemDecoration;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ApplicationLoader;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.AddAccountActivity;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.hui.login.LoginContronllerActivity;
import im.uecahxyvjd.ui.hviews.MryTextView;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
/* loaded from: classes12.dex */
public class AddAccountActivity extends BaseFragment {
    private ListAdapter listAdapter;
    private RecyclerListView listView;

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_add_account, (ViewGroup) null);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        initActionBar();
        initList();
        return this.fragmentView;
    }

    private void initActionBar() {
        this.actionBar.setCastShadows(false);
        this.actionBar.setTitle(LocaleController.getString(R.string.AddAccount2));
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.AddAccountActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    AddAccountActivity.this.finishFragment();
                }
            }
        });
    }

    private void initList() {
        MryTextView tvTips = (MryTextView) this.fragmentView.findViewById(R.id.tv_action_tips);
        tvTips.setText(LocaleController.getString("ActionTips", R.string.TouchTips));
        RecyclerListView recyclerListView = (RecyclerListView) this.fragmentView.findViewById(R.id.listView);
        this.listView = recyclerListView;
        recyclerListView.setLayoutManager(new LinearLayoutManager(getParentActivity()));
        DividerItemDecoration divider = new DividerItemDecoration(getParentActivity(), 1);
        divider.setDrawable(getParentActivity().getResources().getDrawable(R.drawable.shape_transaction_list_divider));
        this.listView.addItemDecoration(divider);
        RecyclerListView recyclerListView2 = this.listView;
        ListAdapter listAdapter = new ListAdapter();
        this.listAdapter = listAdapter;
        recyclerListView2.setAdapter(listAdapter);
        this.listView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.AddAccountActivity$$ExternalSyntheticLambda0
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                AddAccountActivity.this.m1034lambda$initList$0$imuecahxyvjduiAddAccountActivity(view, i);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initList$0$im-uecahxyvjd-ui-AddAccountActivity  reason: not valid java name */
    public /* synthetic */ void m1034lambda$initList$0$imuecahxyvjduiAddAccountActivity(View view, int position) {
        if (position == this.listAdapter.getItemCount() - 1) {
            if (ApplicationLoader.mbytAVideoCallBusy == 0) {
                int freeAccount = -1;
                int a2 = 0;
                while (true) {
                    if (a2 >= 3) {
                        break;
                    } else if (UserConfig.getInstance(a2).isClientActivated()) {
                        a2++;
                    } else {
                        freeAccount = a2;
                        break;
                    }
                }
                if (freeAccount >= 0) {
                    presentFragment(new LoginContronllerActivity(freeAccount), true);
                    return;
                }
                return;
            }
            ToastUtils.show((CharSequence) LocaleController.getString(R.string.visual_call_stop_add_account));
            return;
        }
        int accountNumber = this.listAdapter.getAccountNumber(position);
        if (accountNumber != -1) {
            ((LaunchActivity) getParentActivity()).switchToAccount(accountNumber, true);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes12.dex */
    public class ListAdapter extends RecyclerListView.SelectionAdapter {
        private ArrayList<Integer> accountNumbers = new ArrayList<>();

        public ListAdapter() {
            resetItems();
        }

        private void resetItems() {
            this.accountNumbers.clear();
            for (int a2 = 0; a2 < 3; a2++) {
                if (UserConfig.getInstance(a2).isClientActivated()) {
                    this.accountNumbers.add(Integer.valueOf(a2));
                }
            }
            Collections.sort(this.accountNumbers, new Comparator() { // from class: im.uecahxyvjd.ui.AddAccountActivity$ListAdapter$$ExternalSyntheticLambda0
                @Override // java.util.Comparator
                public final int compare(Object obj, Object obj2) {
                    return AddAccountActivity.ListAdapter.lambda$resetItems$0((Integer) obj, (Integer) obj2);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        public static /* synthetic */ int lambda$resetItems$0(Integer o1, Integer o2) {
            long l1 = UserConfig.getInstance(o1.intValue()).loginTime;
            long l2 = UserConfig.getInstance(o2.intValue()).loginTime;
            if (l1 > l2) {
                return 1;
            }
            if (l1 < l2) {
                return -1;
            }
            return 0;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return true;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view = null;
            switch (viewType) {
                case 0:
                    view = LayoutInflater.from(AddAccountActivity.this.getParentActivity()).inflate(R.layout.item_login_account, parent, false);
                    break;
                case 1:
                    view = LayoutInflater.from(AddAccountActivity.this.getParentActivity()).inflate(R.layout.item_add_account, parent, false);
                    break;
            }
            view.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            if (holder.getItemViewType() == 0) {
                BackupImageView ivAvatar = (BackupImageView) holder.itemView.findViewById(R.id.iv_avatar);
                MryTextView tvPhone = (MryTextView) holder.itemView.findViewById(R.id.tv_phone);
                MryTextView tvCurrent = (MryTextView) holder.itemView.findViewById(R.id.tv_current);
                tvCurrent.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(2.0f), -1181185));
                tvCurrent.setText(LocaleController.getString("Currently used", R.string.CurrentUsed));
                TLRPC.User user = UserConfig.getInstance(this.accountNumbers.get(position).intValue()).getCurrentUser();
                if (user != null) {
                    ivAvatar.setRoundRadius(AndroidUtilities.dp(7.5f));
                    AvatarDrawable drawable = new AvatarDrawable();
                    drawable.setInfo(user);
                    ivAvatar.setImage(ImageLocation.getForUser(user, false), "50_50", drawable, user);
                    tvPhone.setText(UserObject.getName(user));
                    tvCurrent.setVisibility(user.id != AddAccountActivity.this.getUserConfig().getClientUserId() ? 8 : 0);
                }
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            return position == getItemCount() - 1 ? 1 : 0;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            int count = 1 + this.accountNumbers.size();
            return count;
        }

        public int getAccountNumber(int position) {
            if (position != getItemCount() - 1) {
                return this.accountNumbers.get(position).intValue();
            }
            return -1;
        }
    }
}
