package im.uecahxyvjd.ui;

import android.content.Context;
import android.content.DialogInterface;
import android.graphics.Paint;
import android.graphics.drawable.Drawable;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.litesuits.orm.db.assit.SQLBuilder;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.FileLoader;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.ImageLoader;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MediaDataController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.SharedConfig;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.Utilities;
import im.uecahxyvjd.sqlite.SQLiteCursor;
import im.uecahxyvjd.sqlite.SQLiteDatabase;
import im.uecahxyvjd.sqlite.SQLitePreparedStatement;
import im.uecahxyvjd.tgnet.NativeByteBuffer;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.BottomSheet;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.actionbar.ThemeDescription;
import im.uecahxyvjd.ui.cells.CheckBoxCell;
import im.uecahxyvjd.ui.cells.TextInfoPrivacyCell;
import im.uecahxyvjd.ui.cells.TextSettingsCell;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RecyclerListView;
import java.io.File;
import java.util.ArrayList;
/* loaded from: classes12.dex */
public class CacheControlActivity extends BaseFragment {
    private int cacheInfoRow;
    private int cacheRow;
    private int databaseInfoRow;
    private int databaseRow;
    private int keepMediaInfoRow;
    private int keepMediaRow;
    private LinearLayoutManager layoutManager;
    private ListAdapter listAdapter;
    private RecyclerListView listView;
    private int rowCount;
    private long databaseSize = -1;
    private long cacheSize = -1;
    private long documentsSize = -1;
    private long audioSize = -1;
    private long musicSize = -1;
    private long photoSize = -1;
    private long videoSize = -1;
    private long totalSize = -1;
    private boolean[] clear = new boolean[6];
    private boolean calculating = true;
    private volatile boolean canceled = false;

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        super.onFragmentCreate();
        this.rowCount = 0;
        int i = 0 + 1;
        this.rowCount = i;
        this.keepMediaRow = 0;
        int i2 = i + 1;
        this.rowCount = i2;
        this.keepMediaInfoRow = i;
        int i3 = i2 + 1;
        this.rowCount = i3;
        this.cacheRow = i2;
        int i4 = i3 + 1;
        this.rowCount = i4;
        this.cacheInfoRow = i3;
        int i5 = i4 + 1;
        this.rowCount = i5;
        this.databaseRow = i4;
        this.rowCount = i5 + 1;
        this.databaseInfoRow = i5;
        this.databaseSize = MessagesStorage.getInstance(this.currentAccount).getDatabaseSize();
        Utilities.globalQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda7
            @Override // java.lang.Runnable
            public final void run() {
                CacheControlActivity.this.m1105lambda$onFragmentCreate$1$imuecahxyvjduiCacheControlActivity();
            }
        });
        return true;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onFragmentCreate$1$im-uecahxyvjd-ui-CacheControlActivity  reason: not valid java name */
    public /* synthetic */ void m1105lambda$onFragmentCreate$1$imuecahxyvjduiCacheControlActivity() {
        this.cacheSize = getDirectorySize(FileLoader.checkDirectory(4), 0);
        if (this.canceled) {
            return;
        }
        this.photoSize = getDirectorySize(FileLoader.checkDirectory(0), 0);
        if (this.canceled) {
            return;
        }
        this.videoSize = getDirectorySize(FileLoader.checkDirectory(2), 0);
        if (this.canceled) {
            return;
        }
        this.documentsSize = getDirectorySize(FileLoader.checkDirectory(3), 1);
        if (!this.canceled) {
            this.musicSize = getDirectorySize(FileLoader.checkDirectory(3), 2);
            if (this.canceled) {
                return;
            }
            long directorySize = getDirectorySize(FileLoader.checkDirectory(1), 0);
            this.audioSize = directorySize;
            this.totalSize = this.cacheSize + this.videoSize + directorySize + this.photoSize + this.documentsSize + this.musicSize;
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda9
                @Override // java.lang.Runnable
                public final void run() {
                    CacheControlActivity.this.m1104lambda$onFragmentCreate$0$imuecahxyvjduiCacheControlActivity();
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onFragmentCreate$0$im-uecahxyvjd-ui-CacheControlActivity  reason: not valid java name */
    public /* synthetic */ void m1104lambda$onFragmentCreate$0$imuecahxyvjduiCacheControlActivity() {
        this.calculating = false;
        ListAdapter listAdapter = this.listAdapter;
        if (listAdapter != null) {
            listAdapter.notifyDataSetChanged();
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        super.onFragmentDestroy();
        this.canceled = true;
    }

    private long getDirectorySize(File dir, int documentsMusicType) {
        if (dir == null || this.canceled) {
            return 0L;
        }
        if (dir.isDirectory()) {
            long size = Utilities.getDirSize(dir.getAbsolutePath(), documentsMusicType);
            return size;
        } else if (dir.isFile()) {
            long size2 = 0 + dir.length();
            return size2;
        } else {
            return 0L;
        }
    }

    private void cleanupFolders() {
        final AlertDialog progressDialog = new AlertDialog(getParentActivity(), 3);
        progressDialog.setCanCancel(false);
        progressDialog.show();
        Utilities.globalQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda2
            @Override // java.lang.Runnable
            public final void run() {
                CacheControlActivity.this.m1096lambda$cleanupFolders$3$imuecahxyvjduiCacheControlActivity(progressDialog);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$cleanupFolders$3$im-uecahxyvjd-ui-CacheControlActivity  reason: not valid java name */
    public /* synthetic */ void m1096lambda$cleanupFolders$3$imuecahxyvjduiCacheControlActivity(final AlertDialog progressDialog) {
        boolean imagesCleared = false;
        for (int a2 = 0; a2 < 6; a2++) {
            if (this.clear[a2]) {
                int type = -1;
                int documentsMusicType = 0;
                if (a2 == 0) {
                    type = 0;
                } else if (a2 == 1) {
                    type = 2;
                } else if (a2 == 2) {
                    type = 3;
                    documentsMusicType = 1;
                } else if (a2 == 3) {
                    type = 3;
                    documentsMusicType = 2;
                } else if (a2 == 4) {
                    type = 1;
                } else if (a2 == 5) {
                    type = 4;
                }
                if (type != -1) {
                    File file = FileLoader.checkDirectory(type);
                    if (file != null) {
                        Utilities.clearDir(file.getAbsolutePath(), documentsMusicType, Long.MAX_VALUE);
                    }
                    if (type == 4) {
                        this.cacheSize = getDirectorySize(FileLoader.checkDirectory(4), documentsMusicType);
                        imagesCleared = true;
                    } else if (type == 1) {
                        this.audioSize = getDirectorySize(FileLoader.checkDirectory(1), documentsMusicType);
                    } else if (type == 3) {
                        if (documentsMusicType == 1) {
                            this.documentsSize = getDirectorySize(FileLoader.checkDirectory(3), documentsMusicType);
                        } else {
                            this.musicSize = getDirectorySize(FileLoader.checkDirectory(3), documentsMusicType);
                        }
                    } else if (type == 0) {
                        imagesCleared = true;
                        this.photoSize = getDirectorySize(FileLoader.checkDirectory(0), documentsMusicType);
                    } else if (type == 2) {
                        this.videoSize = getDirectorySize(FileLoader.checkDirectory(2), documentsMusicType);
                    }
                }
            }
        }
        final boolean imagesClearedFinal = imagesCleared;
        this.totalSize = this.cacheSize + this.videoSize + this.audioSize + this.photoSize + this.documentsSize + this.musicSize;
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda1
            @Override // java.lang.Runnable
            public final void run() {
                CacheControlActivity.this.m1095lambda$cleanupFolders$2$imuecahxyvjduiCacheControlActivity(imagesClearedFinal, progressDialog);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$cleanupFolders$2$im-uecahxyvjd-ui-CacheControlActivity  reason: not valid java name */
    public /* synthetic */ void m1095lambda$cleanupFolders$2$imuecahxyvjduiCacheControlActivity(boolean imagesClearedFinal, AlertDialog progressDialog) {
        if (imagesClearedFinal) {
            ImageLoader.getInstance().clearMemory();
        }
        ListAdapter listAdapter = this.listAdapter;
        if (listAdapter != null) {
            listAdapter.notifyDataSetChanged();
        }
        try {
            progressDialog.dismiss();
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setAllowOverlayTitle(true);
        this.actionBar.setTitle(LocaleController.getString("StorageUsage", R.string.StorageUsage));
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.CacheControlActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    CacheControlActivity.this.finishFragment();
                }
            }
        });
        this.listAdapter = new ListAdapter(context);
        this.fragmentView = new FrameLayout(context);
        FrameLayout frameLayout = (FrameLayout) this.fragmentView;
        frameLayout.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        RecyclerListView recyclerListView = new RecyclerListView(context);
        this.listView = recyclerListView;
        recyclerListView.setVerticalScrollBarEnabled(false);
        RecyclerListView recyclerListView2 = this.listView;
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(context, 1, false);
        this.layoutManager = linearLayoutManager;
        recyclerListView2.setLayoutManager(linearLayoutManager);
        frameLayout.addView(this.listView, LayoutHelper.createFrame(-1, -1.0f));
        this.listView.setAdapter(this.listAdapter);
        this.listView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda0
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                CacheControlActivity.this.m1097lambda$createView$10$imuecahxyvjduiCacheControlActivity(view, i);
            }
        });
        return this.fragmentView;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$10$im-uecahxyvjd-ui-CacheControlActivity  reason: not valid java name */
    public /* synthetic */ void m1097lambda$createView$10$imuecahxyvjduiCacheControlActivity(View view, int position) {
        if (getParentActivity() == null) {
            return;
        }
        if (position != this.keepMediaRow) {
            if (position == this.databaseRow) {
                AlertDialog.Builder builder = new AlertDialog.Builder(getParentActivity());
                builder.setTitle(LocaleController.getString("AppName", R.string.AppName));
                builder.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
                builder.setMessage(LocaleController.getString("LocalDatabaseClear", R.string.LocalDatabaseClear));
                builder.setPositiveButton(LocaleController.getString("CacheClear", R.string.CacheClear), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda4
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        CacheControlActivity.this.m1101lambda$createView$7$imuecahxyvjduiCacheControlActivity(dialogInterface, i);
                    }
                });
                showDialog(builder.create());
                return;
            } else if (position != this.cacheRow || this.totalSize <= 0 || getParentActivity() == null) {
                return;
            } else {
                BottomSheet.Builder builder2 = new BottomSheet.Builder(getParentActivity());
                builder2.setApplyTopPadding(false);
                builder2.setApplyBottomPadding(false);
                LinearLayout linearLayout = new LinearLayout(getParentActivity());
                linearLayout.setOrientation(1);
                for (int a2 = 0; a2 < 6; a2++) {
                    long size = 0;
                    String name = null;
                    if (a2 == 0) {
                        long size2 = this.photoSize;
                        name = LocaleController.getString("LocalPhotoCache", R.string.LocalPhotoCache);
                        size = size2;
                    } else if (a2 == 1) {
                        long size3 = this.videoSize;
                        name = LocaleController.getString("LocalVideoCache", R.string.LocalVideoCache);
                        size = size3;
                    } else if (a2 == 2) {
                        long size4 = this.documentsSize;
                        name = LocaleController.getString("LocalDocumentCache", R.string.LocalDocumentCache);
                        size = size4;
                    } else if (a2 == 3) {
                        long size5 = this.musicSize;
                        name = LocaleController.getString("LocalMusicCache", R.string.LocalMusicCache);
                        size = size5;
                    } else if (a2 == 4) {
                        long size6 = this.audioSize;
                        name = LocaleController.getString("LocalAudioCache", R.string.LocalAudioCache);
                        size = size6;
                    } else if (a2 == 5) {
                        long size7 = this.cacheSize;
                        name = LocaleController.getString("LocalCache", R.string.LocalCache);
                        size = size7;
                    }
                    if (size > 0) {
                        this.clear[a2] = true;
                        CheckBoxCell checkBoxCell = new CheckBoxCell(getParentActivity(), 1, 21);
                        checkBoxCell.setTag(Integer.valueOf(a2));
                        checkBoxCell.setBackgroundDrawable(Theme.getSelectorDrawable(false));
                        linearLayout.addView(checkBoxCell, LayoutHelper.createLinear(-1, 50));
                        checkBoxCell.setText(name, AndroidUtilities.formatFileSize(size), true, true);
                        checkBoxCell.setTextColor(Theme.getColor(Theme.key_dialogTextBlack));
                        checkBoxCell.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda5
                            @Override // android.view.View.OnClickListener
                            public final void onClick(View view2) {
                                CacheControlActivity.this.m1102lambda$createView$8$imuecahxyvjduiCacheControlActivity(view2);
                            }
                        });
                    } else {
                        this.clear[a2] = false;
                    }
                }
                BottomSheet.BottomSheetCell cell = new BottomSheet.BottomSheetCell(getParentActivity(), 1);
                cell.setBackgroundDrawable(Theme.getSelectorDrawable(false));
                cell.setTextAndIcon(LocaleController.getString("ClearMediaCache", R.string.ClearMediaCache).toUpperCase(), 0);
                cell.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteRedText));
                cell.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda6
                    @Override // android.view.View.OnClickListener
                    public final void onClick(View view2) {
                        CacheControlActivity.this.m1103lambda$createView$9$imuecahxyvjduiCacheControlActivity(view2);
                    }
                });
                linearLayout.addView(cell, LayoutHelper.createLinear(-1, 50));
                builder2.setCustomView(linearLayout);
                showDialog(builder2.create());
                return;
            }
        }
        BottomSheet.Builder builder3 = new BottomSheet.Builder(getParentActivity());
        builder3.setItems(new CharSequence[]{LocaleController.formatPluralString("Days", 3), LocaleController.formatPluralString("Weeks", 1), LocaleController.formatPluralString("Months", 1), LocaleController.getString("KeepMediaForever", R.string.KeepMediaForever)}, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda3
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                CacheControlActivity.this.m1098lambda$createView$4$imuecahxyvjduiCacheControlActivity(dialogInterface, i);
            }
        });
        showDialog(builder3.create());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$4$im-uecahxyvjd-ui-CacheControlActivity  reason: not valid java name */
    public /* synthetic */ void m1098lambda$createView$4$imuecahxyvjduiCacheControlActivity(DialogInterface dialog, int which) {
        if (which == 0) {
            SharedConfig.setKeepMedia(3);
        } else if (which == 1) {
            SharedConfig.setKeepMedia(0);
        } else if (which == 2) {
            SharedConfig.setKeepMedia(1);
        } else if (which == 3) {
            SharedConfig.setKeepMedia(2);
        }
        ListAdapter listAdapter = this.listAdapter;
        if (listAdapter != null) {
            listAdapter.notifyDataSetChanged();
        }
        SharedConfig.checkKeepMedia();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$7$im-uecahxyvjd-ui-CacheControlActivity  reason: not valid java name */
    public /* synthetic */ void m1101lambda$createView$7$imuecahxyvjduiCacheControlActivity(DialogInterface dialogInterface, int i) {
        if (getParentActivity() == null) {
            return;
        }
        final AlertDialog progressDialog = new AlertDialog(getParentActivity(), 3);
        progressDialog.setCanCancel(false);
        progressDialog.show();
        MessagesStorage.getInstance(this.currentAccount).getStorageQueue().postRunnable(new Runnable() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda8
            @Override // java.lang.Runnable
            public final void run() {
                CacheControlActivity.this.m1100lambda$createView$6$imuecahxyvjduiCacheControlActivity(progressDialog);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:120:0x032e A[Catch: all -> 0x0372, Exception -> 0x0379, TRY_LEAVE, TryCatch #30 {Exception -> 0x0379, all -> 0x0372, blocks: (B:118:0x0321, B:120:0x032e, B:135:0x0361), top: B:222:0x0321 }] */
    /* JADX WARN: Removed duplicated region for block: B:129:0x034b A[Catch: all -> 0x03f7, Exception -> 0x03fe, TRY_ENTER, TryCatch #27 {Exception -> 0x03fe, all -> 0x03f7, blocks: (B:129:0x034b, B:131:0x0350, B:133:0x0354, B:109:0x023e, B:111:0x0243, B:113:0x0247, B:71:0x018d, B:73:0x0192, B:147:0x0392), top: B:228:0x023e }] */
    /* JADX WARN: Removed duplicated region for block: B:131:0x0350 A[Catch: all -> 0x03f7, Exception -> 0x03fe, TryCatch #27 {Exception -> 0x03fe, all -> 0x03f7, blocks: (B:129:0x034b, B:131:0x0350, B:133:0x0354, B:109:0x023e, B:111:0x0243, B:113:0x0247, B:71:0x018d, B:73:0x0192, B:147:0x0392), top: B:228:0x023e }] */
    /* JADX WARN: Removed duplicated region for block: B:180:0x041f  */
    /* JADX WARN: Removed duplicated region for block: B:182:0x0424  */
    /* JADX WARN: Removed duplicated region for block: B:184:0x0429  */
    /* JADX WARN: Removed duplicated region for block: B:186:0x042e  */
    /* JADX WARN: Removed duplicated region for block: B:191:0x043f  */
    /* JADX WARN: Removed duplicated region for block: B:193:0x0444  */
    /* JADX WARN: Removed duplicated region for block: B:195:0x0449  */
    /* JADX WARN: Removed duplicated region for block: B:197:0x044e  */
    /* renamed from: lambda$createView$6$im-uecahxyvjd-ui-CacheControlActivity  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m1100lambda$createView$6$imuecahxyvjduiCacheControlActivity(final AlertDialog progressDialog) {
        final AlertDialog alertDialog;
        int i;
        SQLitePreparedStatement sQLitePreparedStatement;
        SQLitePreparedStatement sQLitePreparedStatement2;
        SQLitePreparedStatement state;
        int messagesCount;
        String str;
        ArrayList<Long> dialogsToCleanup;
        SQLitePreparedStatement state2;
        SQLitePreparedStatement state3;
        long last_mid_i;
        long last_mid;
        SQLiteCursor cursor2;
        AlertDialog alertDialog2 = progressDialog;
        String str2 = " AND mid != ";
        SQLiteCursor cursor = null;
        SQLitePreparedStatement state4 = null;
        SQLitePreparedStatement state5 = null;
        SQLitePreparedStatement state6 = null;
        try {
            try {
                SQLiteDatabase database = MessagesStorage.getInstance(this.currentAccount).getDatabase();
                ArrayList<Long> dialogsToCleanup2 = new ArrayList<>();
                int i2 = 0;
                SQLiteCursor cursor3 = database.queryFinalized("SELECT did FROM dialogs WHERE 1", new Object[0]);
                StringBuilder ids = new StringBuilder();
                while (true) {
                    i = 1;
                    if (!cursor3.next()) {
                        break;
                    }
                    long did = cursor3.longValue(i2);
                    int lower_id = (int) did;
                    StringBuilder ids2 = ids;
                    int high_id = (int) (did >> 32);
                    if (lower_id != 0 && high_id != 1) {
                        dialogsToCleanup2.add(Long.valueOf(did));
                    }
                    ids = ids2;
                    i2 = 0;
                }
                cursor3.dispose();
                cursor = null;
                state5 = database.executeFast("REPLACE INTO messages_holes VALUES(?, ?, ?)");
                state6 = database.executeFast("REPLACE INTO media_holes_v2 VALUES(?, ?, ?, ?)");
                try {
                    database.beginTransaction();
                } catch (Exception e) {
                    FileLog.e(e);
                }
                SQLitePreparedStatement state7 = null;
                SQLiteCursor cursor4 = null;
                int a2 = 0;
                while (a2 < dialogsToCleanup2.size()) {
                    try {
                        try {
                            Long did2 = dialogsToCleanup2.get(a2);
                            cursor4 = database.queryFinalized("SELECT COUNT(mid) FROM messages WHERE uid = " + did2, new Object[0]);
                            if (cursor4.next()) {
                                try {
                                    int messagesCount2 = cursor4.intValue(0);
                                    messagesCount = messagesCount2;
                                } catch (Exception e2) {
                                    e = e2;
                                    alertDialog = alertDialog2;
                                    cursor = cursor4;
                                    state4 = state7;
                                    try {
                                        FileLog.e(e);
                                        if (cursor != null) {
                                            cursor.dispose();
                                        }
                                        if (state4 != null) {
                                            state4.dispose();
                                        }
                                        if (state5 != null) {
                                            state5.dispose();
                                        }
                                        if (state6 != null) {
                                            state6.dispose();
                                        }
                                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda10
                                            @Override // java.lang.Runnable
                                            public final void run() {
                                                CacheControlActivity.this.m1099lambda$createView$5$imuecahxyvjduiCacheControlActivity(alertDialog);
                                            }
                                        });
                                        return;
                                    } catch (Throwable th) {
                                        th = th;
                                        if (cursor != null) {
                                            cursor.dispose();
                                        }
                                        if (state4 != null) {
                                            state4.dispose();
                                        }
                                        if (state5 != null) {
                                            state5.dispose();
                                        }
                                        if (state6 != null) {
                                            state6.dispose();
                                        }
                                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda10
                                            @Override // java.lang.Runnable
                                            public final void run() {
                                                CacheControlActivity.this.m1099lambda$createView$5$imuecahxyvjduiCacheControlActivity(alertDialog);
                                            }
                                        });
                                        throw th;
                                    }
                                } catch (Throwable th2) {
                                    th = th2;
                                    alertDialog = alertDialog2;
                                    cursor = cursor4;
                                    state4 = state7;
                                    if (cursor != null) {
                                    }
                                    if (state4 != null) {
                                    }
                                    if (state5 != null) {
                                    }
                                    if (state6 != null) {
                                    }
                                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda10
                                        @Override // java.lang.Runnable
                                        public final void run() {
                                            CacheControlActivity.this.m1099lambda$createView$5$imuecahxyvjduiCacheControlActivity(alertDialog);
                                        }
                                    });
                                    throw th;
                                }
                            } else {
                                messagesCount = 0;
                            }
                            cursor4.dispose();
                            if (messagesCount <= 2) {
                                str = str2;
                                dialogsToCleanup = dialogsToCleanup2;
                            } else {
                                cursor4 = database.queryFinalized("SELECT last_mid_i, last_mid FROM dialogs WHERE did = " + did2, new Object[0]);
                                int messageId = -1;
                                if (cursor4.next()) {
                                    long last_mid_i2 = cursor4.longValue(0);
                                    long last_mid2 = cursor4.longValue(i);
                                    SQLiteCursor cursor22 = null;
                                    NativeByteBuffer data = null;
                                    try {
                                        ArrayList<Long> dialogsToCleanup3 = dialogsToCleanup2;
                                        state3 = state7;
                                        last_mid_i = last_mid_i2;
                                        try {
                                            dialogsToCleanup = dialogsToCleanup3;
                                            try {
                                                last_mid = last_mid2;
                                                try {
                                                    try {
                                                        try {
                                                            cursor22 = database.queryFinalized("SELECT data FROM messages WHERE uid = " + did2 + " AND mid IN (" + last_mid_i + "," + last_mid + SQLBuilder.PARENTHESES_RIGHT, new Object[0]);
                                                            messageId = -1;
                                                            while (cursor22.next()) {
                                                                try {
                                                                    int messageId2 = messageId;
                                                                    try {
                                                                        NativeByteBuffer data2 = cursor22.byteBufferValue(0);
                                                                        if (data2 != null) {
                                                                            try {
                                                                                TLRPC.Message message = TLRPC.Message.TLdeserialize(data2, data2.readInt32(false), false);
                                                                                message.readAttachPath(data2, UserConfig.getInstance(this.currentAccount).clientUserId);
                                                                                data2.reuse();
                                                                                data = null;
                                                                                messageId = message != null ? message.id : messageId2;
                                                                            } catch (Exception e3) {
                                                                                e = e3;
                                                                                data = data2;
                                                                                messageId = messageId2;
                                                                                try {
                                                                                    FileLog.e(e);
                                                                                    if (data != null) {
                                                                                        try {
                                                                                            data.reuse();
                                                                                        } catch (Exception e4) {
                                                                                            e = e4;
                                                                                            alertDialog = progressDialog;
                                                                                            cursor = cursor4;
                                                                                            state4 = state3;
                                                                                            FileLog.e(e);
                                                                                            if (cursor != null) {
                                                                                            }
                                                                                            if (state4 != null) {
                                                                                            }
                                                                                            if (state5 != null) {
                                                                                            }
                                                                                            if (state6 != null) {
                                                                                            }
                                                                                            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda10
                                                                                                @Override // java.lang.Runnable
                                                                                                public final void run() {
                                                                                                    CacheControlActivity.this.m1099lambda$createView$5$imuecahxyvjduiCacheControlActivity(alertDialog);
                                                                                                }
                                                                                            });
                                                                                            return;
                                                                                        } catch (Throwable th3) {
                                                                                            th = th3;
                                                                                            alertDialog = progressDialog;
                                                                                            cursor = cursor4;
                                                                                            state4 = state3;
                                                                                            if (cursor != null) {
                                                                                            }
                                                                                            if (state4 != null) {
                                                                                            }
                                                                                            if (state5 != null) {
                                                                                            }
                                                                                            if (state6 != null) {
                                                                                            }
                                                                                            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda10
                                                                                                @Override // java.lang.Runnable
                                                                                                public final void run() {
                                                                                                    CacheControlActivity.this.m1099lambda$createView$5$imuecahxyvjduiCacheControlActivity(alertDialog);
                                                                                                }
                                                                                            });
                                                                                            throw th;
                                                                                        }
                                                                                    }
                                                                                    if (cursor22 != null) {
                                                                                        cursor22.dispose();
                                                                                    }
                                                                                    cursor2 = cursor22;
                                                                                    database.executeFast("DELETE FROM messages WHERE uid = " + did2 + str2 + last_mid_i + str2 + last_mid).stepThis().dispose();
                                                                                    database.executeFast("DELETE FROM messages_holes WHERE uid = " + did2).stepThis().dispose();
                                                                                    database.executeFast("DELETE FROM bot_keyboard WHERE uid = " + did2).stepThis().dispose();
                                                                                    database.executeFast("DELETE FROM media_counts_v2 WHERE uid = " + did2).stepThis().dispose();
                                                                                    database.executeFast("DELETE FROM media_v2 WHERE uid = " + did2).stepThis().dispose();
                                                                                    database.executeFast("DELETE FROM media_holes_v2 WHERE uid = " + did2).stepThis().dispose();
                                                                                    state2 = null;
                                                                                    str = str2;
                                                                                    try {
                                                                                        MediaDataController.getInstance(this.currentAccount).clearBotKeyboard(did2.longValue(), null);
                                                                                        if (messageId != -1) {
                                                                                        }
                                                                                        cursor4.dispose();
                                                                                        cursor4 = null;
                                                                                        state7 = state2;
                                                                                        a2++;
                                                                                        alertDialog2 = progressDialog;
                                                                                        dialogsToCleanup2 = dialogsToCleanup;
                                                                                        str2 = str;
                                                                                        i = 1;
                                                                                    } catch (Exception e5) {
                                                                                        e = e5;
                                                                                        alertDialog = progressDialog;
                                                                                        cursor = cursor4;
                                                                                        state4 = null;
                                                                                        FileLog.e(e);
                                                                                        if (cursor != null) {
                                                                                        }
                                                                                        if (state4 != null) {
                                                                                        }
                                                                                        if (state5 != null) {
                                                                                        }
                                                                                        if (state6 != null) {
                                                                                        }
                                                                                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda10
                                                                                            @Override // java.lang.Runnable
                                                                                            public final void run() {
                                                                                                CacheControlActivity.this.m1099lambda$createView$5$imuecahxyvjduiCacheControlActivity(alertDialog);
                                                                                            }
                                                                                        });
                                                                                        return;
                                                                                    } catch (Throwable th4) {
                                                                                        th = th4;
                                                                                        alertDialog = progressDialog;
                                                                                        cursor = cursor4;
                                                                                        state4 = null;
                                                                                        if (cursor != null) {
                                                                                        }
                                                                                        if (state4 != null) {
                                                                                        }
                                                                                        if (state5 != null) {
                                                                                        }
                                                                                        if (state6 != null) {
                                                                                        }
                                                                                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda10
                                                                                            @Override // java.lang.Runnable
                                                                                            public final void run() {
                                                                                                CacheControlActivity.this.m1099lambda$createView$5$imuecahxyvjduiCacheControlActivity(alertDialog);
                                                                                            }
                                                                                        });
                                                                                        throw th;
                                                                                    }
                                                                                } catch (Throwable th5) {
                                                                                    th = th5;
                                                                                    if (data != null) {
                                                                                        data.reuse();
                                                                                    }
                                                                                    if (cursor22 != null) {
                                                                                        cursor22.dispose();
                                                                                    }
                                                                                    throw th;
                                                                                }
                                                                            } catch (Throwable th6) {
                                                                                th = th6;
                                                                                data = data2;
                                                                                if (data != null) {
                                                                                }
                                                                                if (cursor22 != null) {
                                                                                }
                                                                                throw th;
                                                                            }
                                                                        } else {
                                                                            data = data2;
                                                                            messageId = messageId2;
                                                                        }
                                                                    } catch (Exception e6) {
                                                                        e = e6;
                                                                        messageId = messageId2;
                                                                    } catch (Throwable th7) {
                                                                        th = th7;
                                                                    }
                                                                } catch (Exception e7) {
                                                                    e = e7;
                                                                } catch (Throwable th8) {
                                                                    th = th8;
                                                                }
                                                            }
                                                            int messageId3 = messageId;
                                                            cursor22.dispose();
                                                            cursor2 = null;
                                                            if (data != null) {
                                                                data.reuse();
                                                            }
                                                            if (0 != 0) {
                                                                cursor2.dispose();
                                                            }
                                                            messageId = messageId3;
                                                        } catch (Exception e8) {
                                                            e = e8;
                                                            messageId = -1;
                                                            cursor22 = null;
                                                        } catch (Throwable th9) {
                                                            th = th9;
                                                            cursor22 = null;
                                                        }
                                                    } catch (Exception e9) {
                                                        e = e9;
                                                        messageId = -1;
                                                    } catch (Throwable th10) {
                                                        th = th10;
                                                    }
                                                } catch (Exception e10) {
                                                    e = e10;
                                                } catch (Throwable th11) {
                                                    th = th11;
                                                }
                                            } catch (Exception e11) {
                                                e = e11;
                                                last_mid = last_mid2;
                                            } catch (Throwable th12) {
                                                th = th12;
                                            }
                                        } catch (Exception e12) {
                                            e = e12;
                                            dialogsToCleanup = dialogsToCleanup3;
                                            last_mid = last_mid2;
                                        } catch (Throwable th13) {
                                            th = th13;
                                        }
                                    } catch (Exception e13) {
                                        e = e13;
                                        state3 = state7;
                                        dialogsToCleanup = dialogsToCleanup2;
                                        last_mid_i = last_mid_i2;
                                        last_mid = last_mid2;
                                    } catch (Throwable th14) {
                                        th = th14;
                                    }
                                    try {
                                        database.executeFast("DELETE FROM messages WHERE uid = " + did2 + str2 + last_mid_i + str2 + last_mid).stepThis().dispose();
                                        database.executeFast("DELETE FROM messages_holes WHERE uid = " + did2).stepThis().dispose();
                                        database.executeFast("DELETE FROM bot_keyboard WHERE uid = " + did2).stepThis().dispose();
                                        database.executeFast("DELETE FROM media_counts_v2 WHERE uid = " + did2).stepThis().dispose();
                                        database.executeFast("DELETE FROM media_v2 WHERE uid = " + did2).stepThis().dispose();
                                        database.executeFast("DELETE FROM media_holes_v2 WHERE uid = " + did2).stepThis().dispose();
                                        try {
                                            state2 = null;
                                            str = str2;
                                            MediaDataController.getInstance(this.currentAccount).clearBotKeyboard(did2.longValue(), null);
                                            if (messageId != -1) {
                                                MessagesStorage.createFirstHoles(did2.longValue(), state5, state6, messageId);
                                            }
                                        } catch (Exception e14) {
                                            e = e14;
                                            alertDialog = progressDialog;
                                            cursor = cursor4;
                                            state4 = null;
                                        } catch (Throwable th15) {
                                            th = th15;
                                            alertDialog = progressDialog;
                                            cursor = cursor4;
                                            state4 = null;
                                        }
                                    } catch (Exception e15) {
                                        e = e15;
                                        alertDialog = progressDialog;
                                        cursor = cursor4;
                                        state4 = state;
                                    } catch (Throwable th16) {
                                        th = th16;
                                        alertDialog = progressDialog;
                                        cursor = cursor4;
                                        state4 = state;
                                    }
                                } else {
                                    str = str2;
                                    dialogsToCleanup = dialogsToCleanup2;
                                    state2 = state7;
                                }
                                cursor4.dispose();
                                cursor4 = null;
                                state7 = state2;
                            }
                            a2++;
                            alertDialog2 = progressDialog;
                            dialogsToCleanup2 = dialogsToCleanup;
                            str2 = str;
                            i = 1;
                        } catch (Exception e16) {
                            e = e16;
                            sQLitePreparedStatement2 = state7;
                            alertDialog = progressDialog;
                            cursor = cursor4;
                            state4 = sQLitePreparedStatement2;
                            FileLog.e(e);
                            if (cursor != null) {
                            }
                            if (state4 != null) {
                            }
                            if (state5 != null) {
                            }
                            if (state6 != null) {
                            }
                            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda10
                                @Override // java.lang.Runnable
                                public final void run() {
                                    CacheControlActivity.this.m1099lambda$createView$5$imuecahxyvjduiCacheControlActivity(alertDialog);
                                }
                            });
                            return;
                        } catch (Throwable th17) {
                            th = th17;
                            sQLitePreparedStatement = state7;
                            alertDialog = progressDialog;
                            cursor = cursor4;
                            state4 = sQLitePreparedStatement;
                            if (cursor != null) {
                            }
                            if (state4 != null) {
                            }
                            if (state5 != null) {
                            }
                            if (state6 != null) {
                            }
                            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda10
                                @Override // java.lang.Runnable
                                public final void run() {
                                    CacheControlActivity.this.m1099lambda$createView$5$imuecahxyvjduiCacheControlActivity(alertDialog);
                                }
                            });
                            throw th;
                        }
                    } catch (Exception e17) {
                        e = e17;
                        alertDialog = alertDialog2;
                        sQLitePreparedStatement2 = state7;
                    } catch (Throwable th18) {
                        th = th18;
                        alertDialog = alertDialog2;
                        sQLitePreparedStatement = state7;
                    }
                }
                state5.dispose();
                state5 = null;
                state6.dispose();
                state6 = null;
                database.commitTransaction();
                database.executeFast("PRAGMA journal_size_limit = 0").stepThis().dispose();
                database.executeFast("VACUUM").stepThis().dispose();
                state = database.executeFast("PRAGMA journal_size_limit = -1");
                state.stepThis().dispose();
                SQLitePreparedStatement state8 = null;
                if (cursor4 != null) {
                    cursor4.dispose();
                }
                if (0 != 0) {
                    state8.dispose();
                }
                if (0 != 0) {
                    state5.dispose();
                }
                if (0 != 0) {
                    state6.dispose();
                }
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.CacheControlActivity$$ExternalSyntheticLambda10
                    @Override // java.lang.Runnable
                    public final void run() {
                        CacheControlActivity.this.m1099lambda$createView$5$imuecahxyvjduiCacheControlActivity(progressDialog);
                    }
                });
            } catch (Exception e18) {
                e = e18;
                alertDialog = alertDialog2;
            }
        } catch (Throwable th19) {
            th = th19;
            alertDialog = alertDialog2;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$5$im-uecahxyvjd-ui-CacheControlActivity  reason: not valid java name */
    public /* synthetic */ void m1099lambda$createView$5$imuecahxyvjduiCacheControlActivity(AlertDialog progressDialog) {
        try {
            progressDialog.dismiss();
        } catch (Exception e) {
            FileLog.e(e);
        }
        if (this.listAdapter != null) {
            this.databaseSize = MessagesStorage.getInstance(this.currentAccount).getDatabaseSize();
            this.listAdapter.notifyDataSetChanged();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$8$im-uecahxyvjd-ui-CacheControlActivity  reason: not valid java name */
    public /* synthetic */ void m1102lambda$createView$8$imuecahxyvjduiCacheControlActivity(View v) {
        CheckBoxCell cell = (CheckBoxCell) v;
        int num = ((Integer) cell.getTag()).intValue();
        boolean[] zArr = this.clear;
        boolean z = !zArr[num];
        zArr[num] = z;
        cell.setChecked(z, true);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$9$im-uecahxyvjd-ui-CacheControlActivity  reason: not valid java name */
    public /* synthetic */ void m1103lambda$createView$9$imuecahxyvjduiCacheControlActivity(View v) {
        try {
            if (this.visibleDialog != null) {
                this.visibleDialog.dismiss();
            }
        } catch (Exception e) {
            FileLog.e(e);
        }
        cleanupFolders();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onResume() {
        super.onResume();
        ListAdapter listAdapter = this.listAdapter;
        if (listAdapter != null) {
            listAdapter.notifyDataSetChanged();
        }
    }

    /* loaded from: classes12.dex */
    private class ListAdapter extends RecyclerListView.SelectionAdapter {
        private Context mContext;

        public ListAdapter(Context context) {
            this.mContext = context;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            int position = holder.getAdapterPosition();
            return position == CacheControlActivity.this.databaseRow || (position == CacheControlActivity.this.cacheRow && CacheControlActivity.this.totalSize > 0) || position == CacheControlActivity.this.keepMediaRow;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return CacheControlActivity.this.rowCount;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view;
            switch (viewType) {
                case 0:
                    view = new TextSettingsCell(this.mContext);
                    view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    break;
                default:
                    view = new TextInfoPrivacyCell(this.mContext);
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            String value;
            switch (holder.getItemViewType()) {
                case 0:
                    TextSettingsCell textCell = (TextSettingsCell) holder.itemView;
                    if (position == CacheControlActivity.this.databaseRow) {
                        textCell.setTextAndValue(LocaleController.getString("LocalDatabase", R.string.LocalDatabase), AndroidUtilities.formatFileSize(CacheControlActivity.this.databaseSize), false);
                        return;
                    } else if (position == CacheControlActivity.this.cacheRow) {
                        if (!CacheControlActivity.this.calculating) {
                            textCell.setTextAndValue(LocaleController.getString("ClearMediaCache", R.string.ClearMediaCache), CacheControlActivity.this.totalSize == 0 ? LocaleController.getString("CacheEmpty", R.string.CacheEmpty) : AndroidUtilities.formatFileSize(CacheControlActivity.this.totalSize), false);
                            return;
                        } else {
                            textCell.setTextAndValue(LocaleController.getString("ClearMediaCache", R.string.ClearMediaCache), LocaleController.getString("CalculatingSize", R.string.CalculatingSize), false);
                            return;
                        }
                    } else if (position == CacheControlActivity.this.keepMediaRow) {
                        MessagesController.getGlobalMainSettings();
                        int keepMedia = SharedConfig.keepMedia;
                        if (keepMedia == 0) {
                            value = LocaleController.formatPluralString("Weeks", 1);
                        } else {
                            value = keepMedia == 1 ? LocaleController.formatPluralString("Months", 1) : keepMedia == 3 ? LocaleController.formatPluralString("Days", 3) : LocaleController.getString("KeepMediaForever", R.string.KeepMediaForever);
                        }
                        textCell.setTextAndValue(LocaleController.getString("KeepMedia", R.string.KeepMedia), value, false);
                        return;
                    } else {
                        return;
                    }
                case 1:
                    TextInfoPrivacyCell privacyCell = (TextInfoPrivacyCell) holder.itemView;
                    if (position != CacheControlActivity.this.databaseInfoRow) {
                        if (position != CacheControlActivity.this.cacheInfoRow) {
                            if (position == CacheControlActivity.this.keepMediaInfoRow) {
                                privacyCell.setText(AndroidUtilities.replaceTags(LocaleController.getString("KeepMediaInfo", R.string.KeepMediaInfo)));
                                privacyCell.setBackgroundDrawable(Theme.getThemedDrawable(this.mContext, (int) R.drawable.greydivider, Theme.key_windowBackgroundGrayShadow));
                                return;
                            }
                            return;
                        }
                        privacyCell.setText("");
                        privacyCell.setBackgroundDrawable(Theme.getThemedDrawable(this.mContext, (int) R.drawable.greydivider, Theme.key_windowBackgroundGrayShadow));
                        return;
                    }
                    privacyCell.setText(LocaleController.getString("LocalDatabaseInfo", R.string.LocalDatabaseInfo));
                    privacyCell.setBackgroundDrawable(Theme.getThemedDrawable(this.mContext, (int) R.drawable.greydivider_bottom, Theme.key_windowBackgroundGrayShadow));
                    return;
                default:
                    return;
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int i) {
            if (i == CacheControlActivity.this.databaseInfoRow || i == CacheControlActivity.this.cacheInfoRow || i == CacheControlActivity.this.keepMediaInfoRow) {
                return 1;
            }
            return 0;
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public ThemeDescription[] getThemeDescriptions() {
        return new ThemeDescription[]{new ThemeDescription(this.listView, ThemeDescription.FLAG_CELLBACKGROUNDCOLOR, new Class[]{TextSettingsCell.class}, null, null, null, Theme.key_windowBackgroundWhite), new ThemeDescription(this.fragmentView, ThemeDescription.FLAG_BACKGROUND, null, null, null, null, Theme.key_windowBackgroundGray), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_BACKGROUND, null, null, null, null, Theme.key_actionBarDefault), new ThemeDescription(this.listView, ThemeDescription.FLAG_LISTGLOWCOLOR, null, null, null, null, Theme.key_actionBarDefault), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_ITEMSCOLOR, null, null, null, null, Theme.key_actionBarDefaultIcon), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_TITLECOLOR, null, null, null, null, Theme.key_actionBarDefaultTitle), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_SELECTORCOLOR, null, null, null, null, Theme.key_actionBarDefaultSelector), new ThemeDescription(this.listView, ThemeDescription.FLAG_SELECTOR, null, null, null, null, Theme.key_listSelector), new ThemeDescription(this.listView, 0, new Class[]{TextSettingsCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlackText), new ThemeDescription(this.listView, 0, new Class[]{TextSettingsCell.class}, new String[]{"valueTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteValueText), new ThemeDescription(this.listView, ThemeDescription.FLAG_BACKGROUNDFILTER, new Class[]{TextInfoPrivacyCell.class}, null, null, null, Theme.key_windowBackgroundGrayShadow), new ThemeDescription(this.listView, 0, new Class[]{TextInfoPrivacyCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGrayText4)};
    }
}
