package im.uecahxyvjd.ui;

import android.content.Context;
import android.content.DialogInterface;
import android.content.SharedPreferences;
import android.os.CountDownTimer;
import android.telephony.TelephonyManager;
import android.text.Editable;
import android.text.InputFilter;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import butterknife.BindView;
import butterknife.OnClick;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ApplicationLoader;
import im.uecahxyvjd.messenger.BuildVars;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.utils.DrawableUtils;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.CountrySelectActivity;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.actionbar.XAlertDialog;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.hviews.MryEditText;
import im.uecahxyvjd.ui.hviews.MryRoundButton;
import im.uecahxyvjd.ui.hviews.MryTextView;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import org.slf4j.Marker;
/* loaded from: classes12.dex */
public class ChangePhoneNumberActivity extends BaseFragment {
    private TextWatcher codeWatcher;
    @BindView(R.id.btn_submit)
    MryRoundButton mBtnSubmit;
    @BindView(R.id.et_code)
    MryEditText mEtCode;
    @BindView(R.id.et_phone_number)
    MryEditText mEtPhoneNumber;
    @BindView(R.id.iv_clear)
    ImageView mIvClear;
    @BindView(R.id.ll_code_container)
    LinearLayout mLlCodeContainer;
    @BindView(R.id.ll_phone_container)
    LinearLayout mLlPhoneContainer;
    @BindView(R.id.tv_country_code)
    MryTextView mTvCountryCode;
    @BindView(R.id.tv_send_code)
    MryTextView mTvSendCode;
    private String phoneHash;
    private TextWatcher phoneNumberWatcher;
    private ArrayList<String> countriesArray = new ArrayList<>();
    private HashMap<String, String> countriesMap = new HashMap<>();
    private HashMap<String, String> codesMap = new HashMap<>();
    private HashMap<String, String> phoneFormatMap = new HashMap<>();
    private CountDownTimer mTimer = new CountDownTimer(60000, 1000) { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity.5
        @Override // android.os.CountDownTimer
        public void onTick(long millisUntilFinished) {
            ChangePhoneNumberActivity.this.mTvSendCode.setText((millisUntilFinished / 1000) + "s后重发");
            ChangePhoneNumberActivity.this.mTvSendCode.setTextColor(-12862209);
            ChangePhoneNumberActivity.this.mTvSendCode.setEnabled(false);
        }

        @Override // android.os.CountDownTimer
        public void onFinish() {
            ChangePhoneNumberActivity.this.mTvSendCode.setText(LocaleController.getString("GetPhoneCode", R.string.GetPhoneCode));
            ChangePhoneNumberActivity.this.mTvSendCode.setTextColor(Theme.ACTION_BAR_MEDIA_PICKER_COLOR);
            ChangePhoneNumberActivity.this.mTvSendCode.setEnabled(true);
        }
    };

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_change_phone_number, (ViewGroup) null);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        initActionBar();
        useButterKnife();
        initView();
        initData();
        return this.fragmentView;
    }

    private void initActionBar() {
        this.actionBar.setCastShadows(false);
        this.actionBar.setTitle(LocaleController.getString(R.string.ChangePhoneNumber2));
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    ChangePhoneNumberActivity.this.finishFragment();
                }
            }
        });
    }

    private void initView() {
        this.mLlPhoneContainer.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
        this.mLlCodeContainer.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
        MryEditText mryEditText = this.mEtPhoneNumber;
        TextWatcher textWatcher = new TextWatcher() { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity.2
            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence s, int start, int count, int after) {
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence s, int start, int before, int count) {
            }

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
                ChangePhoneNumberActivity.this.mIvClear.setVisibility(TextUtils.isEmpty(s) ? 8 : 0);
                ChangePhoneNumberActivity.this.checkBntEnable();
            }
        };
        this.phoneNumberWatcher = textWatcher;
        mryEditText.addTextChangedListener(textWatcher);
        MryEditText mryEditText2 = this.mEtCode;
        TextWatcher textWatcher2 = new TextWatcher() { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity.3
            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence s, int start, int count, int after) {
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence s, int start, int before, int count) {
            }

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
                ChangePhoneNumberActivity.this.checkBntEnable();
            }
        };
        this.codeWatcher = textWatcher2;
        mryEditText2.addTextChangedListener(textWatcher2);
        this.mBtnSubmit.setPrimaryRadiusAdjustBoundsFillStyle();
        this.mBtnSubmit.setBackgroundColor(-12862209);
    }

    private void initData() {
        String countryName;
        HashMap<String, String> languageMap = new HashMap<>();
        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(getParentActivity().getResources().getAssets().open("countries.txt")));
            while (true) {
                String line = reader.readLine();
                if (line == null) {
                    break;
                }
                String[] args = line.split(";");
                this.countriesArray.add(0, args[2]);
                this.countriesMap.put(args[2], args[0]);
                this.codesMap.put(args[0], args[2]);
                if (args.length > 3) {
                    this.phoneFormatMap.put(args[0], args[3]);
                }
                languageMap.put(args[1], args[2]);
            }
            reader.close();
        } catch (Exception e) {
            FileLog.e(e);
        }
        Collections.sort(this.countriesArray, new ChangePhoneActivity$PhoneView$$ExternalSyntheticLambda8());
        String country = null;
        try {
            TelephonyManager telephonyManager = (TelephonyManager) ApplicationLoader.applicationContext.getSystemService("phone");
            if (telephonyManager != null) {
                country = telephonyManager.getSimCountryIso().toUpperCase();
            }
        } catch (Exception e2) {
            FileLog.e(e2);
        }
        if (country != null && (countryName = languageMap.get(country)) != null) {
            int index = this.countriesArray.indexOf(countryName);
            if (index != -1) {
                this.mTvCountryCode.setText(Marker.ANY_NON_NULL_MARKER + this.countriesMap.get(countryName));
                this.mEtPhoneNumber.setFilters(new InputFilter[]{new InputFilter.LengthFilter(this.phoneFormatMap.get(this.countriesMap.get(countryName)).replace(" ", "").length()) { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity.4
                }});
            }
        }
    }

    private void check(boolean sendMsg) {
        boolean tag = false;
        if (!TextUtils.isEmpty(this.mTvCountryCode.getText())) {
            String coutryCode = this.mTvCountryCode.getText().toString().trim();
            if (TextUtils.isEmpty(coutryCode.replaceAll("\\+", ""))) {
                tag = true;
            }
        }
        if (tag) {
            ToastUtils.show((int) R.string.ReminderPleaseSelectCountry);
        } else if (sendMsg) {
            sendSms();
        } else {
            submit();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void checkBntEnable() {
        boolean tag = false;
        if (!TextUtils.isEmpty(this.mTvCountryCode.getText())) {
            String coutryCode = this.mTvCountryCode.getText().toString().trim();
            if (!TextUtils.isEmpty(coutryCode.replaceAll("\\+", ""))) {
                tag = true;
            }
        }
        this.mBtnSubmit.setEnabled((!tag || TextUtils.isEmpty(this.mEtPhoneNumber.getText()) || TextUtils.isEmpty(this.mEtCode.getText())) ? false : true);
    }

    private void sendSms() {
        final String phoneNumber = this.mEtPhoneNumber.getText().toString().trim();
        String countryCode = this.mTvCountryCode.getText().toString();
        if (TextUtils.isEmpty(countryCode)) {
            ToastUtils.show((int) R.string.WrongCountry);
            this.mLlPhoneContainer.setBackground(DrawableUtils.createLayerDrawable(Theme.getColor(Theme.key_windowBackgroundWhite), -570319, AndroidUtilities.dp(5.0f)));
            this.fragmentView.postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    ChangePhoneNumberActivity.this.m1180lambda$sendSms$0$imuecahxyvjduiChangePhoneNumberActivity();
                }
            }, 3000L);
        } else if (TextUtils.isEmpty(phoneNumber)) {
            ToastUtils.show((int) R.string.InvalidPhoneNumberTips);
            this.mLlPhoneContainer.setBackground(DrawableUtils.createLayerDrawable(Theme.getColor(Theme.key_windowBackgroundWhite), -570319, AndroidUtilities.dp(5.0f)));
            this.fragmentView.postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity$$ExternalSyntheticLambda5
                @Override // java.lang.Runnable
                public final void run() {
                    ChangePhoneNumberActivity.this.m1181lambda$sendSms$1$imuecahxyvjduiChangePhoneNumberActivity();
                }
            }, 3000L);
        } else {
            String phone = countryCode.replace(Marker.ANY_NON_NULL_MARKER, "") + phoneNumber;
            if (getUserConfig() != null && getUserConfig().getClientPhone() != null && getUserConfig().getClientPhone().equals(phone)) {
                ToastUtils.show((int) R.string.CannotMatchTheCurrentPhoneNumber);
                this.mLlPhoneContainer.setBackground(DrawableUtils.createLayerDrawable(Theme.getColor(Theme.key_windowBackgroundWhite), -570319, AndroidUtilities.dp(5.0f)));
                this.fragmentView.postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity$$ExternalSyntheticLambda6
                    @Override // java.lang.Runnable
                    public final void run() {
                        ChangePhoneNumberActivity.this.m1182lambda$sendSms$2$imuecahxyvjduiChangePhoneNumberActivity();
                    }
                }, 3000L);
                return;
            }
            TLRPC.TL_account_sendChangePhoneCode req = new TLRPC.TL_account_sendChangePhoneCode();
            req.phone_number = phone;
            req.settings = new TLRPC.TL_codeSettings();
            req.settings.allow_flashcall = false;
            req.settings.allow_app_hash = ApplicationLoader.hasPlayServices;
            SharedPreferences preferences = ApplicationLoader.applicationContext.getSharedPreferences("mainconfig", 0);
            if (req.settings.allow_app_hash) {
                preferences.edit().putString("sms_hash", BuildVars.SMS_HASH).commit();
            } else {
                preferences.edit().remove("sms_hash").commit();
            }
            final XAlertDialog progressDialog = new XAlertDialog(getParentActivity(), 4);
            final int reqId = getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity$$ExternalSyntheticLambda7
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    ChangePhoneNumberActivity.this.m1185lambda$sendSms$5$imuecahxyvjduiChangePhoneNumberActivity(progressDialog, phoneNumber, tLObject, tL_error);
                }
            }, 2);
            ConnectionsManager.getInstance(this.currentAccount).bindRequestToGuid(reqId, this.classGuid);
            progressDialog.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity$$ExternalSyntheticLambda8
                @Override // android.content.DialogInterface.OnCancelListener
                public final void onCancel(DialogInterface dialogInterface) {
                    ChangePhoneNumberActivity.this.m1186lambda$sendSms$6$imuecahxyvjduiChangePhoneNumberActivity(reqId, dialogInterface);
                }
            });
            progressDialog.show();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendSms$0$im-uecahxyvjd-ui-ChangePhoneNumberActivity  reason: not valid java name */
    public /* synthetic */ void m1180lambda$sendSms$0$imuecahxyvjduiChangePhoneNumberActivity() {
        this.mLlPhoneContainer.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendSms$1$im-uecahxyvjd-ui-ChangePhoneNumberActivity  reason: not valid java name */
    public /* synthetic */ void m1181lambda$sendSms$1$imuecahxyvjduiChangePhoneNumberActivity() {
        this.mLlPhoneContainer.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendSms$2$im-uecahxyvjd-ui-ChangePhoneNumberActivity  reason: not valid java name */
    public /* synthetic */ void m1182lambda$sendSms$2$imuecahxyvjduiChangePhoneNumberActivity() {
        this.mLlPhoneContainer.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendSms$5$im-uecahxyvjd-ui-ChangePhoneNumberActivity  reason: not valid java name */
    public /* synthetic */ void m1185lambda$sendSms$5$imuecahxyvjduiChangePhoneNumberActivity(final XAlertDialog progressDialog, final String phoneNumber, final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity$$ExternalSyntheticLambda12
            @Override // java.lang.Runnable
            public final void run() {
                ChangePhoneNumberActivity.this.m1184lambda$sendSms$4$imuecahxyvjduiChangePhoneNumberActivity(progressDialog, error, response, phoneNumber);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendSms$4$im-uecahxyvjd-ui-ChangePhoneNumberActivity  reason: not valid java name */
    public /* synthetic */ void m1184lambda$sendSms$4$imuecahxyvjduiChangePhoneNumberActivity(XAlertDialog progressDialog, TLRPC.TL_error error, TLObject response, String phoneNumber) {
        progressDialog.dismiss();
        if (error == null) {
            TLRPC.TL_auth_sentCode res = (TLRPC.TL_auth_sentCode) response;
            this.phoneHash = res.phone_code_hash;
            this.mTimer.start();
            ToastUtils.show((CharSequence) LocaleController.getString("SendSuccess", R.string.SendSuccess));
        } else if (error.text.contains("PHONE_NUMBER_INVALID")) {
            ToastUtils.show((int) R.string.InvalidPhoneNumberTips);
            this.mLlPhoneContainer.setBackground(DrawableUtils.createLayerDrawable(Theme.getColor(Theme.key_windowBackgroundWhite), -570319, AndroidUtilities.dp(5.0f)));
            this.fragmentView.postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity$$ExternalSyntheticLambda9
                @Override // java.lang.Runnable
                public final void run() {
                    ChangePhoneNumberActivity.this.m1183lambda$sendSms$3$imuecahxyvjduiChangePhoneNumberActivity();
                }
            }, 3000L);
        } else if (error.text.contains("PHONE_CODE_EMPTY") || error.text.contains("PHONE_CODE_INVALID")) {
            ToastUtils.show((int) R.string.InvalidCode);
        } else if (error.text.contains("PHONE_CODE_EXPIRED")) {
            ToastUtils.show((int) R.string.CodeExpired);
        } else if (error.text.startsWith("FLOOD_WAIT")) {
            ToastUtils.show((int) R.string.FloodWait);
        } else if (!error.text.startsWith("PHONE_NUMBER_OCCUPIED")) {
            if (error.text.contains("IPORDE_LIMIT")) {
                ToastUtils.show((CharSequence) LocaleController.getString("IpOrDeLimit", R.string.IpOrDeLimit));
            } else if (error.text.equals("INTERNAL")) {
                ToastUtils.show((CharSequence) LocaleController.getString("InternalError", R.string.InternalError));
            } else {
                ToastUtils.show((int) R.string.ErrorOccurred);
            }
        } else {
            ToastUtils.show((CharSequence) LocaleController.formatString("ChangePhoneNumberOccupied", R.string.ChangePhoneNumberOccupied, phoneNumber));
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendSms$3$im-uecahxyvjd-ui-ChangePhoneNumberActivity  reason: not valid java name */
    public /* synthetic */ void m1183lambda$sendSms$3$imuecahxyvjduiChangePhoneNumberActivity() {
        this.mLlPhoneContainer.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendSms$6$im-uecahxyvjd-ui-ChangePhoneNumberActivity  reason: not valid java name */
    public /* synthetic */ void m1186lambda$sendSms$6$imuecahxyvjduiChangePhoneNumberActivity(int reqId, DialogInterface dialog) {
        ConnectionsManager.getInstance(this.currentAccount).cancelRequest(reqId, true);
    }

    private void submit() {
        String phoneNumber = this.mEtPhoneNumber.getText().toString().trim();
        String countryCode = this.mTvCountryCode.getText().toString();
        TLRPC.TL_account_changePhone req = new TLRPC.TL_account_changePhone();
        req.phone_number = countryCode.replace(Marker.ANY_NON_NULL_MARKER, "") + " " + phoneNumber;
        req.phone_code = this.mEtCode.getText().toString().trim();
        req.phone_code_hash = this.phoneHash;
        final XAlertDialog progressDialog = new XAlertDialog(getParentActivity(), 4);
        final int reqId = getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity$$ExternalSyntheticLambda1
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                ChangePhoneNumberActivity.this.m1187lambda$submit$10$imuecahxyvjduiChangePhoneNumberActivity(progressDialog, tLObject, tL_error);
            }
        }, 2);
        ConnectionsManager.getInstance(this.currentAccount).bindRequestToGuid(reqId, this.classGuid);
        progressDialog.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity$$ExternalSyntheticLambda2
            @Override // android.content.DialogInterface.OnCancelListener
            public final void onCancel(DialogInterface dialogInterface) {
                ChangePhoneNumberActivity.this.m1188lambda$submit$11$imuecahxyvjduiChangePhoneNumberActivity(reqId, dialogInterface);
            }
        });
        progressDialog.show();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$submit$10$im-uecahxyvjd-ui-ChangePhoneNumberActivity  reason: not valid java name */
    public /* synthetic */ void m1187lambda$submit$10$imuecahxyvjduiChangePhoneNumberActivity(final XAlertDialog progressDialog, final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity$$ExternalSyntheticLambda11
            @Override // java.lang.Runnable
            public final void run() {
                ChangePhoneNumberActivity.this.m1191lambda$submit$9$imuecahxyvjduiChangePhoneNumberActivity(progressDialog, error, response);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$submit$9$im-uecahxyvjd-ui-ChangePhoneNumberActivity  reason: not valid java name */
    public /* synthetic */ void m1191lambda$submit$9$imuecahxyvjduiChangePhoneNumberActivity(XAlertDialog progressDialog, TLRPC.TL_error error, TLObject response) {
        progressDialog.dismiss();
        if (error == null) {
            TLRPC.User user = (TLRPC.User) response;
            UserConfig.getInstance(this.currentAccount).setCurrentUser(user);
            UserConfig.getInstance(this.currentAccount).saveConfig(true);
            ArrayList<TLRPC.User> users = new ArrayList<>();
            users.add(user);
            MessagesStorage.getInstance(this.currentAccount).putUsersAndChats(users, null, true, true);
            MessagesController.getInstance(this.currentAccount).putUser(user, false);
            finishFragment();
            NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.mainUserInfoChanged, new Object[0]);
        } else if (error.text.contains("PHONE_NUMBER_INVALID")) {
            ToastUtils.show((int) R.string.InvalidPhoneNumberTips);
            this.mLlPhoneContainer.setBackground(DrawableUtils.createLayerDrawable(Theme.getColor(Theme.key_windowBackgroundWhite), -570319, AndroidUtilities.dp(5.0f)));
            this.fragmentView.postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity$$ExternalSyntheticLambda3
                @Override // java.lang.Runnable
                public final void run() {
                    ChangePhoneNumberActivity.this.m1189lambda$submit$7$imuecahxyvjduiChangePhoneNumberActivity();
                }
            }, 3000L);
        } else if (error.text.contains("PHONE_CODE_EMPTY") || error.text.contains("PHONE_CODE_INVALID")) {
            ToastUtils.show((int) R.string.VerificationCodeError);
            this.mLlCodeContainer.setBackground(DrawableUtils.createLayerDrawable(Theme.getColor(Theme.key_windowBackgroundWhite), -570319, AndroidUtilities.dp(5.0f)));
            this.fragmentView.postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity$$ExternalSyntheticLambda4
                @Override // java.lang.Runnable
                public final void run() {
                    ChangePhoneNumberActivity.this.m1190lambda$submit$8$imuecahxyvjduiChangePhoneNumberActivity();
                }
            }, 3000L);
        } else if (error.text.contains("PHONE_CODE_EXPIRED")) {
            ToastUtils.show((int) R.string.CodeExpired);
        } else if (error.text.startsWith("FLOOD_WAIT")) {
            ToastUtils.show((int) R.string.FloodWait);
        } else {
            ToastUtils.show((CharSequence) error.text);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$submit$7$im-uecahxyvjd-ui-ChangePhoneNumberActivity  reason: not valid java name */
    public /* synthetic */ void m1189lambda$submit$7$imuecahxyvjduiChangePhoneNumberActivity() {
        this.mLlPhoneContainer.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$submit$8$im-uecahxyvjd-ui-ChangePhoneNumberActivity  reason: not valid java name */
    public /* synthetic */ void m1190lambda$submit$8$imuecahxyvjduiChangePhoneNumberActivity() {
        this.mLlCodeContainer.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$submit$11$im-uecahxyvjd-ui-ChangePhoneNumberActivity  reason: not valid java name */
    public /* synthetic */ void m1188lambda$submit$11$imuecahxyvjduiChangePhoneNumberActivity(int reqId, DialogInterface dialog) {
        ConnectionsManager.getInstance(this.currentAccount).cancelRequest(reqId, true);
    }

    @OnClick({R.id.tv_country_code, R.id.iv_clear, R.id.tv_send_code, R.id.btn_submit})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.btn_submit /* 2131296435 */:
                check(false);
                return;
            case R.id.iv_clear /* 2131296793 */:
                MryEditText mryEditText = this.mEtPhoneNumber;
                if (mryEditText != null) {
                    mryEditText.setText((CharSequence) null);
                    return;
                }
                return;
            case R.id.tv_country_code /* 2131297742 */:
                CountrySelectActivity fragment = new CountrySelectActivity(true);
                fragment.setCountrySelectActivityDelegate(new CountrySelectActivity.CountrySelectActivityDelegate() { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity$$ExternalSyntheticLambda10
                    @Override // im.uecahxyvjd.ui.CountrySelectActivity.CountrySelectActivityDelegate
                    public final void didSelectCountry(CountrySelectActivity.Country country) {
                        ChangePhoneNumberActivity.this.m1179xdf17c9b1(country);
                    }
                });
                presentFragment(fragment);
                return;
            case R.id.tv_send_code /* 2131297842 */:
                check(true);
                return;
            default:
                return;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onViewClicked$12$im-uecahxyvjd-ui-ChangePhoneNumberActivity  reason: not valid java name */
    public /* synthetic */ void m1179xdf17c9b1(CountrySelectActivity.Country country) {
        this.mTvCountryCode.setText(Marker.ANY_NON_NULL_MARKER + country.code);
        this.mEtPhoneNumber.setFilters(new InputFilter[]{new InputFilter.LengthFilter(country.phoneFormat.replace(" ", "").length()) { // from class: im.uecahxyvjd.ui.ChangePhoneNumberActivity.6
        }});
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        TextWatcher textWatcher;
        TextWatcher textWatcher2;
        MryEditText mryEditText = this.mEtPhoneNumber;
        if (mryEditText != null && (textWatcher2 = this.phoneNumberWatcher) != null) {
            mryEditText.removeTextChangedListener(textWatcher2);
        }
        MryEditText mryEditText2 = this.mEtCode;
        if (mryEditText2 != null && (textWatcher = this.codeWatcher) != null) {
            mryEditText2.removeTextChangedListener(textWatcher);
        }
        CountDownTimer countDownTimer = this.mTimer;
        if (countDownTimer != null) {
            countDownTimer.cancel();
            this.mTimer = null;
        }
        super.onFragmentDestroy();
    }
}
