package im.uecahxyvjd.ui;

import android.content.Context;
import android.content.DialogInterface;
import android.content.SharedPreferences;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.RelativeLayout;
import butterknife.BindView;
import butterknife.OnClick;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCContacts;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.actionbar.XAlertDialog;
import im.uecahxyvjd.ui.components.AlertsCreator;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.hviews.MryEditText;
import im.uecahxyvjd.ui.hviews.MryRoundButton;
import im.uecahxyvjd.ui.hviews.MryTextView;
/* loaded from: classes12.dex */
public class ChangeSignActivity extends BaseFragment {
    @BindView(R.id.btn_submit)
    MryRoundButton mBtnSubmit;
    @BindView(R.id.et_signature)
    MryEditText mEtSignature;
    @BindView(R.id.rl_signature_container)
    RelativeLayout mRlSignatureContainer;
    @BindView(R.id.tv_count)
    MryTextView mTvCount;
    private TextWatcher mWatcher;
    private final TLRPCContacts.CL_userFull_v1 userFull;

    public ChangeSignActivity(TLRPCContacts.CL_userFull_v1 userFull) {
        this.userFull = userFull;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_change_sign, (ViewGroup) null);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        initActionBar();
        useButterKnife();
        initView();
        return this.fragmentView;
    }

    private void initActionBar() {
        this.actionBar.setCastShadows(false);
        this.actionBar.setTitle(LocaleController.getString(R.string.SetSignature));
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.ChangeSignActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    ChangeSignActivity.this.finishFragment();
                }
            }
        });
    }

    private void initView() {
        this.mRlSignatureContainer.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
        MryEditText mryEditText = this.mEtSignature;
        TextWatcher textWatcher = new TextWatcher() { // from class: im.uecahxyvjd.ui.ChangeSignActivity.2
            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence s, int start, int count, int after) {
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence s, int start, int before, int count) {
            }

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
                ChangeSignActivity.this.mTvCount.setText(s.length() + "/30");
                ChangeSignActivity.this.mBtnSubmit.setEnabled(!TextUtils.isEmpty(s));
            }
        };
        this.mWatcher = textWatcher;
        mryEditText.addTextChangedListener(textWatcher);
        this.mBtnSubmit.setPrimaryRadiusAdjustBoundsFillStyle();
        this.mBtnSubmit.setText(LocaleController.getString("Submit", R.string.Submit));
        this.mBtnSubmit.setBackgroundColor(-12862209);
        TLRPCContacts.CL_userFull_v1 cL_userFull_v1 = this.userFull;
        if (cL_userFull_v1 != null) {
            this.mBtnSubmit.setEnabled(!TextUtils.isEmpty(cL_userFull_v1.about));
            this.mEtSignature.setText(this.userFull.about != null ? this.userFull.about : "");
        }
    }

    @OnClick({R.id.btn_submit})
    public void onViewClicked() {
        String signature = this.mEtSignature.getText().toString();
        if (!TextUtils.isEmpty(signature)) {
            submit(signature);
        } else {
            ToastUtils.show((CharSequence) "Sign not empty...");
        }
    }

    private void submit(final String signature) {
        final XAlertDialog progressDialog = new XAlertDialog(getParentActivity(), 4);
        final TLRPC.TL_account_updateProfile req = new TLRPC.TL_account_updateProfile();
        req.about = signature;
        req.flags = 4 | req.flags;
        final int reqId = ConnectionsManager.getInstance(this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.ChangeSignActivity$$ExternalSyntheticLambda2
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                ChangeSignActivity.this.m1194lambda$submit$2$imuecahxyvjduiChangeSignActivity(progressDialog, signature, req, tLObject, tL_error);
            }
        }, 2);
        ConnectionsManager.getInstance(this.currentAccount).bindRequestToGuid(reqId, this.classGuid);
        progressDialog.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.ChangeSignActivity$$ExternalSyntheticLambda3
            @Override // android.content.DialogInterface.OnCancelListener
            public final void onCancel(DialogInterface dialogInterface) {
                ChangeSignActivity.this.m1195lambda$submit$3$imuecahxyvjduiChangeSignActivity(reqId, dialogInterface);
            }
        });
        progressDialog.show();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$submit$2$im-uecahxyvjd-ui-ChangeSignActivity  reason: not valid java name */
    public /* synthetic */ void m1194lambda$submit$2$imuecahxyvjduiChangeSignActivity(final XAlertDialog progressDialog, final String signature, final TLRPC.TL_account_updateProfile req, TLObject response, final TLRPC.TL_error error) {
        if (error == null) {
            final TLRPC.User user = (TLRPC.User) response;
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.ChangeSignActivity$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    ChangeSignActivity.this.m1192lambda$submit$0$imuecahxyvjduiChangeSignActivity(progressDialog, signature, user);
                }
            });
            return;
        }
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.ChangeSignActivity$$ExternalSyntheticLambda1
            @Override // java.lang.Runnable
            public final void run() {
                ChangeSignActivity.this.m1193lambda$submit$1$imuecahxyvjduiChangeSignActivity(progressDialog, error, req);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$submit$0$im-uecahxyvjd-ui-ChangeSignActivity  reason: not valid java name */
    public /* synthetic */ void m1192lambda$submit$0$imuecahxyvjduiChangeSignActivity(XAlertDialog progressDialog, String signature, TLRPC.User user) {
        try {
            progressDialog.dismiss();
        } catch (Exception e) {
            FileLog.e(e);
        }
        this.userFull.about = signature;
        NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.userFullInfoDidLoad, Integer.valueOf(user.id), this.userFull, null);
        finishFragment();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$submit$1$im-uecahxyvjd-ui-ChangeSignActivity  reason: not valid java name */
    public /* synthetic */ void m1193lambda$submit$1$imuecahxyvjduiChangeSignActivity(XAlertDialog progressDialog, TLRPC.TL_error error, TLRPC.TL_account_updateProfile req) {
        try {
            progressDialog.dismiss();
        } catch (Exception e) {
            FileLog.e(e);
        }
        AlertsCreator.processError(this.currentAccount, error, this, req, new Object[0]);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$submit$3$im-uecahxyvjd-ui-ChangeSignActivity  reason: not valid java name */
    public /* synthetic */ void m1195lambda$submit$3$imuecahxyvjduiChangeSignActivity(int reqId, DialogInterface dialog) {
        ConnectionsManager.getInstance(this.currentAccount).cancelRequest(reqId, true);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onResume() {
        super.onResume();
        SharedPreferences preferences = MessagesController.getGlobalMainSettings();
        boolean animations = preferences.getBoolean("view_animations", true);
        if (!animations) {
            this.mEtSignature.requestFocus();
            AndroidUtilities.showKeyboard(this.mEtSignature);
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onTransitionAnimationEnd(boolean isOpen, boolean backward) {
        if (isOpen) {
            this.mEtSignature.requestFocus();
            AndroidUtilities.showKeyboard(this.mEtSignature);
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        TextWatcher textWatcher;
        MryEditText mryEditText = this.mEtSignature;
        if (mryEditText != null && (textWatcher = this.mWatcher) != null) {
            mryEditText.removeTextChangedListener(textWatcher);
        }
        super.onFragmentDestroy();
    }
}
