package im.uecahxyvjd.ui;

import android.app.Activity;
import android.content.Context;
import android.content.DialogInterface;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.view.MotionEvent;
import android.view.View;
import android.view.WindowInsets;
import android.view.WindowManager;
import android.widget.FrameLayout;
import com.google.android.exoplayer2.trackselection.AdaptiveTrackSelection;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.Emoji;
import im.uecahxyvjd.messenger.FileLoader;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.ImageReceiver;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MediaDataController;
import im.uecahxyvjd.messenger.MessageObject;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.WebFile;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.ContentPreviewViewer;
import im.uecahxyvjd.ui.actionbar.BottomSheet;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.cells.ContextLinkCell;
import im.uecahxyvjd.ui.cells.StickerCell;
import im.uecahxyvjd.ui.cells.StickerEmojiCell;
import im.uecahxyvjd.ui.components.AlertsCreator;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RecyclerListView;
import java.util.ArrayList;
/* loaded from: classes12.dex */
public class ContentPreviewViewer {
    private static final int CONTENT_TYPE_GIF = 1;
    private static final int CONTENT_TYPE_NONE = -1;
    private static final int CONTENT_TYPE_STICKER = 0;
    private static volatile ContentPreviewViewer Instance = null;
    private static TextPaint textPaint;
    private boolean animateY;
    private boolean clearsInputField;
    private FrameLayoutDrawer containerView;
    private int currentAccount;
    private int currentContentType;
    private TLRPC.Document currentDocument;
    private float currentMoveY;
    private float currentMoveYProgress;
    private View currentPreviewCell;
    private TLRPC.InputStickerSet currentStickerSet;
    private ContentPreviewViewerDelegate delegate;
    private float finalMoveY;
    private TLRPC.BotInlineResult inlineResult;
    private WindowInsets lastInsets;
    private float lastTouchY;
    private long lastUpdateTime;
    private Runnable openPreviewRunnable;
    private Activity parentActivity;
    private Object parentObject;
    private float showProgress;
    private Drawable slideUpDrawable;
    private float startMoveY;
    private int startX;
    private int startY;
    private StaticLayout stickerEmojiLayout;
    private BottomSheet visibleDialog;
    private WindowManager.LayoutParams windowLayoutParams;
    private FrameLayout windowView;
    private float moveY = 0.0f;
    private ColorDrawable backgroundDrawable = new ColorDrawable(1895825408);
    private ImageReceiver centerImage = new ImageReceiver();
    private boolean isVisible = false;
    private int keyboardHeight = AndroidUtilities.dp(200.0f);
    private Runnable showSheetRunnable = new AnonymousClass1();

    /* loaded from: classes12.dex */
    public class FrameLayoutDrawer extends FrameLayout {
        /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
        public FrameLayoutDrawer(Context context) {
            super(context);
            ContentPreviewViewer.this = r1;
            setWillNotDraw(false);
        }

        @Override // android.view.View
        protected void onDraw(Canvas canvas) {
            ContentPreviewViewer.this.onDraw(canvas);
        }
    }

    /* loaded from: classes12.dex */
    public interface ContentPreviewViewerDelegate {
        boolean canSchedule();

        void gifAddedOrDeleted();

        boolean isInScheduleMode();

        boolean needOpen();

        boolean needSend();

        void openSet(TLRPC.InputStickerSet inputStickerSet, boolean z);

        void sendGif(Object obj, boolean z, int i);

        void sendSticker(TLRPC.Document document, Object obj, boolean z, int i);

        /* renamed from: im.uecahxyvjd.ui.ContentPreviewViewer$ContentPreviewViewerDelegate$-CC */
        /* loaded from: classes12.dex */
        public final /* synthetic */ class CC {
            public static boolean $default$needOpen(ContentPreviewViewerDelegate _this) {
                return true;
            }

            public static void $default$sendGif(ContentPreviewViewerDelegate _this, Object gif, boolean notify, int scheduleDate) {
            }

            public static void $default$gifAddedOrDeleted(ContentPreviewViewerDelegate _this) {
            }
        }
    }

    /* renamed from: im.uecahxyvjd.ui.ContentPreviewViewer$1 */
    /* loaded from: classes12.dex */
    public class AnonymousClass1 implements Runnable {
        AnonymousClass1() {
            ContentPreviewViewer.this = this$0;
        }

        @Override // java.lang.Runnable
        public void run() {
            boolean canDelete;
            String str;
            int i;
            if (ContentPreviewViewer.this.parentActivity != null) {
                if (ContentPreviewViewer.this.currentContentType == 0) {
                    final boolean inFavs = MediaDataController.getInstance(ContentPreviewViewer.this.currentAccount).isStickerInFavorites(ContentPreviewViewer.this.currentDocument);
                    BottomSheet.Builder builder = new BottomSheet.Builder(ContentPreviewViewer.this.parentActivity);
                    ArrayList<CharSequence> items = new ArrayList<>();
                    final ArrayList<Integer> actions = new ArrayList<>();
                    ArrayList<Integer> icons = new ArrayList<>();
                    if (ContentPreviewViewer.this.delegate != null) {
                        if (ContentPreviewViewer.this.delegate.needSend() && !ContentPreviewViewer.this.delegate.isInScheduleMode()) {
                            items.add(LocaleController.getString("SendStickerPreview", R.string.SendStickerPreview));
                            icons.add(Integer.valueOf((int) R.drawable.outline_send));
                            actions.add(0);
                        }
                        if (ContentPreviewViewer.this.delegate.canSchedule()) {
                            items.add(LocaleController.getString("Schedule", R.string.Schedule));
                            icons.add(Integer.valueOf((int) R.drawable.photo_timer));
                            actions.add(3);
                        }
                        if (ContentPreviewViewer.this.currentStickerSet != null && ContentPreviewViewer.this.delegate.needOpen()) {
                            items.add(LocaleController.formatString("ViewPackPreview", R.string.ViewPackPreview, new Object[0]));
                            icons.add(Integer.valueOf((int) R.drawable.outline_pack));
                            actions.add(1);
                        }
                    }
                    if (!MessageObject.isMaskDocument(ContentPreviewViewer.this.currentDocument) && (inFavs || MediaDataController.getInstance(ContentPreviewViewer.this.currentAccount).canAddStickerToFavorites())) {
                        if (inFavs) {
                            str = "DeleteFromFavorites";
                            i = R.string.DeleteFromFavorites;
                        } else {
                            str = "AddToFavorites";
                            i = R.string.AddToFavorites;
                        }
                        items.add(LocaleController.getString(str, i));
                        icons.add(Integer.valueOf(inFavs ? R.drawable.outline_unfave : R.drawable.outline_fave));
                        actions.add(2);
                    }
                    if (items.isEmpty()) {
                        return;
                    }
                    int[] ic = new int[icons.size()];
                    for (int a2 = 0; a2 < icons.size(); a2++) {
                        ic[a2] = icons.get(a2).intValue();
                    }
                    builder.setItems((CharSequence[]) items.toArray(new CharSequence[0]), ic, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.ContentPreviewViewer$1$$ExternalSyntheticLambda2
                        @Override // android.content.DialogInterface.OnClickListener
                        public final void onClick(DialogInterface dialogInterface, int i2) {
                            ContentPreviewViewer.AnonymousClass1.this.m1517lambda$run$1$imuecahxyvjduiContentPreviewViewer$1(actions, inFavs, dialogInterface, i2);
                        }
                    });
                    builder.setDimBehind(false);
                    ContentPreviewViewer.this.visibleDialog = builder.create();
                    ContentPreviewViewer.this.visibleDialog.setOnDismissListener(new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.ContentPreviewViewer$1$$ExternalSyntheticLambda3
                        @Override // android.content.DialogInterface.OnDismissListener
                        public final void onDismiss(DialogInterface dialogInterface) {
                            ContentPreviewViewer.AnonymousClass1.this.m1518lambda$run$2$imuecahxyvjduiContentPreviewViewer$1(dialogInterface);
                        }
                    });
                    ContentPreviewViewer.this.visibleDialog.show();
                    ContentPreviewViewer.this.containerView.performHapticFeedback(0);
                } else if (ContentPreviewViewer.this.delegate != null) {
                    ContentPreviewViewer.this.animateY = true;
                    ContentPreviewViewer.this.visibleDialog = new BottomSheet(ContentPreviewViewer.this.parentActivity, false, 0) { // from class: im.uecahxyvjd.ui.ContentPreviewViewer.1.1
                        {
                            AnonymousClass1.this = this;
                        }

                        @Override // im.uecahxyvjd.ui.actionbar.BottomSheet
                        protected void onContainerTranslationYChanged(float translationY) {
                            if (ContentPreviewViewer.this.animateY) {
                                getSheetContainer();
                                if (ContentPreviewViewer.this.finalMoveY == 0.0f) {
                                    ContentPreviewViewer.this.finalMoveY = 0.0f;
                                    ContentPreviewViewer.this.startMoveY = ContentPreviewViewer.this.moveY;
                                }
                                ContentPreviewViewer.this.currentMoveYProgress = 1.0f - Math.min(1.0f, translationY / this.containerView.getMeasuredHeight());
                                ContentPreviewViewer.this.moveY = ContentPreviewViewer.this.startMoveY + ((ContentPreviewViewer.this.finalMoveY - ContentPreviewViewer.this.startMoveY) * ContentPreviewViewer.this.currentMoveYProgress);
                                ContentPreviewViewer.this.containerView.invalidate();
                                if (ContentPreviewViewer.this.currentMoveYProgress == 1.0f) {
                                    ContentPreviewViewer.this.animateY = false;
                                }
                            }
                        }
                    };
                    ArrayList<CharSequence> items2 = new ArrayList<>();
                    final ArrayList<Integer> actions2 = new ArrayList<>();
                    ArrayList<Integer> icons2 = new ArrayList<>();
                    if (ContentPreviewViewer.this.delegate.needSend() && !ContentPreviewViewer.this.delegate.isInScheduleMode()) {
                        items2.add(LocaleController.getString("SendGifPreview", R.string.SendGifPreview));
                        icons2.add(Integer.valueOf((int) R.drawable.outline_send));
                        actions2.add(0);
                    }
                    if (ContentPreviewViewer.this.delegate.canSchedule()) {
                        items2.add(LocaleController.getString("Schedule", R.string.Schedule));
                        icons2.add(Integer.valueOf((int) R.drawable.photo_timer));
                        actions2.add(3);
                    }
                    if (ContentPreviewViewer.this.currentDocument != null) {
                        boolean hasRecentGif = MediaDataController.getInstance(ContentPreviewViewer.this.currentAccount).hasRecentGif(ContentPreviewViewer.this.currentDocument);
                        canDelete = hasRecentGif;
                        if (hasRecentGif) {
                            items2.add(LocaleController.formatString("Delete", R.string.Delete, new Object[0]));
                            icons2.add(Integer.valueOf((int) R.drawable.chats_delete));
                            actions2.add(1);
                        } else {
                            items2.add(LocaleController.formatString("SaveToGIFs", R.string.SaveToGIFs, new Object[0]));
                            icons2.add(Integer.valueOf((int) R.drawable.outline_add_gif));
                            actions2.add(2);
                        }
                    } else {
                        canDelete = false;
                    }
                    int[] ic2 = new int[icons2.size()];
                    for (int a3 = 0; a3 < icons2.size(); a3++) {
                        ic2[a3] = icons2.get(a3).intValue();
                    }
                    ContentPreviewViewer.this.visibleDialog.setItems((CharSequence[]) items2.toArray(new CharSequence[0]), ic2, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.ContentPreviewViewer$1$$ExternalSyntheticLambda4
                        @Override // android.content.DialogInterface.OnClickListener
                        public final void onClick(DialogInterface dialogInterface, int i2) {
                            ContentPreviewViewer.AnonymousClass1.this.m1519lambda$run$4$imuecahxyvjduiContentPreviewViewer$1(actions2, dialogInterface, i2);
                        }
                    });
                    ContentPreviewViewer.this.visibleDialog.setDimBehind(false);
                    ContentPreviewViewer.this.visibleDialog.setOnDismissListener(new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.ContentPreviewViewer$1$$ExternalSyntheticLambda5
                        @Override // android.content.DialogInterface.OnDismissListener
                        public final void onDismiss(DialogInterface dialogInterface) {
                            ContentPreviewViewer.AnonymousClass1.this.m1520lambda$run$5$imuecahxyvjduiContentPreviewViewer$1(dialogInterface);
                        }
                    });
                    ContentPreviewViewer.this.visibleDialog.show();
                    ContentPreviewViewer.this.containerView.performHapticFeedback(0);
                    if (canDelete) {
                        ContentPreviewViewer.this.visibleDialog.setItemColor(items2.size() - 1, Theme.getColor(Theme.key_dialogTextRed2), Theme.getColor(Theme.key_dialogRedIcon));
                    }
                }
            }
        }

        /* renamed from: lambda$run$1$im-uecahxyvjd-ui-ContentPreviewViewer$1 */
        public /* synthetic */ void m1517lambda$run$1$imuecahxyvjduiContentPreviewViewer$1(ArrayList actions, boolean inFavs, DialogInterface dialog, int which) {
            if (ContentPreviewViewer.this.parentActivity == null) {
                return;
            }
            if (((Integer) actions.get(which)).intValue() == 0) {
                if (ContentPreviewViewer.this.delegate != null) {
                    ContentPreviewViewer.this.delegate.sendSticker(ContentPreviewViewer.this.currentDocument, ContentPreviewViewer.this.parentObject, true, 0);
                }
            } else if (((Integer) actions.get(which)).intValue() == 1) {
                if (ContentPreviewViewer.this.delegate != null) {
                    ContentPreviewViewer.this.delegate.openSet(ContentPreviewViewer.this.currentStickerSet, ContentPreviewViewer.this.clearsInputField);
                }
            } else if (((Integer) actions.get(which)).intValue() == 2) {
                MediaDataController.getInstance(ContentPreviewViewer.this.currentAccount).addRecentSticker(2, ContentPreviewViewer.this.parentObject, ContentPreviewViewer.this.currentDocument, (int) (System.currentTimeMillis() / 1000), inFavs);
            } else if (((Integer) actions.get(which)).intValue() == 3) {
                final TLRPC.Document sticker = ContentPreviewViewer.this.currentDocument;
                final Object parent = ContentPreviewViewer.this.parentObject;
                final ContentPreviewViewerDelegate stickerPreviewViewerDelegate = ContentPreviewViewer.this.delegate;
                AlertsCreator.createScheduleDatePickerDialog(ContentPreviewViewer.this.parentActivity, false, new AlertsCreator.ScheduleDatePickerDelegate() { // from class: im.uecahxyvjd.ui.ContentPreviewViewer$1$$ExternalSyntheticLambda0
                    @Override // im.uecahxyvjd.ui.components.AlertsCreator.ScheduleDatePickerDelegate
                    public final void didSelectDate(boolean z, int i) {
                        ContentPreviewViewer.ContentPreviewViewerDelegate.this.sendSticker(sticker, parent, z, i);
                    }
                });
            }
        }

        /* renamed from: lambda$run$2$im-uecahxyvjd-ui-ContentPreviewViewer$1 */
        public /* synthetic */ void m1518lambda$run$2$imuecahxyvjduiContentPreviewViewer$1(DialogInterface dialog) {
            ContentPreviewViewer.this.visibleDialog = null;
            ContentPreviewViewer.this.close();
        }

        /* renamed from: lambda$run$4$im-uecahxyvjd-ui-ContentPreviewViewer$1 */
        public /* synthetic */ void m1519lambda$run$4$imuecahxyvjduiContentPreviewViewer$1(ArrayList actions, DialogInterface dialog, int which) {
            if (ContentPreviewViewer.this.parentActivity == null) {
                return;
            }
            if (((Integer) actions.get(which)).intValue() == 0) {
                ContentPreviewViewer.this.delegate.sendGif(ContentPreviewViewer.this.currentDocument != null ? ContentPreviewViewer.this.currentDocument : ContentPreviewViewer.this.inlineResult, true, 0);
            } else if (((Integer) actions.get(which)).intValue() == 1) {
                MediaDataController.getInstance(ContentPreviewViewer.this.currentAccount).removeRecentGif(ContentPreviewViewer.this.currentDocument);
                ContentPreviewViewer.this.delegate.gifAddedOrDeleted();
            } else if (((Integer) actions.get(which)).intValue() == 2) {
                MediaDataController.getInstance(ContentPreviewViewer.this.currentAccount).addRecentGif(ContentPreviewViewer.this.currentDocument, (int) (System.currentTimeMillis() / 1000));
                MessagesController.getInstance(ContentPreviewViewer.this.currentAccount).saveGif("gif", ContentPreviewViewer.this.currentDocument);
                ContentPreviewViewer.this.delegate.gifAddedOrDeleted();
            } else if (((Integer) actions.get(which)).intValue() == 3) {
                final TLRPC.Document document = ContentPreviewViewer.this.currentDocument;
                final TLRPC.BotInlineResult result = ContentPreviewViewer.this.inlineResult;
                Object unused = ContentPreviewViewer.this.parentObject;
                final ContentPreviewViewerDelegate stickerPreviewViewerDelegate = ContentPreviewViewer.this.delegate;
                AlertsCreator.createScheduleDatePickerDialog(ContentPreviewViewer.this.parentActivity, false, new AlertsCreator.ScheduleDatePickerDelegate() { // from class: im.uecahxyvjd.ui.ContentPreviewViewer$1$$ExternalSyntheticLambda1
                    @Override // im.uecahxyvjd.ui.components.AlertsCreator.ScheduleDatePickerDelegate
                    public final void didSelectDate(boolean z, int i) {
                        ContentPreviewViewer.ContentPreviewViewerDelegate.this.sendGif(document != null ? document : result, z, i);
                    }
                });
            }
        }

        /* renamed from: lambda$run$5$im-uecahxyvjd-ui-ContentPreviewViewer$1 */
        public /* synthetic */ void m1520lambda$run$5$imuecahxyvjduiContentPreviewViewer$1(DialogInterface dialog) {
            ContentPreviewViewer.this.visibleDialog = null;
            ContentPreviewViewer.this.close();
        }
    }

    public static ContentPreviewViewer getInstance() {
        ContentPreviewViewer localInstance = Instance;
        if (localInstance == null) {
            synchronized (PhotoViewer.class) {
                localInstance = Instance;
                if (localInstance == null) {
                    ContentPreviewViewer contentPreviewViewer = new ContentPreviewViewer();
                    localInstance = contentPreviewViewer;
                    Instance = contentPreviewViewer;
                }
            }
        }
        return localInstance;
    }

    public static boolean hasInstance() {
        return Instance != null;
    }

    public void reset() {
        Runnable runnable = this.openPreviewRunnable;
        if (runnable != null) {
            AndroidUtilities.cancelRunOnUIThread(runnable);
            this.openPreviewRunnable = null;
        }
        View view = this.currentPreviewCell;
        if (view != null) {
            if (view instanceof StickerEmojiCell) {
                ((StickerEmojiCell) view).setScaled(false);
            } else if (view instanceof StickerCell) {
                ((StickerCell) view).setScaled(false);
            } else if (view instanceof ContextLinkCell) {
                ((ContextLinkCell) view).setScaled(false);
            }
            this.currentPreviewCell = null;
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r1v0 */
    /* JADX WARN: Type inference failed for: r1v8, types: [boolean, int] */
    /* JADX WARN: Type inference failed for: r1v9 */
    public boolean onTouch(MotionEvent event, final RecyclerListView listView, int height, final Object listener, ContentPreviewViewerDelegate contentPreviewViewerDelegate) {
        View view;
        int contentType;
        View view2;
        boolean z;
        this.delegate = contentPreviewViewerDelegate;
        ?? r1 = 0;
        if (this.openPreviewRunnable != null || isVisible()) {
            if (event.getAction() == 1 || event.getAction() == 3 || event.getAction() == 6) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.ContentPreviewViewer$$ExternalSyntheticLambda0
                    @Override // java.lang.Runnable
                    public final void run() {
                        ContentPreviewViewer.lambda$onTouch$0(RecyclerListView.this, listener);
                    }
                }, 150L);
                Runnable runnable = this.openPreviewRunnable;
                if (runnable != null) {
                    AndroidUtilities.cancelRunOnUIThread(runnable);
                    this.openPreviewRunnable = null;
                    return false;
                } else if (isVisible()) {
                    close();
                    View view3 = this.currentPreviewCell;
                    if (view3 != null) {
                        if (view3 instanceof StickerEmojiCell) {
                            ((StickerEmojiCell) view3).setScaled(false);
                        } else if (view3 instanceof StickerCell) {
                            ((StickerCell) view3).setScaled(false);
                        } else if (view3 instanceof ContextLinkCell) {
                            ((ContextLinkCell) view3).setScaled(false);
                        }
                        this.currentPreviewCell = null;
                        return false;
                    }
                    return false;
                } else {
                    return false;
                }
            } else if (event.getAction() != 0) {
                if (this.isVisible) {
                    if (event.getAction() == 2) {
                        if (this.currentContentType == 1) {
                            if (this.visibleDialog == null && this.showProgress == 1.0f) {
                                if (this.lastTouchY == -10000.0f) {
                                    this.lastTouchY = event.getY();
                                    this.currentMoveY = 0.0f;
                                    this.moveY = 0.0f;
                                } else {
                                    float newY = event.getY();
                                    float f = this.currentMoveY + (newY - this.lastTouchY);
                                    this.currentMoveY = f;
                                    this.lastTouchY = newY;
                                    if (f > 0.0f) {
                                        this.currentMoveY = 0.0f;
                                    } else if (f < (-AndroidUtilities.dp(60.0f))) {
                                        this.currentMoveY = -AndroidUtilities.dp(60.0f);
                                    }
                                    this.moveY = rubberYPoisition(this.currentMoveY, AndroidUtilities.dp(200.0f));
                                    this.containerView.invalidate();
                                    if (this.currentMoveY <= (-AndroidUtilities.dp(55.0f))) {
                                        AndroidUtilities.cancelRunOnUIThread(this.showSheetRunnable);
                                        this.showSheetRunnable.run();
                                        return true;
                                    }
                                }
                            }
                            return true;
                        }
                        int x = (int) event.getX();
                        int y = (int) event.getY();
                        int count = listView.getChildCount();
                        int a2 = 0;
                        while (a2 < count) {
                            if (!(listView instanceof RecyclerListView)) {
                                view = null;
                            } else {
                                View view4 = listView.getChildAt(a2);
                                view = view4;
                            }
                            if (view == null) {
                                return r1;
                            }
                            int top = view.getTop();
                            int bottom = view.getBottom();
                            int left = view.getLeft();
                            int right = view.getRight();
                            if (top <= y && bottom >= y && left <= x) {
                                if (right >= x) {
                                    if (view instanceof StickerEmojiCell) {
                                        this.centerImage.setRoundRadius(r1);
                                        contentType = 0;
                                    } else if (view instanceof StickerCell) {
                                        this.centerImage.setRoundRadius(r1);
                                        contentType = 0;
                                    } else {
                                        if (view instanceof ContextLinkCell) {
                                            ContextLinkCell cell = (ContextLinkCell) view;
                                            if (cell.isSticker()) {
                                                this.centerImage.setRoundRadius(r1);
                                                contentType = 0;
                                            } else if (cell.isGif()) {
                                                this.centerImage.setRoundRadius(AndroidUtilities.dp(6.0f));
                                                contentType = 1;
                                            }
                                        }
                                        contentType = -1;
                                    }
                                    if (contentType != -1 && view != (view2 = this.currentPreviewCell)) {
                                        if (view2 instanceof StickerEmojiCell) {
                                            z = false;
                                            ((StickerEmojiCell) view2).setScaled(false);
                                        } else {
                                            z = false;
                                            if (view2 instanceof StickerCell) {
                                                ((StickerCell) view2).setScaled(false);
                                            } else if (view2 instanceof ContextLinkCell) {
                                                ((ContextLinkCell) view2).setScaled(false);
                                            }
                                        }
                                        this.currentPreviewCell = view;
                                        setKeyboardHeight(height);
                                        this.clearsInputField = z;
                                        View view5 = this.currentPreviewCell;
                                        if (view5 instanceof StickerEmojiCell) {
                                            StickerEmojiCell stickerEmojiCell = (StickerEmojiCell) view5;
                                            int right2 = contentType;
                                            open(stickerEmojiCell.getSticker(), null, right2, stickerEmojiCell.isRecent(), stickerEmojiCell.getParentObject());
                                            stickerEmojiCell.setScaled(true);
                                            return true;
                                        } else if (view5 instanceof StickerCell) {
                                            StickerCell stickerCell = (StickerCell) view5;
                                            open(stickerCell.getSticker(), null, contentType, false, stickerCell.getParentObject());
                                            stickerCell.setScaled(true);
                                            this.clearsInputField = stickerCell.isClearsInputField();
                                            return true;
                                        } else if (!(view5 instanceof ContextLinkCell)) {
                                            return true;
                                        } else {
                                            ContextLinkCell contextLinkCell = (ContextLinkCell) view5;
                                            open(contextLinkCell.getDocument(), contextLinkCell.getBotInlineResult(), contentType, false, null);
                                            if (contentType == 1) {
                                                return true;
                                            }
                                            contextLinkCell.setScaled(true);
                                            return true;
                                        }
                                    }
                                    return true;
                                }
                            }
                            a2++;
                            r1 = 0;
                        }
                        return true;
                    }
                    return true;
                } else if (this.openPreviewRunnable != null) {
                    if (event.getAction() == 2) {
                        if (Math.hypot(this.startX - event.getX(), this.startY - event.getY()) > AndroidUtilities.dp(10.0f)) {
                            AndroidUtilities.cancelRunOnUIThread(this.openPreviewRunnable);
                            this.openPreviewRunnable = null;
                            return false;
                        }
                        return false;
                    }
                    AndroidUtilities.cancelRunOnUIThread(this.openPreviewRunnable);
                    this.openPreviewRunnable = null;
                    return false;
                } else {
                    return false;
                }
            } else {
                return false;
            }
        }
        return false;
    }

    public static /* synthetic */ void lambda$onTouch$0(RecyclerListView listView, Object listener) {
        if (listView instanceof RecyclerListView) {
            listView.setOnItemClickListener((RecyclerListView.OnItemClickListener) listener);
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r4v0 */
    /* JADX WARN: Type inference failed for: r4v1, types: [boolean, int] */
    /* JADX WARN: Type inference failed for: r4v2 */
    public boolean onInterceptTouchEvent(MotionEvent event, RecyclerListView listView, final int height, ContentPreviewViewerDelegate contentPreviewViewerDelegate) {
        ContentPreviewViewer contentPreviewViewer = this;
        final RecyclerListView recyclerListView = listView;
        contentPreviewViewer.delegate = contentPreviewViewerDelegate;
        ?? r4 = 0;
        if (event.getAction() == 0) {
            int x = (int) event.getX();
            int y = (int) event.getY();
            int count = listView.getChildCount();
            int a2 = 0;
            while (a2 < count) {
                View view = null;
                if (recyclerListView instanceof RecyclerListView) {
                    view = recyclerListView.getChildAt(a2);
                }
                if (view == null) {
                    return r4;
                }
                int top = view.getTop();
                int bottom = view.getBottom();
                int left = view.getLeft();
                int right = view.getRight();
                if (top > y || bottom < y || left > x || right < x) {
                    a2++;
                    contentPreviewViewer = this;
                    recyclerListView = listView;
                    r4 = 0;
                } else {
                    int contentType = -1;
                    if (view instanceof StickerEmojiCell) {
                        if (((StickerEmojiCell) view).showingBitmap()) {
                            contentType = 0;
                            contentPreviewViewer.centerImage.setRoundRadius(r4);
                        }
                    } else if (view instanceof StickerCell) {
                        if (((StickerCell) view).showingBitmap()) {
                            contentType = 0;
                            contentPreviewViewer.centerImage.setRoundRadius(r4);
                        }
                    } else if (view instanceof ContextLinkCell) {
                        ContextLinkCell cell = (ContextLinkCell) view;
                        if (cell.showingBitmap()) {
                            if (cell.isSticker()) {
                                contentType = 0;
                                contentPreviewViewer.centerImage.setRoundRadius(r4);
                            } else if (cell.isGif()) {
                                contentType = 1;
                                contentPreviewViewer.centerImage.setRoundRadius(AndroidUtilities.dp(6.0f));
                            }
                        }
                    }
                    if (contentType == -1) {
                        return false;
                    }
                    contentPreviewViewer.startX = x;
                    contentPreviewViewer.startY = y;
                    contentPreviewViewer.currentPreviewCell = view;
                    final int contentTypeFinal = contentType;
                    Runnable runnable = new Runnable() { // from class: im.uecahxyvjd.ui.ContentPreviewViewer$$ExternalSyntheticLambda1
                        @Override // java.lang.Runnable
                        public final void run() {
                            ContentPreviewViewer.this.m1514x2ee1b775(recyclerListView, height, contentTypeFinal);
                        }
                    };
                    contentPreviewViewer.openPreviewRunnable = runnable;
                    AndroidUtilities.runOnUIThread(runnable, 200L);
                    return true;
                }
            }
            return false;
        }
        return false;
    }

    /* renamed from: lambda$onInterceptTouchEvent$1$im-uecahxyvjd-ui-ContentPreviewViewer */
    public /* synthetic */ void m1514x2ee1b775(RecyclerListView listView, int height, int contentTypeFinal) {
        if (this.openPreviewRunnable == null) {
            return;
        }
        listView.setOnItemClickListener((RecyclerListView.OnItemClickListener) null);
        listView.requestDisallowInterceptTouchEvent(true);
        this.openPreviewRunnable = null;
        setParentActivity((Activity) listView.getContext());
        setKeyboardHeight(height);
        this.clearsInputField = false;
        View view = this.currentPreviewCell;
        if (view instanceof StickerEmojiCell) {
            StickerEmojiCell stickerEmojiCell = (StickerEmojiCell) view;
            open(stickerEmojiCell.getSticker(), null, contentTypeFinal, stickerEmojiCell.isRecent(), stickerEmojiCell.getParentObject());
            stickerEmojiCell.setScaled(true);
        } else if (view instanceof StickerCell) {
            StickerCell stickerCell = (StickerCell) view;
            open(stickerCell.getSticker(), null, contentTypeFinal, false, stickerCell.getParentObject());
            stickerCell.setScaled(true);
            this.clearsInputField = stickerCell.isClearsInputField();
        } else if (view instanceof ContextLinkCell) {
            ContextLinkCell contextLinkCell = (ContextLinkCell) view;
            open(contextLinkCell.getDocument(), contextLinkCell.getBotInlineResult(), contentTypeFinal, false, null);
            if (contentTypeFinal != 1) {
                contextLinkCell.setScaled(true);
            }
        }
    }

    public void setDelegate(ContentPreviewViewerDelegate contentPreviewViewerDelegate) {
        this.delegate = contentPreviewViewerDelegate;
    }

    public void setParentActivity(Activity activity) {
        int i = UserConfig.selectedAccount;
        this.currentAccount = i;
        this.centerImage.setCurrentAccount(i);
        this.centerImage.setLayerNum(7);
        if (this.parentActivity == activity) {
            return;
        }
        this.parentActivity = activity;
        this.slideUpDrawable = activity.getResources().getDrawable(R.drawable.preview_arrow);
        FrameLayout frameLayout = new FrameLayout(activity);
        this.windowView = frameLayout;
        frameLayout.setFocusable(true);
        this.windowView.setFocusableInTouchMode(true);
        this.windowView.setFitsSystemWindows(true);
        this.windowView.setOnApplyWindowInsetsListener(new View.OnApplyWindowInsetsListener() { // from class: im.uecahxyvjd.ui.ContentPreviewViewer$$ExternalSyntheticLambda3
            @Override // android.view.View.OnApplyWindowInsetsListener
            public final WindowInsets onApplyWindowInsets(View view, WindowInsets windowInsets) {
                return ContentPreviewViewer.this.m1515lambda$setParentActivity$2$imuecahxyvjduiContentPreviewViewer(view, windowInsets);
            }
        });
        FrameLayoutDrawer frameLayoutDrawer = new FrameLayoutDrawer(activity);
        this.containerView = frameLayoutDrawer;
        frameLayoutDrawer.setFocusable(false);
        this.windowView.addView(this.containerView, LayoutHelper.createFrame(-1, -1, 51));
        this.containerView.setOnTouchListener(new View.OnTouchListener() { // from class: im.uecahxyvjd.ui.ContentPreviewViewer$$ExternalSyntheticLambda4
            @Override // android.view.View.OnTouchListener
            public final boolean onTouch(View view, MotionEvent motionEvent) {
                return ContentPreviewViewer.this.m1516lambda$setParentActivity$3$imuecahxyvjduiContentPreviewViewer(view, motionEvent);
            }
        });
        WindowManager.LayoutParams layoutParams = new WindowManager.LayoutParams();
        this.windowLayoutParams = layoutParams;
        layoutParams.height = -1;
        this.windowLayoutParams.format = -3;
        this.windowLayoutParams.width = -1;
        this.windowLayoutParams.gravity = 48;
        this.windowLayoutParams.type = 99;
        this.windowLayoutParams.flags = -2147417848;
        this.centerImage.setAspectFit(true);
        this.centerImage.setInvalidateAll(true);
        this.centerImage.setParentView(this.containerView);
    }

    /* renamed from: lambda$setParentActivity$2$im-uecahxyvjd-ui-ContentPreviewViewer */
    public /* synthetic */ WindowInsets m1515lambda$setParentActivity$2$imuecahxyvjduiContentPreviewViewer(View v, WindowInsets insets) {
        this.lastInsets = insets;
        return insets;
    }

    /* renamed from: lambda$setParentActivity$3$im-uecahxyvjd-ui-ContentPreviewViewer */
    public /* synthetic */ boolean m1516lambda$setParentActivity$3$imuecahxyvjduiContentPreviewViewer(View v, MotionEvent event) {
        if (event.getAction() == 1 || event.getAction() == 6 || event.getAction() == 3) {
            close();
        }
        return true;
    }

    public void setKeyboardHeight(int height) {
        this.keyboardHeight = height;
    }

    public void open(TLRPC.Document document, TLRPC.BotInlineResult botInlineResult, int contentType, boolean isRecent, Object parent) {
        if (this.parentActivity != null && this.windowView != null) {
            this.stickerEmojiLayout = null;
            if (contentType == 0) {
                if (document == null) {
                    return;
                }
                if (textPaint == null) {
                    TextPaint textPaint2 = new TextPaint(1);
                    textPaint = textPaint2;
                    textPaint2.setTextSize(AndroidUtilities.dp(24.0f));
                }
                TLRPC.InputStickerSet newSet = null;
                int a2 = 0;
                while (true) {
                    if (a2 >= document.attributes.size()) {
                        break;
                    }
                    TLRPC.DocumentAttribute attribute = document.attributes.get(a2);
                    if (!(attribute instanceof TLRPC.TL_documentAttributeSticker) || attribute.stickerset == null) {
                        a2++;
                    } else {
                        newSet = attribute.stickerset;
                        break;
                    }
                }
                if (newSet != null) {
                    try {
                        BottomSheet bottomSheet = this.visibleDialog;
                        if (bottomSheet != null) {
                            bottomSheet.setOnDismissListener(null);
                            this.visibleDialog.dismiss();
                            this.visibleDialog = null;
                        }
                    } catch (Exception e) {
                        FileLog.e(e);
                    }
                    AndroidUtilities.cancelRunOnUIThread(this.showSheetRunnable);
                    AndroidUtilities.runOnUIThread(this.showSheetRunnable, 1300L);
                }
                this.currentStickerSet = newSet;
                this.parentObject = parent;
                TLRPC.PhotoSize thumb = FileLoader.getClosestPhotoSizeWithSize(document.thumbs, 90);
                this.centerImage.setImage(ImageLocation.getForDocument(document), (String) null, ImageLocation.getForDocument(thumb, document), (String) null, "webp", this.currentStickerSet, 1);
                int a3 = 0;
                while (true) {
                    if (a3 >= document.attributes.size()) {
                        break;
                    }
                    TLRPC.DocumentAttribute attribute2 = document.attributes.get(a3);
                    if ((attribute2 instanceof TLRPC.TL_documentAttributeSticker) && !TextUtils.isEmpty(attribute2.alt)) {
                        CharSequence emoji = Emoji.replaceEmoji(attribute2.alt, textPaint.getFontMetricsInt(), AndroidUtilities.dp(24.0f), false);
                        this.stickerEmojiLayout = new StaticLayout(emoji, textPaint, AndroidUtilities.dp(100.0f), Layout.Alignment.ALIGN_CENTER, 1.0f, 0.0f, false);
                        break;
                    }
                    a3++;
                }
            } else {
                if (document != null) {
                    TLRPC.PhotoSize thumb2 = FileLoader.getClosestPhotoSizeWithSize(document.thumbs, 90);
                    this.centerImage.setImage(ImageLocation.getForDocument(document), null, ImageLocation.getForDocument(thumb2, document), "90_90_b", document.size, null, "gif" + document, 0);
                } else if (botInlineResult == null || botInlineResult.content == null) {
                    return;
                } else {
                    this.centerImage.setImage(ImageLocation.getForWebFile(WebFile.createWithWebDocument(botInlineResult.content)), null, ImageLocation.getForWebFile(WebFile.createWithWebDocument(botInlineResult.thumb)), "90_90_b", botInlineResult.content.size, null, "gif" + botInlineResult, 1);
                }
                AndroidUtilities.cancelRunOnUIThread(this.showSheetRunnable);
                AndroidUtilities.runOnUIThread(this.showSheetRunnable, AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
            }
            this.currentContentType = contentType;
            this.currentDocument = document;
            this.inlineResult = botInlineResult;
            this.containerView.invalidate();
            if (!this.isVisible) {
                AndroidUtilities.lockOrientation(this.parentActivity);
                try {
                    if (this.windowView.getParent() != null) {
                        WindowManager wm = (WindowManager) this.parentActivity.getSystemService("window");
                        wm.removeView(this.windowView);
                    }
                } catch (Exception e2) {
                    FileLog.e(e2);
                }
                WindowManager wm2 = (WindowManager) this.parentActivity.getSystemService("window");
                wm2.addView(this.windowView, this.windowLayoutParams);
                this.isVisible = true;
                this.showProgress = 0.0f;
                this.lastTouchY = -10000.0f;
                this.currentMoveYProgress = 0.0f;
                this.finalMoveY = 0.0f;
                this.currentMoveY = 0.0f;
                this.moveY = 0.0f;
                this.lastUpdateTime = System.currentTimeMillis();
                NotificationCenter.getGlobalInstance().postNotificationName(NotificationCenter.stopAllHeavyOperations, 4);
            }
        }
    }

    public boolean isVisible() {
        return this.isVisible;
    }

    public void close() {
        if (this.parentActivity == null || this.visibleDialog != null) {
            return;
        }
        AndroidUtilities.cancelRunOnUIThread(this.showSheetRunnable);
        this.showProgress = 1.0f;
        this.lastUpdateTime = System.currentTimeMillis();
        this.containerView.invalidate();
        try {
            BottomSheet bottomSheet = this.visibleDialog;
            if (bottomSheet != null) {
                bottomSheet.dismiss();
                this.visibleDialog = null;
            }
        } catch (Exception e) {
            FileLog.e(e);
        }
        this.currentDocument = null;
        this.currentStickerSet = null;
        this.delegate = null;
        this.isVisible = false;
        NotificationCenter.getGlobalInstance().postNotificationName(NotificationCenter.startAllHeavyOperations, 4);
    }

    public void destroy() {
        FrameLayout frameLayout;
        this.isVisible = false;
        this.delegate = null;
        this.currentDocument = null;
        this.currentStickerSet = null;
        try {
            BottomSheet bottomSheet = this.visibleDialog;
            if (bottomSheet != null) {
                bottomSheet.dismiss();
                this.visibleDialog = null;
            }
        } catch (Exception e) {
            FileLog.e(e);
        }
        if (this.parentActivity == null || (frameLayout = this.windowView) == null) {
            return;
        }
        try {
            if (frameLayout.getParent() != null) {
                WindowManager wm = (WindowManager) this.parentActivity.getSystemService("window");
                wm.removeViewImmediate(this.windowView);
            }
            this.windowView = null;
        } catch (Exception e2) {
            FileLog.e(e2);
        }
        Instance = null;
        NotificationCenter.getGlobalInstance().postNotificationName(NotificationCenter.startAllHeavyOperations, 4);
    }

    private float rubberYPoisition(float offset, float factor) {
        float delta = Math.abs(offset);
        return (-((1.0f - (1.0f / (((0.55f * delta) / factor) + 1.0f))) * factor)) * (offset >= 0.0f ? -1.0f : 1.0f);
    }

    public void onDraw(Canvas canvas) {
        ColorDrawable colorDrawable;
        int top;
        int size;
        Drawable drawable;
        if (this.containerView == null || (colorDrawable = this.backgroundDrawable) == null) {
            return;
        }
        colorDrawable.setAlpha((int) (this.showProgress * 180.0f));
        this.backgroundDrawable.setBounds(0, 0, this.containerView.getWidth(), this.containerView.getHeight());
        this.backgroundDrawable.draw(canvas);
        canvas.save();
        int insets = 0;
        WindowInsets windowInsets = this.lastInsets;
        if (windowInsets != null) {
            insets = windowInsets.getStableInsetBottom() + this.lastInsets.getStableInsetTop();
            top = this.lastInsets.getStableInsetTop();
        } else {
            top = AndroidUtilities.statusBarHeight;
        }
        if (this.currentContentType == 1) {
            size = Math.min(this.containerView.getWidth(), this.containerView.getHeight() - insets) - AndroidUtilities.dp(40.0f);
        } else {
            size = (int) (Math.min(this.containerView.getWidth(), this.containerView.getHeight() - insets) / 1.8f);
        }
        canvas.translate(this.containerView.getWidth() / 2, this.moveY + Math.max((size / 2) + top + (this.stickerEmojiLayout != null ? AndroidUtilities.dp(40.0f) : 0), ((this.containerView.getHeight() - insets) - this.keyboardHeight) / 2));
        float f = this.showProgress;
        float scale = (f * 0.8f) / 0.8f;
        int size2 = (int) (size * scale);
        this.centerImage.setAlpha(f);
        this.centerImage.setImageCoords((-size2) / 2, (-size2) / 2, size2, size2);
        this.centerImage.draw(canvas);
        if (this.currentContentType == 1 && (drawable = this.slideUpDrawable) != null) {
            int w = drawable.getIntrinsicWidth();
            int h = this.slideUpDrawable.getIntrinsicHeight();
            int y = (int) (this.centerImage.getDrawRegion().top - AndroidUtilities.dp(((this.currentMoveY / AndroidUtilities.dp(60.0f)) * 6.0f) + 17.0f));
            this.slideUpDrawable.setAlpha((int) ((1.0f - this.currentMoveYProgress) * 255.0f));
            this.slideUpDrawable.setBounds((-w) / 2, (-h) + y, w / 2, y);
            this.slideUpDrawable.draw(canvas);
        }
        if (this.stickerEmojiLayout != null) {
            canvas.translate(-AndroidUtilities.dp(50.0f), ((-this.centerImage.getImageHeight()) / 2) - AndroidUtilities.dp(30.0f));
            this.stickerEmojiLayout.draw(canvas);
        }
        canvas.restore();
        if (this.isVisible) {
            if (this.showProgress != 1.0f) {
                long newTime = System.currentTimeMillis();
                long dt = newTime - this.lastUpdateTime;
                this.lastUpdateTime = newTime;
                this.showProgress += ((float) dt) / 120.0f;
                this.containerView.invalidate();
                if (this.showProgress > 1.0f) {
                    this.showProgress = 1.0f;
                }
            }
        } else if (this.showProgress != 0.0f) {
            long newTime2 = System.currentTimeMillis();
            long dt2 = newTime2 - this.lastUpdateTime;
            this.lastUpdateTime = newTime2;
            this.showProgress -= ((float) dt2) / 120.0f;
            this.containerView.invalidate();
            if (this.showProgress < 0.0f) {
                this.showProgress = 0.0f;
            }
            if (this.showProgress == 0.0f) {
                this.centerImage.setImageBitmap((Drawable) null);
                AndroidUtilities.unlockOrientation(this.parentActivity);
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.ContentPreviewViewer$$ExternalSyntheticLambda2
                    @Override // java.lang.Runnable
                    public final void run() {
                        ContentPreviewViewer.this.m1513lambda$onDraw$4$imuecahxyvjduiContentPreviewViewer();
                    }
                });
                try {
                    if (this.windowView.getParent() != null) {
                        WindowManager wm = (WindowManager) this.parentActivity.getSystemService("window");
                        wm.removeView(this.windowView);
                    }
                } catch (Exception e) {
                    FileLog.e(e);
                }
            }
        }
    }

    /* renamed from: lambda$onDraw$4$im-uecahxyvjd-ui-ContentPreviewViewer */
    public /* synthetic */ void m1513lambda$onDraw$4$imuecahxyvjduiContentPreviewViewer() {
        this.centerImage.setImageBitmap((Bitmap) null);
    }
}
