package im.uecahxyvjd.ui;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.content.Context;
import android.content.SharedPreferences;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.text.TextPaint;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.recyclerview.widget.DefaultItemAnimator;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.DownloadController;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.BottomSheet;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.actionbar.ThemeDescription;
import im.uecahxyvjd.ui.cells.HeaderCell;
import im.uecahxyvjd.ui.cells.MaxFileSizeCell;
import im.uecahxyvjd.ui.cells.NotificationsCheckCell;
import im.uecahxyvjd.ui.cells.ShadowSectionCell;
import im.uecahxyvjd.ui.cells.TextCheckBoxCell;
import im.uecahxyvjd.ui.cells.TextCheckCell;
import im.uecahxyvjd.ui.cells.TextInfoPrivacyCell;
import im.uecahxyvjd.ui.components.CombinedDrawable;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RecyclerListView;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
@Deprecated
/* loaded from: classes12.dex */
public class DataAutoDownloadActivity extends BaseFragment {
    private boolean animateChecked;
    private int autoDownloadRow;
    private int autoDownloadSectionRow;
    private int currentPresetNum;
    private int currentType;
    private DownloadController.Preset defaultPreset;
    private int filesRow;
    private String key;
    private String key2;
    private LinearLayoutManager layoutManager;
    private ListAdapter listAdapter;
    private RecyclerListView listView;
    private int photosRow;
    private int rowCount;
    private int typeHeaderRow;
    private DownloadController.Preset typePreset;
    private int typeSectionRow;
    private int usageHeaderRow;
    private int usageProgressRow;
    private int usageSectionRow;
    private int videosRow;
    private boolean wereAnyChanges;
    private ArrayList<DownloadController.Preset> presets = new ArrayList<>();
    private int selectedPreset = 1;
    private DownloadController.Preset lowPreset = DownloadController.getInstance(this.currentAccount).lowPreset;
    private DownloadController.Preset mediumPreset = DownloadController.getInstance(this.currentAccount).mediumPreset;
    private DownloadController.Preset highPreset = DownloadController.getInstance(this.currentAccount).highPreset;

    /* loaded from: classes12.dex */
    private class PresetChooseView extends View {
        private int circleSize;
        private String custom;
        private int customSize;
        private int gapSize;
        private String high;
        private int highSize;
        private int lineSize;
        private String low;
        private int lowSize;
        private String medium;
        private int mediumSize;
        private boolean moving;
        private Paint paint;
        private int sideSide;
        private boolean startMoving;
        private int startMovingPreset;
        private float startX;
        private TextPaint textPaint;

        public PresetChooseView(Context context) {
            super(context);
            this.paint = new Paint(1);
            TextPaint textPaint = new TextPaint(1);
            this.textPaint = textPaint;
            textPaint.setTextSize(AndroidUtilities.dp(13.0f));
            String string = LocaleController.getString("AutoDownloadLow", R.string.AutoDownloadLow);
            this.low = string;
            this.lowSize = (int) Math.ceil(this.textPaint.measureText(string));
            String string2 = LocaleController.getString("AutoDownloadMedium", R.string.AutoDownloadMedium);
            this.medium = string2;
            this.mediumSize = (int) Math.ceil(this.textPaint.measureText(string2));
            String string3 = LocaleController.getString("AutoDownloadHigh", R.string.AutoDownloadHigh);
            this.high = string3;
            this.highSize = (int) Math.ceil(this.textPaint.measureText(string3));
            String string4 = LocaleController.getString("AutoDownloadCustom", R.string.AutoDownloadCustom);
            this.custom = string4;
            this.customSize = (int) Math.ceil(this.textPaint.measureText(string4));
        }

        @Override // android.view.View
        public boolean onTouchEvent(MotionEvent event) {
            float x = event.getX();
            if (event.getAction() == 0) {
                getParent().requestDisallowInterceptTouchEvent(true);
                int a2 = 0;
                while (true) {
                    if (a2 >= DataAutoDownloadActivity.this.presets.size()) {
                        break;
                    }
                    int i = this.sideSide;
                    int i2 = this.lineSize + (this.gapSize * 2);
                    int i3 = this.circleSize;
                    int cx = i + ((i2 + i3) * a2) + (i3 / 2);
                    if (x > cx - AndroidUtilities.dp(15.0f) && x < AndroidUtilities.dp(15.0f) + cx) {
                        this.startMoving = a2 == DataAutoDownloadActivity.this.selectedPreset;
                        this.startX = x;
                        this.startMovingPreset = DataAutoDownloadActivity.this.selectedPreset;
                    } else {
                        a2++;
                    }
                }
            } else if (event.getAction() == 2) {
                if (this.startMoving) {
                    if (Math.abs(this.startX - x) >= AndroidUtilities.getPixelsInCM(0.5f, true)) {
                        this.moving = true;
                        this.startMoving = false;
                    }
                } else if (this.moving) {
                    int a3 = 0;
                    while (true) {
                        if (a3 >= DataAutoDownloadActivity.this.presets.size()) {
                            break;
                        }
                        int i4 = this.sideSide;
                        int i5 = this.lineSize;
                        int i6 = this.gapSize;
                        int i7 = this.circleSize;
                        int cx2 = i4 + (((i6 * 2) + i5 + i7) * a3) + (i7 / 2);
                        int diff = (i5 / 2) + (i7 / 2) + i6;
                        if (x > cx2 - diff && x < cx2 + diff) {
                            if (DataAutoDownloadActivity.this.selectedPreset != a3) {
                                setPreset(a3);
                            }
                        } else {
                            a3++;
                        }
                    }
                }
            } else if (event.getAction() == 1 || event.getAction() == 3) {
                if (this.moving) {
                    if (DataAutoDownloadActivity.this.selectedPreset != this.startMovingPreset) {
                        setPreset(DataAutoDownloadActivity.this.selectedPreset);
                    }
                } else {
                    int a4 = 0;
                    while (true) {
                        if (a4 >= 5) {
                            break;
                        }
                        int i8 = this.sideSide;
                        int i9 = this.lineSize + (this.gapSize * 2);
                        int i10 = this.circleSize;
                        int cx3 = i8 + ((i9 + i10) * a4) + (i10 / 2);
                        if (x > cx3 - AndroidUtilities.dp(15.0f) && x < AndroidUtilities.dp(15.0f) + cx3) {
                            if (DataAutoDownloadActivity.this.selectedPreset != a4) {
                                setPreset(a4);
                            }
                        } else {
                            a4++;
                        }
                    }
                }
                this.startMoving = false;
                this.moving = false;
            }
            return true;
        }

        private void setPreset(int index) {
            DataAutoDownloadActivity.this.selectedPreset = index;
            DownloadController.Preset preset = (DownloadController.Preset) DataAutoDownloadActivity.this.presets.get(DataAutoDownloadActivity.this.selectedPreset);
            if (preset == DataAutoDownloadActivity.this.lowPreset) {
                DataAutoDownloadActivity.this.currentPresetNum = 0;
            } else if (preset == DataAutoDownloadActivity.this.mediumPreset) {
                DataAutoDownloadActivity.this.currentPresetNum = 1;
            } else if (preset == DataAutoDownloadActivity.this.highPreset) {
                DataAutoDownloadActivity.this.currentPresetNum = 2;
            } else {
                DataAutoDownloadActivity.this.currentPresetNum = 3;
            }
            if (DataAutoDownloadActivity.this.currentType == 0) {
                DownloadController.getInstance(DataAutoDownloadActivity.this.currentAccount).currentMobilePreset = DataAutoDownloadActivity.this.currentPresetNum;
            } else if (DataAutoDownloadActivity.this.currentType == 1) {
                DownloadController.getInstance(DataAutoDownloadActivity.this.currentAccount).currentWifiPreset = DataAutoDownloadActivity.this.currentPresetNum;
            } else {
                DownloadController.getInstance(DataAutoDownloadActivity.this.currentAccount).currentRoamingPreset = DataAutoDownloadActivity.this.currentPresetNum;
            }
            SharedPreferences.Editor editor = MessagesController.getMainSettings(DataAutoDownloadActivity.this.currentAccount).edit();
            editor.putInt(DataAutoDownloadActivity.this.key2, DataAutoDownloadActivity.this.currentPresetNum);
            editor.commit();
            DownloadController.getInstance(DataAutoDownloadActivity.this.currentAccount).checkAutodownloadSettings();
            for (int a2 = 0; a2 < 3; a2++) {
                RecyclerView.ViewHolder holder = DataAutoDownloadActivity.this.listView.findViewHolderForAdapterPosition(DataAutoDownloadActivity.this.photosRow + a2);
                if (holder != null) {
                    DataAutoDownloadActivity.this.listAdapter.onBindViewHolder(holder, DataAutoDownloadActivity.this.photosRow + a2);
                }
            }
            DataAutoDownloadActivity.this.wereAnyChanges = true;
            invalidate();
        }

        @Override // android.view.View
        protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
            super.onMeasure(widthMeasureSpec, View.MeasureSpec.makeMeasureSpec(AndroidUtilities.dp(74.0f), 1073741824));
            View.MeasureSpec.getSize(widthMeasureSpec);
            this.circleSize = AndroidUtilities.dp(6.0f);
            this.gapSize = AndroidUtilities.dp(2.0f);
            this.sideSide = AndroidUtilities.dp(22.0f);
            this.lineSize = (((getMeasuredWidth() - (this.circleSize * DataAutoDownloadActivity.this.presets.size())) - ((this.gapSize * 2) * (DataAutoDownloadActivity.this.presets.size() - 1))) - (this.sideSide * 2)) / (DataAutoDownloadActivity.this.presets.size() - 1);
        }

        @Override // android.view.View
        protected void onDraw(Canvas canvas) {
            String text;
            int size;
            this.textPaint.setColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText));
            int cy = (getMeasuredHeight() / 2) + AndroidUtilities.dp(11.0f);
            int a2 = 0;
            while (a2 < DataAutoDownloadActivity.this.presets.size()) {
                int i = this.sideSide;
                int i2 = this.lineSize + (this.gapSize * 2);
                int i3 = this.circleSize;
                int cx = i + ((i2 + i3) * a2) + (i3 / 2);
                if (a2 <= DataAutoDownloadActivity.this.selectedPreset) {
                    this.paint.setColor(Theme.getColor(Theme.key_switchTrackChecked));
                } else {
                    this.paint.setColor(Theme.getColor(Theme.key_switchTrack));
                }
                canvas.drawCircle(cx, cy, a2 == DataAutoDownloadActivity.this.selectedPreset ? AndroidUtilities.dp(6.0f) : this.circleSize / 2, this.paint);
                if (a2 != 0) {
                    int x = ((cx - (this.circleSize / 2)) - this.gapSize) - this.lineSize;
                    int width = this.lineSize;
                    if (a2 == DataAutoDownloadActivity.this.selectedPreset || a2 == DataAutoDownloadActivity.this.selectedPreset + 1) {
                        width -= AndroidUtilities.dp(3.0f);
                    }
                    if (a2 == DataAutoDownloadActivity.this.selectedPreset + 1) {
                        x += AndroidUtilities.dp(3.0f);
                    }
                    canvas.drawRect(x, cy - AndroidUtilities.dp(1.0f), x + width, AndroidUtilities.dp(1.0f) + cy, this.paint);
                }
                DownloadController.Preset preset = (DownloadController.Preset) DataAutoDownloadActivity.this.presets.get(a2);
                if (preset != DataAutoDownloadActivity.this.lowPreset) {
                    if (preset != DataAutoDownloadActivity.this.mediumPreset) {
                        if (preset == DataAutoDownloadActivity.this.highPreset) {
                            text = this.high;
                            size = this.highSize;
                        } else {
                            text = this.custom;
                            size = this.customSize;
                        }
                    } else {
                        text = this.medium;
                        size = this.mediumSize;
                    }
                } else {
                    text = this.low;
                    size = this.lowSize;
                }
                if (a2 != 0) {
                    if (a2 == DataAutoDownloadActivity.this.presets.size() - 1) {
                        canvas.drawText(text, (getMeasuredWidth() - size) - AndroidUtilities.dp(22.0f), AndroidUtilities.dp(28.0f), this.textPaint);
                    } else {
                        canvas.drawText(text, cx - (size / 2), AndroidUtilities.dp(28.0f), this.textPaint);
                    }
                } else {
                    canvas.drawText(text, AndroidUtilities.dp(22.0f), AndroidUtilities.dp(28.0f), this.textPaint);
                }
                a2++;
            }
        }
    }

    public DataAutoDownloadActivity(int type) {
        this.currentType = type;
        int i = this.currentType;
        if (i == 0) {
            this.currentPresetNum = DownloadController.getInstance(this.currentAccount).currentMobilePreset;
            this.typePreset = DownloadController.getInstance(this.currentAccount).mobilePreset;
            this.defaultPreset = this.mediumPreset;
            this.key = "mobilePreset";
            this.key2 = "currentMobilePreset";
        } else if (i == 1) {
            this.currentPresetNum = DownloadController.getInstance(this.currentAccount).currentWifiPreset;
            this.typePreset = DownloadController.getInstance(this.currentAccount).wifiPreset;
            this.defaultPreset = this.highPreset;
            this.key = "wifiPreset";
            this.key2 = "currentWifiPreset";
        } else {
            this.currentPresetNum = DownloadController.getInstance(this.currentAccount).currentRoamingPreset;
            this.typePreset = DownloadController.getInstance(this.currentAccount).roamingPreset;
            this.defaultPreset = this.lowPreset;
            this.key = "roamingPreset";
            this.key2 = "currentRoamingPreset";
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        super.onFragmentCreate();
        fillPresets();
        updateRows();
        return true;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        int i = this.currentType;
        if (i == 0) {
            this.actionBar.setTitle(LocaleController.getString("AutoDownloadOnMobileData", R.string.AutoDownloadOnMobileData));
        } else if (i == 1) {
            this.actionBar.setTitle(LocaleController.getString("AutoDownloadOnWiFiData", R.string.AutoDownloadOnWiFiData));
        } else if (i == 2) {
            this.actionBar.setTitle(LocaleController.getString("AutoDownloadOnRoamingData", R.string.AutoDownloadOnRoamingData));
        }
        if (AndroidUtilities.isTablet()) {
            this.actionBar.setOccupyStatusBar(false);
        }
        this.actionBar.setAllowOverlayTitle(true);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.DataAutoDownloadActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    DataAutoDownloadActivity.this.finishFragment();
                }
            }
        });
        this.listAdapter = new ListAdapter(context);
        this.fragmentView = new FrameLayout(context);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        FrameLayout frameLayout = (FrameLayout) this.fragmentView;
        RecyclerListView recyclerListView = new RecyclerListView(context);
        this.listView = recyclerListView;
        recyclerListView.setVerticalScrollBarEnabled(false);
        ((DefaultItemAnimator) this.listView.getItemAnimator()).setDelayAnimations(false);
        RecyclerListView recyclerListView2 = this.listView;
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(context, 1, false);
        this.layoutManager = linearLayoutManager;
        recyclerListView2.setLayoutManager(linearLayoutManager);
        frameLayout.addView(this.listView, LayoutHelper.createFrame(-1, -1, 51));
        this.listView.setAdapter(this.listAdapter);
        this.listView.setOnItemClickListener(new RecyclerListView.OnItemClickListenerExtended() { // from class: im.uecahxyvjd.ui.DataAutoDownloadActivity$$ExternalSyntheticLambda0
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListenerExtended
            public final void onItemClick(View view, int i2, float f, float f2) {
                DataAutoDownloadActivity.this.m1528lambda$createView$4$imuecahxyvjduiDataAutoDownloadActivity(view, i2, f, f2);
            }
        });
        return this.fragmentView;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r1v21 */
    /* JADX WARN: Type inference failed for: r1v22, types: [boolean] */
    /* JADX WARN: Type inference failed for: r1v23 */
    /* renamed from: lambda$createView$4$im-uecahxyvjd-ui-DataAutoDownloadActivity  reason: not valid java name */
    public /* synthetic */ void m1528lambda$createView$4$imuecahxyvjduiDataAutoDownloadActivity(final View view, final int position, float x, float y) {
        int type;
        DownloadController.Preset currentPreset;
        String key;
        String key2;
        LinearLayout linearLayout;
        DownloadController.Preset currentPreset2;
        ?? r1;
        ArrayList arrayList;
        NotificationsCheckCell cell;
        DownloadController.Preset preset;
        DataAutoDownloadActivity dataAutoDownloadActivity = this;
        int i = position;
        int i2 = 4;
        if (i == dataAutoDownloadActivity.autoDownloadRow) {
            int i3 = dataAutoDownloadActivity.currentPresetNum;
            if (i3 != 3) {
                if (i3 == 0) {
                    dataAutoDownloadActivity.typePreset.set(dataAutoDownloadActivity.lowPreset);
                } else if (i3 == 1) {
                    dataAutoDownloadActivity.typePreset.set(dataAutoDownloadActivity.mediumPreset);
                } else if (i3 == 2) {
                    dataAutoDownloadActivity.typePreset.set(dataAutoDownloadActivity.highPreset);
                }
            }
            TextCheckCell cell2 = (TextCheckCell) view;
            boolean checked = cell2.isChecked();
            if (!checked && dataAutoDownloadActivity.typePreset.enabled) {
                System.arraycopy(dataAutoDownloadActivity.defaultPreset.mask, 0, dataAutoDownloadActivity.typePreset.mask, 0, 4);
            } else {
                dataAutoDownloadActivity.typePreset.enabled = !preset.enabled;
            }
            boolean z = dataAutoDownloadActivity.typePreset.enabled;
            String str = Theme.key_windowBackgroundChecked;
            view.setTag(z ? Theme.key_windowBackgroundChecked : Theme.key_windowBackgroundUnchecked);
            boolean z2 = !checked;
            if (!dataAutoDownloadActivity.typePreset.enabled) {
                str = Theme.key_windowBackgroundUnchecked;
            }
            cell2.setBackgroundColorAnimated(z2, Theme.getColor(str));
            updateRows();
            if (dataAutoDownloadActivity.typePreset.enabled) {
                dataAutoDownloadActivity.listAdapter.notifyItemRangeInserted(dataAutoDownloadActivity.autoDownloadSectionRow + 1, 8);
            } else {
                dataAutoDownloadActivity.listAdapter.notifyItemRangeRemoved(dataAutoDownloadActivity.autoDownloadSectionRow + 1, 8);
            }
            dataAutoDownloadActivity.listAdapter.notifyItemChanged(dataAutoDownloadActivity.autoDownloadSectionRow);
            SharedPreferences.Editor editor = MessagesController.getMainSettings(dataAutoDownloadActivity.currentAccount).edit();
            editor.putString(dataAutoDownloadActivity.key, dataAutoDownloadActivity.typePreset.toString());
            String str2 = dataAutoDownloadActivity.key2;
            dataAutoDownloadActivity.currentPresetNum = 3;
            editor.putInt(str2, 3);
            int i4 = dataAutoDownloadActivity.currentType;
            if (i4 == 0) {
                DownloadController.getInstance(dataAutoDownloadActivity.currentAccount).currentMobilePreset = dataAutoDownloadActivity.currentPresetNum;
            } else if (i4 == 1) {
                DownloadController.getInstance(dataAutoDownloadActivity.currentAccount).currentWifiPreset = dataAutoDownloadActivity.currentPresetNum;
            } else {
                DownloadController.getInstance(dataAutoDownloadActivity.currentAccount).currentRoamingPreset = dataAutoDownloadActivity.currentPresetNum;
            }
            editor.commit();
            cell2.setChecked(!checked);
            DownloadController.getInstance(dataAutoDownloadActivity.currentAccount).checkAutodownloadSettings();
            dataAutoDownloadActivity.wereAnyChanges = true;
        } else if ((i == dataAutoDownloadActivity.photosRow || i == dataAutoDownloadActivity.videosRow || i == dataAutoDownloadActivity.filesRow) && view.isEnabled()) {
            if (i == dataAutoDownloadActivity.photosRow) {
                type = 1;
            } else {
                int type2 = dataAutoDownloadActivity.videosRow;
                if (i == type2) {
                    type = 4;
                } else {
                    type = 8;
                }
            }
            final int index = DownloadController.typeToIndex(type);
            int i5 = dataAutoDownloadActivity.currentType;
            if (i5 == 0) {
                DownloadController.Preset currentPreset3 = DownloadController.getInstance(dataAutoDownloadActivity.currentAccount).getCurrentMobilePreset();
                currentPreset = currentPreset3;
                key = "mobilePreset";
                key2 = "currentMobilePreset";
            } else if (i5 == 1) {
                DownloadController.Preset currentPreset4 = DownloadController.getInstance(dataAutoDownloadActivity.currentAccount).getCurrentWiFiPreset();
                currentPreset = currentPreset4;
                key = "wifiPreset";
                key2 = "currentWifiPreset";
            } else {
                DownloadController.Preset currentPreset5 = DownloadController.getInstance(dataAutoDownloadActivity.currentAccount).getCurrentRoamingPreset();
                currentPreset = currentPreset5;
                key = "roamingPreset";
                key2 = "currentRoamingPreset";
            }
            NotificationsCheckCell cell3 = (NotificationsCheckCell) view;
            boolean checked2 = cell3.isChecked();
            if ((LocaleController.isRTL && x <= AndroidUtilities.dp(76.0f)) || (!LocaleController.isRTL && x >= view.getMeasuredWidth() - AndroidUtilities.dp(76.0f))) {
                int i6 = dataAutoDownloadActivity.currentPresetNum;
                if (i6 != 3) {
                    if (i6 == 0) {
                        dataAutoDownloadActivity.typePreset.set(dataAutoDownloadActivity.lowPreset);
                    } else if (i6 == 1) {
                        dataAutoDownloadActivity.typePreset.set(dataAutoDownloadActivity.mediumPreset);
                    } else if (i6 == 2) {
                        dataAutoDownloadActivity.typePreset.set(dataAutoDownloadActivity.highPreset);
                    }
                }
                boolean hasAny = false;
                int a2 = 0;
                while (true) {
                    if (a2 < dataAutoDownloadActivity.typePreset.mask.length) {
                        if ((currentPreset.mask[a2] & type) == 0) {
                            a2++;
                        } else {
                            hasAny = true;
                            break;
                        }
                    } else {
                        break;
                    }
                }
                for (int a3 = 0; a3 < dataAutoDownloadActivity.typePreset.mask.length; a3++) {
                    if (checked2) {
                        int[] iArr = dataAutoDownloadActivity.typePreset.mask;
                        iArr[a3] = iArr[a3] & (~type);
                    } else if (!hasAny) {
                        int[] iArr2 = dataAutoDownloadActivity.typePreset.mask;
                        iArr2[a3] = iArr2[a3] | type;
                    }
                }
                int a4 = dataAutoDownloadActivity.currentAccount;
                SharedPreferences.Editor editor2 = MessagesController.getMainSettings(a4).edit();
                editor2.putString(key, dataAutoDownloadActivity.typePreset.toString());
                dataAutoDownloadActivity.currentPresetNum = 3;
                editor2.putInt(key2, 3);
                int i7 = dataAutoDownloadActivity.currentType;
                if (i7 == 0) {
                    DownloadController.getInstance(dataAutoDownloadActivity.currentAccount).currentMobilePreset = dataAutoDownloadActivity.currentPresetNum;
                } else if (i7 == 1) {
                    DownloadController.getInstance(dataAutoDownloadActivity.currentAccount).currentWifiPreset = dataAutoDownloadActivity.currentPresetNum;
                } else {
                    DownloadController.getInstance(dataAutoDownloadActivity.currentAccount).currentRoamingPreset = dataAutoDownloadActivity.currentPresetNum;
                }
                editor2.commit();
                cell3.setChecked(!checked2);
                RecyclerView.ViewHolder holder = dataAutoDownloadActivity.listView.findContainingViewHolder(view);
                if (holder != null) {
                    dataAutoDownloadActivity.listAdapter.onBindViewHolder(holder, i);
                }
                DownloadController.getInstance(dataAutoDownloadActivity.currentAccount).checkAutodownloadSettings();
                dataAutoDownloadActivity.wereAnyChanges = true;
                fillPresets();
            } else if (getParentActivity() != null) {
                BottomSheet.Builder builder = new BottomSheet.Builder(getParentActivity());
                builder.setApplyTopPadding(false);
                builder.setApplyBottomPadding(false);
                LinearLayout linearLayout2 = new LinearLayout(getParentActivity());
                linearLayout2.setOrientation(1);
                builder.setCustomView(linearLayout2);
                HeaderCell headerCell = new HeaderCell(getParentActivity(), true, 21, 15, false);
                if (i == dataAutoDownloadActivity.photosRow) {
                    headerCell.setText(LocaleController.getString("AutoDownloadPhotosTitle", R.string.AutoDownloadPhotosTitle));
                } else if (i == dataAutoDownloadActivity.videosRow) {
                    headerCell.setText(LocaleController.getString("AutoDownloadVideosTitle", R.string.AutoDownloadVideosTitle));
                } else {
                    headerCell.setText(LocaleController.getString("AutoDownloadFilesTitle", R.string.AutoDownloadFilesTitle));
                }
                linearLayout2.addView(headerCell, LayoutHelper.createFrame(-1, -2.0f));
                final MaxFileSizeCell[] sizeCell = new MaxFileSizeCell[1];
                final TextCheckCell[] checkCell = new TextCheckCell[1];
                final AnimatorSet[] animatorSet = new AnimatorSet[1];
                final TextCheckBoxCell[] cells = new TextCheckBoxCell[4];
                int a5 = 0;
                while (a5 < i2) {
                    LinearLayout linearLayout3 = linearLayout2;
                    BottomSheet.Builder builder2 = builder;
                    final TextCheckBoxCell checkBoxCell = new TextCheckBoxCell(getParentActivity(), true);
                    cells[a5] = checkBoxCell;
                    HeaderCell headerCell2 = headerCell;
                    if (a5 == 0) {
                        cell = cell3;
                        cells[a5].setTextAndCheck(LocaleController.getString("AutodownloadContacts", R.string.AutodownloadContacts), (currentPreset.mask[0] & type) != 0, true);
                    } else {
                        cell = cell3;
                        if (a5 == 1) {
                            cells[a5].setTextAndCheck(LocaleController.getString("AutodownloadPrivateChats", R.string.AutodownloadPrivateChats), (currentPreset.mask[1] & type) != 0, true);
                        } else if (a5 == 2) {
                            cells[a5].setTextAndCheck(LocaleController.getString("AutodownloadGroupChats", R.string.AutodownloadGroupChats), (currentPreset.mask[2] & type) != 0, true);
                        } else if (a5 == 3) {
                            cells[a5].setTextAndCheck(LocaleController.getString("AutodownloadChannels", R.string.AutodownloadChannels), (currentPreset.mask[3] & type) != 0, i != dataAutoDownloadActivity.photosRow);
                        }
                    }
                    cells[a5].setBackgroundDrawable(Theme.getSelectorDrawable(false));
                    cells[a5].setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.DataAutoDownloadActivity$$ExternalSyntheticLambda1
                        @Override // android.view.View.OnClickListener
                        public final void onClick(View view2) {
                            DataAutoDownloadActivity.this.m1526lambda$createView$0$imuecahxyvjduiDataAutoDownloadActivity(checkBoxCell, cells, position, sizeCell, checkCell, animatorSet, view2);
                        }
                    });
                    linearLayout3.addView(cells[a5], LayoutHelper.createFrame(-1, 50.0f));
                    a5++;
                    dataAutoDownloadActivity = this;
                    linearLayout2 = linearLayout3;
                    cell3 = cell;
                    key2 = key2;
                    headerCell = headerCell2;
                    key = key;
                    builder = builder2;
                    currentPreset = currentPreset;
                    type = type;
                    i2 = 4;
                    i = position;
                }
                LinearLayout linearLayout4 = linearLayout2;
                final BottomSheet.Builder builder3 = builder;
                final String key22 = key2;
                final String key3 = key;
                DownloadController.Preset currentPreset6 = currentPreset;
                final int type3 = type;
                if (position != this.photosRow) {
                    final TextInfoPrivacyCell infoCell = new TextInfoPrivacyCell(getParentActivity());
                    linearLayout = linearLayout4;
                    sizeCell[0] = new MaxFileSizeCell(getParentActivity(), false) { // from class: im.uecahxyvjd.ui.DataAutoDownloadActivity.3
                        @Override // im.uecahxyvjd.ui.cells.MaxFileSizeCell
                        protected void didChangedSizeValue(int value) {
                            if (position == DataAutoDownloadActivity.this.videosRow) {
                                infoCell.setText(LocaleController.formatString("AutoDownloadPreloadVideoInfo", R.string.AutoDownloadPreloadVideoInfo, AndroidUtilities.formatFileSize(value)));
                                boolean enabled = value > 2097152;
                                if (enabled != checkCell[0].isEnabled()) {
                                    ArrayList<Animator> animators = new ArrayList<>();
                                    checkCell[0].setEnabled(enabled, animators);
                                    AnimatorSet animatorSet2 = animatorSet[0];
                                    if (animatorSet2 != null) {
                                        animatorSet2.cancel();
                                        animatorSet[0] = null;
                                    }
                                    animatorSet[0] = new AnimatorSet();
                                    animatorSet[0].playTogether(animators);
                                    animatorSet[0].addListener(new AnimatorListenerAdapter() { // from class: im.uecahxyvjd.ui.DataAutoDownloadActivity.3.1
                                        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                                        public void onAnimationEnd(Animator animator) {
                                            if (animator.equals(animatorSet[0])) {
                                                animatorSet[0] = null;
                                            }
                                        }
                                    });
                                    animatorSet[0].setDuration(150L);
                                    animatorSet[0].start();
                                }
                            }
                        }
                    };
                    currentPreset2 = currentPreset6;
                    sizeCell[0].setSize(currentPreset2.sizes[index]);
                    linearLayout.addView(sizeCell[0], LayoutHelper.createLinear(-1, 50));
                    linearLayout.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    checkCell[0] = new TextCheckCell(getParentActivity(), 21, true);
                    linearLayout.addView(checkCell[0], LayoutHelper.createLinear(-1, 48));
                    checkCell[0].setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.DataAutoDownloadActivity$$ExternalSyntheticLambda2
                        @Override // android.view.View.OnClickListener
                        public final void onClick(View view2) {
                            TextCheckCell[] textCheckCellArr = checkCell;
                            textCheckCellArr[0].setChecked(!textCheckCellArr[0].isChecked());
                        }
                    });
                    Drawable drawable = Theme.getThemedDrawable(getParentActivity(), (int) R.drawable.greydivider, Theme.key_windowBackgroundGrayShadow);
                    CombinedDrawable combinedDrawable = new CombinedDrawable(new ColorDrawable(Theme.getColor(Theme.key_windowBackgroundGray)), drawable);
                    combinedDrawable.setFullsize(true);
                    infoCell.setBackgroundDrawable(combinedDrawable);
                    linearLayout.addView(infoCell, LayoutHelper.createLinear(-1, -2));
                    if (position == this.videosRow) {
                        sizeCell[0].setText(LocaleController.getString("AutoDownloadMaxVideoSize", R.string.AutoDownloadMaxVideoSize));
                        checkCell[0].setTextAndCheck(LocaleController.getString("AutoDownloadPreloadVideo", R.string.AutoDownloadPreloadVideo), currentPreset2.preloadVideo, false);
                        infoCell.setText(LocaleController.formatString("AutoDownloadPreloadVideoInfo", R.string.AutoDownloadPreloadVideoInfo, AndroidUtilities.formatFileSize(currentPreset2.sizes[index])));
                    } else {
                        sizeCell[0].setText(LocaleController.getString("AutoDownloadMaxFileSize", R.string.AutoDownloadMaxFileSize));
                        checkCell[0].setTextAndCheck(LocaleController.getString("AutoDownloadPreloadMusic", R.string.AutoDownloadPreloadMusic), currentPreset2.preloadMusic, false);
                        infoCell.setText(LocaleController.getString("AutoDownloadPreloadMusicInfo", R.string.AutoDownloadPreloadMusicInfo));
                    }
                } else {
                    linearLayout = linearLayout4;
                    currentPreset2 = currentPreset6;
                    sizeCell[0] = null;
                    checkCell[0] = 0;
                    View divider = new View(getParentActivity());
                    divider.setBackgroundColor(Theme.getColor(Theme.key_divider));
                    linearLayout.addView(divider, new LinearLayout.LayoutParams(-1, 1));
                }
                if (position == this.videosRow) {
                    boolean hasAny2 = false;
                    int b = 0;
                    while (true) {
                        if (b < cells.length) {
                            if (!cells[b].isChecked()) {
                                b++;
                            } else {
                                hasAny2 = true;
                                break;
                            }
                        } else {
                            break;
                        }
                    }
                    if (hasAny2) {
                        r1 = 0;
                        arrayList = null;
                    } else {
                        r1 = 0;
                        arrayList = null;
                        sizeCell[0].setEnabled(hasAny2, null);
                        checkCell[0].setEnabled(hasAny2, null);
                    }
                    if (currentPreset2.sizes[index] <= 2097152) {
                        checkCell[r1].setEnabled(r1, arrayList);
                    }
                }
                FrameLayout buttonsLayout = new FrameLayout(getParentActivity());
                buttonsLayout.setPadding(AndroidUtilities.dp(8.0f), AndroidUtilities.dp(8.0f), AndroidUtilities.dp(8.0f), AndroidUtilities.dp(8.0f));
                linearLayout.addView(buttonsLayout, LayoutHelper.createLinear(-1, 52));
                TextView textView = new TextView(getParentActivity());
                textView.setTextSize(1, 14.0f);
                textView.setTextColor(Theme.getColor(Theme.key_dialogTextBlue2));
                textView.setGravity(17);
                textView.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
                textView.setText(LocaleController.getString("Cancel", R.string.Cancel).toUpperCase());
                textView.setPadding(AndroidUtilities.dp(10.0f), 0, AndroidUtilities.dp(10.0f), 0);
                buttonsLayout.addView(textView, LayoutHelper.createFrame(-2, 36, 51));
                textView.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.DataAutoDownloadActivity$$ExternalSyntheticLambda3
                    @Override // android.view.View.OnClickListener
                    public final void onClick(View view2) {
                        BottomSheet.Builder.this.getDismissRunnable().run();
                    }
                });
                TextView textView2 = new TextView(getParentActivity());
                textView2.setTextSize(1, 14.0f);
                textView2.setTextColor(Theme.getColor(Theme.key_dialogTextBlue2));
                textView2.setGravity(17);
                textView2.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
                textView2.setText(LocaleController.getString("Save", R.string.Save).toUpperCase());
                textView2.setPadding(AndroidUtilities.dp(10.0f), 0, AndroidUtilities.dp(10.0f), 0);
                buttonsLayout.addView(textView2, LayoutHelper.createFrame(-2, 36, 53));
                textView2.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.DataAutoDownloadActivity$$ExternalSyntheticLambda4
                    @Override // android.view.View.OnClickListener
                    public final void onClick(View view2) {
                        DataAutoDownloadActivity.this.m1527lambda$createView$3$imuecahxyvjduiDataAutoDownloadActivity(cells, type3, sizeCell, index, checkCell, position, key3, key22, builder3, view, view2);
                    }
                });
                showDialog(builder3.create());
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$0$im-uecahxyvjd-ui-DataAutoDownloadActivity  reason: not valid java name */
    public /* synthetic */ void m1526lambda$createView$0$imuecahxyvjduiDataAutoDownloadActivity(TextCheckBoxCell checkBoxCell, TextCheckBoxCell[] cells, int position, MaxFileSizeCell[] sizeCell, TextCheckCell[] checkCell, final AnimatorSet[] animatorSet, View v) {
        if (!v.isEnabled()) {
            return;
        }
        checkBoxCell.setChecked(!checkBoxCell.isChecked());
        boolean hasAny = false;
        int b = 0;
        while (true) {
            if (b >= cells.length) {
                break;
            } else if (!cells[b].isChecked()) {
                b++;
            } else {
                hasAny = true;
                break;
            }
        }
        int b2 = this.videosRow;
        if (position == b2 && sizeCell[0].isEnabled() != hasAny) {
            ArrayList<Animator> animators = new ArrayList<>();
            sizeCell[0].setEnabled(hasAny, animators);
            if (sizeCell[0].getSize() > 2097152) {
                checkCell[0].setEnabled(hasAny, animators);
            }
            if (animatorSet[0] != null) {
                animatorSet[0].cancel();
                animatorSet[0] = null;
            }
            animatorSet[0] = new AnimatorSet();
            animatorSet[0].playTogether(animators);
            animatorSet[0].addListener(new AnimatorListenerAdapter() { // from class: im.uecahxyvjd.ui.DataAutoDownloadActivity.2
                @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                public void onAnimationEnd(Animator animator) {
                    if (animator.equals(animatorSet[0])) {
                        animatorSet[0] = null;
                    }
                }
            });
            animatorSet[0].setDuration(150L);
            animatorSet[0].start();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$3$im-uecahxyvjd-ui-DataAutoDownloadActivity  reason: not valid java name */
    public /* synthetic */ void m1527lambda$createView$3$imuecahxyvjduiDataAutoDownloadActivity(TextCheckBoxCell[] cells, int type, MaxFileSizeCell[] sizeCell, int index, TextCheckCell[] checkCell, int position, String key, String key2, BottomSheet.Builder builder, View view, View v1) {
        int i = this.currentPresetNum;
        if (i != 3) {
            if (i == 0) {
                this.typePreset.set(this.lowPreset);
            } else if (i == 1) {
                this.typePreset.set(this.mediumPreset);
            } else if (i == 2) {
                this.typePreset.set(this.highPreset);
            }
        }
        for (int a2 = 0; a2 < 4; a2++) {
            if (cells[a2].isChecked()) {
                int[] iArr = this.typePreset.mask;
                iArr[a2] = iArr[a2] | type;
            } else {
                int[] iArr2 = this.typePreset.mask;
                iArr2[a2] = iArr2[a2] & (~type);
            }
        }
        if (sizeCell[0] != null) {
            int size = (int) sizeCell[0].getSize();
            this.typePreset.sizes[index] = (int) sizeCell[0].getSize();
        }
        if (checkCell[0] != null) {
            if (position == this.videosRow) {
                this.typePreset.preloadVideo = checkCell[0].isChecked();
            } else {
                this.typePreset.preloadMusic = checkCell[0].isChecked();
            }
        }
        SharedPreferences.Editor editor = MessagesController.getMainSettings(this.currentAccount).edit();
        editor.putString(key, this.typePreset.toString());
        this.currentPresetNum = 3;
        editor.putInt(key2, 3);
        int i2 = this.currentType;
        if (i2 == 0) {
            DownloadController.getInstance(this.currentAccount).currentMobilePreset = this.currentPresetNum;
        } else if (i2 == 1) {
            DownloadController.getInstance(this.currentAccount).currentWifiPreset = this.currentPresetNum;
        } else {
            DownloadController.getInstance(this.currentAccount).currentRoamingPreset = this.currentPresetNum;
        }
        editor.commit();
        builder.getDismissRunnable().run();
        RecyclerView.ViewHolder holder = this.listView.findContainingViewHolder(view);
        if (holder != null) {
            this.animateChecked = true;
            this.listAdapter.onBindViewHolder(holder, position);
            this.animateChecked = false;
        }
        DownloadController.getInstance(this.currentAccount).checkAutodownloadSettings();
        this.wereAnyChanges = true;
        fillPresets();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onResume() {
        super.onResume();
        ListAdapter listAdapter = this.listAdapter;
        if (listAdapter != null) {
            listAdapter.notifyDataSetChanged();
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onPause() {
        super.onPause();
        if (this.wereAnyChanges) {
            DownloadController.getInstance(this.currentAccount).savePresetToServer(this.currentType);
            this.wereAnyChanges = false;
        }
    }

    private void fillPresets() {
        this.presets.clear();
        this.presets.add(this.lowPreset);
        this.presets.add(this.mediumPreset);
        this.presets.add(this.highPreset);
        if (!this.typePreset.equals(this.lowPreset) && !this.typePreset.equals(this.mediumPreset) && !this.typePreset.equals(this.highPreset)) {
            this.presets.add(this.typePreset);
        }
        Collections.sort(this.presets, new Comparator() { // from class: im.uecahxyvjd.ui.DataAutoDownloadActivity$$ExternalSyntheticLambda5
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return DataAutoDownloadActivity.lambda$fillPresets$5((DownloadController.Preset) obj, (DownloadController.Preset) obj2);
            }
        });
        RecyclerListView recyclerListView = this.listView;
        if (recyclerListView != null) {
            RecyclerView.ViewHolder holder = recyclerListView.findViewHolderForAdapterPosition(this.usageProgressRow);
            if (holder != null) {
                holder.itemView.requestLayout();
            } else {
                this.listAdapter.notifyItemChanged(this.usageProgressRow);
            }
        }
        int i = this.currentPresetNum;
        if (i == 0 || (i == 3 && this.typePreset.equals(this.lowPreset))) {
            this.selectedPreset = this.presets.indexOf(this.lowPreset);
            return;
        }
        int i2 = this.currentPresetNum;
        if (i2 == 1 || (i2 == 3 && this.typePreset.equals(this.mediumPreset))) {
            this.selectedPreset = this.presets.indexOf(this.mediumPreset);
            return;
        }
        int i3 = this.currentPresetNum;
        if (i3 == 2 || (i3 == 3 && this.typePreset.equals(this.highPreset))) {
            this.selectedPreset = this.presets.indexOf(this.highPreset);
        } else {
            this.selectedPreset = this.presets.indexOf(this.typePreset);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ int lambda$fillPresets$5(DownloadController.Preset o1, DownloadController.Preset o2) {
        int index1 = DownloadController.typeToIndex(4);
        int index2 = DownloadController.typeToIndex(8);
        boolean video1 = false;
        boolean doc1 = false;
        for (int a2 = 0; a2 < o1.mask.length; a2++) {
            if ((o1.mask[a2] & 4) != 0) {
                video1 = true;
            }
            if ((o1.mask[a2] & 8) != 0) {
                doc1 = true;
            }
            if (video1 && doc1) {
                break;
            }
        }
        boolean video2 = false;
        boolean doc2 = false;
        for (int a3 = 0; a3 < o2.mask.length; a3++) {
            if ((o2.mask[a3] & 4) != 0) {
                video2 = true;
            }
            if ((o2.mask[a3] & 8) != 0) {
                doc2 = true;
            }
            if (video2 && doc2) {
                break;
            }
        }
        int size1 = (video1 ? o1.sizes[index1] : 0) + (doc1 ? o1.sizes[index2] : 0);
        int size2 = (video2 ? o2.sizes[index1] : 0) + (doc2 ? o2.sizes[index2] : 0);
        if (size1 > size2) {
            return 1;
        }
        if (size1 >= size2) {
            return 0;
        }
        return -1;
    }

    private void updateRows() {
        this.rowCount = 0;
        int i = 0 + 1;
        this.rowCount = i;
        this.autoDownloadRow = 0;
        this.rowCount = i + 1;
        this.autoDownloadSectionRow = i;
        if (this.typePreset.enabled) {
            int i2 = this.rowCount;
            int i3 = i2 + 1;
            this.rowCount = i3;
            this.usageHeaderRow = i2;
            int i4 = i3 + 1;
            this.rowCount = i4;
            this.usageProgressRow = i3;
            int i5 = i4 + 1;
            this.rowCount = i5;
            this.usageSectionRow = i4;
            int i6 = i5 + 1;
            this.rowCount = i6;
            this.typeHeaderRow = i5;
            int i7 = i6 + 1;
            this.rowCount = i7;
            this.photosRow = i6;
            int i8 = i7 + 1;
            this.rowCount = i8;
            this.videosRow = i7;
            int i9 = i8 + 1;
            this.rowCount = i9;
            this.filesRow = i8;
            this.rowCount = i9 + 1;
            this.typeSectionRow = i9;
            return;
        }
        this.usageHeaderRow = -1;
        this.usageProgressRow = -1;
        this.usageSectionRow = -1;
        this.typeHeaderRow = -1;
        this.photosRow = -1;
        this.videosRow = -1;
        this.filesRow = -1;
        this.typeSectionRow = -1;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes12.dex */
    public class ListAdapter extends RecyclerListView.SelectionAdapter {
        private Context mContext;

        public ListAdapter(Context context) {
            this.mContext = context;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return DataAutoDownloadActivity.this.rowCount;
        }

        /* JADX WARN: Removed duplicated region for block: B:67:0x0216  */
        /* JADX WARN: Removed duplicated region for block: B:72:0x0220  */
        /* JADX WARN: Removed duplicated region for block: B:73:0x0222  */
        /* JADX WARN: Removed duplicated region for block: B:76:0x022f  */
        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            String text;
            int type;
            StringBuilder builder;
            switch (holder.getItemViewType()) {
                case 0:
                    TextCheckCell view = (TextCheckCell) holder.itemView;
                    if (position == DataAutoDownloadActivity.this.autoDownloadRow) {
                        view.setDrawCheckRipple(true);
                        view.setTextAndCheck(LocaleController.getString("AutoDownloadMedia", R.string.AutoDownloadMedia), DataAutoDownloadActivity.this.typePreset.enabled, false);
                        boolean z = DataAutoDownloadActivity.this.typePreset.enabled;
                        String str = Theme.key_windowBackgroundChecked;
                        view.setTag(z ? Theme.key_windowBackgroundChecked : Theme.key_windowBackgroundUnchecked);
                        if (!DataAutoDownloadActivity.this.typePreset.enabled) {
                            str = Theme.key_windowBackgroundUnchecked;
                        }
                        view.setBackgroundColor(Theme.getColor(str));
                        return;
                    }
                    return;
                case 1:
                case 3:
                default:
                    return;
                case 2:
                    HeaderCell view2 = (HeaderCell) holder.itemView;
                    if (position != DataAutoDownloadActivity.this.usageHeaderRow) {
                        if (position == DataAutoDownloadActivity.this.typeHeaderRow) {
                            view2.setText(LocaleController.getString("AutoDownloadTypes", R.string.AutoDownloadTypes));
                            return;
                        }
                        return;
                    }
                    view2.setText(LocaleController.getString("AutoDownloadDataUsage", R.string.AutoDownloadDataUsage));
                    return;
                case 4:
                    NotificationsCheckCell view3 = (NotificationsCheckCell) holder.itemView;
                    if (position != DataAutoDownloadActivity.this.photosRow) {
                        if (position == DataAutoDownloadActivity.this.videosRow) {
                            String text2 = LocaleController.getString("AutoDownloadVideos", R.string.AutoDownloadVideos);
                            text = text2;
                            type = 4;
                        } else {
                            String text3 = LocaleController.getString("AutoDownloadFiles", R.string.AutoDownloadFiles);
                            text = text3;
                            type = 8;
                        }
                    } else {
                        String text4 = LocaleController.getString("AutoDownloadPhotos", R.string.AutoDownloadPhotos);
                        text = text4;
                        type = 1;
                    }
                    DownloadController.Preset preset = DataAutoDownloadActivity.this.currentType == 0 ? DownloadController.getInstance(DataAutoDownloadActivity.this.currentAccount).getCurrentMobilePreset() : DataAutoDownloadActivity.this.currentType == 1 ? DownloadController.getInstance(DataAutoDownloadActivity.this.currentAccount).getCurrentWiFiPreset() : DownloadController.getInstance(DataAutoDownloadActivity.this.currentAccount).getCurrentRoamingPreset();
                    int maxSize = preset.sizes[DownloadController.typeToIndex(type)];
                    StringBuilder builder2 = new StringBuilder();
                    int count = 0;
                    for (int a2 = 0; a2 < preset.mask.length; a2++) {
                        if ((preset.mask[a2] & type) != 0) {
                            if (builder2.length() != 0) {
                                builder2.append(", ");
                            }
                            switch (a2) {
                                case 0:
                                    builder2.append(LocaleController.getString("AutoDownloadContacts", R.string.AutoDownloadContacts));
                                    break;
                                case 1:
                                    builder2.append(LocaleController.getString("AutoDownloadPm", R.string.AutoDownloadPm));
                                    break;
                                case 2:
                                    builder2.append(LocaleController.getString("AutoDownloadGroups", R.string.AutoDownloadGroups));
                                    break;
                                case 3:
                                    builder2.append(LocaleController.getString("AutoDownloadChannels", R.string.AutoDownloadChannels));
                                    break;
                            }
                            count++;
                        }
                    }
                    if (count == 4) {
                        builder2.setLength(0);
                        if (position == DataAutoDownloadActivity.this.photosRow) {
                            builder2.append(LocaleController.getString("AutoDownloadOnAllChats", R.string.AutoDownloadOnAllChats));
                        } else {
                            builder2.append(LocaleController.formatString("AutoDownloadUpToOnAllChats", R.string.AutoDownloadUpToOnAllChats, AndroidUtilities.formatFileSize(maxSize)));
                        }
                    } else if (count != 0) {
                        if (position == DataAutoDownloadActivity.this.photosRow) {
                            builder = new StringBuilder(LocaleController.formatString("AutoDownloadOnFor", R.string.AutoDownloadOnFor, builder2.toString()));
                        } else {
                            builder = new StringBuilder(LocaleController.formatString("AutoDownloadOnUpToFor", R.string.AutoDownloadOnUpToFor, AndroidUtilities.formatFileSize(maxSize), builder2.toString()));
                        }
                        if (DataAutoDownloadActivity.this.animateChecked) {
                            view3.setChecked(count != 0);
                        }
                        view3.setTextAndValueAndCheck(text, builder, count == 0, 0, true, position != DataAutoDownloadActivity.this.filesRow);
                        return;
                    } else {
                        builder2.append(LocaleController.getString("AutoDownloadOff", R.string.AutoDownloadOff));
                    }
                    builder = builder2;
                    if (DataAutoDownloadActivity.this.animateChecked) {
                    }
                    view3.setTextAndValueAndCheck(text, builder, count == 0, 0, true, position != DataAutoDownloadActivity.this.filesRow);
                    return;
                case 5:
                    TextInfoPrivacyCell view4 = (TextInfoPrivacyCell) holder.itemView;
                    if (position != DataAutoDownloadActivity.this.typeSectionRow) {
                        if (position == DataAutoDownloadActivity.this.autoDownloadSectionRow) {
                            if (DataAutoDownloadActivity.this.usageHeaderRow == -1) {
                                view4.setBackgroundDrawable(Theme.getThemedDrawable(this.mContext, (int) R.drawable.greydivider_bottom, Theme.key_windowBackgroundGrayShadow));
                                if (DataAutoDownloadActivity.this.currentType != 0) {
                                    if (DataAutoDownloadActivity.this.currentType != 1) {
                                        if (DataAutoDownloadActivity.this.currentType == 2) {
                                            view4.setText(LocaleController.getString("AutoDownloadOnRoamingDataInfo", R.string.AutoDownloadOnRoamingDataInfo));
                                            return;
                                        }
                                        return;
                                    }
                                    view4.setText(LocaleController.getString("AutoDownloadOnWiFiDataInfo", R.string.AutoDownloadOnWiFiDataInfo));
                                    return;
                                }
                                view4.setText(LocaleController.getString("AutoDownloadOnMobileDataInfo", R.string.AutoDownloadOnMobileDataInfo));
                                return;
                            }
                            view4.setBackgroundDrawable(Theme.getThemedDrawable(this.mContext, (int) R.drawable.greydivider, Theme.key_windowBackgroundGrayShadow));
                            view4.setText(null);
                            view4.setFixedSize(12);
                            return;
                        }
                        return;
                    }
                    view4.setText(LocaleController.getString("AutoDownloadAudioInfo", R.string.AutoDownloadAudioInfo));
                    view4.setBackgroundDrawable(Theme.getThemedDrawable(this.mContext, (int) R.drawable.greydivider, Theme.key_windowBackgroundGrayShadow));
                    view4.setFixedSize(0);
                    return;
            }
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            int position = holder.getAdapterPosition();
            return position == DataAutoDownloadActivity.this.photosRow || position == DataAutoDownloadActivity.this.videosRow || position == DataAutoDownloadActivity.this.filesRow;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view = null;
            switch (viewType) {
                case 0:
                    TextCheckCell cell = new TextCheckCell(this.mContext);
                    cell.setColors(Theme.key_windowBackgroundCheckText, Theme.key_switchTrackBlue, Theme.key_switchTrackBlueChecked, Theme.key_switchTrackBlueThumb, Theme.key_switchTrackBlueThumbChecked);
                    cell.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
                    cell.setHeight(56);
                    View view2 = cell;
                    RecyclerView.LayoutParams layoutParams = new RecyclerView.LayoutParams(-1, -2);
                    layoutParams.leftMargin = AndroidUtilities.dp(10.0f);
                    layoutParams.rightMargin = AndroidUtilities.dp(10.0f);
                    view2.setLayoutParams(layoutParams);
                    view = view2;
                    break;
                case 1:
                    View view3 = new ShadowSectionCell(this.mContext);
                    RecyclerView.LayoutParams layoutParams2 = new RecyclerView.LayoutParams(-1, -2);
                    layoutParams2.leftMargin = AndroidUtilities.dp(10.0f);
                    layoutParams2.rightMargin = AndroidUtilities.dp(10.0f);
                    view3.setLayoutParams(layoutParams2);
                    view = view3;
                    break;
                case 2:
                    View view4 = new HeaderCell(this.mContext);
                    RecyclerView.LayoutParams layoutParams3 = new RecyclerView.LayoutParams(-1, -2);
                    layoutParams3.leftMargin = AndroidUtilities.dp(10.0f);
                    layoutParams3.rightMargin = AndroidUtilities.dp(10.0f);
                    view4.setLayoutParams(layoutParams3);
                    view4.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    view = view4;
                    break;
                case 3:
                    View view5 = new PresetChooseView(this.mContext);
                    RecyclerView.LayoutParams layoutParams4 = new RecyclerView.LayoutParams(-1, -2);
                    layoutParams4.leftMargin = AndroidUtilities.dp(10.0f);
                    layoutParams4.rightMargin = AndroidUtilities.dp(10.0f);
                    view5.setLayoutParams(layoutParams4);
                    view5.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    view = view5;
                    break;
                case 4:
                    View view6 = new NotificationsCheckCell(this.mContext);
                    RecyclerView.LayoutParams layoutParams5 = new RecyclerView.LayoutParams(-1, -2);
                    layoutParams5.leftMargin = AndroidUtilities.dp(10.0f);
                    layoutParams5.rightMargin = AndroidUtilities.dp(10.0f);
                    view6.setLayoutParams(layoutParams5);
                    view6.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    view = view6;
                    break;
                case 5:
                    View view7 = new TextInfoPrivacyCell(this.mContext);
                    RecyclerView.LayoutParams layoutParams6 = new RecyclerView.LayoutParams(-1, -2);
                    layoutParams6.leftMargin = AndroidUtilities.dp(10.0f);
                    layoutParams6.rightMargin = AndroidUtilities.dp(10.0f);
                    view7.setLayoutParams(layoutParams6);
                    view7.setBackgroundDrawable(Theme.getThemedDrawable(this.mContext, (int) R.drawable.greydivider_bottom, Theme.key_windowBackgroundGrayShadow));
                    view = view7;
                    break;
            }
            view.setLayoutParams(new RecyclerView.LayoutParams(-1, -2));
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            if (position != DataAutoDownloadActivity.this.autoDownloadRow) {
                if (position != DataAutoDownloadActivity.this.usageSectionRow) {
                    if (position != DataAutoDownloadActivity.this.usageHeaderRow && position != DataAutoDownloadActivity.this.typeHeaderRow) {
                        if (position != DataAutoDownloadActivity.this.usageProgressRow) {
                            if (position == DataAutoDownloadActivity.this.photosRow || position == DataAutoDownloadActivity.this.videosRow || position == DataAutoDownloadActivity.this.filesRow) {
                                return 4;
                            }
                            return 5;
                        }
                        return 3;
                    }
                    return 2;
                }
                return 1;
            }
            return 0;
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public ThemeDescription[] getThemeDescriptions() {
        return new ThemeDescription[]{new ThemeDescription(this.listView, ThemeDescription.FLAG_CELLBACKGROUNDCOLOR, new Class[]{HeaderCell.class, NotificationsCheckCell.class, PresetChooseView.class}, null, null, null, Theme.key_windowBackgroundWhite), new ThemeDescription(this.fragmentView, ThemeDescription.FLAG_BACKGROUND, null, null, null, null, Theme.key_windowBackgroundGray), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_BACKGROUND, null, null, null, null, Theme.key_actionBarDefault), new ThemeDescription(this.listView, ThemeDescription.FLAG_LISTGLOWCOLOR, null, null, null, null, Theme.key_actionBarDefault), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_ITEMSCOLOR, null, null, null, null, Theme.key_actionBarDefaultIcon), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_TITLECOLOR, null, null, null, null, Theme.key_actionBarDefaultTitle), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_SELECTORCOLOR, null, null, null, null, Theme.key_actionBarDefaultSelector), new ThemeDescription(this.listView, ThemeDescription.FLAG_SELECTOR, null, null, null, null, Theme.key_listSelector), new ThemeDescription(this.listView, 0, new Class[]{View.class}, Theme.dividerPaint, null, null, Theme.key_divider), new ThemeDescription(this.listView, ThemeDescription.FLAG_BACKGROUNDFILTER, new Class[]{ShadowSectionCell.class}, null, null, null, Theme.key_windowBackgroundGrayShadow), new ThemeDescription(this.listView, 0, new Class[]{HeaderCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlueHeader), new ThemeDescription(this.listView, ThemeDescription.FLAG_CELLBACKGROUNDCOLOR | ThemeDescription.FLAG_CHECKTAG, new Class[]{TextCheckCell.class}, null, null, null, Theme.key_windowBackgroundChecked), new ThemeDescription(this.listView, ThemeDescription.FLAG_CELLBACKGROUNDCOLOR | ThemeDescription.FLAG_CHECKTAG, new Class[]{TextCheckCell.class}, null, null, null, Theme.key_windowBackgroundUnchecked), new ThemeDescription(this.listView, 0, new Class[]{TextCheckCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundCheckText), new ThemeDescription(this.listView, 0, new Class[]{TextCheckCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_switchTrackBlue), new ThemeDescription(this.listView, 0, new Class[]{TextCheckCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_switchTrackBlueChecked), new ThemeDescription(this.listView, 0, new Class[]{TextCheckCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_switchTrackBlueThumb), new ThemeDescription(this.listView, 0, new Class[]{TextCheckCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_switchTrackBlueThumbChecked), new ThemeDescription(this.listView, 0, new Class[]{TextCheckCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_switchTrackBlueSelector), new ThemeDescription(this.listView, 0, new Class[]{TextCheckCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_switchTrackBlueSelectorChecked), new ThemeDescription(this.listView, 0, new Class[]{NotificationsCheckCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlackText), new ThemeDescription(this.listView, 0, new Class[]{NotificationsCheckCell.class}, new String[]{"valueTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGrayText2), new ThemeDescription(this.listView, 0, new Class[]{NotificationsCheckCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_switchTrack), new ThemeDescription(this.listView, 0, new Class[]{NotificationsCheckCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_switchTrackChecked), new ThemeDescription(this.listView, ThemeDescription.FLAG_BACKGROUNDFILTER, new Class[]{TextInfoPrivacyCell.class}, null, null, null, Theme.key_windowBackgroundGrayShadow), new ThemeDescription(this.listView, 0, new Class[]{TextInfoPrivacyCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGrayText4), new ThemeDescription(this.listView, 0, new Class[]{PresetChooseView.class}, null, null, null, Theme.key_switchTrack), new ThemeDescription(this.listView, 0, new Class[]{PresetChooseView.class}, null, null, null, Theme.key_switchTrackChecked), new ThemeDescription(this.listView, 0, new Class[]{PresetChooseView.class}, null, null, null, Theme.key_windowBackgroundWhiteGrayText)};
    }
}
