package im.uecahxyvjd.ui;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.DialogInterface;
import android.content.res.Configuration;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Property;
import android.util.SparseArray;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.view.WindowManager;
import android.view.animation.DecelerateInterpolator;
import android.view.animation.Interpolator;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ApplicationLoader;
import im.uecahxyvjd.messenger.ChatObject;
import im.uecahxyvjd.messenger.ContactsController;
import im.uecahxyvjd.messenger.FileLoader;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MediaController;
import im.uecahxyvjd.messenger.MediaDataController;
import im.uecahxyvjd.messenger.MessageObject;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.SendMessagesHelper;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.Utilities;
import im.uecahxyvjd.messenger.browser.Browser;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.DialogsActivity;
import im.uecahxyvjd.ui.Media1Activity;
import im.uecahxyvjd.ui.PhotoViewer;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.ActionBarMenuItem;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.BottomSheet;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.actionbar.ThemeDescription;
import im.uecahxyvjd.ui.cells.GraySectionCell;
import im.uecahxyvjd.ui.cells.LoadingCell;
import im.uecahxyvjd.ui.cells.SharedAudioCell;
import im.uecahxyvjd.ui.cells.SharedDocumentCell;
import im.uecahxyvjd.ui.cells.SharedLinkCell;
import im.uecahxyvjd.ui.cells.SharedMediaSectionCell;
import im.uecahxyvjd.ui.cells.SharedPhotoVideoCell;
import im.uecahxyvjd.ui.components.AlertsCreator;
import im.uecahxyvjd.ui.components.AnimationProperties;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.components.EmbedBottomSheet;
import im.uecahxyvjd.ui.components.FragmentContextView;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.NumberTextView;
import im.uecahxyvjd.ui.components.RadialProgressView;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.ScrollSlidingTextTabStrip;
import im.uecahxyvjd.ui.components.banner.config.BannerConfig;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
/* loaded from: classes12.dex */
public class Media1Activity extends BaseFragment implements NotificationCenter.NotificationCenterDelegate {
    private static final int delete = 4;
    private static final int forward = 3;
    private static final int gotochat = 7;
    private static final Interpolator interpolator = new Interpolator() { // from class: im.uecahxyvjd.ui.Media1Activity$$ExternalSyntheticLambda0
        @Override // android.animation.TimeInterpolator
        public final float getInterpolation(float f) {
            return Media1Activity.lambda$static$0(f);
        }
    };
    public final Property<Media1Activity, Float> SCROLL_Y;
    private View actionModeBackground;
    private ArrayList<View> actionModeViews;
    private int additionalPadding;
    private boolean animatingForward;
    private SharedDocumentsAdapter audioAdapter;
    private ArrayList<SharedAudioCell> audioCache;
    private ArrayList<SharedAudioCell> audioCellCache;
    private MediaSearchAdapter audioSearchAdapter;
    private boolean backAnimation;
    private Paint backgroundPaint;
    private ArrayList<SharedPhotoVideoCell> cache;
    private int cantDeleteMessagesCount;
    private ArrayList<SharedPhotoVideoCell> cellCache;
    private int columnsCount;
    private long dialog_id;
    private SharedDocumentsAdapter documentsAdapter;
    private MediaSearchAdapter documentsSearchAdapter;
    private FragmentContextView fragmentContextView;
    private ActionBarMenuItem gotoItem;
    private int[] hasMedia;
    private boolean ignoreSearchCollapse;
    protected TLRPC.ChatFull info;
    private int initialTab;
    private SharedLinksAdapter linksAdapter;
    private MediaSearchAdapter linksSearchAdapter;
    private int maximumVelocity;
    private MediaPage[] mediaPages;
    private long mergeDialogId;
    private SharedPhotoVideoAdapter photoVideoAdapter;
    private Drawable pinnedHeaderShadowDrawable;
    private PhotoViewer.PhotoViewerProvider provider;
    private ScrollSlidingTextTabStrip scrollSlidingTextTabStrip;
    private boolean scrolling;
    private ActionBarMenuItem searchItem;
    private int searchItemState;
    private boolean searchWas;
    private boolean searching;
    private SparseArray<MessageObject>[] selectedFiles;
    private NumberTextView selectedMessagesCountTextView;
    SharedLinkCell.SharedLinkCellDelegate sharedLinkCellDelegate;
    private SharedMediaData[] sharedMediaData;
    private AnimatorSet tabsAnimation;
    private boolean tabsAnimationInProgress;
    private SharedDocumentsAdapter voiceAdapter;

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes12.dex */
    public class MediaPage extends FrameLayout {
        private ImageView emptyImageView;
        private TextView emptyTextView;
        private LinearLayout emptyView;
        private LinearLayoutManager layoutManager;
        private RecyclerListView listView;
        private RadialProgressView progressBar;
        private LinearLayout progressView;
        private int selectedType;

        public MediaPage(Context context) {
            super(context);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ float lambda$static$0(float t) {
        float t2 = t - 1.0f;
        return (t2 * t2 * t2 * t2 * t2) + 1.0f;
    }

    /* loaded from: classes12.dex */
    public static class SharedMediaData {
        private boolean loading;
        private int totalCount;
        private ArrayList<MessageObject> messages = new ArrayList<>();
        private SparseArray<MessageObject>[] messagesDict = {new SparseArray<>(), new SparseArray<>()};
        private ArrayList<String> sections = new ArrayList<>();
        private HashMap<String, ArrayList<MessageObject>> sectionArrays = new HashMap<>();
        private boolean[] endReached = {false, true};
        private int[] max_id = {0, 0};

        public void setTotalCount(int count) {
            this.totalCount = count;
        }

        public void setMaxId(int num, int value) {
            this.max_id[num] = value;
        }

        public void setEndReached(int num, boolean value) {
            this.endReached[num] = value;
        }

        public boolean addMessage(MessageObject messageObject, int loadIndex, boolean isNew, boolean enc) {
            if (this.messagesDict[loadIndex].indexOfKey(messageObject.getId()) >= 0) {
                return false;
            }
            ArrayList<MessageObject> messageObjects = this.sectionArrays.get(messageObject.monthKey);
            if (messageObjects == null) {
                messageObjects = new ArrayList<>();
                this.sectionArrays.put(messageObject.monthKey, messageObjects);
                if (isNew) {
                    this.sections.add(0, messageObject.monthKey);
                } else {
                    this.sections.add(messageObject.monthKey);
                }
            }
            if (isNew) {
                messageObjects.add(0, messageObject);
                this.messages.add(0, messageObject);
            } else {
                messageObjects.add(messageObject);
                this.messages.add(messageObject);
            }
            this.messagesDict[loadIndex].put(messageObject.getId(), messageObject);
            if (!enc) {
                if (messageObject.getId() > 0) {
                    this.max_id[loadIndex] = Math.min(messageObject.getId(), this.max_id[loadIndex]);
                    return true;
                }
                return true;
            }
            this.max_id[loadIndex] = Math.max(messageObject.getId(), this.max_id[loadIndex]);
            return true;
        }

        public boolean deleteMessage(int mid, int loadIndex) {
            ArrayList<MessageObject> messageObjects;
            MessageObject messageObject = this.messagesDict[loadIndex].get(mid);
            if (messageObject == null || (messageObjects = this.sectionArrays.get(messageObject.monthKey)) == null) {
                return false;
            }
            messageObjects.remove(messageObject);
            this.messages.remove(messageObject);
            this.messagesDict[loadIndex].remove(messageObject.getId());
            if (messageObjects.isEmpty()) {
                this.sectionArrays.remove(messageObject.monthKey);
                this.sections.remove(messageObject.monthKey);
            }
            this.totalCount--;
            return true;
        }

        public void replaceMid(int oldMid, int newMid) {
            MessageObject obj = this.messagesDict[0].get(oldMid);
            if (obj != null) {
                this.messagesDict[0].remove(oldMid);
                this.messagesDict[0].put(newMid, obj);
                obj.messageOwner.id = newMid;
            }
        }
    }

    public Media1Activity(Bundle args, int[] media) {
        this(args, media, null, 0);
    }

    public Media1Activity(Bundle args, int[] media, SharedMediaData[] mediaData, int initTab) {
        super(args);
        this.mediaPages = new MediaPage[2];
        this.cellCache = new ArrayList<>(10);
        this.cache = new ArrayList<>(10);
        this.audioCellCache = new ArrayList<>(10);
        this.audioCache = new ArrayList<>(10);
        this.backgroundPaint = new Paint();
        this.selectedFiles = new SparseArray[]{new SparseArray<>(), new SparseArray<>()};
        this.actionModeViews = new ArrayList<>();
        this.info = null;
        this.columnsCount = 4;
        this.SCROLL_Y = new AnimationProperties.FloatProperty<Media1Activity>("animationValue") { // from class: im.uecahxyvjd.ui.Media1Activity.1
            @Override // im.uecahxyvjd.ui.components.AnimationProperties.FloatProperty
            public void setValue(Media1Activity object, float value) {
                object.setScrollY(value);
                for (int a2 = 0; a2 < Media1Activity.this.mediaPages.length; a2++) {
                    Media1Activity.this.mediaPages[a2].listView.checkSection();
                }
            }

            @Override // android.util.Property
            public Float get(Media1Activity object) {
                return Float.valueOf(Media1Activity.this.actionBar.getTranslationY());
            }
        };
        this.provider = new PhotoViewer.EmptyPhotoViewerProvider() { // from class: im.uecahxyvjd.ui.Media1Activity.2
            @Override // im.uecahxyvjd.ui.PhotoViewer.EmptyPhotoViewerProvider, im.uecahxyvjd.ui.PhotoViewer.PhotoViewerProvider
            public PhotoViewer.PlaceProviderObject getPlaceForPhoto(MessageObject messageObject, TLRPC.FileLocation fileLocation, int index, boolean needPreview) {
                MessageObject message;
                if (messageObject == null || !(Media1Activity.this.mediaPages[0].selectedType == 0 || Media1Activity.this.mediaPages[0].selectedType == 1)) {
                    return null;
                }
                int count = Media1Activity.this.mediaPages[0].listView.getChildCount();
                for (int a2 = 0; a2 < count; a2++) {
                    View view = Media1Activity.this.mediaPages[0].listView.getChildAt(a2);
                    BackupImageView imageView = null;
                    if (view instanceof SharedPhotoVideoCell) {
                        SharedPhotoVideoCell cell = (SharedPhotoVideoCell) view;
                        for (int i = 0; i < 6 && (message = cell.getMessageObject(i)) != null; i++) {
                            if (message.getId() == messageObject.getId()) {
                                imageView = cell.getImageView(i);
                            }
                        }
                    } else if (view instanceof SharedDocumentCell) {
                        SharedDocumentCell cell2 = (SharedDocumentCell) view;
                        if (cell2.getMessage().getId() == messageObject.getId()) {
                            imageView = cell2.getImageView();
                        }
                    }
                    if (imageView != null) {
                        int[] coords = new int[2];
                        imageView.getLocationInWindow(coords);
                        PhotoViewer.PlaceProviderObject object = new PhotoViewer.PlaceProviderObject();
                        object.viewX = coords[0];
                        object.viewY = coords[1] - 0;
                        object.parentView = Media1Activity.this.mediaPages[0].listView;
                        object.imageReceiver = imageView.getImageReceiver();
                        object.thumb = object.imageReceiver.getBitmapSafe();
                        object.parentView.getLocationInWindow(coords);
                        object.clipTopAddition = (int) (Media1Activity.this.actionBar.getHeight() + Media1Activity.this.actionBar.getTranslationY());
                        if (Media1Activity.this.fragmentContextView != null && Media1Activity.this.fragmentContextView.getVisibility() == 0) {
                            object.clipTopAddition += AndroidUtilities.dp(36.0f);
                        }
                        return object;
                    }
                }
                return null;
            }
        };
        this.sharedMediaData = new SharedMediaData[5];
        this.sharedLinkCellDelegate = new AnonymousClass15();
        this.hasMedia = media;
        this.initialTab = initTab;
        this.dialog_id = args.getLong("dialog_id", 0L);
        int a2 = 0;
        while (true) {
            SharedMediaData[] sharedMediaDataArr = this.sharedMediaData;
            if (a2 < sharedMediaDataArr.length) {
                sharedMediaDataArr[a2] = new SharedMediaData();
                this.sharedMediaData[a2].max_id[0] = ((int) this.dialog_id) == 0 ? Integer.MIN_VALUE : Integer.MAX_VALUE;
                if (this.mergeDialogId != 0 && this.info != null) {
                    this.sharedMediaData[a2].max_id[1] = this.info.migrated_from_max_id;
                    this.sharedMediaData[a2].endReached[1] = false;
                }
                if (mediaData != null) {
                    this.sharedMediaData[a2].totalCount = mediaData[a2].totalCount;
                    this.sharedMediaData[a2].messages.addAll(mediaData[a2].messages);
                    this.sharedMediaData[a2].sections.addAll(mediaData[a2].sections);
                    for (Map.Entry<String, ArrayList<MessageObject>> entry : mediaData[a2].sectionArrays.entrySet()) {
                        this.sharedMediaData[a2].sectionArrays.put(entry.getKey(), new ArrayList(entry.getValue()));
                    }
                    for (int i = 0; i < 2; i++) {
                        this.sharedMediaData[a2].messagesDict[i] = mediaData[a2].messagesDict[i].clone();
                        this.sharedMediaData[a2].max_id[i] = mediaData[a2].max_id[i];
                    }
                }
                a2++;
            } else {
                return;
            }
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        super.onFragmentCreate();
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.mediaDidLoad);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.messagesDeleted);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.didReceiveNewMessages);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.messageReceivedByServer);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.messagePlayingDidReset);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.messagePlayingPlayStateChanged);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.messagePlayingDidStart);
        return true;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        super.onFragmentDestroy();
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.mediaDidLoad);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.didReceiveNewMessages);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.messagesDeleted);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.messageReceivedByServer);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.messagePlayingDidReset);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.messagePlayingPlayStateChanged);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.messagePlayingDidStart);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        TLRPC.User user;
        MediaPage mediaPage;
        for (int a2 = 0; a2 < 10; a2++) {
            this.cellCache.add(new SharedPhotoVideoCell(context));
            if (this.initialTab == 4) {
                SharedAudioCell cell = new SharedAudioCell(context) { // from class: im.uecahxyvjd.ui.Media1Activity.3
                    @Override // im.uecahxyvjd.ui.cells.SharedAudioCell
                    public boolean needPlayMessage(MessageObject messageObject) {
                        if (messageObject.isVoice() || messageObject.isRoundVideo()) {
                            boolean result = MediaController.getInstance().playMessage(messageObject);
                            MediaController.getInstance().setVoiceMessagesPlaylist(result ? Media1Activity.this.sharedMediaData[4].messages : null, false);
                            return result;
                        } else if (messageObject.isMusic()) {
                            return MediaController.getInstance().setPlaylist(Media1Activity.this.sharedMediaData[4].messages, messageObject);
                        } else {
                            return false;
                        }
                    }
                };
                cell.initStreamingIcons();
                this.audioCellCache.add(cell);
            }
        }
        ViewConfiguration configuration = ViewConfiguration.get(context);
        this.maximumVelocity = configuration.getScaledMaximumFlingVelocity();
        boolean z = false;
        this.searching = false;
        this.searchWas = false;
        if (AndroidUtilities.isTablet()) {
            this.actionBar.setOccupyStatusBar(false);
        }
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setAddToContainer(false);
        int i = 1;
        this.actionBar.setClipContent(true);
        int lower_id = (int) this.dialog_id;
        if (lower_id == 0) {
            TLRPC.EncryptedChat encryptedChat = MessagesController.getInstance(this.currentAccount).getEncryptedChat(Integer.valueOf((int) (this.dialog_id >> 32)));
            if (encryptedChat != null && (user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(encryptedChat.user_id))) != null) {
                this.actionBar.setTitle(ContactsController.formatName(user.first_name, user.last_name));
            }
        } else if (lower_id > 0) {
            TLRPC.User user2 = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(lower_id));
            if (user2 != null) {
                if (user2.self) {
                    this.actionBar.setTitle(LocaleController.getString("SavedMessages", R.string.SavedMessages));
                } else {
                    this.actionBar.setTitle(ContactsController.formatName(user2.first_name, user2.last_name));
                }
            }
        } else {
            TLRPC.Chat chat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(-lower_id));
            if (chat != null) {
                this.actionBar.setTitle(chat.title);
            }
        }
        if (TextUtils.isEmpty(this.actionBar.getTitle())) {
            this.actionBar.setTitle(LocaleController.getString("SharedContentTitle", R.string.SharedContentTitle));
        }
        this.actionBar.setExtraHeight(AndroidUtilities.dp(44.0f));
        this.actionBar.setAllowOverlayTitle(false);
        this.actionBar.setActionBarMenuOnItemClick(new AnonymousClass4());
        Drawable drawable = context.getResources().getDrawable(R.drawable.photos_header_shadow);
        this.pinnedHeaderShadowDrawable = drawable;
        drawable.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_windowBackgroundGrayShadow), PorterDuff.Mode.MULTIPLY));
        ScrollSlidingTextTabStrip scrollSlidingTextTabStrip = this.scrollSlidingTextTabStrip;
        if (scrollSlidingTextTabStrip != null) {
            this.initialTab = scrollSlidingTextTabStrip.getCurrentTabId();
        }
        ScrollSlidingTextTabStrip scrollSlidingTextTabStrip2 = new ScrollSlidingTextTabStrip(context);
        this.scrollSlidingTextTabStrip = scrollSlidingTextTabStrip2;
        int i2 = this.initialTab;
        if (i2 != -1) {
            scrollSlidingTextTabStrip2.setInitialTabId(i2);
            this.initialTab = -1;
        }
        this.actionBar.addView(this.scrollSlidingTextTabStrip, LayoutHelper.createFrame(-1, 44, 83));
        this.scrollSlidingTextTabStrip.setDelegate(new ScrollSlidingTextTabStrip.ScrollSlidingTabStripDelegate() { // from class: im.uecahxyvjd.ui.Media1Activity.5
            @Override // im.uecahxyvjd.ui.components.ScrollSlidingTextTabStrip.ScrollSlidingTabStripDelegate
            public void onPageSelected(int id, boolean forward2) {
                if (Media1Activity.this.mediaPages[0].selectedType == id) {
                    return;
                }
                Media1Activity media1Activity = Media1Activity.this;
                media1Activity.swipeBackEnabled = id == media1Activity.scrollSlidingTextTabStrip.getFirstTabId();
                Media1Activity.this.mediaPages[1].selectedType = id;
                Media1Activity.this.mediaPages[1].setVisibility(0);
                Media1Activity.this.switchToCurrentSelectedMode(true);
                Media1Activity.this.animatingForward = forward2;
            }

            @Override // im.uecahxyvjd.ui.components.ScrollSlidingTextTabStrip.ScrollSlidingTabStripDelegate
            public void onPageScrolled(float progress) {
                if (progress != 1.0f || Media1Activity.this.mediaPages[1].getVisibility() == 0) {
                    if (Media1Activity.this.animatingForward) {
                        Media1Activity.this.mediaPages[0].setTranslationX((-progress) * Media1Activity.this.mediaPages[0].getMeasuredWidth());
                        Media1Activity.this.mediaPages[1].setTranslationX(Media1Activity.this.mediaPages[0].getMeasuredWidth() - (Media1Activity.this.mediaPages[0].getMeasuredWidth() * progress));
                    } else {
                        Media1Activity.this.mediaPages[0].setTranslationX(Media1Activity.this.mediaPages[0].getMeasuredWidth() * progress);
                        Media1Activity.this.mediaPages[1].setTranslationX((Media1Activity.this.mediaPages[0].getMeasuredWidth() * progress) - Media1Activity.this.mediaPages[0].getMeasuredWidth());
                    }
                    if (Media1Activity.this.searchItemState == 1) {
                        Media1Activity.this.searchItem.setAlpha(progress);
                    } else if (Media1Activity.this.searchItemState == 2) {
                        Media1Activity.this.searchItem.setAlpha(1.0f - progress);
                    }
                    if (progress == 1.0f) {
                        MediaPage tempPage = Media1Activity.this.mediaPages[0];
                        Media1Activity.this.mediaPages[0] = Media1Activity.this.mediaPages[1];
                        Media1Activity.this.mediaPages[1] = tempPage;
                        Media1Activity.this.mediaPages[1].setVisibility(8);
                        if (Media1Activity.this.searchItemState == 2) {
                            Media1Activity.this.searchItem.setVisibility(4);
                        }
                        Media1Activity.this.searchItemState = 0;
                    }
                }
            }
        });
        for (int a3 = 1; a3 >= 0; a3--) {
            this.selectedFiles[a3].clear();
        }
        this.cantDeleteMessagesCount = 0;
        this.actionModeViews.clear();
        ActionBarMenu menu = this.actionBar.createMenu();
        ActionBarMenuItem actionBarMenuItemSearchListener = menu.addItem(0, R.drawable.ic_ab_search).setIsSearchField(true).setActionBarMenuItemSearchListener(new ActionBarMenuItem.ActionBarMenuItemSearchListener() { // from class: im.uecahxyvjd.ui.Media1Activity.6
            @Override // im.uecahxyvjd.ui.actionbar.ActionBarMenuItem.ActionBarMenuItemSearchListener
            public void onSearchExpand() {
                Media1Activity.this.searching = true;
                Media1Activity.this.resetScroll();
            }

            @Override // im.uecahxyvjd.ui.actionbar.ActionBarMenuItem.ActionBarMenuItemSearchListener
            public void onSearchCollapse() {
                Media1Activity.this.searching = false;
                Media1Activity.this.searchWas = false;
                Media1Activity.this.documentsSearchAdapter.search(null);
                Media1Activity.this.linksSearchAdapter.search(null);
                Media1Activity.this.audioSearchAdapter.search(null);
                if (Media1Activity.this.ignoreSearchCollapse) {
                    Media1Activity.this.ignoreSearchCollapse = false;
                } else {
                    Media1Activity.this.switchToCurrentSelectedMode(false);
                }
            }

            @Override // im.uecahxyvjd.ui.actionbar.ActionBarMenuItem.ActionBarMenuItemSearchListener
            public void onTextChanged(EditText editText) {
                String text = editText.getText().toString();
                if (text.length() != 0) {
                    Media1Activity.this.searchWas = true;
                    Media1Activity.this.switchToCurrentSelectedMode(false);
                } else {
                    Media1Activity.this.searchWas = false;
                    Media1Activity.this.switchToCurrentSelectedMode(false);
                }
                if (Media1Activity.this.mediaPages[0].selectedType == 1) {
                    if (Media1Activity.this.documentsSearchAdapter != null) {
                        Media1Activity.this.documentsSearchAdapter.search(text);
                    }
                } else if (Media1Activity.this.mediaPages[0].selectedType == 3) {
                    if (Media1Activity.this.linksSearchAdapter != null) {
                        Media1Activity.this.linksSearchAdapter.search(text);
                    }
                } else if (Media1Activity.this.mediaPages[0].selectedType == 4 && Media1Activity.this.audioSearchAdapter != null) {
                    Media1Activity.this.audioSearchAdapter.search(text);
                }
            }
        });
        this.searchItem = actionBarMenuItemSearchListener;
        actionBarMenuItemSearchListener.setSearchFieldHint(LocaleController.getString("Search", R.string.Search));
        this.searchItem.setContentDescription(LocaleController.getString("Search", R.string.Search));
        this.searchItem.setVisibility(4);
        this.searchItemState = 0;
        this.hasOwnBackground = true;
        ActionBarMenu actionMode = this.actionBar.createActionMode(false);
        actionMode.setBackgroundDrawable(null);
        this.actionBar.setItemsColor(Theme.getColor(Theme.key_actionBarDefaultIcon), true);
        this.actionBar.setItemsBackgroundColor(Theme.getColor(Theme.key_actionBarDefaultSelector), true);
        View view = new View(context);
        this.actionModeBackground = view;
        view.setBackgroundColor(Theme.getColor(Theme.key_sharedMedia_actionMode));
        this.actionModeBackground.setAlpha(0.0f);
        this.actionBar.addView(this.actionModeBackground, this.actionBar.indexOfChild(actionMode));
        NumberTextView numberTextView = new NumberTextView(actionMode.getContext());
        this.selectedMessagesCountTextView = numberTextView;
        numberTextView.setTextSize(18);
        this.selectedMessagesCountTextView.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
        this.selectedMessagesCountTextView.setTextColor(Theme.getColor(Theme.key_actionBarDefaultIcon));
        this.selectedMessagesCountTextView.setOnTouchListener(new View.OnTouchListener() { // from class: im.uecahxyvjd.ui.Media1Activity$$ExternalSyntheticLambda1
            @Override // android.view.View.OnTouchListener
            public final boolean onTouch(View view2, MotionEvent motionEvent) {
                return Media1Activity.lambda$createView$1(view2, motionEvent);
            }
        });
        actionMode.addView(this.selectedMessagesCountTextView, LayoutHelper.createLinear(0, -1, 1.0f, 72, 0, 0, 0));
        if (((int) this.dialog_id) != 0) {
            ArrayList<View> arrayList = this.actionModeViews;
            ActionBarMenuItem addItemWithWidth = actionMode.addItemWithWidth(7, R.drawable.msg_message, AndroidUtilities.dp(54.0f), LocaleController.getString("AccDescrGoToMessage", R.string.AccDescrGoToMessage));
            this.gotoItem = addItemWithWidth;
            arrayList.add(addItemWithWidth);
            this.actionModeViews.add(actionMode.addItemWithWidth(3, R.drawable.msg_forward, AndroidUtilities.dp(54.0f), LocaleController.getString("Forward", R.string.Forward)));
        }
        this.actionModeViews.add(actionMode.addItemWithWidth(4, R.drawable.msg_delete, AndroidUtilities.dp(54.0f), LocaleController.getString("Delete", R.string.Delete)));
        this.photoVideoAdapter = new SharedPhotoVideoAdapter(context);
        this.documentsAdapter = new SharedDocumentsAdapter(context, 1);
        this.voiceAdapter = new SharedDocumentsAdapter(context, 2);
        this.audioAdapter = new SharedDocumentsAdapter(context, 4);
        this.documentsSearchAdapter = new MediaSearchAdapter(context, 1);
        this.audioSearchAdapter = new MediaSearchAdapter(context, 4);
        this.linksSearchAdapter = new MediaSearchAdapter(context, 3);
        this.linksAdapter = new SharedLinksAdapter(context);
        FrameLayout frameLayout = new FrameLayout(context) { // from class: im.uecahxyvjd.ui.Media1Activity.7
            private boolean globalIgnoreLayout;
            private boolean maybeStartTracking;
            private boolean startedTracking;
            private int startedTrackingPointerId;
            private int startedTrackingX;
            private int startedTrackingY;
            private VelocityTracker velocityTracker;

            private boolean prepareForMoving(MotionEvent ev, boolean forward2) {
                int id = Media1Activity.this.scrollSlidingTextTabStrip.getNextPageId(forward2);
                if (id >= 0) {
                    if (Media1Activity.this.searchItemState != 0) {
                        if (Media1Activity.this.searchItemState == 2) {
                            Media1Activity.this.searchItem.setAlpha(1.0f);
                        } else if (Media1Activity.this.searchItemState == 1) {
                            Media1Activity.this.searchItem.setAlpha(0.0f);
                            Media1Activity.this.searchItem.setVisibility(4);
                        }
                        Media1Activity.this.searchItemState = 0;
                    }
                    getParent().requestDisallowInterceptTouchEvent(true);
                    this.maybeStartTracking = false;
                    this.startedTracking = true;
                    this.startedTrackingX = (int) ev.getX();
                    Media1Activity.this.actionBar.setEnabled(false);
                    Media1Activity.this.scrollSlidingTextTabStrip.setEnabled(false);
                    Media1Activity.this.mediaPages[1].selectedType = id;
                    Media1Activity.this.mediaPages[1].setVisibility(0);
                    Media1Activity.this.animatingForward = forward2;
                    Media1Activity.this.switchToCurrentSelectedMode(true);
                    if (forward2) {
                        Media1Activity.this.mediaPages[1].setTranslationX(Media1Activity.this.mediaPages[0].getMeasuredWidth());
                    } else {
                        Media1Activity.this.mediaPages[1].setTranslationX(-Media1Activity.this.mediaPages[0].getMeasuredWidth());
                    }
                    return true;
                }
                return false;
            }

            @Override // android.view.View
            public void forceHasOverlappingRendering(boolean hasOverlappingRendering) {
                super.forceHasOverlappingRendering(hasOverlappingRendering);
            }

            @Override // android.widget.FrameLayout, android.view.View
            protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
                int widthSize = View.MeasureSpec.getSize(widthMeasureSpec);
                int heightSize = View.MeasureSpec.getSize(heightMeasureSpec);
                setMeasuredDimension(widthSize, heightSize);
                measureChildWithMargins(Media1Activity.this.actionBar, widthMeasureSpec, 0, heightMeasureSpec, 0);
                int actionBarHeight = Media1Activity.this.actionBar.getMeasuredHeight();
                this.globalIgnoreLayout = true;
                for (int a4 = 0; a4 < Media1Activity.this.mediaPages.length; a4++) {
                    if (Media1Activity.this.mediaPages[a4] != null) {
                        if (Media1Activity.this.mediaPages[a4].listView != null) {
                            Media1Activity.this.mediaPages[a4].listView.setPadding(0, Media1Activity.this.additionalPadding + actionBarHeight, 0, AndroidUtilities.dp(4.0f));
                        }
                        if (Media1Activity.this.mediaPages[a4].emptyView != null) {
                            Media1Activity.this.mediaPages[a4].emptyView.setPadding(0, Media1Activity.this.additionalPadding + actionBarHeight, 0, 0);
                        }
                        if (Media1Activity.this.mediaPages[a4].progressView != null) {
                            Media1Activity.this.mediaPages[a4].progressView.setPadding(0, Media1Activity.this.additionalPadding + actionBarHeight, 0, 0);
                        }
                    }
                }
                this.globalIgnoreLayout = false;
                int childCount = getChildCount();
                for (int i3 = 0; i3 < childCount; i3++) {
                    View child = getChildAt(i3);
                    if (child != null && child.getVisibility() != 8 && child != Media1Activity.this.actionBar) {
                        measureChildWithMargins(child, widthMeasureSpec, 0, heightMeasureSpec, 0);
                    }
                }
            }

            @Override // android.widget.FrameLayout, android.view.ViewGroup, android.view.View
            protected void onLayout(boolean changed, int left, int top, int right, int bottom) {
                super.onLayout(changed, left, top, right, bottom);
                if (Media1Activity.this.fragmentContextView != null) {
                    int y = Media1Activity.this.actionBar.getMeasuredHeight();
                    Media1Activity.this.fragmentContextView.layout(Media1Activity.this.fragmentContextView.getLeft(), Media1Activity.this.fragmentContextView.getTop() + y, Media1Activity.this.fragmentContextView.getRight(), Media1Activity.this.fragmentContextView.getBottom() + y);
                }
            }

            @Override // android.view.View
            public void setPadding(int left, int top, int right, int bottom) {
                Media1Activity.this.additionalPadding = top;
                if (Media1Activity.this.fragmentContextView != null) {
                    Media1Activity.this.fragmentContextView.setTranslationY(top + Media1Activity.this.actionBar.getTranslationY());
                }
                int actionBarHeight = Media1Activity.this.actionBar.getMeasuredHeight();
                for (int a4 = 0; a4 < Media1Activity.this.mediaPages.length; a4++) {
                    if (Media1Activity.this.mediaPages[a4] != null) {
                        if (Media1Activity.this.mediaPages[a4].emptyView != null) {
                            Media1Activity.this.mediaPages[a4].emptyView.setPadding(0, Media1Activity.this.additionalPadding + actionBarHeight, 0, 0);
                        }
                        if (Media1Activity.this.mediaPages[a4].progressView != null) {
                            Media1Activity.this.mediaPages[a4].progressView.setPadding(0, Media1Activity.this.additionalPadding + actionBarHeight, 0, 0);
                        }
                        if (Media1Activity.this.mediaPages[a4].listView != null) {
                            Media1Activity.this.mediaPages[a4].listView.setPadding(0, Media1Activity.this.additionalPadding + actionBarHeight, 0, AndroidUtilities.dp(4.0f));
                            Media1Activity.this.mediaPages[a4].listView.checkSection();
                        }
                    }
                }
            }

            @Override // android.view.ViewGroup, android.view.View
            protected void dispatchDraw(Canvas canvas) {
                super.dispatchDraw(canvas);
                if (Media1Activity.this.parentLayout != null) {
                    Media1Activity.this.parentLayout.drawHeaderShadow(canvas, Media1Activity.this.actionBar.getMeasuredHeight() + ((int) Media1Activity.this.actionBar.getTranslationY()));
                }
            }

            @Override // android.view.View, android.view.ViewParent
            public void requestLayout() {
                if (this.globalIgnoreLayout) {
                    return;
                }
                super.requestLayout();
            }

            public boolean checkTabsAnimationInProgress() {
                if (Media1Activity.this.tabsAnimationInProgress) {
                    boolean cancel = false;
                    if (Media1Activity.this.backAnimation) {
                        if (Math.abs(Media1Activity.this.mediaPages[0].getTranslationX()) < 1.0f) {
                            Media1Activity.this.mediaPages[0].setTranslationX(0.0f);
                            Media1Activity.this.mediaPages[1].setTranslationX(Media1Activity.this.mediaPages[0].getMeasuredWidth() * (Media1Activity.this.animatingForward ? 1 : -1));
                            cancel = true;
                        }
                    } else if (Math.abs(Media1Activity.this.mediaPages[1].getTranslationX()) < 1.0f) {
                        Media1Activity.this.mediaPages[0].setTranslationX(Media1Activity.this.mediaPages[0].getMeasuredWidth() * (Media1Activity.this.animatingForward ? -1 : 1));
                        Media1Activity.this.mediaPages[1].setTranslationX(0.0f);
                        cancel = true;
                    }
                    if (cancel) {
                        if (Media1Activity.this.tabsAnimation != null) {
                            Media1Activity.this.tabsAnimation.cancel();
                            Media1Activity.this.tabsAnimation = null;
                        }
                        Media1Activity.this.tabsAnimationInProgress = false;
                    }
                    return Media1Activity.this.tabsAnimationInProgress;
                }
                return false;
            }

            @Override // android.view.ViewGroup
            public boolean onInterceptTouchEvent(MotionEvent ev) {
                return checkTabsAnimationInProgress() || Media1Activity.this.scrollSlidingTextTabStrip.isAnimatingIndicator() || onTouchEvent(ev);
            }

            @Override // android.view.View
            protected void onDraw(Canvas canvas) {
                Media1Activity.this.backgroundPaint.setColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                canvas.drawRect(0.0f, Media1Activity.this.actionBar.getMeasuredHeight() + Media1Activity.this.actionBar.getTranslationY(), getMeasuredWidth(), getMeasuredHeight(), Media1Activity.this.backgroundPaint);
            }

            @Override // android.view.View
            public boolean onTouchEvent(MotionEvent ev) {
                float dx;
                int duration;
                if (Media1Activity.this.parentLayout.checkTransitionAnimation() || checkTabsAnimationInProgress()) {
                    return false;
                }
                if (ev != null && ev.getAction() == 0 && !this.startedTracking && !this.maybeStartTracking) {
                    this.startedTrackingPointerId = ev.getPointerId(0);
                    this.maybeStartTracking = true;
                    this.startedTrackingX = (int) ev.getX();
                    this.startedTrackingY = (int) ev.getY();
                    VelocityTracker velocityTracker = this.velocityTracker;
                    if (velocityTracker != null) {
                        velocityTracker.clear();
                    }
                } else if (ev != null && ev.getAction() == 2 && ev.getPointerId(0) == this.startedTrackingPointerId) {
                    if (this.velocityTracker == null) {
                        this.velocityTracker = VelocityTracker.obtain();
                    }
                    int dx2 = (int) (ev.getX() - this.startedTrackingX);
                    int dy = Math.abs(((int) ev.getY()) - this.startedTrackingY);
                    this.velocityTracker.addMovement(ev);
                    if (this.startedTracking && ((Media1Activity.this.animatingForward && dx2 > 0) || (!Media1Activity.this.animatingForward && dx2 < 0))) {
                        if (!prepareForMoving(ev, dx2 < 0)) {
                            this.maybeStartTracking = true;
                            this.startedTracking = false;
                            Media1Activity.this.mediaPages[0].setTranslationX(0.0f);
                            if (Media1Activity.this.animatingForward) {
                                Media1Activity.this.mediaPages[1].setTranslationX(Media1Activity.this.mediaPages[0].getMeasuredWidth());
                            } else {
                                Media1Activity.this.mediaPages[1].setTranslationX(-Media1Activity.this.mediaPages[0].getMeasuredWidth());
                            }
                        }
                    }
                    if (this.maybeStartTracking && !this.startedTracking) {
                        float touchSlop = AndroidUtilities.getPixelsInCM(0.3f, true);
                        if (Math.abs(dx2) >= touchSlop && Math.abs(dx2) / 3 > dy) {
                            prepareForMoving(ev, dx2 < 0);
                        }
                    } else if (this.startedTracking) {
                        Media1Activity.this.mediaPages[0].setTranslationX(dx2);
                        if (Media1Activity.this.animatingForward) {
                            Media1Activity.this.mediaPages[1].setTranslationX(Media1Activity.this.mediaPages[0].getMeasuredWidth() + dx2);
                        } else {
                            Media1Activity.this.mediaPages[1].setTranslationX(dx2 - Media1Activity.this.mediaPages[0].getMeasuredWidth());
                        }
                        float scrollProgress = Math.abs(dx2) / Media1Activity.this.mediaPages[0].getMeasuredWidth();
                        if (Media1Activity.this.searchItemState == 2) {
                            Media1Activity.this.searchItem.setAlpha(1.0f - scrollProgress);
                        } else if (Media1Activity.this.searchItemState == 1) {
                            Media1Activity.this.searchItem.setAlpha(scrollProgress);
                        }
                        Media1Activity.this.scrollSlidingTextTabStrip.selectTabWithId(Media1Activity.this.mediaPages[1].selectedType, scrollProgress);
                    }
                } else if (ev != null && ev.getPointerId(0) == this.startedTrackingPointerId && (ev.getAction() == 3 || ev.getAction() == 1 || ev.getAction() == 6)) {
                    if (this.velocityTracker == null) {
                        this.velocityTracker = VelocityTracker.obtain();
                    }
                    this.velocityTracker.computeCurrentVelocity(1000, Media1Activity.this.maximumVelocity);
                    if (!this.startedTracking) {
                        float velX = this.velocityTracker.getXVelocity();
                        float velY = this.velocityTracker.getYVelocity();
                        if (Math.abs(velX) >= 3000.0f && Math.abs(velX) > Math.abs(velY)) {
                            prepareForMoving(ev, velX < 0.0f);
                        }
                    }
                    if (this.startedTracking) {
                        float x = Media1Activity.this.mediaPages[0].getX();
                        Media1Activity.this.tabsAnimation = new AnimatorSet();
                        float velX2 = this.velocityTracker.getXVelocity();
                        float velY2 = this.velocityTracker.getYVelocity();
                        Media1Activity.this.backAnimation = Math.abs(x) < ((float) Media1Activity.this.mediaPages[0].getMeasuredWidth()) / 3.0f && (Math.abs(velX2) < 3500.0f || Math.abs(velX2) < Math.abs(velY2));
                        if (!Media1Activity.this.backAnimation) {
                            dx = Media1Activity.this.mediaPages[0].getMeasuredWidth() - Math.abs(x);
                            if (Media1Activity.this.animatingForward) {
                                Media1Activity.this.tabsAnimation.playTogether(ObjectAnimator.ofFloat(Media1Activity.this.mediaPages[0], View.TRANSLATION_X, -Media1Activity.this.mediaPages[0].getMeasuredWidth()), ObjectAnimator.ofFloat(Media1Activity.this.mediaPages[1], View.TRANSLATION_X, 0.0f));
                            } else {
                                Media1Activity.this.tabsAnimation.playTogether(ObjectAnimator.ofFloat(Media1Activity.this.mediaPages[0], View.TRANSLATION_X, Media1Activity.this.mediaPages[0].getMeasuredWidth()), ObjectAnimator.ofFloat(Media1Activity.this.mediaPages[1], View.TRANSLATION_X, 0.0f));
                            }
                        } else {
                            dx = Math.abs(x);
                            if (Media1Activity.this.animatingForward) {
                                Media1Activity.this.tabsAnimation.playTogether(ObjectAnimator.ofFloat(Media1Activity.this.mediaPages[0], View.TRANSLATION_X, 0.0f), ObjectAnimator.ofFloat(Media1Activity.this.mediaPages[1], View.TRANSLATION_X, Media1Activity.this.mediaPages[1].getMeasuredWidth()));
                            } else {
                                Media1Activity.this.tabsAnimation.playTogether(ObjectAnimator.ofFloat(Media1Activity.this.mediaPages[0], View.TRANSLATION_X, 0.0f), ObjectAnimator.ofFloat(Media1Activity.this.mediaPages[1], View.TRANSLATION_X, -Media1Activity.this.mediaPages[1].getMeasuredWidth()));
                            }
                        }
                        Media1Activity.this.tabsAnimation.setInterpolator(Media1Activity.interpolator);
                        int width = getMeasuredWidth();
                        int halfWidth = width / 2;
                        float distanceRatio = Math.min(1.0f, (dx * 1.0f) / width);
                        float distance = halfWidth + (halfWidth * AndroidUtilities.distanceInfluenceForSnapDuration(distanceRatio));
                        float velX3 = Math.abs(velX2);
                        if (velX3 > 0.0f) {
                            duration = Math.round(Math.abs(distance / velX3) * 1000.0f) * 4;
                        } else {
                            float pageDelta = dx / getMeasuredWidth();
                            duration = (int) ((1.0f + pageDelta) * 100.0f);
                        }
                        Media1Activity.this.tabsAnimation.setDuration(Math.max(150, Math.min(duration, (int) BannerConfig.SCROLL_TIME)));
                        Media1Activity.this.tabsAnimation.addListener(new AnimatorListenerAdapter() { // from class: im.uecahxyvjd.ui.Media1Activity.7.1
                            @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                            public void onAnimationEnd(Animator animator) {
                                Media1Activity.this.tabsAnimation = null;
                                if (Media1Activity.this.backAnimation) {
                                    Media1Activity.this.mediaPages[1].setVisibility(8);
                                    if (Media1Activity.this.searchItemState == 2) {
                                        Media1Activity.this.searchItem.setAlpha(1.0f);
                                    } else if (Media1Activity.this.searchItemState == 1) {
                                        Media1Activity.this.searchItem.setAlpha(0.0f);
                                        Media1Activity.this.searchItem.setVisibility(4);
                                    }
                                    Media1Activity.this.searchItemState = 0;
                                } else {
                                    MediaPage tempPage = Media1Activity.this.mediaPages[0];
                                    Media1Activity.this.mediaPages[0] = Media1Activity.this.mediaPages[1];
                                    Media1Activity.this.mediaPages[1] = tempPage;
                                    Media1Activity.this.mediaPages[1].setVisibility(8);
                                    if (Media1Activity.this.searchItemState == 2) {
                                        Media1Activity.this.searchItem.setVisibility(4);
                                    }
                                    Media1Activity.this.searchItemState = 0;
                                    Media1Activity.this.swipeBackEnabled = Media1Activity.this.mediaPages[0].selectedType == Media1Activity.this.scrollSlidingTextTabStrip.getFirstTabId();
                                    Media1Activity.this.scrollSlidingTextTabStrip.selectTabWithId(Media1Activity.this.mediaPages[0].selectedType, 1.0f);
                                }
                                Media1Activity.this.tabsAnimationInProgress = false;
                                AnonymousClass7.this.maybeStartTracking = false;
                                AnonymousClass7.this.startedTracking = false;
                                Media1Activity.this.actionBar.setEnabled(true);
                                Media1Activity.this.scrollSlidingTextTabStrip.setEnabled(true);
                            }
                        });
                        Media1Activity.this.tabsAnimation.start();
                        Media1Activity.this.tabsAnimationInProgress = true;
                    } else {
                        this.maybeStartTracking = false;
                        this.startedTracking = false;
                        Media1Activity.this.actionBar.setEnabled(true);
                        Media1Activity.this.scrollSlidingTextTabStrip.setEnabled(true);
                    }
                    VelocityTracker velocityTracker2 = this.velocityTracker;
                    if (velocityTracker2 != null) {
                        velocityTracker2.recycle();
                        this.velocityTracker = null;
                    }
                }
                return this.startedTracking;
            }
        };
        this.fragmentView = frameLayout;
        frameLayout.setWillNotDraw(false);
        int scrollToPositionOnRecreate = -1;
        int scrollToOffsetOnRecreate = 0;
        int a4 = 0;
        while (true) {
            MediaPage[] mediaPageArr = this.mediaPages;
            if (a4 >= mediaPageArr.length) {
                break;
            }
            if (a4 == 0 && (mediaPage = mediaPageArr[a4]) != null && mediaPage.layoutManager != null) {
                scrollToPositionOnRecreate = this.mediaPages[a4].layoutManager.findFirstVisibleItemPosition();
                if (scrollToPositionOnRecreate != this.mediaPages[a4].layoutManager.getItemCount() - i) {
                    RecyclerListView.Holder holder = (RecyclerListView.Holder) this.mediaPages[a4].listView.findViewHolderForAdapterPosition(scrollToPositionOnRecreate);
                    if (holder != null) {
                        scrollToOffsetOnRecreate = holder.itemView.getTop();
                    } else {
                        scrollToPositionOnRecreate = -1;
                    }
                } else {
                    scrollToPositionOnRecreate = -1;
                }
            }
            final MediaPage mediaPage2 = new MediaPage(context) { // from class: im.uecahxyvjd.ui.Media1Activity.8
                @Override // android.view.View
                public void setTranslationX(float translationX) {
                    super.setTranslationX(translationX);
                    if (Media1Activity.this.tabsAnimationInProgress && Media1Activity.this.mediaPages[0] == this) {
                        float scrollProgress = Math.abs(Media1Activity.this.mediaPages[0].getTranslationX()) / Media1Activity.this.mediaPages[0].getMeasuredWidth();
                        Media1Activity.this.scrollSlidingTextTabStrip.selectTabWithId(Media1Activity.this.mediaPages[1].selectedType, scrollProgress);
                        if (Media1Activity.this.searchItemState == 2) {
                            Media1Activity.this.searchItem.setAlpha(1.0f - scrollProgress);
                        } else if (Media1Activity.this.searchItemState == 1) {
                            Media1Activity.this.searchItem.setAlpha(scrollProgress);
                        }
                    }
                }
            };
            frameLayout.addView(mediaPage2, LayoutHelper.createFrame(-1, -1.0f));
            MediaPage[] mediaPageArr2 = this.mediaPages;
            mediaPageArr2[a4] = mediaPage2;
            final LinearLayoutManager layoutManager = mediaPageArr2[a4].layoutManager = new LinearLayoutManager(context, i, z) { // from class: im.uecahxyvjd.ui.Media1Activity.9
                @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.LayoutManager
                public boolean supportsPredictiveItemAnimations() {
                    return false;
                }
            };
            this.mediaPages[a4].listView = new RecyclerListView(context) { // from class: im.uecahxyvjd.ui.Media1Activity.10
                /* JADX INFO: Access modifiers changed from: protected */
                @Override // im.uecahxyvjd.ui.components.RecyclerListView, androidx.recyclerview.widget.RecyclerView, android.view.ViewGroup, android.view.View
                public void onLayout(boolean changed, int l, int t, int r, int b) {
                    super.onLayout(changed, l, t, r, b);
                    Media1Activity.this.updateSections(this, true);
                }
            };
            this.mediaPages[a4].listView.setItemAnimator(null);
            this.mediaPages[a4].listView.setClipToPadding(z);
            this.mediaPages[a4].listView.setSectionsType(2);
            this.mediaPages[a4].listView.setLayoutManager(layoutManager);
            MediaPage mediaPage3 = this.mediaPages[a4];
            ViewConfiguration configuration2 = configuration;
            mediaPage3.addView(mediaPage3.listView, LayoutHelper.createFrame(-1, -1.0f));
            this.mediaPages[a4].listView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.Media1Activity$$ExternalSyntheticLambda2
                @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
                public final void onItemClick(View view2, int i3) {
                    Media1Activity.this.m1773lambda$createView$2$imuecahxyvjduiMedia1Activity(mediaPage2, view2, i3);
                }
            });
            this.mediaPages[a4].listView.setOnScrollListener(new RecyclerView.OnScrollListener() { // from class: im.uecahxyvjd.ui.Media1Activity.11
                @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
                public void onScrollStateChanged(RecyclerView recyclerView, int newState) {
                    if (newState == 1 && Media1Activity.this.searching && Media1Activity.this.searchWas) {
                        AndroidUtilities.hideKeyboard(Media1Activity.this.getParentActivity().getCurrentFocus());
                    }
                    Media1Activity.this.scrolling = newState != 0;
                    if (newState != 1) {
                        int scrollY = (int) (-Media1Activity.this.actionBar.getTranslationY());
                        int actionBarHeight = ActionBar.getCurrentActionBarHeight();
                        if (scrollY != 0 && scrollY != actionBarHeight) {
                            if (scrollY < actionBarHeight / 2) {
                                Media1Activity.this.mediaPages[0].listView.smoothScrollBy(0, -scrollY);
                            } else {
                                Media1Activity.this.mediaPages[0].listView.smoothScrollBy(0, actionBarHeight - scrollY);
                            }
                        }
                    }
                }

                @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
                public void onScrolled(RecyclerView recyclerView, int dx, int dy) {
                    int type;
                    if (Media1Activity.this.searching && Media1Activity.this.searchWas) {
                        return;
                    }
                    int firstVisibleItem = layoutManager.findFirstVisibleItemPosition();
                    int visibleItemCount = firstVisibleItem == -1 ? 0 : Math.abs(layoutManager.findLastVisibleItemPosition() - firstVisibleItem) + 1;
                    int totalItemCount = recyclerView.getAdapter().getItemCount();
                    if (visibleItemCount != 0 && firstVisibleItem + visibleItemCount > totalItemCount - 2 && !Media1Activity.this.sharedMediaData[mediaPage2.selectedType].loading) {
                        if (mediaPage2.selectedType != 0) {
                            if (mediaPage2.selectedType != 1) {
                                if (mediaPage2.selectedType != 2) {
                                    if (mediaPage2.selectedType == 4) {
                                        type = 4;
                                    } else {
                                        type = 3;
                                    }
                                } else {
                                    type = 2;
                                }
                            } else {
                                type = 1;
                            }
                        } else {
                            type = 0;
                        }
                        if (Media1Activity.this.sharedMediaData[mediaPage2.selectedType].endReached[0]) {
                            if (Media1Activity.this.mergeDialogId != 0 && !Media1Activity.this.sharedMediaData[mediaPage2.selectedType].endReached[1]) {
                                Media1Activity.this.sharedMediaData[mediaPage2.selectedType].loading = true;
                                MediaDataController.getInstance(Media1Activity.this.currentAccount).loadMedia(Media1Activity.this.mergeDialogId, 50, Media1Activity.this.sharedMediaData[mediaPage2.selectedType].max_id[1], type, 1, Media1Activity.this.classGuid);
                            }
                        } else {
                            Media1Activity.this.sharedMediaData[mediaPage2.selectedType].loading = true;
                            MediaDataController.getInstance(Media1Activity.this.currentAccount).loadMedia(Media1Activity.this.dialog_id, 50, Media1Activity.this.sharedMediaData[mediaPage2.selectedType].max_id[0], type, 1, Media1Activity.this.classGuid);
                        }
                    }
                    if (recyclerView == Media1Activity.this.mediaPages[0].listView && !Media1Activity.this.searching && !Media1Activity.this.actionBar.isActionModeShowed()) {
                        float currentTranslation = Media1Activity.this.actionBar.getTranslationY();
                        float newTranslation = currentTranslation - dy;
                        if (newTranslation < (-ActionBar.getCurrentActionBarHeight())) {
                            newTranslation = -ActionBar.getCurrentActionBarHeight();
                        } else if (newTranslation > 0.0f) {
                            newTranslation = 0.0f;
                        }
                        if (newTranslation != currentTranslation) {
                            Media1Activity.this.setScrollY(newTranslation);
                        }
                    }
                    Media1Activity.this.updateSections(recyclerView, false);
                }
            });
            this.mediaPages[a4].listView.setOnItemLongClickListener(new RecyclerListView.OnItemLongClickListener() { // from class: im.uecahxyvjd.ui.Media1Activity$$ExternalSyntheticLambda3
                @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemLongClickListener
                public final boolean onItemClick(View view2, int i3) {
                    return Media1Activity.this.m1774lambda$createView$3$imuecahxyvjduiMedia1Activity(mediaPage2, view2, i3);
                }
            });
            if (a4 == 0 && scrollToPositionOnRecreate != -1) {
                layoutManager.scrollToPositionWithOffset(scrollToPositionOnRecreate, scrollToOffsetOnRecreate);
            }
            this.mediaPages[a4].emptyView = new LinearLayout(context) { // from class: im.uecahxyvjd.ui.Media1Activity.12
                @Override // android.widget.LinearLayout, android.view.View
                protected void onDraw(Canvas canvas) {
                    Media1Activity.this.backgroundPaint.setColor(Theme.getColor(Theme.key_windowBackgroundGray));
                    canvas.drawRect(0.0f, Media1Activity.this.actionBar.getMeasuredHeight() + Media1Activity.this.actionBar.getTranslationY(), getMeasuredWidth(), getMeasuredHeight(), Media1Activity.this.backgroundPaint);
                }
            };
            this.mediaPages[a4].emptyView.setWillNotDraw(false);
            this.mediaPages[a4].emptyView.setOrientation(1);
            this.mediaPages[a4].emptyView.setGravity(17);
            this.mediaPages[a4].emptyView.setVisibility(8);
            MediaPage mediaPage4 = this.mediaPages[a4];
            mediaPage4.addView(mediaPage4.emptyView, LayoutHelper.createFrame(-1, -1.0f));
            this.mediaPages[a4].emptyView.setOnTouchListener(new View.OnTouchListener() { // from class: im.uecahxyvjd.ui.Media1Activity$$ExternalSyntheticLambda4
                @Override // android.view.View.OnTouchListener
                public final boolean onTouch(View view2, MotionEvent motionEvent) {
                    return Media1Activity.lambda$createView$4(view2, motionEvent);
                }
            });
            this.mediaPages[a4].emptyImageView = new ImageView(context);
            this.mediaPages[a4].emptyView.addView(this.mediaPages[a4].emptyImageView, LayoutHelper.createLinear(-2, -2));
            this.mediaPages[a4].emptyTextView = new TextView(context);
            this.mediaPages[a4].emptyTextView.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText2));
            this.mediaPages[a4].emptyTextView.setGravity(17);
            this.mediaPages[a4].emptyTextView.setTextSize(1, 17.0f);
            this.mediaPages[a4].emptyTextView.setPadding(AndroidUtilities.dp(40.0f), 0, AndroidUtilities.dp(40.0f), AndroidUtilities.dp(128.0f));
            this.mediaPages[a4].emptyView.addView(this.mediaPages[a4].emptyTextView, LayoutHelper.createLinear(-2, -2, 17, 0, 24, 0, 0));
            this.mediaPages[a4].progressView = new LinearLayout(context) { // from class: im.uecahxyvjd.ui.Media1Activity.13
                @Override // android.widget.LinearLayout, android.view.View
                protected void onDraw(Canvas canvas) {
                    Media1Activity.this.backgroundPaint.setColor(Theme.getColor(Theme.key_windowBackgroundGray));
                    canvas.drawRect(0.0f, Media1Activity.this.actionBar.getMeasuredHeight() + Media1Activity.this.actionBar.getTranslationY(), getMeasuredWidth(), getMeasuredHeight(), Media1Activity.this.backgroundPaint);
                }
            };
            this.mediaPages[a4].progressView.setWillNotDraw(false);
            this.mediaPages[a4].progressView.setGravity(17);
            this.mediaPages[a4].progressView.setOrientation(1);
            this.mediaPages[a4].progressView.setVisibility(8);
            MediaPage mediaPage5 = this.mediaPages[a4];
            mediaPage5.addView(mediaPage5.progressView, LayoutHelper.createFrame(-1, -1.0f));
            this.mediaPages[a4].progressBar = new RadialProgressView(context);
            this.mediaPages[a4].progressView.addView(this.mediaPages[a4].progressBar, LayoutHelper.createLinear(-2, -2));
            if (a4 != 0) {
                this.mediaPages[a4].setVisibility(8);
            }
            a4++;
            configuration = configuration2;
            z = false;
            i = 1;
        }
        if (!AndroidUtilities.isTablet()) {
            FragmentContextView fragmentContextView = new FragmentContextView(context, this, false);
            this.fragmentContextView = fragmentContextView;
            frameLayout.addView(fragmentContextView, LayoutHelper.createFrame(-1.0f, 39.0f, 51, 0.0f, 8.0f, 0.0f, 0.0f));
        }
        frameLayout.addView(this.actionBar, LayoutHelper.createFrame(-1, -2.0f));
        updateTabs();
        switchToCurrentSelectedMode(false);
        this.swipeBackEnabled = this.scrollSlidingTextTabStrip.getCurrentTabId() == this.scrollSlidingTextTabStrip.getFirstTabId();
        return this.fragmentView;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: im.uecahxyvjd.ui.Media1Activity$4  reason: invalid class name */
    /* loaded from: classes12.dex */
    public class AnonymousClass4 extends ActionBar.ActionBarMenuOnItemClick {
        AnonymousClass4() {
        }

        @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
        public void onItemClick(int id) {
            if (id == -1) {
                if (Media1Activity.this.actionBar.isActionModeShowed()) {
                    for (int a2 = 1; a2 >= 0; a2--) {
                        Media1Activity.this.selectedFiles[a2].clear();
                    }
                    Media1Activity.this.cantDeleteMessagesCount = 0;
                    Media1Activity.this.actionBar.hideActionMode();
                    Media1Activity.this.updateRowsSelection();
                    return;
                }
                Media1Activity.this.finishFragment();
            } else if (id == 4) {
                TLRPC.Chat currentChat = null;
                TLRPC.User currentUser = null;
                TLRPC.EncryptedChat currentEncryptedChat = null;
                int lower_id = (int) Media1Activity.this.dialog_id;
                if (lower_id == 0) {
                    currentEncryptedChat = MessagesController.getInstance(Media1Activity.this.currentAccount).getEncryptedChat(Integer.valueOf((int) (Media1Activity.this.dialog_id >> 32)));
                } else if (lower_id > 0) {
                    currentUser = MessagesController.getInstance(Media1Activity.this.currentAccount).getUser(Integer.valueOf(lower_id));
                } else {
                    currentChat = MessagesController.getInstance(Media1Activity.this.currentAccount).getChat(Integer.valueOf(-lower_id));
                }
                Media1Activity media1Activity = Media1Activity.this;
                AlertsCreator.createDeleteMessagesAlert(media1Activity, currentUser, currentChat, currentEncryptedChat, null, media1Activity.mergeDialogId, null, Media1Activity.this.selectedFiles, null, false, 1, new Runnable() { // from class: im.uecahxyvjd.ui.Media1Activity$4$$ExternalSyntheticLambda0
                    @Override // java.lang.Runnable
                    public final void run() {
                        Media1Activity.AnonymousClass4.this.m1777lambda$onItemClick$0$imuecahxyvjduiMedia1Activity$4();
                    }
                });
            } else if (id == 3) {
                Bundle args = new Bundle();
                args.putBoolean("onlySelect", true);
                args.putInt("dialogsType", 3);
                DialogsActivity fragment = new DialogsActivity(args);
                fragment.setDelegate(new DialogsActivity.DialogsActivityDelegate() { // from class: im.uecahxyvjd.ui.Media1Activity$4$$ExternalSyntheticLambda1
                    @Override // im.uecahxyvjd.ui.DialogsActivity.DialogsActivityDelegate
                    public final void didSelectDialogs(DialogsActivity dialogsActivity, ArrayList arrayList, CharSequence charSequence, boolean z) {
                        Media1Activity.AnonymousClass4.this.m1778lambda$onItemClick$1$imuecahxyvjduiMedia1Activity$4(dialogsActivity, arrayList, charSequence, z);
                    }
                });
                Media1Activity.this.presentFragment(fragment);
            } else if (id == 7 && Media1Activity.this.selectedFiles[0].size() == 1) {
                Bundle args2 = new Bundle();
                int lower_part = (int) Media1Activity.this.dialog_id;
                int high_id = (int) (Media1Activity.this.dialog_id >> 32);
                if (lower_part != 0) {
                    if (lower_part > 0) {
                        args2.putInt("user_id", lower_part);
                    } else if (lower_part < 0) {
                        TLRPC.Chat chat = MessagesController.getInstance(Media1Activity.this.currentAccount).getChat(Integer.valueOf(-lower_part));
                        if (chat != null && chat.migrated_to != null) {
                            args2.putInt("migrated_to", lower_part);
                            lower_part = -chat.migrated_to.channel_id;
                        }
                        args2.putInt("chat_id", -lower_part);
                    }
                } else {
                    args2.putInt("enc_id", high_id);
                }
                args2.putInt("message_id", Media1Activity.this.selectedFiles[0].keyAt(0));
                NotificationCenter.getInstance(Media1Activity.this.currentAccount).postNotificationName(NotificationCenter.closeChats, new Object[0]);
                Media1Activity.this.presentFragment(new ChatActivity(args2), true);
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$0$im-uecahxyvjd-ui-Media1Activity$4  reason: not valid java name */
        public /* synthetic */ void m1777lambda$onItemClick$0$imuecahxyvjduiMedia1Activity$4() {
            Media1Activity.this.actionBar.hideActionMode();
            Media1Activity.this.actionBar.closeSearchField();
            Media1Activity.this.cantDeleteMessagesCount = 0;
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$1$im-uecahxyvjd-ui-Media1Activity$4  reason: not valid java name */
        public /* synthetic */ void m1778lambda$onItemClick$1$imuecahxyvjduiMedia1Activity$4(DialogsActivity fragment1, ArrayList dids, CharSequence message, boolean param) {
            ArrayList<MessageObject> fmessages = new ArrayList<>();
            for (int a2 = 1; a2 >= 0; a2--) {
                ArrayList<Integer> ids = new ArrayList<>();
                for (int b = 0; b < Media1Activity.this.selectedFiles[a2].size(); b++) {
                    ids.add(Integer.valueOf(Media1Activity.this.selectedFiles[a2].keyAt(b)));
                }
                Collections.sort(ids);
                Iterator<Integer> it = ids.iterator();
                while (it.hasNext()) {
                    Integer id1 = it.next();
                    if (id1.intValue() > 0) {
                        fmessages.add((MessageObject) Media1Activity.this.selectedFiles[a2].get(id1.intValue()));
                    }
                }
                Media1Activity.this.selectedFiles[a2].clear();
            }
            Media1Activity.this.cantDeleteMessagesCount = 0;
            Media1Activity.this.actionBar.hideActionMode();
            if (dids.size() <= 1 && ((Long) dids.get(0)).longValue() != UserConfig.getInstance(Media1Activity.this.currentAccount).getClientUserId()) {
                if (message == null) {
                    long did = ((Long) dids.get(0)).longValue();
                    int lower_part = (int) did;
                    int high_part = (int) (did >> 32);
                    Bundle args1 = new Bundle();
                    args1.putBoolean("scrollToTopOnResume", true);
                    if (lower_part != 0) {
                        if (lower_part > 0) {
                            args1.putInt("user_id", lower_part);
                        } else if (lower_part < 0) {
                            args1.putInt("chat_id", -lower_part);
                        }
                    } else {
                        args1.putInt("enc_id", high_part);
                    }
                    if (lower_part != 0 && !MessagesController.getInstance(Media1Activity.this.currentAccount).checkCanOpenChat(args1, fragment1)) {
                        return;
                    }
                    NotificationCenter.getInstance(Media1Activity.this.currentAccount).postNotificationName(NotificationCenter.closeChats, new Object[0]);
                    ChatActivity chatActivity = new ChatActivity(args1);
                    Media1Activity.this.presentFragment(chatActivity, true);
                    chatActivity.showFieldPanelForForward(true, fmessages);
                    if (!AndroidUtilities.isTablet()) {
                        Media1Activity.this.removeSelfFromStack();
                        return;
                    }
                    return;
                }
            }
            Media1Activity.this.updateRowsSelection();
            for (int a3 = 0; a3 < dids.size(); a3++) {
                long did2 = ((Long) dids.get(a3)).longValue();
                if (message != null) {
                    SendMessagesHelper.getInstance(Media1Activity.this.currentAccount).sendMessage(message.toString(), did2, null, null, true, null, null, null, true, 0);
                }
                SendMessagesHelper.getInstance(Media1Activity.this.currentAccount).sendMessage(fmessages, did2, true, 0);
            }
            fragment1.finishFragment();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ boolean lambda$createView$1(View v, MotionEvent event) {
        return true;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$2$im-uecahxyvjd-ui-Media1Activity  reason: not valid java name */
    public /* synthetic */ void m1773lambda$createView$2$imuecahxyvjduiMedia1Activity(MediaPage mediaPage, View view, int position) {
        if (mediaPage.selectedType != 1 || !(view instanceof SharedDocumentCell)) {
            if (mediaPage.selectedType != 3 || !(view instanceof SharedLinkCell)) {
                if ((mediaPage.selectedType == 2 || mediaPage.selectedType == 4) && (view instanceof SharedAudioCell)) {
                    onItemClick(position, view, ((SharedAudioCell) view).getMessage(), 0, mediaPage.selectedType);
                    return;
                }
                return;
            }
            onItemClick(position, view, ((SharedLinkCell) view).getMessage(), 0, mediaPage.selectedType);
            return;
        }
        onItemClick(position, view, ((SharedDocumentCell) view).getMessage(), 0, mediaPage.selectedType);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$3$im-uecahxyvjd-ui-Media1Activity  reason: not valid java name */
    public /* synthetic */ boolean m1774lambda$createView$3$imuecahxyvjduiMedia1Activity(MediaPage mediaPage, View view, int position) {
        if (this.actionBar.isActionModeShowed()) {
            mediaPage.listView.getOnItemClickListener().onItemClick(view, position);
            return true;
        } else if (mediaPage.selectedType != 1 || !(view instanceof SharedDocumentCell)) {
            if (mediaPage.selectedType != 3 || !(view instanceof SharedLinkCell)) {
                if ((mediaPage.selectedType == 2 || mediaPage.selectedType == 4) && (view instanceof SharedAudioCell)) {
                    return onItemLongClick(((SharedAudioCell) view).getMessage(), view, 0);
                }
                return false;
            }
            return onItemLongClick(((SharedLinkCell) view).getMessage(), view, 0);
        } else {
            return onItemLongClick(((SharedDocumentCell) view).getMessage(), view, 0);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ boolean lambda$createView$4(View v, MotionEvent event) {
        return true;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void setScrollY(float value) {
        this.actionBar.setTranslationY(value);
        FragmentContextView fragmentContextView = this.fragmentContextView;
        if (fragmentContextView != null) {
            fragmentContextView.setTranslationY(this.additionalPadding + value);
        }
        int a2 = 0;
        while (true) {
            MediaPage[] mediaPageArr = this.mediaPages;
            if (a2 < mediaPageArr.length) {
                mediaPageArr[a2].listView.setPinnedSectionOffsetY((int) value);
                a2++;
            } else {
                this.fragmentView.invalidate();
                return;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void resetScroll() {
        if (this.actionBar.getTranslationY() == 0.0f) {
            return;
        }
        AnimatorSet animatorSet = new AnimatorSet();
        animatorSet.playTogether(ObjectAnimator.ofFloat(this, this.SCROLL_Y, 0.0f));
        animatorSet.setInterpolator(new DecelerateInterpolator());
        animatorSet.setDuration(180L);
        animatorSet.start();
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        SharedMediaData[] sharedMediaDataArr;
        int oldItemCount;
        int i = 2;
        if (id == NotificationCenter.mediaDidLoad) {
            long uid = ((Long) args[0]).longValue();
            int guid = ((Integer) args[3]).intValue();
            if (guid == this.classGuid) {
                int type = ((Integer) args[4]).intValue();
                this.sharedMediaData[type].loading = false;
                this.sharedMediaData[type].totalCount = ((Integer) args[1]).intValue();
                ArrayList<MessageObject> arr = (ArrayList) args[2];
                long j = this.dialog_id;
                boolean enc = ((int) j) == 0;
                int loadIndex = uid == j ? 0 : 1;
                RecyclerView.Adapter adapter = null;
                if (type == 0) {
                    adapter = this.photoVideoAdapter;
                } else if (type == 1) {
                    adapter = this.documentsAdapter;
                } else if (type == 2) {
                    adapter = this.voiceAdapter;
                } else if (type == 3) {
                    adapter = this.linksAdapter;
                } else if (type == 4) {
                    adapter = this.audioAdapter;
                }
                if (adapter != null) {
                    oldItemCount = adapter.getItemCount();
                    if (adapter instanceof RecyclerListView.SectionsAdapter) {
                        RecyclerListView.SectionsAdapter sectionsAdapter = (RecyclerListView.SectionsAdapter) adapter;
                        sectionsAdapter.notifySectionsChanged();
                    }
                } else {
                    oldItemCount = 0;
                }
                for (int a2 = 0; a2 < arr.size(); a2++) {
                    MessageObject message = arr.get(a2);
                    this.sharedMediaData[type].addMessage(message, loadIndex, false, enc);
                }
                this.sharedMediaData[type].endReached[loadIndex] = ((Boolean) args[5]).booleanValue();
                if (loadIndex == 0 && this.sharedMediaData[type].endReached[loadIndex] && this.mergeDialogId != 0) {
                    this.sharedMediaData[type].loading = true;
                    MediaDataController.getInstance(this.currentAccount).loadMedia(this.mergeDialogId, 50, this.sharedMediaData[type].max_id[1], type, 1, this.classGuid);
                }
                if (adapter != null) {
                    int a3 = 0;
                    while (true) {
                        MediaPage[] mediaPageArr = this.mediaPages;
                        if (a3 >= mediaPageArr.length) {
                            break;
                        }
                        if (mediaPageArr[a3].listView.getAdapter() == adapter) {
                            this.mediaPages[a3].listView.stopScroll();
                        }
                        a3++;
                    }
                    int newItemCount = adapter.getItemCount();
                    if (oldItemCount > 1) {
                        adapter.notifyItemChanged(oldItemCount - 2);
                    }
                    if (newItemCount > oldItemCount) {
                        adapter.notifyItemRangeInserted(oldItemCount, newItemCount);
                    } else if (newItemCount < oldItemCount) {
                        adapter.notifyItemRangeRemoved(newItemCount, oldItemCount - newItemCount);
                    }
                }
                this.scrolling = true;
                int a4 = 0;
                while (true) {
                    MediaPage[] mediaPageArr2 = this.mediaPages;
                    if (a4 < mediaPageArr2.length) {
                        if (mediaPageArr2[a4].selectedType == type && !this.sharedMediaData[type].loading) {
                            if (this.mediaPages[a4].progressView != null) {
                                this.mediaPages[a4].progressView.setVisibility(8);
                            }
                            if (this.mediaPages[a4].selectedType == type && this.mediaPages[a4].listView != null && this.mediaPages[a4].listView.getEmptyView() == null) {
                                this.mediaPages[a4].listView.setEmptyView(this.mediaPages[a4].emptyView);
                            }
                        }
                        if (oldItemCount == 0 && this.actionBar.getTranslationY() != 0.0f && this.mediaPages[a4].listView.getAdapter() == adapter) {
                            this.mediaPages[a4].layoutManager.scrollToPositionWithOffset(0, (int) this.actionBar.getTranslationY());
                        }
                        a4++;
                    } else {
                        return;
                    }
                }
            }
        } else if (id == NotificationCenter.messagesDeleted) {
            boolean scheduled = ((Boolean) args[2]).booleanValue();
            if (scheduled) {
                return;
            }
            TLRPC.Chat currentChat = null;
            if (((int) this.dialog_id) < 0) {
                currentChat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(-((int) this.dialog_id)));
            }
            int channelId = ((Integer) args[1]).intValue();
            int loadIndex2 = 0;
            if (ChatObject.isChannel(currentChat)) {
                if (channelId == 0 && this.mergeDialogId != 0) {
                    loadIndex2 = 1;
                } else if (channelId == currentChat.id) {
                    loadIndex2 = 0;
                } else {
                    return;
                }
            } else if (channelId != 0) {
                return;
            }
            ArrayList<Integer> markAsDeletedMessages = (ArrayList) args[0];
            boolean updated = false;
            int N = markAsDeletedMessages.size();
            for (int a5 = 0; a5 < N; a5++) {
                int b = 0;
                while (true) {
                    SharedMediaData[] sharedMediaDataArr2 = this.sharedMediaData;
                    if (b < sharedMediaDataArr2.length) {
                        if (sharedMediaDataArr2[b].deleteMessage(markAsDeletedMessages.get(a5).intValue(), loadIndex2)) {
                            updated = true;
                        }
                        b++;
                    }
                }
            }
            if (updated) {
                this.scrolling = true;
                SharedPhotoVideoAdapter sharedPhotoVideoAdapter = this.photoVideoAdapter;
                if (sharedPhotoVideoAdapter != null) {
                    sharedPhotoVideoAdapter.notifyDataSetChanged();
                }
                SharedDocumentsAdapter sharedDocumentsAdapter = this.documentsAdapter;
                if (sharedDocumentsAdapter != null) {
                    sharedDocumentsAdapter.notifyDataSetChanged();
                }
                SharedDocumentsAdapter sharedDocumentsAdapter2 = this.voiceAdapter;
                if (sharedDocumentsAdapter2 != null) {
                    sharedDocumentsAdapter2.notifyDataSetChanged();
                }
                SharedLinksAdapter sharedLinksAdapter = this.linksAdapter;
                if (sharedLinksAdapter != null) {
                    sharedLinksAdapter.notifyDataSetChanged();
                }
                SharedDocumentsAdapter sharedDocumentsAdapter3 = this.audioAdapter;
                if (sharedDocumentsAdapter3 != null) {
                    sharedDocumentsAdapter3.notifyDataSetChanged();
                }
            }
        } else if (id == NotificationCenter.didReceiveNewMessages) {
            boolean scheduled2 = ((Boolean) args[2]).booleanValue();
            if (scheduled2) {
                return;
            }
            long uid2 = ((Long) args[0]).longValue();
            long j2 = this.dialog_id;
            if (uid2 == j2) {
                ArrayList<MessageObject> arr2 = (ArrayList) args[1];
                boolean enc2 = ((int) j2) == 0;
                boolean updated2 = false;
                for (int a6 = 0; a6 < arr2.size(); a6++) {
                    MessageObject obj = arr2.get(a6);
                    if (obj.messageOwner.media != null && !obj.needDrawBluredPreview()) {
                        int type2 = MediaDataController.getMediaType(obj.messageOwner);
                        if (type2 == -1) {
                            return;
                        }
                        if (this.sharedMediaData[type2].addMessage(obj, obj.getDialogId() == this.dialog_id ? 0 : 1, true, enc2)) {
                            this.hasMedia[type2] = 1;
                            updated2 = true;
                        }
                    }
                }
                if (updated2) {
                    this.scrolling = true;
                    int a7 = 0;
                    while (true) {
                        MediaPage[] mediaPageArr3 = this.mediaPages;
                        if (a7 < mediaPageArr3.length) {
                            RecyclerView.Adapter adapter2 = null;
                            if (mediaPageArr3[a7].selectedType != 0) {
                                if (this.mediaPages[a7].selectedType != 1) {
                                    if (this.mediaPages[a7].selectedType != i) {
                                        if (this.mediaPages[a7].selectedType != 3) {
                                            if (this.mediaPages[a7].selectedType == 4) {
                                                adapter2 = this.audioAdapter;
                                            }
                                        } else {
                                            adapter2 = this.linksAdapter;
                                        }
                                    } else {
                                        adapter2 = this.voiceAdapter;
                                    }
                                } else {
                                    adapter2 = this.documentsAdapter;
                                }
                            } else {
                                adapter2 = this.photoVideoAdapter;
                            }
                            if (adapter2 != null) {
                                int count = adapter2.getItemCount();
                                this.photoVideoAdapter.notifyDataSetChanged();
                                this.documentsAdapter.notifyDataSetChanged();
                                this.voiceAdapter.notifyDataSetChanged();
                                this.linksAdapter.notifyDataSetChanged();
                                this.audioAdapter.notifyDataSetChanged();
                                if (count == 0 && this.actionBar.getTranslationY() != 0.0f) {
                                    this.mediaPages[a7].layoutManager.scrollToPositionWithOffset(0, (int) this.actionBar.getTranslationY());
                                }
                            }
                            a7++;
                            i = 2;
                        } else {
                            updateTabs();
                            return;
                        }
                    }
                }
            }
        } else if (id == NotificationCenter.messageReceivedByServer) {
            Boolean scheduled3 = (Boolean) args[6];
            if (scheduled3.booleanValue()) {
                return;
            }
            Integer msgId = (Integer) args[0];
            Integer newMsgId = (Integer) args[1];
            for (SharedMediaData data : this.sharedMediaData) {
                data.replaceMid(msgId.intValue(), newMsgId.intValue());
            }
        } else if (id == NotificationCenter.messagePlayingDidStart || id == NotificationCenter.messagePlayingPlayStateChanged || id == NotificationCenter.messagePlayingDidReset) {
            if (id == NotificationCenter.messagePlayingDidReset || id == NotificationCenter.messagePlayingPlayStateChanged) {
                int b2 = 0;
                while (true) {
                    MediaPage[] mediaPageArr4 = this.mediaPages;
                    if (b2 < mediaPageArr4.length) {
                        int count2 = mediaPageArr4[b2].listView.getChildCount();
                        for (int a8 = 0; a8 < count2; a8++) {
                            View view = this.mediaPages[b2].listView.getChildAt(a8);
                            if (view instanceof SharedAudioCell) {
                                SharedAudioCell cell = (SharedAudioCell) view;
                                MessageObject messageObject = cell.getMessage();
                                if (messageObject != null) {
                                    cell.updateButtonState(false, true);
                                }
                            }
                        }
                        b2++;
                    } else {
                        return;
                    }
                }
            } else if (id == NotificationCenter.messagePlayingDidStart) {
                MessageObject messageObject2 = (MessageObject) args[0];
                if (messageObject2.eventId != 0) {
                    return;
                }
                int b3 = 0;
                while (true) {
                    MediaPage[] mediaPageArr5 = this.mediaPages;
                    if (b3 < mediaPageArr5.length) {
                        int count3 = mediaPageArr5[b3].listView.getChildCount();
                        for (int a9 = 0; a9 < count3; a9++) {
                            View view2 = this.mediaPages[b3].listView.getChildAt(a9);
                            if (view2 instanceof SharedAudioCell) {
                                SharedAudioCell cell2 = (SharedAudioCell) view2;
                                MessageObject messageObject1 = cell2.getMessage();
                                if (messageObject1 != null) {
                                    cell2.updateButtonState(false, true);
                                }
                            }
                        }
                        b3++;
                    } else {
                        return;
                    }
                }
            }
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onResume() {
        super.onResume();
        this.scrolling = true;
        SharedPhotoVideoAdapter sharedPhotoVideoAdapter = this.photoVideoAdapter;
        if (sharedPhotoVideoAdapter != null) {
            sharedPhotoVideoAdapter.notifyDataSetChanged();
        }
        SharedDocumentsAdapter sharedDocumentsAdapter = this.documentsAdapter;
        if (sharedDocumentsAdapter != null) {
            sharedDocumentsAdapter.notifyDataSetChanged();
        }
        SharedLinksAdapter sharedLinksAdapter = this.linksAdapter;
        if (sharedLinksAdapter != null) {
            sharedLinksAdapter.notifyDataSetChanged();
        }
        for (int a2 = 0; a2 < this.mediaPages.length; a2++) {
            fixLayoutInternal(a2);
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onConfigurationChanged(Configuration newConfig) {
        super.onConfigurationChanged(newConfig);
        int a2 = 0;
        while (true) {
            MediaPage[] mediaPageArr = this.mediaPages;
            if (a2 < mediaPageArr.length) {
                if (mediaPageArr[a2].listView != null) {
                    final int num = a2;
                    ViewTreeObserver obs = this.mediaPages[a2].listView.getViewTreeObserver();
                    obs.addOnPreDrawListener(new ViewTreeObserver.OnPreDrawListener() { // from class: im.uecahxyvjd.ui.Media1Activity.14
                        @Override // android.view.ViewTreeObserver.OnPreDrawListener
                        public boolean onPreDraw() {
                            Media1Activity.this.mediaPages[num].getViewTreeObserver().removeOnPreDrawListener(this);
                            Media1Activity.this.fixLayoutInternal(num);
                            return true;
                        }
                    });
                }
                a2++;
            } else {
                return;
            }
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onBackPressed() {
        return this.actionBar.isEnabled();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void updateSections(ViewGroup listView, boolean checkBottom) {
        int count = listView.getChildCount();
        int minPositionDateHolder = Integer.MAX_VALUE;
        View minDateChild = null;
        float padding = listView.getPaddingTop() + this.actionBar.getTranslationY();
        int maxBottom = 0;
        for (int a2 = 0; a2 < count; a2++) {
            View view = listView.getChildAt(a2);
            int bottom = view.getBottom();
            maxBottom = Math.max(bottom, maxBottom);
            if (bottom > padding) {
                int position = view.getBottom();
                if ((view instanceof SharedMediaSectionCell) || (view instanceof GraySectionCell)) {
                    if (view.getAlpha() != 1.0f) {
                        view.setAlpha(1.0f);
                    }
                    if (position < minPositionDateHolder) {
                        minPositionDateHolder = position;
                        minDateChild = view;
                    }
                }
            }
        }
        if (minDateChild != null) {
            if (minDateChild.getTop() > padding) {
                if (minDateChild.getAlpha() != 1.0f) {
                    minDateChild.setAlpha(1.0f);
                }
            } else if (minDateChild.getAlpha() != 0.0f) {
                minDateChild.setAlpha(0.0f);
            }
        }
        if (checkBottom && maxBottom != 0 && maxBottom < listView.getMeasuredHeight() - listView.getPaddingBottom()) {
            resetScroll();
        }
    }

    public void setChatInfo(TLRPC.ChatFull chatInfo) {
        this.info = chatInfo;
        if (chatInfo != null && chatInfo.migrated_from_chat_id != 0 && this.mergeDialogId == 0) {
            this.mergeDialogId = -this.info.migrated_from_chat_id;
            int a2 = 0;
            while (true) {
                SharedMediaData[] sharedMediaDataArr = this.sharedMediaData;
                if (a2 < sharedMediaDataArr.length) {
                    sharedMediaDataArr[a2].max_id[1] = this.info.migrated_from_max_id;
                    this.sharedMediaData[a2].endReached[1] = false;
                    a2++;
                } else {
                    return;
                }
            }
        }
    }

    public void updateAdapters() {
        SharedPhotoVideoAdapter sharedPhotoVideoAdapter = this.photoVideoAdapter;
        if (sharedPhotoVideoAdapter != null) {
            sharedPhotoVideoAdapter.notifyDataSetChanged();
        }
        SharedDocumentsAdapter sharedDocumentsAdapter = this.documentsAdapter;
        if (sharedDocumentsAdapter != null) {
            sharedDocumentsAdapter.notifyDataSetChanged();
        }
        SharedDocumentsAdapter sharedDocumentsAdapter2 = this.voiceAdapter;
        if (sharedDocumentsAdapter2 != null) {
            sharedDocumentsAdapter2.notifyDataSetChanged();
        }
        SharedLinksAdapter sharedLinksAdapter = this.linksAdapter;
        if (sharedLinksAdapter != null) {
            sharedLinksAdapter.notifyDataSetChanged();
        }
        SharedDocumentsAdapter sharedDocumentsAdapter3 = this.audioAdapter;
        if (sharedDocumentsAdapter3 != null) {
            sharedDocumentsAdapter3.notifyDataSetChanged();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void updateRowsSelection() {
        int i = 0;
        while (true) {
            MediaPage[] mediaPageArr = this.mediaPages;
            if (i < mediaPageArr.length) {
                int count = mediaPageArr[i].listView.getChildCount();
                for (int a2 = 0; a2 < count; a2++) {
                    View child = this.mediaPages[i].listView.getChildAt(a2);
                    if (child instanceof SharedDocumentCell) {
                        ((SharedDocumentCell) child).setChecked(false, true);
                    } else if (child instanceof SharedPhotoVideoCell) {
                        for (int b = 0; b < 6; b++) {
                            ((SharedPhotoVideoCell) child).setChecked(b, false, true);
                        }
                    } else if (child instanceof SharedLinkCell) {
                        ((SharedLinkCell) child).setChecked(false, true);
                    } else if (child instanceof SharedAudioCell) {
                        ((SharedAudioCell) child).setChecked(false, true);
                    }
                }
                i++;
            } else {
                return;
            }
        }
    }

    public void setMergeDialogId(long did) {
        this.mergeDialogId = did;
    }

    private void updateTabs() {
        ScrollSlidingTextTabStrip scrollSlidingTextTabStrip = this.scrollSlidingTextTabStrip;
        if (scrollSlidingTextTabStrip == null) {
            return;
        }
        boolean changed = false;
        int[] iArr = this.hasMedia;
        if ((iArr[0] != 0 || (iArr[1] == 0 && iArr[2] == 0 && iArr[3] == 0 && iArr[4] == 0)) && !scrollSlidingTextTabStrip.hasTab(0)) {
            changed = true;
        }
        if (this.hasMedia[1] != 0 && !this.scrollSlidingTextTabStrip.hasTab(1)) {
            changed = true;
        }
        if (((int) this.dialog_id) != 0) {
            if (this.hasMedia[3] != 0 && !this.scrollSlidingTextTabStrip.hasTab(3)) {
                changed = true;
            }
            if (this.hasMedia[4] != 0 && !this.scrollSlidingTextTabStrip.hasTab(4)) {
                changed = true;
            }
        } else {
            TLRPC.EncryptedChat currentEncryptedChat = MessagesController.getInstance(this.currentAccount).getEncryptedChat(Integer.valueOf((int) (this.dialog_id >> 32)));
            if (currentEncryptedChat != null && AndroidUtilities.getPeerLayerVersion(currentEncryptedChat.layer) >= 46 && this.hasMedia[4] != 0 && !this.scrollSlidingTextTabStrip.hasTab(4)) {
                changed = true;
            }
        }
        if (this.hasMedia[2] != 0 && !this.scrollSlidingTextTabStrip.hasTab(2)) {
            changed = true;
        }
        if (changed) {
            this.scrollSlidingTextTabStrip.removeTabs();
            int[] iArr2 = this.hasMedia;
            if ((iArr2[0] != 0 || (iArr2[1] == 0 && iArr2[2] == 0 && iArr2[3] == 0 && iArr2[4] == 0)) && !this.scrollSlidingTextTabStrip.hasTab(0)) {
                this.scrollSlidingTextTabStrip.addTextTab(0, LocaleController.getString("SharedMediaTab", R.string.SharedMediaTab));
            }
            if (this.hasMedia[1] != 0 && !this.scrollSlidingTextTabStrip.hasTab(1)) {
                this.scrollSlidingTextTabStrip.addTextTab(1, LocaleController.getString("SharedFilesTab", R.string.SharedFilesTab));
            }
            if (((int) this.dialog_id) != 0) {
                if (this.hasMedia[3] != 0 && !this.scrollSlidingTextTabStrip.hasTab(3)) {
                    this.scrollSlidingTextTabStrip.addTextTab(3, LocaleController.getString("SharedLinksTab", R.string.SharedLinksTab));
                }
                if (this.hasMedia[4] != 0 && !this.scrollSlidingTextTabStrip.hasTab(4)) {
                    this.scrollSlidingTextTabStrip.addTextTab(4, LocaleController.getString("SharedMusicTab", R.string.SharedMusicTab));
                }
            } else {
                TLRPC.EncryptedChat currentEncryptedChat2 = MessagesController.getInstance(this.currentAccount).getEncryptedChat(Integer.valueOf((int) (this.dialog_id >> 32)));
                if (currentEncryptedChat2 != null && AndroidUtilities.getPeerLayerVersion(currentEncryptedChat2.layer) >= 46 && this.hasMedia[4] != 0 && !this.scrollSlidingTextTabStrip.hasTab(4)) {
                    this.scrollSlidingTextTabStrip.addTextTab(4, LocaleController.getString("SharedMusicTab", R.string.SharedMusicTab));
                }
            }
            if (this.hasMedia[2] != 0 && !this.scrollSlidingTextTabStrip.hasTab(2)) {
                this.scrollSlidingTextTabStrip.addTextTab(2, LocaleController.getString("SharedVoiceTab", R.string.SharedVoiceTab));
            }
        }
        if (this.scrollSlidingTextTabStrip.getTabsCount() <= 1) {
            this.scrollSlidingTextTabStrip.setVisibility(8);
            this.actionBar.setExtraHeight(0);
        } else {
            this.scrollSlidingTextTabStrip.setVisibility(0);
            this.actionBar.setExtraHeight(AndroidUtilities.dp(44.0f));
        }
        int id = this.scrollSlidingTextTabStrip.getCurrentTabId();
        if (id >= 0) {
            this.mediaPages[0].selectedType = id;
        }
        this.scrollSlidingTextTabStrip.finishAddingTabs();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void switchToCurrentSelectedMode(boolean animated) {
        MediaPage[] mediaPageArr;
        MediaSearchAdapter mediaSearchAdapter;
        int a2 = 0;
        while (true) {
            mediaPageArr = this.mediaPages;
            if (a2 >= mediaPageArr.length) {
                break;
            }
            mediaPageArr[a2].listView.stopScroll();
            a2++;
        }
        RecyclerView.Adapter currentAdapter = mediaPageArr[animated ? 1 : 0].listView.getAdapter();
        if (!this.searching || !this.searchWas) {
            this.mediaPages[animated ? 1 : 0].emptyTextView.setTextSize(1, 17.0f);
            this.mediaPages[animated ? 1 : 0].emptyImageView.setVisibility(0);
            this.mediaPages[animated ? 1 : 0].listView.setPinnedHeaderShadowDrawable(null);
            if (this.mediaPages[animated ? 1 : 0].selectedType != 0) {
                if (this.mediaPages[animated ? 1 : 0].selectedType != 1) {
                    if (this.mediaPages[animated ? 1 : 0].selectedType != 2) {
                        if (this.mediaPages[animated ? 1 : 0].selectedType != 3) {
                            if (this.mediaPages[animated ? 1 : 0].selectedType == 4) {
                                if (currentAdapter != this.audioAdapter) {
                                    recycleAdapter(currentAdapter);
                                    this.mediaPages[animated ? 1 : 0].listView.setAdapter(this.audioAdapter);
                                }
                                this.mediaPages[animated ? 1 : 0].emptyImageView.setImageResource(R.drawable.tip4);
                                if (((int) this.dialog_id) == 0) {
                                    this.mediaPages[animated ? 1 : 0].emptyTextView.setText(LocaleController.getString("NoSharedAudioSecret", R.string.NoSharedAudioSecret));
                                } else {
                                    this.mediaPages[animated ? 1 : 0].emptyTextView.setText(LocaleController.getString("NoSharedAudio", R.string.NoSharedAudio));
                                }
                            }
                        } else {
                            if (currentAdapter != this.linksAdapter) {
                                recycleAdapter(currentAdapter);
                                this.mediaPages[animated ? 1 : 0].listView.setAdapter(this.linksAdapter);
                            }
                            this.mediaPages[animated ? 1 : 0].emptyImageView.setImageResource(R.drawable.tip3);
                            if (((int) this.dialog_id) == 0) {
                                this.mediaPages[animated ? 1 : 0].emptyTextView.setText(LocaleController.getString("NoSharedLinksSecret", R.string.NoSharedLinksSecret));
                            } else {
                                this.mediaPages[animated ? 1 : 0].emptyTextView.setText(LocaleController.getString("NoSharedLinks", R.string.NoSharedLinks));
                            }
                        }
                    } else {
                        if (currentAdapter != this.voiceAdapter) {
                            recycleAdapter(currentAdapter);
                            this.mediaPages[animated ? 1 : 0].listView.setAdapter(this.voiceAdapter);
                        }
                        this.mediaPages[animated ? 1 : 0].emptyImageView.setImageResource(R.drawable.tip5);
                        if (((int) this.dialog_id) == 0) {
                            this.mediaPages[animated ? 1 : 0].emptyTextView.setText(LocaleController.getString("NoSharedVoiceSecret", R.string.NoSharedVoiceSecret));
                        } else {
                            this.mediaPages[animated ? 1 : 0].emptyTextView.setText(LocaleController.getString("NoSharedVoice", R.string.NoSharedVoice));
                        }
                    }
                } else {
                    if (currentAdapter != this.documentsAdapter) {
                        recycleAdapter(currentAdapter);
                        this.mediaPages[animated ? 1 : 0].listView.setAdapter(this.documentsAdapter);
                    }
                    this.mediaPages[animated ? 1 : 0].emptyImageView.setImageResource(R.drawable.tip2);
                    if (((int) this.dialog_id) == 0) {
                        this.mediaPages[animated ? 1 : 0].emptyTextView.setText(LocaleController.getString("NoSharedFilesSecret", R.string.NoSharedFilesSecret));
                    } else {
                        this.mediaPages[animated ? 1 : 0].emptyTextView.setText(LocaleController.getString("NoSharedFiles", R.string.NoSharedFiles));
                    }
                }
            } else {
                if (currentAdapter != this.photoVideoAdapter) {
                    recycleAdapter(currentAdapter);
                    this.mediaPages[animated ? 1 : 0].listView.setAdapter(this.photoVideoAdapter);
                }
                this.mediaPages[animated ? 1 : 0].listView.setPinnedHeaderShadowDrawable(this.pinnedHeaderShadowDrawable);
                this.mediaPages[animated ? 1 : 0].emptyImageView.setImageResource(R.drawable.tip1);
                if (((int) this.dialog_id) == 0) {
                    this.mediaPages[animated ? 1 : 0].emptyTextView.setText(LocaleController.getString("NoMediaSecret", R.string.NoMediaSecret));
                } else {
                    this.mediaPages[animated ? 1 : 0].emptyTextView.setText(LocaleController.getString("NoMedia", R.string.NoMedia));
                }
            }
            this.mediaPages[animated ? 1 : 0].emptyTextView.setPadding(AndroidUtilities.dp(40.0f), 0, AndroidUtilities.dp(40.0f), AndroidUtilities.dp(128.0f));
            if (this.mediaPages[animated ? 1 : 0].selectedType == 0 || this.mediaPages[animated ? 1 : 0].selectedType == 2) {
                if (animated) {
                    this.searchItemState = 2;
                } else {
                    this.searchItemState = 0;
                    this.searchItem.setVisibility(4);
                }
            } else if (animated) {
                if (this.searchItem.getVisibility() == 4 && !this.actionBar.isSearchFieldVisible()) {
                    this.searchItemState = 1;
                    this.searchItem.setVisibility(0);
                    this.searchItem.setAlpha(0.0f);
                } else {
                    this.searchItemState = 0;
                }
            } else if (this.searchItem.getVisibility() == 4) {
                this.searchItemState = 0;
                this.searchItem.setAlpha(1.0f);
                this.searchItem.setVisibility(0);
            }
            if (!this.sharedMediaData[this.mediaPages[animated ? 1 : 0].selectedType].loading && !this.sharedMediaData[this.mediaPages[animated ? 1 : 0].selectedType].endReached[0] && this.sharedMediaData[this.mediaPages[animated ? 1 : 0].selectedType].messages.isEmpty()) {
                this.sharedMediaData[this.mediaPages[animated ? 1 : 0].selectedType].loading = true;
                MediaDataController.getInstance(this.currentAccount).loadMedia(this.dialog_id, 50, 0, this.mediaPages[animated ? 1 : 0].selectedType, 1, this.classGuid);
            }
            if (!this.sharedMediaData[this.mediaPages[animated ? 1 : 0].selectedType].loading || !this.sharedMediaData[this.mediaPages[animated ? 1 : 0].selectedType].messages.isEmpty()) {
                this.mediaPages[animated ? 1 : 0].progressView.setVisibility(8);
                this.mediaPages[animated ? 1 : 0].listView.setEmptyView(this.mediaPages[animated ? 1 : 0].emptyView);
            } else {
                this.mediaPages[animated ? 1 : 0].progressView.setVisibility(0);
                this.mediaPages[animated ? 1 : 0].listView.setEmptyView(null);
                this.mediaPages[animated ? 1 : 0].emptyView.setVisibility(8);
            }
            this.mediaPages[animated ? 1 : 0].listView.setVisibility(0);
        } else if (animated) {
            if (this.mediaPages[animated ? 1 : 0].selectedType == 0 || this.mediaPages[animated ? 1 : 0].selectedType == 2) {
                this.searching = false;
                this.searchWas = false;
                switchToCurrentSelectedMode(true);
                return;
            }
            String text = this.searchItem.getSearchField().getText().toString();
            if (this.mediaPages[animated ? 1 : 0].selectedType != 1) {
                if (this.mediaPages[animated ? 1 : 0].selectedType != 3) {
                    if (this.mediaPages[animated ? 1 : 0].selectedType == 4 && (mediaSearchAdapter = this.audioSearchAdapter) != null) {
                        mediaSearchAdapter.search(text);
                        if (currentAdapter != this.audioSearchAdapter) {
                            recycleAdapter(currentAdapter);
                            this.mediaPages[animated ? 1 : 0].listView.setAdapter(this.audioSearchAdapter);
                        }
                    }
                } else {
                    MediaSearchAdapter mediaSearchAdapter2 = this.linksSearchAdapter;
                    if (mediaSearchAdapter2 != null) {
                        mediaSearchAdapter2.search(text);
                        if (currentAdapter != this.linksSearchAdapter) {
                            recycleAdapter(currentAdapter);
                            this.mediaPages[animated ? 1 : 0].listView.setAdapter(this.linksSearchAdapter);
                        }
                    }
                }
            } else {
                MediaSearchAdapter mediaSearchAdapter3 = this.documentsSearchAdapter;
                if (mediaSearchAdapter3 != null) {
                    mediaSearchAdapter3.search(text);
                    if (currentAdapter != this.documentsSearchAdapter) {
                        recycleAdapter(currentAdapter);
                        this.mediaPages[animated ? 1 : 0].listView.setAdapter(this.documentsSearchAdapter);
                    }
                }
            }
            if (this.searchItemState != 2 && this.mediaPages[animated ? 1 : 0].emptyTextView != null) {
                this.mediaPages[animated ? 1 : 0].emptyTextView.setText(LocaleController.getString("NoResult", R.string.NoResult));
                this.mediaPages[animated ? 1 : 0].emptyTextView.setPadding(AndroidUtilities.dp(40.0f), 0, AndroidUtilities.dp(40.0f), AndroidUtilities.dp(30.0f));
                this.mediaPages[animated ? 1 : 0].emptyTextView.setTextSize(1, 20.0f);
                this.mediaPages[animated ? 1 : 0].emptyImageView.setVisibility(8);
            }
        } else {
            if (this.mediaPages[animated ? 1 : 0].listView != null) {
                if (this.mediaPages[animated ? 1 : 0].selectedType != 1) {
                    if (this.mediaPages[animated ? 1 : 0].selectedType != 3) {
                        if (this.mediaPages[animated ? 1 : 0].selectedType == 4) {
                            if (currentAdapter != this.audioSearchAdapter) {
                                recycleAdapter(currentAdapter);
                                this.mediaPages[animated ? 1 : 0].listView.setAdapter(this.audioSearchAdapter);
                            }
                            this.audioSearchAdapter.notifyDataSetChanged();
                        }
                    } else {
                        if (currentAdapter != this.linksSearchAdapter) {
                            recycleAdapter(currentAdapter);
                            this.mediaPages[animated ? 1 : 0].listView.setAdapter(this.linksSearchAdapter);
                        }
                        this.linksSearchAdapter.notifyDataSetChanged();
                    }
                } else {
                    if (currentAdapter != this.documentsSearchAdapter) {
                        recycleAdapter(currentAdapter);
                        this.mediaPages[animated ? 1 : 0].listView.setAdapter(this.documentsSearchAdapter);
                    }
                    this.documentsSearchAdapter.notifyDataSetChanged();
                }
            }
            if (this.searchItemState != 2 && this.mediaPages[animated ? 1 : 0].emptyTextView != null) {
                this.mediaPages[animated ? 1 : 0].emptyTextView.setText(LocaleController.getString("NoResult", R.string.NoResult));
                this.mediaPages[animated ? 1 : 0].emptyTextView.setPadding(AndroidUtilities.dp(40.0f), 0, AndroidUtilities.dp(40.0f), AndroidUtilities.dp(30.0f));
                this.mediaPages[animated ? 1 : 0].emptyTextView.setTextSize(1, 20.0f);
                this.mediaPages[animated ? 1 : 0].emptyImageView.setVisibility(8);
            }
        }
        if (this.searchItemState == 2 && this.actionBar.isSearchFieldVisible()) {
            this.ignoreSearchCollapse = true;
            this.actionBar.closeSearchField();
        }
        if (this.actionBar.getTranslationY() != 0.0f) {
            this.mediaPages[animated ? 1 : 0].layoutManager.scrollToPositionWithOffset(0, (int) this.actionBar.getTranslationY());
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public boolean onItemLongClick(MessageObject item, View view, int a2) {
        if (!this.actionBar.isActionModeShowed() && getParentActivity() != null) {
            AndroidUtilities.hideKeyboard(getParentActivity().getCurrentFocus());
            this.selectedFiles[item.getDialogId() == this.dialog_id ? (char) 0 : (char) 1].put(item.getId(), item);
            if (!item.canDeleteMessage(false, null)) {
                this.cantDeleteMessagesCount++;
            }
            this.actionBar.createActionMode().getItem(4).setVisibility(this.cantDeleteMessagesCount == 0 ? 0 : 8);
            ActionBarMenuItem actionBarMenuItem = this.gotoItem;
            if (actionBarMenuItem != null) {
                actionBarMenuItem.setVisibility(0);
            }
            this.selectedMessagesCountTextView.setNumber(1, false);
            AnimatorSet animatorSet = new AnimatorSet();
            ArrayList<Animator> animators = new ArrayList<>();
            for (int i = 0; i < this.actionModeViews.size(); i++) {
                View view2 = this.actionModeViews.get(i);
                AndroidUtilities.clearDrawableAnimation(view2);
                animators.add(ObjectAnimator.ofFloat(view2, View.SCALE_Y, 0.1f, 1.0f));
            }
            animatorSet.playTogether(animators);
            animatorSet.setDuration(250L);
            animatorSet.start();
            this.scrolling = false;
            if (view instanceof SharedDocumentCell) {
                ((SharedDocumentCell) view).setChecked(true, true);
            } else if (view instanceof SharedPhotoVideoCell) {
                ((SharedPhotoVideoCell) view).setChecked(a2, true, true);
            } else if (view instanceof SharedLinkCell) {
                ((SharedLinkCell) view).setChecked(true, true);
            } else if (view instanceof SharedAudioCell) {
                ((SharedAudioCell) view).setChecked(true, true);
            }
            if (!this.actionBar.isActionModeShowed()) {
                this.actionBar.showActionMode(null, this.actionModeBackground, null, null, null, 0);
                resetScroll();
            }
            return true;
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void onItemClick(int index, View view, MessageObject message, int a2, int selectedMode) {
        if (message == null) {
            return;
        }
        if (this.actionBar.isActionModeShowed()) {
            int loadIndex = message.getDialogId() == this.dialog_id ? 0 : 1;
            if (this.selectedFiles[loadIndex].indexOfKey(message.getId()) < 0) {
                if (this.selectedFiles[0].size() + this.selectedFiles[1].size() >= 100) {
                    return;
                }
                this.selectedFiles[loadIndex].put(message.getId(), message);
                if (!message.canDeleteMessage(false, null)) {
                    this.cantDeleteMessagesCount++;
                }
            } else {
                this.selectedFiles[loadIndex].remove(message.getId());
                if (!message.canDeleteMessage(false, null)) {
                    this.cantDeleteMessagesCount--;
                }
            }
            if (this.selectedFiles[0].size() != 0 || this.selectedFiles[1].size() != 0) {
                this.selectedMessagesCountTextView.setNumber(this.selectedFiles[0].size() + this.selectedFiles[1].size(), true);
                this.actionBar.createActionMode().getItem(4).setVisibility(this.cantDeleteMessagesCount == 0 ? 0 : 8);
                ActionBarMenuItem actionBarMenuItem = this.gotoItem;
                if (actionBarMenuItem != null) {
                    actionBarMenuItem.setVisibility(this.selectedFiles[0].size() == 1 ? 0 : 8);
                }
            } else {
                this.actionBar.hideActionMode();
            }
            this.scrolling = false;
            if (view instanceof SharedDocumentCell) {
                ((SharedDocumentCell) view).setChecked(this.selectedFiles[loadIndex].indexOfKey(message.getId()) >= 0, true);
            } else if (view instanceof SharedPhotoVideoCell) {
                ((SharedPhotoVideoCell) view).setChecked(a2, this.selectedFiles[loadIndex].indexOfKey(message.getId()) >= 0, true);
            } else if (view instanceof SharedLinkCell) {
                ((SharedLinkCell) view).setChecked(this.selectedFiles[loadIndex].indexOfKey(message.getId()) >= 0, true);
            } else if (view instanceof SharedAudioCell) {
                ((SharedAudioCell) view).setChecked(this.selectedFiles[loadIndex].indexOfKey(message.getId()) >= 0, true);
            }
        } else if (selectedMode == 0) {
            PhotoViewer.getInstance().setParentActivity(getParentActivity());
            PhotoViewer.getInstance().openPhoto(this.sharedMediaData[selectedMode].messages, index, this.dialog_id, this.mergeDialogId, this.provider);
        } else if (selectedMode == 2 || selectedMode == 4) {
            if (view instanceof SharedAudioCell) {
                ((SharedAudioCell) view).didPressedButton();
            }
        } else if (selectedMode == 1) {
            if (view instanceof SharedDocumentCell) {
                SharedDocumentCell cell = (SharedDocumentCell) view;
                TLRPC.Document document = message.getDocument();
                if (cell.isLoaded()) {
                    if (!message.canPreviewDocument()) {
                        AndroidUtilities.openDocument(message, getParentActivity(), this);
                        return;
                    }
                    PhotoViewer.getInstance().setParentActivity(getParentActivity());
                    int index2 = this.sharedMediaData[selectedMode].messages.indexOf(message);
                    if (index2 >= 0) {
                        PhotoViewer.getInstance().openPhoto(this.sharedMediaData[selectedMode].messages, index2, this.dialog_id, this.mergeDialogId, this.provider);
                        return;
                    }
                    ArrayList<MessageObject> documents = new ArrayList<>();
                    documents.add(message);
                    PhotoViewer.getInstance().openPhoto(documents, 0, 0L, 0L, this.provider);
                } else if (!cell.isLoading()) {
                    MessageObject messageObject = cell.getMessage();
                    FileLoader.getInstance(this.currentAccount).loadFile(document, messageObject, 0, 0);
                    cell.updateFileExistIcon();
                } else {
                    FileLoader.getInstance(this.currentAccount).cancelLoadFile(document);
                    cell.updateFileExistIcon();
                }
            }
        } else if (selectedMode == 3) {
            try {
                TLRPC.WebPage webPage = message.messageOwner.media.webpage;
                String link = null;
                if (webPage != null && !(webPage instanceof TLRPC.TL_webPageEmpty)) {
                    if (webPage.cached_page != null) {
                        ArticleViewer.getInstance().setParentActivity(getParentActivity(), this);
                        ArticleViewer.getInstance().open(message);
                        return;
                    } else if (webPage.embed_url != null && webPage.embed_url.length() != 0) {
                        openWebView(webPage);
                        return;
                    } else {
                        link = webPage.url;
                    }
                }
                if (link == null) {
                    link = ((SharedLinkCell) view).getLink(0);
                }
                if (link != null) {
                    Browser.openUrl(getParentActivity(), link);
                }
            } catch (Exception e) {
                FileLog.e(e);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void openWebView(TLRPC.WebPage webPage) {
        EmbedBottomSheet.show(getParentActivity(), webPage.site_name, webPage.description, webPage.url, webPage.embed_url, webPage.embed_width, webPage.embed_height);
    }

    private void recycleAdapter(RecyclerView.Adapter adapter) {
        if (adapter instanceof SharedPhotoVideoAdapter) {
            this.cellCache.addAll(this.cache);
            this.cache.clear();
        } else if (adapter == this.audioAdapter) {
            this.audioCellCache.addAll(this.audioCache);
            this.audioCache.clear();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void fixLayoutInternal(int num) {
        WindowManager manager = (WindowManager) ApplicationLoader.applicationContext.getSystemService("window");
        int rotation = manager.getDefaultDisplay().getRotation();
        if (num == 0) {
            if (!AndroidUtilities.isTablet() && ApplicationLoader.applicationContext.getResources().getConfiguration().orientation == 2) {
                this.selectedMessagesCountTextView.setTextSize(18);
            } else {
                this.selectedMessagesCountTextView.setTextSize(20);
            }
        }
        if (AndroidUtilities.isTablet()) {
            this.columnsCount = 4;
            this.mediaPages[num].emptyTextView.setPadding(AndroidUtilities.dp(40.0f), 0, AndroidUtilities.dp(40.0f), AndroidUtilities.dp(128.0f));
        } else if (rotation == 3 || rotation == 1) {
            this.columnsCount = 6;
            this.mediaPages[num].emptyTextView.setPadding(AndroidUtilities.dp(40.0f), 0, AndroidUtilities.dp(40.0f), 0);
        } else {
            this.columnsCount = 4;
            this.mediaPages[num].emptyTextView.setPadding(AndroidUtilities.dp(40.0f), 0, AndroidUtilities.dp(40.0f), AndroidUtilities.dp(128.0f));
        }
        if (num == 0) {
            this.photoVideoAdapter.notifyDataSetChanged();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: im.uecahxyvjd.ui.Media1Activity$15  reason: invalid class name */
    /* loaded from: classes12.dex */
    public class AnonymousClass15 implements SharedLinkCell.SharedLinkCellDelegate {
        AnonymousClass15() {
        }

        @Override // im.uecahxyvjd.ui.cells.SharedLinkCell.SharedLinkCellDelegate
        public void needOpenWebView(TLRPC.WebPage webPage) {
            Media1Activity.this.openWebView(webPage);
        }

        @Override // im.uecahxyvjd.ui.cells.SharedLinkCell.SharedLinkCellDelegate
        public boolean canPerformActions() {
            return !Media1Activity.this.actionBar.isActionModeShowed();
        }

        @Override // im.uecahxyvjd.ui.cells.SharedLinkCell.SharedLinkCellDelegate
        public void onLinkLongPress(final String urlFinal) {
            BottomSheet.Builder builder = new BottomSheet.Builder(Media1Activity.this.getParentActivity());
            builder.setTitle(urlFinal);
            builder.setItems(new CharSequence[]{LocaleController.getString("Open", R.string.Open), LocaleController.getString("Copy", R.string.Copy)}, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.Media1Activity$15$$ExternalSyntheticLambda0
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i) {
                    Media1Activity.AnonymousClass15.this.m1776lambda$onLinkLongPress$0$imuecahxyvjduiMedia1Activity$15(urlFinal, dialogInterface, i);
                }
            });
            Media1Activity.this.showDialog(builder.create());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onLinkLongPress$0$im-uecahxyvjd-ui-Media1Activity$15  reason: not valid java name */
        public /* synthetic */ void m1776lambda$onLinkLongPress$0$imuecahxyvjduiMedia1Activity$15(String urlFinal, DialogInterface dialog, int which) {
            if (which == 0) {
                Browser.openUrl((Context) Media1Activity.this.getParentActivity(), urlFinal, true);
            } else if (which == 1) {
                String url = urlFinal;
                if (url.startsWith("mailto:")) {
                    url = url.substring(7);
                } else if (url.startsWith("tel:")) {
                    url = url.substring(4);
                }
                AndroidUtilities.addToClipboard(url);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes12.dex */
    public class SharedLinksAdapter extends RecyclerListView.SectionsAdapter {
        private Context mContext;

        public SharedLinksAdapter(Context context) {
            this.mContext = context;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public Object getItem(int section, int position) {
            return null;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public boolean isEnabled(int section, int row) {
            return row != 0;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public int getSectionCount() {
            int size = Media1Activity.this.sharedMediaData[3].sections.size();
            int i = 0;
            if (!Media1Activity.this.sharedMediaData[3].sections.isEmpty() && (!Media1Activity.this.sharedMediaData[3].endReached[0] || !Media1Activity.this.sharedMediaData[3].endReached[1])) {
                i = 1;
            }
            return size + i;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public int getCountForSection(int section) {
            if (section < Media1Activity.this.sharedMediaData[3].sections.size()) {
                return ((ArrayList) Media1Activity.this.sharedMediaData[3].sectionArrays.get(Media1Activity.this.sharedMediaData[3].sections.get(section))).size() + 1;
            }
            return 1;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public View getSectionHeaderView(int section, View view) {
            if (view == null) {
                view = new GraySectionCell(this.mContext);
                view.setBackgroundColor(Theme.getColor(Theme.key_graySection) & (-218103809));
            }
            if (section < Media1Activity.this.sharedMediaData[3].sections.size()) {
                String name = (String) Media1Activity.this.sharedMediaData[3].sections.get(section);
                ArrayList<MessageObject> messageObjects = (ArrayList) Media1Activity.this.sharedMediaData[3].sectionArrays.get(name);
                MessageObject messageObject = messageObjects.get(0);
                ((GraySectionCell) view).setText(LocaleController.formatSectionDate(messageObject.messageOwner.date));
            }
            return view;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view;
            switch (viewType) {
                case 0:
                    view = new GraySectionCell(this.mContext);
                    break;
                case 1:
                    view = new SharedLinkCell(this.mContext);
                    ((SharedLinkCell) view).setDelegate(Media1Activity.this.sharedLinkCellDelegate);
                    break;
                default:
                    view = new LoadingCell(this.mContext, AndroidUtilities.dp(32.0f), AndroidUtilities.dp(54.0f));
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public void onBindViewHolder(int section, int position, RecyclerView.ViewHolder holder) {
            if (holder.getItemViewType() != 2) {
                String name = (String) Media1Activity.this.sharedMediaData[3].sections.get(section);
                ArrayList<MessageObject> messageObjects = (ArrayList) Media1Activity.this.sharedMediaData[3].sectionArrays.get(name);
                switch (holder.getItemViewType()) {
                    case 0:
                        ((GraySectionCell) holder.itemView).setText(LocaleController.formatSectionDate(messageObjects.get(0).messageOwner.date));
                        return;
                    case 1:
                        SharedLinkCell sharedLinkCell = (SharedLinkCell) holder.itemView;
                        MessageObject messageObject = messageObjects.get(position - 1);
                        sharedLinkCell.setLink(messageObject, position != messageObjects.size() || (section == Media1Activity.this.sharedMediaData[3].sections.size() - 1 && Media1Activity.this.sharedMediaData[3].loading));
                        if (Media1Activity.this.actionBar.isActionModeShowed()) {
                            sharedLinkCell.setChecked(Media1Activity.this.selectedFiles[(messageObject.getDialogId() > Media1Activity.this.dialog_id ? 1 : (messageObject.getDialogId() == Media1Activity.this.dialog_id ? 0 : -1)) == 0 ? (char) 0 : (char) 1].indexOfKey(messageObject.getId()) >= 0, !Media1Activity.this.scrolling);
                            return;
                        } else {
                            sharedLinkCell.setChecked(false, !Media1Activity.this.scrolling);
                            return;
                        }
                    default:
                        return;
                }
            }
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public int getItemViewType(int section, int position) {
            if (section < Media1Activity.this.sharedMediaData[3].sections.size()) {
                if (position == 0) {
                    return 0;
                }
                return 1;
            }
            return 2;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.FastScrollAdapter
        public String getLetter(int position) {
            return null;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.FastScrollAdapter
        public int getPositionForScrollProgress(float progress) {
            return 0;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes12.dex */
    public class SharedDocumentsAdapter extends RecyclerListView.SectionsAdapter {
        private int currentType;
        private Context mContext;

        public SharedDocumentsAdapter(Context context, int type) {
            this.mContext = context;
            this.currentType = type;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public boolean isEnabled(int section, int row) {
            return row != 0;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public int getSectionCount() {
            int size = Media1Activity.this.sharedMediaData[this.currentType].sections.size();
            int i = 0;
            if (!Media1Activity.this.sharedMediaData[this.currentType].sections.isEmpty() && (!Media1Activity.this.sharedMediaData[this.currentType].endReached[0] || !Media1Activity.this.sharedMediaData[this.currentType].endReached[1])) {
                i = 1;
            }
            return size + i;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public Object getItem(int section, int position) {
            return null;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public int getCountForSection(int section) {
            if (section < Media1Activity.this.sharedMediaData[this.currentType].sections.size()) {
                return ((ArrayList) Media1Activity.this.sharedMediaData[this.currentType].sectionArrays.get(Media1Activity.this.sharedMediaData[this.currentType].sections.get(section))).size() + 1;
            }
            return 1;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public View getSectionHeaderView(int section, View view) {
            if (view == null) {
                view = new GraySectionCell(this.mContext);
                view.setBackgroundColor(Theme.getColor(Theme.key_graySection) & (-218103809));
            }
            if (section < Media1Activity.this.sharedMediaData[this.currentType].sections.size()) {
                String name = (String) Media1Activity.this.sharedMediaData[this.currentType].sections.get(section);
                ArrayList<MessageObject> messageObjects = (ArrayList) Media1Activity.this.sharedMediaData[this.currentType].sectionArrays.get(name);
                MessageObject messageObject = messageObjects.get(0);
                ((GraySectionCell) view).setText(LocaleController.formatSectionDate(messageObject.messageOwner.date));
            }
            return view;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view;
            switch (viewType) {
                case 0:
                    view = new GraySectionCell(this.mContext);
                    break;
                case 1:
                    view = new SharedDocumentCell(this.mContext);
                    break;
                case 2:
                    view = new LoadingCell(this.mContext, AndroidUtilities.dp(32.0f), AndroidUtilities.dp(54.0f));
                    break;
                default:
                    if (this.currentType == 4 && !Media1Activity.this.audioCellCache.isEmpty()) {
                        view = (View) Media1Activity.this.audioCellCache.get(0);
                        Media1Activity.this.audioCellCache.remove(0);
                        ViewGroup p = (ViewGroup) view.getParent();
                        if (p != null) {
                            p.removeView(view);
                        }
                    } else {
                        view = new SharedAudioCell(this.mContext) { // from class: im.uecahxyvjd.ui.Media1Activity.SharedDocumentsAdapter.1
                            @Override // im.uecahxyvjd.ui.cells.SharedAudioCell
                            public boolean needPlayMessage(MessageObject messageObject) {
                                if (messageObject.isVoice() || messageObject.isRoundVideo()) {
                                    boolean result = MediaController.getInstance().playMessage(messageObject);
                                    MediaController.getInstance().setVoiceMessagesPlaylist(result ? Media1Activity.this.sharedMediaData[SharedDocumentsAdapter.this.currentType].messages : null, false);
                                    return result;
                                } else if (messageObject.isMusic()) {
                                    return MediaController.getInstance().setPlaylist(Media1Activity.this.sharedMediaData[SharedDocumentsAdapter.this.currentType].messages, messageObject);
                                } else {
                                    return false;
                                }
                            }
                        };
                    }
                    if (this.currentType == 4) {
                        Media1Activity.this.audioCache.add((SharedAudioCell) view);
                        break;
                    }
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public void onBindViewHolder(int section, int position, RecyclerView.ViewHolder holder) {
            if (holder.getItemViewType() != 2) {
                String name = (String) Media1Activity.this.sharedMediaData[this.currentType].sections.get(section);
                ArrayList<MessageObject> messageObjects = (ArrayList) Media1Activity.this.sharedMediaData[this.currentType].sectionArrays.get(name);
                switch (holder.getItemViewType()) {
                    case 0:
                        ((GraySectionCell) holder.itemView).setText(LocaleController.formatSectionDate(messageObjects.get(0).messageOwner.date));
                        return;
                    case 1:
                        SharedDocumentCell sharedDocumentCell = (SharedDocumentCell) holder.itemView;
                        MessageObject messageObject = messageObjects.get(position - 1);
                        sharedDocumentCell.setDocument(messageObject, position != messageObjects.size() || (section == Media1Activity.this.sharedMediaData[this.currentType].sections.size() - 1 && Media1Activity.this.sharedMediaData[this.currentType].loading));
                        if (Media1Activity.this.actionBar.isActionModeShowed()) {
                            sharedDocumentCell.setChecked(Media1Activity.this.selectedFiles[(messageObject.getDialogId() > Media1Activity.this.dialog_id ? 1 : (messageObject.getDialogId() == Media1Activity.this.dialog_id ? 0 : -1)) == 0 ? (char) 0 : (char) 1].indexOfKey(messageObject.getId()) >= 0, true ^ Media1Activity.this.scrolling);
                            return;
                        } else {
                            sharedDocumentCell.setChecked(false, true ^ Media1Activity.this.scrolling);
                            return;
                        }
                    case 2:
                    default:
                        return;
                    case 3:
                        SharedAudioCell sharedAudioCell = (SharedAudioCell) holder.itemView;
                        MessageObject messageObject2 = messageObjects.get(position - 1);
                        sharedAudioCell.setMessageObject(messageObject2, position != messageObjects.size() || (section == Media1Activity.this.sharedMediaData[this.currentType].sections.size() - 1 && Media1Activity.this.sharedMediaData[this.currentType].loading));
                        if (Media1Activity.this.actionBar.isActionModeShowed()) {
                            sharedAudioCell.setChecked(Media1Activity.this.selectedFiles[(messageObject2.getDialogId() > Media1Activity.this.dialog_id ? 1 : (messageObject2.getDialogId() == Media1Activity.this.dialog_id ? 0 : -1)) == 0 ? (char) 0 : (char) 1].indexOfKey(messageObject2.getId()) >= 0, true ^ Media1Activity.this.scrolling);
                            return;
                        } else {
                            sharedAudioCell.setChecked(false, true ^ Media1Activity.this.scrolling);
                            return;
                        }
                }
            }
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public int getItemViewType(int section, int position) {
            if (section < Media1Activity.this.sharedMediaData[this.currentType].sections.size()) {
                if (position == 0) {
                    return 0;
                }
                int i = this.currentType;
                if (i == 2 || i == 4) {
                    return 3;
                }
                return 1;
            }
            return 2;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.FastScrollAdapter
        public String getLetter(int position) {
            return null;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.FastScrollAdapter
        public int getPositionForScrollProgress(float progress) {
            return 0;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes12.dex */
    public class SharedPhotoVideoAdapter extends RecyclerListView.SectionsAdapter {
        private Context mContext;

        public SharedPhotoVideoAdapter(Context context) {
            this.mContext = context;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public Object getItem(int section, int position) {
            return null;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public boolean isEnabled(int section, int row) {
            return false;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public int getSectionCount() {
            int i = 0;
            int size = Media1Activity.this.sharedMediaData[0].sections.size();
            if (!Media1Activity.this.sharedMediaData[0].sections.isEmpty() && (!Media1Activity.this.sharedMediaData[0].endReached[0] || !Media1Activity.this.sharedMediaData[0].endReached[1])) {
                i = 1;
            }
            return size + i;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public int getCountForSection(int section) {
            if (section < Media1Activity.this.sharedMediaData[0].sections.size()) {
                return ((int) Math.ceil(((ArrayList) Media1Activity.this.sharedMediaData[0].sectionArrays.get(Media1Activity.this.sharedMediaData[0].sections.get(section))).size() / Media1Activity.this.columnsCount)) + 1;
            }
            return 1;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public View getSectionHeaderView(int section, View view) {
            if (view == null) {
                view = new SharedMediaSectionCell(this.mContext);
                view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite) & (-436207617));
            }
            if (section < Media1Activity.this.sharedMediaData[0].sections.size()) {
                String name = (String) Media1Activity.this.sharedMediaData[0].sections.get(section);
                ArrayList<MessageObject> messageObjects = (ArrayList) Media1Activity.this.sharedMediaData[0].sectionArrays.get(name);
                MessageObject messageObject = messageObjects.get(0);
                ((SharedMediaSectionCell) view).setText(LocaleController.formatSectionDate(messageObject.messageOwner.date));
            }
            return view;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view;
            View view2;
            switch (viewType) {
                case 0:
                    view2 = new SharedMediaSectionCell(this.mContext);
                    break;
                case 1:
                    if (!Media1Activity.this.cellCache.isEmpty()) {
                        View view3 = (View) Media1Activity.this.cellCache.get(0);
                        Media1Activity.this.cellCache.remove(0);
                        ViewGroup p = (ViewGroup) view3.getParent();
                        view = view3;
                        if (p != null) {
                            p.removeView(view3);
                            view = view3;
                        }
                    } else {
                        view = new SharedPhotoVideoCell(this.mContext);
                    }
                    SharedPhotoVideoCell cell = (SharedPhotoVideoCell) view;
                    cell.setDelegate(new SharedPhotoVideoCell.SharedPhotoVideoCellDelegate() { // from class: im.uecahxyvjd.ui.Media1Activity.SharedPhotoVideoAdapter.1
                        @Override // im.uecahxyvjd.ui.cells.SharedPhotoVideoCell.SharedPhotoVideoCellDelegate
                        public void didClickItem(SharedPhotoVideoCell cell2, int index, MessageObject messageObject, int a2) {
                            Media1Activity.this.onItemClick(index, cell2, messageObject, a2, 0);
                        }

                        @Override // im.uecahxyvjd.ui.cells.SharedPhotoVideoCell.SharedPhotoVideoCellDelegate
                        public boolean didLongClickItem(SharedPhotoVideoCell cell2, int index, MessageObject messageObject, int a2) {
                            if (!Media1Activity.this.actionBar.isActionModeShowed()) {
                                return Media1Activity.this.onItemLongClick(messageObject, cell2, a2);
                            }
                            didClickItem(cell2, index, messageObject, a2);
                            return true;
                        }
                    });
                    Media1Activity.this.cache.add((SharedPhotoVideoCell) view);
                    view2 = view;
                    break;
                default:
                    view2 = new LoadingCell(this.mContext, AndroidUtilities.dp(32.0f), AndroidUtilities.dp(74.0f));
                    break;
            }
            return new RecyclerListView.Holder(view2);
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public void onBindViewHolder(int section, int position, RecyclerView.ViewHolder holder) {
            if (holder.getItemViewType() != 2) {
                String name = (String) Media1Activity.this.sharedMediaData[0].sections.get(section);
                ArrayList<MessageObject> messageObjects = (ArrayList) Media1Activity.this.sharedMediaData[0].sectionArrays.get(name);
                switch (holder.getItemViewType()) {
                    case 0:
                        ((SharedMediaSectionCell) holder.itemView).setText(LocaleController.formatSectionDate(messageObjects.get(0).messageOwner.date));
                        return;
                    case 1:
                        SharedPhotoVideoCell cell = (SharedPhotoVideoCell) holder.itemView;
                        cell.setItemsCount(Media1Activity.this.columnsCount);
                        cell.setIsFirst(position == 1);
                        for (int a2 = 0; a2 < Media1Activity.this.columnsCount; a2++) {
                            int index = ((position - 1) * Media1Activity.this.columnsCount) + a2;
                            if (index < messageObjects.size()) {
                                MessageObject messageObject = messageObjects.get(index);
                                cell.setItem(a2, Media1Activity.this.sharedMediaData[0].messages.indexOf(messageObject), messageObject);
                                if (Media1Activity.this.actionBar.isActionModeShowed()) {
                                    cell.setChecked(a2, Media1Activity.this.selectedFiles[(messageObject.getDialogId() > Media1Activity.this.dialog_id ? 1 : (messageObject.getDialogId() == Media1Activity.this.dialog_id ? 0 : -1)) == 0 ? (char) 0 : (char) 1].indexOfKey(messageObject.getId()) >= 0, !Media1Activity.this.scrolling);
                                } else {
                                    cell.setChecked(a2, false, !Media1Activity.this.scrolling);
                                }
                            } else {
                                cell.setItem(a2, index, null);
                            }
                        }
                        cell.requestLayout();
                        return;
                    default:
                        return;
                }
            }
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public int getItemViewType(int section, int position) {
            if (section < Media1Activity.this.sharedMediaData[0].sections.size()) {
                return position == 0 ? 0 : 1;
            }
            return 2;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.FastScrollAdapter
        public String getLetter(int position) {
            return null;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.FastScrollAdapter
        public int getPositionForScrollProgress(float progress) {
            return 0;
        }
    }

    /* loaded from: classes12.dex */
    public class MediaSearchAdapter extends RecyclerListView.SelectionAdapter {
        private int currentType;
        private int lastReqId;
        private Context mContext;
        private Runnable searchRunnable;
        private int searchesInProgress;
        private ArrayList<MessageObject> searchResult = new ArrayList<>();
        protected ArrayList<MessageObject> globalSearch = new ArrayList<>();
        private int reqId = 0;

        public MediaSearchAdapter(Context context, int type) {
            this.mContext = context;
            this.currentType = type;
        }

        public void queryServerSearch(String query, final int max_id, long did) {
            int uid = (int) did;
            if (uid == 0) {
                return;
            }
            if (this.reqId != 0) {
                ConnectionsManager.getInstance(Media1Activity.this.currentAccount).cancelRequest(this.reqId, true);
                this.reqId = 0;
                this.searchesInProgress--;
            }
            if (query == null || query.length() == 0) {
                this.globalSearch.clear();
                this.lastReqId = 0;
                notifyDataSetChanged();
                return;
            }
            TLRPC.TL_messages_search req = new TLRPC.TL_messages_search();
            req.limit = 50;
            req.offset_id = max_id;
            int i = this.currentType;
            if (i == 1) {
                req.filter = new TLRPC.TL_inputMessagesFilterDocument();
            } else if (i == 3) {
                req.filter = new TLRPC.TL_inputMessagesFilterUrl();
            } else if (i == 4) {
                req.filter = new TLRPC.TL_inputMessagesFilterMusic();
            }
            req.q = query;
            req.peer = MessagesController.getInstance(Media1Activity.this.currentAccount).getInputPeer(uid);
            if (req.peer == null) {
                return;
            }
            final int currentReqId = this.lastReqId + 1;
            this.lastReqId = currentReqId;
            this.searchesInProgress++;
            this.reqId = ConnectionsManager.getInstance(Media1Activity.this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.Media1Activity$MediaSearchAdapter$$ExternalSyntheticLambda4
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    Media1Activity.MediaSearchAdapter.this.m1780x73515162(max_id, currentReqId, tLObject, tL_error);
                }
            }, 2);
            ConnectionsManager.getInstance(Media1Activity.this.currentAccount).bindRequestToGuid(this.reqId, Media1Activity.this.classGuid);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$queryServerSearch$1$im-uecahxyvjd-ui-Media1Activity$MediaSearchAdapter  reason: not valid java name */
        public /* synthetic */ void m1780x73515162(int max_id, final int currentReqId, TLObject response, TLRPC.TL_error error) {
            final ArrayList<MessageObject> messageObjects = new ArrayList<>();
            if (error == null) {
                TLRPC.messages_Messages res = (TLRPC.messages_Messages) response;
                for (int a2 = 0; a2 < res.messages.size(); a2++) {
                    TLRPC.Message message = res.messages.get(a2);
                    if (max_id == 0 || message.id <= max_id) {
                        messageObjects.add(new MessageObject(Media1Activity.this.currentAccount, message, false));
                    }
                }
            }
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.Media1Activity$MediaSearchAdapter$$ExternalSyntheticLambda3
                @Override // java.lang.Runnable
                public final void run() {
                    Media1Activity.MediaSearchAdapter.this.m1779x4578b703(currentReqId, messageObjects);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$queryServerSearch$0$im-uecahxyvjd-ui-Media1Activity$MediaSearchAdapter  reason: not valid java name */
        public /* synthetic */ void m1779x4578b703(int currentReqId, ArrayList messageObjects) {
            if (this.reqId != 0) {
                if (currentReqId == this.lastReqId) {
                    this.globalSearch = messageObjects;
                    this.searchesInProgress--;
                    int count = getItemCount();
                    notifyDataSetChanged();
                    int a2 = 0;
                    while (true) {
                        if (a2 < Media1Activity.this.mediaPages.length) {
                            if (Media1Activity.this.mediaPages[a2].listView.getAdapter() == this && count == 0 && Media1Activity.this.actionBar.getTranslationY() != 0.0f) {
                                Media1Activity.this.mediaPages[a2].layoutManager.scrollToPositionWithOffset(0, (int) Media1Activity.this.actionBar.getTranslationY());
                                break;
                            }
                            a2++;
                        } else {
                            break;
                        }
                    }
                }
                this.reqId = 0;
            }
        }

        public void search(final String query) {
            Runnable runnable = this.searchRunnable;
            if (runnable != null) {
                AndroidUtilities.cancelRunOnUIThread(runnable);
                this.searchRunnable = null;
            }
            if (TextUtils.isEmpty(query)) {
                if (!this.searchResult.isEmpty() || !this.globalSearch.isEmpty() || this.searchesInProgress != 0) {
                    this.searchResult.clear();
                    this.globalSearch.clear();
                    if (this.reqId != 0) {
                        ConnectionsManager.getInstance(Media1Activity.this.currentAccount).cancelRequest(this.reqId, true);
                        this.reqId = 0;
                        this.searchesInProgress--;
                    }
                }
                notifyDataSetChanged();
                return;
            }
            for (int a2 = 0; a2 < Media1Activity.this.mediaPages.length; a2++) {
                if (Media1Activity.this.mediaPages[a2].selectedType == this.currentType) {
                    if (getItemCount() != 0) {
                        Media1Activity.this.mediaPages[a2].listView.setEmptyView(Media1Activity.this.mediaPages[a2].emptyView);
                        Media1Activity.this.mediaPages[a2].progressView.setVisibility(8);
                    } else {
                        Media1Activity.this.mediaPages[a2].listView.setEmptyView(null);
                        Media1Activity.this.mediaPages[a2].emptyView.setVisibility(8);
                        Media1Activity.this.mediaPages[a2].progressView.setVisibility(0);
                    }
                }
            }
            Runnable runnable2 = new Runnable() { // from class: im.uecahxyvjd.ui.Media1Activity$MediaSearchAdapter$$ExternalSyntheticLambda2
                @Override // java.lang.Runnable
                public final void run() {
                    Media1Activity.MediaSearchAdapter.this.m1782xc4324871(query);
                }
            };
            this.searchRunnable = runnable2;
            AndroidUtilities.runOnUIThread(runnable2, 300L);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$search$3$im-uecahxyvjd-ui-Media1Activity$MediaSearchAdapter  reason: not valid java name */
        public /* synthetic */ void m1782xc4324871(final String query) {
            int i;
            if (!Media1Activity.this.sharedMediaData[this.currentType].messages.isEmpty() && ((i = this.currentType) == 1 || i == 4)) {
                MessageObject messageObject = (MessageObject) Media1Activity.this.sharedMediaData[this.currentType].messages.get(Media1Activity.this.sharedMediaData[this.currentType].messages.size() - 1);
                queryServerSearch(query, messageObject.getId(), messageObject.getDialogId());
            } else if (this.currentType == 3) {
                queryServerSearch(query, 0, Media1Activity.this.dialog_id);
            }
            int i2 = this.currentType;
            if (i2 == 1 || i2 == 4) {
                final ArrayList<MessageObject> copy = new ArrayList<>(Media1Activity.this.sharedMediaData[this.currentType].messages);
                this.searchesInProgress++;
                Utilities.searchQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.ui.Media1Activity$MediaSearchAdapter$$ExternalSyntheticLambda0
                    @Override // java.lang.Runnable
                    public final void run() {
                        Media1Activity.MediaSearchAdapter.this.m1781x9659ae12(query, copy);
                    }
                });
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$search$2$im-uecahxyvjd-ui-Media1Activity$MediaSearchAdapter  reason: not valid java name */
        public /* synthetic */ void m1781x9659ae12(String query, ArrayList copy) {
            TLRPC.Document document;
            String search1 = query.trim().toLowerCase();
            if (search1.length() == 0) {
                updateSearchResults(new ArrayList<>());
                return;
            }
            String search2 = LocaleController.getInstance().getTranslitString(search1);
            search2 = (search1.equals(search2) || search2.length() == 0) ? null : null;
            String[] search = new String[(search2 != null ? 1 : 0) + 1];
            search[0] = search1;
            if (search2 != null) {
                search[1] = search2;
            }
            ArrayList<MessageObject> resultArray = new ArrayList<>();
            for (int a2 = 0; a2 < copy.size(); a2++) {
                MessageObject messageObject = (MessageObject) copy.get(a2);
                int b = 0;
                while (true) {
                    if (b < search.length) {
                        String q = search[b];
                        String name = messageObject.getDocumentName();
                        if (name != null && name.length() != 0) {
                            if (name.toLowerCase().contains(q)) {
                                resultArray.add(messageObject);
                                break;
                            } else if (this.currentType == 4) {
                                if (messageObject.type == 0) {
                                    document = messageObject.messageOwner.media.webpage.document;
                                } else {
                                    document = messageObject.messageOwner.media.document;
                                }
                                boolean ok = false;
                                int c = 0;
                                while (true) {
                                    if (c >= document.attributes.size()) {
                                        break;
                                    }
                                    TLRPC.DocumentAttribute attribute = document.attributes.get(c);
                                    if (!(attribute instanceof TLRPC.TL_documentAttributeAudio)) {
                                        c++;
                                    } else {
                                        if (attribute.performer != null) {
                                            ok = attribute.performer.toLowerCase().contains(q);
                                        }
                                        if (!ok && attribute.title != null) {
                                            ok = attribute.title.toLowerCase().contains(q);
                                        }
                                    }
                                }
                                if (ok) {
                                    resultArray.add(messageObject);
                                    break;
                                }
                            } else {
                                continue;
                            }
                        }
                        b++;
                    }
                }
            }
            updateSearchResults(resultArray);
        }

        private void updateSearchResults(final ArrayList<MessageObject> documents) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.Media1Activity$MediaSearchAdapter$$ExternalSyntheticLambda1
                @Override // java.lang.Runnable
                public final void run() {
                    Media1Activity.MediaSearchAdapter.this.m1783xc39b8d4d(documents);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$updateSearchResults$4$im-uecahxyvjd-ui-Media1Activity$MediaSearchAdapter  reason: not valid java name */
        public /* synthetic */ void m1783xc39b8d4d(ArrayList documents) {
            this.searchesInProgress--;
            this.searchResult = documents;
            int count = getItemCount();
            notifyDataSetChanged();
            for (int a2 = 0; a2 < Media1Activity.this.mediaPages.length; a2++) {
                if (Media1Activity.this.mediaPages[a2].listView.getAdapter() == this && count == 0 && Media1Activity.this.actionBar.getTranslationY() != 0.0f) {
                    Media1Activity.this.mediaPages[a2].layoutManager.scrollToPositionWithOffset(0, (int) Media1Activity.this.actionBar.getTranslationY());
                    return;
                }
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void notifyDataSetChanged() {
            super.notifyDataSetChanged();
            if (this.searchesInProgress == 0) {
                for (int a2 = 0; a2 < Media1Activity.this.mediaPages.length; a2++) {
                    if (Media1Activity.this.mediaPages[a2].selectedType == this.currentType) {
                        Media1Activity.this.mediaPages[a2].listView.setEmptyView(Media1Activity.this.mediaPages[a2].emptyView);
                        Media1Activity.this.mediaPages[a2].progressView.setVisibility(8);
                    }
                }
            }
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return holder.getItemViewType() != this.searchResult.size() + this.globalSearch.size();
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            int count = this.searchResult.size();
            int globalCount = this.globalSearch.size();
            if (globalCount != 0) {
                return count + globalCount;
            }
            return count;
        }

        public boolean isGlobalSearch(int i) {
            int localCount = this.searchResult.size();
            int globalCount = this.globalSearch.size();
            if ((i >= 0 && i < localCount) || i <= localCount || i > globalCount + localCount) {
                return false;
            }
            return true;
        }

        public MessageObject getItem(int i) {
            if (i < this.searchResult.size()) {
                return this.searchResult.get(i);
            }
            return this.globalSearch.get(i - this.searchResult.size());
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view;
            int i = this.currentType;
            if (i == 1) {
                view = new SharedDocumentCell(this.mContext);
            } else if (i == 4) {
                view = new SharedAudioCell(this.mContext) { // from class: im.uecahxyvjd.ui.Media1Activity.MediaSearchAdapter.1
                    @Override // im.uecahxyvjd.ui.cells.SharedAudioCell
                    public boolean needPlayMessage(MessageObject messageObject) {
                        if (messageObject.isVoice() || messageObject.isRoundVideo()) {
                            boolean result = MediaController.getInstance().playMessage(messageObject);
                            MediaController.getInstance().setVoiceMessagesPlaylist(result ? MediaSearchAdapter.this.searchResult : null, false);
                            if (messageObject.isRoundVideo()) {
                                MediaController.getInstance().setCurrentVideoVisible(false);
                            }
                            return result;
                        } else if (messageObject.isMusic()) {
                            return MediaController.getInstance().setPlaylist(MediaSearchAdapter.this.searchResult, messageObject);
                        } else {
                            return false;
                        }
                    }
                };
            } else {
                view = new SharedLinkCell(this.mContext);
                ((SharedLinkCell) view).setDelegate(Media1Activity.this.sharedLinkCellDelegate);
            }
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            int i = this.currentType;
            if (i == 1) {
                SharedDocumentCell sharedDocumentCell = (SharedDocumentCell) holder.itemView;
                MessageObject messageObject = getItem(position);
                sharedDocumentCell.setDocument(messageObject, position != getItemCount() - 1);
                if (Media1Activity.this.actionBar.isActionModeShowed()) {
                    sharedDocumentCell.setChecked(Media1Activity.this.selectedFiles[(messageObject.getDialogId() > Media1Activity.this.dialog_id ? 1 : (messageObject.getDialogId() == Media1Activity.this.dialog_id ? 0 : -1)) == 0 ? (char) 0 : (char) 1].indexOfKey(messageObject.getId()) >= 0, true ^ Media1Activity.this.scrolling);
                } else {
                    sharedDocumentCell.setChecked(false, true ^ Media1Activity.this.scrolling);
                }
            } else if (i == 3) {
                SharedLinkCell sharedLinkCell = (SharedLinkCell) holder.itemView;
                MessageObject messageObject2 = getItem(position);
                sharedLinkCell.setLink(messageObject2, position != getItemCount() - 1);
                if (Media1Activity.this.actionBar.isActionModeShowed()) {
                    sharedLinkCell.setChecked(Media1Activity.this.selectedFiles[(messageObject2.getDialogId() > Media1Activity.this.dialog_id ? 1 : (messageObject2.getDialogId() == Media1Activity.this.dialog_id ? 0 : -1)) == 0 ? (char) 0 : (char) 1].indexOfKey(messageObject2.getId()) >= 0, true ^ Media1Activity.this.scrolling);
                } else {
                    sharedLinkCell.setChecked(false, true ^ Media1Activity.this.scrolling);
                }
            } else if (i == 4) {
                SharedAudioCell sharedAudioCell = (SharedAudioCell) holder.itemView;
                MessageObject messageObject3 = getItem(position);
                sharedAudioCell.setMessageObject(messageObject3, position != getItemCount() - 1);
                if (Media1Activity.this.actionBar.isActionModeShowed()) {
                    sharedAudioCell.setChecked(Media1Activity.this.selectedFiles[(messageObject3.getDialogId() > Media1Activity.this.dialog_id ? 1 : (messageObject3.getDialogId() == Media1Activity.this.dialog_id ? 0 : -1)) == 0 ? (char) 0 : (char) 1].indexOfKey(messageObject3.getId()) >= 0, true ^ Media1Activity.this.scrolling);
                } else {
                    sharedAudioCell.setChecked(false, true ^ Media1Activity.this.scrolling);
                }
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int i) {
            return 0;
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public ThemeDescription[] getThemeDescriptions() {
        ArrayList<ThemeDescription> arrayList = new ArrayList<>();
        arrayList.add(new ThemeDescription(this.fragmentView, 0, null, null, null, null, Theme.key_windowBackgroundWhite));
        arrayList.add(new ThemeDescription(this.actionBar, ThemeDescription.FLAG_BACKGROUND, null, null, null, null, Theme.key_actionBarDefault));
        arrayList.add(new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_ITEMSCOLOR, null, null, null, null, Theme.key_actionBarDefaultIcon));
        arrayList.add(new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_TITLECOLOR, null, null, null, null, Theme.key_actionBarDefaultTitle));
        arrayList.add(new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_SELECTORCOLOR, null, null, null, null, Theme.key_actionBarDefaultSelector));
        arrayList.add(new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_SUBMENUBACKGROUND, null, null, null, null, Theme.key_actionBarDefaultSubmenuBackground));
        arrayList.add(new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_SUBMENUITEM, null, null, null, null, Theme.key_actionBarDefaultSubmenuItem));
        arrayList.add(new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_SUBMENUITEM | ThemeDescription.FLAG_IMAGECOLOR, null, null, null, null, Theme.key_actionBarDefaultSubmenuItemIcon));
        arrayList.add(new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_AM_ITEMSCOLOR, null, null, null, null, Theme.key_actionBarDefaultIcon));
        arrayList.add(new ThemeDescription(this.actionModeBackground, ThemeDescription.FLAG_BACKGROUND, null, null, null, null, Theme.key_sharedMedia_actionMode));
        arrayList.add(new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_AM_SELECTORCOLOR, null, null, null, null, Theme.key_actionBarDefaultSelector));
        arrayList.add(new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_SEARCH, null, null, null, null, Theme.key_actionBarDefaultSearch));
        arrayList.add(new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_SEARCHPLACEHOLDER, null, null, null, null, Theme.key_actionBarDefaultSearchPlaceholder));
        arrayList.add(new ThemeDescription(this.selectedMessagesCountTextView, ThemeDescription.FLAG_TEXTCOLOR, null, null, null, null, Theme.key_actionBarDefaultIcon));
        arrayList.add(new ThemeDescription(this.fragmentContextView, ThemeDescription.FLAG_CELLBACKGROUNDCOLOR, new Class[]{FragmentContextView.class}, new String[]{"frameLayout"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_inappPlayerBackground));
        arrayList.add(new ThemeDescription(this.fragmentContextView, 0, new Class[]{FragmentContextView.class}, new String[]{"playButton"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_inappPlayerPlayPause));
        arrayList.add(new ThemeDescription(this.fragmentContextView, ThemeDescription.FLAG_TEXTCOLOR, new Class[]{FragmentContextView.class}, new String[]{"titleTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_inappPlayerTitle));
        arrayList.add(new ThemeDescription(this.fragmentContextView, ThemeDescription.FLAG_TEXTCOLOR, new Class[]{FragmentContextView.class}, new String[]{"frameLayout"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_inappPlayerPerformer));
        arrayList.add(new ThemeDescription(this.fragmentContextView, ThemeDescription.FLAG_CELLBACKGROUNDCOLOR, new Class[]{FragmentContextView.class}, new String[]{"closeButton"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_inappPlayerClose));
        arrayList.add(new ThemeDescription(this.scrollSlidingTextTabStrip.getTabsContainer(), ThemeDescription.FLAG_TEXTCOLOR | ThemeDescription.FLAG_CHECKTAG, new Class[]{TextView.class}, null, null, null, Theme.key_actionBarTabActiveText));
        arrayList.add(new ThemeDescription(this.scrollSlidingTextTabStrip.getTabsContainer(), ThemeDescription.FLAG_TEXTCOLOR | ThemeDescription.FLAG_CHECKTAG, new Class[]{TextView.class}, null, null, null, Theme.key_actionBarTabUnactiveText));
        arrayList.add(new ThemeDescription(this.scrollSlidingTextTabStrip.getTabsContainer(), ThemeDescription.FLAG_BACKGROUNDFILTER | ThemeDescription.FLAG_DRAWABLESELECTEDSTATE, new Class[]{TextView.class}, null, null, null, Theme.key_actionBarTabLine));
        arrayList.add(new ThemeDescription(null, 0, null, null, new Drawable[]{this.scrollSlidingTextTabStrip.getSelectorDrawable()}, null, Theme.key_actionBarTabSelector));
        for (int a2 = 0; a2 < this.mediaPages.length; a2++) {
            final int num = a2;
            ThemeDescription.ThemeDescriptionDelegate cellDelegate = new ThemeDescription.ThemeDescriptionDelegate() { // from class: im.uecahxyvjd.ui.Media1Activity$$ExternalSyntheticLambda5
                @Override // im.uecahxyvjd.ui.actionbar.ThemeDescription.ThemeDescriptionDelegate
                public final void didSetColor() {
                    Media1Activity.this.m1775lambda$getThemeDescriptions$5$imuecahxyvjduiMedia1Activity(num);
                }
            };
            arrayList.add(new ThemeDescription(this.mediaPages[a2].emptyView, 0, null, null, null, null, Theme.key_windowBackgroundGray));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].progressView, 0, null, null, null, null, Theme.key_windowBackgroundGray));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_LISTGLOWCOLOR, null, null, null, null, Theme.key_actionBarDefault));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_SELECTOR, null, null, null, null, Theme.key_listSelector));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].emptyView, ThemeDescription.FLAG_TEXTCOLOR, null, null, null, null, Theme.key_emptyListPlaceholder));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].progressBar, ThemeDescription.FLAG_PROGRESSBAR, null, null, null, null, Theme.key_progressCircle));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].emptyTextView, ThemeDescription.FLAG_TEXTCOLOR, null, null, null, null, Theme.key_windowBackgroundWhiteGrayText2));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_SECTIONS, new Class[]{GraySectionCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_graySectionText));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_CELLBACKGROUNDCOLOR | ThemeDescription.FLAG_SECTIONS, new Class[]{GraySectionCell.class}, null, null, null, Theme.key_graySection));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_TEXTCOLOR, new Class[]{SharedDocumentCell.class}, new String[]{"nameTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlackText));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_TEXTCOLOR, new Class[]{SharedDocumentCell.class}, new String[]{"dateTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGrayText3));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_PROGRESSBAR, new Class[]{SharedDocumentCell.class}, new String[]{"progressView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_sharedMedia_startStopLoadIcon));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_IMAGECOLOR, new Class[]{SharedDocumentCell.class}, new String[]{"statusImageView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_sharedMedia_startStopLoadIcon));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_CHECKBOX, new Class[]{SharedDocumentCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_checkbox));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_CHECKBOXCHECK, new Class[]{SharedDocumentCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_checkboxCheck));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_IMAGECOLOR, new Class[]{SharedDocumentCell.class}, new String[]{"thumbImageView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_files_folderIcon));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_TEXTCOLOR, new Class[]{SharedDocumentCell.class}, new String[]{"extTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_files_iconText));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, 0, new Class[]{LoadingCell.class}, new String[]{"progressBar"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_progressCircle));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_CHECKBOX, new Class[]{SharedAudioCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_checkbox));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_CHECKBOXCHECK, new Class[]{SharedAudioCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_checkboxCheck));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_TEXTCOLOR, new Class[]{SharedAudioCell.class}, Theme.chat_contextResult_titleTextPaint, null, null, Theme.key_windowBackgroundWhiteBlackText));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_TEXTCOLOR, new Class[]{SharedAudioCell.class}, Theme.chat_contextResult_descriptionTextPaint, null, null, Theme.key_windowBackgroundWhiteGrayText2));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_CHECKBOX, new Class[]{SharedLinkCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_checkbox));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_CHECKBOXCHECK, new Class[]{SharedLinkCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_checkboxCheck));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, 0, new Class[]{SharedLinkCell.class}, new String[]{"titleTextPaint"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlackText));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, 0, new Class[]{SharedLinkCell.class}, null, null, null, Theme.key_windowBackgroundWhiteLinkText));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, 0, new Class[]{SharedLinkCell.class}, Theme.linkSelectionPaint, null, null, Theme.key_windowBackgroundWhiteLinkSelection));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, 0, new Class[]{SharedLinkCell.class}, new String[]{"letterDrawable"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_sharedMedia_linkPlaceholderText));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_BACKGROUNDFILTER, new Class[]{SharedLinkCell.class}, new String[]{"letterDrawable"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_sharedMedia_linkPlaceholder));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_CELLBACKGROUNDCOLOR | ThemeDescription.FLAG_SECTIONS, new Class[]{SharedMediaSectionCell.class}, null, null, null, Theme.key_windowBackgroundWhite));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_SECTIONS, new Class[]{SharedMediaSectionCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlackText));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, 0, new Class[]{SharedMediaSectionCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlackText));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, 0, new Class[]{SharedPhotoVideoCell.class}, new String[]{"backgroundPaint"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_sharedMedia_photoPlaceholder));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_CHECKBOX, new Class[]{SharedPhotoVideoCell.class}, null, null, cellDelegate, Theme.key_checkbox));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, ThemeDescription.FLAG_CHECKBOXCHECK, new Class[]{SharedPhotoVideoCell.class}, null, null, cellDelegate, Theme.key_checkboxCheck));
            arrayList.add(new ThemeDescription(this.mediaPages[a2].listView, 0, null, null, new Drawable[]{this.pinnedHeaderShadowDrawable}, null, Theme.key_windowBackgroundGrayShadow));
        }
        return (ThemeDescription[]) arrayList.toArray(new ThemeDescription[0]);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getThemeDescriptions$5$im-uecahxyvjd-ui-Media1Activity  reason: not valid java name */
    public /* synthetic */ void m1775lambda$getThemeDescriptions$5$imuecahxyvjduiMedia1Activity(int num) {
        if (this.mediaPages[num].listView != null) {
            int count = this.mediaPages[num].listView.getChildCount();
            for (int a1 = 0; a1 < count; a1++) {
                View child = this.mediaPages[num].listView.getChildAt(a1);
                if (child instanceof SharedPhotoVideoCell) {
                    ((SharedPhotoVideoCell) child).updateCheckboxColor();
                }
            }
        }
    }
}
