package im.uecahxyvjd.ui;

import android.app.Activity;
import android.content.Context;
import android.graphics.Point;
import android.os.Build;
import android.provider.Settings;
import android.text.TextUtils;
import android.util.SparseArray;
import android.view.Display;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.view.inputmethod.InputMethodManager;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.recyclerview.widget.LinearLayoutManager;
import com.baidu.location.BDAbstractLocationListener;
import com.baidu.location.BDLocation;
import com.baidu.location.LocationClient;
import com.baidu.location.LocationClientOption;
import com.baidu.mapapi.map.BaiduMap;
import com.baidu.mapapi.map.BitmapDescriptor;
import com.baidu.mapapi.map.BitmapDescriptorFactory;
import com.baidu.mapapi.map.MapStatus;
import com.baidu.mapapi.map.MapStatusUpdateFactory;
import com.baidu.mapapi.map.MapView;
import com.baidu.mapapi.map.MarkerOptions;
import com.baidu.mapapi.map.MyLocationData;
import com.baidu.mapapi.map.Overlay;
import com.baidu.mapapi.map.OverlayOptions;
import com.baidu.mapapi.model.LatLng;
import com.baidu.mapapi.search.core.PoiInfo;
import com.baidu.mapapi.search.poi.OnGetPoiSearchResultListener;
import com.baidu.mapapi.search.poi.PoiCitySearchOption;
import com.baidu.mapapi.search.poi.PoiDetailResult;
import com.baidu.mapapi.search.poi.PoiDetailSearchResult;
import com.baidu.mapapi.search.poi.PoiIndoorResult;
import com.baidu.mapapi.search.poi.PoiNearbySearchOption;
import com.baidu.mapapi.search.poi.PoiResult;
import com.baidu.mapapi.search.poi.PoiSearch;
import com.baidu.mapapi.utils.CoordinateConverter;
import com.baidu.mapapi.utils.DistanceUtil;
import com.baidu.mapsdkplatform.comapi.location.CoordinateType;
import com.blankj.utilcode.util.AppUtils;
import com.blankj.utilcode.util.KeyboardUtils;
import com.google.android.material.bottomsheet.BottomSheetBehavior;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ChatObject;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.LocationController;
import im.uecahxyvjd.messenger.MessageObject;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.cells.SendLocationCell;
import im.uecahxyvjd.ui.components.AlertsCreator;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.dialogs.BottomDialog;
import im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageHolder;
import im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter;
import im.uecahxyvjd.ui.hviews.search.MrySearchView;
import im.uecahxyvjd.ui.utils.NaviUtils;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
/* loaded from: classes12.dex */
public class NewLocationActivity extends BaseFragment implements View.OnClickListener, NotificationCenter.NotificationCenterDelegate {
    private static final String KEYWORD = "美食$购物$休闲娱乐$生活服务$酒店$交通设施$房地产$医疗$教育培训$自然地物";
    public static final int LOCATION_SEND = 0;
    public static final int LOCATION_SHARING_SEND = 2;
    public static final int LOCATION_SHARING_VIEW = 3;
    public static final int LOCATION_VIEW = 1;
    private static final int SEARCH_CITY = 1;
    private static final int SEARCH_NEARBY = 0;
    private TLRPC.TL_channelLocation chatLocation;
    private LocationActivityDelegate delegate;
    private long dialogId;
    private TLRPC.TL_channelLocation initialLocation;
    private boolean isInterceptTouch;
    private boolean isSearchMode;
    private RecyclerListView listView;
    private MyLocationData locData;
    private int locationType;
    private MyAdapter mAdapter;
    private BaiduMap mBaiduMap;
    private BottomSheetBehavior mBehavior;
    private Context mContext;
    private BDLocation mCurrentLocation;
    private FrameLayout mFlBottomMenu;
    private ImageView mIvCenterMarker;
    private ImageView mIvLocation;
    private ImageView mIvNavigate;
    private LinearLayout mLlNavigateInfo;
    LocationClient mLocClient;
    public MyLocationListener mLocationListener;
    MapView mMapView;
    private Overlay mMarker;
    private PoiSearch mPoiSearch;
    private RelativeLayout mRlBottomSheet;
    private RelativeLayout mRlMapContainer;
    private RelativeLayout mRlProgress;
    private RelativeLayout mRlTopBtn;
    private MrySearchView mSearchView;
    private TextView mTvAddress;
    private TextView mTvCancel;
    private TextView mTvLocName;
    private TextView mTvSend;
    private TLRPC.User mUser;
    private MessageObject messageObject;
    private float oldOffset;
    private float oldX;
    private float oldY;
    private String searchKeyword;
    private int searchType;
    private PoiInfo selectedLocation;
    private SparseArray<LiveLocation> markersMap = new SparseArray<>();
    private ArrayList<LiveLocation> markers = new ArrayList<>();
    private int mCurrentDirection = 0;
    boolean isFirstLoc = true;

    /* loaded from: classes12.dex */
    public interface LocationActivityDelegate {
        void didSelectLocation(TLRPC.MessageMedia messageMedia, int i, boolean z, int i2);
    }

    /* loaded from: classes12.dex */
    public class LiveLocation {
        public TLRPC.Chat chat;
        public int id;
        public Overlay marker;
        public TLRPC.Message object;
        public TLRPC.User user;

        public LiveLocation() {
        }
    }

    /* loaded from: classes12.dex */
    public class MyLocationListener extends BDAbstractLocationListener {
        public MyLocationListener() {
        }

        @Override // com.baidu.location.BDAbstractLocationListener
        public void onReceiveLocation(BDLocation location) {
            LiveLocation liveLocation;
            if (location != null && NewLocationActivity.this.mMapView != null) {
                NewLocationActivity.this.mCurrentLocation = location;
                NewLocationActivity.this.locData = new MyLocationData.Builder().accuracy(location.getRadius()).direction(NewLocationActivity.this.mCurrentDirection).latitude(location.getLatitude()).longitude(location.getLongitude()).build();
                if (NewLocationActivity.this.locationType != 3 || !NewLocationActivity.this.getLocationController().isSharingLocation(NewLocationActivity.this.dialogId)) {
                    NewLocationActivity.this.mBaiduMap.setMyLocationData(NewLocationActivity.this.locData);
                }
                if (!NewLocationActivity.this.isFirstLoc) {
                    if (NewLocationActivity.this.locationType == 3 && NewLocationActivity.this.getLocationController().isSharingLocation(NewLocationActivity.this.dialogId) && (liveLocation = (LiveLocation) NewLocationActivity.this.markersMap.get(NewLocationActivity.this.mUser.id)) != null) {
                        LatLng ll = new LatLng(location.getLatitude(), location.getLongitude());
                        liveLocation.marker.remove();
                        NewLocationActivity newLocationActivity = NewLocationActivity.this;
                        liveLocation.marker = newLocationActivity.createUserMarker(ll, newLocationActivity.mUser);
                        return;
                    }
                    return;
                }
                LatLng ll2 = null;
                if (NewLocationActivity.this.locationType != 0) {
                    if (NewLocationActivity.this.locationType == 1) {
                        NewLocationActivity.this.mTvLocName.setText(NewLocationActivity.this.messageObject.messageOwner.media.title);
                        NewLocationActivity.this.mTvAddress.setText(NewLocationActivity.this.messageObject.messageOwner.media.address);
                        TLRPC.GeoPoint geoPoint = NewLocationActivity.this.messageObject.messageOwner.media.geo;
                        ll2 = new LatLng(geoPoint.lat, geoPoint._long);
                        NewLocationActivity.this.addLocMarker(ll2);
                    } else if (NewLocationActivity.this.locationType == 2) {
                        if (NewLocationActivity.this.initialLocation != null) {
                            ll2 = new LatLng(NewLocationActivity.this.initialLocation.geo_point.lat, NewLocationActivity.this.initialLocation.geo_point._long);
                        } else {
                            ll2 = new LatLng(location.getLatitude(), location.getLongitude());
                        }
                    } else if (NewLocationActivity.this.locationType == 3) {
                        if (NewLocationActivity.this.chatLocation == null) {
                            if (NewLocationActivity.this.messageObject.getFromId() != NewLocationActivity.this.mUser.id) {
                                TLRPC.GeoPoint geoPoint2 = NewLocationActivity.this.messageObject.messageOwner.media.geo;
                                ll2 = new LatLng(geoPoint2.lat, geoPoint2._long);
                                NewLocationActivity newLocationActivity2 = NewLocationActivity.this;
                                newLocationActivity2.addUserMarker(newLocationActivity2.messageObject.messageOwner);
                            } else {
                                ll2 = new LatLng(location.getLatitude(), location.getLongitude());
                                if (NewLocationActivity.this.getLocationController().isSharingLocation(NewLocationActivity.this.dialogId)) {
                                    NewLocationActivity newLocationActivity3 = NewLocationActivity.this;
                                    newLocationActivity3.addUserMarker(newLocationActivity3.messageObject.messageOwner);
                                }
                            }
                        } else {
                            ll2 = new LatLng(NewLocationActivity.this.chatLocation.geo_point.lat, NewLocationActivity.this.chatLocation.geo_point._long);
                        }
                        NewLocationActivity.this.getRecentLocations();
                    }
                } else {
                    ll2 = new LatLng(location.getLatitude(), location.getLongitude());
                }
                if (ll2 != null) {
                    MapStatus.Builder builder = new MapStatus.Builder();
                    builder.target(ll2).zoom(18.0f);
                    NewLocationActivity.this.mBaiduMap.animateMapStatus(MapStatusUpdateFactory.newMapStatus(builder.build()));
                }
                if (NewLocationActivity.this.locationType == 0) {
                    NewLocationActivity.this.mIvCenterMarker.setVisibility(0);
                    NewLocationActivity.this.search(0, NewLocationActivity.KEYWORD, 0, true);
                }
                NewLocationActivity.this.isFirstLoc = false;
            }
        }
    }

    public NewLocationActivity(int type) {
        this.locationType = type;
    }

    public NewLocationActivity(int type, long dialogId) {
        this.locationType = type;
        this.dialogId = dialogId;
    }

    public NewLocationActivity(int type, MessageObject messageObject) {
        this.locationType = type;
        this.messageObject = messageObject;
        this.dialogId = messageObject.getDialogId();
    }

    public void setDelegate(LocationActivityDelegate delegate) {
        this.delegate = delegate;
    }

    public void setInitialLocation(TLRPC.TL_channelLocation location) {
        this.initialLocation = location;
    }

    public void setChatLocation(int chatId, TLRPC.TL_channelLocation location) {
        this.dialogId = -chatId;
        this.chatLocation = location;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onBecomeFullyVisible() {
        super.onBecomeFullyVisible();
        FrameLayout.LayoutParams lp = (FrameLayout.LayoutParams) this.mIvCenterMarker.getLayoutParams();
        lp.bottomMargin = (this.mIvCenterMarker.getMeasuredHeight() / 2) + AndroidUtilities.dp(14.0f);
        this.mIvCenterMarker.setLayoutParams(lp);
        layoutProgress(this.mRlBottomSheet.getMeasuredHeight() - this.mBehavior.getPeekHeight());
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        this.mUser = UserConfig.getInstance(UserConfig.selectedAccount).getCurrentUser();
        MessageObject messageObject = this.messageObject;
        if (messageObject != null && messageObject.isLiveLocation()) {
            getNotificationCenter().addObserver(this, NotificationCenter.didReceiveNewMessages);
            getNotificationCenter().addObserver(this, NotificationCenter.replaceMessagesObjects);
        }
        return super.onFragmentCreate();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.mContext = context;
        getParentActivity().getWindow().setSoftInputMode(32);
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_new_location, (ViewGroup) null);
        initActionBar();
        initView();
        return this.fragmentView;
    }

    private void initActionBar() {
        this.swipeBackEnabled = false;
        int i = this.locationType;
        if (i == 0) {
            this.actionBar.setAddToContainer(false);
            return;
        }
        if (i == 1) {
            this.actionBar.setTitle(LocaleController.getString("LocationInfo", R.string.LocationInfo));
        } else if (i == 2 || i == 3) {
            this.actionBar.setTitle(LocaleController.getString("LiveLocations", R.string.LiveLocations));
        }
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setCastShadows(false);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.NewLocationActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                super.onItemClick(id);
                if (id == -1) {
                    NewLocationActivity.this.finishFragment();
                }
            }
        });
    }

    private void initView() {
        this.mRlMapContainer = (RelativeLayout) this.fragmentView.findViewById(R.id.rl_map_container);
        this.mMapView = (MapView) this.fragmentView.findViewById(R.id.map_view);
        this.mIvLocation = (ImageView) this.fragmentView.findViewById(R.id.iv_location);
        this.mRlTopBtn = (RelativeLayout) this.fragmentView.findViewById(R.id.rl_top_btn);
        this.mTvCancel = (TextView) this.fragmentView.findViewById(R.id.tv_cancel);
        this.mTvSend = (TextView) this.fragmentView.findViewById(R.id.tv_send);
        this.mIvCenterMarker = (ImageView) this.fragmentView.findViewById(R.id.iv_center_marker);
        this.listView = (RecyclerListView) this.fragmentView.findViewById(R.id.rv_location_info);
        this.mSearchView = (MrySearchView) this.fragmentView.findViewById(R.id.search_view);
        this.mRlBottomSheet = (RelativeLayout) this.fragmentView.findViewById(R.id.rl_bottom_sheet);
        this.mRlProgress = (RelativeLayout) this.fragmentView.findViewById(R.id.rl_progress);
        this.mFlBottomMenu = (FrameLayout) this.fragmentView.findViewById(R.id.fl_bottom_menu);
        this.mLlNavigateInfo = (LinearLayout) this.fragmentView.findViewById(R.id.ll_navigate_info);
        this.mTvLocName = (TextView) this.fragmentView.findViewById(R.id.tv_loc_name);
        this.mTvAddress = (TextView) this.fragmentView.findViewById(R.id.tv_address);
        this.mIvNavigate = (ImageView) this.fragmentView.findViewById(R.id.iv_navigate);
        this.mRlBottomSheet.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
        this.mIvLocation.setBackground(Theme.createSimpleSelectorRoundRectDrawable(AndroidUtilities.dp(30.0f), Theme.getColor(Theme.key_windowBackgroundWhite), Theme.getColor(Theme.key_windowBackgroundGray)));
        this.mTvCancel.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), 1342177280));
        this.mTvSend.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_avatar_backgroundGreen)));
        this.mIvLocation.setOnClickListener(this);
        this.mTvCancel.setOnClickListener(this);
        this.mTvSend.setOnClickListener(this);
        this.mIvNavigate.setOnClickListener(this);
        initBottom();
        this.mSearchView.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(10.0f), Theme.getColor(Theme.key_windowBackgroundGray)));
        this.listView.setLayoutManager(new LinearLayoutManager(this.mContext));
        this.mAdapter = new MyAdapter(this.mContext);
        RecyclerListView recyclerListView = this.listView;
        MyAdapter myAdapter = new MyAdapter(this.mContext);
        this.mAdapter = myAdapter;
        recyclerListView.setAdapter(myAdapter);
        this.listView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.NewLocationActivity$$ExternalSyntheticLambda1
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                NewLocationActivity.this.m1814lambda$initView$0$imuecahxyvjduiNewLocationActivity(view, i);
            }
        });
        initBaiduMap();
        initSearchView();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initView$0$im-uecahxyvjd-ui-NewLocationActivity  reason: not valid java name */
    public /* synthetic */ void m1814lambda$initView$0$imuecahxyvjduiNewLocationActivity(View view, int position) {
        PoiInfo info = this.mAdapter.getItem(position);
        if (info != null) {
            this.selectedLocation = info;
            MapStatus.Builder builder = new MapStatus.Builder();
            builder.target(info.location);
            this.mBaiduMap.animateMapStatus(MapStatusUpdateFactory.newMapStatus(builder.build()));
            this.mAdapter.notifyDataSetChanged();
            if (this.isSearchMode) {
                addLocMarker(info.location);
            }
        }
    }

    private void initBottom() {
        this.mBehavior = BottomSheetBehavior.from(this.mRlBottomSheet);
        int peekHeight = AndroidUtilities.dp(300.0f);
        int i = this.locationType;
        if (i == 0) {
            ViewGroup.LayoutParams lp1 = this.mRlBottomSheet.getLayoutParams();
            lp1.height = (getScreenHeight() / 3) * 2;
            this.mRlBottomSheet.setLayoutParams(lp1);
            this.mRlBottomSheet.setVisibility(0);
            ViewGroup.LayoutParams lp2 = this.mRlMapContainer.getLayoutParams();
            lp2.height = getScreenHeight() - peekHeight;
            this.mRlMapContainer.setLayoutParams(lp2);
            this.mBehavior.setPeekHeight(peekHeight);
            this.mRlTopBtn.setVisibility(0);
        } else if (i == 1) {
            this.mLlNavigateInfo.setVisibility(0);
        } else if (i == 2 || i == 3) {
            SendLocationCell cell = new SendLocationCell(this.mContext, true);
            cell.setDialogId(this.dialogId);
            cell.setOnLiveStopListener(new SendLocationCell.OnLiveStopListener() { // from class: im.uecahxyvjd.ui.NewLocationActivity$$ExternalSyntheticLambda5
                @Override // im.uecahxyvjd.ui.cells.SendLocationCell.OnLiveStopListener
                public final void onStop() {
                    NewLocationActivity.this.m1811lambda$initBottom$1$imuecahxyvjduiNewLocationActivity();
                }
            });
            cell.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.NewLocationActivity$$ExternalSyntheticLambda6
                @Override // android.view.View.OnClickListener
                public final void onClick(View view) {
                    NewLocationActivity.this.m1812lambda$initBottom$2$imuecahxyvjduiNewLocationActivity(view);
                }
            });
            this.mFlBottomMenu.addView(cell, LayoutHelper.createLinear(-1, -2));
        }
        this.mBehavior.setBottomSheetCallback(new BottomSheetBehavior.BottomSheetCallback() { // from class: im.uecahxyvjd.ui.NewLocationActivity.2
            @Override // com.google.android.material.bottomsheet.BottomSheetBehavior.BottomSheetCallback
            public void onStateChanged(View view, int newState) {
                if (newState == 3) {
                    NewLocationActivity.this.layoutProgress(0);
                } else if (newState == 4) {
                    InputMethodManager manager = (InputMethodManager) NewLocationActivity.this.mContext.getSystemService("input_method");
                    if (manager.isActive() && manager != null) {
                        manager.hideSoftInputFromWindow(NewLocationActivity.this.listView.getWindowToken(), 2);
                    }
                    NewLocationActivity newLocationActivity = NewLocationActivity.this;
                    newLocationActivity.layoutProgress(newLocationActivity.mRlBottomSheet.getMeasuredHeight() - NewLocationActivity.this.mBehavior.getPeekHeight());
                }
            }

            @Override // com.google.android.material.bottomsheet.BottomSheetBehavior.BottomSheetCallback
            public void onSlide(View view, float slideOffset) {
                int height = NewLocationActivity.this.mRlMapContainer.getMeasuredHeight() / 5;
                if (slideOffset != NewLocationActivity.this.oldOffset) {
                    NewLocationActivity.this.mRlMapContainer.setTranslationY((-slideOffset) * height);
                    NewLocationActivity newLocationActivity = NewLocationActivity.this;
                    newLocationActivity.layoutProgress((int) ((1.0f - slideOffset) * (newLocationActivity.mRlBottomSheet.getMeasuredHeight() - NewLocationActivity.this.mBehavior.getPeekHeight())));
                }
                NewLocationActivity.this.oldOffset = slideOffset;
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initBottom$1$im-uecahxyvjd-ui-NewLocationActivity  reason: not valid java name */
    public /* synthetic */ void m1811lambda$initBottom$1$imuecahxyvjduiNewLocationActivity() {
        LiveLocation liveLocation = this.markersMap.get(this.mUser.id);
        if (liveLocation != null) {
            liveLocation.marker.remove();
            this.markersMap.remove(this.mUser.id);
        }
        this.mBaiduMap.setMyLocationData(this.locData);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initBottom$2$im-uecahxyvjd-ui-NewLocationActivity  reason: not valid java name */
    public /* synthetic */ void m1812lambda$initBottom$2$imuecahxyvjduiNewLocationActivity(View v) {
        if (getLocationController().isSharingLocation(this.dialogId)) {
            getLocationController().removeSharingLocation(this.dialogId);
            finishFragment();
            return;
        }
        sendLocation();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void layoutProgress(int bottomMargin) {
        FrameLayout.LayoutParams lp = (FrameLayout.LayoutParams) this.mRlProgress.getLayoutParams();
        lp.bottomMargin = bottomMargin;
        this.mRlProgress.setLayoutParams(lp);
    }

    private void initBaiduMap() {
        this.mBaiduMap = this.mMapView.getMap();
        this.mMapView.showZoomControls(false);
        this.mMapView.showScaleControl(false);
        this.mBaiduMap.setMapType(1);
        this.mBaiduMap.setMyLocationEnabled(true);
        this.mBaiduMap.setOnMapTouchListener(new BaiduMap.OnMapTouchListener() { // from class: im.uecahxyvjd.ui.NewLocationActivity$$ExternalSyntheticLambda3
            @Override // com.baidu.mapapi.map.BaiduMap.OnMapTouchListener
            public final void onTouch(MotionEvent motionEvent) {
                NewLocationActivity.this.m1810lambda$initBaiduMap$3$imuecahxyvjduiNewLocationActivity(motionEvent);
            }
        });
        initLocationClient();
        if (this.locationType == 0) {
            initPoiSearch();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initBaiduMap$3$im-uecahxyvjd-ui-NewLocationActivity  reason: not valid java name */
    public /* synthetic */ void m1810lambda$initBaiduMap$3$imuecahxyvjduiNewLocationActivity(MotionEvent motionEvent) {
        motionEvent.getPointerCount();
        switch (motionEvent.getAction()) {
            case 0:
                if (this.mBehavior.getState() == 3) {
                    this.mBehavior.setState(4);
                    this.isInterceptTouch = true;
                    return;
                }
                this.oldX = motionEvent.getX();
                this.oldY = motionEvent.getY();
                return;
            case 1:
                if (!this.isInterceptTouch) {
                    float currentX = motionEvent.getX();
                    float currentY = motionEvent.getY();
                    if ((this.oldX != currentX || this.oldY != currentY) && !this.isSearchMode) {
                        search(0, KEYWORD, 0, true);
                        return;
                    }
                    return;
                }
                this.isInterceptTouch = false;
                return;
            case 2:
            default:
                return;
            case 3:
                this.isInterceptTouch = false;
                return;
        }
    }

    private void initLocationClient() {
        LocationClient locationClient = new LocationClient(this.mContext);
        this.mLocClient = locationClient;
        MyLocationListener myLocationListener = new MyLocationListener();
        this.mLocationListener = myLocationListener;
        locationClient.registerLocationListener(myLocationListener);
        LocationClientOption option = new LocationClientOption();
        option.setOpenGps(true);
        option.setCoorType(CoordinateType.GCJ02);
        option.setScanSpan(1000);
        option.setIgnoreKillProcess(false);
        option.setIsNeedAddress(true);
        this.mLocClient.setLocOption(option);
        this.mLocClient.start();
    }

    private void initPoiSearch() {
        PoiSearch newInstance = PoiSearch.newInstance();
        this.mPoiSearch = newInstance;
        newInstance.setOnGetPoiSearchResultListener(new OnGetPoiSearchResultListener() { // from class: im.uecahxyvjd.ui.NewLocationActivity.3
            @Override // com.baidu.mapapi.search.poi.OnGetPoiSearchResultListener
            public void onGetPoiResult(PoiResult poiResult) {
                List<PoiInfo> allPoi = poiResult.getAllPoi();
                if (allPoi != null && !allPoi.isEmpty()) {
                    if (!NewLocationActivity.this.isSearchMode) {
                        if (NewLocationActivity.this.selectedLocation == null || NewLocationActivity.this.mAdapter.getPage() == 0) {
                            NewLocationActivity.this.selectedLocation = allPoi.get(0);
                        }
                    } else {
                        NewLocationActivity.this.selectedLocation = null;
                    }
                } else {
                    allPoi = new ArrayList();
                    NewLocationActivity.this.selectedLocation = null;
                }
                NewLocationActivity.this.mAdapter.addData((List) allPoi);
                NewLocationActivity.this.mRlProgress.setVisibility(4);
            }

            @Override // com.baidu.mapapi.search.poi.OnGetPoiSearchResultListener
            public void onGetPoiDetailResult(PoiDetailResult poiDetailResult) {
            }

            @Override // com.baidu.mapapi.search.poi.OnGetPoiSearchResultListener
            public void onGetPoiDetailResult(PoiDetailSearchResult poiDetailSearchResult) {
            }

            @Override // com.baidu.mapapi.search.poi.OnGetPoiSearchResultListener
            public void onGetPoiIndoorResult(PoiIndoorResult poiIndoorResult) {
            }
        });
    }

    private void initSearchView() {
        this.mSearchView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
        this.mSearchView.setHintText(LocaleController.getString("SearchLocation", R.string.SearchLocation));
        this.mSearchView.setiSearchViewDelegate(new MrySearchView.ISearchViewDelegate() { // from class: im.uecahxyvjd.ui.NewLocationActivity.4
            @Override // im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
            public void onStart(boolean focus) {
                if (focus) {
                    NewLocationActivity.this.isSearchMode = true;
                    if (NewLocationActivity.this.mBehavior.getState() != 3) {
                        NewLocationActivity.this.mBehavior.setState(3);
                    }
                    NewLocationActivity.this.mIvCenterMarker.setVisibility(4);
                    return;
                }
                NewLocationActivity.this.isSearchMode = false;
                if (NewLocationActivity.this.mBehavior.getState() != 4) {
                    NewLocationActivity.this.mBehavior.setState(4);
                }
                NewLocationActivity newLocationActivity = NewLocationActivity.this;
                newLocationActivity.removeMarker(newLocationActivity.mMarker);
                NewLocationActivity.this.mIvCenterMarker.setVisibility(0);
                NewLocationActivity.this.search(0, NewLocationActivity.KEYWORD, 0, true);
            }

            @Override // im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
            public void onSearchExpand() {
            }

            @Override // im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
            public boolean canCollapseSearch() {
                return true;
            }

            @Override // im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
            public void onSearchCollapse() {
            }

            @Override // im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
            public void onTextChange(String value) {
                if (TextUtils.isEmpty(value)) {
                    NewLocationActivity newLocationActivity = NewLocationActivity.this;
                    newLocationActivity.removeMarker(newLocationActivity.mMarker);
                }
                NewLocationActivity.this.search(1, value, 0, true);
            }

            @Override // im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
            public void onActionSearch(String trim) {
            }
        });
        KeyboardUtils.registerSoftInputChangedListener(getParentActivity(), new KeyboardUtils.OnSoftInputChangedListener() { // from class: im.uecahxyvjd.ui.NewLocationActivity$$ExternalSyntheticLambda0
            @Override // com.blankj.utilcode.util.KeyboardUtils.OnSoftInputChangedListener
            public final void onSoftInputChanged(int i) {
                NewLocationActivity.this.m1813lambda$initSearchView$4$imuecahxyvjduiNewLocationActivity(i);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initSearchView$4$im-uecahxyvjd-ui-NewLocationActivity  reason: not valid java name */
    public /* synthetic */ void m1813lambda$initSearchView$4$imuecahxyvjduiNewLocationActivity(int height) {
        if (height > 0 && this.mBehavior.getState() != 3) {
            this.mBehavior.setState(3);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void search(int type, String keyword, int page, boolean isReset) {
        BDLocation bDLocation;
        if (this.locationType != 0 || (bDLocation = this.mCurrentLocation) == null || TextUtils.isEmpty(bDLocation.getCity()) || this.mBaiduMap.getMapStatus().target == null) {
            return;
        }
        if (page == 0) {
            this.mRlProgress.setVisibility(0);
        }
        if (isReset) {
            this.mAdapter.pageReset();
            this.mAdapter.clearData();
        }
        if (type == 0) {
            LatLng latLng = this.mBaiduMap.getMapStatus().target;
            this.mPoiSearch.searchNearby(new PoiNearbySearchOption().location(latLng).keyword(keyword).radius(1000).pageNum(page).pageCapacity(20).radiusLimit(true));
        } else if (type == 1) {
            this.mPoiSearch.searchInCity(new PoiCitySearchOption().city(this.mCurrentLocation.getCity()).keyword(keyword).pageNum(page).pageCapacity(20));
        }
        this.searchType = type;
        this.searchKeyword = keyword;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onBackPressed() {
        if (this.mBehavior.getState() == 3) {
            this.mBehavior.setState(4);
            return false;
        }
        MrySearchView mrySearchView = this.mSearchView;
        if (mrySearchView != null && mrySearchView.isSearchFieldVisible()) {
            this.mSearchView.closeSearchField();
            return false;
        }
        return super.onBackPressed();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onResume() {
        super.onResume();
        this.mMapView.onResume();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onPause() {
        super.onPause();
        this.mMapView.onPause();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        super.onFragmentDestroy();
        getNotificationCenter().removeObserver(this, NotificationCenter.didReceiveNewMessages);
        getNotificationCenter().removeObserver(this, NotificationCenter.replaceMessagesObjects);
        MrySearchView mrySearchView = this.mSearchView;
        if (mrySearchView != null && mrySearchView.isSearchFieldVisible()) {
            this.mSearchView.closeSearchField(false);
        }
        PoiSearch poiSearch = this.mPoiSearch;
        if (poiSearch != null) {
            poiSearch.destroy();
            this.mPoiSearch = null;
        }
        LocationClient locationClient = this.mLocClient;
        if (locationClient != null) {
            locationClient.unRegisterLocationListener(this.mLocationListener);
            this.mLocClient.stop();
            this.mLocClient = null;
        }
        this.mBaiduMap.setMyLocationEnabled(false);
        this.mMapView.onDestroy();
        this.mMapView = null;
        this.mBaiduMap = null;
        KeyboardUtils.unregisterSoftInputChangedListener(getParentActivity().getWindow());
    }

    @Override // android.view.View.OnClickListener
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.iv_location /* 2131296814 */:
                moveToMyLocation();
                return;
            case R.id.iv_navigate /* 2131296822 */:
                alertNavi();
                return;
            case R.id.tv_cancel /* 2131297728 */:
                finishFragment();
                return;
            case R.id.tv_send /* 2131297841 */:
                sendLocation();
                return;
            default:
                return;
        }
    }

    private void alertNavi() {
        BottomDialog dialog = new BottomDialog(this.mContext);
        dialog.addDialogItem(new BottomDialog.NormalTextItem(0, "百度地图", true));
        dialog.addDialogItem(new BottomDialog.NormalTextItem(1, "高德地图", true));
        dialog.addDialogItem(new BottomDialog.NormalTextItem(2, "腾讯地图", false));
        dialog.setOnItemClickListener(new BottomDialog.OnItemClickListener() { // from class: im.uecahxyvjd.ui.NewLocationActivity$$ExternalSyntheticLambda4
            @Override // im.uecahxyvjd.ui.dialogs.BottomDialog.OnItemClickListener
            public final void onItemClick(int i, View view) {
                NewLocationActivity.this.m1807lambda$alertNavi$5$imuecahxyvjduiNewLocationActivity(i, view);
            }
        });
        showDialog(dialog);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$alertNavi$5$im-uecahxyvjd-ui-NewLocationActivity  reason: not valid java name */
    public /* synthetic */ void m1807lambda$alertNavi$5$imuecahxyvjduiNewLocationActivity(int id, View v1) {
        startNavi(id);
    }

    private void startNavi(int id) {
        switch (id) {
            case 0:
                if (!AppUtils.isAppInstalled(NaviUtils.PN_BAIDU_MAP)) {
                    ToastUtils.show((int) R.string.InstallBaiduMapTips);
                    return;
                }
                TLRPC.GeoPoint geoPoint = this.messageObject.messageOwner.media.geo;
                LatLng startPoint = new LatLng(this.mCurrentLocation.getLatitude(), this.mCurrentLocation.getLongitude());
                LatLng endPoint = new LatLng(geoPoint.lat, geoPoint._long);
                CoordinateConverter converter = new CoordinateConverter().from(CoordinateConverter.CoordType.COMMON);
                LatLng startPoint2 = converter.coord(startPoint).convert();
                LatLng endPoint2 = converter.coord(endPoint).convert();
                NaviUtils.startBaiduNavi(this.mContext, this.mCurrentLocation.getAddress().address, startPoint2.latitude, startPoint2.longitude, this.messageObject.messageOwner.media.address, endPoint2.latitude, endPoint2.longitude);
                return;
            case 1:
                if (!AppUtils.isAppInstalled(NaviUtils.PN_GAODE_MAP)) {
                    ToastUtils.show((int) R.string.InstallGaodeMapTips);
                    return;
                }
                TLRPC.GeoPoint geoPoint1 = this.messageObject.messageOwner.media.geo;
                NaviUtils.startGaodeNavi(this.mContext, this.mCurrentLocation.getAddress().address, this.mCurrentLocation.getLatitude(), this.mCurrentLocation.getLongitude(), this.messageObject.messageOwner.media.address, geoPoint1.lat, geoPoint1._long);
                return;
            case 2:
                if (!AppUtils.isAppInstalled(NaviUtils.PN_TENCENT_MAP)) {
                    ToastUtils.show((int) R.string.InstallTencentMapTips);
                    return;
                }
                TLRPC.GeoPoint geoPoint2 = this.messageObject.messageOwner.media.geo;
                NaviUtils.startTencentNavi(this.mContext, this.mCurrentLocation.getAddress().address, this.mCurrentLocation.getLatitude(), this.mCurrentLocation.getLongitude(), this.messageObject.messageOwner.media.address, geoPoint2.lat, geoPoint2._long);
                return;
            default:
                return;
        }
    }

    private void moveToMyLocation() {
        LatLng latLng;
        if (this.mCurrentLocation == null) {
            return;
        }
        if (this.locationType == 3) {
            MessageObject messageObject = this.messageObject;
            if (messageObject != null && messageObject.getFromId() != this.mUser.id) {
                latLng = new LatLng(this.messageObject.messageOwner.media.geo.lat, this.messageObject.messageOwner.media.geo._long);
            } else {
                latLng = new LatLng(this.mCurrentLocation.getLatitude(), this.mCurrentLocation.getLongitude());
            }
        } else {
            latLng = new LatLng(this.mCurrentLocation.getLatitude(), this.mCurrentLocation.getLongitude());
        }
        MapStatus.Builder builder = new MapStatus.Builder();
        builder.target(latLng);
        this.mBaiduMap.animateMapStatus(MapStatusUpdateFactory.newMapStatus(builder.build()));
        if (this.locationType == 0) {
            search(0, KEYWORD, 0, true);
        }
    }

    private void sendLocation() {
        int i = this.locationType;
        if (i == 0) {
            if (this.selectedLocation != null) {
                TLRPC.TL_messageMediaGeo location = new TLRPC.TL_messageMediaGeo();
                location.title = this.selectedLocation.name;
                location.address = this.selectedLocation.address;
                location.geo = new TLRPC.TL_geoPoint();
                location.geo.lat = AndroidUtilities.fixLocationCoord(this.selectedLocation.location.latitude);
                location.geo._long = AndroidUtilities.fixLocationCoord(this.selectedLocation.location.longitude);
                LocationActivityDelegate locationActivityDelegate = this.delegate;
                if (locationActivityDelegate != null) {
                    locationActivityDelegate.didSelectLocation(location, this.locationType, true, 0);
                    finishFragment();
                }
            }
        } else if ((i == 2 || i == 3) && this.delegate != null && getParentActivity() != null && this.mCurrentLocation != null) {
            TLRPC.User user = null;
            if (this.dialogId > 0) {
                user = getMessagesController().getUser(Integer.valueOf((int) this.dialogId));
            }
            showDialog(AlertsCreator.createLocationUpdateDialog(getParentActivity(), user, new MessagesStorage.IntCallback() { // from class: im.uecahxyvjd.ui.NewLocationActivity$$ExternalSyntheticLambda8
                @Override // im.uecahxyvjd.messenger.MessagesStorage.IntCallback
                public final void run(int i2) {
                    NewLocationActivity.this.m1815lambda$sendLocation$6$imuecahxyvjduiNewLocationActivity(i2);
                }
            }));
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendLocation$6$im-uecahxyvjd-ui-NewLocationActivity  reason: not valid java name */
    public /* synthetic */ void m1815lambda$sendLocation$6$imuecahxyvjduiNewLocationActivity(int param) {
        TLRPC.TL_messageMediaGeoLive location = new TLRPC.TL_messageMediaGeoLive();
        location.geo = new TLRPC.TL_geoPoint();
        location.geo.lat = AndroidUtilities.fixLocationCoord(this.mCurrentLocation.getLatitude());
        location.geo._long = AndroidUtilities.fixLocationCoord(this.mCurrentLocation.getLongitude());
        location.period = param;
        this.delegate.didSelectLocation(location, this.locationType, true, 0);
        finishFragment();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public boolean getRecentLocations() {
        ArrayList<TLRPC.Message> messages = getLocationController().locationsCache.get(this.dialogId);
        if (messages != null && !messages.isEmpty()) {
            fetchRecentLocations(messages);
        } else {
            messages = null;
        }
        int lower_id = (int) this.dialogId;
        if (lower_id < 0) {
            TLRPC.Chat chat = getMessagesController().getChat(Integer.valueOf(-lower_id));
            if (ChatObject.isChannel(chat) && !chat.megagroup) {
                return false;
            }
        }
        TLRPC.TL_messages_getRecentLocations req = new TLRPC.TL_messages_getRecentLocations();
        final long dialog_id = this.dialogId;
        req.peer = getMessagesController().getInputPeer((int) dialog_id);
        req.limit = 100;
        getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.NewLocationActivity$$ExternalSyntheticLambda2
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                NewLocationActivity.this.m1809lambda$getRecentLocations$8$imuecahxyvjduiNewLocationActivity(dialog_id, tLObject, tL_error);
            }
        });
        return messages != null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getRecentLocations$8$im-uecahxyvjd-ui-NewLocationActivity  reason: not valid java name */
    public /* synthetic */ void m1809lambda$getRecentLocations$8$imuecahxyvjduiNewLocationActivity(final long dialog_id, final TLObject response, TLRPC.TL_error error) {
        if (response != null) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.NewLocationActivity$$ExternalSyntheticLambda7
                @Override // java.lang.Runnable
                public final void run() {
                    NewLocationActivity.this.m1808lambda$getRecentLocations$7$imuecahxyvjduiNewLocationActivity(response, dialog_id);
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getRecentLocations$7$im-uecahxyvjd-ui-NewLocationActivity  reason: not valid java name */
    public /* synthetic */ void m1808lambda$getRecentLocations$7$imuecahxyvjduiNewLocationActivity(TLObject response, long dialog_id) {
        TLRPC.messages_Messages res = (TLRPC.messages_Messages) response;
        int a2 = 0;
        while (a2 < res.messages.size()) {
            if (!(res.messages.get(a2).media instanceof TLRPC.TL_messageMediaGeoLive)) {
                res.messages.remove(a2);
                a2--;
            }
            a2++;
        }
        getMessagesStorage().putUsersAndChats(res.users, res.chats, true, true);
        getMessagesController().putUsers(res.users, false);
        getMessagesController().putChats(res.chats, false);
        getLocationController().locationsCache.put(this.dialogId, res.messages);
        getNotificationCenter().postNotificationName(NotificationCenter.liveLocationsCacheChanged, Long.valueOf(dialog_id));
        fetchRecentLocations(res.messages);
    }

    private void fetchRecentLocations(ArrayList<TLRPC.Message> messages) {
        int date = getConnectionsManager().getCurrentTime();
        Iterator<TLRPC.Message> it = messages.iterator();
        while (it.hasNext()) {
            TLRPC.Message message = it.next();
            if (message.date + message.media.period > date) {
                if (message.from_id == this.mUser.id) {
                    if (getLocationController().isSharingLocation(this.dialogId)) {
                        addUserMarker(message);
                    }
                } else {
                    addUserMarker(message);
                }
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public LiveLocation addUserMarker(TLRPC.Message message) {
        LatLng latLng = new LatLng(message.media.geo.lat, message.media.geo._long);
        LiveLocation liveLocation = this.markersMap.get(message.from_id);
        LiveLocation liveLocation2 = liveLocation;
        if (liveLocation == null) {
            liveLocation2 = new LiveLocation();
            liveLocation2.object = message;
            if (liveLocation2.object.from_id != 0) {
                liveLocation2.user = getMessagesController().getUser(Integer.valueOf(liveLocation2.object.from_id));
                liveLocation2.id = liveLocation2.object.from_id;
            } else {
                int did = (int) MessageObject.getDialogId(message);
                if (did > 0) {
                    liveLocation2.user = getMessagesController().getUser(Integer.valueOf(did));
                    liveLocation2.id = did;
                } else {
                    liveLocation2.chat = getMessagesController().getChat(Integer.valueOf(-did));
                    liveLocation2.id = did;
                }
            }
            liveLocation2.marker = createUserMarker(latLng, getMessagesController().getUser(Integer.valueOf(message.from_id)));
            this.markers.add(liveLocation2);
            this.markersMap.put(liveLocation2.id, liveLocation2);
            LocationController.SharingLocationInfo myInfo = getLocationController().getSharingLocationInfo(this.dialogId);
            if (liveLocation2.id == getUserConfig().getClientUserId() && myInfo != null && liveLocation2.object.id == myInfo.mid && this.mCurrentLocation != null) {
                liveLocation2.marker.remove();
                liveLocation2.marker = createUserMarker(new LatLng(this.mCurrentLocation.getLatitude(), this.mCurrentLocation.getLongitude()), getMessagesController().getUser(Integer.valueOf(message.from_id)));
            }
        } else {
            liveLocation2.object = message;
            liveLocation2.marker.remove();
            liveLocation2.marker = createUserMarker(latLng, getMessagesController().getUser(Integer.valueOf(message.from_id)));
        }
        return liveLocation2;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void addLocMarker(LatLng ll) {
        BitmapDescriptor bitmap = BitmapDescriptorFactory.fromResource(R.drawable.map_pin2);
        OverlayOptions option = new MarkerOptions().position(ll).icon(bitmap).draggable(false).flat(false);
        removeMarker(this.mMarker);
        this.mMarker = this.mBaiduMap.addOverlay(option);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public Overlay createUserMarker(LatLng ll, TLRPC.User user) {
        BitmapDescriptor bitmap = createUserAvatar(user);
        OverlayOptions option = new MarkerOptions().position(ll).icon(bitmap).draggable(false).flat(false);
        return this.mBaiduMap.addOverlay(option);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void removeMarker(Overlay marker) {
        if (marker != null && !marker.isRemoved()) {
            marker.remove();
        }
    }

    private BitmapDescriptor createUserAvatar(TLRPC.User user) {
        if (user != null) {
            FrameLayout frameLayout = new FrameLayout(this.mContext);
            frameLayout.setVisibility(8);
            frameLayout.setBackgroundResource(R.drawable.livepin);
            this.mRlMapContainer.addView(frameLayout, LayoutHelper.createRelative(62, 76));
            BackupImageView backupImageView = new BackupImageView(this.mContext);
            backupImageView.setRoundRadius(AndroidUtilities.dp(26.0f));
            backupImageView.setImage(ImageLocation.getForUser(user, false), "50_50", new AvatarDrawable(user), user);
            frameLayout.addView(backupImageView, LayoutHelper.createFrame(52.0f, 52.0f, 51, 5.0f, 5.0f, 0.0f, 0.0f));
            BitmapDescriptor bitmap = BitmapDescriptorFactory.fromView(frameLayout);
            return bitmap;
        }
        BitmapDescriptor bitmap2 = BitmapDescriptorFactory.fromResource(R.drawable.map_pin2);
        return bitmap2;
    }

    private int getMessageId(TLRPC.Message message) {
        if (message.from_id != 0) {
            return message.from_id;
        }
        return (int) MessageObject.getDialogId(message);
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        LiveLocation liveLocation;
        LocationController.SharingLocationInfo myInfo;
        if (id == NotificationCenter.didReceiveNewMessages) {
            boolean scheduled = ((Boolean) args[2]).booleanValue();
            if (scheduled || ((Long) args[0]).longValue() != this.dialogId || this.messageObject == null) {
                return;
            }
            ArrayList<MessageObject> arr = (ArrayList) args[1];
            for (int a2 = 0; a2 < arr.size(); a2++) {
                MessageObject messageObject = arr.get(a2);
                if (messageObject.isLiveLocation()) {
                    addUserMarker(messageObject.messageOwner);
                }
            }
        } else if (id == NotificationCenter.replaceMessagesObjects) {
            long did = ((Long) args[0]).longValue();
            if (did != this.dialogId || this.messageObject == null) {
                return;
            }
            ArrayList<MessageObject> messageObjects = (ArrayList) args[1];
            for (int a3 = 0; a3 < messageObjects.size(); a3++) {
                MessageObject messageObject2 = messageObjects.get(a3);
                if (messageObject2.isLiveLocation() && (liveLocation = this.markersMap.get(getMessageId(messageObject2.messageOwner))) != null && ((myInfo = getLocationController().getSharingLocationInfo(did)) == null || myInfo.mid != messageObject2.getId())) {
                    liveLocation.marker.remove();
                    liveLocation.marker = createUserMarker(new LatLng(messageObject2.messageOwner.media.geo.lat, messageObject2.messageOwner.media.geo._long), getMessagesController().getUser(Integer.valueOf(messageObject2.getFromId())));
                }
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes12.dex */
    public class MyAdapter extends PageSelectionAdapter<PoiInfo, ViewHolder> {
        public MyAdapter(Context context) {
            super(context);
        }

        /* JADX WARN: Can't rename method to resolve collision */
        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
        public ViewHolder onCreateViewHolderForChild(ViewGroup parent, int viewType) {
            View view = LayoutInflater.from(NewLocationActivity.this.mContext).inflate(R.layout.item_location_info, parent, false);
            return new ViewHolder(view);
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
        public void onBindViewHolderForChild(ViewHolder holder, int position, PoiInfo item) {
            holder.tvLocationName.setText(item.getName());
            holder.tvAddress.setText(item.getAddress());
            LatLng latLng = new LatLng(NewLocationActivity.this.mCurrentLocation.getLatitude(), NewLocationActivity.this.mCurrentLocation.getLongitude());
            double distance = DistanceUtil.getDistance(latLng, item.location);
            if (distance > 100.0d) {
                if (distance > 100.0d && distance < 1000.0d) {
                    holder.tvDistance.setText(((int) distance) + "m");
                } else {
                    DecimalFormat format = new DecimalFormat("#0.0");
                    holder.tvDistance.setText(format.format(distance / 1000.0d) + "km");
                }
            } else {
                holder.tvDistance.setText("100m以内");
            }
            holder.ivSelected.setVisibility(item == NewLocationActivity.this.selectedLocation ? 0 : 4);
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter, im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageLoadMoreListener
        public void loadData(int page) {
            super.loadData(page);
            NewLocationActivity newLocationActivity = NewLocationActivity.this;
            newLocationActivity.search(newLocationActivity.searchType, NewLocationActivity.this.searchKeyword, page, false);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes12.dex */
    public class ViewHolder extends PageHolder {
        ImageView ivSelected;
        TextView tvAddress;
        TextView tvDistance;
        TextView tvLocationName;

        public ViewHolder(View itemView) {
            super(itemView);
            this.tvLocationName = (TextView) itemView.findViewById(R.id.tv_location_name);
            this.tvDistance = (TextView) itemView.findViewById(R.id.tv_distance);
            this.tvAddress = (TextView) itemView.findViewById(R.id.tv_address);
            this.ivSelected = (ImageView) itemView.findViewById(R.id.iv_selected);
        }
    }

    private int getScreenHeight() {
        WindowManager wm = ((Activity) this.mContext).getWindowManager();
        Display display = wm.getDefaultDisplay();
        int screenHeight = display.getHeight();
        String brand = Build.BRAND;
        if (brand.equalsIgnoreCase("XIAOMI")) {
            boolean isHideNavigationBar = Settings.Global.getInt(this.mContext.getContentResolver(), "force_fsg_nav_bar", 0) != 0;
            if (isHideNavigationBar) {
                Point outSize = new Point();
                display.getRealSize(outSize);
                return outSize.y;
            }
            return screenHeight;
        }
        return screenHeight;
    }
}
