package im.uecahxyvjd.ui;

import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.graphics.Paint;
import android.graphics.drawable.Drawable;
import android.media.Ringtone;
import android.media.RingtoneManager;
import android.net.Uri;
import android.provider.Settings;
import android.text.TextUtils;
import android.util.LongSparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.google.android.exoplayer2.extractor.ts.PsExtractor;
import com.google.android.exoplayer2.upstream.cache.ContentMetadata;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ApplicationLoader;
import im.uecahxyvjd.messenger.ChatObject;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.NotificationsController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.SharedConfig;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.Utilities;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.actionbar.ThemeDescription;
import im.uecahxyvjd.ui.cells.HeaderCell;
import im.uecahxyvjd.ui.cells.NotificationsCheckCell;
import im.uecahxyvjd.ui.cells.ShadowSectionCell;
import im.uecahxyvjd.ui.cells.TextCheckCell;
import im.uecahxyvjd.ui.cells.TextDetailSettingsCell;
import im.uecahxyvjd.ui.cells.TextInfoPrivacyCell;
import im.uecahxyvjd.ui.cells.TextSettingsCell;
import im.uecahxyvjd.ui.components.AlertsCreator;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Map;
/* loaded from: classes12.dex */
public class NotificationsSettingsActivity extends BaseFragment implements NotificationCenter.NotificationCenterDelegate {
    private int accountsAllRow;
    private int accountsInfoRow;
    private int accountsSectionRow;
    private ListAdapter adapter;
    private int androidAutoAlertRow;
    private int badgeNumberMessagesRow;
    private int badgeNumberMutedRow;
    private int badgeNumberSection;
    private int badgeNumberSection2Row;
    private int badgeNumberShowRow;
    private int callsRingtoneRow;
    private int callsSection2Row;
    private int callsSectionRow;
    private int callsVibrateRow;
    private int channelsRow;
    private int contactJoinedRow;
    private int eventsSection2Row;
    private int eventsSectionRow;
    private int groupRow;
    private int inappPreviewRow;
    private int inappPriorityRow;
    private int inappSectionRow;
    private int inappSoundRow;
    private int inappVibrateRow;
    private int inchatSoundRow;
    private LinearLayoutManager layoutManager;
    private RecyclerListView listView;
    private int notificationsSection2Row;
    private int notificationsSectionRow;
    private int notificationsServiceConnectionRow;
    private int notificationsServiceRow;
    private int otherSection2Row;
    private int otherSectionRow;
    private int pinnedMessageRow;
    private int privateRow;
    private int repeatRow;
    private int resetNotificationsRow;
    private int resetSection2Row;
    private int resetSectionRow;
    private boolean reseting = false;
    private ArrayList<NotificationException> exceptionUsers = null;
    private ArrayList<NotificationException> exceptionChats = null;
    private ArrayList<NotificationException> exceptionChannels = null;
    private int rowCount = 0;

    /* loaded from: classes12.dex */
    public static class NotificationException {
        public long did;
        public boolean hasCustom;
        public int muteUntil;
        public int notify;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        MessagesController.getInstance(this.currentAccount).loadSignUpNotificationsSettings();
        loadExceptions();
        if (UserConfig.getActivatedAccountsCount() > 1) {
            int i = this.rowCount;
            int i2 = i + 1;
            this.rowCount = i2;
            this.accountsSectionRow = i;
            int i3 = i2 + 1;
            this.rowCount = i3;
            this.accountsAllRow = i2;
            this.rowCount = i3 + 1;
            this.accountsInfoRow = i3;
        } else {
            this.accountsSectionRow = -1;
            this.accountsAllRow = -1;
            this.accountsInfoRow = -1;
        }
        int i4 = this.rowCount;
        int i5 = i4 + 1;
        this.rowCount = i5;
        this.notificationsSectionRow = i4;
        int i6 = i5 + 1;
        this.rowCount = i6;
        this.privateRow = i5;
        int i7 = i6 + 1;
        this.rowCount = i7;
        this.groupRow = i6;
        int i8 = i7 + 1;
        this.rowCount = i8;
        this.channelsRow = i7;
        int i9 = i8 + 1;
        this.rowCount = i9;
        this.notificationsSection2Row = i8;
        int i10 = i9 + 1;
        this.rowCount = i10;
        this.callsSectionRow = i9;
        int i11 = i10 + 1;
        this.rowCount = i11;
        this.callsVibrateRow = i10;
        int i12 = i11 + 1;
        this.rowCount = i12;
        this.callsRingtoneRow = i11;
        int i13 = i12 + 1;
        this.rowCount = i13;
        this.eventsSection2Row = i12;
        int i14 = i13 + 1;
        this.rowCount = i14;
        this.badgeNumberSection = i13;
        int i15 = i14 + 1;
        this.rowCount = i15;
        this.badgeNumberShowRow = i14;
        int i16 = i15 + 1;
        this.rowCount = i16;
        this.badgeNumberMutedRow = i15;
        int i17 = i16 + 1;
        this.rowCount = i17;
        this.badgeNumberMessagesRow = i16;
        int i18 = i17 + 1;
        this.rowCount = i18;
        this.badgeNumberSection2Row = i17;
        int i19 = i18 + 1;
        this.rowCount = i19;
        this.inappSectionRow = i18;
        int i20 = i19 + 1;
        this.rowCount = i20;
        this.inappSoundRow = i19;
        int i21 = i20 + 1;
        this.rowCount = i21;
        this.inappVibrateRow = i20;
        int i22 = i21 + 1;
        this.rowCount = i22;
        this.inappPreviewRow = i21;
        this.rowCount = i22 + 1;
        this.inchatSoundRow = i22;
        int i23 = this.rowCount;
        int i24 = i23 + 1;
        this.rowCount = i24;
        this.inappPriorityRow = i23;
        int i25 = i24 + 1;
        this.rowCount = i25;
        this.callsSection2Row = i24;
        int i26 = i25 + 1;
        this.rowCount = i26;
        this.eventsSectionRow = i25;
        int i27 = i26 + 1;
        this.rowCount = i27;
        this.contactJoinedRow = i26;
        int i28 = i27 + 1;
        this.rowCount = i28;
        this.pinnedMessageRow = i27;
        int i29 = i28 + 1;
        this.rowCount = i29;
        this.otherSection2Row = i28;
        int i30 = i29 + 1;
        this.rowCount = i30;
        this.otherSectionRow = i29;
        int i31 = i30 + 1;
        this.rowCount = i31;
        this.notificationsServiceRow = i30;
        int i32 = i31 + 1;
        this.rowCount = i32;
        this.notificationsServiceConnectionRow = i31;
        this.androidAutoAlertRow = -1;
        int i33 = i32 + 1;
        this.rowCount = i33;
        this.repeatRow = i32;
        int i34 = i33 + 1;
        this.rowCount = i34;
        this.resetSection2Row = i33;
        int i35 = i34 + 1;
        this.rowCount = i35;
        this.resetSectionRow = i34;
        this.rowCount = i35 + 1;
        this.resetNotificationsRow = i35;
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.notificationsSettingsUpdated);
        return super.onFragmentCreate();
    }

    private void loadExceptions() {
        MessagesStorage.getInstance(this.currentAccount).getStorageQueue().postRunnable(new Runnable() { // from class: im.uecahxyvjd.ui.NotificationsSettingsActivity$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsSettingsActivity.this.m1841xe57ca2a0();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:117:0x0324  */
    /* JADX WARN: Removed duplicated region for block: B:124:0x033f A[LOOP:3: B:123:0x033d->B:124:0x033f, LOOP_END] */
    /* JADX WARN: Removed duplicated region for block: B:127:0x0357  */
    /* JADX WARN: Removed duplicated region for block: B:98:0x02db  */
    /* renamed from: lambda$loadExceptions$1$im-uecahxyvjd-ui-NotificationsSettingsActivity  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m1841xe57ca2a0() {
        ArrayList<TLRPC.Chat> chats;
        ArrayList<TLRPC.User> users;
        int a2;
        int size;
        int a3;
        int size2;
        int a4;
        int size3;
        int a5;
        int size4;
        ArrayList<Integer> encryptedChatsToLoad;
        Map<String, ?> values;
        SharedPreferences preferences;
        int selfId;
        ArrayList<TLRPC.User> users2;
        ArrayList<NotificationException> channelsResult;
        ArrayList<NotificationException> chatsResult;
        Integer time;
        final ArrayList<NotificationException> usersResult = new ArrayList<>();
        ArrayList<NotificationException> chatsResult2 = new ArrayList<>();
        ArrayList<NotificationException> chatsResult3 = new ArrayList<>();
        LongSparseArray<NotificationException> waitingForLoadExceptions = new LongSparseArray<>();
        ArrayList<Integer> usersToLoad = new ArrayList<>();
        ArrayList<Integer> chatsToLoad = new ArrayList<>();
        ArrayList<Integer> encryptedChatsToLoad2 = new ArrayList<>();
        ArrayList<TLRPC.User> users3 = new ArrayList<>();
        ArrayList<TLRPC.Chat> chats2 = new ArrayList<>();
        final ArrayList<TLRPC.EncryptedChat> encryptedChats = new ArrayList<>();
        int selfId2 = UserConfig.getInstance(this.currentAccount).clientUserId;
        SharedPreferences preferences2 = MessagesController.getNotificationsSettings(this.currentAccount);
        Map<String, ?> values2 = preferences2.getAll();
        Iterator<Map.Entry<String, ?>> it = values2.entrySet().iterator();
        while (it.hasNext()) {
            Map.Entry<String, ?> entry = it.next();
            Iterator<Map.Entry<String, ?>> it2 = it;
            String key = entry.getKey();
            ArrayList<TLRPC.Chat> chats3 = chats2;
            if (key.startsWith("notify2_")) {
                users2 = users3;
                String key2 = key.replace("notify2_", "");
                long did = Utilities.parseLong(key2).longValue();
                if (did != 0) {
                    ArrayList<NotificationException> chatsResult4 = chatsResult2;
                    ArrayList<NotificationException> channelsResult2 = chatsResult3;
                    if (did != selfId2) {
                        NotificationException exception = new NotificationException();
                        exception.did = did;
                        selfId = selfId2;
                        exception.hasCustom = preferences2.getBoolean(ContentMetadata.KEY_CUSTOM_PREFIX + did, false);
                        exception.notify = ((Integer) entry.getValue()).intValue();
                        if (exception.notify != 0 && (time = (Integer) values2.get("notifyuntil_" + key2)) != null) {
                            exception.muteUntil = time.intValue();
                        }
                        int lower_id = (int) did;
                        int high_id = (int) (did << 32);
                        if (lower_id == 0) {
                            values = values2;
                            channelsResult = channelsResult2;
                            chatsResult = chatsResult4;
                            if (high_id != 0) {
                                preferences = preferences2;
                                TLRPC.EncryptedChat encryptedChat = MessagesController.getInstance(this.currentAccount).getEncryptedChat(Integer.valueOf(high_id));
                                if (encryptedChat == null) {
                                    encryptedChatsToLoad2.add(Integer.valueOf(high_id));
                                    waitingForLoadExceptions.put(did, exception);
                                } else {
                                    TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(encryptedChat.user_id));
                                    if (user == null) {
                                        usersToLoad.add(Integer.valueOf(encryptedChat.user_id));
                                        waitingForLoadExceptions.put(encryptedChat.user_id, exception);
                                    } else if (user.deleted) {
                                        chatsResult2 = chatsResult;
                                        chats2 = chats3;
                                        it = it2;
                                        users3 = users2;
                                        preferences2 = preferences;
                                        selfId2 = selfId;
                                        chatsResult3 = channelsResult;
                                        values2 = values;
                                    }
                                }
                                usersResult.add(exception);
                            } else {
                                preferences = preferences2;
                            }
                        } else if (lower_id > 0) {
                            values = values2;
                            TLRPC.User user2 = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(lower_id));
                            if (user2 == null) {
                                usersToLoad.add(Integer.valueOf(lower_id));
                                waitingForLoadExceptions.put(did, exception);
                            } else if (user2.deleted) {
                                chats2 = chats3;
                                it = it2;
                                users3 = users2;
                                chatsResult2 = chatsResult4;
                                chatsResult3 = channelsResult2;
                                selfId2 = selfId;
                                values2 = values;
                            }
                            usersResult.add(exception);
                            chatsResult = chatsResult4;
                            channelsResult = channelsResult2;
                            preferences = preferences2;
                        } else {
                            values = values2;
                            TLRPC.Chat chat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(-lower_id));
                            if (chat == null) {
                                chatsToLoad.add(Integer.valueOf(-lower_id));
                                waitingForLoadExceptions.put(did, exception);
                                chats2 = chats3;
                                it = it2;
                                users3 = users2;
                                chatsResult2 = chatsResult4;
                                chatsResult3 = channelsResult2;
                                selfId2 = selfId;
                                values2 = values;
                            } else if (chat.left || chat.kicked) {
                                chatsResult2 = chatsResult4;
                                chats2 = chats3;
                                it = it2;
                                users3 = users2;
                                selfId2 = selfId;
                                chatsResult3 = channelsResult2;
                                values2 = values;
                            } else if (chat.migrated_to != null) {
                                chats2 = chats3;
                                it = it2;
                                users3 = users2;
                                chatsResult2 = chatsResult4;
                                chatsResult3 = channelsResult2;
                                selfId2 = selfId;
                                values2 = values;
                            } else {
                                if (!ChatObject.isChannel(chat) || chat.megagroup) {
                                    channelsResult = channelsResult2;
                                    chatsResult = chatsResult4;
                                    chatsResult.add(exception);
                                } else {
                                    channelsResult = channelsResult2;
                                    channelsResult.add(exception);
                                    chatsResult = chatsResult4;
                                }
                                preferences = preferences2;
                            }
                        }
                    } else {
                        values = values2;
                        selfId = selfId2;
                        chatsResult = chatsResult4;
                        channelsResult = channelsResult2;
                        preferences = preferences2;
                    }
                } else {
                    values = values2;
                    preferences = preferences2;
                    selfId = selfId2;
                    channelsResult = chatsResult3;
                    chatsResult = chatsResult2;
                }
            } else {
                values = values2;
                preferences = preferences2;
                selfId = selfId2;
                users2 = users3;
                channelsResult = chatsResult3;
                chatsResult = chatsResult2;
            }
            chatsResult2 = chatsResult;
            chats2 = chats3;
            it = it2;
            users3 = users2;
            preferences2 = preferences;
            selfId2 = selfId;
            chatsResult3 = channelsResult;
            values2 = values;
        }
        ArrayList<TLRPC.Chat> chats4 = chats2;
        ArrayList<TLRPC.User> users4 = users3;
        final ArrayList<NotificationException> channelsResult3 = chatsResult3;
        final ArrayList<NotificationException> channelsResult4 = chatsResult2;
        if (waitingForLoadExceptions.size() != 0) {
            try {
                if (!encryptedChatsToLoad2.isEmpty()) {
                    try {
                        MessagesStorage.getInstance(this.currentAccount).getEncryptedChatsInternal(TextUtils.join(",", encryptedChatsToLoad2), encryptedChats, usersToLoad);
                    } catch (Exception e) {
                        e = e;
                        chats = chats4;
                        users = users4;
                        FileLog.e(e);
                        a2 = 0;
                        size = chats.size();
                        while (a2 < size) {
                        }
                        size2 = users.size();
                        while (a3 < size2) {
                        }
                        size3 = encryptedChats.size();
                        while (a4 < size3) {
                        }
                        size4 = waitingForLoadExceptions.size();
                        while (a5 < size4) {
                        }
                        final ArrayList<TLRPC.User> arrayList = users;
                        final ArrayList<TLRPC.Chat> arrayList2 = chats;
                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.NotificationsSettingsActivity$$ExternalSyntheticLambda9
                            @Override // java.lang.Runnable
                            public final void run() {
                                NotificationsSettingsActivity.this.m1840xabb200c1(arrayList, arrayList2, encryptedChats, usersResult, channelsResult4, channelsResult3);
                            }
                        });
                    }
                }
                if (usersToLoad.isEmpty()) {
                    users = users4;
                } else {
                    try {
                        users = users4;
                    } catch (Exception e2) {
                        e = e2;
                        users = users4;
                        chats = chats4;
                    }
                    try {
                        MessagesStorage.getInstance(this.currentAccount).getUsersInternal(TextUtils.join(",", usersToLoad), users);
                    } catch (Exception e3) {
                        e = e3;
                        chats = chats4;
                        FileLog.e(e);
                        a2 = 0;
                        size = chats.size();
                        while (a2 < size) {
                        }
                        size2 = users.size();
                        while (a3 < size2) {
                        }
                        size3 = encryptedChats.size();
                        while (a4 < size3) {
                        }
                        size4 = waitingForLoadExceptions.size();
                        while (a5 < size4) {
                        }
                        final ArrayList arrayList3 = users;
                        final ArrayList arrayList22 = chats;
                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.NotificationsSettingsActivity$$ExternalSyntheticLambda9
                            @Override // java.lang.Runnable
                            public final void run() {
                                NotificationsSettingsActivity.this.m1840xabb200c1(arrayList3, arrayList22, encryptedChats, usersResult, channelsResult4, channelsResult3);
                            }
                        });
                    }
                }
                try {
                    if (chatsToLoad.isEmpty()) {
                        chats = chats4;
                    } else {
                        chats = chats4;
                        try {
                            MessagesStorage.getInstance(this.currentAccount).getChatsInternal(TextUtils.join(",", chatsToLoad), chats);
                        } catch (Exception e4) {
                            e = e4;
                            FileLog.e(e);
                            a2 = 0;
                            size = chats.size();
                            while (a2 < size) {
                            }
                            size2 = users.size();
                            while (a3 < size2) {
                            }
                            size3 = encryptedChats.size();
                            while (a4 < size3) {
                            }
                            size4 = waitingForLoadExceptions.size();
                            while (a5 < size4) {
                            }
                            final ArrayList arrayList32 = users;
                            final ArrayList arrayList222 = chats;
                            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.NotificationsSettingsActivity$$ExternalSyntheticLambda9
                                @Override // java.lang.Runnable
                                public final void run() {
                                    NotificationsSettingsActivity.this.m1840xabb200c1(arrayList32, arrayList222, encryptedChats, usersResult, channelsResult4, channelsResult3);
                                }
                            });
                        }
                    }
                } catch (Exception e5) {
                    e = e5;
                    chats = chats4;
                }
            } catch (Exception e6) {
                e = e6;
                chats = chats4;
                users = users4;
            }
            a2 = 0;
            size = chats.size();
            while (a2 < size) {
                TLRPC.Chat chat2 = chats.get(a2);
                if (chat2.left || chat2.kicked) {
                    encryptedChatsToLoad = encryptedChatsToLoad2;
                } else if (chat2.migrated_to != null) {
                    encryptedChatsToLoad = encryptedChatsToLoad2;
                } else {
                    encryptedChatsToLoad = encryptedChatsToLoad2;
                    NotificationException exception2 = waitingForLoadExceptions.get(-chat2.id);
                    waitingForLoadExceptions.remove(-chat2.id);
                    if (exception2 != null) {
                        if (!ChatObject.isChannel(chat2) || chat2.megagroup) {
                            channelsResult4.add(exception2);
                        } else {
                            channelsResult3.add(exception2);
                        }
                    }
                }
                a2++;
                encryptedChatsToLoad2 = encryptedChatsToLoad;
            }
            size2 = users.size();
            for (a3 = 0; a3 < size2; a3++) {
                TLRPC.User user3 = users.get(a3);
                if (!user3.deleted) {
                    waitingForLoadExceptions.remove(user3.id);
                }
            }
            size3 = encryptedChats.size();
            for (a4 = 0; a4 < size3; a4++) {
                waitingForLoadExceptions.remove(encryptedChats.get(a4).id << 32);
            }
            size4 = waitingForLoadExceptions.size();
            for (a5 = 0; a5 < size4; a5++) {
                if (((int) waitingForLoadExceptions.keyAt(a5)) < 0) {
                    channelsResult4.remove(waitingForLoadExceptions.valueAt(a5));
                    channelsResult3.remove(waitingForLoadExceptions.valueAt(a5));
                } else {
                    usersResult.remove(waitingForLoadExceptions.valueAt(a5));
                }
            }
        } else {
            chats = chats4;
            users = users4;
        }
        final ArrayList arrayList322 = users;
        final ArrayList arrayList2222 = chats;
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.NotificationsSettingsActivity$$ExternalSyntheticLambda9
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsSettingsActivity.this.m1840xabb200c1(arrayList322, arrayList2222, encryptedChats, usersResult, channelsResult4, channelsResult3);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadExceptions$0$im-uecahxyvjd-ui-NotificationsSettingsActivity  reason: not valid java name */
    public /* synthetic */ void m1840xabb200c1(ArrayList users, ArrayList chats, ArrayList encryptedChats, ArrayList usersResult, ArrayList chatsResult, ArrayList channelsResult) {
        MessagesController.getInstance(this.currentAccount).putUsers(users, true);
        MessagesController.getInstance(this.currentAccount).putChats(chats, true);
        MessagesController.getInstance(this.currentAccount).putEncryptedChats(encryptedChats, true);
        this.exceptionUsers = usersResult;
        this.exceptionChats = chatsResult;
        this.exceptionChannels = channelsResult;
        this.adapter.notifyItemChanged(this.privateRow);
        this.adapter.notifyItemChanged(this.groupRow);
        this.adapter.notifyItemChanged(this.channelsRow);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        super.onFragmentDestroy();
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.notificationsSettingsUpdated);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setAllowOverlayTitle(true);
        this.actionBar.setTitle(LocaleController.getString("NotificationsAndSounds", R.string.NotificationsAndSounds));
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.NotificationsSettingsActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    NotificationsSettingsActivity.this.finishFragment();
                }
            }
        });
        this.fragmentView = new FrameLayout(context);
        FrameLayout frameLayout = (FrameLayout) this.fragmentView;
        frameLayout.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        RecyclerListView recyclerListView = new RecyclerListView(context);
        this.listView = recyclerListView;
        recyclerListView.setItemAnimator(null);
        this.listView.setLayoutAnimation(null);
        RecyclerListView recyclerListView2 = this.listView;
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(context, 1, false) { // from class: im.uecahxyvjd.ui.NotificationsSettingsActivity.2
            @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.LayoutManager
            public boolean supportsPredictiveItemAnimations() {
                return false;
            }
        };
        this.layoutManager = linearLayoutManager;
        recyclerListView2.setLayoutManager(linearLayoutManager);
        this.listView.setVerticalScrollBarEnabled(false);
        frameLayout.addView(this.listView, LayoutHelper.createFrame(-1, -1.0f));
        RecyclerListView recyclerListView3 = this.listView;
        ListAdapter listAdapter = new ListAdapter(context);
        this.adapter = listAdapter;
        recyclerListView3.setAdapter(listAdapter);
        this.listView.setOnItemClickListener(new RecyclerListView.OnItemClickListenerExtended() { // from class: im.uecahxyvjd.ui.NotificationsSettingsActivity$$ExternalSyntheticLambda3
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListenerExtended
            public final void onItemClick(View view, int i, float f, float f2) {
                NotificationsSettingsActivity.this.m1839x2c918be2(view, i, f, f2);
            }
        });
        return this.fragmentView;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$8$im-uecahxyvjd-ui-NotificationsSettingsActivity  reason: not valid java name */
    public /* synthetic */ void m1839x2c918be2(View view, final int position, float x, float y) {
        int type;
        ArrayList<NotificationException> exceptions;
        boolean enabled = false;
        if (getParentActivity() == null) {
            return;
        }
        int i = this.privateRow;
        if (position == i || position == this.groupRow || position == this.channelsRow) {
            if (position == i) {
                type = 1;
                exceptions = this.exceptionUsers;
            } else {
                int type2 = this.groupRow;
                if (position == type2) {
                    type = 0;
                    exceptions = this.exceptionChats;
                } else {
                    type = 2;
                    exceptions = this.exceptionChannels;
                }
            }
            if (exceptions == null) {
                return;
            }
            NotificationsCheckCell checkCell = (NotificationsCheckCell) view;
            enabled = NotificationsController.getInstance(this.currentAccount).isGlobalNotificationsEnabled(type);
            if ((LocaleController.isRTL && x <= AndroidUtilities.dp(76.0f)) || (!LocaleController.isRTL && x >= view.getMeasuredWidth() - AndroidUtilities.dp(76.0f))) {
                NotificationsController.getInstance(this.currentAccount).setGlobalNotificationsEnabled(type, !enabled ? 0 : Integer.MAX_VALUE);
                showExceptionsAlert(position);
                checkCell.setChecked(!enabled, 0);
                this.adapter.notifyItemChanged(position);
            } else {
                presentFragment(new NotificationsCustomSettingsActivity(type, exceptions));
            }
        } else if (position == this.callsRingtoneRow) {
            try {
                SharedPreferences preferences = MessagesController.getNotificationsSettings(this.currentAccount);
                Intent tmpIntent = new Intent("android.intent.action.RINGTONE_PICKER");
                tmpIntent.putExtra("android.intent.extra.ringtone.TYPE", 1);
                tmpIntent.putExtra("android.intent.extra.ringtone.SHOW_DEFAULT", true);
                tmpIntent.putExtra("android.intent.extra.ringtone.SHOW_SILENT", true);
                tmpIntent.putExtra("android.intent.extra.ringtone.DEFAULT_URI", RingtoneManager.getDefaultUri(1));
                Uri currentSound = null;
                String defaultPath = null;
                Uri defaultUri = Settings.System.DEFAULT_RINGTONE_URI;
                if (defaultUri != null) {
                    defaultPath = defaultUri.getPath();
                }
                String path = preferences.getString("CallsRingtonePath", defaultPath);
                if (path != null && !path.equals("NoSound")) {
                    currentSound = path.equals(defaultPath) ? defaultUri : Uri.parse(path);
                }
                tmpIntent.putExtra("android.intent.extra.ringtone.EXISTING_URI", currentSound);
                startActivityForResult(tmpIntent, position);
            } catch (Exception e) {
                FileLog.e(e);
            }
        } else if (position != this.resetNotificationsRow) {
            if (position != this.inappSoundRow) {
                if (position != this.inappVibrateRow) {
                    if (position != this.inappPreviewRow) {
                        if (position != this.inchatSoundRow) {
                            if (position != this.inappPriorityRow) {
                                if (position != this.contactJoinedRow) {
                                    if (position != this.pinnedMessageRow) {
                                        if (position != this.androidAutoAlertRow) {
                                            if (position != this.badgeNumberShowRow) {
                                                if (position != this.badgeNumberMutedRow) {
                                                    if (position != this.badgeNumberMessagesRow) {
                                                        if (position != this.notificationsServiceConnectionRow) {
                                                            if (position != this.accountsAllRow) {
                                                                if (position != this.notificationsServiceRow) {
                                                                    if (position == this.callsVibrateRow) {
                                                                        if (getParentActivity() == null) {
                                                                            return;
                                                                        }
                                                                        String key = null;
                                                                        if (position == this.callsVibrateRow) {
                                                                            key = "vibrate_calls";
                                                                        }
                                                                        showDialog(AlertsCreator.createVibrationSelectDialog(getParentActivity(), 0L, key, new Runnable() { // from class: im.uecahxyvjd.ui.NotificationsSettingsActivity$$ExternalSyntheticLambda7
                                                                            @Override // java.lang.Runnable
                                                                            public final void run() {
                                                                                NotificationsSettingsActivity.this.m1837xb8fc4824(position);
                                                                            }
                                                                        }));
                                                                    } else if (position == this.repeatRow) {
                                                                        AlertDialog.Builder builder = new AlertDialog.Builder(getParentActivity());
                                                                        builder.setTitle(LocaleController.getString("RepeatNotifications", R.string.RepeatNotifications));
                                                                        builder.setItems(new CharSequence[]{LocaleController.getString("RepeatDisabled", R.string.RepeatDisabled), LocaleController.formatPluralString("Minutes", 5), LocaleController.formatPluralString("Minutes", 10), LocaleController.formatPluralString("Minutes", 30), LocaleController.formatPluralString("Hours", 1), LocaleController.formatPluralString("Hours", 2), LocaleController.formatPluralString("Hours", 4)}, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.NotificationsSettingsActivity$$ExternalSyntheticLambda8
                                                                            @Override // android.content.DialogInterface.OnClickListener
                                                                            public final void onClick(DialogInterface dialogInterface, int i2) {
                                                                                NotificationsSettingsActivity.this.m1838xf2c6ea03(position, dialogInterface, i2);
                                                                            }
                                                                        });
                                                                        builder.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
                                                                        showDialog(builder.create());
                                                                    }
                                                                } else {
                                                                    SharedPreferences preferences2 = MessagesController.getNotificationsSettings(this.currentAccount);
                                                                    enabled = preferences2.getBoolean("pushService", true);
                                                                    SharedPreferences.Editor editor = preferences2.edit();
                                                                    editor.putBoolean("pushService", !enabled);
                                                                    editor.commit();
                                                                    if (!enabled) {
                                                                        ApplicationLoader.startPushService();
                                                                    } else {
                                                                        ApplicationLoader.stopPushService();
                                                                    }
                                                                }
                                                            } else {
                                                                SharedPreferences preferences3 = MessagesController.getGlobalNotificationsSettings();
                                                                enabled = preferences3.getBoolean("AllAccounts", true);
                                                                SharedPreferences.Editor editor2 = preferences3.edit();
                                                                editor2.putBoolean("AllAccounts", !enabled);
                                                                editor2.commit();
                                                                SharedConfig.showNotificationsForAllAccounts = !enabled;
                                                                for (int a2 = 0; a2 < 3; a2++) {
                                                                    if (SharedConfig.showNotificationsForAllAccounts) {
                                                                        NotificationsController.getInstance(a2).showNotifications();
                                                                    } else if (a2 == this.currentAccount) {
                                                                        NotificationsController.getInstance(a2).showNotifications();
                                                                    } else {
                                                                        NotificationsController.getInstance(a2).hideNotifications();
                                                                    }
                                                                }
                                                            }
                                                        } else {
                                                            SharedPreferences preferences4 = MessagesController.getNotificationsSettings(this.currentAccount);
                                                            enabled = preferences4.getBoolean("pushConnection", true);
                                                            SharedPreferences.Editor editor3 = preferences4.edit();
                                                            editor3.putBoolean("pushConnection", !enabled);
                                                            editor3.commit();
                                                            if (!enabled) {
                                                                ConnectionsManager.getInstance(this.currentAccount).setPushConnectionEnabled(true);
                                                            } else {
                                                                ConnectionsManager.getInstance(this.currentAccount).setPushConnectionEnabled(false);
                                                            }
                                                        }
                                                    } else {
                                                        SharedPreferences preferences5 = MessagesController.getNotificationsSettings(this.currentAccount);
                                                        SharedPreferences.Editor editor4 = preferences5.edit();
                                                        enabled = NotificationsController.getInstance(this.currentAccount).showBadgeMessages;
                                                        NotificationsController.getInstance(this.currentAccount).showBadgeMessages = !enabled;
                                                        editor4.putBoolean("badgeNumberMessages", NotificationsController.getInstance(this.currentAccount).showBadgeMessages);
                                                        editor4.commit();
                                                        NotificationsController.getInstance(this.currentAccount).updateBadge();
                                                    }
                                                } else {
                                                    SharedPreferences preferences6 = MessagesController.getNotificationsSettings(this.currentAccount);
                                                    SharedPreferences.Editor editor5 = preferences6.edit();
                                                    enabled = NotificationsController.getInstance(this.currentAccount).showBadgeMuted;
                                                    NotificationsController.getInstance(this.currentAccount).showBadgeMuted = !enabled;
                                                    editor5.putBoolean("badgeNumberMuted", NotificationsController.getInstance(this.currentAccount).showBadgeMuted);
                                                    editor5.commit();
                                                    NotificationsController.getInstance(this.currentAccount).updateBadge();
                                                }
                                            } else {
                                                SharedPreferences preferences7 = MessagesController.getNotificationsSettings(this.currentAccount);
                                                SharedPreferences.Editor editor6 = preferences7.edit();
                                                enabled = NotificationsController.getInstance(this.currentAccount).showBadgeNumber;
                                                NotificationsController.getInstance(this.currentAccount).showBadgeNumber = !enabled;
                                                editor6.putBoolean("badgeNumber", NotificationsController.getInstance(this.currentAccount).showBadgeNumber);
                                                editor6.commit();
                                                NotificationsController.getInstance(this.currentAccount).updateBadge();
                                            }
                                        } else {
                                            SharedPreferences preferences8 = MessagesController.getNotificationsSettings(this.currentAccount);
                                            SharedPreferences.Editor editor7 = preferences8.edit();
                                            enabled = preferences8.getBoolean("EnableAutoNotifications", false);
                                            editor7.putBoolean("EnableAutoNotifications", !enabled);
                                            editor7.commit();
                                        }
                                    } else {
                                        SharedPreferences preferences9 = MessagesController.getNotificationsSettings(this.currentAccount);
                                        SharedPreferences.Editor editor8 = preferences9.edit();
                                        enabled = preferences9.getBoolean("PinnedMessages", true);
                                        editor8.putBoolean("PinnedMessages", !enabled);
                                        editor8.commit();
                                    }
                                } else {
                                    SharedPreferences preferences10 = MessagesController.getNotificationsSettings(this.currentAccount);
                                    SharedPreferences.Editor editor9 = preferences10.edit();
                                    enabled = preferences10.getBoolean("EnableContactJoined", true);
                                    MessagesController.getInstance(this.currentAccount).enableJoined = !enabled;
                                    editor9.putBoolean("EnableContactJoined", !enabled);
                                    editor9.commit();
                                    TLRPC.TL_account_setContactSignUpNotification req = new TLRPC.TL_account_setContactSignUpNotification();
                                    req.silent = enabled;
                                    ConnectionsManager.getInstance(this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.NotificationsSettingsActivity$$ExternalSyntheticLambda6
                                        @Override // im.uecahxyvjd.tgnet.RequestDelegate
                                        public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                                            NotificationsSettingsActivity.lambda$createView$5(tLObject, tL_error);
                                        }
                                    });
                                }
                            } else {
                                SharedPreferences preferences11 = MessagesController.getNotificationsSettings(this.currentAccount);
                                SharedPreferences.Editor editor10 = preferences11.edit();
                                enabled = preferences11.getBoolean("EnableInAppPriority", false);
                                editor10.putBoolean("EnableInAppPriority", !enabled);
                                editor10.commit();
                            }
                        } else {
                            SharedPreferences preferences12 = MessagesController.getNotificationsSettings(this.currentAccount);
                            SharedPreferences.Editor editor11 = preferences12.edit();
                            enabled = preferences12.getBoolean("EnableInChatSound", true);
                            editor11.putBoolean("EnableInChatSound", !enabled);
                            editor11.commit();
                            NotificationsController.getInstance(this.currentAccount).setInChatSoundEnabled(!enabled);
                        }
                    } else {
                        SharedPreferences preferences13 = MessagesController.getNotificationsSettings(this.currentAccount);
                        SharedPreferences.Editor editor12 = preferences13.edit();
                        enabled = preferences13.getBoolean("EnableInAppPreview", true);
                        editor12.putBoolean("EnableInAppPreview", !enabled);
                        editor12.commit();
                    }
                } else {
                    SharedPreferences preferences14 = MessagesController.getNotificationsSettings(this.currentAccount);
                    SharedPreferences.Editor editor13 = preferences14.edit();
                    enabled = preferences14.getBoolean("EnableInAppVibrate", true);
                    editor13.putBoolean("EnableInAppVibrate", !enabled);
                    editor13.commit();
                }
            } else {
                SharedPreferences preferences15 = MessagesController.getNotificationsSettings(this.currentAccount);
                SharedPreferences.Editor editor14 = preferences15.edit();
                enabled = preferences15.getBoolean("EnableInAppSounds", true);
                editor14.putBoolean("EnableInAppSounds", !enabled);
                editor14.commit();
            }
        } else {
            AlertDialog.Builder builder2 = new AlertDialog.Builder(getParentActivity());
            builder2.setMessage(LocaleController.getString("ResetNotificationsAlert", R.string.ResetNotificationsAlert));
            builder2.setTitle(LocaleController.getString("AppName", R.string.AppName));
            builder2.setPositiveButton(LocaleController.getString("Reset", R.string.Reset), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.NotificationsSettingsActivity$$ExternalSyntheticLambda5
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i2) {
                    NotificationsSettingsActivity.this.m1836x45670466(dialogInterface, i2);
                }
            });
            builder2.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
            showDialog(builder2.create());
        }
        if (view instanceof TextCheckCell) {
            ((TextCheckCell) view).setChecked(!enabled);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$4$im-uecahxyvjd-ui-NotificationsSettingsActivity  reason: not valid java name */
    public /* synthetic */ void m1836x45670466(DialogInterface dialogInterface, int i) {
        if (this.reseting) {
            return;
        }
        this.reseting = true;
        TLRPC.TL_account_resetNotifySettings req = new TLRPC.TL_account_resetNotifySettings();
        ConnectionsManager.getInstance(this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.NotificationsSettingsActivity$$ExternalSyntheticLambda4
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                NotificationsSettingsActivity.this.m1835xb9c6287(tLObject, tL_error);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$3$im-uecahxyvjd-ui-NotificationsSettingsActivity  reason: not valid java name */
    public /* synthetic */ void m1835xb9c6287(TLObject response, TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.NotificationsSettingsActivity$$ExternalSyntheticLambda1
            @Override // java.lang.Runnable
            public final void run() {
                NotificationsSettingsActivity.this.m1834xd1d1c0a8();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$2$im-uecahxyvjd-ui-NotificationsSettingsActivity  reason: not valid java name */
    public /* synthetic */ void m1834xd1d1c0a8() {
        MessagesController.getInstance(this.currentAccount).enableJoined = true;
        this.reseting = false;
        SharedPreferences preferences = MessagesController.getNotificationsSettings(this.currentAccount);
        SharedPreferences.Editor editor = preferences.edit();
        editor.clear();
        editor.commit();
        this.exceptionChats.clear();
        this.exceptionUsers.clear();
        this.adapter.notifyDataSetChanged();
        if (getParentActivity() != null) {
            ToastUtils.show((int) R.string.ResetNotificationsText);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$createView$5(TLObject response, TLRPC.TL_error error) {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$6$im-uecahxyvjd-ui-NotificationsSettingsActivity  reason: not valid java name */
    public /* synthetic */ void m1837xb8fc4824(int position) {
        this.adapter.notifyItemChanged(position);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$7$im-uecahxyvjd-ui-NotificationsSettingsActivity  reason: not valid java name */
    public /* synthetic */ void m1838xf2c6ea03(int position, DialogInterface dialog, int which) {
        int minutes = 0;
        if (which == 1) {
            minutes = 5;
        } else if (which == 2) {
            minutes = 10;
        } else if (which == 3) {
            minutes = 30;
        } else if (which == 4) {
            minutes = 60;
        } else if (which == 5) {
            minutes = 120;
        } else if (which == 6) {
            minutes = PsExtractor.VIDEO_STREAM_MASK;
        }
        SharedPreferences preferences = MessagesController.getNotificationsSettings(this.currentAccount);
        preferences.edit().putInt("repeat_messages", minutes).commit();
        this.adapter.notifyItemChanged(position);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onActivityResultFragment(int requestCode, int resultCode, Intent data) {
        Ringtone rng;
        if (resultCode == -1) {
            Uri ringtone = (Uri) data.getParcelableExtra("android.intent.extra.ringtone.PICKED_URI");
            String name = null;
            if (ringtone != null && (rng = RingtoneManager.getRingtone(getParentActivity(), ringtone)) != null) {
                if (requestCode == this.callsRingtoneRow) {
                    if (ringtone.equals(Settings.System.DEFAULT_RINGTONE_URI)) {
                        name = LocaleController.getString("DefaultRingtone", R.string.DefaultRingtone);
                    } else {
                        name = rng.getTitle(getParentActivity());
                    }
                } else if (ringtone.equals(Settings.System.DEFAULT_NOTIFICATION_URI)) {
                    name = LocaleController.getString("SoundDefault", R.string.SoundDefault);
                } else {
                    name = rng.getTitle(getParentActivity());
                }
                rng.stop();
            }
            SharedPreferences preferences = MessagesController.getNotificationsSettings(this.currentAccount);
            SharedPreferences.Editor editor = preferences.edit();
            if (requestCode == this.callsRingtoneRow) {
                if (name != null && ringtone != null) {
                    editor.putString("CallsRingtone", name);
                    editor.putString("CallsRingtonePath", ringtone.toString());
                } else {
                    editor.putString("CallsRingtone", "NoSound");
                    editor.putString("CallsRingtonePath", "NoSound");
                }
            }
            editor.commit();
            this.adapter.notifyItemChanged(requestCode);
        }
    }

    private void showExceptionsAlert(int position) {
        final ArrayList<NotificationException> exceptions;
        String alertText = null;
        if (position == this.privateRow) {
            exceptions = this.exceptionUsers;
            if (exceptions != null && !exceptions.isEmpty()) {
                alertText = LocaleController.formatPluralString("ChatsException", exceptions.size());
            }
        } else if (position == this.groupRow) {
            exceptions = this.exceptionChats;
            if (exceptions != null && !exceptions.isEmpty()) {
                alertText = LocaleController.formatPluralString("Groups", exceptions.size());
            }
        } else {
            exceptions = this.exceptionChannels;
            if (exceptions != null && !exceptions.isEmpty()) {
                alertText = LocaleController.formatPluralString("Channels", exceptions.size());
            }
        }
        if (alertText == null) {
            return;
        }
        AlertDialog.Builder builder = new AlertDialog.Builder(getParentActivity());
        if (exceptions.size() == 1) {
            builder.setMessage(AndroidUtilities.replaceTags(LocaleController.formatString("NotificationsExceptionsSingleAlert", R.string.NotificationsExceptionsSingleAlert, alertText)));
        } else {
            builder.setMessage(AndroidUtilities.replaceTags(LocaleController.formatString("NotificationsExceptionsAlert", R.string.NotificationsExceptionsAlert, alertText)));
        }
        builder.setTitle(LocaleController.getString("NotificationsExceptions", R.string.NotificationsExceptions));
        builder.setNeutralButton(LocaleController.getString("ViewExceptions", R.string.ViewExceptions), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.NotificationsSettingsActivity$$ExternalSyntheticLambda2
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                NotificationsSettingsActivity.this.m1842xb89a63e1(exceptions, dialogInterface, i);
            }
        });
        builder.setNegativeButton(LocaleController.getString("OK", R.string.OK), null);
        showDialog(builder.create());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$showExceptionsAlert$9$im-uecahxyvjd-ui-NotificationsSettingsActivity  reason: not valid java name */
    public /* synthetic */ void m1842xb89a63e1(ArrayList exceptions, DialogInterface dialogInterface, int i) {
        presentFragment(new NotificationsCustomSettingsActivity(-1, exceptions));
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onResume() {
        super.onResume();
        ListAdapter listAdapter = this.adapter;
        if (listAdapter != null) {
            listAdapter.notifyDataSetChanged();
        }
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        if (id == NotificationCenter.notificationsSettingsUpdated) {
            this.adapter.notifyDataSetChanged();
        }
    }

    /* loaded from: classes12.dex */
    private class ListAdapter extends RecyclerListView.SelectionAdapter {
        private Context mContext;

        public ListAdapter(Context context) {
            this.mContext = context;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            int position = holder.getAdapterPosition();
            return (position == NotificationsSettingsActivity.this.notificationsSectionRow || position == NotificationsSettingsActivity.this.notificationsSection2Row || position == NotificationsSettingsActivity.this.inappSectionRow || position == NotificationsSettingsActivity.this.eventsSectionRow || position == NotificationsSettingsActivity.this.otherSectionRow || position == NotificationsSettingsActivity.this.resetSectionRow || position == NotificationsSettingsActivity.this.badgeNumberSection || position == NotificationsSettingsActivity.this.otherSection2Row || position == NotificationsSettingsActivity.this.resetSection2Row || position == NotificationsSettingsActivity.this.callsSection2Row || position == NotificationsSettingsActivity.this.callsSectionRow || position == NotificationsSettingsActivity.this.badgeNumberSection2Row || position == NotificationsSettingsActivity.this.accountsSectionRow || position == NotificationsSettingsActivity.this.accountsInfoRow) ? false : true;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return NotificationsSettingsActivity.this.rowCount;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view;
            switch (viewType) {
                case 0:
                    view = new HeaderCell(this.mContext);
                    view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    break;
                case 1:
                    view = new TextCheckCell(this.mContext);
                    view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    break;
                case 2:
                    view = new TextDetailSettingsCell(this.mContext);
                    view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    break;
                case 3:
                    view = new NotificationsCheckCell(this.mContext);
                    view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    break;
                case 4:
                    view = new ShadowSectionCell(this.mContext);
                    break;
                case 5:
                    view = new TextSettingsCell(this.mContext);
                    view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    break;
                default:
                    view = new TextInfoPrivacyCell(this.mContext);
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            String text;
            ArrayList<NotificationException> exceptions;
            int offUntil;
            int iconType;
            boolean enabled;
            String value;
            switch (holder.getItemViewType()) {
                case 0:
                    HeaderCell headerCell = (HeaderCell) holder.itemView;
                    if (position != NotificationsSettingsActivity.this.notificationsSectionRow) {
                        if (position != NotificationsSettingsActivity.this.inappSectionRow) {
                            if (position != NotificationsSettingsActivity.this.eventsSectionRow) {
                                if (position != NotificationsSettingsActivity.this.otherSectionRow) {
                                    if (position != NotificationsSettingsActivity.this.resetSectionRow) {
                                        if (position != NotificationsSettingsActivity.this.callsSectionRow) {
                                            if (position != NotificationsSettingsActivity.this.badgeNumberSection) {
                                                if (position == NotificationsSettingsActivity.this.accountsSectionRow) {
                                                    headerCell.setText(LocaleController.getString("ShowNotificationsFor", R.string.ShowNotificationsFor));
                                                    return;
                                                }
                                                return;
                                            }
                                            headerCell.setText(LocaleController.getString("BadgeNumber", R.string.BadgeNumber));
                                            return;
                                        }
                                        headerCell.setText(LocaleController.getString("VoipNotificationSettings", R.string.VoipNotificationSettings));
                                        return;
                                    }
                                    headerCell.setText(LocaleController.getString("Reset", R.string.Reset));
                                    return;
                                }
                                headerCell.setText(LocaleController.getString("NotificationsOther", R.string.NotificationsOther));
                                return;
                            }
                            headerCell.setText(LocaleController.getString("Events", R.string.Events));
                            return;
                        }
                        headerCell.setText(LocaleController.getString("InAppNotifications", R.string.InAppNotifications));
                        return;
                    }
                    headerCell.setText(LocaleController.getString("NotificationsForChats", R.string.NotificationsForChats));
                    return;
                case 1:
                    TextCheckCell checkCell = (TextCheckCell) holder.itemView;
                    SharedPreferences preferences = MessagesController.getNotificationsSettings(NotificationsSettingsActivity.this.currentAccount);
                    if (position != NotificationsSettingsActivity.this.inappSoundRow) {
                        if (position != NotificationsSettingsActivity.this.inappVibrateRow) {
                            if (position != NotificationsSettingsActivity.this.inappPreviewRow) {
                                if (position != NotificationsSettingsActivity.this.inappPriorityRow) {
                                    if (position != NotificationsSettingsActivity.this.contactJoinedRow) {
                                        if (position != NotificationsSettingsActivity.this.pinnedMessageRow) {
                                            if (position != NotificationsSettingsActivity.this.androidAutoAlertRow) {
                                                if (position != NotificationsSettingsActivity.this.notificationsServiceRow) {
                                                    if (position != NotificationsSettingsActivity.this.notificationsServiceConnectionRow) {
                                                        if (position == NotificationsSettingsActivity.this.badgeNumberShowRow) {
                                                            checkCell.setTextAndCheck(LocaleController.getString("BadgeNumberShow", R.string.BadgeNumberShow), NotificationsController.getInstance(NotificationsSettingsActivity.this.currentAccount).showBadgeNumber, true);
                                                            return;
                                                        } else if (position == NotificationsSettingsActivity.this.badgeNumberMutedRow) {
                                                            checkCell.setTextAndCheck(LocaleController.getString("BadgeNumberMutedChats", R.string.BadgeNumberMutedChats), NotificationsController.getInstance(NotificationsSettingsActivity.this.currentAccount).showBadgeMuted, true);
                                                            return;
                                                        } else if (position == NotificationsSettingsActivity.this.badgeNumberMessagesRow) {
                                                            checkCell.setTextAndCheck(LocaleController.getString("BadgeNumberUnread", R.string.BadgeNumberUnread), NotificationsController.getInstance(NotificationsSettingsActivity.this.currentAccount).showBadgeMessages, false);
                                                            return;
                                                        } else if (position != NotificationsSettingsActivity.this.inchatSoundRow) {
                                                            if (position != NotificationsSettingsActivity.this.callsVibrateRow) {
                                                                if (position == NotificationsSettingsActivity.this.accountsAllRow) {
                                                                    checkCell.setTextAndCheck(LocaleController.getString("AllAccounts", R.string.AllAccounts), MessagesController.getGlobalNotificationsSettings().getBoolean("AllAccounts", true), false);
                                                                    return;
                                                                }
                                                                return;
                                                            }
                                                            checkCell.setTextAndCheck(LocaleController.getString("Vibrate", R.string.Vibrate), preferences.getBoolean("EnableCallVibrate", true), true);
                                                            return;
                                                        } else {
                                                            checkCell.setTextAndCheck(LocaleController.getString("InChatSound", R.string.InChatSound), preferences.getBoolean("EnableInChatSound", true), true);
                                                            return;
                                                        }
                                                    }
                                                    checkCell.setTextAndValueAndCheck(LocaleController.getString("NotificationsServiceConnection", R.string.NotificationsServiceConnection), LocaleController.getString("NotificationsServiceConnectionInfo", R.string.NotificationsServiceConnectionInfo), preferences.getBoolean("pushConnection", true), true, true);
                                                    return;
                                                }
                                                checkCell.setTextAndValueAndCheck(LocaleController.getString("NotificationsService", R.string.NotificationsService), LocaleController.getString("NotificationsServiceInfo", R.string.NotificationsServiceInfo), preferences.getBoolean("pushService", true), true, true);
                                                return;
                                            }
                                            checkCell.setTextAndCheck("Android Auto", preferences.getBoolean("EnableAutoNotifications", false), true);
                                            return;
                                        }
                                        checkCell.setTextAndCheck(LocaleController.getString("PinnedMessages", R.string.PinnedMessages), preferences.getBoolean("PinnedMessages", true), false);
                                        return;
                                    }
                                    checkCell.setTextAndCheck(LocaleController.getString("ContactJoined", R.string.ContactJoined), preferences.getBoolean("EnableContactJoined", true), true);
                                    return;
                                }
                                checkCell.setTextAndCheck(LocaleController.getString("NotificationsImportance", R.string.NotificationsImportance), preferences.getBoolean("EnableInAppPriority", false), false);
                                return;
                            }
                            checkCell.setTextAndCheck(LocaleController.getString("InAppPreview", R.string.InAppPreview), preferences.getBoolean("EnableInAppPreview", true), true);
                            return;
                        }
                        checkCell.setTextAndCheck(LocaleController.getString("InAppVibrate", R.string.InAppVibrate), preferences.getBoolean("EnableInAppVibrate", true), true);
                        return;
                    }
                    checkCell.setTextAndCheck(LocaleController.getString("InAppSounds", R.string.InAppSounds), preferences.getBoolean("EnableInAppSounds", true), true);
                    return;
                case 2:
                    TextDetailSettingsCell settingsCell = (TextDetailSettingsCell) holder.itemView;
                    settingsCell.setMultilineDetail(true);
                    if (position == NotificationsSettingsActivity.this.resetNotificationsRow) {
                        settingsCell.setTextAndValue(LocaleController.getString("ResetAllNotifications", R.string.ResetAllNotifications), LocaleController.getString("UndoAllCustom", R.string.UndoAllCustom), false);
                        return;
                    }
                    return;
                case 3:
                    NotificationsCheckCell checkCell2 = (NotificationsCheckCell) holder.itemView;
                    SharedPreferences preferences2 = MessagesController.getNotificationsSettings(NotificationsSettingsActivity.this.currentAccount);
                    int currentTime = ConnectionsManager.getInstance(NotificationsSettingsActivity.this.currentAccount).getCurrentTime();
                    if (position != NotificationsSettingsActivity.this.privateRow) {
                        if (position == NotificationsSettingsActivity.this.groupRow) {
                            String text2 = LocaleController.getString("NotificationsGroups", R.string.NotificationsGroups);
                            ArrayList<NotificationException> exceptions2 = NotificationsSettingsActivity.this.exceptionChats;
                            text = text2;
                            exceptions = exceptions2;
                            offUntil = preferences2.getInt("EnableGroup2", 0);
                        } else {
                            String text3 = LocaleController.getString("NotificationsChannels", R.string.NotificationsChannels);
                            ArrayList<NotificationException> exceptions3 = NotificationsSettingsActivity.this.exceptionChannels;
                            text = text3;
                            exceptions = exceptions3;
                            offUntil = preferences2.getInt("EnableChannel2", 0);
                        }
                    } else {
                        String text4 = LocaleController.getString("NotificationsPrivateChats", R.string.NotificationsPrivateChats);
                        ArrayList<NotificationException> exceptions4 = NotificationsSettingsActivity.this.exceptionUsers;
                        text = text4;
                        exceptions = exceptions4;
                        offUntil = preferences2.getInt("EnableAll2", 0);
                    }
                    boolean z = offUntil < currentTime;
                    boolean enabled2 = z;
                    if (z) {
                        iconType = 0;
                    } else {
                        int iconType2 = offUntil - 31536000;
                        if (iconType2 >= currentTime) {
                            iconType = 0;
                        } else {
                            iconType = 2;
                        }
                    }
                    StringBuilder builder = new StringBuilder();
                    if (exceptions != null && !exceptions.isEmpty()) {
                        boolean z2 = offUntil < currentTime;
                        boolean enabled3 = z2;
                        if (z2) {
                            builder.append(LocaleController.getString("NotificationsOn", R.string.NotificationsOn));
                        } else if (offUntil - 31536000 >= currentTime) {
                            builder.append(LocaleController.getString("NotificationsOff", R.string.NotificationsOff));
                        } else {
                            builder.append(LocaleController.formatString("NotificationsOffUntil", R.string.NotificationsOffUntil, LocaleController.stringForMessageListDate(offUntil)));
                        }
                        if (builder.length() != 0) {
                            builder.append(", ");
                        }
                        builder.append(LocaleController.formatPluralString("Exception", exceptions.size()));
                        enabled = enabled3;
                    } else {
                        builder.append(LocaleController.getString("TapToChange", R.string.TapToChange));
                        enabled = enabled2;
                    }
                    checkCell2.setTextAndValueAndCheck(text, builder, enabled, iconType, position != NotificationsSettingsActivity.this.channelsRow);
                    return;
                case 4:
                default:
                    return;
                case 5:
                    TextSettingsCell textCell = (TextSettingsCell) holder.itemView;
                    SharedPreferences preferences3 = MessagesController.getNotificationsSettings(NotificationsSettingsActivity.this.currentAccount);
                    if (position != NotificationsSettingsActivity.this.callsRingtoneRow) {
                        if (position != NotificationsSettingsActivity.this.callsVibrateRow) {
                            if (position == NotificationsSettingsActivity.this.repeatRow) {
                                int minutes = preferences3.getInt("repeat_messages", 60);
                                if (minutes == 0) {
                                    value = LocaleController.getString("RepeatNotificationsNever", R.string.RepeatNotificationsNever);
                                } else if (minutes < 60) {
                                    value = LocaleController.formatPluralString("Minutes", minutes);
                                } else {
                                    value = LocaleController.formatPluralString("Hours", minutes / 60);
                                }
                                textCell.setTextAndValue(LocaleController.getString("RepeatNotifications", R.string.RepeatNotifications), value, false);
                                return;
                            }
                            return;
                        }
                        int value2 = 0;
                        if (position == NotificationsSettingsActivity.this.callsVibrateRow) {
                            value2 = preferences3.getInt("vibrate_calls", 0);
                        }
                        if (value2 == 0) {
                            textCell.setTextAndValue(LocaleController.getString("Vibrate", R.string.Vibrate), LocaleController.getString("VibrationDefault", R.string.VibrationDefault), true);
                            return;
                        } else if (value2 == 1) {
                            textCell.setTextAndValue(LocaleController.getString("Vibrate", R.string.Vibrate), LocaleController.getString("Short", R.string.Short), true);
                            return;
                        } else if (value2 == 2) {
                            textCell.setTextAndValue(LocaleController.getString("Vibrate", R.string.Vibrate), LocaleController.getString("VibrationDisabled", R.string.VibrationDisabled), true);
                            return;
                        } else if (value2 == 3) {
                            textCell.setTextAndValue(LocaleController.getString("Vibrate", R.string.Vibrate), LocaleController.getString("Long", R.string.Long), true);
                            return;
                        } else if (value2 == 4) {
                            textCell.setTextAndValue(LocaleController.getString("Vibrate", R.string.Vibrate), LocaleController.getString("OnlyIfSilent", R.string.OnlyIfSilent), true);
                            return;
                        } else {
                            return;
                        }
                    }
                    String value3 = preferences3.getString("CallsRingtone", LocaleController.getString("DefaultRingtone", R.string.DefaultRingtone));
                    if (value3.equals("NoSound")) {
                        value3 = LocaleController.getString("NoSound", R.string.NoSound);
                    }
                    textCell.setTextAndValue(LocaleController.getString("VoipSettingsRingtone", R.string.VoipSettingsRingtone), value3, false);
                    return;
                case 6:
                    TextInfoPrivacyCell textCell2 = (TextInfoPrivacyCell) holder.itemView;
                    if (position == NotificationsSettingsActivity.this.accountsInfoRow) {
                        textCell2.setText(LocaleController.getString("ShowNotificationsForInfo", R.string.ShowNotificationsForInfo));
                        return;
                    }
                    return;
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            if (position != NotificationsSettingsActivity.this.eventsSectionRow && position != NotificationsSettingsActivity.this.otherSectionRow && position != NotificationsSettingsActivity.this.resetSectionRow && position != NotificationsSettingsActivity.this.callsSectionRow && position != NotificationsSettingsActivity.this.badgeNumberSection && position != NotificationsSettingsActivity.this.inappSectionRow && position != NotificationsSettingsActivity.this.notificationsSectionRow && position != NotificationsSettingsActivity.this.accountsSectionRow) {
                if (position != NotificationsSettingsActivity.this.inappSoundRow && position != NotificationsSettingsActivity.this.inappVibrateRow && position != NotificationsSettingsActivity.this.notificationsServiceConnectionRow && position != NotificationsSettingsActivity.this.inappPreviewRow && position != NotificationsSettingsActivity.this.contactJoinedRow && position != NotificationsSettingsActivity.this.pinnedMessageRow && position != NotificationsSettingsActivity.this.notificationsServiceRow && position != NotificationsSettingsActivity.this.badgeNumberMutedRow && position != NotificationsSettingsActivity.this.badgeNumberMessagesRow && position != NotificationsSettingsActivity.this.badgeNumberShowRow && position != NotificationsSettingsActivity.this.inappPriorityRow && position != NotificationsSettingsActivity.this.inchatSoundRow && position != NotificationsSettingsActivity.this.androidAutoAlertRow && position != NotificationsSettingsActivity.this.accountsAllRow) {
                    if (position != NotificationsSettingsActivity.this.resetNotificationsRow) {
                        if (position != NotificationsSettingsActivity.this.privateRow && position != NotificationsSettingsActivity.this.groupRow && position != NotificationsSettingsActivity.this.channelsRow) {
                            if (position != NotificationsSettingsActivity.this.eventsSection2Row && position != NotificationsSettingsActivity.this.notificationsSection2Row && position != NotificationsSettingsActivity.this.otherSection2Row && position != NotificationsSettingsActivity.this.resetSection2Row && position != NotificationsSettingsActivity.this.callsSection2Row && position != NotificationsSettingsActivity.this.badgeNumberSection2Row) {
                                if (position == NotificationsSettingsActivity.this.accountsInfoRow) {
                                    return 6;
                                }
                                return 5;
                            }
                            return 4;
                        }
                        return 3;
                    }
                    return 2;
                }
                return 1;
            }
            return 0;
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public ThemeDescription[] getThemeDescriptions() {
        return new ThemeDescription[]{new ThemeDescription(this.listView, ThemeDescription.FLAG_CELLBACKGROUNDCOLOR, new Class[]{HeaderCell.class, TextCheckCell.class, TextDetailSettingsCell.class, TextSettingsCell.class, NotificationsCheckCell.class}, null, null, null, Theme.key_windowBackgroundWhite), new ThemeDescription(this.fragmentView, ThemeDescription.FLAG_BACKGROUND, null, null, null, null, Theme.key_windowBackgroundGray), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_BACKGROUND, null, null, null, null, Theme.key_actionBarDefault), new ThemeDescription(this.listView, ThemeDescription.FLAG_LISTGLOWCOLOR, null, null, null, null, Theme.key_actionBarDefault), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_ITEMSCOLOR, null, null, null, null, Theme.key_actionBarDefaultIcon), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_TITLECOLOR, null, null, null, null, Theme.key_actionBarDefaultTitle), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_SELECTORCOLOR, null, null, null, null, Theme.key_actionBarDefaultSelector), new ThemeDescription(this.listView, ThemeDescription.FLAG_SELECTOR, null, null, null, null, Theme.key_listSelector), new ThemeDescription(this.listView, 0, new Class[]{View.class}, Theme.dividerPaint, null, null, Theme.key_divider), new ThemeDescription(this.listView, 0, new Class[]{HeaderCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlueHeader), new ThemeDescription(this.listView, 0, new Class[]{NotificationsCheckCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlackText), new ThemeDescription(this.listView, 0, new Class[]{NotificationsCheckCell.class}, new String[]{"valueTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGrayText2), new ThemeDescription(this.listView, 0, new Class[]{NotificationsCheckCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_switchTrack), new ThemeDescription(this.listView, 0, new Class[]{NotificationsCheckCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_switchTrackChecked), new ThemeDescription(this.listView, 0, new Class[]{TextCheckCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlackText), new ThemeDescription(this.listView, 0, new Class[]{TextCheckCell.class}, new String[]{"valueTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGrayText2), new ThemeDescription(this.listView, 0, new Class[]{TextCheckCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_switchTrack), new ThemeDescription(this.listView, 0, new Class[]{TextCheckCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_switchTrackChecked), new ThemeDescription(this.listView, 0, new Class[]{TextSettingsCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlackText), new ThemeDescription(this.listView, 0, new Class[]{TextSettingsCell.class}, new String[]{"valueTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteValueText), new ThemeDescription(this.listView, ThemeDescription.FLAG_BACKGROUNDFILTER, new Class[]{ShadowSectionCell.class}, null, null, null, Theme.key_windowBackgroundGrayShadow), new ThemeDescription(this.listView, 0, new Class[]{TextDetailSettingsCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlackText), new ThemeDescription(this.listView, 0, new Class[]{TextDetailSettingsCell.class}, new String[]{"valueTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGrayText2), new ThemeDescription(this.listView, ThemeDescription.FLAG_BACKGROUNDFILTER, new Class[]{TextInfoPrivacyCell.class}, null, null, null, Theme.key_windowBackgroundGrayShadow), new ThemeDescription(this.listView, 0, new Class[]{TextInfoPrivacyCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGrayText4), new ThemeDescription(this.listView, ThemeDescription.FLAG_LINKCOLOR, new Class[]{TextInfoPrivacyCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteLinkText)};
    }
}
