package im.uecahxyvjd.ui;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.drawable.BitmapDrawable;
import android.net.Uri;
import android.os.Bundle;
import android.view.MotionEvent;
import android.view.View;
import android.widget.FrameLayout;
import com.socks.library.KLog;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.Bitmaps;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.ImageLoader;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import java.io.File;
/* loaded from: classes12.dex */
public class PhotoCropActivity extends BaseFragment {
    private static final int done_button = 1;
    private String bitmapKey;
    private PhotoEditActivityDelegate delegate;
    private boolean doneButtonPressed;
    private BitmapDrawable drawable;
    private Bitmap imageToCrop;
    private boolean sameBitmap;
    private PhotoCropView view;

    /* loaded from: classes12.dex */
    public interface PhotoEditActivityDelegate {
        void didFinishEdit(Bitmap bitmap);
    }

    /* loaded from: classes12.dex */
    private class PhotoCropView extends FrameLayout {
        int bitmapHeight;
        int bitmapWidth;
        int bitmapX;
        int bitmapY;
        Paint circlePaint;
        int draggingState;
        boolean freeform;
        Paint halfPaint;
        float oldX;
        float oldY;
        Paint rectPaint;
        float rectSizeX;
        float rectSizeY;
        float rectX;
        float rectY;
        int viewHeight;
        int viewWidth;

        public PhotoCropView(Context context) {
            super(context);
            this.rectPaint = null;
            this.circlePaint = null;
            this.halfPaint = null;
            this.rectSizeX = 600.0f;
            this.rectSizeY = 600.0f;
            this.rectX = -1.0f;
            this.rectY = -1.0f;
            this.draggingState = 0;
            this.oldX = 0.0f;
            this.oldY = 0.0f;
            init();
        }

        private void init() {
            Paint paint = new Paint();
            this.rectPaint = paint;
            paint.setColor(1073412858);
            this.rectPaint.setStrokeWidth(AndroidUtilities.dp(2.0f));
            this.rectPaint.setStyle(Paint.Style.STROKE);
            Paint paint2 = new Paint();
            this.circlePaint = paint2;
            paint2.setColor(-1);
            Paint paint3 = new Paint();
            this.halfPaint = paint3;
            paint3.setColor(-939524096);
            setBackgroundColor(Theme.ACTION_BAR_MEDIA_PICKER_COLOR);
            setOnTouchListener(new View.OnTouchListener() { // from class: im.uecahxyvjd.ui.PhotoCropActivity.PhotoCropView.1
                @Override // android.view.View.OnTouchListener
                public boolean onTouch(View view, MotionEvent motionEvent) {
                    PhotoCropView photoCropView;
                    PhotoCropView photoCropView2;
                    PhotoCropView photoCropView3;
                    PhotoCropView photoCropView4;
                    float x = motionEvent.getX();
                    float y = motionEvent.getY();
                    int cornerSide = AndroidUtilities.dp(14.0f);
                    if (motionEvent.getAction() == 0) {
                        if (PhotoCropView.this.rectX - cornerSide < x && PhotoCropView.this.rectX + cornerSide > x && PhotoCropView.this.rectY - cornerSide < y && PhotoCropView.this.rectY + cornerSide > y) {
                            PhotoCropView.this.draggingState = 1;
                        } else if ((PhotoCropView.this.rectX - cornerSide) + PhotoCropView.this.rectSizeX < x && PhotoCropView.this.rectX + cornerSide + PhotoCropView.this.rectSizeX > x && PhotoCropView.this.rectY - cornerSide < y && PhotoCropView.this.rectY + cornerSide > y) {
                            PhotoCropView.this.draggingState = 2;
                        } else if (PhotoCropView.this.rectX - cornerSide < x && PhotoCropView.this.rectX + cornerSide > x && (PhotoCropView.this.rectY - cornerSide) + PhotoCropView.this.rectSizeY < y && PhotoCropView.this.rectY + cornerSide + PhotoCropView.this.rectSizeY > y) {
                            PhotoCropView.this.draggingState = 3;
                        } else if ((PhotoCropView.this.rectX - cornerSide) + PhotoCropView.this.rectSizeX < x && PhotoCropView.this.rectX + cornerSide + PhotoCropView.this.rectSizeX > x && (PhotoCropView.this.rectY - cornerSide) + PhotoCropView.this.rectSizeY < y && PhotoCropView.this.rectY + cornerSide + PhotoCropView.this.rectSizeY > y) {
                            PhotoCropView.this.draggingState = 4;
                        } else if (PhotoCropView.this.rectX < x && PhotoCropView.this.rectX + PhotoCropView.this.rectSizeX > x && PhotoCropView.this.rectY < y && PhotoCropView.this.rectY + PhotoCropView.this.rectSizeY > y) {
                            PhotoCropView.this.draggingState = 5;
                        } else {
                            PhotoCropView.this.draggingState = 0;
                        }
                        if (PhotoCropView.this.draggingState != 0) {
                            PhotoCropView.this.requestDisallowInterceptTouchEvent(true);
                        }
                        PhotoCropView.this.oldX = x;
                        PhotoCropView.this.oldY = y;
                    } else if (motionEvent.getAction() == 1) {
                        PhotoCropView.this.draggingState = 0;
                    } else if (motionEvent.getAction() == 2 && PhotoCropView.this.draggingState != 0) {
                        float diffX = x - PhotoCropView.this.oldX;
                        float diffY = y - PhotoCropView.this.oldY;
                        if (PhotoCropView.this.draggingState == 5) {
                            PhotoCropView.this.rectX += diffX;
                            PhotoCropView.this.rectY += diffY;
                            if (PhotoCropView.this.rectX < PhotoCropView.this.bitmapX) {
                                PhotoCropView.this.rectX = photoCropView4.bitmapX;
                            } else if (PhotoCropView.this.rectX + PhotoCropView.this.rectSizeX > PhotoCropView.this.bitmapX + PhotoCropView.this.bitmapWidth) {
                                PhotoCropView.this.rectX = (photoCropView.bitmapX + PhotoCropView.this.bitmapWidth) - PhotoCropView.this.rectSizeX;
                            }
                            if (PhotoCropView.this.rectY < PhotoCropView.this.bitmapY) {
                                PhotoCropView.this.rectY = photoCropView3.bitmapY;
                            } else if (PhotoCropView.this.rectY + PhotoCropView.this.rectSizeY > PhotoCropView.this.bitmapY + PhotoCropView.this.bitmapHeight) {
                                PhotoCropView.this.rectY = (photoCropView2.bitmapY + PhotoCropView.this.bitmapHeight) - PhotoCropView.this.rectSizeY;
                            }
                        } else if (PhotoCropView.this.draggingState == 1) {
                            if (PhotoCropView.this.rectSizeX - diffX < 160.0f) {
                                diffX = PhotoCropView.this.rectSizeX - 160.0f;
                            }
                            if (PhotoCropView.this.rectX + diffX < PhotoCropView.this.bitmapX) {
                                diffX = PhotoCropView.this.bitmapX - PhotoCropView.this.rectX;
                            }
                            if (!PhotoCropView.this.freeform) {
                                if (PhotoCropView.this.rectY + diffX < PhotoCropView.this.bitmapY) {
                                    diffX = PhotoCropView.this.bitmapY - PhotoCropView.this.rectY;
                                }
                                PhotoCropView.this.rectX += diffX;
                                PhotoCropView.this.rectY += diffX;
                                PhotoCropView.this.rectSizeX -= diffX;
                                PhotoCropView.this.rectSizeY -= diffX;
                            } else {
                                if (PhotoCropView.this.rectSizeY - diffY < 160.0f) {
                                    diffY = PhotoCropView.this.rectSizeY - 160.0f;
                                }
                                if (PhotoCropView.this.rectY + diffY < PhotoCropView.this.bitmapY) {
                                    diffY = PhotoCropView.this.bitmapY - PhotoCropView.this.rectY;
                                }
                                PhotoCropView.this.rectX += diffX;
                                PhotoCropView.this.rectY += diffY;
                                PhotoCropView.this.rectSizeX -= diffX;
                                PhotoCropView.this.rectSizeY -= diffY;
                            }
                        } else if (PhotoCropView.this.draggingState == 2) {
                            if (PhotoCropView.this.rectSizeX + diffX < 160.0f) {
                                diffX = -(PhotoCropView.this.rectSizeX - 160.0f);
                            }
                            if (PhotoCropView.this.rectX + PhotoCropView.this.rectSizeX + diffX > PhotoCropView.this.bitmapX + PhotoCropView.this.bitmapWidth) {
                                diffX = ((PhotoCropView.this.bitmapX + PhotoCropView.this.bitmapWidth) - PhotoCropView.this.rectX) - PhotoCropView.this.rectSizeX;
                            }
                            if (!PhotoCropView.this.freeform) {
                                if (PhotoCropView.this.rectY - diffX < PhotoCropView.this.bitmapY) {
                                    diffX = PhotoCropView.this.rectY - PhotoCropView.this.bitmapY;
                                }
                                PhotoCropView.this.rectY -= diffX;
                                PhotoCropView.this.rectSizeX += diffX;
                                PhotoCropView.this.rectSizeY += diffX;
                            } else {
                                if (PhotoCropView.this.rectSizeY - diffY < 160.0f) {
                                    diffY = PhotoCropView.this.rectSizeY - 160.0f;
                                }
                                if (PhotoCropView.this.rectY + diffY < PhotoCropView.this.bitmapY) {
                                    diffY = PhotoCropView.this.bitmapY - PhotoCropView.this.rectY;
                                }
                                PhotoCropView.this.rectY += diffY;
                                PhotoCropView.this.rectSizeX += diffX;
                                PhotoCropView.this.rectSizeY -= diffY;
                            }
                        } else if (PhotoCropView.this.draggingState == 3) {
                            if (PhotoCropView.this.rectSizeX - diffX < 160.0f) {
                                diffX = PhotoCropView.this.rectSizeX - 160.0f;
                            }
                            if (PhotoCropView.this.rectX + diffX < PhotoCropView.this.bitmapX) {
                                diffX = PhotoCropView.this.bitmapX - PhotoCropView.this.rectX;
                            }
                            if (!PhotoCropView.this.freeform) {
                                if ((PhotoCropView.this.rectY + PhotoCropView.this.rectSizeX) - diffX > PhotoCropView.this.bitmapY + PhotoCropView.this.bitmapHeight) {
                                    diffX = ((PhotoCropView.this.rectY + PhotoCropView.this.rectSizeX) - PhotoCropView.this.bitmapY) - PhotoCropView.this.bitmapHeight;
                                }
                                PhotoCropView.this.rectX += diffX;
                                PhotoCropView.this.rectSizeX -= diffX;
                                PhotoCropView.this.rectSizeY -= diffX;
                            } else {
                                if (PhotoCropView.this.rectY + PhotoCropView.this.rectSizeY + diffY > PhotoCropView.this.bitmapY + PhotoCropView.this.bitmapHeight) {
                                    diffY = ((PhotoCropView.this.bitmapY + PhotoCropView.this.bitmapHeight) - PhotoCropView.this.rectY) - PhotoCropView.this.rectSizeY;
                                }
                                PhotoCropView.this.rectX += diffX;
                                PhotoCropView.this.rectSizeX -= diffX;
                                PhotoCropView.this.rectSizeY += diffY;
                                if (PhotoCropView.this.rectSizeY < 160.0f) {
                                    PhotoCropView.this.rectSizeY = 160.0f;
                                }
                            }
                        } else if (PhotoCropView.this.draggingState == 4) {
                            if (PhotoCropView.this.rectX + PhotoCropView.this.rectSizeX + diffX > PhotoCropView.this.bitmapX + PhotoCropView.this.bitmapWidth) {
                                diffX = ((PhotoCropView.this.bitmapX + PhotoCropView.this.bitmapWidth) - PhotoCropView.this.rectX) - PhotoCropView.this.rectSizeX;
                            }
                            if (!PhotoCropView.this.freeform) {
                                if (PhotoCropView.this.rectY + PhotoCropView.this.rectSizeX + diffX > PhotoCropView.this.bitmapY + PhotoCropView.this.bitmapHeight) {
                                    diffX = ((PhotoCropView.this.bitmapY + PhotoCropView.this.bitmapHeight) - PhotoCropView.this.rectY) - PhotoCropView.this.rectSizeX;
                                }
                                PhotoCropView.this.rectSizeX += diffX;
                                PhotoCropView.this.rectSizeY += diffX;
                            } else {
                                if (PhotoCropView.this.rectY + PhotoCropView.this.rectSizeY + diffY > PhotoCropView.this.bitmapY + PhotoCropView.this.bitmapHeight) {
                                    diffY = ((PhotoCropView.this.bitmapY + PhotoCropView.this.bitmapHeight) - PhotoCropView.this.rectY) - PhotoCropView.this.rectSizeY;
                                }
                                PhotoCropView.this.rectSizeX += diffX;
                                PhotoCropView.this.rectSizeY += diffY;
                            }
                            if (PhotoCropView.this.rectSizeX < 160.0f) {
                                PhotoCropView.this.rectSizeX = 160.0f;
                            }
                            if (PhotoCropView.this.rectSizeY < 160.0f) {
                                PhotoCropView.this.rectSizeY = 160.0f;
                            }
                        }
                        PhotoCropView.this.oldX = x;
                        PhotoCropView.this.oldY = y;
                        PhotoCropView.this.invalidate();
                    }
                    return true;
                }
            });
        }

        private void updateBitmapSize() {
            int i;
            int i2;
            if (this.viewWidth == 0 || this.viewHeight == 0 || PhotoCropActivity.this.imageToCrop == null) {
                return;
            }
            float f = this.rectX - this.bitmapX;
            int i3 = this.bitmapWidth;
            float percX = f / i3;
            float f2 = this.rectY - this.bitmapY;
            int i4 = this.bitmapHeight;
            float percY = f2 / i4;
            float percSizeX = this.rectSizeX / i3;
            float percSizeY = this.rectSizeY / i4;
            float w = PhotoCropActivity.this.imageToCrop.getWidth();
            float h = PhotoCropActivity.this.imageToCrop.getHeight();
            int i5 = this.viewWidth;
            float scaleX = i5 / w;
            int i6 = this.viewHeight;
            float scaleY = i6 / h;
            if (scaleX > scaleY) {
                this.bitmapHeight = i6;
                this.bitmapWidth = (int) Math.ceil(w * scaleY);
            } else {
                this.bitmapWidth = i5;
                this.bitmapHeight = (int) Math.ceil(h * scaleX);
            }
            this.bitmapX = ((this.viewWidth - this.bitmapWidth) / 2) + AndroidUtilities.dp(14.0f);
            int dp = ((this.viewHeight - this.bitmapHeight) / 2) + AndroidUtilities.dp(14.0f);
            this.bitmapY = dp;
            if (this.rectX == -1.0f && this.rectY == -1.0f) {
                if (this.freeform) {
                    this.rectY = dp;
                    this.rectX = this.bitmapX;
                    this.rectSizeX = this.bitmapWidth;
                    this.rectSizeY = this.bitmapHeight;
                } else {
                    if (this.bitmapWidth > this.bitmapHeight) {
                        this.rectY = dp;
                        this.rectX = ((this.viewWidth - i2) / 2) + AndroidUtilities.dp(14.0f);
                        int i7 = this.bitmapHeight;
                        this.rectSizeX = i7;
                        this.rectSizeY = i7;
                    } else {
                        this.rectX = this.bitmapX;
                        this.rectY = ((this.viewHeight - i) / 2) + AndroidUtilities.dp(14.0f);
                        int i8 = this.bitmapWidth;
                        this.rectSizeX = i8;
                        this.rectSizeY = i8;
                    }
                }
            } else {
                int i9 = this.bitmapWidth;
                this.rectX = (i9 * percX) + this.bitmapX;
                int i10 = this.bitmapHeight;
                this.rectY = (i10 * percY) + dp;
                this.rectSizeX = i9 * percSizeX;
                this.rectSizeY = i10 * percSizeY;
            }
            invalidate();
        }

        @Override // android.widget.FrameLayout, android.view.ViewGroup, android.view.View
        protected void onLayout(boolean changed, int left, int top, int right, int bottom) {
            super.onLayout(changed, left, top, right, bottom);
            this.viewWidth = (right - left) - AndroidUtilities.dp(28.0f);
            this.viewHeight = (bottom - top) - AndroidUtilities.dp(28.0f);
            updateBitmapSize();
        }

        public Bitmap getBitmap() {
            float f = this.rectX - this.bitmapX;
            int i = this.bitmapWidth;
            float percX = f / i;
            float percY = (this.rectY - this.bitmapY) / this.bitmapHeight;
            float percSizeX = this.rectSizeX / i;
            float percSizeY = this.rectSizeY / i;
            int x = (int) (PhotoCropActivity.this.imageToCrop.getWidth() * percX);
            int y = (int) (PhotoCropActivity.this.imageToCrop.getHeight() * percY);
            int sizeX = (int) (PhotoCropActivity.this.imageToCrop.getWidth() * percSizeX);
            int sizeY = (int) (PhotoCropActivity.this.imageToCrop.getWidth() * percSizeY);
            if (x < 0) {
                x = 0;
            }
            if (y < 0) {
                y = 0;
            }
            if (x + sizeX > PhotoCropActivity.this.imageToCrop.getWidth()) {
                sizeX = PhotoCropActivity.this.imageToCrop.getWidth() - x;
            }
            if (y + sizeY > PhotoCropActivity.this.imageToCrop.getHeight()) {
                sizeY = PhotoCropActivity.this.imageToCrop.getHeight() - y;
            }
            try {
                return Bitmaps.createBitmap(PhotoCropActivity.this.imageToCrop, x, y, sizeX, sizeY);
            } catch (Throwable e) {
                FileLog.e(e);
                System.gc();
                try {
                    return Bitmaps.createBitmap(PhotoCropActivity.this.imageToCrop, x, y, sizeX, sizeY);
                } catch (Throwable e2) {
                    FileLog.e(e2);
                    return null;
                }
            }
        }

        @Override // android.view.View
        protected void onDraw(Canvas canvas) {
            KLog.d("--------重绘");
            if (PhotoCropActivity.this.drawable != null) {
                try {
                    BitmapDrawable bitmapDrawable = PhotoCropActivity.this.drawable;
                    int i = this.bitmapX;
                    int i2 = this.bitmapY;
                    bitmapDrawable.setBounds(i, i2, this.bitmapWidth + i, this.bitmapHeight + i2);
                    PhotoCropActivity.this.drawable.draw(canvas);
                } catch (Throwable e) {
                    FileLog.e(e);
                }
            }
            int i3 = this.bitmapX;
            canvas.drawRect(i3, this.bitmapY, i3 + this.bitmapWidth, this.rectY, this.halfPaint);
            float f = this.rectY;
            canvas.drawRect(this.bitmapX, f, this.rectX, f + this.rectSizeY, this.halfPaint);
            float f2 = this.rectY;
            canvas.drawRect(this.rectX + this.rectSizeX, f2, this.bitmapX + this.bitmapWidth, f2 + this.rectSizeY, this.halfPaint);
            int i4 = this.bitmapX;
            canvas.drawRect(i4, this.rectSizeY + this.rectY, i4 + this.bitmapWidth, this.bitmapY + this.bitmapHeight, this.halfPaint);
            float f3 = this.rectX;
            float f4 = this.rectY;
            canvas.drawRect(f3, f4, f3 + this.rectSizeX, f4 + this.rectSizeY, this.rectPaint);
            int side = AndroidUtilities.dp(1.0f);
            float f5 = this.rectX;
            canvas.drawRect(f5 + side, this.rectY + side, f5 + side + AndroidUtilities.dp(20.0f), this.rectY + (side * 3), this.circlePaint);
            float f6 = this.rectX;
            float f7 = this.rectY;
            canvas.drawRect(f6 + side, f7 + side, f6 + (side * 3), f7 + side + AndroidUtilities.dp(20.0f), this.circlePaint);
            float dp = ((this.rectX + this.rectSizeX) - side) - AndroidUtilities.dp(20.0f);
            float f8 = this.rectY;
            canvas.drawRect(dp, f8 + side, (this.rectX + this.rectSizeX) - side, f8 + (side * 3), this.circlePaint);
            float f9 = this.rectX;
            float f10 = this.rectSizeX;
            float f11 = this.rectY;
            canvas.drawRect((f9 + f10) - (side * 3), f11 + side, (f9 + f10) - side, f11 + side + AndroidUtilities.dp(20.0f), this.circlePaint);
            canvas.drawRect(this.rectX + side, ((this.rectY + this.rectSizeY) - side) - AndroidUtilities.dp(20.0f), this.rectX + (side * 3), (this.rectY + this.rectSizeY) - side, this.circlePaint);
            float f12 = this.rectX;
            canvas.drawRect(f12 + side, (this.rectY + this.rectSizeY) - (side * 3), f12 + side + AndroidUtilities.dp(20.0f), (this.rectY + this.rectSizeY) - side, this.circlePaint);
            float dp2 = ((this.rectX + this.rectSizeX) - side) - AndroidUtilities.dp(20.0f);
            float f13 = this.rectY;
            float f14 = this.rectSizeY;
            canvas.drawRect(dp2, (f13 + f14) - (side * 3), (this.rectX + this.rectSizeX) - side, (f13 + f14) - side, this.circlePaint);
            canvas.drawRect((this.rectX + this.rectSizeX) - (side * 3), ((this.rectY + this.rectSizeY) - side) - AndroidUtilities.dp(20.0f), (this.rectX + this.rectSizeX) - side, (this.rectY + this.rectSizeY) - side, this.circlePaint);
            for (int a2 = 1; a2 < 3; a2++) {
                float f15 = this.rectX;
                float f16 = this.rectSizeX;
                float f17 = this.rectY;
                canvas.drawRect(f15 + ((f16 / 3.0f) * a2), f17 + side, f15 + side + ((f16 / 3.0f) * a2), (f17 + this.rectSizeY) - side, this.circlePaint);
                float f18 = this.rectX;
                float f19 = this.rectY;
                float f20 = this.rectSizeY;
                canvas.drawRect(f18 + side, ((f20 / 3.0f) * a2) + f19, this.rectSizeX + (f18 - side), f19 + ((f20 / 3.0f) * a2) + side, this.circlePaint);
            }
        }
    }

    public PhotoCropActivity(Bundle args) {
        super(args);
        this.delegate = null;
        this.sameBitmap = false;
        this.doneButtonPressed = false;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        int size;
        KLog.d("-----???????");
        this.swipeBackEnabled = false;
        if (this.imageToCrop == null) {
            String photoPath = getArguments().getString("photoPath");
            Uri photoUri = (Uri) getArguments().getParcelable("photoUri");
            if (photoPath == null && photoUri == null) {
                return false;
            }
            if (photoPath != null) {
                File f = new File(photoPath);
                if (!f.exists()) {
                    return false;
                }
            }
            if (AndroidUtilities.isTablet()) {
                size = AndroidUtilities.dp(520.0f);
            } else {
                size = Math.max(AndroidUtilities.displaySize.x, AndroidUtilities.displaySize.y);
            }
            Bitmap loadBitmap = ImageLoader.loadBitmap(photoPath, photoUri, size, size, true);
            this.imageToCrop = loadBitmap;
            if (loadBitmap == null) {
                return false;
            }
        }
        this.drawable = new BitmapDrawable(this.imageToCrop);
        super.onFragmentCreate();
        return true;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public Bitmap rotateBitmap(Bitmap origin, float alpha) {
        if (origin == null) {
            return null;
        }
        int width = origin.getWidth();
        int height = origin.getHeight();
        Matrix matrix = new Matrix();
        matrix.setRotate(90.0f);
        Bitmap newBM = Bitmap.createBitmap(origin, 0, 0, width, height, matrix, false);
        if (newBM.equals(origin)) {
            return newBM;
        }
        origin.recycle();
        return newBM;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        Bitmap bitmap;
        super.onFragmentDestroy();
        if (this.bitmapKey != null && ImageLoader.getInstance().decrementUseCount(this.bitmapKey) && !ImageLoader.getInstance().isInMemCache(this.bitmapKey, false)) {
            this.bitmapKey = null;
        }
        if (this.bitmapKey == null && (bitmap = this.imageToCrop) != null && !this.sameBitmap) {
            bitmap.recycle();
            this.imageToCrop = null;
        }
        this.drawable = null;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.actionBar.setBackgroundColor(Theme.ACTION_BAR_MEDIA_PICKER_COLOR);
        this.actionBar.setItemsBackgroundColor(Theme.ACTION_BAR_PICKER_SELECTOR_COLOR, false);
        this.actionBar.setTitleColor(-1);
        this.actionBar.setItemsColor(-1, false);
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setAllowOverlayTitle(true);
        this.actionBar.setTitle(LocaleController.getString("CropImage", R.string.CropImage));
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.PhotoCropActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    PhotoCropActivity photoCropActivity = PhotoCropActivity.this;
                    photoCropActivity.imageToCrop = photoCropActivity.rotateBitmap(photoCropActivity.imageToCrop, 90.0f);
                    PhotoCropActivity.this.drawable = new BitmapDrawable(PhotoCropActivity.this.imageToCrop);
                    PhotoCropActivity.this.view.invalidate();
                } else if (id == 1) {
                    if (PhotoCropActivity.this.delegate != null && !PhotoCropActivity.this.doneButtonPressed) {
                        Bitmap bitmap = PhotoCropActivity.this.view.getBitmap();
                        if (bitmap == PhotoCropActivity.this.imageToCrop) {
                            PhotoCropActivity.this.sameBitmap = true;
                        }
                        PhotoCropActivity.this.delegate.didFinishEdit(bitmap);
                        PhotoCropActivity.this.doneButtonPressed = true;
                    }
                    PhotoCropActivity.this.finishFragment();
                }
            }
        });
        ActionBarMenu menu = this.actionBar.createMenu();
        menu.addItemWithWidth(1, R.drawable.ic_done, AndroidUtilities.dp(56.0f));
        PhotoCropView photoCropView = new PhotoCropView(context);
        this.view = photoCropView;
        this.fragmentView = photoCropView;
        ((PhotoCropView) this.fragmentView).freeform = getArguments().getBoolean("freeform", false);
        this.fragmentView.setLayoutParams(new FrameLayout.LayoutParams(-1, -1));
        return this.fragmentView;
    }

    public void setDelegate(PhotoEditActivityDelegate delegate) {
        this.delegate = delegate;
    }
}
