package im.uecahxyvjd.ui;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.StateListAnimator;
import android.app.Dialog;
import android.content.ClipData;
import android.content.ClipboardManager;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.res.Configuration;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Property;
import android.util.SparseArray;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewOutlineProvider;
import android.view.ViewTreeObserver;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.DecelerateInterpolator;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.upstream.cache.ContentMetadata;
import com.google.mlkit.common.MlKitException;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ApplicationLoader;
import im.uecahxyvjd.messenger.ChatObject;
import im.uecahxyvjd.messenger.ContactsController;
import im.uecahxyvjd.messenger.FileLoader;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MediaDataController;
import im.uecahxyvjd.messenger.MessageObject;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.NotificationsController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.SecretChatHelper;
import im.uecahxyvjd.messenger.SendMessagesHelper;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.phoneformat.PhoneFormat;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCChats;
import im.uecahxyvjd.ui.ChatRightsEditActivity;
import im.uecahxyvjd.ui.DialogsActivity;
import im.uecahxyvjd.ui.GroupCreateActivity;
import im.uecahxyvjd.ui.MediaActivity;
import im.uecahxyvjd.ui.PhotoViewer;
import im.uecahxyvjd.ui.ProfileActivity;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.ActionBarMenuItem;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.SimpleTextView;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.actionbar.ThemeDescription;
import im.uecahxyvjd.ui.cells.AboutLinkCell;
import im.uecahxyvjd.ui.cells.DividerCell;
import im.uecahxyvjd.ui.cells.EmptyCell;
import im.uecahxyvjd.ui.cells.HeaderCell;
import im.uecahxyvjd.ui.cells.NotificationsCheckCell;
import im.uecahxyvjd.ui.cells.ShadowSectionCell;
import im.uecahxyvjd.ui.cells.TextCell;
import im.uecahxyvjd.ui.cells.TextDetailCell;
import im.uecahxyvjd.ui.cells.TextInfoPrivacyCell;
import im.uecahxyvjd.ui.cells.UserCell;
import im.uecahxyvjd.ui.components.AlertsCreator;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.components.CombinedDrawable;
import im.uecahxyvjd.ui.components.IdenticonDrawable;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.ScamDrawable;
import im.uecahxyvjd.ui.components.UndoView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.components.voip.VoIPHelper;
import im.uecahxyvjd.ui.hui.chats.GroupShareActivity;
import im.uecahxyvjd.ui.hui.chats.NewProfileActivity;
import im.uecahxyvjd.ui.hui.mine.QrCodeActivity;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Objects;
import java.util.concurrent.CountDownLatch;
import java9.util.concurrent.ForkJoinPool;
import org.slf4j.Marker;
/* loaded from: classes12.dex */
public class ProfileActivity extends BaseFragment implements NotificationCenter.NotificationCenterDelegate, DialogsActivity.DialogsActivityDelegate {
    private static final int add_contact = 1;
    private static final int add_member = 18;
    private static final int add_shortcut = 14;
    private static final int block_contact = 2;
    private static final int call_item = 15;
    private static final int delete_contact = 5;
    private static final int edit_channel = 12;
    private static final int edit_contact = 4;
    private static final int invite_to_group = 9;
    private static final int leave_group = 7;
    private static final int search_members = 17;
    private static final int share = 10;
    private static final int share_contact = 3;
    private static final int statistics = 19;
    private int addMemberRow;
    private int administratorsRow;
    private boolean allowProfileAnimation;
    private ActionBarMenuItem animatingItem;
    private float animationProgress;
    private int audioRow;
    private AvatarDrawable avatarDrawable;
    private BackupImageView avatarImage;
    private int banFromGroup;
    private int blockedUsersRow;
    private TLRPC.BotInfo botInfo;
    private ActionBarMenuItem callItem;
    private int channelInfoRow;
    private TLRPC.ChatFull chatInfo;
    private int chat_id;
    private boolean creatingChat;
    private TLRPC.ChannelParticipant currentChannelParticipant;
    private TLRPC.Chat currentChat;
    private TLRPC.EncryptedChat currentEncryptedChat;
    private long dialog_id;
    private ActionBarMenuItem editItem;
    private int emptyRow;
    private int extraHeight;
    private int filesRow;
    private int forbidAddContact;
    private int groupsInCommonRow;
    private int infoHeaderRow;
    private int infoSectionRow;
    private int initialAnimationExtraHeight;
    private boolean isBot;
    private boolean[] isOnline;
    private int joinRow;
    private int[] lastMediaCount;
    private int lastSectionRow;
    private LinearLayoutManager layoutManager;
    private int leaveChannelRow;
    private int linksRow;
    private ListAdapter listAdapter;
    private RecyclerListView listView;
    private boolean loadingUsers;
    private int locationRow;
    private MediaActivity mediaActivity;
    private int[] mediaCount;
    private int[] mediaMergeCount;
    private int membersEndRow;
    private int membersHeaderRow;
    private int membersSectionRow;
    private int membersStartRow;
    private long mergeDialogId;
    private SimpleTextView[] nameTextView;
    private int notificationsDividerRow;
    private int notificationsRow;
    private int onlineCount;
    private SimpleTextView[] onlineTextView;
    private boolean openAnimationInProgress;
    private SparseArray<TLRPC.ChatParticipant> participantsMap;
    private int phoneRow;
    private int photosRow;
    private boolean playProfileAnimation;
    private int[] prevMediaCount;
    private PhotoViewer.PhotoViewerProvider provider;
    private int qrCodeRow;
    private boolean recreateMenuAfterAnimation;
    private boolean reportSpam;
    private int rowCount;
    private ScamDrawable scamDrawable;
    private int selectedUser;
    private int settingsKeyRow;
    private int settingsSectionRow;
    private int settingsTimerRow;
    private int sharedHeaderRow;
    private MediaActivity.SharedMediaData[] sharedMediaData;
    private int sharedSectionRow;
    private ArrayList<Integer> sortedUsers;
    private int startSecretChatRow;
    private int subscribersRow;
    private TopView topView;
    private int unblockRow;
    private UndoView undoView;
    private boolean userBlocked;
    private TLRPC.UserFull userInfo;
    private int userInfoRow;
    private int user_id;
    private int usernameRow;
    private boolean usersEndReached;
    private int voiceRow;
    private ImageView writeButton;
    private AnimatorSet writeButtonAnimation;

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes12.dex */
    public class TopView extends View {
        private int currentColor;
        private Paint paint;

        public TopView(Context context) {
            super(context);
            this.paint = new Paint();
        }

        @Override // android.view.View
        protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
            setMeasuredDimension(View.MeasureSpec.getSize(widthMeasureSpec), ActionBar.getCurrentActionBarHeight() + (ProfileActivity.this.actionBar.getOccupyStatusBar() ? AndroidUtilities.statusBarHeight : 0) + AndroidUtilities.dp(91.0f));
        }

        @Override // android.view.View
        public void setBackgroundColor(int color) {
            if (color != this.currentColor) {
                this.paint.setColor(color);
                invalidate();
            }
        }

        @Override // android.view.View
        protected void onDraw(Canvas canvas) {
            int height = getMeasuredHeight() - AndroidUtilities.dp(91.0f);
            canvas.drawRect(0.0f, 0.0f, getMeasuredWidth(), ProfileActivity.this.extraHeight + height, this.paint);
        }
    }

    public ProfileActivity(Bundle args) {
        super(args);
        this.nameTextView = new SimpleTextView[2];
        this.onlineTextView = new SimpleTextView[2];
        this.isOnline = new boolean[1];
        this.mediaCount = new int[]{-1, -1, -1, -1, -1};
        this.mediaMergeCount = new int[]{-1, -1, -1, -1, -1};
        this.lastMediaCount = new int[]{-1, -1, -1, -1, -1};
        this.prevMediaCount = new int[]{-1, -1, -1, -1, -1};
        this.participantsMap = new SparseArray<>();
        this.allowProfileAnimation = true;
        this.onlineCount = -1;
        this.provider = new PhotoViewer.EmptyPhotoViewerProvider() { // from class: im.uecahxyvjd.ui.ProfileActivity.1
            @Override // im.uecahxyvjd.ui.PhotoViewer.EmptyPhotoViewerProvider, im.uecahxyvjd.ui.PhotoViewer.PhotoViewerProvider
            public PhotoViewer.PlaceProviderObject getPlaceForPhoto(MessageObject messageObject, TLRPC.FileLocation fileLocation, int index, boolean needPreview) {
                TLRPC.Chat chat;
                if (fileLocation == null) {
                    return null;
                }
                TLRPC.FileLocation photoBig = null;
                if (ProfileActivity.this.user_id != 0) {
                    TLRPC.User user = MessagesController.getInstance(ProfileActivity.this.currentAccount).getUser(Integer.valueOf(ProfileActivity.this.user_id));
                    if (user != null && user.photo != null && user.photo.photo_big != null) {
                        photoBig = user.photo.photo_big;
                    }
                } else if (ProfileActivity.this.chat_id != 0 && (chat = MessagesController.getInstance(ProfileActivity.this.currentAccount).getChat(Integer.valueOf(ProfileActivity.this.chat_id))) != null && chat.photo != null && chat.photo.photo_big != null) {
                    photoBig = chat.photo.photo_big;
                }
                if (photoBig == null || photoBig.local_id != fileLocation.local_id || photoBig.volume_id != fileLocation.volume_id || photoBig.dc_id != fileLocation.dc_id) {
                    return null;
                }
                int[] coords = new int[2];
                ProfileActivity.this.avatarImage.getLocationInWindow(coords);
                PhotoViewer.PlaceProviderObject object = new PhotoViewer.PlaceProviderObject();
                object.viewX = coords[0];
                object.viewY = coords[1] - 0;
                object.parentView = ProfileActivity.this.avatarImage;
                object.imageReceiver = ProfileActivity.this.avatarImage.getImageReceiver();
                if (ProfileActivity.this.user_id != 0) {
                    object.dialogId = ProfileActivity.this.user_id;
                } else if (ProfileActivity.this.chat_id != 0) {
                    object.dialogId = -ProfileActivity.this.chat_id;
                }
                object.thumb = object.imageReceiver.getBitmapSafe();
                object.size = -1;
                object.radius = ProfileActivity.this.avatarImage.getImageReceiver().getRoundRadius();
                object.scale = ProfileActivity.this.avatarImage.getScaleX();
                return object;
            }

            @Override // im.uecahxyvjd.ui.PhotoViewer.EmptyPhotoViewerProvider, im.uecahxyvjd.ui.PhotoViewer.PhotoViewerProvider
            public void willHidePhotoViewer() {
                ProfileActivity.this.avatarImage.getImageReceiver().setVisible(true, true);
            }
        };
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        this.user_id = this.arguments.getInt("user_id", 0);
        this.chat_id = this.arguments.getInt("chat_id", 0);
        this.banFromGroup = this.arguments.getInt("ban_chat_id", 0);
        this.reportSpam = this.arguments.getBoolean("reportSpam", false);
        if (this.user_id != 0) {
            long j = this.arguments.getLong("dialog_id", 0L);
            this.dialog_id = j;
            if (j != 0) {
                this.currentEncryptedChat = MessagesController.getInstance(this.currentAccount).getEncryptedChat(Integer.valueOf((int) (this.dialog_id >> 32)));
            }
            TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.user_id));
            if (user == null) {
                return false;
            }
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.updateInterfaces);
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.contactsDidLoad);
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.encryptedChatCreated);
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.encryptedChatUpdated);
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.blockedUsersDidLoad);
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.botInfoDidLoad);
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.userFullInfoDidLoad);
            this.userBlocked = MessagesController.getInstance(this.currentAccount).blockedUsers.indexOfKey(this.user_id) >= 0;
            if (user.bot) {
                this.isBot = true;
                MediaDataController.getInstance(this.currentAccount).loadBotInfo(user.id, true, this.classGuid);
            }
            this.userInfo = MessagesController.getInstance(this.currentAccount).getUserFull(this.user_id);
            MessagesController.getInstance(this.currentAccount).loadFullUser(MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.user_id)), this.classGuid, true);
            this.participantsMap = null;
        } else if (this.chat_id == 0) {
            return false;
        } else {
            TLRPC.Chat chat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(this.chat_id));
            this.currentChat = chat;
            if (chat == null) {
                final CountDownLatch countDownLatch = new CountDownLatch(1);
                MessagesStorage.getInstance(this.currentAccount).getStorageQueue().postRunnable(new Runnable() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda12
                    @Override // java.lang.Runnable
                    public final void run() {
                        ProfileActivity.this.m2125lambda$onFragmentCreate$0$imuecahxyvjduiProfileActivity(countDownLatch);
                    }
                });
                try {
                    countDownLatch.await();
                } catch (Exception e) {
                    FileLog.e(e);
                }
                if (this.currentChat == null) {
                    return false;
                }
                MessagesController.getInstance(this.currentAccount).putChat(this.currentChat, true);
            }
            if (this.currentChat.megagroup) {
                getChannelParticipants(true);
            } else {
                this.participantsMap = null;
            }
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.chatInfoDidLoad);
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.chatOnlineCountDidLoad);
            this.sortedUsers = new ArrayList<>();
            updateOnlineCount();
            if (this.chatInfo == null) {
                this.chatInfo = getMessagesController().getChatFull(this.chat_id);
            }
            if (ChatObject.isChannel(this.currentChat)) {
                MessagesController.getInstance(this.currentAccount).loadFullChat(this.chat_id, this.classGuid, true);
            } else if (this.chatInfo == null) {
                this.chatInfo = getMessagesStorage().loadChatInfo(this.chat_id, null, false, false);
            }
        }
        this.sharedMediaData = new MediaActivity.SharedMediaData[5];
        int a2 = 0;
        while (true) {
            MediaActivity.SharedMediaData[] sharedMediaDataArr = this.sharedMediaData;
            if (a2 < sharedMediaDataArr.length) {
                sharedMediaDataArr[a2] = new MediaActivity.SharedMediaData();
                this.sharedMediaData[a2].setMaxId(0, this.dialog_id != 0 ? Integer.MIN_VALUE : Integer.MAX_VALUE);
                a2++;
            } else {
                loadMediaCounts();
                NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.mediaCountDidLoad);
                NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.mediaCountsDidLoad);
                NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.mediaDidLoad);
                NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.updateInterfaces);
                NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.didReceiveNewMessages);
                NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.messagesDeleted);
                NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.closeChats);
                updateRowsIds();
                return true;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onFragmentCreate$0$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2125lambda$onFragmentCreate$0$imuecahxyvjduiProfileActivity(CountDownLatch countDownLatch) {
        this.currentChat = MessagesStorage.getInstance(this.currentAccount).getChat(this.chat_id);
        countDownLatch.countDown();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        super.onFragmentDestroy();
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.mediaCountDidLoad);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.mediaCountsDidLoad);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.mediaDidLoad);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.updateInterfaces);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.closeChats);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.didReceiveNewMessages);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.messagesDeleted);
        if (this.user_id != 0) {
            NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.contactsDidLoad);
            NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.encryptedChatCreated);
            NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.encryptedChatUpdated);
            NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.blockedUsersDidLoad);
            NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.botInfoDidLoad);
            NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.userFullInfoDidLoad);
            MessagesController.getInstance(this.currentAccount).cancelLoadFullUser(this.user_id);
        } else if (this.chat_id != 0) {
            NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.chatInfoDidLoad);
            NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.chatOnlineCountDidLoad);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public ActionBar createActionBar(Context context) {
        ActionBar actionBar = new ActionBar(context) { // from class: im.uecahxyvjd.ui.ProfileActivity.2
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar, android.view.View
            public boolean onTouchEvent(MotionEvent event) {
                return super.onTouchEvent(event);
            }
        };
        actionBar.setItemsBackgroundColor(AvatarDrawable.getButtonColorForId((this.user_id != 0 || (ChatObject.isChannel(this.chat_id, this.currentAccount) && !this.currentChat.megagroup)) ? 5 : this.chat_id), false);
        actionBar.setItemsColor(Theme.getColor(Theme.key_actionBarDefaultIcon), false);
        actionBar.setItemsColor(Theme.getColor(Theme.key_actionBarActionModeDefaultIcon), true);
        actionBar.setBackButtonImage(R.mipmap.ic_back);
        actionBar.setCastShadows(false);
        actionBar.setAddToContainer(false);
        actionBar.setOccupyStatusBar(AndroidUtilities.isTablet() ? false : true);
        return actionBar;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        Theme.createProfileResources(context);
        this.hasOwnBackground = true;
        this.extraHeight = AndroidUtilities.dp(88.0f);
        this.actionBar.setActionBarMenuOnItemClick(new AnonymousClass3());
        createActionBarMenu();
        this.listAdapter = new ListAdapter(context);
        AvatarDrawable avatarDrawable = new AvatarDrawable();
        this.avatarDrawable = avatarDrawable;
        avatarDrawable.setProfile(true);
        this.fragmentView = new FrameLayout(context) { // from class: im.uecahxyvjd.ui.ProfileActivity.4
            @Override // android.view.View
            public boolean hasOverlappingRendering() {
                return false;
            }

            @Override // android.widget.FrameLayout, android.view.ViewGroup, android.view.View
            protected void onLayout(boolean changed, int left, int top, int right, int bottom) {
                super.onLayout(changed, left, top, right, bottom);
                ProfileActivity.this.checkListViewScroll();
            }
        };
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        FrameLayout frameLayout = (FrameLayout) this.fragmentView;
        RecyclerListView recyclerListView = new RecyclerListView(context) { // from class: im.uecahxyvjd.ui.ProfileActivity.5
            private Paint paint = new Paint();

            @Override // im.uecahxyvjd.ui.components.RecyclerListView, android.view.View
            public boolean hasOverlappingRendering() {
                return false;
            }

            @Override // androidx.recyclerview.widget.RecyclerView, android.view.View
            public void onDraw(Canvas c) {
                RecyclerView.ViewHolder holder;
                int bottom;
                if (ProfileActivity.this.lastSectionRow != -1) {
                    holder = findViewHolderForAdapterPosition(ProfileActivity.this.lastSectionRow);
                } else {
                    holder = (ProfileActivity.this.sharedSectionRow == -1 || (ProfileActivity.this.membersSectionRow != -1 && ProfileActivity.this.membersSectionRow >= ProfileActivity.this.sharedSectionRow)) ? (ProfileActivity.this.membersSectionRow == -1 || (ProfileActivity.this.sharedSectionRow != -1 && ProfileActivity.this.membersSectionRow <= ProfileActivity.this.sharedSectionRow)) ? ProfileActivity.this.settingsSectionRow != -1 ? findViewHolderForAdapterPosition(ProfileActivity.this.settingsSectionRow) : ProfileActivity.this.infoSectionRow != -1 ? findViewHolderForAdapterPosition(ProfileActivity.this.infoSectionRow) : null : findViewHolderForAdapterPosition(ProfileActivity.this.membersSectionRow) : findViewHolderForAdapterPosition(ProfileActivity.this.sharedSectionRow);
                }
                int height = getMeasuredHeight();
                if (holder != null) {
                    bottom = holder.itemView.getBottom();
                    if (holder.itemView.getBottom() >= height) {
                        bottom = height;
                    }
                } else {
                    bottom = height;
                }
                this.paint.setColor(Theme.getColor(Theme.key_windowBackgroundGray));
                c.drawRect(0.0f, 0.0f, getMeasuredWidth(), bottom, this.paint);
                if (bottom != height) {
                    this.paint.setColor(Theme.getColor(Theme.key_windowBackgroundGray));
                    c.drawRect(0.0f, bottom, getMeasuredWidth(), height, this.paint);
                }
            }
        };
        this.listView = recyclerListView;
        recyclerListView.setVerticalScrollBarEnabled(false);
        this.listView.setItemAnimator(null);
        this.listView.setLayoutAnimation(null);
        this.listView.setClipToPadding(false);
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(context) { // from class: im.uecahxyvjd.ui.ProfileActivity.6
            @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.LayoutManager
            public boolean supportsPredictiveItemAnimations() {
                return false;
            }
        };
        this.layoutManager = linearLayoutManager;
        linearLayoutManager.setOrientation(1);
        this.listView.setLayoutManager(this.layoutManager);
        this.listView.setGlowColor(AvatarDrawable.getProfileBackColorForId((this.user_id != 0 || (ChatObject.isChannel(this.chat_id, this.currentAccount) && !this.currentChat.megagroup)) ? 5 : this.chat_id));
        frameLayout.addView(this.listView, LayoutHelper.createFrame(-1.0f, -1.0f, 48, 10.0f, 0.0f, 10.0f, 0.0f));
        this.listView.setAdapter(this.listAdapter);
        this.listView.setOnItemClickListener(new RecyclerListView.OnItemClickListenerExtended() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda25
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListenerExtended
            public final void onItemClick(View view, int i, float f, float f2) {
                ProfileActivity.this.m2116lambda$createView$6$imuecahxyvjduiProfileActivity(view, i, f, f2);
            }
        });
        this.listView.setOnItemLongClickListener(new RecyclerListView.OnItemLongClickListener() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda1
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemLongClickListener
            public final boolean onItemClick(View view, int i) {
                return ProfileActivity.this.m2119lambda$createView$9$imuecahxyvjduiProfileActivity(view, i);
            }
        });
        if (this.banFromGroup != 0) {
            final TLRPC.Chat chat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(this.banFromGroup));
            if (this.currentChannelParticipant == null) {
                TLRPC.TL_channels_getParticipant req = new TLRPC.TL_channels_getParticipant();
                req.channel = MessagesController.getInputChannel(chat);
                req.user_id = MessagesController.getInstance(this.currentAccount).getInputUser(this.user_id);
                ConnectionsManager.getInstance(this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda2
                    @Override // im.uecahxyvjd.tgnet.RequestDelegate
                    public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                        ProfileActivity.this.m2108lambda$createView$11$imuecahxyvjduiProfileActivity(tLObject, tL_error);
                    }
                });
            }
            FrameLayout frameLayout1 = new FrameLayout(context) { // from class: im.uecahxyvjd.ui.ProfileActivity.7
                @Override // android.view.View
                protected void onDraw(Canvas canvas) {
                    int bottom = Theme.chat_composeShadowDrawable.getIntrinsicHeight();
                    Theme.chat_composeShadowDrawable.setBounds(0, 0, getMeasuredWidth(), bottom);
                    Theme.chat_composeShadowDrawable.draw(canvas);
                    canvas.drawRect(0.0f, bottom, getMeasuredWidth(), getMeasuredHeight(), Theme.chat_composeBackgroundPaint);
                }
            };
            frameLayout1.setWillNotDraw(false);
            frameLayout.addView(frameLayout1, LayoutHelper.createFrame(-1, 51, 83));
            frameLayout1.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda3
                @Override // android.view.View.OnClickListener
                public final void onClick(View view) {
                    ProfileActivity.this.m2109lambda$createView$12$imuecahxyvjduiProfileActivity(chat, view);
                }
            });
            TextView textView = new TextView(context);
            textView.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteRedText));
            textView.setTextSize(1, 15.0f);
            textView.setGravity(17);
            textView.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
            textView.setText(LocaleController.getString("BanFromTheGroup", R.string.BanFromTheGroup));
            frameLayout1.addView(textView, LayoutHelper.createFrame(-2.0f, -2.0f, 17, 0.0f, 1.0f, 0.0f, 0.0f));
            this.listView.setPadding(0, AndroidUtilities.dp(88.0f), 0, AndroidUtilities.dp(48.0f));
            this.listView.setBottomGlowOffset(AndroidUtilities.dp(48.0f));
        } else {
            this.listView.setPadding(0, AndroidUtilities.dp(88.0f), 0, 0);
        }
        TopView topView = new TopView(context);
        this.topView = topView;
        topView.setBackgroundColor(AvatarDrawable.getProfileBackColorForId((this.user_id != 0 || (ChatObject.isChannel(this.chat_id, this.currentAccount) && !this.currentChat.megagroup)) ? 5 : this.chat_id));
        frameLayout.addView(this.topView);
        frameLayout.addView(this.actionBar);
        BackupImageView backupImageView = new BackupImageView(context);
        this.avatarImage = backupImageView;
        backupImageView.setRoundRadius(AndroidUtilities.dp(7.5f));
        this.avatarImage.setPivotX(0.0f);
        this.avatarImage.setPivotY(0.0f);
        frameLayout.addView(this.avatarImage, LayoutHelper.createFrame(42.0f, 42.0f, 51, 59.0f, 0.0f, 0.0f, 0.0f));
        this.avatarImage.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda4
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                ProfileActivity.this.m2110lambda$createView$13$imuecahxyvjduiProfileActivity(view);
            }
        });
        this.avatarImage.setContentDescription(LocaleController.getString("AccDescrProfilePicture", R.string.AccDescrProfilePicture));
        int a2 = 0;
        while (a2 < 2) {
            if (this.playProfileAnimation || a2 != 0) {
                this.nameTextView[a2] = new SimpleTextView(context);
                if (a2 == 1) {
                    this.nameTextView[a2].setTextColor(Theme.getColor(Theme.key_profile_title));
                } else {
                    this.nameTextView[a2].setTextColor(Theme.getColor(Theme.key_actionBarDefaultTitle));
                }
                this.nameTextView[a2].setTextSize(14);
                this.nameTextView[a2].setGravity(3);
                this.nameTextView[a2].setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
                this.nameTextView[a2].setLeftDrawableTopPadding(-AndroidUtilities.dp(1.3f));
                this.nameTextView[a2].setPivotX(0.0f);
                this.nameTextView[a2].setPivotY(0.0f);
                this.nameTextView[a2].setAlpha(a2 == 0 ? 0.0f : 1.0f);
                if (a2 == 1) {
                    this.nameTextView[a2].setScrollNonFitText(true);
                    this.nameTextView[a2].setBackgroundColor(AvatarDrawable.getProfileBackColorForId((this.user_id != 0 || (ChatObject.isChannel(this.chat_id, this.currentAccount) && !this.currentChat.megagroup)) ? 5 : this.chat_id));
                }
                frameLayout.addView(this.nameTextView[a2], LayoutHelper.createFrame(-2.0f, -2.0f, 51, 102.0f, 0.0f, a2 == 0 ? 48.0f : 0.0f, 0.0f));
                this.onlineTextView[a2] = new SimpleTextView(context);
                this.onlineTextView[a2].setTextColor(AvatarDrawable.getProfileTextColorForId((this.user_id != 0 || (ChatObject.isChannel(this.chat_id, this.currentAccount) && !this.currentChat.megagroup)) ? 5 : this.chat_id));
                this.onlineTextView[a2].setTextSize(11);
                this.onlineTextView[a2].setGravity(3);
                this.onlineTextView[a2].setAlpha(a2 == 0 ? 0.0f : 1.0f);
                frameLayout.addView(this.onlineTextView[a2], LayoutHelper.createFrame(-2.0f, -2.0f, 51, 102.0f, -6.0f, a2 == 0 ? 48.0f : 8.0f, 0.0f));
            }
            a2++;
        }
        int a3 = this.user_id;
        if (a3 != 0) {
            this.writeButton = new ImageView(context);
            Drawable drawable = Theme.createSimpleSelectorCircleDrawable(AndroidUtilities.dp(56.0f), Theme.getColor(Theme.key_profile_actionBackground), Theme.getColor(Theme.key_profile_actionPressedBackground));
            this.writeButton.setBackgroundDrawable(drawable);
            this.writeButton.setImageResource(R.drawable.profile_newmsg);
            this.writeButton.setContentDescription(LocaleController.getString("AccDescrOpenChat", R.string.AccDescrOpenChat));
            this.writeButton.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_profile_actionIcon), PorterDuff.Mode.MULTIPLY));
            this.writeButton.setScaleType(ImageView.ScaleType.CENTER);
            StateListAnimator animator = new StateListAnimator();
            animator.addState(new int[]{16842919}, ObjectAnimator.ofFloat(this.writeButton, View.TRANSLATION_Z, AndroidUtilities.dp(2.0f), AndroidUtilities.dp(4.0f)).setDuration(200L));
            animator.addState(new int[0], ObjectAnimator.ofFloat(this.writeButton, View.TRANSLATION_Z, AndroidUtilities.dp(4.0f), AndroidUtilities.dp(2.0f)).setDuration(200L));
            this.writeButton.setStateListAnimator(animator);
            this.writeButton.setOutlineProvider(new ViewOutlineProvider() { // from class: im.uecahxyvjd.ui.ProfileActivity.9
                @Override // android.view.ViewOutlineProvider
                public void getOutline(View view, Outline outline) {
                    outline.setOval(0, 0, AndroidUtilities.dp(56.0f), AndroidUtilities.dp(56.0f));
                }
            });
            frameLayout.addView(this.writeButton, LayoutHelper.createFrame(56.0f, 56.0f, 53, 0.0f, 0.0f, 16.0f, 0.0f));
            this.writeButton.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda5
                @Override // android.view.View.OnClickListener
                public final void onClick(View view) {
                    ProfileActivity.this.m2111lambda$createView$14$imuecahxyvjduiProfileActivity(view);
                }
            });
        }
        needLayout();
        this.listView.setOnScrollListener(new RecyclerView.OnScrollListener() { // from class: im.uecahxyvjd.ui.ProfileActivity.10
            @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
            public void onScrolled(RecyclerView recyclerView, int dx, int dy) {
                ProfileActivity.this.checkListViewScroll();
                if (ProfileActivity.this.participantsMap != null && !ProfileActivity.this.usersEndReached && ProfileActivity.this.layoutManager.findLastVisibleItemPosition() > ProfileActivity.this.membersEndRow - 8) {
                    ProfileActivity.this.getChannelParticipants(false);
                }
            }
        });
        UndoView undoView = new UndoView(context);
        this.undoView = undoView;
        frameLayout.addView(undoView, LayoutHelper.createFrame(-1.0f, -2.0f, 83, 8.0f, 0.0f, 8.0f, 8.0f));
        return this.fragmentView;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: im.uecahxyvjd.ui.ProfileActivity$3  reason: invalid class name */
    /* loaded from: classes12.dex */
    public class AnonymousClass3 extends ActionBar.ActionBarMenuOnItemClick {
        AnonymousClass3() {
        }

        @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
        public void onItemClick(int id) {
            long did;
            ProfileActivity profileActivity;
            if (ProfileActivity.this.getParentActivity() == null) {
                return;
            }
            if (id == -1) {
                ProfileActivity.this.finishFragment();
            } else if (id == 2) {
                TLRPC.User user = MessagesController.getInstance(ProfileActivity.this.currentAccount).getUser(Integer.valueOf(ProfileActivity.this.user_id));
                if (user != null) {
                    if (!ProfileActivity.this.isBot || MessagesController.isSupportUser(user)) {
                        if (ProfileActivity.this.userBlocked) {
                            MessagesController.getInstance(ProfileActivity.this.currentAccount).unblockUser(ProfileActivity.this.user_id);
                            AlertsCreator.showSimpleToast(ProfileActivity.this, LocaleController.getString("UserUnblocked", R.string.UserUnblocked));
                        } else if (ProfileActivity.this.reportSpam) {
                            AlertsCreator.showBlockReportSpamAlert(ProfileActivity.this, profileActivity.user_id, user, null, ProfileActivity.this.currentEncryptedChat, false, null, new MessagesStorage.IntCallback() { // from class: im.uecahxyvjd.ui.ProfileActivity$3$$ExternalSyntheticLambda1
                                @Override // im.uecahxyvjd.messenger.MessagesStorage.IntCallback
                                public final void run(int i) {
                                    ProfileActivity.AnonymousClass3.this.m2130lambda$onItemClick$0$imuecahxyvjduiProfileActivity$3(i);
                                }
                            });
                        } else {
                            AlertDialog.Builder builder = new AlertDialog.Builder(ProfileActivity.this.getParentActivity());
                            builder.setTitle(LocaleController.getString("BlockUser", R.string.BlockUser));
                            builder.setMessage(AndroidUtilities.replaceTags(LocaleController.formatString("AreYouSureBlockContact2", R.string.AreYouSureBlockContact2, ContactsController.formatName(user.first_name, user.last_name))));
                            builder.setPositiveButton(LocaleController.getString("BlockContact", R.string.BlockContact), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.ProfileActivity$3$$ExternalSyntheticLambda2
                                @Override // android.content.DialogInterface.OnClickListener
                                public final void onClick(DialogInterface dialogInterface, int i) {
                                    ProfileActivity.AnonymousClass3.this.m2131lambda$onItemClick$1$imuecahxyvjduiProfileActivity$3(dialogInterface, i);
                                }
                            });
                            builder.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
                            AlertDialog dialog = builder.create();
                            ProfileActivity.this.showDialog(dialog);
                            TextView button = (TextView) dialog.getButton(-1);
                            if (button != null) {
                                button.setTextColor(Theme.getColor(Theme.key_dialogTextRed2));
                            }
                        }
                    } else if (!ProfileActivity.this.userBlocked) {
                        MessagesController.getInstance(ProfileActivity.this.currentAccount).blockUser(ProfileActivity.this.user_id);
                    } else {
                        MessagesController.getInstance(ProfileActivity.this.currentAccount).unblockUser(ProfileActivity.this.user_id);
                        SendMessagesHelper.getInstance(ProfileActivity.this.currentAccount).sendMessage("/start", ProfileActivity.this.user_id, null, null, false, null, null, null, true, 0);
                        ProfileActivity.this.finishFragment();
                    }
                }
            } else if (id == 1) {
                TLRPC.User user2 = MessagesController.getInstance(ProfileActivity.this.currentAccount).getUser(Integer.valueOf(ProfileActivity.this.user_id));
                Bundle args = new Bundle();
                args.putInt("user_id", user2.id);
                args.putBoolean("addContact", true);
                ProfileActivity.this.presentFragment(new ContactAddActivity(args));
            } else if (id == 3) {
                Bundle args2 = new Bundle();
                args2.putBoolean("onlySelect", true);
                args2.putString("selectAlertString", LocaleController.getString("SendContactTo", R.string.SendContactTo));
                args2.putString("selectAlertStringGroup", LocaleController.getString("SendContactToGroup", R.string.SendContactToGroup));
                DialogsActivity fragment = new DialogsActivity(args2);
                fragment.setDelegate(ProfileActivity.this);
                ProfileActivity.this.presentFragment(fragment);
            } else if (id == 4) {
                Bundle args3 = new Bundle();
                args3.putInt("user_id", ProfileActivity.this.user_id);
                ProfileActivity.this.presentFragment(new ContactAddActivity(args3));
            } else if (id == 5) {
                final TLRPC.User user3 = MessagesController.getInstance(ProfileActivity.this.currentAccount).getUser(Integer.valueOf(ProfileActivity.this.user_id));
                if (user3 == null || ProfileActivity.this.getParentActivity() == null) {
                    return;
                }
                AlertDialog.Builder builder2 = new AlertDialog.Builder(ProfileActivity.this.getParentActivity());
                builder2.setTitle(LocaleController.getString("DeleteContact", R.string.DeleteContact));
                builder2.setMessage(LocaleController.getString("AreYouSureDeleteContact", R.string.AreYouSureDeleteContact));
                builder2.setPositiveButton(LocaleController.getString("Delete", R.string.Delete), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.ProfileActivity$3$$ExternalSyntheticLambda3
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        ProfileActivity.AnonymousClass3.this.m2132lambda$onItemClick$2$imuecahxyvjduiProfileActivity$3(user3, dialogInterface, i);
                    }
                });
                builder2.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
                AlertDialog dialog2 = builder2.create();
                ProfileActivity.this.showDialog(dialog2);
                TextView button2 = (TextView) dialog2.getButton(-1);
                if (button2 != null) {
                    button2.setTextColor(Theme.getColor(Theme.key_dialogTextRed2));
                }
            } else if (id == 7) {
                ProfileActivity.this.leaveChatPressed();
            } else if (id == 12) {
                Bundle args4 = new Bundle();
                args4.putInt("chat_id", ProfileActivity.this.chat_id);
                ChatEditActivity fragment2 = new ChatEditActivity(args4);
                fragment2.setInfo(ProfileActivity.this.chatInfo);
                ProfileActivity.this.presentFragment(fragment2);
            } else if (id == 9) {
                final TLRPC.User user4 = MessagesController.getInstance(ProfileActivity.this.currentAccount).getUser(Integer.valueOf(ProfileActivity.this.user_id));
                if (user4 == null) {
                    return;
                }
                Bundle args5 = new Bundle();
                args5.putBoolean("onlySelect", true);
                args5.putInt("dialogsType", 2);
                args5.putString("addToGroupAlertString", LocaleController.formatString("AddToTheGroupTitle", R.string.AddToTheGroupTitle, UserObject.getName(user4), "%1$s"));
                DialogsActivity fragment3 = new DialogsActivity(args5);
                fragment3.setDelegate(new DialogsActivity.DialogsActivityDelegate() { // from class: im.uecahxyvjd.ui.ProfileActivity$3$$ExternalSyntheticLambda4
                    @Override // im.uecahxyvjd.ui.DialogsActivity.DialogsActivityDelegate
                    public final void didSelectDialogs(DialogsActivity dialogsActivity, ArrayList arrayList, CharSequence charSequence, boolean z) {
                        ProfileActivity.AnonymousClass3.this.m2133lambda$onItemClick$3$imuecahxyvjduiProfileActivity$3(user4, dialogsActivity, arrayList, charSequence, z);
                    }
                });
                ProfileActivity.this.presentFragment(fragment3);
            } else if (id == 10) {
                try {
                    TLRPC.User user5 = MessagesController.getInstance(ProfileActivity.this.currentAccount).getUser(Integer.valueOf(ProfileActivity.this.user_id));
                    if (user5 == null) {
                        return;
                    }
                    Intent intent = new Intent("android.intent.action.SEND");
                    intent.setType("text/plain");
                    if (ProfileActivity.this.botInfo == null || ProfileActivity.this.userInfo == null || TextUtils.isEmpty(ProfileActivity.this.userInfo.about)) {
                        intent.putExtra("android.intent.extra.TEXT", String.format("https://" + MessagesController.getInstance(ProfileActivity.this.currentAccount).linkPrefix + "/%s", user5.username));
                    } else {
                        intent.putExtra("android.intent.extra.TEXT", String.format("%s https://" + MessagesController.getInstance(ProfileActivity.this.currentAccount).linkPrefix + "/%s", ProfileActivity.this.userInfo.about, user5.username));
                    }
                    ProfileActivity.this.startActivityForResult(Intent.createChooser(intent, LocaleController.getString("BotShare", R.string.BotShare)), 500);
                } catch (Exception e) {
                    FileLog.e(e);
                }
            } else if (id == 14) {
                try {
                    if (ProfileActivity.this.currentEncryptedChat != null) {
                        did = ProfileActivity.this.currentEncryptedChat.id << 32;
                    } else if (ProfileActivity.this.user_id != 0) {
                        did = ProfileActivity.this.user_id;
                    } else if (ProfileActivity.this.chat_id != 0) {
                        did = -ProfileActivity.this.chat_id;
                    } else {
                        return;
                    }
                    MediaDataController.getInstance(ProfileActivity.this.currentAccount).installShortcut(did);
                } catch (Exception e2) {
                    FileLog.e(e2);
                }
            } else if (id == 15) {
                TLRPC.User user6 = MessagesController.getInstance(ProfileActivity.this.currentAccount).getUser(Integer.valueOf(ProfileActivity.this.user_id));
                if (user6 != null) {
                    VoIPHelper.startCall(user6, ProfileActivity.this.getParentActivity(), ProfileActivity.this.userInfo);
                }
            } else if (id == 17) {
                Bundle args6 = new Bundle();
                args6.putInt("chat_id", ProfileActivity.this.chat_id);
                args6.putInt("type", 2);
                args6.putBoolean("open_search", true);
                ChatUsersActivity fragment4 = new ChatUsersActivity(args6);
                fragment4.setInfo(ProfileActivity.this.chatInfo);
                ProfileActivity.this.presentFragment(fragment4);
            } else if (id == 18) {
                ProfileActivity.this.openAddMember();
            } else if (id == 19) {
                int did2 = ProfileActivity.this.user_id != 0 ? ProfileActivity.this.user_id : -ProfileActivity.this.chat_id;
                final AlertDialog[] progressDialog = {new AlertDialog(ProfileActivity.this.getParentActivity(), 3)};
                TLRPC.TL_messages_getStatsURL req = new TLRPC.TL_messages_getStatsURL();
                req.peer = MessagesController.getInstance(ProfileActivity.this.currentAccount).getInputPeer(did2);
                req.dark = Theme.getCurrentTheme().isDark();
                req.params = "";
                final int requestId = ConnectionsManager.getInstance(ProfileActivity.this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.ProfileActivity$3$$ExternalSyntheticLambda5
                    @Override // im.uecahxyvjd.tgnet.RequestDelegate
                    public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                        ProfileActivity.AnonymousClass3.this.m2135lambda$onItemClick$5$imuecahxyvjduiProfileActivity$3(progressDialog, tLObject, tL_error);
                    }
                });
                if (progressDialog[0] != null) {
                    progressDialog[0].setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.ProfileActivity$3$$ExternalSyntheticLambda6
                        @Override // android.content.DialogInterface.OnCancelListener
                        public final void onCancel(DialogInterface dialogInterface) {
                            ProfileActivity.AnonymousClass3.this.m2136lambda$onItemClick$6$imuecahxyvjduiProfileActivity$3(requestId, dialogInterface);
                        }
                    });
                    ProfileActivity.this.showDialog(progressDialog[0]);
                }
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$0$im-uecahxyvjd-ui-ProfileActivity$3  reason: not valid java name */
        public /* synthetic */ void m2130lambda$onItemClick$0$imuecahxyvjduiProfileActivity$3(int param) {
            if (param == 1) {
                NotificationCenter.getInstance(ProfileActivity.this.currentAccount).removeObserver(ProfileActivity.this, NotificationCenter.closeChats);
                NotificationCenter.getInstance(ProfileActivity.this.currentAccount).postNotificationName(NotificationCenter.closeChats, new Object[0]);
                ProfileActivity.this.playProfileAnimation = false;
                ProfileActivity.this.finishFragment();
                return;
            }
            ProfileActivity.this.getNotificationCenter().postNotificationName(NotificationCenter.peerSettingsDidLoad, Long.valueOf(ProfileActivity.this.user_id));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$1$im-uecahxyvjd-ui-ProfileActivity$3  reason: not valid java name */
        public /* synthetic */ void m2131lambda$onItemClick$1$imuecahxyvjduiProfileActivity$3(DialogInterface dialogInterface, int i) {
            MessagesController.getInstance(ProfileActivity.this.currentAccount).blockUser(ProfileActivity.this.user_id);
            AlertsCreator.showSimpleToast(ProfileActivity.this, LocaleController.getString("UserBlocked", R.string.UserBlocked));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$2$im-uecahxyvjd-ui-ProfileActivity$3  reason: not valid java name */
        public /* synthetic */ void m2132lambda$onItemClick$2$imuecahxyvjduiProfileActivity$3(TLRPC.User user, DialogInterface dialogInterface, int i) {
            ArrayList<TLRPC.User> arrayList = new ArrayList<>();
            arrayList.add(user);
            ContactsController.getInstance(ProfileActivity.this.currentAccount).deleteContact(arrayList);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$3$im-uecahxyvjd-ui-ProfileActivity$3  reason: not valid java name */
        public /* synthetic */ void m2133lambda$onItemClick$3$imuecahxyvjduiProfileActivity$3(TLRPC.User user, DialogsActivity fragment1, ArrayList dids, CharSequence message, boolean param) {
            long did = ((Long) dids.get(0)).longValue();
            Bundle args1 = new Bundle();
            args1.putBoolean("scrollToTopOnResume", true);
            args1.putInt("chat_id", -((int) did));
            if (MessagesController.getInstance(ProfileActivity.this.currentAccount).checkCanOpenChat(args1, fragment1)) {
                NotificationCenter.getInstance(ProfileActivity.this.currentAccount).removeObserver(ProfileActivity.this, NotificationCenter.closeChats);
                NotificationCenter.getInstance(ProfileActivity.this.currentAccount).postNotificationName(NotificationCenter.closeChats, new Object[0]);
                MessagesController.getInstance(ProfileActivity.this.currentAccount).addUserToChat(-((int) did), user, null, 0, null, ProfileActivity.this, null);
                ProfileActivity.this.presentFragment(new ChatActivity(args1), true);
                ProfileActivity.this.removeSelfFromStack();
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$5$im-uecahxyvjd-ui-ProfileActivity$3  reason: not valid java name */
        public /* synthetic */ void m2135lambda$onItemClick$5$imuecahxyvjduiProfileActivity$3(final AlertDialog[] progressDialog, final TLObject response, TLRPC.TL_error error) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.ProfileActivity$3$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    ProfileActivity.AnonymousClass3.this.m2134lambda$onItemClick$4$imuecahxyvjduiProfileActivity$3(progressDialog, response);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$4$im-uecahxyvjd-ui-ProfileActivity$3  reason: not valid java name */
        public /* synthetic */ void m2134lambda$onItemClick$4$imuecahxyvjduiProfileActivity$3(AlertDialog[] progressDialog, TLObject response) {
            try {
                progressDialog[0].dismiss();
            } catch (Throwable th) {
            }
            progressDialog[0] = null;
            if (response != null) {
                TLRPC.TL_statsURL url = (TLRPC.TL_statsURL) response;
                ProfileActivity.this.presentFragment(new WebviewActivity(url.url, -ProfileActivity.this.chat_id));
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$6$im-uecahxyvjd-ui-ProfileActivity$3  reason: not valid java name */
        public /* synthetic */ void m2136lambda$onItemClick$6$imuecahxyvjduiProfileActivity$3(int requestId, DialogInterface dialog) {
            ConnectionsManager.getInstance(ProfileActivity.this.currentAccount).cancelRequest(requestId, true);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$6$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2116lambda$createView$6$imuecahxyvjduiProfileActivity(View view, int position, float x, float y) {
        int tab;
        TLRPC.User user;
        TLRPC.Chat chat;
        long did;
        long did2;
        long flags;
        if (getParentActivity() == null) {
            return;
        }
        int i = this.photosRow;
        if (position == i || position == this.filesRow || position == this.linksRow || position == this.audioRow || position == this.voiceRow) {
            if (position == i) {
                tab = 0;
            } else {
                int tab2 = this.filesRow;
                if (position == tab2) {
                    tab = 1;
                } else {
                    int tab3 = this.linksRow;
                    if (position == tab3) {
                        tab = 3;
                    } else {
                        int tab4 = this.audioRow;
                        if (position == tab4) {
                            tab = 4;
                        } else {
                            tab = 2;
                        }
                    }
                }
            }
            Bundle args = new Bundle();
            int i2 = this.user_id;
            if (i2 != 0) {
                long j = this.dialog_id;
                if (j == 0) {
                    j = i2;
                }
                args.putLong("dialog_id", j);
            } else {
                args.putLong("dialog_id", -this.chat_id);
            }
            int[] media = new int[5];
            System.arraycopy(this.lastMediaCount, 0, media, 0, media.length);
            MediaActivity mediaActivity = new MediaActivity(args, media, this.sharedMediaData, tab);
            this.mediaActivity = mediaActivity;
            mediaActivity.setChatInfo(this.chatInfo);
            presentFragment(this.mediaActivity);
        } else if (position == this.groupsInCommonRow) {
            presentFragment(new CommonGroupsActivity(this.user_id));
        } else if (position != this.settingsKeyRow) {
            if (position == this.settingsTimerRow) {
                showDialog(AlertsCreator.createTTLAlert(getParentActivity(), this.currentEncryptedChat).create());
            } else if (position != this.notificationsRow) {
                if (position != this.forbidAddContact) {
                    if (position != this.startSecretChatRow) {
                        if (position == this.unblockRow) {
                            MessagesController.getInstance(this.currentAccount).unblockUser(this.user_id);
                            AlertsCreator.showSimpleToast(this, LocaleController.getString("UserUnblocked", R.string.UserUnblocked));
                            return;
                        } else if (position < this.membersStartRow || position >= this.membersEndRow) {
                            if (position == this.addMemberRow) {
                                openAddMember();
                                return;
                            } else if (position == this.usernameRow) {
                                if (this.currentChat != null) {
                                    Bundle args2 = new Bundle();
                                    args2.putInt("dialogsType", 3);
                                    args2.putBoolean("onlySelect", true);
                                    args2.putString("selectAlertString", "要分享群号给%s");
                                    args2.putString("selectAlertStringGroup", "要分享群号给 %s");
                                    final DialogsActivity fragment = new DialogsActivity(args2);
                                    fragment.setDelegate(new DialogsActivity.DialogsActivityDelegate() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda24
                                        @Override // im.uecahxyvjd.ui.DialogsActivity.DialogsActivityDelegate
                                        public final void didSelectDialogs(DialogsActivity dialogsActivity, ArrayList arrayList, CharSequence charSequence, boolean z) {
                                            ProfileActivity.this.m2115lambda$createView$5$imuecahxyvjduiProfileActivity(fragment, dialogsActivity, arrayList, charSequence, z);
                                        }
                                    });
                                    presentFragment(fragment);
                                    return;
                                }
                                return;
                            } else if (position == this.qrCodeRow) {
                                if (this.userInfo != null) {
                                    QrCodeActivity qrCodeActivity = new QrCodeActivity(getUserConfig().getClientUserId());
                                    presentFragment(qrCodeActivity);
                                    return;
                                } else if (this.chatInfo != null) {
                                    GroupShareActivity shareActivity = new GroupShareActivity();
                                    shareActivity.setChatInfo(this.chatInfo);
                                    shareActivity.setChat(this.currentChat);
                                    presentFragment(shareActivity);
                                    return;
                                } else {
                                    return;
                                }
                            } else if (position == this.locationRow) {
                                if (this.chatInfo.location instanceof TLRPC.TL_channelLocation) {
                                    NewLocationActivity fragment2 = new NewLocationActivity(3);
                                    fragment2.setChatLocation(this.chat_id, (TLRPC.TL_channelLocation) this.chatInfo.location);
                                    presentFragment(fragment2);
                                    return;
                                }
                                return;
                            } else if (position == this.leaveChannelRow) {
                                leaveChatPressed();
                                return;
                            } else if (position == this.joinRow) {
                                MessagesController.getInstance(this.currentAccount).addUserToChat(this.currentChat.id, UserConfig.getInstance(this.currentAccount).getCurrentUser(), null, 0, null, this, null);
                                NotificationCenter.getGlobalInstance().postNotificationName(NotificationCenter.closeSearchByActiveAction, new Object[0]);
                                return;
                            } else if (position != this.subscribersRow) {
                                if (position != this.administratorsRow) {
                                    if (position == this.blockedUsersRow) {
                                        Bundle args3 = new Bundle();
                                        args3.putInt("chat_id", this.chat_id);
                                        args3.putInt("type", 0);
                                        ChatUsersActivity fragment3 = new ChatUsersActivity(args3);
                                        fragment3.setInfo(this.chatInfo);
                                        presentFragment(fragment3);
                                        return;
                                    }
                                    processOnClickOrPress(position);
                                    return;
                                }
                                Bundle args4 = new Bundle();
                                args4.putInt("chat_id", this.chat_id);
                                args4.putInt("type", 1);
                                ChatUsersActivity fragment4 = new ChatUsersActivity(args4);
                                fragment4.setInfo(this.chatInfo);
                                presentFragment(fragment4);
                                return;
                            } else {
                                Bundle args5 = new Bundle();
                                args5.putInt("chat_id", this.chat_id);
                                args5.putInt("type", 2);
                                ChatUsersActivity fragment5 = new ChatUsersActivity(args5);
                                fragment5.setInfo(this.chatInfo);
                                presentFragment(fragment5);
                                return;
                            }
                        } else if (this.currentChat instanceof TLRPC.TL_channelForbidden) {
                            getNotificationCenter().removeObserver(this, NotificationCenter.closeChats);
                            getNotificationCenter().postNotificationName(NotificationCenter.closeChats, new Object[0]);
                            AlertDialog dialog = new AlertDialog(getParentActivity(), 0);
                            dialog.setTitle(LocaleController.getString("AppName", R.string.AppName));
                            dialog.setMessage(LocaleController.getString("DeleteThisGroup", R.string.DeleteThisGroup));
                            dialog.setPositiveButton(LocaleController.getString("OK", R.string.OK), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda23
                                @Override // android.content.DialogInterface.OnClickListener
                                public final void onClick(DialogInterface dialogInterface, int i3) {
                                    ProfileActivity.this.m2114lambda$createView$4$imuecahxyvjduiProfileActivity(dialogInterface, i3);
                                }
                            });
                            dialog.setCancelable(false);
                            dialog.setCanceledOnTouchOutside(false);
                            showDialog(dialog);
                            return;
                        } else {
                            int user_id = !this.sortedUsers.isEmpty() ? this.chatInfo.participants.participants.get(this.sortedUsers.get(position - this.membersStartRow).intValue()).user_id : this.chatInfo.participants.participants.get(position - this.membersStartRow).user_id;
                            if (user_id == UserConfig.getInstance(this.currentAccount).getClientUserId() || (user = getMessagesController().getUser(Integer.valueOf(user_id))) == null) {
                                return;
                            }
                            if (!user.self && (chat = this.currentChat) != null && chat.megagroup && (this.currentChat.flags & 33554432) != 0 && !user.mutual_contact && !ChatObject.hasAdminRights(this.currentChat)) {
                                ToastUtils.show((int) R.string.ForbidViewUserInfoTips);
                                return;
                            }
                            Bundle args6 = new Bundle();
                            args6.putInt("user_id", user_id);
                            args6.putBoolean("forbid_add_contact", this.currentChat.megagroup && (33554432 & this.currentChat.flags) != 0);
                            args6.putBoolean("has_admin_right", ChatObject.hasAdminRights(this.currentChat));
                            args6.putInt("from_type", 2);
                            if (user.bot) {
                                MessagesController.openChatOrProfileWith(user, null, this, 0, true);
                                return;
                            } else {
                                presentFragment(new NewProfileActivity(args6));
                                return;
                            }
                        }
                    }
                    AlertDialog.Builder builder = new AlertDialog.Builder(getParentActivity());
                    builder.setTitle(LocaleController.getString("AreYouSureSecretChatTitle", R.string.AreYouSureSecretChatTitle));
                    builder.setMessage(LocaleController.getString("AreYouSureSecretChat", R.string.AreYouSureSecretChat));
                    builder.setPositiveButton(LocaleController.getString("Start", R.string.Start), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda22
                        @Override // android.content.DialogInterface.OnClickListener
                        public final void onClick(DialogInterface dialogInterface, int i3) {
                            ProfileActivity.this.m2113lambda$createView$3$imuecahxyvjduiProfileActivity(dialogInterface, i3);
                        }
                    });
                    builder.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
                    showDialog(builder.create());
                    return;
                }
                if (this.dialog_id != 0) {
                    did = this.dialog_id;
                } else {
                    int i3 = this.user_id;
                    if (i3 != 0) {
                        did = i3;
                    } else {
                        did = -this.chat_id;
                    }
                }
                TLRPCChats.CL_channel_setParticipantBanMode req = new TLRPCChats.CL_channel_setParticipantBanMode();
                req.ban_add_contact = !((NotificationsCheckCell) view).isChecked();
                req.peer = getMessagesController().getInputPeer((int) did);
                getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda21
                    @Override // im.uecahxyvjd.tgnet.RequestDelegate
                    public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                        ProfileActivity.this.m2112lambda$createView$2$imuecahxyvjduiProfileActivity(tLObject, tL_error);
                    }
                });
            } else {
                if (this.dialog_id != 0) {
                    did2 = this.dialog_id;
                } else {
                    int i4 = this.user_id;
                    if (i4 != 0) {
                        did2 = i4;
                    } else {
                        did2 = -this.chat_id;
                    }
                }
                NotificationsCheckCell checkCell = (NotificationsCheckCell) view;
                boolean checked = !checkCell.isChecked();
                boolean defaultEnabled = NotificationsController.getInstance(this.currentAccount).isGlobalNotificationsEnabled(did2);
                if (checked) {
                    SharedPreferences preferences = MessagesController.getNotificationsSettings(this.currentAccount);
                    SharedPreferences.Editor editor = preferences.edit();
                    if (defaultEnabled) {
                        editor.remove("notify2_" + did2);
                    } else {
                        editor.putInt("notify2_" + did2, 0);
                    }
                    MessagesStorage.getInstance(this.currentAccount).setDialogFlags(did2, 0L);
                    editor.commit();
                    TLRPC.Dialog dialog2 = MessagesController.getInstance(this.currentAccount).dialogs_dict.get(did2);
                    if (dialog2 != null) {
                        dialog2.notify_settings = new TLRPC.TL_peerNotifySettings();
                    }
                    NotificationsController.getInstance(this.currentAccount).updateServerNotificationsSettings(did2);
                } else {
                    SharedPreferences preferences2 = MessagesController.getNotificationsSettings(this.currentAccount);
                    SharedPreferences.Editor editor2 = preferences2.edit();
                    if (!defaultEnabled) {
                        editor2.remove("notify2_" + did2);
                        flags = 0;
                    } else {
                        editor2.putInt("notify2_" + did2, 2);
                        flags = 1;
                    }
                    NotificationsController.getInstance(this.currentAccount).removeNotificationsForDialog(did2);
                    MessagesStorage.getInstance(this.currentAccount).setDialogFlags(did2, flags);
                    editor2.commit();
                    TLRPC.Dialog dialog3 = MessagesController.getInstance(this.currentAccount).dialogs_dict.get(did2);
                    if (dialog3 != null) {
                        dialog3.notify_settings = new TLRPC.TL_peerNotifySettings();
                        if (defaultEnabled) {
                            dialog3.notify_settings.mute_until = Integer.MAX_VALUE;
                        }
                    }
                    NotificationsController.getInstance(this.currentAccount).updateServerNotificationsSettings(did2);
                }
                checkCell.setChecked(checked);
                RecyclerListView.Holder holder = (RecyclerListView.Holder) this.listView.findViewHolderForPosition(this.notificationsRow);
                if (holder != null) {
                    this.listAdapter.onBindViewHolder(holder, this.notificationsRow);
                }
            }
        } else {
            Bundle args7 = new Bundle();
            args7.putInt("chat_id", (int) (this.dialog_id >> 32));
            presentFragment(new IdenticonActivity(args7));
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$2$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2112lambda$createView$2$imuecahxyvjduiProfileActivity(TLObject response, TLRPC.TL_error error) {
        if (error == null && (response instanceof TLRPC.Updates)) {
            TLRPC.Updates updates = (TLRPC.Updates) response;
            getMessagesController().processUpdates(updates, false);
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda11
                @Override // java.lang.Runnable
                public final void run() {
                    ProfileActivity.this.m2106lambda$createView$1$imuecahxyvjduiProfileActivity();
                }
            }, 500L);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$1$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2106lambda$createView$1$imuecahxyvjduiProfileActivity() {
        this.currentChat = MessagesStorage.getInstance(this.currentAccount).getChat(this.currentChat.id);
        RecyclerListView.Holder holder = (RecyclerListView.Holder) this.listView.findViewHolderForPosition(this.forbidAddContact);
        if (holder != null) {
            this.listAdapter.onBindViewHolder(holder, this.forbidAddContact);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$3$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2113lambda$createView$3$imuecahxyvjduiProfileActivity(DialogInterface dialogInterface, int i) {
        this.creatingChat = true;
        SecretChatHelper.getInstance(this.currentAccount).startSecretChat(getParentActivity(), MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.user_id)));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$4$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2114lambda$createView$4$imuecahxyvjduiProfileActivity(DialogInterface dialog1, int which) {
        MessagesController.getInstance(this.currentAccount).deleteUserFromChat(this.chat_id, MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(UserConfig.getInstance(this.currentAccount).getClientUserId())), this.chatInfo, true, false);
        finishFragment();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$5$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2115lambda$createView$5$imuecahxyvjduiProfileActivity(DialogsActivity fragment, DialogsActivity fragment1, ArrayList dids, CharSequence message, boolean param) {
        long did = ((Long) dids.get(0)).longValue();
        SendMessagesHelper.getInstance(this.currentAccount).sendMessage("@" + this.currentChat.username, did, null, null, false, null, null, null, true, 0);
        fragment.finishFragment();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$9$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ boolean m2119lambda$createView$9$imuecahxyvjduiProfileActivity(View view, int position) {
        TLRPC.ChannelParticipant channelParticipant;
        boolean editingAdmin;
        boolean canEditAdmin;
        boolean allowKick;
        boolean canRestrict;
        boolean hasRemove;
        String str;
        int i;
        if (position >= this.membersStartRow && position < this.membersEndRow) {
            if (getParentActivity() == null) {
                return false;
            }
            TLRPC.ChatParticipant participant = !this.sortedUsers.isEmpty() ? this.chatInfo.participants.participants.get(this.sortedUsers.get(position - this.membersStartRow).intValue()) : this.chatInfo.participants.participants.get(position - this.membersStartRow);
            final TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(participant.user_id));
            if (user == null || participant.user_id == UserConfig.getInstance(this.currentAccount).getClientUserId()) {
                return false;
            }
            this.selectedUser = participant.user_id;
            if (ChatObject.isChannel(this.currentChat)) {
                TLRPC.ChannelParticipant channelParticipant2 = ((TLRPC.TL_chatChannelParticipant) participant).channelParticipant;
                MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(participant.user_id));
                boolean canEditAdmin2 = ChatObject.canAddAdmins(this.currentChat);
                if (canEditAdmin2 && ((channelParticipant2 instanceof TLRPC.TL_channelParticipantCreator) || ((channelParticipant2 instanceof TLRPC.TL_channelParticipantAdmin) && !channelParticipant2.can_edit))) {
                    canEditAdmin2 = false;
                }
                boolean allowKick2 = ChatObject.canBlockUsers(this.currentChat) && (!((channelParticipant2 instanceof TLRPC.TL_channelParticipantAdmin) || (channelParticipant2 instanceof TLRPC.TL_channelParticipantCreator)) || channelParticipant2.can_edit);
                boolean canRestrict2 = allowKick2;
                boolean editingAdmin2 = channelParticipant2 instanceof TLRPC.TL_channelParticipantAdmin;
                channelParticipant = channelParticipant2;
                editingAdmin = editingAdmin2;
                canEditAdmin = canEditAdmin2;
                allowKick = allowKick2;
                canRestrict = canRestrict2;
            } else {
                boolean allowKick3 = this.currentChat.creator || ((participant instanceof TLRPC.TL_chatParticipant) && (ChatObject.canBlockUsers(this.currentChat) || participant.inviter_id == UserConfig.getInstance(this.currentAccount).getClientUserId()));
                boolean canEditAdmin3 = this.currentChat.creator;
                boolean canRestrict3 = this.currentChat.creator;
                channelParticipant = null;
                editingAdmin = participant instanceof TLRPC.TL_chatParticipantAdmin;
                canEditAdmin = canEditAdmin3;
                allowKick = allowKick3;
                canRestrict = canRestrict3;
            }
            ArrayList<String> items = new ArrayList<>();
            ArrayList<Integer> icons = new ArrayList<>();
            final ArrayList<Integer> actions = new ArrayList<>();
            if (canEditAdmin) {
                if (editingAdmin) {
                    str = "EditAdminRights";
                    i = R.string.EditAdminRights;
                } else {
                    str = "SetAsAdmin";
                    i = R.string.SetAsAdmin;
                }
                items.add(LocaleController.getString(str, i));
                icons.add(Integer.valueOf((int) R.drawable.actions_addadmin));
                actions.add(0);
            }
            if (canRestrict) {
                items.add(LocaleController.getString("ChangePermissions", R.string.ChangePermissions));
                icons.add(Integer.valueOf((int) R.drawable.actions_permissions));
                actions.add(1);
            }
            if (!allowKick) {
                hasRemove = false;
            } else {
                items.add(LocaleController.getString("KickFromGroup", R.string.KickFromGroup));
                icons.add(Integer.valueOf((int) R.drawable.actions_remove_user));
                actions.add(2);
                hasRemove = true;
            }
            boolean hasRemove2 = items.isEmpty();
            if (hasRemove2) {
                return false;
            }
            AlertDialog.Builder builder = new AlertDialog.Builder(getParentActivity());
            final TLRPC.ChannelParticipant channelParticipant3 = channelParticipant;
            final TLRPC.ChatParticipant chatParticipant = participant;
            builder.setItems((CharSequence[]) items.toArray(new CharSequence[0]), AndroidUtilities.toIntArray(icons), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda6
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i2) {
                    ProfileActivity.this.m2118lambda$createView$8$imuecahxyvjduiProfileActivity(actions, channelParticipant3, chatParticipant, user, dialogInterface, i2);
                }
            });
            AlertDialog alertDialog = builder.create();
            showDialog(alertDialog);
            if (!hasRemove) {
                return true;
            }
            alertDialog.setItemColor(items.size() - 1, Theme.getColor(Theme.key_dialogTextRed2), Theme.getColor(Theme.key_dialogRedIcon));
            return true;
        }
        return processOnClickOrPress(position);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Code restructure failed: missing block: B:10:0x0035, code lost:
        if ((r19 instanceof im.uecahxyvjd.tgnet.TLRPC.TL_chatParticipantAdmin) != false) goto L17;
     */
    /* renamed from: lambda$createView$8$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m2118lambda$createView$8$imuecahxyvjduiProfileActivity(ArrayList actions, final TLRPC.ChannelParticipant channelParticipant, final TLRPC.ChatParticipant participant, final TLRPC.User user, DialogInterface dialogInterface, int i) {
        if (((Integer) actions.get(i)).intValue() == 2) {
            kickUser(this.selectedUser);
            return;
        }
        final int action = ((Integer) actions.get(i)).intValue();
        if (action == 1) {
            if (!(channelParticipant instanceof TLRPC.TL_channelParticipantAdmin)) {
            }
            AlertDialog.Builder builder2 = new AlertDialog.Builder(getParentActivity());
            builder2.setTitle(LocaleController.getString("AppName", R.string.AppName));
            builder2.setMessage(LocaleController.formatString("AdminWillBeRemoved", R.string.AdminWillBeRemoved, ContactsController.formatName(user.first_name, user.last_name)));
            builder2.setPositiveButton(LocaleController.getString("OK", R.string.OK), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda15
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface2, int i2) {
                    ProfileActivity.this.m2117lambda$createView$7$imuecahxyvjduiProfileActivity(channelParticipant, action, user, participant, dialogInterface2, i2);
                }
            });
            builder2.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
            showDialog(builder2.create());
            return;
        }
        if (channelParticipant != null) {
            openRightsEdit(action, user.id, participant, channelParticipant.admin_rights, channelParticipant.banned_rights, channelParticipant.rank);
        } else {
            openRightsEdit(action, user.id, participant, null, null, "");
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$7$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2117lambda$createView$7$imuecahxyvjduiProfileActivity(TLRPC.ChannelParticipant channelParticipant, int action, TLRPC.User user, TLRPC.ChatParticipant participant, DialogInterface dialog, int which) {
        if (channelParticipant != null) {
            openRightsEdit(action, user.id, participant, channelParticipant.admin_rights, channelParticipant.banned_rights, channelParticipant.rank);
        } else {
            openRightsEdit(action, user.id, participant, null, null, "");
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$11$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2108lambda$createView$11$imuecahxyvjduiProfileActivity(final TLObject response, TLRPC.TL_error error) {
        if (response != null) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda18
                @Override // java.lang.Runnable
                public final void run() {
                    ProfileActivity.this.m2107lambda$createView$10$imuecahxyvjduiProfileActivity(response);
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$10$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2107lambda$createView$10$imuecahxyvjduiProfileActivity(TLObject response) {
        this.currentChannelParticipant = ((TLRPC.TL_channels_channelParticipant) response).participant;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$12$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2109lambda$createView$12$imuecahxyvjduiProfileActivity(TLRPC.Chat chat, View v) {
        int i = this.user_id;
        int i2 = this.banFromGroup;
        TLRPC.TL_chatBannedRights tL_chatBannedRights = chat.default_banned_rights;
        TLRPC.ChannelParticipant channelParticipant = this.currentChannelParticipant;
        ChatRightsEditActivity fragment = new ChatRightsEditActivity(i, i2, null, tL_chatBannedRights, channelParticipant != null ? channelParticipant.banned_rights : null, "", 1, true, false);
        fragment.setDelegate(new ChatRightsEditActivity.ChatRightsEditActivityDelegate() { // from class: im.uecahxyvjd.ui.ProfileActivity.8
            @Override // im.uecahxyvjd.ui.ChatRightsEditActivity.ChatRightsEditActivityDelegate
            public void didSetRights(int rights, TLRPC.TL_chatAdminRights rightsAdmin, TLRPC.TL_chatBannedRights rightsBanned, String rank) {
                ProfileActivity.this.removeSelfFromStack();
            }

            @Override // im.uecahxyvjd.ui.ChatRightsEditActivity.ChatRightsEditActivityDelegate
            public void didChangeOwner(TLRPC.User user) {
                ProfileActivity.this.undoView.showWithAction(-ProfileActivity.this.chat_id, ProfileActivity.this.currentChat.megagroup ? 10 : 9, user);
            }
        });
        presentFragment(fragment);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$13$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2110lambda$createView$13$imuecahxyvjduiProfileActivity(View v) {
        if (this.user_id != 0) {
            TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.user_id));
            if (user.photo != null && user.photo.photo_big != null) {
                PhotoViewer.getInstance().setParentActivity(getParentActivity());
                if (user.photo.dc_id != 0) {
                    user.photo.photo_big.dc_id = user.photo.dc_id;
                }
                PhotoViewer.getInstance().openPhoto(user.photo.photo_big, this.provider);
            }
        } else if (this.chat_id != 0) {
            TLRPC.Chat chat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(this.chat_id));
            if (chat.photo != null && chat.photo.photo_big != null) {
                PhotoViewer.getInstance().setParentActivity(getParentActivity());
                if (chat.photo.dc_id != 0) {
                    chat.photo.photo_big.dc_id = chat.photo.dc_id;
                }
                PhotoViewer.getInstance().openPhoto(chat.photo.photo_big, this.provider);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$14$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2111lambda$createView$14$imuecahxyvjduiProfileActivity(View v) {
        if (this.playProfileAnimation && (this.parentLayout.fragmentsStack.get(this.parentLayout.fragmentsStack.size() - 2) instanceof ChatActivity)) {
            finishFragment();
            return;
        }
        TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.user_id));
        if (user == null || (user instanceof TLRPC.TL_userEmpty)) {
            return;
        }
        Bundle args = new Bundle();
        args.putInt("user_id", this.user_id);
        if (!MessagesController.getInstance(this.currentAccount).checkCanOpenChat(args, this)) {
            return;
        }
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.closeChats);
        NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.closeChats, new Object[0]);
        presentFragment(new ChatActivity(args), true);
    }

    private void openRightsEdit(final int action, int user_id, final TLRPC.ChatParticipant participant, TLRPC.TL_chatAdminRights adminRights, TLRPC.TL_chatBannedRights bannedRights, String rank) {
        ChatRightsEditActivity fragment = new ChatRightsEditActivity(user_id, this.chat_id, adminRights, this.currentChat.default_banned_rights, bannedRights, rank, action, true, false);
        fragment.setDelegate(new ChatRightsEditActivity.ChatRightsEditActivityDelegate() { // from class: im.uecahxyvjd.ui.ProfileActivity.11
            @Override // im.uecahxyvjd.ui.ChatRightsEditActivity.ChatRightsEditActivityDelegate
            public void didSetRights(int rights, TLRPC.TL_chatAdminRights rightsAdmin, TLRPC.TL_chatBannedRights rightsBanned, String rank2) {
                TLRPC.ChatParticipant newParticipant;
                int i = action;
                if (i == 0) {
                    TLRPC.ChatParticipant chatParticipant = participant;
                    if (chatParticipant instanceof TLRPC.TL_chatChannelParticipant) {
                        TLRPC.TL_chatChannelParticipant channelParticipant1 = (TLRPC.TL_chatChannelParticipant) chatParticipant;
                        if (rights == 1) {
                            channelParticipant1.channelParticipant = new TLRPC.TL_channelParticipantAdmin();
                            channelParticipant1.channelParticipant.flags |= 4;
                        } else {
                            channelParticipant1.channelParticipant = new TLRPC.TL_channelParticipant();
                        }
                        channelParticipant1.channelParticipant.inviter_id = UserConfig.getInstance(ProfileActivity.this.currentAccount).getClientUserId();
                        channelParticipant1.channelParticipant.user_id = participant.user_id;
                        channelParticipant1.channelParticipant.date = participant.date;
                        channelParticipant1.channelParticipant.banned_rights = rightsBanned;
                        channelParticipant1.channelParticipant.admin_rights = rightsAdmin;
                        channelParticipant1.channelParticipant.rank = rank2;
                    } else if (chatParticipant instanceof TLRPC.ChatParticipant) {
                        if (rights == 1) {
                            newParticipant = new TLRPC.TL_chatParticipantAdmin();
                        } else {
                            newParticipant = new TLRPC.TL_chatParticipant();
                        }
                        newParticipant.user_id = participant.user_id;
                        newParticipant.date = participant.date;
                        newParticipant.inviter_id = participant.inviter_id;
                        int index = ProfileActivity.this.chatInfo.participants.participants.indexOf(participant);
                        if (index >= 0) {
                            ProfileActivity.this.chatInfo.participants.participants.set(index, newParticipant);
                        }
                    }
                } else if (i == 1 && rights == 0 && ProfileActivity.this.currentChat.megagroup && ProfileActivity.this.chatInfo != null && ProfileActivity.this.chatInfo.participants != null) {
                    boolean changed = false;
                    int a2 = 0;
                    while (true) {
                        if (a2 >= ProfileActivity.this.chatInfo.participants.participants.size()) {
                            break;
                        }
                        TLRPC.ChannelParticipant p = ((TLRPC.TL_chatChannelParticipant) ProfileActivity.this.chatInfo.participants.participants.get(a2)).channelParticipant;
                        if (p.user_id == participant.user_id) {
                            if (ProfileActivity.this.chatInfo != null) {
                                ProfileActivity.this.chatInfo.participants_count--;
                            }
                            ProfileActivity.this.chatInfo.participants.participants.remove(a2);
                            changed = true;
                        } else {
                            a2++;
                        }
                    }
                    if (ProfileActivity.this.chatInfo != null && ProfileActivity.this.chatInfo.participants != null) {
                        int a3 = 0;
                        while (true) {
                            if (a3 >= ProfileActivity.this.chatInfo.participants.participants.size()) {
                                break;
                            }
                            TLRPC.ChatParticipant p2 = ProfileActivity.this.chatInfo.participants.participants.get(a3);
                            if (p2.user_id == participant.user_id) {
                                ProfileActivity.this.chatInfo.participants.participants.remove(a3);
                                changed = true;
                                break;
                            }
                            a3++;
                        }
                    }
                    if (changed) {
                        ProfileActivity.this.updateOnlineCount();
                        ProfileActivity.this.updateRowsIds();
                        ProfileActivity.this.listAdapter.notifyDataSetChanged();
                    }
                }
            }

            @Override // im.uecahxyvjd.ui.ChatRightsEditActivity.ChatRightsEditActivityDelegate
            public void didChangeOwner(TLRPC.User user) {
                ProfileActivity.this.undoView.showWithAction(-ProfileActivity.this.chat_id, ProfileActivity.this.currentChat.megagroup ? 10 : 9, user);
            }
        });
        presentFragment(fragment);
    }

    private boolean processOnClickOrPress(final int position) {
        TLRPC.Chat chat;
        final String username;
        if (position == this.usernameRow) {
            if (this.user_id != 0) {
                TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.user_id));
                if (user == null || user.username == null) {
                    return false;
                }
                username = user.username;
            } else if (this.chat_id == 0 || (chat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(this.chat_id))) == null || chat.username == null) {
                return false;
            } else {
                username = chat.username;
            }
            AlertDialog.Builder builder = new AlertDialog.Builder(getParentActivity());
            builder.setItems(new CharSequence[]{LocaleController.getString("Copy", R.string.Copy)}, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda8
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i) {
                    ProfileActivity.lambda$processOnClickOrPress$15(username, dialogInterface, i);
                }
            });
            showDialog(builder.create());
            return true;
        } else if (position == this.phoneRow) {
            final TLRPC.User user2 = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.user_id));
            if (user2 == null || user2.phone == null || user2.phone.length() == 0 || getParentActivity() == null) {
                return false;
            }
            AlertDialog.Builder builder2 = new AlertDialog.Builder(getParentActivity());
            ArrayList<CharSequence> items = new ArrayList<>();
            final ArrayList<Integer> actions = new ArrayList<>();
            TLRPC.UserFull userFull = this.userInfo;
            if (userFull != null && userFull.phone_calls_available) {
                items.add(LocaleController.getString("CallViaApp", R.string.CallViaApp));
                actions.add(2);
            }
            items.add(LocaleController.getString("Call", R.string.Call));
            actions.add(0);
            items.add(LocaleController.getString("Copy", R.string.Copy));
            actions.add(1);
            builder2.setItems((CharSequence[]) items.toArray(new CharSequence[0]), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda9
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i) {
                    ProfileActivity.this.m2127lambda$processOnClickOrPress$16$imuecahxyvjduiProfileActivity(actions, user2, dialogInterface, i);
                }
            });
            showDialog(builder2.create());
            return true;
        } else if (position == this.channelInfoRow || position == this.userInfoRow || position == this.locationRow) {
            AlertDialog.Builder builder3 = new AlertDialog.Builder(getParentActivity());
            builder3.setItems(new CharSequence[]{LocaleController.getString("Copy", R.string.Copy)}, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda10
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i) {
                    ProfileActivity.this.m2128lambda$processOnClickOrPress$17$imuecahxyvjduiProfileActivity(position, dialogInterface, i);
                }
            });
            showDialog(builder3.create());
            return true;
        } else {
            return false;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$processOnClickOrPress$15(String username, DialogInterface dialogInterface, int i) {
        if (i == 0) {
            try {
                ClipboardManager clipboard = (ClipboardManager) ApplicationLoader.applicationContext.getSystemService("clipboard");
                ClipData clip = ClipData.newPlainText("label", "@" + username);
                clipboard.setPrimaryClip(clip);
                ToastUtils.show((int) R.string.TextCopied);
            } catch (Exception e) {
                FileLog.e(e);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$processOnClickOrPress$16$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2127lambda$processOnClickOrPress$16$imuecahxyvjduiProfileActivity(ArrayList actions, TLRPC.User user, DialogInterface dialogInterface, int i) {
        int i2 = ((Integer) actions.get(i)).intValue();
        if (i2 == 0) {
            try {
                Intent intent = new Intent("android.intent.action.DIAL", Uri.parse("tel:+" + user.phone));
                intent.addFlags(C.ENCODING_PCM_MU_LAW);
                getParentActivity().startActivityForResult(intent, 500);
            } catch (Exception e) {
                FileLog.e(e);
            }
        } else if (i2 == 1) {
            try {
                ClipboardManager clipboard = (ClipboardManager) ApplicationLoader.applicationContext.getSystemService("clipboard");
                ClipData clip = ClipData.newPlainText("label", Marker.ANY_NON_NULL_MARKER + user.phone);
                clipboard.setPrimaryClip(clip);
                ToastUtils.show((int) R.string.PhoneCopied);
            } catch (Exception e2) {
                FileLog.e(e2);
            }
        } else if (i2 == 2) {
            VoIPHelper.startCall(user, getParentActivity(), this.userInfo);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$processOnClickOrPress$17$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2128lambda$processOnClickOrPress$17$imuecahxyvjduiProfileActivity(int position, DialogInterface dialogInterface, int i) {
        String about;
        try {
            if (position == this.locationRow) {
                TLRPC.ChatFull chatFull = this.chatInfo;
                if (chatFull != null && (chatFull.location instanceof TLRPC.TL_channelLocation)) {
                    r1 = ((TLRPC.TL_channelLocation) this.chatInfo.location).address;
                }
                about = r1;
            } else if (position == this.channelInfoRow) {
                TLRPC.ChatFull chatFull2 = this.chatInfo;
                about = chatFull2 != null ? chatFull2.about : null;
            } else {
                TLRPC.UserFull userFull = this.userInfo;
                about = userFull != null ? userFull.about : null;
            }
            if (TextUtils.isEmpty(about)) {
                return;
            }
            AndroidUtilities.addToClipboard(about);
            ToastUtils.show((int) R.string.TextCopied);
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void leaveChatPressed() {
        AlertsCreator.createClearOrDeleteDialogAlert(this, false, this.currentChat, null, false, new MessagesStorage.BooleanCallback() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda17
            @Override // im.uecahxyvjd.messenger.MessagesStorage.BooleanCallback
            public final void run(boolean z) {
                ProfileActivity.this.m2124lambda$leaveChatPressed$18$imuecahxyvjduiProfileActivity(z);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$leaveChatPressed$18$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2124lambda$leaveChatPressed$18$imuecahxyvjduiProfileActivity(boolean param) {
        this.playProfileAnimation = false;
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.closeChats);
        NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.closeChats, new Object[0]);
        finishFragment();
        NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.needDeleteDialog, Long.valueOf(-this.currentChat.id), null, this.currentChat, Boolean.valueOf(param));
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void getChannelParticipants(boolean reload) {
        SparseArray<TLRPC.ChatParticipant> sparseArray;
        if (this.loadingUsers || (sparseArray = this.participantsMap) == null || this.chatInfo == null) {
            return;
        }
        this.loadingUsers = true;
        final int delay = (sparseArray.size() == 0 || !reload) ? 0 : MlKitException.LOW_LIGHT_AUTO_EXPOSURE_COMPUTATION_FAILURE;
        final TLRPC.TL_channels_getParticipants req = new TLRPC.TL_channels_getParticipants();
        req.channel = MessagesController.getInstance(this.currentAccount).getInputChannel(this.chat_id);
        req.filter = new TLRPC.TL_channelParticipantsRecent();
        req.offset = reload ? 0 : this.participantsMap.size();
        req.limit = 200;
        int reqId = ConnectionsManager.getInstance(this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda0
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                ProfileActivity.this.m2122x23943e5a(req, delay, tLObject, tL_error);
            }
        });
        ConnectionsManager.getInstance(this.currentAccount).bindRequestToGuid(reqId, this.classGuid);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getChannelParticipants$20$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2122x23943e5a(final TLRPC.TL_channels_getParticipants req, int delay, final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda16
            @Override // java.lang.Runnable
            public final void run() {
                ProfileActivity.this.m2121xe2d963b0(error, response, req);
            }
        }, delay);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getChannelParticipants$19$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2121xe2d963b0(TLRPC.TL_error error, TLObject response, TLRPC.TL_channels_getParticipants req) {
        if (error == null && (response instanceof TLRPC.TL_channels_channelParticipants)) {
            TLRPC.TL_channels_channelParticipants res = (TLRPC.TL_channels_channelParticipants) response;
            MessagesController.getInstance(this.currentAccount).putUsers(res.users, false);
            if (res.users.size() < 200) {
                this.usersEndReached = true;
            }
            if (req.offset == 0) {
                this.participantsMap.clear();
                this.chatInfo.participants = new TLRPC.TL_chatParticipants();
                MessagesStorage.getInstance(this.currentAccount).putUsersAndChats(res.users, null, true, true);
                MessagesStorage.getInstance(this.currentAccount).updateChannelUsers(this.chat_id, res.participants);
            }
            for (int a2 = 0; a2 < res.participants.size(); a2++) {
                TLRPC.TL_chatChannelParticipant participant = new TLRPC.TL_chatChannelParticipant();
                participant.channelParticipant = res.participants.get(a2);
                participant.inviter_id = participant.channelParticipant.inviter_id;
                participant.user_id = participant.channelParticipant.user_id;
                participant.date = participant.channelParticipant.date;
                if (this.participantsMap.indexOfKey(participant.user_id) < 0) {
                    this.chatInfo.participants.participants.add(participant);
                    this.participantsMap.put(participant.user_id, participant);
                }
            }
        }
        updateOnlineCount();
        this.loadingUsers = false;
        updateRowsIds();
        ListAdapter listAdapter = this.listAdapter;
        if (listAdapter != null) {
            listAdapter.notifyDataSetChanged();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void openAddMember() {
        Bundle args = new Bundle();
        args.putBoolean("addToGroup", true);
        args.putInt("chatId", this.currentChat.id);
        GroupCreateActivity fragment = new GroupCreateActivity(args);
        fragment.setInfo(this.chatInfo);
        TLRPC.ChatFull chatFull = this.chatInfo;
        if (chatFull != null && chatFull.participants != null) {
            SparseArray<TLObject> users = new SparseArray<>();
            for (int a2 = 0; a2 < this.chatInfo.participants.participants.size(); a2++) {
                users.put(this.chatInfo.participants.participants.get(a2).user_id, null);
            }
            fragment.setIgnoreUsers(users);
        }
        fragment.setDelegate(new GroupCreateActivity.ContactsAddActivityDelegate() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda20
            @Override // im.uecahxyvjd.ui.GroupCreateActivity.ContactsAddActivityDelegate
            public final void didSelectUsers(ArrayList arrayList, int i) {
                ProfileActivity.this.m2126lambda$openAddMember$21$imuecahxyvjduiProfileActivity(arrayList, i);
            }

            @Override // im.uecahxyvjd.ui.GroupCreateActivity.ContactsAddActivityDelegate
            public /* synthetic */ void needAddBot(TLRPC.User user) {
                GroupCreateActivity.ContactsAddActivityDelegate.CC.$default$needAddBot(this, user);
            }
        });
        presentFragment(fragment);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$openAddMember$21$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2126lambda$openAddMember$21$imuecahxyvjduiProfileActivity(ArrayList users, int fwdCount) {
        int N = users.size();
        for (int a2 = 0; a2 < N; a2++) {
            TLRPC.User user = (TLRPC.User) users.get(a2);
            MessagesController.getInstance(this.currentAccount).addUserToChat(this.chat_id, user, this.chatInfo, fwdCount, null, this, null);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void checkListViewScroll() {
        if (this.listView.getChildCount() <= 0 || this.openAnimationInProgress) {
            return;
        }
        View child = this.listView.getChildAt(0);
        RecyclerListView.Holder holder = (RecyclerListView.Holder) this.listView.findContainingViewHolder(child);
        int top = child.getTop();
        int newOffset = 0;
        if (top >= 0 && holder != null && holder.getAdapterPosition() == 0) {
            newOffset = top;
        }
        if (this.extraHeight != newOffset) {
            this.extraHeight = newOffset;
            this.topView.invalidate();
            if (this.playProfileAnimation) {
                this.allowProfileAnimation = this.extraHeight != 0;
            }
            needLayout();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void needLayout() {
        int viewWidth;
        FrameLayout.LayoutParams layoutParams;
        int newTop = (this.actionBar.getOccupyStatusBar() ? AndroidUtilities.statusBarHeight : 0) + ActionBar.getCurrentActionBarHeight();
        RecyclerListView recyclerListView = this.listView;
        if (recyclerListView != null && !this.openAnimationInProgress) {
            FrameLayout.LayoutParams layoutParams2 = (FrameLayout.LayoutParams) recyclerListView.getLayoutParams();
            if (layoutParams2.topMargin != newTop) {
                layoutParams2.topMargin = newTop;
                this.listView.setLayoutParams(layoutParams2);
            }
        }
        if (this.avatarImage != null) {
            float diff = this.extraHeight / AndroidUtilities.dp(88.0f);
            this.listView.setTopGlowOffset(this.extraHeight);
            ImageView imageView = this.writeButton;
            float f = 0.0f;
            int i = 2;
            float f2 = 1.0f;
            int i2 = 1;
            if (imageView != null) {
                imageView.setTranslationY((((this.actionBar.getOccupyStatusBar() ? AndroidUtilities.statusBarHeight : 0) + ActionBar.getCurrentActionBarHeight()) + this.extraHeight) - AndroidUtilities.dp(29.5f));
                if (!this.openAnimationInProgress) {
                    boolean setVisible = diff > 0.2f;
                    boolean currentVisible = this.writeButton.getTag() == null;
                    if (setVisible != currentVisible) {
                        if (setVisible) {
                            this.writeButton.setTag(null);
                        } else {
                            this.writeButton.setTag(0);
                        }
                        if (this.writeButtonAnimation != null) {
                            AnimatorSet old = this.writeButtonAnimation;
                            this.writeButtonAnimation = null;
                            old.cancel();
                        }
                        AnimatorSet animatorSet = new AnimatorSet();
                        this.writeButtonAnimation = animatorSet;
                        if (setVisible) {
                            animatorSet.setInterpolator(new DecelerateInterpolator());
                            this.writeButtonAnimation.playTogether(ObjectAnimator.ofFloat(this.writeButton, View.SCALE_X, 1.0f), ObjectAnimator.ofFloat(this.writeButton, View.SCALE_Y, 1.0f), ObjectAnimator.ofFloat(this.writeButton, View.ALPHA, 1.0f));
                        } else {
                            animatorSet.setInterpolator(new AccelerateInterpolator());
                            this.writeButtonAnimation.playTogether(ObjectAnimator.ofFloat(this.writeButton, View.SCALE_X, 0.2f), ObjectAnimator.ofFloat(this.writeButton, View.SCALE_Y, 0.2f), ObjectAnimator.ofFloat(this.writeButton, View.ALPHA, 0.0f));
                        }
                        this.writeButtonAnimation.setDuration(150L);
                        this.writeButtonAnimation.addListener(new AnimatorListenerAdapter() { // from class: im.uecahxyvjd.ui.ProfileActivity.12
                            @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                            public void onAnimationEnd(Animator animation) {
                                if (ProfileActivity.this.writeButtonAnimation != null && ProfileActivity.this.writeButtonAnimation.equals(animation)) {
                                    ProfileActivity.this.writeButtonAnimation = null;
                                }
                            }
                        });
                        this.writeButtonAnimation.start();
                    }
                }
            }
            float avatarY = (((this.actionBar.getOccupyStatusBar() ? AndroidUtilities.statusBarHeight : 0) + ((ActionBar.getCurrentActionBarHeight() / 2.0f) * (diff + 1.0f))) - (AndroidUtilities.density * 21.0f)) + (AndroidUtilities.density * 27.0f * diff);
            this.avatarImage.setScaleX(((diff * 18.0f) + 32.0f) / 42.0f);
            this.avatarImage.setScaleY(((18.0f * diff) + 32.0f) / 42.0f);
            this.avatarImage.setTranslationX((-AndroidUtilities.dp(47.0f)) * diff);
            int iTop = ((ActionBar.getCurrentActionBarHeight() - AndroidUtilities.dp(32.0f)) / 2) + (this.actionBar.getOccupyStatusBar() ? AndroidUtilities.statusBarHeight : 0);
            if (avatarY <= iTop) {
                avatarY = iTop;
            }
            this.avatarImage.setTranslationY((float) Math.ceil(avatarY));
            int a2 = 0;
            while (a2 < i) {
                SimpleTextView simpleTextView = this.nameTextView[a2];
                if (simpleTextView != null) {
                    simpleTextView.setTranslationX(AndroidUtilities.density * (-21.0f) * diff);
                    this.nameTextView[a2].setTranslationY(((float) Math.floor(avatarY)) + AndroidUtilities.dp(1.3f) + (AndroidUtilities.dp(7.0f) * diff));
                    this.onlineTextView[a2].setTranslationX(AndroidUtilities.density * (-21.0f) * diff);
                    this.onlineTextView[a2].setTranslationY(((float) Math.floor(avatarY)) + AndroidUtilities.dp(24.0f) + (((float) Math.floor(11.0f * AndroidUtilities.density)) * diff));
                    float scale = (0.12f * diff) + f2;
                    this.nameTextView[a2].setScaleX(scale);
                    this.nameTextView[a2].setScaleY(scale);
                    if (a2 == i2 && !this.openAnimationInProgress) {
                        if (AndroidUtilities.isTablet()) {
                            viewWidth = AndroidUtilities.dp(490.0f);
                        } else {
                            viewWidth = AndroidUtilities.displaySize.x;
                        }
                        int buttonsWidth = AndroidUtilities.dp(ForkJoinPool.SQMASK + 40 + ((this.callItem == null && this.editItem == null) ? 0 : 48));
                        int minWidth = viewWidth - buttonsWidth;
                        int width = (int) ((viewWidth - (buttonsWidth * Math.max(f, f2 - (diff != f2 ? (0.15f * diff) / (f2 - diff) : 1.0f)))) - this.nameTextView[a2].getTranslationX());
                        float width2 = (this.nameTextView[a2].getPaint().measureText(this.nameTextView[a2].getText().toString()) * scale) + this.nameTextView[a2].getSideDrawablesSize();
                        FrameLayout.LayoutParams layoutParams3 = (FrameLayout.LayoutParams) this.nameTextView[a2].getLayoutParams();
                        if (width < width2) {
                            layoutParams = layoutParams3;
                            layoutParams.width = Math.max(minWidth, (int) Math.ceil((width - AndroidUtilities.dp(24.0f)) / (((1.12f - scale) * 7.0f) + scale)));
                        } else {
                            layoutParams = layoutParams3;
                            layoutParams.width = (int) Math.ceil(width2);
                        }
                        layoutParams.width = (int) Math.min(((viewWidth - this.nameTextView[a2].getX()) / scale) - AndroidUtilities.dp(8.0f), layoutParams.width);
                        this.nameTextView[a2].setLayoutParams(layoutParams);
                        float width22 = this.onlineTextView[a2].getPaint().measureText(this.onlineTextView[a2].getText().toString());
                        FrameLayout.LayoutParams layoutParams4 = (FrameLayout.LayoutParams) this.onlineTextView[a2].getLayoutParams();
                        layoutParams4.rightMargin = (int) Math.ceil(this.onlineTextView[a2].getTranslationX() + AndroidUtilities.dp(8.0f) + (AndroidUtilities.dp(40.0f) * (1.0f - diff)));
                        if (width < width22) {
                            layoutParams4.width = (int) Math.ceil(width);
                        } else {
                            layoutParams4.width = -2;
                        }
                        this.onlineTextView[a2].setLayoutParams(layoutParams4);
                    }
                }
                a2++;
                f = 0.0f;
                i = 2;
                f2 = 1.0f;
                i2 = 1;
            }
        }
    }

    private void loadMediaCounts() {
        if (this.dialog_id != 0) {
            MediaDataController.getInstance(this.currentAccount).getMediaCounts(this.dialog_id, this.classGuid);
        } else if (this.user_id != 0) {
            MediaDataController.getInstance(this.currentAccount).getMediaCounts(this.user_id, this.classGuid);
        } else if (this.chat_id > 0) {
            MediaDataController.getInstance(this.currentAccount).getMediaCounts(-this.chat_id, this.classGuid);
            if (this.mergeDialogId != 0) {
                MediaDataController.getInstance(this.currentAccount).getMediaCounts(this.mergeDialogId, this.classGuid);
            }
        }
    }

    private void fixLayout() {
        if (this.fragmentView == null) {
            return;
        }
        this.fragmentView.getViewTreeObserver().addOnPreDrawListener(new ViewTreeObserver.OnPreDrawListener() { // from class: im.uecahxyvjd.ui.ProfileActivity.13
            @Override // android.view.ViewTreeObserver.OnPreDrawListener
            public boolean onPreDraw() {
                if (ProfileActivity.this.fragmentView != null) {
                    ProfileActivity.this.checkListViewScroll();
                    ProfileActivity.this.needLayout();
                    ProfileActivity.this.fragmentView.getViewTreeObserver().removeOnPreDrawListener(this);
                    return true;
                }
                return true;
            }
        });
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onConfigurationChanged(Configuration newConfig) {
        super.onConfigurationChanged(newConfig);
        fixLayout();
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, final Object... args) {
        MediaActivity mediaActivity;
        long did;
        TLRPC.ChatFull chatFull;
        int i;
        int i2;
        TLRPC.Chat chat;
        RecyclerListView recyclerListView;
        RecyclerListView recyclerListView2;
        RecyclerListView.Holder holder;
        if (id == NotificationCenter.updateInterfaces) {
            int mask = ((Integer) args[0]).intValue();
            if (this.user_id != 0) {
                if ((mask & 2) != 0 || (mask & 1) != 0 || (mask & 4) != 0) {
                    updateProfileData();
                }
                if ((mask & 1024) != 0 && (recyclerListView2 = this.listView) != null && (holder = (RecyclerListView.Holder) recyclerListView2.findViewHolderForPosition(this.phoneRow)) != null) {
                    this.listAdapter.onBindViewHolder(holder, this.phoneRow);
                    return;
                }
                return;
            } else if (this.chat_id != 0) {
                if ((mask & 8192) != 0 || (mask & 8) != 0 || (mask & 16) != 0 || (mask & 32) != 0 || (mask & 4) != 0) {
                    updateOnlineCount();
                    updateProfileData();
                }
                if ((mask & 8192) != 0) {
                    updateRowsIds();
                    ListAdapter listAdapter = this.listAdapter;
                    if (listAdapter != null) {
                        listAdapter.notifyDataSetChanged();
                    }
                }
                if (((mask & 2) != 0 || (mask & 1) != 0 || (mask & 4) != 0) && (recyclerListView = this.listView) != null) {
                    int count = recyclerListView.getChildCount();
                    for (int a2 = 0; a2 < count; a2++) {
                        View child = this.listView.getChildAt(a2);
                        if (child instanceof UserCell) {
                            ((UserCell) child).update(mask);
                        }
                    }
                    return;
                }
                return;
            } else {
                return;
            }
        }
        if (id == NotificationCenter.chatOnlineCountDidLoad) {
            Integer chatId = (Integer) args[0];
            if (this.chatInfo == null || (chat = this.currentChat) == null || chat.id != chatId.intValue()) {
                return;
            }
            this.chatInfo.online_count = ((Integer) args[1]).intValue();
            updateOnlineCount();
            updateProfileData();
        } else if (id == NotificationCenter.contactsDidLoad) {
            createActionBarMenu();
        } else if (id == NotificationCenter.mediaDidLoad) {
            long uid = ((Long) args[0]).longValue();
            int guid = ((Integer) args[3]).intValue();
            if (guid == this.classGuid) {
                long did2 = this.dialog_id;
                if (did2 == 0) {
                    int i3 = this.user_id;
                    if (i3 != 0) {
                        did2 = i3;
                    } else {
                        int i4 = this.chat_id;
                        if (i4 != 0) {
                            did2 = -i4;
                        }
                    }
                }
                int type = ((Integer) args[4]).intValue();
                this.sharedMediaData[type].setTotalCount(((Integer) args[1]).intValue());
                ArrayList<MessageObject> arr = (ArrayList) args[2];
                boolean enc = ((int) did2) == 0;
                int loadIndex = uid == did2 ? 0 : 1;
                if (!arr.isEmpty()) {
                    this.sharedMediaData[type].setEndReached(loadIndex, ((Boolean) args[5]).booleanValue());
                }
                for (int a3 = 0; a3 < arr.size(); a3++) {
                    MessageObject message = arr.get(a3);
                    this.sharedMediaData[type].addMessage(message, loadIndex, false, enc);
                }
            }
        } else if (id == NotificationCenter.mediaCountsDidLoad) {
            long uid2 = ((Long) args[0]).longValue();
            long did3 = this.dialog_id;
            if (did3 == 0) {
                int i5 = this.user_id;
                if (i5 != 0) {
                    did3 = i5;
                } else {
                    int i6 = this.chat_id;
                    if (i6 != 0) {
                        did3 = -i6;
                    }
                }
            }
            if (uid2 == did3 || uid2 == this.mergeDialogId) {
                int[] counts = (int[]) args[1];
                if (uid2 == did3) {
                    this.mediaCount = counts;
                } else {
                    this.mediaMergeCount = counts;
                }
                int[] iArr = this.lastMediaCount;
                int[] iArr2 = this.prevMediaCount;
                System.arraycopy(iArr, 0, iArr2, 0, iArr2.length);
                int a4 = 0;
                while (true) {
                    int[] iArr3 = this.lastMediaCount;
                    if (a4 < iArr3.length) {
                        int i7 = this.mediaCount[a4];
                        if (i7 >= 0 && (i2 = this.mediaMergeCount[a4]) >= 0) {
                            iArr3[a4] = i7 + i2;
                        } else if (i7 >= 0) {
                            iArr3[a4] = i7;
                        } else {
                            int i8 = this.mediaMergeCount[a4];
                            if (i8 >= 0) {
                                iArr3[a4] = i8;
                            } else {
                                iArr3[a4] = 0;
                            }
                        }
                        if (uid2 == did3 && iArr3[a4] != 0) {
                            MediaDataController.getInstance(this.currentAccount).loadMedia(did3, 50, 0, a4, 2, this.classGuid);
                        }
                        a4++;
                    } else {
                        updateSharedMediaRows();
                        return;
                    }
                }
            }
        } else if (id == NotificationCenter.mediaCountDidLoad) {
            long uid3 = ((Long) args[0]).longValue();
            long did4 = this.dialog_id;
            if (did4 == 0) {
                int i9 = this.user_id;
                if (i9 != 0) {
                    did4 = i9;
                } else {
                    int i10 = this.chat_id;
                    if (i10 != 0) {
                        did4 = -i10;
                    }
                }
            }
            if (uid3 == did4 || uid3 == this.mergeDialogId) {
                int type2 = ((Integer) args[3]).intValue();
                int mCount = ((Integer) args[1]).intValue();
                if (uid3 == did4) {
                    this.mediaCount[type2] = mCount;
                } else {
                    this.mediaMergeCount[type2] = mCount;
                }
                int[] iArr4 = this.prevMediaCount;
                int[] iArr5 = this.lastMediaCount;
                iArr4[type2] = iArr5[type2];
                int i11 = this.mediaCount[type2];
                if (i11 >= 0 && (i = this.mediaMergeCount[type2]) >= 0) {
                    iArr5[type2] = i11 + i;
                } else if (i11 >= 0) {
                    iArr5[type2] = i11;
                } else {
                    int i12 = this.mediaMergeCount[type2];
                    if (i12 >= 0) {
                        iArr5[type2] = i12;
                    } else {
                        iArr5[type2] = 0;
                    }
                }
                updateSharedMediaRows();
            }
        } else if (id == NotificationCenter.encryptedChatCreated) {
            if (this.creatingChat) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda19
                    @Override // java.lang.Runnable
                    public final void run() {
                        ProfileActivity.this.m2120x2a9628bc(args);
                    }
                });
            }
        } else if (id == NotificationCenter.encryptedChatUpdated) {
            TLRPC.EncryptedChat chat2 = (TLRPC.EncryptedChat) args[0];
            if (this.currentEncryptedChat != null && chat2.id == this.currentEncryptedChat.id) {
                this.currentEncryptedChat = chat2;
                updateRowsIds();
                ListAdapter listAdapter2 = this.listAdapter;
                if (listAdapter2 != null) {
                    listAdapter2.notifyDataSetChanged();
                }
            }
        } else if (id == NotificationCenter.blockedUsersDidLoad) {
            boolean oldValue = this.userBlocked;
            loadChannelParticipants = MessagesController.getInstance(this.currentAccount).blockedUsers.indexOfKey(this.user_id) >= 0;
            this.userBlocked = loadChannelParticipants;
            if (oldValue != loadChannelParticipants) {
                createActionBarMenu();
                updateRowsIds();
                this.listAdapter.notifyDataSetChanged();
            }
        } else if (id == NotificationCenter.chatInfoDidLoad) {
            TLRPC.ChatFull chatFull2 = (TLRPC.ChatFull) args[0];
            if (chatFull2.id == this.chat_id) {
                boolean byChannelUsers = ((Boolean) args[2]).booleanValue();
                if ((this.chatInfo instanceof TLRPC.TL_channelFull) && chatFull2.participants == null && (chatFull = this.chatInfo) != null) {
                    chatFull2.participants = chatFull.participants;
                }
                if (this.chatInfo == null && (chatFull2 instanceof TLRPC.TL_channelFull)) {
                    loadChannelParticipants = true;
                }
                this.chatInfo = chatFull2;
                if (this.mergeDialogId == 0 && chatFull2.migrated_from_chat_id != 0) {
                    this.mergeDialogId = -this.chatInfo.migrated_from_chat_id;
                    MediaDataController.getInstance(this.currentAccount).getMediaCount(this.mergeDialogId, 0, this.classGuid, true);
                }
                fetchUsersFromChannelInfo();
                updateOnlineCount();
                updateRowsIds();
                ListAdapter listAdapter3 = this.listAdapter;
                if (listAdapter3 != null) {
                    listAdapter3.notifyDataSetChanged();
                }
                TLRPC.Chat newChat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(this.chat_id));
                if (newChat != null) {
                    this.currentChat = newChat;
                    createActionBarMenu();
                }
                if (this.currentChat.megagroup) {
                    if (loadChannelParticipants || !byChannelUsers) {
                        getChannelParticipants(true);
                    }
                }
            }
        } else if (id == NotificationCenter.closeChats) {
            removeSelfFromStack();
        } else if (id == NotificationCenter.botInfoDidLoad) {
            TLRPC.BotInfo info = (TLRPC.BotInfo) args[0];
            if (info.user_id == this.user_id) {
                this.botInfo = info;
                updateRowsIds();
                ListAdapter listAdapter4 = this.listAdapter;
                if (listAdapter4 != null) {
                    listAdapter4.notifyDataSetChanged();
                }
            }
        } else if (id == NotificationCenter.userFullInfoDidLoad) {
            if (((Integer) args[0]).intValue() == this.user_id) {
                this.userInfo = (TLRPC.UserFull) args[1];
                if (!this.openAnimationInProgress && this.callItem == null) {
                    createActionBarMenu();
                } else {
                    this.recreateMenuAfterAnimation = true;
                }
                updateRowsIds();
                ListAdapter listAdapter5 = this.listAdapter;
                if (listAdapter5 != null) {
                    listAdapter5.notifyDataSetChanged();
                }
            }
        } else if (id == NotificationCenter.didReceiveNewMessages) {
            boolean scheduled = ((Boolean) args[2]).booleanValue();
            if (scheduled) {
                return;
            }
            if (this.dialog_id != 0) {
                did = this.dialog_id;
            } else {
                int i13 = this.user_id;
                did = i13 != 0 ? i13 : -this.chat_id;
            }
            if (did == ((Long) args[0]).longValue()) {
                boolean enc2 = ((int) did) == 0;
                ArrayList<MessageObject> arr2 = (ArrayList) args[1];
                for (int a5 = 0; a5 < arr2.size(); a5++) {
                    MessageObject obj = arr2.get(a5);
                    if (this.currentEncryptedChat != null && (obj.messageOwner.action instanceof TLRPC.TL_messageEncryptedAction) && (obj.messageOwner.action.encryptedAction instanceof TLRPC.TL_decryptedMessageActionSetMessageTTL)) {
                        TLRPC.TL_decryptedMessageActionSetMessageTTL tL_decryptedMessageActionSetMessageTTL = (TLRPC.TL_decryptedMessageActionSetMessageTTL) obj.messageOwner.action.encryptedAction;
                        ListAdapter listAdapter6 = this.listAdapter;
                        if (listAdapter6 != null) {
                            listAdapter6.notifyDataSetChanged();
                        }
                    }
                    int type3 = MediaDataController.getMediaType(obj.messageOwner);
                    if (type3 == -1) {
                        return;
                    }
                    this.sharedMediaData[type3].addMessage(obj, 0, true, enc2);
                }
                loadMediaCounts();
            }
        } else if (id == NotificationCenter.messagesDeleted) {
            boolean scheduled2 = ((Boolean) args[2]).booleanValue();
            if (scheduled2) {
                return;
            }
            int channelId = ((Integer) args[1]).intValue();
            if (ChatObject.isChannel(this.currentChat)) {
                if ((channelId != 0 || this.mergeDialogId == 0) && channelId != this.currentChat.id) {
                    return;
                }
            } else if (channelId != 0) {
                return;
            }
            ArrayList<Integer> markAsDeletedMessages = (ArrayList) args[0];
            boolean updated = false;
            int N = markAsDeletedMessages.size();
            for (int a6 = 0; a6 < N; a6++) {
                int b = 0;
                while (true) {
                    MediaActivity.SharedMediaData[] sharedMediaDataArr = this.sharedMediaData;
                    if (b < sharedMediaDataArr.length) {
                        if (sharedMediaDataArr[b].deleteMessage(markAsDeletedMessages.get(a6).intValue(), 0)) {
                            updated = true;
                        }
                        b++;
                    }
                }
            }
            if (updated && (mediaActivity = this.mediaActivity) != null) {
                mediaActivity.updateAdapters();
            }
            loadMediaCounts();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$didReceivedNotification$22$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2120x2a9628bc(Object[] args) {
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.closeChats);
        NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.closeChats, new Object[0]);
        TLRPC.EncryptedChat encryptedChat = (TLRPC.EncryptedChat) args[0];
        Bundle args2 = new Bundle();
        args2.putInt("enc_id", encryptedChat.id);
        presentFragment(new ChatActivity(args2), true);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onResume() {
        super.onResume();
        ListAdapter listAdapter = this.listAdapter;
        if (listAdapter != null) {
            listAdapter.notifyDataSetChanged();
        }
        updateProfileData();
        fixLayout();
        SimpleTextView simpleTextView = this.nameTextView[1];
        if (simpleTextView != null) {
            setParentActivityTitle(simpleTextView.getText());
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onPause() {
        super.onPause();
        UndoView undoView = this.undoView;
        if (undoView != null) {
            undoView.hide(true, 0);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onBecomeFullyHidden() {
        UndoView undoView = this.undoView;
        if (undoView != null) {
            undoView.hide(true, 0);
        }
    }

    public void setPlayProfileAnimation(boolean value) {
        SharedPreferences preferences = MessagesController.getGlobalMainSettings();
        if (!AndroidUtilities.isTablet() && preferences.getBoolean("view_animations", true)) {
            this.playProfileAnimation = value;
        }
    }

    private void updateSharedMediaRows() {
        int i;
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        if (this.listAdapter == null) {
            return;
        }
        int sharedHeaderRowPrev = this.sharedHeaderRow;
        int photosRowPrev = this.photosRow;
        int filesRowPrev = this.filesRow;
        int linksRowPrev = this.linksRow;
        int audioRowPrev = this.audioRow;
        int voiceRowPrev = this.voiceRow;
        int groupsInCommonRowPrev = this.groupsInCommonRow;
        int i13 = this.sharedSectionRow;
        updateRowsIds();
        if (sharedHeaderRowPrev == -1 && (i12 = this.sharedHeaderRow) != -1) {
            int newRowsCount = 2;
            if (this.photosRow != -1) {
                newRowsCount = 2 + 1;
            }
            if (this.filesRow != -1) {
                newRowsCount++;
            }
            if (this.linksRow != -1) {
                newRowsCount++;
            }
            if (this.audioRow != -1) {
                newRowsCount++;
            }
            if (this.voiceRow != -1) {
                newRowsCount++;
            }
            if (this.groupsInCommonRow != -1) {
                newRowsCount++;
            }
            this.listAdapter.notifyItemRangeInserted(i12, newRowsCount);
        } else if (sharedHeaderRowPrev != -1 && this.sharedHeaderRow != -1) {
            if (photosRowPrev != -1 && (i11 = this.photosRow) != -1 && this.prevMediaCount[0] != this.lastMediaCount[0]) {
                this.listAdapter.notifyItemChanged(i11);
            }
            if (filesRowPrev != -1 && (i10 = this.filesRow) != -1 && this.prevMediaCount[1] != this.lastMediaCount[1]) {
                this.listAdapter.notifyItemChanged(i10);
            }
            if (linksRowPrev != -1 && (i9 = this.linksRow) != -1 && this.prevMediaCount[3] != this.lastMediaCount[3]) {
                this.listAdapter.notifyItemChanged(i9);
            }
            if (audioRowPrev != -1 && (i8 = this.audioRow) != -1 && this.prevMediaCount[4] != this.lastMediaCount[4]) {
                this.listAdapter.notifyItemChanged(i8);
            }
            if (voiceRowPrev != -1 && (i7 = this.voiceRow) != -1 && this.prevMediaCount[2] != this.lastMediaCount[2]) {
                this.listAdapter.notifyItemChanged(i7);
            }
            if (photosRowPrev == -1 && (i6 = this.photosRow) != -1) {
                this.listAdapter.notifyItemInserted(i6);
            } else if (photosRowPrev != -1 && this.photosRow == -1) {
                this.listAdapter.notifyItemRemoved(photosRowPrev);
            }
            if (filesRowPrev == -1 && (i5 = this.filesRow) != -1) {
                this.listAdapter.notifyItemInserted(i5);
            } else if (filesRowPrev != -1 && this.filesRow == -1) {
                this.listAdapter.notifyItemRemoved(filesRowPrev);
            }
            if (linksRowPrev == -1 && (i4 = this.linksRow) != -1) {
                this.listAdapter.notifyItemInserted(i4);
            } else if (linksRowPrev != -1 && this.linksRow == -1) {
                this.listAdapter.notifyItemRemoved(linksRowPrev);
            }
            if (audioRowPrev == -1 && (i3 = this.audioRow) != -1) {
                this.listAdapter.notifyItemInserted(i3);
            } else if (audioRowPrev != -1 && this.audioRow == -1) {
                this.listAdapter.notifyItemRemoved(audioRowPrev);
            }
            if (voiceRowPrev == -1 && (i2 = this.voiceRow) != -1) {
                this.listAdapter.notifyItemInserted(i2);
            } else if (voiceRowPrev != -1 && this.voiceRow == -1) {
                this.listAdapter.notifyItemRemoved(voiceRowPrev);
            }
            if (groupsInCommonRowPrev == -1 && (i = this.groupsInCommonRow) != -1) {
                this.listAdapter.notifyItemInserted(i);
            } else if (groupsInCommonRowPrev != -1 && this.groupsInCommonRow == -1) {
                this.listAdapter.notifyItemRemoved(groupsInCommonRowPrev);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onTransitionAnimationStart(boolean isOpen, boolean backward) {
        if (((!isOpen && backward) || (isOpen && !backward)) && this.playProfileAnimation && this.allowProfileAnimation) {
            this.openAnimationInProgress = true;
        }
        if (isOpen) {
            NotificationCenter.getInstance(this.currentAccount).setAllowedNotificationsDutingAnimation(new int[]{NotificationCenter.dialogsNeedReload, NotificationCenter.closeChats, NotificationCenter.mediaCountDidLoad, NotificationCenter.mediaCountsDidLoad});
            NotificationCenter.getInstance(this.currentAccount).setAnimationInProgress(true);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onTransitionAnimationEnd(boolean isOpen, boolean backward) {
        if (isOpen) {
            if (!backward && this.playProfileAnimation && this.allowProfileAnimation) {
                this.openAnimationInProgress = false;
                if (this.recreateMenuAfterAnimation) {
                    createActionBarMenu();
                }
            }
            NotificationCenter.getInstance(this.currentAccount).setAnimationInProgress(false);
        }
    }

    public float getAnimationProgress() {
        return this.animationProgress;
    }

    public void setAnimationProgress(float progress) {
        int color;
        int color2;
        int iconColor;
        this.animationProgress = progress;
        this.listView.setAlpha(progress);
        this.listView.setTranslationX(AndroidUtilities.dp(48.0f) - (AndroidUtilities.dp(48.0f) * progress));
        int color3 = AvatarDrawable.getProfileBackColorForId((this.user_id != 0 || (ChatObject.isChannel(this.chat_id, this.currentAccount) && !this.currentChat.megagroup)) ? 5 : this.chat_id);
        int actionBarColor = Theme.getColor(Theme.key_actionBarDefault);
        int r = Color.red(actionBarColor);
        int g = Color.green(actionBarColor);
        int b = Color.blue(actionBarColor);
        int red = (int) ((Color.red(color3) - r) * progress);
        int green = (int) ((Color.green(color3) - g) * progress);
        int blue = (int) ((Color.blue(color3) - b) * progress);
        this.topView.setBackgroundColor(Theme.getColor(Theme.key_actionBarDefault));
        int color4 = AvatarDrawable.getIconColorForId((this.user_id != 0 || (ChatObject.isChannel(this.chat_id, this.currentAccount) && !this.currentChat.megagroup)) ? 5 : this.chat_id);
        int iconColor2 = Theme.getColor(Theme.key_actionBarDefaultIcon);
        int r2 = Color.red(iconColor2);
        int g2 = Color.green(iconColor2);
        int b2 = Color.blue(iconColor2);
        int rD = (int) ((Color.red(color4) - r2) * progress);
        int gD = (int) ((Color.green(color4) - g2) * progress);
        int bD = (int) ((Color.blue(color4) - b2) * progress);
        int color5 = Theme.getColor(Theme.key_profile_title);
        int titleColor = Theme.getColor(Theme.key_actionBarDefaultTitle);
        int r3 = Color.red(titleColor);
        int g3 = Color.green(titleColor);
        int b3 = Color.blue(titleColor);
        int a2 = Color.alpha(titleColor);
        int rD2 = (int) ((Color.red(color5) - r3) * progress);
        int gD2 = (int) ((Color.green(color5) - g3) * progress);
        int bD2 = (int) ((Color.blue(color5) - b3) * progress);
        int alpha = (int) ((Color.alpha(color5) - a2) * progress);
        int i = 0;
        while (true) {
            int color6 = color5;
            if (i >= 2) {
                break;
            }
            SimpleTextView simpleTextView = this.nameTextView[i];
            if (simpleTextView == null) {
                iconColor = iconColor2;
            } else {
                iconColor = iconColor2;
                simpleTextView.setTextColor(Theme.getColor(Theme.key_actionBarDefaultTitle));
            }
            i++;
            color5 = color6;
            iconColor2 = iconColor;
        }
        if (this.isOnline[0]) {
            color = Theme.getColor(Theme.key_profile_status);
        } else {
            color = AvatarDrawable.getProfileTextColorForId((this.user_id != 0 || (ChatObject.isChannel(this.chat_id, this.currentAccount) && !this.currentChat.megagroup)) ? 5 : this.chat_id);
        }
        int subtitleColor = Theme.getColor(this.isOnline[0] ? Theme.key_chat_status : Theme.key_actionBarDefaultSubtitle);
        int r4 = Color.red(subtitleColor);
        int g4 = Color.green(subtitleColor);
        int b4 = Color.blue(subtitleColor);
        int a3 = Color.alpha(subtitleColor);
        int rD3 = (int) ((Color.red(color) - r4) * progress);
        int rD4 = Color.green(color);
        int i2 = (int) ((rD4 - g4) * progress);
        int gD3 = Color.blue(color);
        int i3 = (int) ((gD3 - b4) * progress);
        int bD3 = Color.alpha(color);
        int i4 = (int) ((bD3 - a3) * progress);
        int i5 = 0;
        while (true) {
            int rD5 = rD3;
            if (i5 >= 2) {
                break;
            }
            SimpleTextView simpleTextView2 = this.onlineTextView[i5];
            if (simpleTextView2 == null) {
                color2 = color;
            } else {
                color2 = color;
                simpleTextView2.setTextColor(Theme.getColor(Theme.key_actionBarDefaultSubtitle));
            }
            i5++;
            rD3 = rD5;
            color = color2;
        }
        this.extraHeight = (int) (this.initialAnimationExtraHeight * progress);
        int i6 = this.user_id;
        if (i6 == 0) {
            i6 = this.chat_id;
        }
        int color7 = AvatarDrawable.getProfileColorForId(i6);
        int i7 = this.user_id;
        if (i7 == 0) {
            i7 = this.chat_id;
        }
        int color22 = AvatarDrawable.getColorForId(i7);
        if (color7 != color22) {
            int rD6 = (int) ((Color.red(color7) - Color.red(color22)) * progress);
            int gD4 = (int) ((Color.green(color7) - Color.green(color22)) * progress);
            int bD4 = (int) ((Color.blue(color7) - Color.blue(color22)) * progress);
            this.avatarDrawable.setColor(Color.rgb(Color.red(color22) + rD6, Color.green(color22) + gD4, Color.blue(color22) + bD4));
            this.avatarImage.invalidate();
        }
        needLayout();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public AnimatorSet onCustomTransitionAnimation(boolean isOpen, final Runnable callback) {
        if (this.playProfileAnimation && this.allowProfileAnimation) {
            final AnimatorSet animatorSet = new AnimatorSet();
            animatorSet.setDuration(180L);
            this.listView.setLayerType(2, null);
            ActionBarMenu menu = this.actionBar.createMenu();
            if (menu.getItem(10) == null && this.animatingItem == null) {
                this.animatingItem = menu.addItem(10, R.drawable.ic_ab_other);
            }
            if (!isOpen) {
                this.initialAnimationExtraHeight = this.extraHeight;
                ArrayList<Animator> animators = new ArrayList<>();
                animators.add(ObjectAnimator.ofFloat(this, "animationProgress", 1.0f, 0.0f));
                ImageView imageView = this.writeButton;
                if (imageView != null) {
                    animators.add(ObjectAnimator.ofFloat(imageView, View.SCALE_X, 0.2f));
                    animators.add(ObjectAnimator.ofFloat(this.writeButton, View.SCALE_Y, 0.2f));
                    animators.add(ObjectAnimator.ofFloat(this.writeButton, View.ALPHA, 0.0f));
                }
                int a2 = 0;
                while (a2 < 2) {
                    SimpleTextView simpleTextView = this.onlineTextView[a2];
                    Property property = View.ALPHA;
                    float[] fArr = new float[1];
                    fArr[0] = a2 == 0 ? 1.0f : 0.0f;
                    animators.add(ObjectAnimator.ofFloat(simpleTextView, property, fArr));
                    SimpleTextView simpleTextView2 = this.nameTextView[a2];
                    Property property2 = View.ALPHA;
                    float[] fArr2 = new float[1];
                    fArr2[0] = a2 == 0 ? 1.0f : 0.0f;
                    animators.add(ObjectAnimator.ofFloat(simpleTextView2, property2, fArr2));
                    a2++;
                }
                ActionBarMenuItem actionBarMenuItem = this.animatingItem;
                if (actionBarMenuItem != null) {
                    actionBarMenuItem.setAlpha(0.0f);
                    animators.add(ObjectAnimator.ofFloat(this.animatingItem, View.ALPHA, 1.0f));
                }
                ActionBarMenuItem actionBarMenuItem2 = this.callItem;
                if (actionBarMenuItem2 != null) {
                    actionBarMenuItem2.setAlpha(1.0f);
                    animators.add(ObjectAnimator.ofFloat(this.callItem, View.ALPHA, 0.0f));
                }
                ActionBarMenuItem actionBarMenuItem3 = this.editItem;
                if (actionBarMenuItem3 != null) {
                    actionBarMenuItem3.setAlpha(1.0f);
                    animators.add(ObjectAnimator.ofFloat(this.editItem, View.ALPHA, 0.0f));
                }
                animatorSet.playTogether(animators);
            } else {
                FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) this.onlineTextView[1].getLayoutParams();
                layoutParams.rightMargin = (int) ((AndroidUtilities.density * (-21.0f)) + AndroidUtilities.dp(8.0f));
                this.onlineTextView[1].setLayoutParams(layoutParams);
                int width = (int) Math.ceil((AndroidUtilities.displaySize.x - AndroidUtilities.dp(126.0f)) + (AndroidUtilities.density * 21.0f));
                float width2 = (this.nameTextView[1].getPaint().measureText(this.nameTextView[1].getText().toString()) * 1.12f) + this.nameTextView[1].getSideDrawablesSize();
                FrameLayout.LayoutParams layoutParams2 = (FrameLayout.LayoutParams) this.nameTextView[1].getLayoutParams();
                if (width < width2) {
                    layoutParams2.width = (int) Math.ceil(width / 1.12f);
                } else {
                    layoutParams2.width = -2;
                }
                this.nameTextView[1].setLayoutParams(layoutParams2);
                this.initialAnimationExtraHeight = AndroidUtilities.dp(88.0f);
                setAnimationProgress(0.0f);
                ArrayList<Animator> animators2 = new ArrayList<>();
                animators2.add(ObjectAnimator.ofFloat(this, "animationProgress", 0.0f, 1.0f));
                ImageView imageView2 = this.writeButton;
                if (imageView2 != null) {
                    imageView2.setScaleX(0.2f);
                    this.writeButton.setScaleY(0.2f);
                    this.writeButton.setAlpha(0.0f);
                    animators2.add(ObjectAnimator.ofFloat(this.writeButton, View.SCALE_X, 1.0f));
                    animators2.add(ObjectAnimator.ofFloat(this.writeButton, View.SCALE_Y, 1.0f));
                    animators2.add(ObjectAnimator.ofFloat(this.writeButton, View.ALPHA, 1.0f));
                }
                int a3 = 0;
                while (a3 < 2) {
                    this.onlineTextView[a3].setAlpha(a3 == 0 ? 1.0f : 0.0f);
                    this.nameTextView[a3].setAlpha(a3 == 0 ? 1.0f : 0.0f);
                    SimpleTextView simpleTextView3 = this.onlineTextView[a3];
                    Property property3 = View.ALPHA;
                    float[] fArr3 = new float[1];
                    fArr3[0] = a3 == 0 ? 0.0f : 1.0f;
                    animators2.add(ObjectAnimator.ofFloat(simpleTextView3, property3, fArr3));
                    SimpleTextView simpleTextView4 = this.nameTextView[a3];
                    Property property4 = View.ALPHA;
                    float[] fArr4 = new float[1];
                    fArr4[0] = a3 == 0 ? 0.0f : 1.0f;
                    animators2.add(ObjectAnimator.ofFloat(simpleTextView4, property4, fArr4));
                    a3++;
                }
                ActionBarMenuItem actionBarMenuItem4 = this.animatingItem;
                if (actionBarMenuItem4 != null) {
                    actionBarMenuItem4.setAlpha(1.0f);
                    animators2.add(ObjectAnimator.ofFloat(this.animatingItem, View.ALPHA, 0.0f));
                }
                ActionBarMenuItem actionBarMenuItem5 = this.callItem;
                if (actionBarMenuItem5 != null) {
                    actionBarMenuItem5.setAlpha(0.0f);
                    animators2.add(ObjectAnimator.ofFloat(this.callItem, View.ALPHA, 1.0f));
                }
                ActionBarMenuItem actionBarMenuItem6 = this.editItem;
                if (actionBarMenuItem6 != null) {
                    actionBarMenuItem6.setAlpha(0.0f);
                    animators2.add(ObjectAnimator.ofFloat(this.editItem, View.ALPHA, 1.0f));
                }
                animatorSet.playTogether(animators2);
            }
            animatorSet.addListener(new AnimatorListenerAdapter() { // from class: im.uecahxyvjd.ui.ProfileActivity.14
                @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                public void onAnimationEnd(Animator animation) {
                    ProfileActivity.this.listView.setLayerType(0, null);
                    if (ProfileActivity.this.animatingItem != null) {
                        ActionBarMenu menu2 = ProfileActivity.this.actionBar.createMenu();
                        menu2.clearItems();
                        ProfileActivity.this.animatingItem = null;
                    }
                    callback.run();
                }
            });
            animatorSet.setInterpolator(new DecelerateInterpolator());
            Objects.requireNonNull(animatorSet);
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda13
                @Override // java.lang.Runnable
                public final void run() {
                    animatorSet.start();
                }
            }, 50L);
            return animatorSet;
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void updateOnlineCount() {
        int i;
        this.onlineCount = 0;
        final int currentTime = ConnectionsManager.getInstance(this.currentAccount).getCurrentTime();
        this.sortedUsers.clear();
        TLRPC.ChatFull chatFull = this.chatInfo;
        if ((chatFull instanceof TLRPC.TL_chatFull) || ((chatFull instanceof TLRPC.TL_channelFull) && chatFull.participants_count <= 200 && this.chatInfo.participants != null)) {
            for (int a2 = 0; a2 < this.chatInfo.participants.participants.size(); a2++) {
                TLRPC.ChatParticipant participant = this.chatInfo.participants.participants.get(a2);
                TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(participant.user_id));
                if (user != null && user.status != null && ((user.status.expires > currentTime || user.id == UserConfig.getInstance(this.currentAccount).getClientUserId()) && user.status.expires > 10000)) {
                    this.onlineCount++;
                }
                this.sortedUsers.add(Integer.valueOf(a2));
            }
            try {
                Collections.sort(this.sortedUsers, new Comparator() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda14
                    @Override // java.util.Comparator
                    public final int compare(Object obj, Object obj2) {
                        return ProfileActivity.this.m2129lambda$updateOnlineCount$23$imuecahxyvjduiProfileActivity(currentTime, (Integer) obj, (Integer) obj2);
                    }
                });
            } catch (Exception e) {
                FileLog.e(e);
            }
            ListAdapter listAdapter = this.listAdapter;
            if (listAdapter != null && (i = this.membersStartRow) > 0) {
                listAdapter.notifyItemRangeChanged(i, this.sortedUsers.size());
                return;
            }
            return;
        }
        TLRPC.ChatFull chatFull2 = this.chatInfo;
        if ((chatFull2 instanceof TLRPC.TL_channelFull) && chatFull2.participants_count > 200) {
            this.onlineCount = this.chatInfo.online_count;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateOnlineCount$23$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ int m2129lambda$updateOnlineCount$23$imuecahxyvjduiProfileActivity(int currentTime, Integer lhs, Integer rhs) {
        TLRPC.User user1 = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.chatInfo.participants.participants.get(rhs.intValue()).user_id));
        TLRPC.User user2 = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.chatInfo.participants.participants.get(lhs.intValue()).user_id));
        int status1 = 0;
        int status2 = 0;
        if (user1 != null) {
            if (user1.bot) {
                status1 = -110;
            } else if (user1.self) {
                status1 = currentTime + 50000;
            } else if (user1.status != null) {
                status1 = user1.status.expires;
            }
        }
        if (user2 != null) {
            if (user2.bot) {
                status2 = -110;
            } else if (user2.self) {
                status2 = currentTime + 50000;
            } else if (user2.status != null) {
                status2 = user2.status.expires;
            }
        }
        if (status1 > 0 && status2 > 0) {
            if (status1 > status2) {
                return 1;
            }
            return status1 < status2 ? -1 : 0;
        } else if (status1 < 0 && status2 < 0) {
            if (status1 > status2) {
                return 1;
            }
            return status1 < status2 ? -1 : 0;
        } else if ((status1 >= 0 || status2 <= 0) && (status1 != 0 || status2 == 0)) {
            return ((status2 >= 0 || status1 <= 0) && (status2 != 0 || status1 == 0)) ? 0 : 1;
        } else {
            return -1;
        }
    }

    public void setChatInfo(TLRPC.ChatFull value) {
        this.chatInfo = value;
        if (value != null && value.migrated_from_chat_id != 0 && this.mergeDialogId == 0) {
            this.mergeDialogId = -this.chatInfo.migrated_from_chat_id;
            MediaDataController.getInstance(this.currentAccount).getMediaCounts(this.mergeDialogId, this.classGuid);
        }
        fetchUsersFromChannelInfo();
    }

    public void setUserInfo(TLRPC.UserFull value) {
        this.userInfo = value;
    }

    private void fetchUsersFromChannelInfo() {
        TLRPC.Chat chat = this.currentChat;
        if (chat == null || !chat.megagroup) {
            return;
        }
        TLRPC.ChatFull chatFull = this.chatInfo;
        if ((chatFull instanceof TLRPC.TL_channelFull) && chatFull.participants != null) {
            for (int a2 = 0; a2 < this.chatInfo.participants.participants.size(); a2++) {
                TLRPC.ChatParticipant chatParticipant = this.chatInfo.participants.participants.get(a2);
                this.participantsMap.put(chatParticipant.user_id, chatParticipant);
            }
        }
    }

    private void kickUser(int uid) {
        if (uid != 0) {
            MessagesController.getInstance(this.currentAccount).deleteUserFromChat(this.chat_id, MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(uid)), this.chatInfo);
            return;
        }
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.closeChats);
        if (AndroidUtilities.isTablet()) {
            NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.closeChats, Long.valueOf(-this.chat_id));
        } else {
            NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.closeChats, new Object[0]);
        }
        MessagesController.getInstance(this.currentAccount).deleteUserFromChat(this.chat_id, MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(UserConfig.getInstance(this.currentAccount).getClientUserId())), this.chatInfo);
        this.playProfileAnimation = false;
        finishFragment();
    }

    public boolean isChat() {
        return this.chat_id != 0;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void updateRowsIds() {
        TLRPC.ChatFull chatFull;
        TLRPC.ChatFull chatFull2;
        TLRPC.UserFull userFull;
        this.rowCount = 0;
        this.emptyRow = -1;
        this.infoHeaderRow = -1;
        this.phoneRow = -1;
        this.userInfoRow = -1;
        this.locationRow = -1;
        this.channelInfoRow = -1;
        this.usernameRow = -1;
        this.settingsTimerRow = -1;
        this.settingsKeyRow = -1;
        this.notificationsDividerRow = -1;
        this.notificationsRow = -1;
        this.forbidAddContact = -1;
        this.infoSectionRow = -1;
        this.settingsSectionRow = -1;
        this.membersHeaderRow = -1;
        this.membersStartRow = -1;
        this.membersEndRow = -1;
        this.addMemberRow = -1;
        this.subscribersRow = -1;
        this.administratorsRow = -1;
        this.blockedUsersRow = -1;
        this.membersSectionRow = -1;
        this.sharedHeaderRow = -1;
        this.photosRow = -1;
        this.filesRow = -1;
        this.linksRow = -1;
        this.audioRow = -1;
        this.voiceRow = -1;
        this.groupsInCommonRow = -1;
        this.sharedSectionRow = -1;
        this.qrCodeRow = -1;
        this.unblockRow = -1;
        this.startSecretChatRow = -1;
        this.leaveChannelRow = -1;
        this.joinRow = -1;
        this.lastSectionRow = -1;
        boolean hasMedia = false;
        int a2 = 0;
        while (true) {
            int[] iArr = this.lastMediaCount;
            if (a2 >= iArr.length) {
                break;
            } else if (iArr[a2] <= 0) {
                a2++;
            } else {
                hasMedia = true;
                break;
            }
        }
        int a3 = this.rowCount;
        this.rowCount = a3 + 1;
        this.emptyRow = a3;
        if (this.user_id != 0) {
            TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.user_id));
            TLRPC.UserFull userFull2 = this.userInfo;
            boolean hasInfo = ((userFull2 == null || TextUtils.isEmpty(userFull2.about)) && (user == null || TextUtils.isEmpty(user.username))) ? false : true;
            boolean hasPhone = (user == null || TextUtils.isEmpty(user.phone)) ? false : true;
            int i = this.rowCount;
            int i2 = i + 1;
            this.rowCount = i2;
            this.infoHeaderRow = i;
            if (!this.isBot && (hasPhone || (!hasPhone && !hasInfo))) {
                this.rowCount = i2 + 1;
                this.phoneRow = i2;
            }
            TLRPC.UserFull userFull3 = this.userInfo;
            if (userFull3 != null && !TextUtils.isEmpty(userFull3.about)) {
                int i3 = this.rowCount;
                this.rowCount = i3 + 1;
                this.userInfoRow = i3;
            }
            if (user.id == getUserConfig().clientUserId) {
                int i4 = this.rowCount;
                this.rowCount = i4 + 1;
                this.qrCodeRow = i4;
            }
            if (this.phoneRow != -1 || this.userInfoRow != -1 || this.usernameRow != -1) {
                int i5 = this.rowCount;
                this.rowCount = i5 + 1;
                this.notificationsDividerRow = i5;
            }
            if (this.user_id != UserConfig.getInstance(this.currentAccount).getClientUserId()) {
                int i6 = this.rowCount;
                this.rowCount = i6 + 1;
                this.notificationsRow = i6;
            }
            int i7 = this.rowCount;
            int i8 = i7 + 1;
            this.rowCount = i8;
            this.infoSectionRow = i7;
            if (this.currentEncryptedChat instanceof TLRPC.TL_encryptedChat) {
                int i9 = i8 + 1;
                this.rowCount = i9;
                this.settingsTimerRow = i8;
                int i10 = i9 + 1;
                this.rowCount = i10;
                this.settingsKeyRow = i9;
                this.rowCount = i10 + 1;
                this.settingsSectionRow = i10;
            }
            if (hasMedia || ((userFull = this.userInfo) != null && userFull.common_chats_count != 0)) {
                int i11 = this.rowCount;
                int i12 = i11 + 1;
                this.rowCount = i12;
                this.sharedHeaderRow = i11;
                int[] iArr2 = this.lastMediaCount;
                if (iArr2[0] > 0) {
                    this.rowCount = i12 + 1;
                    this.photosRow = i12;
                } else {
                    this.photosRow = -1;
                }
                if (iArr2[1] > 0) {
                    int i13 = this.rowCount;
                    this.rowCount = i13 + 1;
                    this.filesRow = i13;
                } else {
                    this.filesRow = -1;
                }
                if (iArr2[3] > 0) {
                    int i14 = this.rowCount;
                    this.rowCount = i14 + 1;
                    this.linksRow = i14;
                } else {
                    this.linksRow = -1;
                }
                if (iArr2[4] > 0) {
                    int i15 = this.rowCount;
                    this.rowCount = i15 + 1;
                    this.audioRow = i15;
                } else {
                    this.audioRow = -1;
                }
                if (iArr2[2] > 0) {
                    int i16 = this.rowCount;
                    this.rowCount = i16 + 1;
                    this.voiceRow = i16;
                } else {
                    this.voiceRow = -1;
                }
                TLRPC.UserFull userFull4 = this.userInfo;
                if (userFull4 != null && userFull4.common_chats_count != 0) {
                    int i17 = this.rowCount;
                    this.rowCount = i17 + 1;
                    this.groupsInCommonRow = i17;
                }
                int i18 = this.rowCount;
                this.rowCount = i18 + 1;
                this.sharedSectionRow = i18;
            }
            if (user != null && !this.isBot && this.currentEncryptedChat == null && user.id != UserConfig.getInstance(this.currentAccount).getClientUserId()) {
                if (this.userBlocked) {
                    int i19 = this.rowCount;
                    this.rowCount = i19 + 1;
                    this.unblockRow = i19;
                } else {
                    int i20 = this.rowCount;
                    this.rowCount = i20 + 1;
                    this.startSecretChatRow = i20;
                }
                int i21 = this.rowCount;
                this.rowCount = i21 + 1;
                this.lastSectionRow = i21;
                return;
            }
            return;
        }
        int i22 = this.chat_id;
        if (i22 != 0) {
            if (i22 > 0) {
                TLRPC.ChatFull chatFull3 = this.chatInfo;
                if ((chatFull3 != null && (!TextUtils.isEmpty(chatFull3.about) || (this.chatInfo.location instanceof TLRPC.TL_channelLocation))) || !TextUtils.isEmpty(this.currentChat.username)) {
                    int i23 = this.rowCount;
                    this.rowCount = i23 + 1;
                    this.infoHeaderRow = i23;
                    TLRPC.ChatFull chatFull4 = this.chatInfo;
                    if (chatFull4 != null) {
                        if (!TextUtils.isEmpty(chatFull4.about)) {
                            int i24 = this.rowCount;
                            this.rowCount = i24 + 1;
                            this.channelInfoRow = i24;
                        }
                        if (this.chatInfo.location instanceof TLRPC.TL_channelLocation) {
                            int i25 = this.rowCount;
                            this.rowCount = i25 + 1;
                            this.locationRow = i25;
                        }
                    }
                    if (!TextUtils.isEmpty(this.currentChat.username)) {
                        int i26 = this.rowCount;
                        int i27 = i26 + 1;
                        this.rowCount = i27;
                        this.usernameRow = i26;
                        this.rowCount = i27 + 1;
                        this.qrCodeRow = i27;
                    }
                }
                if (this.infoHeaderRow != -1) {
                    int i28 = this.rowCount;
                    this.rowCount = i28 + 1;
                    this.notificationsDividerRow = i28;
                }
                int i29 = this.rowCount;
                this.rowCount = i29 + 1;
                this.notificationsRow = i29;
                if (ChatObject.isChannel(this.currentChat) && this.currentChat.megagroup && ChatObject.hasAdminRights(this.currentChat)) {
                    int i30 = this.rowCount;
                    this.rowCount = i30 + 1;
                    this.forbidAddContact = i30;
                }
                int i31 = this.rowCount;
                this.rowCount = i31 + 1;
                this.infoSectionRow = i31;
                if (ChatObject.isChannel(this.currentChat) && !this.currentChat.megagroup && this.chatInfo != null && (this.currentChat.creator || this.chatInfo.can_view_participants)) {
                    int i32 = this.rowCount;
                    int i33 = i32 + 1;
                    this.rowCount = i33;
                    this.membersHeaderRow = i32;
                    int i34 = i33 + 1;
                    this.rowCount = i34;
                    this.subscribersRow = i33;
                    this.rowCount = i34 + 1;
                    this.administratorsRow = i34;
                    if (this.chatInfo.banned_count != 0 || this.chatInfo.kicked_count != 0) {
                        int i35 = this.rowCount;
                        this.rowCount = i35 + 1;
                        this.blockedUsersRow = i35;
                    }
                    int i36 = this.rowCount;
                    this.rowCount = i36 + 1;
                    this.membersSectionRow = i36;
                }
                if (hasMedia) {
                    int i37 = this.rowCount;
                    int i38 = i37 + 1;
                    this.rowCount = i38;
                    this.sharedHeaderRow = i37;
                    int[] iArr3 = this.lastMediaCount;
                    if (iArr3[0] > 0) {
                        this.rowCount = i38 + 1;
                        this.photosRow = i38;
                    } else {
                        this.photosRow = -1;
                    }
                    if (iArr3[1] > 0) {
                        int i39 = this.rowCount;
                        this.rowCount = i39 + 1;
                        this.filesRow = i39;
                    } else {
                        this.filesRow = -1;
                    }
                    if (iArr3[3] > 0) {
                        int i40 = this.rowCount;
                        this.rowCount = i40 + 1;
                        this.linksRow = i40;
                    } else {
                        this.linksRow = -1;
                    }
                    if (iArr3[4] > 0) {
                        int i41 = this.rowCount;
                        this.rowCount = i41 + 1;
                        this.audioRow = i41;
                    } else {
                        this.audioRow = -1;
                    }
                    if (iArr3[2] > 0) {
                        int i42 = this.rowCount;
                        this.rowCount = i42 + 1;
                        this.voiceRow = i42;
                    } else {
                        this.voiceRow = -1;
                    }
                    int i43 = this.rowCount;
                    this.rowCount = i43 + 1;
                    this.sharedSectionRow = i43;
                }
                if (ChatObject.isChannel(this.currentChat)) {
                    if (!this.currentChat.creator && !this.currentChat.left && !this.currentChat.kicked && !this.currentChat.megagroup) {
                        int i44 = this.rowCount;
                        int i45 = i44 + 1;
                        this.rowCount = i45;
                        this.leaveChannelRow = i44;
                        this.rowCount = i45 + 1;
                        this.lastSectionRow = i45;
                    }
                    if (this.chatInfo != null && this.currentChat.megagroup && this.chatInfo.participants != null && !this.chatInfo.participants.participants.isEmpty()) {
                        if (!ChatObject.isNotInChat(this.currentChat) && this.currentChat.megagroup && ChatObject.canAddUsers(this.currentChat) && ((chatFull2 = this.chatInfo) == null || chatFull2.participants_count < MessagesController.getInstance(this.currentAccount).maxMegagroupCount)) {
                            int i46 = this.rowCount;
                            this.rowCount = i46 + 1;
                            this.addMemberRow = i46;
                        } else {
                            int i47 = this.rowCount;
                            this.rowCount = i47 + 1;
                            this.membersHeaderRow = i47;
                        }
                        int i48 = this.rowCount;
                        this.membersStartRow = i48;
                        int size = i48 + this.chatInfo.participants.participants.size();
                        this.rowCount = size;
                        this.membersEndRow = size;
                        this.rowCount = size + 1;
                        this.membersSectionRow = size;
                    }
                    if (this.lastSectionRow == -1 && this.currentChat.left && !this.currentChat.kicked) {
                        int i49 = this.rowCount;
                        int i50 = i49 + 1;
                        this.rowCount = i50;
                        this.joinRow = i49;
                        this.rowCount = i50 + 1;
                        this.lastSectionRow = i50;
                        return;
                    }
                    return;
                }
                TLRPC.ChatFull chatFull5 = this.chatInfo;
                if (chatFull5 != null && !(chatFull5.participants instanceof TLRPC.TL_chatParticipantsForbidden)) {
                    if (ChatObject.canAddUsers(this.currentChat) || this.currentChat.default_banned_rights == null || !this.currentChat.default_banned_rights.invite_users) {
                        int i51 = this.rowCount;
                        this.rowCount = i51 + 1;
                        this.addMemberRow = i51;
                    } else {
                        int i52 = this.rowCount;
                        this.rowCount = i52 + 1;
                        this.membersHeaderRow = i52;
                    }
                    int i53 = this.rowCount;
                    this.membersStartRow = i53;
                    int size2 = i53 + this.chatInfo.participants.participants.size();
                    this.rowCount = size2;
                    this.membersEndRow = size2;
                    this.rowCount = size2 + 1;
                    this.membersSectionRow = size2;
                }
            } else if (!ChatObject.isChannel(this.currentChat) && (chatFull = this.chatInfo) != null && !(chatFull.participants instanceof TLRPC.TL_chatParticipantsForbidden)) {
                int i54 = this.rowCount;
                int i55 = i54 + 1;
                this.rowCount = i55;
                this.membersHeaderRow = i54;
                this.membersStartRow = i55;
                int size3 = i55 + this.chatInfo.participants.participants.size();
                this.rowCount = size3;
                this.membersEndRow = size3;
                int i56 = size3 + 1;
                this.rowCount = i56;
                this.membersSectionRow = size3;
                this.rowCount = i56 + 1;
                this.addMemberRow = i56;
            }
        }
    }

    private Drawable getScamDrawable() {
        if (this.scamDrawable == null) {
            ScamDrawable scamDrawable = new ScamDrawable(11);
            this.scamDrawable = scamDrawable;
            scamDrawable.setColor(AvatarDrawable.getProfileTextColorForId((this.user_id != 0 || (ChatObject.isChannel(this.chat_id, this.currentAccount) && !this.currentChat.megagroup)) ? 5 : this.chat_id));
        }
        return this.scamDrawable;
    }

    private void updateProfileData() {
        String onlineTextOverride;
        String newString;
        String onlineTextOverride2;
        int currentConnectionState;
        String onlineTextOverride3;
        String str;
        TLRPC.ChatFull chatFull;
        String newString2;
        if (this.avatarImage == null || this.nameTextView == null) {
            return;
        }
        int currentConnectionState2 = ConnectionsManager.getInstance(this.currentAccount).getConnectionState();
        if (currentConnectionState2 == 2) {
            onlineTextOverride = LocaleController.getString("WaitingForNetwork", R.string.WaitingForNetwork);
        } else if (currentConnectionState2 == 1) {
            onlineTextOverride = LocaleController.getString("Connecting", R.string.Connecting);
        } else if (currentConnectionState2 == 5) {
            onlineTextOverride = LocaleController.getString("Updating", R.string.Updating);
        } else if (currentConnectionState2 == 4) {
            onlineTextOverride = LocaleController.getString("ConnectingToProxy", R.string.ConnectingToProxy);
        } else {
            onlineTextOverride = null;
        }
        if (this.user_id != 0) {
            TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.user_id));
            TLRPC.FileLocation photoBig = null;
            if (user.photo != null) {
                photoBig = user.photo.photo_big;
            }
            this.avatarDrawable.setInfo(user);
            this.avatarImage.setImage(ImageLocation.getForUser(user, false), "50_50", this.avatarDrawable, user);
            FileLoader.getInstance(this.currentAccount).loadFile(ImageLocation.getForUser(user, true), user, null, 0, 1);
            String newString3 = UserObject.getName(user);
            if (user.id == UserConfig.getInstance(this.currentAccount).getClientUserId()) {
                newString2 = LocaleController.getString("ChatYourSelf", R.string.ChatYourSelf);
                newString3 = LocaleController.getString("ChatYourSelfName", R.string.ChatYourSelfName);
            } else if (user.id == 333000 || user.id == 777000 || user.id == 42777) {
                newString2 = LocaleController.getString("ServiceNotifications", R.string.ServiceNotifications);
            } else if (MessagesController.isSupportUser(user)) {
                newString2 = LocaleController.getString("SupportStatus", R.string.SupportStatus);
            } else if (this.isBot) {
                newString2 = LocaleController.getString("Bot", R.string.Bot);
            } else {
                this.isOnline[0] = false;
                newString2 = LocaleController.formatUserStatus(this.currentAccount, user, this.isOnline);
                SimpleTextView simpleTextView = this.onlineTextView[1];
                if (simpleTextView != null) {
                    String key = this.isOnline[0] ? Theme.key_profile_status : Theme.key_avatar_subtitleInProfileBlue;
                    simpleTextView.setTag(key);
                    this.onlineTextView[1].setTextColor(Theme.getColor(key));
                }
            }
            for (int a2 = 0; a2 < 2; a2++) {
                if (this.nameTextView[a2] != null) {
                    if (a2 == 0 && user.id != UserConfig.getInstance(this.currentAccount).getClientUserId() && user.id / 1000 != 777 && user.id / 1000 != 333 && user.phone != null && user.phone.length() != 0 && ContactsController.getInstance(this.currentAccount).contactsDict.get(Integer.valueOf(user.id)) == null && (ContactsController.getInstance(this.currentAccount).contactsDict.size() != 0 || !ContactsController.getInstance(this.currentAccount).isLoadingContacts())) {
                        String phoneString = PhoneFormat.getInstance().format(Marker.ANY_NON_NULL_MARKER + user.phone);
                        if (!this.nameTextView[a2].getText().equals(phoneString)) {
                            this.nameTextView[a2].setText(phoneString);
                        }
                    } else if (!this.nameTextView[a2].getText().equals(newString3)) {
                        this.nameTextView[a2].setText(newString3);
                    }
                    if (a2 == 0 && onlineTextOverride != null) {
                        this.onlineTextView[a2].setText(onlineTextOverride);
                    } else if (!this.onlineTextView[a2].getText().equals(newString2)) {
                        this.onlineTextView[a2].setText(newString2);
                    }
                    Drawable leftIcon = this.currentEncryptedChat != null ? Theme.chat_lockIconDrawable : null;
                    Drawable rightIcon = null;
                    if (a2 == 0) {
                        if (user.scam) {
                            rightIcon = getScamDrawable();
                        } else {
                            MessagesController messagesController = MessagesController.getInstance(this.currentAccount);
                            long j = this.dialog_id;
                            if (j == 0) {
                                j = this.user_id;
                            }
                            rightIcon = messagesController.isDialogMuted(j) ? Theme.chat_muteIconDrawable : null;
                        }
                    } else if (user.scam) {
                        rightIcon = getScamDrawable();
                    } else if (user.verified) {
                        rightIcon = new CombinedDrawable(Theme.profile_verifiedDrawable, Theme.profile_verifiedCheckDrawable);
                    }
                    this.nameTextView[a2].setLeftDrawable(leftIcon);
                    this.nameTextView[a2].setRightDrawable(rightIcon);
                }
            }
            this.avatarImage.getImageReceiver().setVisible(true ^ PhotoViewer.isShowingImage(photoBig), false);
        } else if (this.chat_id != 0) {
            TLRPC.Chat chat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(this.chat_id));
            if (chat != null) {
                this.currentChat = chat;
            } else {
                chat = this.currentChat;
            }
            String str2 = "MegaPublic";
            if (ChatObject.isChannel(chat)) {
                if (this.chatInfo == null || (!this.currentChat.megagroup && (this.chatInfo.participants_count == 0 || ChatObject.hasAdminRights(this.currentChat) || this.chatInfo.can_view_participants))) {
                    if (this.currentChat.megagroup) {
                        newString = LocaleController.getString("Loading", R.string.Loading).toLowerCase();
                    } else if ((chat.flags & 64) != 0) {
                        newString = LocaleController.getString("ChannelPublic", R.string.ChannelPublic).toLowerCase();
                    } else {
                        newString = LocaleController.getString("ChannelPrivate", R.string.ChannelPrivate).toLowerCase();
                    }
                } else if (this.currentChat.megagroup) {
                    if (this.chatInfo.participants_count == 0) {
                        if (chat.has_geo) {
                            newString = LocaleController.getString("MegaLocation", R.string.MegaLocation).toLowerCase();
                        } else {
                            String newString4 = chat.username;
                            if (!TextUtils.isEmpty(newString4)) {
                                newString = LocaleController.getString("MegaPublic", R.string.MegaPublic).toLowerCase();
                            } else {
                                String newString5 = LocaleController.getString("MegaPrivate", R.string.MegaPrivate);
                                newString = newString5.toLowerCase();
                            }
                        }
                    } else {
                        newString = LocaleController.formatPluralString("Members", this.chatInfo.participants_count);
                    }
                } else {
                    LocaleController.formatShortNumber(this.chatInfo.participants_count, new int[1]);
                    if (this.currentChat.megagroup) {
                        newString = LocaleController.formatPluralString("Members", this.chatInfo.participants_count);
                    } else {
                        newString = LocaleController.formatPluralString("Subscribers", this.chatInfo.participants_count);
                    }
                }
            } else {
                int count = chat.participants_count;
                TLRPC.ChatFull chatFull2 = this.chatInfo;
                if (chatFull2 != null) {
                    count = chatFull2.participants.participants.size();
                }
                newString = LocaleController.formatPluralString("Members", count);
            }
            boolean changed = false;
            String newString6 = newString;
            int a3 = 0;
            for (int i = 2; a3 < i; i = 2) {
                if (this.nameTextView[a3] == null) {
                    currentConnectionState = currentConnectionState2;
                    onlineTextOverride3 = onlineTextOverride;
                    str = str2;
                } else {
                    if (chat.title != null && !this.nameTextView[a3].getText().equals(chat.title) && this.nameTextView[a3].setText(chat.title)) {
                        changed = true;
                    }
                    this.nameTextView[a3].setLeftDrawable((Drawable) null);
                    if (a3 != 0) {
                        if (chat.scam) {
                            this.nameTextView[a3].setRightDrawable(getScamDrawable());
                            onlineTextOverride2 = onlineTextOverride;
                        } else if (chat.verified) {
                            this.nameTextView[a3].setRightDrawable(new CombinedDrawable(Theme.profile_verifiedDrawable, Theme.profile_verifiedCheckDrawable));
                            onlineTextOverride2 = onlineTextOverride;
                        } else {
                            this.nameTextView[a3].setRightDrawable((Drawable) null);
                            onlineTextOverride2 = onlineTextOverride;
                        }
                    } else if (!chat.scam) {
                        onlineTextOverride2 = onlineTextOverride;
                        this.nameTextView[a3].setRightDrawable(MessagesController.getInstance(this.currentAccount).isDialogMuted((long) (-this.chat_id)) ? Theme.chat_muteIconDrawable : null);
                    } else {
                        this.nameTextView[a3].setRightDrawable(getScamDrawable());
                        onlineTextOverride2 = onlineTextOverride;
                    }
                    if (a3 != 0 || onlineTextOverride2 == null) {
                        String onlineTextOverride4 = onlineTextOverride2;
                        if (this.currentChat.megagroup && this.chatInfo != null && this.onlineCount > 0) {
                            if (this.onlineTextView[a3].getText().equals(newString6)) {
                                currentConnectionState = currentConnectionState2;
                                onlineTextOverride3 = onlineTextOverride4;
                                str = str2;
                            } else {
                                this.onlineTextView[a3].setText(newString6);
                                currentConnectionState = currentConnectionState2;
                                onlineTextOverride3 = onlineTextOverride4;
                                str = str2;
                            }
                        } else {
                            if (a3 == 0 && ChatObject.isChannel(this.currentChat) && (chatFull = this.chatInfo) != null && chatFull.participants_count != 0) {
                                if (this.currentChat.megagroup || this.currentChat.broadcast) {
                                    int[] result = new int[1];
                                    String shortNumber = LocaleController.formatShortNumber(this.chatInfo.participants_count, result);
                                    if (this.currentChat.megagroup) {
                                        if (this.chatInfo.participants_count != 0) {
                                            currentConnectionState = currentConnectionState2;
                                            onlineTextOverride3 = onlineTextOverride4;
                                            str = str2;
                                            this.onlineTextView[a3].setText(LocaleController.formatPluralString("Members", result[0]).replace(String.format("%d", Integer.valueOf(result[0])), shortNumber));
                                        } else if (chat.has_geo) {
                                            newString6 = LocaleController.getString("MegaLocation", R.string.MegaLocation).toLowerCase();
                                            currentConnectionState = currentConnectionState2;
                                            onlineTextOverride3 = onlineTextOverride4;
                                            str = str2;
                                        } else if (TextUtils.isEmpty(chat.username)) {
                                            newString6 = LocaleController.getString("MegaPrivate", R.string.MegaPrivate).toLowerCase();
                                            currentConnectionState = currentConnectionState2;
                                            onlineTextOverride3 = onlineTextOverride4;
                                            str = str2;
                                        } else {
                                            newString6 = LocaleController.getString(str2, R.string.MegaPublic).toLowerCase();
                                            currentConnectionState = currentConnectionState2;
                                            onlineTextOverride3 = onlineTextOverride4;
                                            str = str2;
                                        }
                                    } else {
                                        currentConnectionState = currentConnectionState2;
                                        onlineTextOverride3 = onlineTextOverride4;
                                        str = str2;
                                        this.onlineTextView[a3].setText(LocaleController.formatPluralString("Subscribers", result[0]).replace(String.format("%d", Integer.valueOf(result[0])), shortNumber));
                                    }
                                } else {
                                    currentConnectionState = currentConnectionState2;
                                    onlineTextOverride3 = onlineTextOverride4;
                                    str = str2;
                                }
                            } else {
                                currentConnectionState = currentConnectionState2;
                                onlineTextOverride3 = onlineTextOverride4;
                                str = str2;
                            }
                            if (!this.onlineTextView[a3].getText().equals(newString6)) {
                                this.onlineTextView[a3].setText(newString6);
                            }
                        }
                    } else {
                        String onlineTextOverride5 = onlineTextOverride2;
                        this.onlineTextView[a3].setText(onlineTextOverride5);
                        currentConnectionState = currentConnectionState2;
                        onlineTextOverride3 = onlineTextOverride5;
                        str = str2;
                    }
                }
                a3++;
                currentConnectionState2 = currentConnectionState;
                onlineTextOverride = onlineTextOverride3;
                str2 = str;
            }
            if (changed) {
                needLayout();
            }
            TLRPC.FileLocation photoBig2 = null;
            if (chat.photo != null) {
                photoBig2 = chat.photo.photo_big;
            }
            this.avatarDrawable.setInfo(chat);
            this.avatarImage.setImage(ImageLocation.getForChat(chat, false), "50_50", this.avatarDrawable, chat);
            FileLoader.getInstance(this.currentAccount).loadFile(ImageLocation.getForChat(chat, true), chat, null, 0, 1);
            this.avatarImage.getImageReceiver().setVisible(!PhotoViewer.isShowingImage(photoBig2), false);
        }
    }

    private void createActionBarMenu() {
        TLRPC.ChatFull chatFull;
        String str;
        int i;
        ActionBarMenu menu = this.actionBar.createMenu();
        menu.clearItems();
        this.animatingItem = null;
        ActionBarMenuItem item = null;
        if (this.user_id != 0) {
            if (UserConfig.getInstance(this.currentAccount).getClientUserId() != this.user_id) {
                TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.user_id));
                if (user == null) {
                    return;
                }
                TLRPC.UserFull userFull = this.userInfo;
                if (userFull != null && userFull.phone_calls_available) {
                    this.callItem = menu.addItem(15, R.drawable.ic_call);
                }
                if (this.isBot || ContactsController.getInstance(this.currentAccount).contactsDict.get(Integer.valueOf(this.user_id)) == null) {
                    item = menu.addItem(10, R.drawable.ic_ab_other);
                    if (MessagesController.isSupportUser(user)) {
                        if (this.userBlocked) {
                            item.addSubItem(2, R.drawable.msg_block, LocaleController.getString("Unblock", R.string.Unblock));
                        }
                    } else {
                        if (this.isBot) {
                            if (!user.bot_nochats) {
                                item.addSubItem(9, R.drawable.msg_addbot, LocaleController.getString("BotInvite", R.string.BotInvite));
                            }
                            item.addSubItem(10, R.drawable.msg_share, LocaleController.getString("BotShare", R.string.BotShare));
                        } else {
                            item.addSubItem(1, R.drawable.msg_addcontact, LocaleController.getString("AddContact", R.string.AddContact));
                        }
                        if (!TextUtils.isEmpty(user.phone)) {
                            item.addSubItem(3, R.drawable.msg_share, LocaleController.getString("ShareContact", R.string.ShareContact));
                        }
                        if (this.isBot) {
                            boolean z = this.userBlocked;
                            int i2 = !z ? R.drawable.msg_block : R.drawable.msg_retry;
                            if (z) {
                                str = "BotRestart";
                                i = R.string.BotRestart;
                            } else {
                                str = "BotStop";
                                i = R.string.BotStop;
                            }
                            item.addSubItem(2, i2, LocaleController.getString(str, i));
                        } else {
                            item.addSubItem(2, R.drawable.msg_block, !this.userBlocked ? LocaleController.getString("BlockContact", R.string.BlockContact) : LocaleController.getString("Unblock", R.string.Unblock));
                        }
                    }
                } else {
                    item = menu.addItem(10, R.drawable.ic_ab_other);
                    if (!TextUtils.isEmpty(user.phone)) {
                        item.addSubItem(3, R.drawable.msg_share, LocaleController.getString("ShareContact", R.string.ShareContact));
                    }
                    item.addSubItem(2, R.drawable.msg_block, !this.userBlocked ? LocaleController.getString("BlockContact", R.string.BlockContact) : LocaleController.getString("Unblock", R.string.Unblock));
                    item.addSubItem(4, R.drawable.msg_edit, LocaleController.getString("EditContact", R.string.EditContact));
                    item.addSubItem(5, R.drawable.msg_delete, LocaleController.getString("DeleteContact", R.string.DeleteContact));
                }
            } else {
                item = menu.addItem(10, R.drawable.ic_ab_other);
                item.addSubItem(3, R.drawable.msg_share, LocaleController.getString("ShareContact", R.string.ShareContact));
            }
        } else {
            int i3 = this.chat_id;
            if (i3 != 0 && i3 > 0) {
                TLRPC.Chat chat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(this.chat_id));
                if (ChatObject.isChannel(chat)) {
                    if (ChatObject.hasAdminRights(chat) || (chat.megagroup && ChatObject.canChangeChatInfo(chat))) {
                        this.editItem = menu.addItem(12, R.drawable.group_edit_profile);
                    }
                    if (!chat.megagroup && (chatFull = this.chatInfo) != null && chatFull.can_view_stats) {
                        if (0 == 0) {
                            item = menu.addItem(10, R.drawable.ic_ab_other);
                        }
                        item.addSubItem(19, R.drawable.msg_stats, LocaleController.getString("Statistics", R.string.Statistics));
                    }
                    if (chat.megagroup) {
                        if (item == null) {
                            item = menu.addItem(10, R.drawable.ic_ab_other);
                        }
                        item.addSubItem(17, R.drawable.msg_search, LocaleController.getString("SearchMembers", R.string.SearchMembers));
                        if (!chat.creator && !chat.left && !chat.kicked) {
                            item.addSubItem(7, R.drawable.msg_leave, LocaleController.getString("LeaveMegaMenu", R.string.LeaveMegaMenu));
                        }
                    }
                } else {
                    if (ChatObject.canChangeChatInfo(chat)) {
                        this.editItem = menu.addItem(12, R.drawable.group_edit_profile);
                    }
                    item = menu.addItem(10, R.drawable.ic_ab_other);
                    item.addSubItem(17, R.drawable.msg_search, LocaleController.getString("SearchMembers", R.string.SearchMembers));
                    item.addSubItem(7, R.drawable.msg_leave, LocaleController.getString("DeleteAndExit", R.string.DeleteAndExit));
                }
            }
        }
        if (item == null) {
            item = menu.addItem(10, R.drawable.ic_ab_other);
        }
        item.addSubItem(14, R.drawable.msg_home, LocaleController.getString("AddShortcut", R.string.AddShortcut));
        item.setContentDescription(LocaleController.getString("AccDescrMoreOptions", R.string.AccDescrMoreOptions));
        ActionBarMenuItem actionBarMenuItem = this.editItem;
        if (actionBarMenuItem != null) {
            actionBarMenuItem.setContentDescription(LocaleController.getString("Edit", R.string.Edit));
        }
        ActionBarMenuItem actionBarMenuItem2 = this.callItem;
        if (actionBarMenuItem2 != null) {
            actionBarMenuItem2.setContentDescription(LocaleController.getString("Call", R.string.Call));
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onDialogDismiss(Dialog dialog) {
        RecyclerListView recyclerListView = this.listView;
        if (recyclerListView != null) {
            recyclerListView.invalidateViews();
        }
    }

    @Override // im.uecahxyvjd.ui.DialogsActivity.DialogsActivityDelegate
    public void didSelectDialogs(DialogsActivity fragment, ArrayList<Long> dids, CharSequence message, boolean param) {
        long did = dids.get(0).longValue();
        Bundle args = new Bundle();
        args.putBoolean("scrollToTopOnResume", true);
        int lower_part = (int) did;
        if (lower_part != 0) {
            if (lower_part > 0) {
                args.putInt("user_id", lower_part);
            } else if (lower_part < 0) {
                args.putInt("chat_id", -lower_part);
            }
        } else {
            args.putInt("enc_id", (int) (did >> 32));
        }
        if (MessagesController.getInstance(this.currentAccount).checkCanOpenChat(args, fragment)) {
            NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.closeChats);
            NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.closeChats, new Object[0]);
            presentFragment(new ChatActivity(args), true);
            removeSelfFromStack();
            TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.user_id));
            SendMessagesHelper.getInstance(this.currentAccount).sendMessage(user, did, (MessageObject) null, (TLRPC.ReplyMarkup) null, (HashMap<String, String>) null, true, 0);
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onRequestPermissionsResultFragment(int requestCode, String[] permissions, int[] grantResults) {
        TLRPC.User user;
        if (requestCode != 101 || (user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.user_id))) == null) {
            return;
        }
        if (grantResults.length > 0 && grantResults[0] == 0) {
            VoIPHelper.startCall(user, getParentActivity(), this.userInfo);
        } else {
            VoIPHelper.permissionDenied(getParentActivity(), null);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes12.dex */
    public class ListAdapter extends RecyclerListView.SelectionAdapter {
        private Context mContext;

        public ListAdapter(Context context) {
            this.mContext = context;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view = null;
            switch (viewType) {
                case 1:
                    view = new HeaderCell(this.mContext, 23);
                    break;
                case 2:
                    view = new TextDetailCell(this.mContext);
                    break;
                case 3:
                    view = new AboutLinkCell(this.mContext) { // from class: im.uecahxyvjd.ui.ProfileActivity.ListAdapter.1
                        @Override // im.uecahxyvjd.ui.cells.AboutLinkCell
                        protected void didPressUrl(String url) {
                            if (url.startsWith("@")) {
                                MessagesController.getInstance(ProfileActivity.this.currentAccount).openByUserName(url.substring(1), ProfileActivity.this, 0);
                            } else if (url.startsWith("#")) {
                                DialogsActivity fragment = new DialogsActivity(null);
                                fragment.setSearchString(url);
                                ProfileActivity.this.presentFragment(fragment);
                            } else if (url.startsWith("/") && ProfileActivity.this.parentLayout.fragmentsStack.size() > 1) {
                                BaseFragment previousFragment = ProfileActivity.this.parentLayout.fragmentsStack.get(ProfileActivity.this.parentLayout.fragmentsStack.size() - 2);
                                if (previousFragment instanceof ChatActivity) {
                                    ProfileActivity.this.finishFragment();
                                    ((ChatActivity) previousFragment).chatActivityEnterView.setCommand(null, url, false, false);
                                }
                            }
                        }
                    };
                    break;
                case 4:
                    view = new TextCell(this.mContext);
                    break;
                case 5:
                    view = new DividerCell(this.mContext);
                    view.setPadding(AndroidUtilities.dp(20.0f), AndroidUtilities.dp(4.0f), 0, 0);
                    break;
                case 6:
                    view = new NotificationsCheckCell(this.mContext, 23, 70);
                    break;
                case 7:
                    view = new ShadowSectionCell(this.mContext);
                    break;
                case 8:
                    view = new UserCell(this.mContext, ProfileActivity.this.addMemberRow == -1 ? 9 : 6, 0, true);
                    break;
                case 11:
                    view = new EmptyCell(this.mContext, 35);
                    break;
            }
            view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
            view.setLayoutParams(new RecyclerView.LayoutParams(-1, -2));
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            String text;
            String value;
            String str;
            int i;
            String str2;
            int i2;
            String val;
            String role;
            String role2;
            switch (holder.getItemViewType()) {
                case 1:
                    HeaderCell headerCell = (HeaderCell) holder.itemView;
                    if (position == ProfileActivity.this.infoHeaderRow) {
                        if (ChatObject.isChannel(ProfileActivity.this.currentChat) && !ProfileActivity.this.currentChat.megagroup && ProfileActivity.this.channelInfoRow != -1) {
                            headerCell.setText(LocaleController.getString("ReportChatDescription", R.string.ReportChatDescription));
                            return;
                        } else {
                            headerCell.setText(LocaleController.getString("Info", R.string.Info));
                            return;
                        }
                    } else if (position != ProfileActivity.this.sharedHeaderRow) {
                        if (position == ProfileActivity.this.membersHeaderRow) {
                            headerCell.setText(LocaleController.getString("ChannelMembers", R.string.ChannelMembers));
                            return;
                        }
                        return;
                    } else {
                        headerCell.setText(LocaleController.getString("SharedContent", R.string.SharedContent));
                        return;
                    }
                case 2:
                    TextDetailCell detailCell = (TextDetailCell) holder.itemView;
                    if (position == ProfileActivity.this.phoneRow) {
                        TLRPC.User user = MessagesController.getInstance(ProfileActivity.this.currentAccount).getUser(Integer.valueOf(ProfileActivity.this.user_id));
                        if (!TextUtils.isEmpty(user.phone)) {
                            text = PhoneFormat.getInstance().format(Marker.ANY_NON_NULL_MARKER + user.phone);
                        } else {
                            text = LocaleController.getString("PhoneHidden", R.string.PhoneHidden);
                        }
                        detailCell.setTextAndValue(text, LocaleController.getString("PhoneMobile", R.string.PhoneMobile), false);
                        return;
                    } else if (position == ProfileActivity.this.locationRow && ProfileActivity.this.chatInfo != null && (ProfileActivity.this.chatInfo.location instanceof TLRPC.TL_channelLocation)) {
                        TLRPC.TL_channelLocation location = (TLRPC.TL_channelLocation) ProfileActivity.this.chatInfo.location;
                        detailCell.setTextAndValue(location.address, LocaleController.getString("AttachLocation", R.string.AttachLocation), false);
                        return;
                    } else {
                        return;
                    }
                case 3:
                    AboutLinkCell aboutLinkCell = (AboutLinkCell) holder.itemView;
                    if (position == ProfileActivity.this.userInfoRow) {
                        aboutLinkCell.setTextAndValue(ProfileActivity.this.userInfo.about, LocaleController.getString("UserBio", R.string.UserBio), ProfileActivity.this.isBot);
                        return;
                    } else if (position == ProfileActivity.this.channelInfoRow) {
                        String text2 = ProfileActivity.this.chatInfo.about;
                        while (text2.contains("\n\n\n")) {
                            text2 = text2.replace("\n\n\n", "\n\n");
                        }
                        aboutLinkCell.setText(text2, true);
                        return;
                    } else {
                        return;
                    }
                case 4:
                    TextCell textCell = (TextCell) holder.itemView;
                    textCell.setColors(Theme.key_windowBackgroundWhiteGrayIcon, Theme.key_windowBackgroundWhiteBlackText);
                    textCell.setTag(Theme.key_windowBackgroundWhiteBlackText);
                    if (position == ProfileActivity.this.photosRow) {
                        textCell.setTextAndValueAndIcon(LocaleController.getString("SharedPhotosAndVideos", R.string.SharedPhotosAndVideos), String.format("%d", Integer.valueOf(ProfileActivity.this.lastMediaCount[0])), R.drawable.profile_photos, position != ProfileActivity.this.sharedSectionRow - 1);
                    } else if (position == ProfileActivity.this.filesRow) {
                        textCell.setTextAndValueAndIcon(LocaleController.getString("FilesDataUsage", R.string.FilesDataUsage), String.format("%d", Integer.valueOf(ProfileActivity.this.lastMediaCount[1])), R.drawable.profile_file, position != ProfileActivity.this.sharedSectionRow - 1);
                    } else if (position == ProfileActivity.this.linksRow) {
                        textCell.setTextAndValueAndIcon(LocaleController.getString("SharedLinks", R.string.SharedLinks), String.format("%d", Integer.valueOf(ProfileActivity.this.lastMediaCount[3])), R.drawable.profile_link, position != ProfileActivity.this.sharedSectionRow - 1);
                    } else if (position == ProfileActivity.this.audioRow) {
                        textCell.setTextAndValueAndIcon(LocaleController.getString("SharedAudioFiles", R.string.SharedAudioFiles), String.format("%d", Integer.valueOf(ProfileActivity.this.lastMediaCount[4])), R.drawable.profile_audio, position != ProfileActivity.this.sharedSectionRow - 1);
                    } else if (position == ProfileActivity.this.voiceRow) {
                        textCell.setTextAndValueAndIcon(LocaleController.getString("AudioAutodownload", R.string.AudioAutodownload), String.format("%d", Integer.valueOf(ProfileActivity.this.lastMediaCount[2])), R.drawable.profile_voice, position != ProfileActivity.this.sharedSectionRow - 1);
                    } else if (position == ProfileActivity.this.groupsInCommonRow) {
                        textCell.setTextAndValueAndIcon(LocaleController.getString("GroupsInCommonTitle", R.string.GroupsInCommonTitle), String.format("%d", Integer.valueOf(ProfileActivity.this.userInfo.common_chats_count)), R.drawable.actions_viewmembers, position != ProfileActivity.this.sharedSectionRow - 1);
                    } else if (position == ProfileActivity.this.settingsTimerRow) {
                        TLRPC.EncryptedChat encryptedChat = MessagesController.getInstance(ProfileActivity.this.currentAccount).getEncryptedChat(Integer.valueOf((int) (ProfileActivity.this.dialog_id >> 32)));
                        if (encryptedChat.ttl == 0) {
                            value = LocaleController.getString("ShortMessageLifetimeForever", R.string.ShortMessageLifetimeForever);
                        } else {
                            value = LocaleController.formatTTLString(encryptedChat.ttl);
                        }
                        textCell.setTextAndValue(LocaleController.getString("MessageLifetime", R.string.MessageLifetime), value, false);
                    } else if (position != ProfileActivity.this.unblockRow) {
                        if (position != ProfileActivity.this.startSecretChatRow) {
                            if (position != ProfileActivity.this.settingsKeyRow) {
                                if (position != ProfileActivity.this.leaveChannelRow) {
                                    if (position != ProfileActivity.this.joinRow) {
                                        if (position == ProfileActivity.this.subscribersRow) {
                                            if (ProfileActivity.this.chatInfo != null) {
                                                if (!ChatObject.isChannel(ProfileActivity.this.currentChat) || ProfileActivity.this.currentChat.megagroup) {
                                                    textCell.setTextAndValueAndIcon(LocaleController.getString("ChannelMembers", R.string.ChannelMembers), String.format("%d", Integer.valueOf(ProfileActivity.this.chatInfo.participants_count)), R.drawable.actions_viewmembers, position != ProfileActivity.this.membersSectionRow - 1);
                                                } else {
                                                    textCell.setTextAndValueAndIcon(LocaleController.getString("ChannelSubscribers", R.string.ChannelSubscribers), String.format("%d", Integer.valueOf(ProfileActivity.this.chatInfo.participants_count)), R.drawable.actions_viewmembers, position != ProfileActivity.this.membersSectionRow - 1);
                                                }
                                            } else if (!ChatObject.isChannel(ProfileActivity.this.currentChat) || ProfileActivity.this.currentChat.megagroup) {
                                                textCell.setTextAndIcon(LocaleController.getString("ChannelMembers", R.string.ChannelMembers), R.drawable.actions_viewmembers, position != ProfileActivity.this.membersSectionRow - 1);
                                            } else {
                                                textCell.setTextAndIcon(LocaleController.getString("ChannelSubscribers", R.string.ChannelSubscribers), R.drawable.actions_viewmembers, position != ProfileActivity.this.membersSectionRow - 1);
                                            }
                                        } else if (position == ProfileActivity.this.administratorsRow) {
                                            if (ProfileActivity.this.chatInfo != null) {
                                                textCell.setTextAndValueAndIcon(LocaleController.getString("ChannelAdministrators", R.string.ChannelAdministrators), String.format("%d", Integer.valueOf(ProfileActivity.this.chatInfo.admins_count)), R.drawable.actions_addadmin, position != ProfileActivity.this.membersSectionRow - 1);
                                            } else {
                                                textCell.setTextAndIcon(LocaleController.getString("ChannelAdministrators", R.string.ChannelAdministrators), R.drawable.actions_addadmin, position != ProfileActivity.this.membersSectionRow - 1);
                                            }
                                        } else if (position == ProfileActivity.this.blockedUsersRow) {
                                            if (ProfileActivity.this.chatInfo != null) {
                                                textCell.setTextAndValueAndIcon(LocaleController.getString("ChannelBlacklist", R.string.ChannelBlacklist), String.format("%d", Integer.valueOf(Math.max(ProfileActivity.this.chatInfo.banned_count, ProfileActivity.this.chatInfo.kicked_count))), R.drawable.actions_removed, position != ProfileActivity.this.membersSectionRow - 1);
                                            } else {
                                                textCell.setTextAndIcon(LocaleController.getString("ChannelBlacklist", R.string.ChannelBlacklist), R.drawable.actions_removed, position != ProfileActivity.this.membersSectionRow - 1);
                                            }
                                        } else if (position != ProfileActivity.this.addMemberRow) {
                                            if (position != ProfileActivity.this.qrCodeRow) {
                                                if (position == ProfileActivity.this.usernameRow && ProfileActivity.this.currentChat != null) {
                                                    TLRPC.Chat chat = MessagesController.getInstance(ProfileActivity.this.currentAccount).getChat(Integer.valueOf(ProfileActivity.this.chat_id));
                                                    textCell.setText(chat.username, true);
                                                    textCell.setTextColor(Theme.getColor(Theme.key_dialogTextBlue));
                                                }
                                            } else {
                                                textCell.setText(LocaleController.getString("QRCode", R.string.QRCode), false);
                                            }
                                        } else {
                                            textCell.setColors(Theme.key_windowBackgroundWhiteBlueIcon, Theme.key_windowBackgroundWhiteBlueButton);
                                            if (ProfileActivity.this.chat_id > 0) {
                                                textCell.setTextAndIcon(LocaleController.getString("AddMember", R.string.AddMember), R.drawable.actions_addmember2, true);
                                            } else {
                                                textCell.setTextAndIcon(LocaleController.getString("AddRecipient", R.string.AddRecipient), R.drawable.actions_addmember2, true);
                                            }
                                        }
                                    } else {
                                        textCell.setColors(null, Theme.key_windowBackgroundWhiteBlueText2);
                                        textCell.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlueText2));
                                        if (ProfileActivity.this.currentChat.megagroup) {
                                            textCell.setText(LocaleController.getString("ProfileJoinGroup", R.string.ProfileJoinGroup), false);
                                        } else {
                                            textCell.setText(LocaleController.getString("ProfileJoinChannel", R.string.ProfileJoinChannel), false);
                                        }
                                        textCell.setBackground(Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                                    }
                                } else {
                                    textCell.setColors(null, Theme.key_windowBackgroundWhiteRedText5);
                                    textCell.setText(LocaleController.getString("LeaveChannel", R.string.LeaveChannel), false);
                                    textCell.setBackground(Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                                }
                            } else {
                                IdenticonDrawable identiconDrawable = new IdenticonDrawable();
                                identiconDrawable.setEncryptedChat(MessagesController.getInstance(ProfileActivity.this.currentAccount).getEncryptedChat(Integer.valueOf((int) (ProfileActivity.this.dialog_id >> 32))));
                                textCell.setTextAndValueDrawable(LocaleController.getString("EncryptionKey", R.string.EncryptionKey), identiconDrawable, false);
                            }
                        } else {
                            textCell.setText(LocaleController.getString("StartEncryptedChat", R.string.StartEncryptedChat), false);
                            textCell.setColors(null, Theme.key_windowBackgroundWhiteGreenText2);
                        }
                    } else {
                        textCell.setText(LocaleController.getString("Unblock", R.string.Unblock), false);
                        textCell.setColors(null, Theme.key_windowBackgroundWhiteRedText5);
                    }
                    if (position == ProfileActivity.this.photosRow || position == ProfileActivity.this.filesRow || position == ProfileActivity.this.linksRow || position == ProfileActivity.this.audioRow || position == ProfileActivity.this.voiceRow || position == ProfileActivity.this.administratorsRow) {
                        if ((position != ProfileActivity.this.administratorsRow || ProfileActivity.this.chatInfo == null) && position == ProfileActivity.this.rowCount - 2) {
                            textCell.setBackground(Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                            return;
                        }
                        return;
                    }
                    return;
                case 5:
                case 9:
                case 10:
                default:
                    return;
                case 6:
                    NotificationsCheckCell checkCell = (NotificationsCheckCell) holder.itemView;
                    if (position == ProfileActivity.this.notificationsRow) {
                        SharedPreferences preferences = MessagesController.getNotificationsSettings(ProfileActivity.this.currentAccount);
                        long did = ProfileActivity.this.dialog_id != 0 ? ProfileActivity.this.dialog_id : ProfileActivity.this.user_id != 0 ? ProfileActivity.this.user_id : -ProfileActivity.this.chat_id;
                        boolean enabled = false;
                        boolean custom = preferences.getBoolean(ContentMetadata.KEY_CUSTOM_PREFIX + did, false);
                        boolean hasOverride = preferences.contains("notify2_" + did);
                        int value2 = preferences.getInt("notify2_" + did, 0);
                        int delta = preferences.getInt("notifyuntil_" + did, 0);
                        if (value2 == 3 && delta != Integer.MAX_VALUE) {
                            int delta2 = delta - ConnectionsManager.getInstance(ProfileActivity.this.currentAccount).getCurrentTime();
                            if (delta2 <= 0) {
                                if (custom) {
                                    val = LocaleController.getString("NotificationsCustom", R.string.NotificationsCustom);
                                } else {
                                    val = LocaleController.getString("NotificationsOn", R.string.NotificationsOn);
                                }
                                enabled = true;
                            } else if (delta2 < 3600) {
                                val = LocaleController.formatString("WillUnmuteIn", R.string.WillUnmuteIn, LocaleController.formatPluralString("Minutes", delta2 / 60));
                            } else if (delta2 < 86400) {
                                val = LocaleController.formatString("WillUnmuteIn", R.string.WillUnmuteIn, LocaleController.formatPluralString("Hours", (int) Math.ceil((delta2 / 60.0f) / 60.0f)));
                            } else {
                                val = delta2 < 31536000 ? LocaleController.formatString("WillUnmuteIn", R.string.WillUnmuteIn, LocaleController.formatPluralString("Days", (int) Math.ceil(((delta2 / 60.0f) / 60.0f) / 24.0f))) : null;
                            }
                        } else {
                            if (value2 == 0) {
                                if (!hasOverride) {
                                    enabled = NotificationsController.getInstance(ProfileActivity.this.currentAccount).isGlobalNotificationsEnabled(did);
                                } else {
                                    enabled = true;
                                }
                            } else if (value2 == 1) {
                                enabled = true;
                            } else if (value2 == 2) {
                                enabled = false;
                            } else {
                                enabled = false;
                            }
                            if (enabled && custom) {
                                val = LocaleController.getString("NotificationsCustom", R.string.NotificationsCustom);
                            } else {
                                if (enabled) {
                                    str2 = "NotificationsOn";
                                    i2 = R.string.NotificationsOn;
                                } else {
                                    str2 = "NotificationsOff";
                                    i2 = R.string.NotificationsOff;
                                }
                                val = LocaleController.getString(str2, i2);
                            }
                        }
                        if (val == null) {
                            val = LocaleController.getString("NotificationsOff", R.string.NotificationsOff);
                        }
                        checkCell.setTextAndValueAndCheck(LocaleController.getString("Notifications", R.string.Notifications), val, enabled, ProfileActivity.this.forbidAddContact != -1);
                        checkCell.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f, Theme.getColor(Theme.key_windowBackgroundWhite)));
                    }
                    if (position == ProfileActivity.this.forbidAddContact) {
                        boolean enabled2 = (ProfileActivity.this.currentChat.flags & 33554432) != 0;
                        if (enabled2) {
                            str = "Forbidden";
                            i = R.string.Forbidden;
                        } else {
                            str = "Allow";
                            i = R.string.Allow;
                        }
                        String value3 = LocaleController.getString(str, i);
                        checkCell.setTextAndValueAndCheck(LocaleController.getString("ForbidAddContacts", R.string.ForbidAddContacts), value3, enabled2, false);
                        return;
                    }
                    return;
                case 7:
                    View sectionCell = holder.itemView;
                    sectionCell.setTag(Integer.valueOf(position));
                    sectionCell.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
                    return;
                case 8:
                    UserCell userCell = (UserCell) holder.itemView;
                    TLRPC.ChatParticipant part = !ProfileActivity.this.sortedUsers.isEmpty() ? ProfileActivity.this.chatInfo.participants.participants.get(((Integer) ProfileActivity.this.sortedUsers.get(position - ProfileActivity.this.membersStartRow)).intValue()) : ProfileActivity.this.chatInfo.participants.participants.get(position - ProfileActivity.this.membersStartRow);
                    if (part != null) {
                        if (part instanceof TLRPC.TL_chatChannelParticipant) {
                            TLRPC.ChannelParticipant channelParticipant = ((TLRPC.TL_chatChannelParticipant) part).channelParticipant;
                            if (!TextUtils.isEmpty(channelParticipant.rank)) {
                                role2 = channelParticipant.rank;
                            } else if (channelParticipant instanceof TLRPC.TL_channelParticipantCreator) {
                                role2 = LocaleController.getString("ChannelCreator", R.string.ChannelCreator);
                            } else if (channelParticipant instanceof TLRPC.TL_channelParticipantAdmin) {
                                role2 = LocaleController.getString("ChannelAdmin", R.string.ChannelAdmin);
                            } else {
                                role2 = null;
                            }
                            role = role2;
                        } else if (part instanceof TLRPC.TL_chatParticipantCreator) {
                            role = LocaleController.getString("ChannelCreator", R.string.ChannelCreator);
                        } else if (part instanceof TLRPC.TL_chatParticipantAdmin) {
                            role = LocaleController.getString("ChannelAdmin", R.string.ChannelAdmin);
                        } else {
                            role = null;
                        }
                        userCell.setAdminRole(role);
                        userCell.setData(MessagesController.getInstance(ProfileActivity.this.currentAccount).getUser(Integer.valueOf(part.user_id)), null, null, 0, position != ProfileActivity.this.membersEndRow - 1);
                    }
                    if (position == ProfileActivity.this.membersEndRow - 1) {
                        userCell.setBackground(Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                        return;
                    }
                    return;
                case 11:
                    holder.itemView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
                    return;
            }
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            int type = holder.getItemViewType();
            return (type == 1 || type == 5 || type == 7 || type == 9 || type == 10 || type == 11) ? false : true;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return ProfileActivity.this.rowCount;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int i) {
            if (i != ProfileActivity.this.infoHeaderRow && i != ProfileActivity.this.sharedHeaderRow && i != ProfileActivity.this.membersHeaderRow) {
                if (i != ProfileActivity.this.phoneRow && i != ProfileActivity.this.locationRow) {
                    if (i != ProfileActivity.this.userInfoRow && i != ProfileActivity.this.channelInfoRow) {
                        if (i != ProfileActivity.this.settingsTimerRow && i != ProfileActivity.this.settingsKeyRow && i != ProfileActivity.this.photosRow && i != ProfileActivity.this.filesRow && i != ProfileActivity.this.linksRow && i != ProfileActivity.this.audioRow && i != ProfileActivity.this.voiceRow && i != ProfileActivity.this.groupsInCommonRow && i != ProfileActivity.this.startSecretChatRow && i != ProfileActivity.this.subscribersRow && i != ProfileActivity.this.administratorsRow && i != ProfileActivity.this.blockedUsersRow && i != ProfileActivity.this.leaveChannelRow && i != ProfileActivity.this.addMemberRow && i != ProfileActivity.this.joinRow && i != ProfileActivity.this.unblockRow && i != ProfileActivity.this.qrCodeRow && i != ProfileActivity.this.usernameRow) {
                            if (i != ProfileActivity.this.notificationsDividerRow) {
                                if (i != ProfileActivity.this.notificationsRow && i != ProfileActivity.this.forbidAddContact) {
                                    if (i != ProfileActivity.this.infoSectionRow && i != ProfileActivity.this.sharedSectionRow && i != ProfileActivity.this.lastSectionRow && i != ProfileActivity.this.membersSectionRow && i != ProfileActivity.this.settingsSectionRow) {
                                        if (i < ProfileActivity.this.membersStartRow || i >= ProfileActivity.this.membersEndRow) {
                                            if (i == ProfileActivity.this.emptyRow) {
                                                return 11;
                                            }
                                            return 0;
                                        }
                                        return 8;
                                    }
                                    return 7;
                                }
                                return 6;
                            }
                            return 5;
                        }
                        return 4;
                    }
                    return 3;
                }
                return 2;
            }
            return 1;
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public ThemeDescription[] getThemeDescriptions() {
        ThemeDescription.ThemeDescriptionDelegate cellDelegate = new ThemeDescription.ThemeDescriptionDelegate() { // from class: im.uecahxyvjd.ui.ProfileActivity$$ExternalSyntheticLambda7
            @Override // im.uecahxyvjd.ui.actionbar.ThemeDescription.ThemeDescriptionDelegate
            public final void didSetColor() {
                ProfileActivity.this.m2123lambda$getThemeDescriptions$24$imuecahxyvjduiProfileActivity();
            }
        };
        return new ThemeDescription[]{new ThemeDescription(this.listView, 0, null, null, null, null, Theme.key_windowBackgroundWhite), new ThemeDescription(this.listView, 0, null, null, null, null, Theme.key_windowBackgroundGray), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_SUBMENUBACKGROUND, null, null, null, null, Theme.key_actionBarDefaultSubmenuBackground), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_SUBMENUITEM, null, null, null, null, Theme.key_actionBarDefaultSubmenuItem), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_SUBMENUITEM | ThemeDescription.FLAG_IMAGECOLOR, null, null, null, null, Theme.key_actionBarDefaultSubmenuItemIcon), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_BACKGROUND, null, null, null, null, Theme.key_avatar_backgroundActionBarBlue), new ThemeDescription(this.listView, ThemeDescription.FLAG_LISTGLOWCOLOR, null, null, null, null, Theme.key_avatar_backgroundActionBarBlue), new ThemeDescription(this.topView, ThemeDescription.FLAG_BACKGROUND, null, null, null, null, Theme.key_avatar_backgroundActionBarBlue), new ThemeDescription(this.actionBar, ThemeDescription.FLAG_AB_SELECTORCOLOR, null, null, null, null, Theme.key_avatar_actionBarSelectorBlue), new ThemeDescription(this.nameTextView[1], ThemeDescription.FLAG_TEXTCOLOR, null, null, null, null, Theme.key_profile_title), new ThemeDescription(this.nameTextView[1], ThemeDescription.FLAG_BACKGROUND, null, null, null, null, Theme.key_avatar_backgroundActionBarBlue), new ThemeDescription(this.onlineTextView[1], ThemeDescription.FLAG_TEXTCOLOR | ThemeDescription.FLAG_CHECKTAG, null, null, null, null, Theme.key_profile_status), new ThemeDescription(this.onlineTextView[1], ThemeDescription.FLAG_TEXTCOLOR | ThemeDescription.FLAG_CHECKTAG, null, null, null, null, Theme.key_avatar_subtitleInProfileBlue), new ThemeDescription(this.listView, ThemeDescription.FLAG_SELECTOR, null, null, null, null, Theme.key_listSelector), new ThemeDescription(this.listView, 0, new Class[]{View.class}, Theme.dividerPaint, null, null, Theme.key_divider), new ThemeDescription(this.avatarImage, 0, null, null, new Drawable[]{Theme.avatar_savedDrawable}, null, Theme.key_avatar_text), new ThemeDescription(this.avatarImage, 0, null, null, new Drawable[]{this.avatarDrawable}, null, Theme.key_avatar_backgroundInProfileBlue), new ThemeDescription(this.writeButton, ThemeDescription.FLAG_IMAGECOLOR, null, null, null, null, Theme.key_profile_actionIcon), new ThemeDescription(this.writeButton, ThemeDescription.FLAG_BACKGROUNDFILTER, null, null, null, null, Theme.key_profile_actionBackground), new ThemeDescription(this.writeButton, ThemeDescription.FLAG_BACKGROUNDFILTER | ThemeDescription.FLAG_DRAWABLESELECTEDSTATE, null, null, null, null, Theme.key_profile_actionPressedBackground), new ThemeDescription(this.listView, ThemeDescription.FLAG_CHECKTAG, new Class[]{TextCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlackText), new ThemeDescription(this.listView, ThemeDescription.FLAG_CHECKTAG, new Class[]{TextCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGreenText2), new ThemeDescription(this.listView, ThemeDescription.FLAG_CHECKTAG, new Class[]{TextCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteRedText5), new ThemeDescription(this.listView, ThemeDescription.FLAG_CHECKTAG, new Class[]{TextCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlueText2), new ThemeDescription(this.listView, ThemeDescription.FLAG_CHECKTAG, new Class[]{TextCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlueButton), new ThemeDescription(this.listView, 0, new Class[]{TextCell.class}, new String[]{"valueTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteValueText), new ThemeDescription(this.listView, ThemeDescription.FLAG_CHECKTAG, new Class[]{TextCell.class}, new String[]{"imageView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGrayIcon), new ThemeDescription(this.listView, ThemeDescription.FLAG_CHECKTAG, new Class[]{TextCell.class}, new String[]{"imageView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlueIcon), new ThemeDescription(this.listView, 0, new Class[]{TextDetailCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlackText), new ThemeDescription(this.listView, 0, new Class[]{TextDetailCell.class}, new String[]{"valueTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGrayText2), new ThemeDescription(this.listView, 0, new Class[]{HeaderCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlueHeader), new ThemeDescription(this.listView, 0, new Class[]{NotificationsCheckCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlackText), new ThemeDescription(this.listView, 0, new Class[]{NotificationsCheckCell.class}, new String[]{"valueTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGrayText2), new ThemeDescription(this.listView, 0, new Class[]{NotificationsCheckCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_switchTrack), new ThemeDescription(this.listView, 0, new Class[]{NotificationsCheckCell.class}, new String[]{"checkBox"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_switchTrackChecked), new ThemeDescription(this.listView, ThemeDescription.FLAG_TEXTCOLOR, new Class[]{UserCell.class}, new String[]{"adminTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_profile_creatorIcon), new ThemeDescription(this.listView, 0, new Class[]{UserCell.class}, new String[]{"imageView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGrayIcon), new ThemeDescription(this.listView, 0, new Class[]{UserCell.class}, new String[]{"nameTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteBlackText), new ThemeDescription(this.listView, 0, new Class[]{UserCell.class}, new String[]{"statusColor"}, (Paint[]) null, (Drawable[]) null, cellDelegate, Theme.key_windowBackgroundWhiteGrayText), new ThemeDescription(this.listView, 0, new Class[]{UserCell.class}, new String[]{"statusOnlineColor"}, (Paint[]) null, (Drawable[]) null, cellDelegate, Theme.key_windowBackgroundWhiteBlueText), new ThemeDescription(this.listView, 0, new Class[]{UserCell.class}, null, new Drawable[]{Theme.avatar_savedDrawable}, null, Theme.key_avatar_text), new ThemeDescription(null, 0, null, null, null, cellDelegate, Theme.key_avatar_backgroundRed), new ThemeDescription(null, 0, null, null, null, cellDelegate, Theme.key_avatar_backgroundOrange), new ThemeDescription(null, 0, null, null, null, cellDelegate, Theme.key_avatar_backgroundViolet), new ThemeDescription(null, 0, null, null, null, cellDelegate, Theme.key_avatar_backgroundGreen), new ThemeDescription(null, 0, null, null, null, cellDelegate, Theme.key_avatar_backgroundCyan), new ThemeDescription(null, 0, null, null, null, cellDelegate, Theme.key_avatar_backgroundBlue), new ThemeDescription(null, 0, null, null, null, cellDelegate, Theme.key_avatar_backgroundPink), new ThemeDescription(this.undoView, ThemeDescription.FLAG_BACKGROUND, null, null, null, null, Theme.key_undo_background), new ThemeDescription(this.undoView, 0, new Class[]{UndoView.class}, new String[]{"undoImageView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_undo_cancelColor), new ThemeDescription(this.undoView, 0, new Class[]{UndoView.class}, new String[]{"undoTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_undo_cancelColor), new ThemeDescription(this.undoView, 0, new Class[]{UndoView.class}, new String[]{"infoTextView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_undo_infoColor), new ThemeDescription(this.undoView, 0, new Class[]{UndoView.class}, new String[]{"textPaint"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_undo_infoColor), new ThemeDescription(this.undoView, 0, new Class[]{UndoView.class}, new String[]{"progressPaint"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_undo_infoColor), new ThemeDescription(this.undoView, ThemeDescription.FLAG_IMAGECOLOR, new Class[]{UndoView.class}, new String[]{"leftImageView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_undo_infoColor), new ThemeDescription(this.listView, ThemeDescription.FLAG_TEXTCOLOR, new Class[]{AboutLinkCell.class}, Theme.profile_aboutTextPaint, null, null, Theme.key_windowBackgroundWhiteBlackText), new ThemeDescription(this.listView, ThemeDescription.FLAG_LINKCOLOR, new Class[]{AboutLinkCell.class}, Theme.profile_aboutTextPaint, null, null, Theme.key_windowBackgroundWhiteLinkText), new ThemeDescription(this.listView, 0, new Class[]{AboutLinkCell.class}, Theme.linkSelectionPaint, null, null, Theme.key_windowBackgroundWhiteLinkSelection), new ThemeDescription(this.listView, ThemeDescription.FLAG_BACKGROUNDFILTER, new Class[]{ShadowSectionCell.class}, null, null, null, Theme.key_windowBackgroundGrayShadow), new ThemeDescription(this.listView, ThemeDescription.FLAG_BACKGROUNDFILTER | ThemeDescription.FLAG_CELLBACKGROUNDCOLOR, new Class[]{ShadowSectionCell.class}, null, null, null, Theme.key_windowBackgroundGray), new ThemeDescription(this.listView, ThemeDescription.FLAG_BACKGROUNDFILTER, new Class[]{TextInfoPrivacyCell.class}, null, null, null, Theme.key_windowBackgroundGrayShadow), new ThemeDescription(this.listView, ThemeDescription.FLAG_BACKGROUNDFILTER | ThemeDescription.FLAG_CELLBACKGROUNDCOLOR, new Class[]{TextInfoPrivacyCell.class}, null, null, null, Theme.key_windowBackgroundGray), new ThemeDescription(this.listView, 0, new Class[]{TextInfoPrivacyCell.class}, new String[]{"textView"}, (Paint[]) null, (Drawable[]) null, (ThemeDescription.ThemeDescriptionDelegate) null, Theme.key_windowBackgroundWhiteGrayText4), new ThemeDescription(this.nameTextView[1], 0, null, null, new Drawable[]{Theme.profile_verifiedCheckDrawable}, null, Theme.key_profile_verifiedCheck), new ThemeDescription(this.nameTextView[1], 0, null, null, new Drawable[]{Theme.profile_verifiedDrawable}, null, Theme.key_profile_verifiedBackground)};
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getThemeDescriptions$24$im-uecahxyvjd-ui-ProfileActivity  reason: not valid java name */
    public /* synthetic */ void m2123lambda$getThemeDescriptions$24$imuecahxyvjduiProfileActivity() {
        RecyclerListView recyclerListView = this.listView;
        if (recyclerListView != null) {
            int count = recyclerListView.getChildCount();
            for (int a2 = 0; a2 < count; a2++) {
                View child = this.listView.getChildAt(a2);
                if (child instanceof UserCell) {
                    ((UserCell) child).update(0);
                }
            }
        }
    }
}
