package im.uecahxyvjd.ui;

import android.content.Context;
import android.content.DialogInterface;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.bigkoo.pickerview.listener.OnTimeSelectListener;
import com.blankj.utilcode.util.TimeUtils;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCContacts;
import im.uecahxyvjd.tgnet.TLRPCLogin;
import im.uecahxyvjd.ui.SelectBirthdayActivity;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.dialogs.TimeWheelPickerDialog;
import im.uecahxyvjd.ui.hviews.MryTextView;
import java.util.Calendar;
import java.util.Date;
/* loaded from: classes12.dex */
public class SelectBirthdayActivity extends BaseFragment {
    private int item_done = 1;
    private TimeWheelPickerDialog.Builder mTimePickerBuilder;
    private Date selectedDate;
    private MryTextView tvBirthday;
    private TLRPCContacts.CL_userFull_v1 userFull;

    public SelectBirthdayActivity(TLRPCContacts.CL_userFull_v1 userFull) {
        this.userFull = userFull;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_select_birthday, (ViewGroup) null);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        initActionBar();
        initView();
        return this.fragmentView;
    }

    private void initActionBar() {
        this.actionBar.setCastShadows(false);
        this.actionBar.setTitle(LocaleController.getString(R.string.SelectBirthday));
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setActionBarMenuOnItemClick(new AnonymousClass1());
        ActionBarMenu menu = this.actionBar.createMenu();
        menu.addItem(this.item_done, LocaleController.getString(R.string.Done));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: im.uecahxyvjd.ui.SelectBirthdayActivity$1  reason: invalid class name */
    /* loaded from: classes12.dex */
    public class AnonymousClass1 extends ActionBar.ActionBarMenuOnItemClick {
        AnonymousClass1() {
        }

        @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
        public void onItemClick(int id) {
            if (id != -1) {
                if (id != SelectBirthdayActivity.this.item_done || SelectBirthdayActivity.this.userFull == null || SelectBirthdayActivity.this.userFull.getExtendBean() == null) {
                    return;
                }
                Date birthday = new Date(SelectBirthdayActivity.this.userFull.getExtendBean().birthday * 1000);
                if (!SelectBirthdayActivity.isTheSameDay(birthday, SelectBirthdayActivity.this.selectedDate)) {
                    AlertDialog.Builder builder = new AlertDialog.Builder(SelectBirthdayActivity.this.getParentActivity());
                    builder.setTitle(LocaleController.getString(R.string.AppName));
                    builder.setMessage(LocaleController.getString(R.string.UserBirthOnlyCanModifyOnceContuine));
                    builder.setNegativeButton(LocaleController.getString(R.string.Cancel), null);
                    builder.setPositiveButton(LocaleController.getString(R.string.Confirm), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.SelectBirthdayActivity$1$$ExternalSyntheticLambda0
                        @Override // android.content.DialogInterface.OnClickListener
                        public final void onClick(DialogInterface dialogInterface, int i) {
                            SelectBirthdayActivity.AnonymousClass1.this.m2165lambda$onItemClick$0$imuecahxyvjduiSelectBirthdayActivity$1(dialogInterface, i);
                        }
                    });
                    SelectBirthdayActivity.this.showDialog(builder.create());
                    return;
                }
                SelectBirthdayActivity.this.finishFragment();
                return;
            }
            SelectBirthdayActivity.this.finishFragment();
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$0$im-uecahxyvjd-ui-SelectBirthdayActivity$1  reason: not valid java name */
        public /* synthetic */ void m2165lambda$onItemClick$0$imuecahxyvjduiSelectBirthdayActivity$1(DialogInterface dialog, int which) {
            SelectBirthdayActivity.this.updateUserExtraInformation();
        }
    }

    private void initView() {
        RelativeLayout rlBirthdayContainer = (RelativeLayout) this.fragmentView.findViewById(R.id.rl_birthday_container);
        rlBirthdayContainer.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
        rlBirthdayContainer.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.SelectBirthdayActivity$$ExternalSyntheticLambda1
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                SelectBirthdayActivity.this.m2161lambda$initView$0$imuecahxyvjduiSelectBirthdayActivity(view);
            }
        });
        this.tvBirthday = (MryTextView) this.fragmentView.findViewById(R.id.tv_birthday);
        TextView tv_birthday_prefix = (TextView) this.fragmentView.findViewById(R.id.tv_birthday_prefix);
        tv_birthday_prefix.setText(LocaleController.getString("Birthday", R.string.Birthday));
        TextView tvBirthdayTips = (TextView) this.fragmentView.findViewById(R.id.tv_birthday_tips);
        tvBirthdayTips.setText(LocaleController.getString("BirthdayTips", R.string.BirthdayTips));
        TLRPCContacts.CL_userFull_v1 cL_userFull_v1 = this.userFull;
        if (cL_userFull_v1 != null && cL_userFull_v1.getExtendBean() != null) {
            Date date = new Date(this.userFull.getExtendBean().birthday * 1000);
            this.selectedDate = date;
            this.tvBirthday.setText(TimeUtils.millis2String(date.getTime(), LocaleController.getString("yyyy.mm.dd", R.string.formatterYear2)));
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initView$0$im-uecahxyvjd-ui-SelectBirthdayActivity  reason: not valid java name */
    public /* synthetic */ void m2161lambda$initView$0$imuecahxyvjduiSelectBirthdayActivity(View v) {
        showSelectBirthDialog();
    }

    private void showSelectBirthDialog() {
        if (this.mTimePickerBuilder == null) {
            this.mTimePickerBuilder = TimeWheelPickerDialog.getDefaultBuilder(getParentActivity(), new OnTimeSelectListener() { // from class: im.uecahxyvjd.ui.SelectBirthdayActivity$$ExternalSyntheticLambda2
                @Override // com.bigkoo.pickerview.listener.OnTimeSelectListener
                public final void onTimeSelect(Date date, View view) {
                    SelectBirthdayActivity.this.m2162x43995a6c(date, view);
                }
            });
        }
        if (this.selectedDate != null) {
            Calendar calendar = Calendar.getInstance();
            calendar.setTime(this.selectedDate);
            this.mTimePickerBuilder.setDate(calendar);
        } else {
            this.mTimePickerBuilder.setDate(Calendar.getInstance());
        }
        showDialog(this.mTimePickerBuilder.build());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$showSelectBirthDialog$1$im-uecahxyvjd-ui-SelectBirthdayActivity  reason: not valid java name */
    public /* synthetic */ void m2162x43995a6c(Date date, View v) {
        this.selectedDate = date;
        this.tvBirthday.setText(TimeUtils.millis2String(date.getTime(), LocaleController.getString("yyyy.mm.dd", R.string.formatterYear2)));
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void updateUserExtraInformation() {
        TLRPCLogin.TL_account_updateUserDetail req = new TLRPCLogin.TL_account_updateUserDetail();
        req.birthday = (int) (this.selectedDate.getTime() / 1000);
        if (req.birthday == 0) {
            return;
        }
        getConnectionsManager().bindRequestToGuid(getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.SelectBirthdayActivity$$ExternalSyntheticLambda0
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                SelectBirthdayActivity.this.m2164x8e68f60a(tLObject, tL_error);
            }
        }), this.classGuid);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateUserExtraInformation$3$im-uecahxyvjd-ui-SelectBirthdayActivity  reason: not valid java name */
    public /* synthetic */ void m2164x8e68f60a(final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.SelectBirthdayActivity$$ExternalSyntheticLambda3
            @Override // java.lang.Runnable
            public final void run() {
                SelectBirthdayActivity.this.m2163x1c8cb09(error, response);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateUserExtraInformation$2$im-uecahxyvjd-ui-SelectBirthdayActivity  reason: not valid java name */
    public /* synthetic */ void m2163x1c8cb09(TLRPC.TL_error error, TLObject response) {
        TLRPCContacts.CL_userFull_v1 cL_userFull_v1;
        if (error != null) {
            if (error.text != null) {
                if (error.text.contains("ALREDY_CHANGE")) {
                    AlertDialog.Builder builder = new AlertDialog.Builder(getParentActivity());
                    builder.setTitle(LocaleController.getString(R.string.AppName));
                    builder.setMessage(LocaleController.getString(R.string.YouHadModifiedOnceCannotModifyAgain));
                    builder.setPositiveButton(LocaleController.getString(R.string.OK), null);
                    showDialog(builder.create());
                } else if (error.code == 400 || error.text.contains("rpcerror")) {
                    ToastUtils.show((int) R.string.SetupFail);
                } else {
                    ToastUtils.show((CharSequence) LocaleController.getString(R.string.OperationFailedPleaseTryAgain));
                }
            }
        } else if ((response instanceof TLRPC.UserFull) && this.selectedDate != null && (cL_userFull_v1 = this.userFull) != null && cL_userFull_v1.getExtendBean() != null) {
            this.userFull.getExtendBean().birthday = (int) (this.selectedDate.getTime() / 1000);
        }
    }

    public static boolean isTheSameDay(Date d1, Date d2) {
        Calendar c1 = Calendar.getInstance();
        Calendar c2 = Calendar.getInstance();
        c1.setTime(d1);
        c2.setTime(d2);
        return c1.get(1) == c2.get(1) && c1.get(2) == c2.get(2) && c1.get(5) == c2.get(5);
    }
}
