package im.uecahxyvjd.ui;

import android.app.Activity;
import android.graphics.PorterDuff;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.text.method.HideReturnsTransformationMethod;
import android.text.method.PasswordTransformationMethod;
import android.util.Log;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.EditText;
import android.widget.TextView;
import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.Toolbar;
import androidx.constraintlayout.widget.ConstraintLayout;
import androidx.core.content.ContextCompat;
import com.alibaba.fastjson.JSONObject;
import com.gyf.barlibrary.OSUtils;
import com.serenegiant.uvccamera.BuildConfig;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCWallet;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.hviews.MryAlphaImageView;
import im.uecahxyvjd.ui.hviews.MryRoundButton;
import im.uecahxyvjd.ui.utils.AesUtils;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
/* loaded from: classes12.dex */
public class TwoStepVerificationActivityNew extends AppCompatActivity implements NotificationCenter.NotificationCenterDelegate {
    private MryRoundButton btnOk;
    private ConstraintLayout clAgain;
    private ConstraintLayout clFirst;
    private EditText editPasswordAgain;
    private EditText editPasswordFirst;
    private boolean etPwdIsHideAgain;
    private boolean etPwdIsHideFirst;
    private MryAlphaImageView imgClearAgain;
    private MryAlphaImageView imgClearFirst;
    private MryAlphaImageView imgShowPasswordAgain;
    private MryAlphaImageView imgShowPasswordFirst;
    boolean passwordEntered;
    private AlertDialog progressDialog;
    private Toolbar toolBar;
    private TextView twoTitle;
    private TextView txtDeletePassword;
    private TextView txtNoticeHadPassword;
    private TextView txtNoticeNoPassword;
    private TextView txtPasswordTitle;
    private TextView txtUpdatePassword;
    protected int currentAccount = UserConfig.selectedAccount;
    private int state = 1;

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_two_password);
        getWindow().setNavigationBarColor(getResources().getColor(R.color.white));
        setSpecialBarDarkMode();
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        this.toolBar = toolbar;
        setSupportActionBar(toolbar);
        getSupportActionBar().setDisplayHomeAsUpEnabled(true);
        getSupportActionBar().setHomeButtonEnabled(true);
        getSupportActionBar().setTitle("");
        Drawable upArrow = ContextCompat.getDrawable(this, R.drawable.abc_ic_ab_back_material);
        upArrow.setColorFilter(getResources().getColor(R.color.black), PorterDuff.Mode.SRC_ATOP);
        getSupportActionBar().setHomeAsUpIndicator(upArrow);
        this.toolBar.setNavigationOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda11
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                TwoStepVerificationActivityNew.this.m2393x637391c8(view);
            }
        });
        this.clFirst = (ConstraintLayout) findViewById(R.id.cl_first);
        this.clAgain = (ConstraintLayout) findViewById(R.id.cl_again);
        this.imgClearFirst = (MryAlphaImageView) findViewById(R.id.ivClearPassword1);
        this.imgClearAgain = (MryAlphaImageView) findViewById(R.id.ivClearPassword2);
        this.imgShowPasswordFirst = (MryAlphaImageView) findViewById(R.id.ivPwdShow1);
        this.imgShowPasswordAgain = (MryAlphaImageView) findViewById(R.id.ivPwdShow2);
        this.twoTitle = (TextView) findViewById(R.id.txt_tow_title);
        this.txtPasswordTitle = (TextView) findViewById(R.id.txt_password_title);
        this.txtNoticeNoPassword = (TextView) findViewById(R.id.txt_notice_no_password);
        this.txtNoticeHadPassword = (TextView) findViewById(R.id.txt_notice_had_password);
        this.txtDeletePassword = (TextView) findViewById(R.id.txt_delete_password);
        this.txtUpdatePassword = (TextView) findViewById(R.id.txt_update_password);
        this.editPasswordFirst = (EditText) findViewById(R.id.edit_password_first);
        this.editPasswordAgain = (EditText) findViewById(R.id.edit_password_again);
        MryRoundButton mryRoundButton = (MryRoundButton) findViewById(R.id.btn_ok);
        this.btnOk = mryRoundButton;
        mryRoundButton.setEnabled(false);
        this.btnOk.setPrimaryRadiusAdjustBoundsFillStyle();
        this.imgClearFirst.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda12
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                TwoStepVerificationActivityNew.this.m2394x62fd2bc9(view);
            }
        });
        this.imgClearAgain.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda13
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                TwoStepVerificationActivityNew.this.m2395x6286c5ca(view);
            }
        });
        this.imgShowPasswordFirst.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda14
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                TwoStepVerificationActivityNew.this.m2396x62105fcb(view);
            }
        });
        this.imgShowPasswordAgain.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda15
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                TwoStepVerificationActivityNew.this.m2397x6199f9cc(view);
            }
        });
        this.twoTitle.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda16
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                TwoStepVerificationActivityNew.this.m2398x612393cd(view);
            }
        });
        this.btnOk.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda17
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                TwoStepVerificationActivityNew.this.m2399x60ad2dce(view);
            }
        });
        this.txtUpdatePassword.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda18
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                TwoStepVerificationActivityNew.this.m2400x6036c7cf(view);
            }
        });
        this.txtDeletePassword.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda1
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                TwoStepVerificationActivityNew.this.m2401x5fc061d0(view);
            }
        });
        this.twoTitle.setText(LocaleController.getString("SetAdditionalPassword", R.string.SetAdditionalPassword));
        this.txtPasswordTitle.setText(LocaleController.getString("two_password_notice", R.string.two_password_notice));
        this.txtNoticeNoPassword.setText(LocaleController.getString("SetAdditionalPasswordInfo", R.string.SetAdditionalPasswordInfo));
        this.txtNoticeHadPassword.setText(LocaleController.getString("EnabledPasswordText", R.string.EnabledPasswordText));
        this.txtDeletePassword.setText(LocaleController.getString("TurnPasswordOff", R.string.TurnPasswordOff));
        this.txtUpdatePassword.setText(LocaleController.getString("ChangePassword", R.string.ChangePassword));
        this.editPasswordFirst.setHint(LocaleController.getString("text_type_passwod", R.string.text_type_passwod));
        this.editPasswordAgain.setHint(LocaleController.getString("text_type_password_again", R.string.text_type_password_again));
        this.btnOk.setText(LocaleController.getString("OK", R.string.OK));
        this.editPasswordFirst.addTextChangedListener(new TextWatcher() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew.1
            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence s, int start, int count, int after) {
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence s, int start, int before, int count) {
                if (!TextUtils.isEmpty(s)) {
                    TwoStepVerificationActivityNew.this.imgClearFirst.setVisibility(0);
                } else {
                    TwoStepVerificationActivityNew.this.imgClearFirst.setVisibility(8);
                }
            }

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
                if (TwoStepVerificationActivityNew.this.editPasswordAgain.getVisibility() == 0) {
                    if (TextUtils.isEmpty(s) || TextUtils.isEmpty(TwoStepVerificationActivityNew.this.editPasswordAgain.getText().toString().trim())) {
                        TwoStepVerificationActivityNew.this.btnOk.setEnabled(false);
                    } else {
                        TwoStepVerificationActivityNew.this.btnOk.setEnabled(true);
                    }
                } else if (!TextUtils.isEmpty(s)) {
                    TwoStepVerificationActivityNew.this.btnOk.setEnabled(true);
                } else {
                    TwoStepVerificationActivityNew.this.btnOk.setEnabled(false);
                }
            }
        });
        this.editPasswordAgain.addTextChangedListener(new TextWatcher() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew.2
            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence s, int start, int count, int after) {
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence s, int start, int before, int count) {
                if (!TextUtils.isEmpty(s)) {
                    TwoStepVerificationActivityNew.this.imgClearAgain.setVisibility(0);
                } else {
                    TwoStepVerificationActivityNew.this.imgClearAgain.setVisibility(8);
                }
            }

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
                if (TwoStepVerificationActivityNew.this.editPasswordFirst.getVisibility() == 0) {
                    if (TextUtils.isEmpty(s) || TextUtils.isEmpty(TwoStepVerificationActivityNew.this.editPasswordFirst.getText().toString().trim())) {
                        TwoStepVerificationActivityNew.this.btnOk.setEnabled(false);
                    } else {
                        TwoStepVerificationActivityNew.this.btnOk.setEnabled(true);
                    }
                } else if (!TextUtils.isEmpty(s)) {
                    TwoStepVerificationActivityNew.this.btnOk.setEnabled(true);
                } else {
                    TwoStepVerificationActivityNew.this.btnOk.setEnabled(false);
                }
            }
        });
        needShowProgress();
        getHasPassword();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onCreate$0$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2393x637391c8(View view) {
        finish();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onCreate$1$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2394x62fd2bc9(View v) {
        this.editPasswordFirst.getText().clear();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onCreate$2$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2395x6286c5ca(View v) {
        this.editPasswordAgain.getText().clear();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onCreate$3$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2396x62105fcb(View v) {
        boolean z = !this.etPwdIsHideFirst;
        this.etPwdIsHideFirst = z;
        if (z) {
            this.imgShowPasswordFirst.setImageResource(R.mipmap.eye_close);
            this.editPasswordFirst.setTransformationMethod(PasswordTransformationMethod.getInstance());
            return;
        }
        this.imgShowPasswordFirst.setImageResource(R.mipmap.eye_open);
        this.editPasswordFirst.setTransformationMethod(HideReturnsTransformationMethod.getInstance());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onCreate$4$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2397x6199f9cc(View v) {
        boolean z = !this.etPwdIsHideAgain;
        this.etPwdIsHideAgain = z;
        if (z) {
            this.imgShowPasswordAgain.setImageResource(R.mipmap.eye_close);
            this.editPasswordAgain.setTransformationMethod(PasswordTransformationMethod.getInstance());
            return;
        }
        this.imgShowPasswordAgain.setImageResource(R.mipmap.eye_open);
        this.editPasswordAgain.setTransformationMethod(HideReturnsTransformationMethod.getInstance());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onCreate$5$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2398x612393cd(View view) {
        this.twoTitle.setVisibility(8);
        this.txtNoticeNoPassword.setVisibility(8);
        this.txtPasswordTitle.setVisibility(0);
        this.editPasswordFirst.setVisibility(0);
        this.editPasswordAgain.setVisibility(0);
        this.btnOk.setVisibility(0);
        this.clFirst.setVisibility(0);
        this.clAgain.setVisibility(0);
        this.state = 1;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onCreate$6$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2399x60ad2dce(View view) {
        int i = this.state;
        if (i == 1) {
            setPassword();
        } else if (i == 2) {
            updatePassword();
        } else if (i == 3) {
            deletePassword();
        } else if (i == 4) {
            checkPassword();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onCreate$7$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2400x6036c7cf(View view) {
        this.twoTitle.setVisibility(8);
        this.txtUpdatePassword.setVisibility(8);
        this.txtDeletePassword.setVisibility(8);
        this.txtNoticeHadPassword.setVisibility(8);
        this.txtPasswordTitle.setVisibility(0);
        this.editPasswordFirst.setVisibility(0);
        this.editPasswordAgain.setVisibility(0);
        this.btnOk.setVisibility(0);
        this.state = 2;
        this.clFirst.setVisibility(0);
        this.clAgain.setVisibility(0);
        this.editPasswordFirst.getText().clear();
        this.editPasswordAgain.getText().clear();
        this.editPasswordFirst.setHint(LocaleController.getString("text_type_old_password", R.string.text_type_old_password));
        this.editPasswordAgain.setHint(LocaleController.getString("text_type_new_password", R.string.text_type_new_password));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onCreate$8$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2401x5fc061d0(View view) {
        this.twoTitle.setVisibility(8);
        this.txtUpdatePassword.setVisibility(8);
        this.txtDeletePassword.setVisibility(8);
        this.txtNoticeHadPassword.setVisibility(8);
        this.txtPasswordTitle.setVisibility(0);
        this.editPasswordFirst.setVisibility(0);
        this.editPasswordAgain.setVisibility(8);
        this.btnOk.setVisibility(0);
        this.state = 3;
        this.editPasswordFirst.getText().clear();
        this.editPasswordAgain.getText().clear();
        this.editPasswordFirst.setHint(LocaleController.getString("SetAdditionalPassword", R.string.text_type_passwod));
        this.clFirst.setVisibility(0);
        this.clAgain.setVisibility(8);
    }

    private void needShowProgress() {
        AlertDialog alertDialog = new AlertDialog(this, 3);
        this.progressDialog = alertDialog;
        alertDialog.setCanCancel(true);
        this.progressDialog.show();
    }

    public void hideView() {
        this.twoTitle.setVisibility(8);
        this.txtUpdatePassword.setVisibility(8);
        this.txtDeletePassword.setVisibility(8);
        this.txtNoticeHadPassword.setVisibility(8);
        this.txtPasswordTitle.setVisibility(8);
        this.editPasswordFirst.setVisibility(8);
        this.editPasswordAgain.setVisibility(8);
        this.editPasswordAgain.getText().clear();
        this.editPasswordFirst.getText().clear();
        this.clFirst.setVisibility(8);
        this.clAgain.setVisibility(8);
        this.btnOk.setVisibility(8);
    }

    public void getHasPassword() {
        hideView();
        TLRPCWallet.TL_paymentTrans req = new TLRPCWallet.TL_paymentTrans();
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("businessKey", (Object) "password_info");
        jsonObject.put("currPwdHash", (Object) "");
        jsonObject.put("newPasswordHash", (Object) "");
        req.data.data = jsonObject.toJSONString();
        Log.e(BuildConfig.BUILD_TYPE, "request===" + jsonObject.toJSONString());
        ConnectionsManager.getInstance(this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda3
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                TwoStepVerificationActivityNew.this.m2391x38392c6b(tLObject, tL_error);
            }
        }, 10);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getHasPassword$10$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2391x38392c6b(final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                TwoStepVerificationActivityNew.this.m2392x7dec6f75(error, response);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getHasPassword$9$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2392x7dec6f75(TLRPC.TL_error error, TLObject response) {
        if (error == null) {
            Log.e(BuildConfig.BUILD_TYPE, "password_info response===" + JSONObject.toJSONString(((TLRPCWallet.TL_paymentTransResult) response).data));
            this.progressDialog.dismiss();
            if (response instanceof TLRPCWallet.TL_paymentTransResult) {
                JSONObject data = (JSONObject) JSONObject.parse(JSONObject.toJSONString(((TLRPCWallet.TL_paymentTransResult) response).data));
                JSONObject resp = (JSONObject) JSONObject.parse(data.getString("data"));
                if (resp.getInteger("code").intValue() == 402) {
                    this.state = 1;
                    this.twoTitle.setVisibility(0);
                    this.txtNoticeNoPassword.setVisibility(0);
                    return;
                } else if (resp.getInteger("code").intValue() == 0) {
                    this.state = 4;
                    this.txtNoticeHadPassword.setVisibility(0);
                    this.txtPasswordTitle.setVisibility(0);
                    this.editPasswordFirst.setVisibility(0);
                    this.btnOk.setVisibility(0);
                    this.clFirst.setVisibility(0);
                    return;
                } else {
                    return;
                }
            }
            return;
        }
        Log.e(BuildConfig.BUILD_TYPE, "password_info error===" + JSONObject.toJSONString(error));
        this.progressDialog.dismiss();
        if (error.text.contains("INVALID_PASSWORD")) {
            ToastUtils.show((CharSequence) LocaleController.getString("LoginPwdError", R.string.LoginPwdError));
        } else if (error.text.contains("INTERNAL_ERROR")) {
            ToastUtils.show((CharSequence) LocaleController.getString("text_system_error", R.string.text_system_error));
        }
    }

    public void setPassword() {
        if (TextUtils.isEmpty(this.editPasswordAgain.getText().toString()) || TextUtils.isEmpty(this.editPasswordFirst.getText().toString())) {
            ToastUtils.show((CharSequence) LocaleController.getString("SetAdditionalPassword", R.string.text_password_not_empty));
        } else if (!this.editPasswordAgain.getText().toString().trim().equals(this.editPasswordFirst.getText().toString().trim())) {
            ToastUtils.show((CharSequence) LocaleController.getString("SetAdditionalPassword", R.string.text_password_not_same));
        } else {
            TLRPCWallet.TL_paymentTrans req = new TLRPCWallet.TL_paymentTrans();
            JSONObject jsonObject = new JSONObject();
            jsonObject.put("businessKey", (Object) "password_setting");
            jsonObject.put("currPwdHash", (Object) "");
            jsonObject.put("newPasswordHash", (Object) AesUtils.encryptToBase64(this.editPasswordAgain.getText().toString().trim()));
            req.data.data = jsonObject.toJSONString();
            Log.e(BuildConfig.BUILD_TYPE, "request===" + jsonObject.toJSONString());
            needShowProgress();
            ConnectionsManager.getInstance(this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda7
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    TwoStepVerificationActivityNew.this.m2403x67e5aec9(tLObject, tL_error);
                }
            }, 10);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$setPassword$12$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2403x67e5aec9(final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda4
            @Override // java.lang.Runnable
            public final void run() {
                TwoStepVerificationActivityNew.this.m2402x685c14c8(error, response);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$setPassword$11$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2402x685c14c8(TLRPC.TL_error error, TLObject response) {
        if (error == null) {
            Log.e(BuildConfig.BUILD_TYPE, "password_setting response===" + JSONObject.toJSONString(((TLRPCWallet.TL_paymentTransResult) response).data));
            this.progressDialog.dismiss();
            if (response instanceof TLRPCWallet.TL_paymentTransResult) {
                JSONObject data = (JSONObject) JSONObject.parse(JSONObject.toJSONString(((TLRPCWallet.TL_paymentTransResult) response).data));
                JSONObject resp = (JSONObject) JSONObject.parse(data.getString("data"));
                if (resp.getInteger("code").intValue() == 403) {
                    ToastUtils.show((CharSequence) LocaleController.getString("LoginPwdError", R.string.LoginPwdError));
                    return;
                } else if (resp.getInteger("code").intValue() == 404) {
                    ToastUtils.show((CharSequence) LocaleController.getString("text_system_error", R.string.text_system_error));
                    return;
                } else if (resp.getInteger("code").intValue() == 0) {
                    getHasPassword();
                    return;
                } else {
                    return;
                }
            }
            return;
        }
        this.progressDialog.dismiss();
        if (error.text.contains("INVALID_PASSWORD")) {
            ToastUtils.show((CharSequence) LocaleController.getString("LoginPwdError", R.string.LoginPwdError));
        } else if (error.text.contains("INTERNAL_ERROR")) {
            ToastUtils.show((CharSequence) LocaleController.getString("text_system_error", R.string.text_system_error));
        }
    }

    public void updatePassword() {
        if (TextUtils.isEmpty(this.editPasswordAgain.getText().toString()) || TextUtils.isEmpty(this.editPasswordFirst.getText().toString())) {
            ToastUtils.show((CharSequence) LocaleController.getString(R.string.text_password_not_empty));
            return;
        }
        TLRPCWallet.TL_paymentTrans req = new TLRPCWallet.TL_paymentTrans();
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("businessKey", (Object) "password_update");
        jsonObject.put("currPwdHash", (Object) AesUtils.encryptToBase64(this.editPasswordFirst.getText().toString().trim()));
        jsonObject.put("newPasswordHash", (Object) AesUtils.encryptToBase64(this.editPasswordAgain.getText().toString().trim()));
        req.data.data = jsonObject.toJSONString();
        Log.e(BuildConfig.BUILD_TYPE, "request===" + jsonObject.toJSONString());
        needShowProgress();
        ConnectionsManager.getInstance(this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda8
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                TwoStepVerificationActivityNew.this.m2405xa8a9bbea(tLObject, tL_error);
            }
        }, 10);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updatePassword$14$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2405xa8a9bbea(final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda2
            @Override // java.lang.Runnable
            public final void run() {
                TwoStepVerificationActivityNew.this.m2404xa92021e9(error, response);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updatePassword$13$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2404xa92021e9(TLRPC.TL_error error, TLObject response) {
        if (error == null) {
            Log.e(BuildConfig.BUILD_TYPE, "password_update response===" + JSONObject.toJSONString(((TLRPCWallet.TL_paymentTransResult) response).data));
            this.progressDialog.dismiss();
            if (response instanceof TLRPCWallet.TL_paymentTransResult) {
                JSONObject data = (JSONObject) JSONObject.parse(JSONObject.toJSONString(((TLRPCWallet.TL_paymentTransResult) response).data));
                JSONObject resp = (JSONObject) JSONObject.parse(data.getString("data"));
                if (resp.getInteger("code").intValue() == 403) {
                    ToastUtils.show((CharSequence) LocaleController.getString("SetAdditionalPassword", R.string.LoginPwdError));
                    return;
                } else if (resp.getInteger("code").intValue() == 404) {
                    ToastUtils.show((CharSequence) LocaleController.getString("SetAdditionalPassword", R.string.text_system_error));
                    return;
                } else if (resp.getInteger("code").intValue() == 0) {
                    ToastUtils.show((CharSequence) LocaleController.getString("SetAdditionalPassword", R.string.text_update_success));
                    this.twoTitle.setVisibility(8);
                    this.txtUpdatePassword.setVisibility(0);
                    this.txtDeletePassword.setVisibility(0);
                    this.txtNoticeHadPassword.setVisibility(0);
                    this.txtPasswordTitle.setVisibility(8);
                    this.editPasswordFirst.setVisibility(8);
                    this.editPasswordAgain.setVisibility(8);
                    this.btnOk.setVisibility(8);
                    this.clFirst.setVisibility(8);
                    this.clAgain.setVisibility(8);
                    return;
                } else {
                    return;
                }
            }
            return;
        }
        this.progressDialog.dismiss();
        if (error.text.contains("INVALID_PASSWORD")) {
            ToastUtils.show((CharSequence) LocaleController.getString("LoginPwdError", R.string.LoginPwdError));
        } else if (error.text.contains("INTERNAL_ERROR")) {
            ToastUtils.show((CharSequence) LocaleController.getString("text_system_error", R.string.text_system_error));
        }
    }

    public void deletePassword() {
        if (TextUtils.isEmpty(this.editPasswordFirst.getText().toString())) {
            ToastUtils.show((CharSequence) LocaleController.getString("SetAdditionalPassword", R.string.text_password_not_empty));
            return;
        }
        TLRPCWallet.TL_paymentTrans req = new TLRPCWallet.TL_paymentTrans();
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("businessKey", (Object) "password_delete");
        jsonObject.put("currPwdHash", (Object) AesUtils.encryptToBase64(this.editPasswordFirst.getText().toString().trim()));
        jsonObject.put("newPasswordHash", (Object) "");
        req.data.data = jsonObject.toJSONString();
        Log.e(BuildConfig.BUILD_TYPE, "request===" + jsonObject.toJSONString());
        needShowProgress();
        ConnectionsManager.getInstance(this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda9
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                TwoStepVerificationActivityNew.this.m2390xfd50adca(tLObject, tL_error);
            }
        }, 10);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$deletePassword$16$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2390xfd50adca(final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda6
            @Override // java.lang.Runnable
            public final void run() {
                TwoStepVerificationActivityNew.this.m2389xfdc713c9(error, response);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$deletePassword$15$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2389xfdc713c9(TLRPC.TL_error error, TLObject response) {
        if (error == null) {
            Log.e(BuildConfig.BUILD_TYPE, "password_delete response===" + JSONObject.toJSONString(((TLRPCWallet.TL_paymentTransResult) response).data));
            this.progressDialog.dismiss();
            if (response instanceof TLRPCWallet.TL_paymentTransResult) {
                JSONObject data = (JSONObject) JSONObject.parse(JSONObject.toJSONString(((TLRPCWallet.TL_paymentTransResult) response).data));
                JSONObject resp = (JSONObject) JSONObject.parse(data.getString("data"));
                if (resp.getInteger("code").intValue() == 403) {
                    ToastUtils.show((CharSequence) LocaleController.getString("LoginPwdError", R.string.LoginPwdError));
                    return;
                } else if (resp.getInteger("code").intValue() == 404) {
                    ToastUtils.show((CharSequence) LocaleController.getString("text_system_error", R.string.text_system_error));
                    return;
                } else if (resp.getInteger("code").intValue() == 0) {
                    ToastUtils.show((CharSequence) LocaleController.getString("DeleteSuccess", R.string.DeleteSuccess));
                    getHasPassword();
                    return;
                } else {
                    return;
                }
            }
            return;
        }
        this.progressDialog.dismiss();
        if (error.text.contains("INVALID_PASSWORD")) {
            ToastUtils.show((CharSequence) LocaleController.getString("LoginPwdError", R.string.LoginPwdError));
        } else if (error.text.contains("INTERNAL_ERROR")) {
            ToastUtils.show((CharSequence) LocaleController.getString("text_system_error", R.string.text_system_error));
        }
    }

    public void checkPassword() {
        TLRPCWallet.TL_paymentTrans req = new TLRPCWallet.TL_paymentTrans();
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("businessKey", (Object) "password_check");
        jsonObject.put("currPwdHash", (Object) AesUtils.encryptToBase64(this.editPasswordFirst.getText().toString().trim()));
        jsonObject.put("newPasswordHash", (Object) "");
        req.data.data = jsonObject.toJSONString();
        needShowProgress();
        ConnectionsManager.getInstance(this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda10
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                TwoStepVerificationActivityNew.this.m2388xaae1d729(tLObject, tL_error);
            }
        }, 10);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$checkPassword$18$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2388xaae1d729(final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.TwoStepVerificationActivityNew$$ExternalSyntheticLambda5
            @Override // java.lang.Runnable
            public final void run() {
                TwoStepVerificationActivityNew.this.m2387xab583d28(error, response);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$checkPassword$17$im-uecahxyvjd-ui-TwoStepVerificationActivityNew  reason: not valid java name */
    public /* synthetic */ void m2387xab583d28(TLRPC.TL_error error, TLObject response) {
        if (error == null) {
            Log.e(BuildConfig.BUILD_TYPE, "password_check response===" + JSONObject.toJSONString(((TLRPCWallet.TL_paymentTransResult) response).data));
            this.progressDialog.dismiss();
            if (response instanceof TLRPCWallet.TL_paymentTransResult) {
                JSONObject data = (JSONObject) JSONObject.parse(JSONObject.toJSONString(((TLRPCWallet.TL_paymentTransResult) response).data));
                JSONObject resp = (JSONObject) JSONObject.parse(data.getString("data"));
                if (resp.getInteger("code").intValue() == 403) {
                    ToastUtils.show((CharSequence) LocaleController.getString("LoginPwdError", R.string.LoginPwdError));
                    return;
                } else if (resp.getInteger("code").intValue() == 404) {
                    ToastUtils.show((CharSequence) LocaleController.getString("text_system_error", R.string.text_system_error));
                    return;
                } else if (resp.getInteger("code").intValue() == 408) {
                    ToastUtils.show((CharSequence) LocaleController.getString("text_password_error_limit", R.string.text_password_error_limit));
                    return;
                } else if (resp.getInteger("code").intValue() == 0) {
                    hideView();
                    this.txtNoticeHadPassword.setVisibility(0);
                    this.txtUpdatePassword.setVisibility(0);
                    this.txtDeletePassword.setVisibility(0);
                    return;
                } else {
                    return;
                }
            }
            return;
        }
        Log.e(BuildConfig.BUILD_TYPE, "password_check error===" + JSONObject.toJSONString(error));
        this.progressDialog.dismiss();
        if (error.text.contains("INVALID_PASSWORD")) {
            ToastUtils.show((CharSequence) LocaleController.getString("LoginPwdError", R.string.LoginPwdError));
        } else if (error.text.contains("INTERNAL_ERROR")) {
            ToastUtils.show((CharSequence) LocaleController.getString("text_system_error", R.string.text_system_error));
        } else if (error.text.contains("MANY_PASSWORD_ERROR")) {
            LocaleController.getString("text_password_error_limit", R.string.text_password_error_limit);
        }
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        if (id == NotificationCenter.didSetTwoStepPassword) {
            for (Object arg : args) {
                Log.e(BuildConfig.BUILD_TYPE, "response===" + JSONObject.toJSONString(arg));
            }
        }
    }

    public static boolean setMiuiStatusBarDarkMode(Activity activity, boolean darkmode) {
        Class<?> cls = activity.getWindow().getClass();
        try {
            Class<?> layoutParams = Class.forName("android.view.MiuiWindowManager$LayoutParams");
            Field field = layoutParams.getField("EXTRA_FLAG_STATUS_BAR_DARK_MODE");
            int darkModeFlag = field.getInt(layoutParams);
            Method extraFlagField = cls.getMethod("setExtraFlags", Integer.TYPE, Integer.TYPE);
            Window window = activity.getWindow();
            Object[] objArr = new Object[2];
            objArr[0] = Integer.valueOf(darkmode ? darkModeFlag : 0);
            objArr[1] = Integer.valueOf(darkModeFlag);
            extraFlagField.invoke(window, objArr);
            return true;
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }

    public static boolean setMeizuStatusBarDarkIcon(Activity activity, boolean dark) {
        int value;
        if (activity == null) {
            return false;
        }
        try {
            WindowManager.LayoutParams lp = activity.getWindow().getAttributes();
            Field darkFlag = WindowManager.LayoutParams.class.getDeclaredField("MEIZU_FLAG_DARK_STATUS_BAR_ICON");
            Field meizuFlags = WindowManager.LayoutParams.class.getDeclaredField("meizuFlags");
            darkFlag.setAccessible(true);
            meizuFlags.setAccessible(true);
            int bit = darkFlag.getInt(null);
            int value2 = meizuFlags.getInt(lp);
            if (dark) {
                value = value2 | bit;
            } else {
                value = value2 & (~bit);
            }
            meizuFlags.setInt(lp, value);
            activity.getWindow().setAttributes(lp);
            return true;
        } catch (Exception e) {
            return false;
        }
    }

    private void setSpecialBarDarkMode() {
        if (OSUtils.isMIUI6Later()) {
            setMiuiStatusBarDarkMode(this, false);
        }
        if (OSUtils.isFlymeOS4Later()) {
            setMeizuStatusBarDarkIcon(this, false);
        }
    }
}
