package im.uecahxyvjd.ui.actionbar;

import android.content.Context;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.PopupWindow;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.ui.components.LayoutHelper;
/* loaded from: classes10.dex */
public class ChatActionBarMenuPopupWindow extends PopupWindow {
    private Context context;
    private FrameLayout frameLayout;
    private LinearLayout llContent;
    private OnSubItemClickListener mOnSubItemClickListener;

    /* loaded from: classes10.dex */
    public interface OnSubItemClickListener {
        void onClick(int i);
    }

    public void setOnSubItemClickListener(OnSubItemClickListener listener) {
        this.mOnSubItemClickListener = listener;
    }

    public ChatActionBarMenuPopupWindow(Context context) {
        super(-1, AndroidUtilities.dp(50.0f));
        this.context = context;
        init();
    }

    private void init() {
        LinearLayout linearLayout = new LinearLayout(this.context);
        this.llContent = linearLayout;
        linearLayout.setBackgroundColor(Theme.getColor(Theme.key_actionBarDefault));
        this.llContent.setOrientation(0);
        this.llContent.setGravity(16);
        FrameLayout frameLayout = new FrameLayout(this.context);
        this.frameLayout = frameLayout;
        this.llContent.addView(frameLayout, LayoutHelper.createLinear(0, -1, 1.0f));
        this.frameLayout.setVisibility(8);
        setContentView(this.llContent);
    }

    public ChatActionBarMenuSubItem addSubItem(final int id, int icon, String text) {
        ChatActionBarMenuSubItem chatActionBarMenuSubItem = new ChatActionBarMenuSubItem(this.context);
        chatActionBarMenuSubItem.setTag(Integer.valueOf(id));
        chatActionBarMenuSubItem.setTextAndIcon(text, icon);
        chatActionBarMenuSubItem.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.actionbar.ChatActionBarMenuPopupWindow$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                ChatActionBarMenuPopupWindow.this.m2487x53fcf949(id, view);
            }
        });
        this.llContent.addView(chatActionBarMenuSubItem, LayoutHelper.createLinear(0, -1, 1.0f));
        return chatActionBarMenuSubItem;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$addSubItem$0$im-uecahxyvjd-ui-actionbar-ChatActionBarMenuPopupWindow  reason: not valid java name */
    public /* synthetic */ void m2487x53fcf949(int id, View v) {
        OnSubItemClickListener onSubItemClickListener = this.mOnSubItemClickListener;
        if (onSubItemClickListener != null) {
            onSubItemClickListener.onClick(id);
        }
    }

    public ChatActionBarMenuSubItem addLiveSubItem(final int id, int icon, String text) {
        ChatActionBarMenuSubItem chatActionBarMenuSubItem = new ChatActionBarMenuSubItem(this.context);
        chatActionBarMenuSubItem.setTag(Integer.valueOf(id));
        chatActionBarMenuSubItem.setTextAndIcon(text, icon);
        chatActionBarMenuSubItem.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.actionbar.ChatActionBarMenuPopupWindow$$ExternalSyntheticLambda1
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                ChatActionBarMenuPopupWindow.this.m2486xdb9460be(id, view);
            }
        });
        this.frameLayout.setVisibility(0);
        this.frameLayout.addView(chatActionBarMenuSubItem, LayoutHelper.createFrame(-1, -1.0f));
        return chatActionBarMenuSubItem;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$addLiveSubItem$1$im-uecahxyvjd-ui-actionbar-ChatActionBarMenuPopupWindow  reason: not valid java name */
    public /* synthetic */ void m2486xdb9460be(int id, View v) {
        OnSubItemClickListener onSubItemClickListener = this.mOnSubItemClickListener;
        if (onSubItemClickListener != null) {
            onSubItemClickListener.onClick(id);
        }
    }

    public void hideLiveSubItem() {
        this.frameLayout.setVisibility(8);
    }

    public void hideSubItem(int id) {
        View view = this.llContent.findViewWithTag(Integer.valueOf(id));
        if (view != null && view.getVisibility() != 8) {
            view.setVisibility(8);
        }
    }

    public int getItemCount() {
        return this.llContent.getChildCount();
    }
}
