package im.uecahxyvjd.ui.adapters;

import android.content.Context;
import android.util.SparseBooleanArray;
import android.view.View;
import android.view.ViewGroup;
import androidx.recyclerview.widget.RecyclerView;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ContactsController;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.Utilities;
import im.uecahxyvjd.phoneformat.PhoneFormat;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.cells.UserCell;
import im.uecahxyvjd.ui.components.RecyclerListView;
import java.util.ArrayList;
import java.util.Timer;
import java.util.TimerTask;
import org.slf4j.Marker;
/* loaded from: classes18.dex */
public class PhonebookSearchAdapter extends RecyclerListView.SelectionAdapter {
    private Context mContext;
    private ArrayList<Object> searchResult = new ArrayList<>();
    private ArrayList<CharSequence> searchResultNames = new ArrayList<>();
    private Timer searchTimer;

    public PhonebookSearchAdapter(Context context) {
        this.mContext = context;
    }

    public void search(final String query) {
        try {
            Timer timer = this.searchTimer;
            if (timer != null) {
                timer.cancel();
            }
        } catch (Exception e) {
            FileLog.e(e);
        }
        if (query == null) {
            this.searchResult.clear();
            this.searchResultNames.clear();
            notifyDataSetChanged();
            return;
        }
        Timer timer2 = new Timer();
        this.searchTimer = timer2;
        timer2.schedule(new TimerTask() { // from class: im.uecahxyvjd.ui.adapters.PhonebookSearchAdapter.1
            @Override // java.util.TimerTask, java.lang.Runnable
            public void run() {
                try {
                    PhonebookSearchAdapter.this.searchTimer.cancel();
                    PhonebookSearchAdapter.this.searchTimer = null;
                } catch (Exception e2) {
                    FileLog.e(e2);
                }
                PhonebookSearchAdapter.this.processSearch(query);
            }
        }, 200L, 300L);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void processSearch(final String query) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.adapters.PhonebookSearchAdapter$$ExternalSyntheticLambda2
            @Override // java.lang.Runnable
            public final void run() {
                PhonebookSearchAdapter.this.m2535x564c85ac(query);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$processSearch$1$im-uecahxyvjd-ui-adapters-PhonebookSearchAdapter  reason: not valid java name */
    public /* synthetic */ void m2535x564c85ac(final String query) {
        final int currentAccount = UserConfig.selectedAccount;
        final ArrayList<ContactsController.Contact> contactsCopy = new ArrayList<>(ContactsController.getInstance(currentAccount).contactsBook.values());
        final ArrayList<TLRPC.Contact> contactsCopy2 = new ArrayList<>(ContactsController.getInstance(currentAccount).contacts);
        Utilities.searchQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.ui.adapters.PhonebookSearchAdapter$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                PhonebookSearchAdapter.this.m2534x64a2df8d(query, contactsCopy, contactsCopy2, currentAccount);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:109:0x02a2 A[LOOP:3: B:85:0x020a->B:109:0x02a2, LOOP_END] */
    /* JADX WARN: Removed duplicated region for block: B:122:0x0262 A[SYNTHETIC] */
    /* renamed from: lambda$processSearch$0$im-uecahxyvjd-ui-adapters-PhonebookSearchAdapter  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m2534x64a2df8d(String query, ArrayList contactsCopy, ArrayList contactsCopy2, int currentAccount) {
        TLRPC.Contact contact;
        String search1;
        String name2;
        String tName2;
        int found;
        String search12 = query.trim().toLowerCase();
        if (search12.length() == 0) {
            updateSearchResults(query, new ArrayList<>(), new ArrayList<>());
            return;
        }
        String search2 = LocaleController.getInstance().getTranslitString(search12);
        search2 = (search12.equals(search2) || search2.length() == 0) ? null : null;
        String[] search = new String[(search2 != null ? 1 : 0) + 1];
        search[0] = search12;
        if (search2 != null) {
            search[1] = search2;
        }
        ArrayList<Object> resultArray = new ArrayList<>();
        ArrayList<CharSequence> resultArrayNames = new ArrayList<>();
        SparseBooleanArray foundUids = new SparseBooleanArray();
        int a2 = 0;
        while (a2 < contactsCopy.size()) {
            ContactsController.Contact contact2 = (ContactsController.Contact) contactsCopy.get(a2);
            String name = ContactsController.formatName(contact2.first_name, contact2.last_name).toLowerCase();
            String tName = LocaleController.getInstance().getTranslitString(name);
            if (contact2.user != null) {
                search1 = search12;
                name2 = ContactsController.formatName(contact2.user.first_name, contact2.user.last_name).toLowerCase();
                tName2 = LocaleController.getInstance().getTranslitString(name);
            } else {
                search1 = search12;
                name2 = null;
                tName2 = null;
            }
            if (name.equals(tName)) {
                tName = null;
            }
            int found2 = 0;
            String search22 = search2;
            int length = search.length;
            int i = 0;
            while (true) {
                if (i < length) {
                    int i2 = length;
                    String q = search[i];
                    if ((name2 != null && (name2.startsWith(q) || name2.contains(" " + q))) || (tName2 != null && (tName2.startsWith(q) || tName2.contains(" " + q)))) {
                        found = 1;
                    } else if (contact2.user != null && contact2.user.username != null && contact2.user.username.startsWith(q)) {
                        found = 2;
                    } else if (name.startsWith(q) || name.contains(" " + q) || (tName != null && (tName.startsWith(q) || tName.contains(" " + q)))) {
                        found = 3;
                    } else {
                        found = found2;
                    }
                    if (found == 0) {
                        i++;
                        found2 = found;
                        length = i2;
                    } else {
                        if (found == 3) {
                            resultArrayNames.add(AndroidUtilities.generateSearchName(contact2.first_name, contact2.last_name, q));
                        } else if (found == 1) {
                            resultArrayNames.add(AndroidUtilities.generateSearchName(contact2.user.first_name, contact2.user.last_name, q));
                        } else {
                            resultArrayNames.add(AndroidUtilities.generateSearchName("@" + contact2.user.username, null, "@" + q));
                        }
                        if (contact2.user != null) {
                            foundUids.put(contact2.user.id, true);
                        }
                        resultArray.add(contact2);
                    }
                }
            }
            a2++;
            search12 = search1;
            search2 = search22;
        }
        for (int a3 = 0; a3 < contactsCopy2.size(); a3++) {
            TLRPC.Contact contact3 = (TLRPC.Contact) contactsCopy2.get(a3);
            if (foundUids.indexOfKey(contact3.user_id) < 0) {
                TLRPC.User user = MessagesController.getInstance(currentAccount).getUser(Integer.valueOf(contact3.user_id));
                String name3 = ContactsController.formatName(user.first_name, user.last_name).toLowerCase();
                String tName3 = LocaleController.getInstance().getTranslitString(name3);
                if (name3.equals(tName3)) {
                    tName3 = null;
                }
                int found3 = 0;
                int length2 = search.length;
                int i3 = 0;
                while (true) {
                    if (i3 < length2) {
                        String q2 = search[i3];
                        if (name3.startsWith(q2)) {
                            contact = contact3;
                        } else {
                            contact = contact3;
                            if (!name3.contains(" " + q2) && (tName3 == null || (!tName3.startsWith(q2) && !tName3.contains(" " + q2)))) {
                                if (user.username != null && user.username.startsWith(q2)) {
                                    found3 = 2;
                                }
                                if (found3 != 0) {
                                    i3++;
                                    contact3 = contact;
                                } else {
                                    if (found3 == 1) {
                                        resultArrayNames.add(AndroidUtilities.generateSearchName(user.first_name, user.last_name, q2));
                                    } else {
                                        resultArrayNames.add(AndroidUtilities.generateSearchName("@" + user.username, null, "@" + q2));
                                    }
                                    resultArray.add(user);
                                }
                            }
                        }
                        found3 = 1;
                        if (found3 != 0) {
                        }
                    }
                }
            }
        }
        updateSearchResults(query, resultArray, resultArrayNames);
    }

    protected void onUpdateSearchResults(String query) {
    }

    private void updateSearchResults(final String query, final ArrayList<Object> users, final ArrayList<CharSequence> names) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.adapters.PhonebookSearchAdapter$$ExternalSyntheticLambda1
            @Override // java.lang.Runnable
            public final void run() {
                PhonebookSearchAdapter.this.m2536x6f79095d(query, users, names);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateSearchResults$2$im-uecahxyvjd-ui-adapters-PhonebookSearchAdapter  reason: not valid java name */
    public /* synthetic */ void m2536x6f79095d(String query, ArrayList users, ArrayList names) {
        onUpdateSearchResults(query);
        this.searchResult = users;
        this.searchResultNames = names;
        notifyDataSetChanged();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        return this.searchResult.size();
    }

    public Object getItem(int i) {
        return this.searchResult.get(i);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View view = new UserCell(this.mContext, 8, 0, false);
        ((UserCell) view).setNameTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
        return new RecyclerListView.Holder(view);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
        if (holder.getItemViewType() == 0) {
            UserCell userCell = (UserCell) holder.itemView;
            Object object = getItem(position);
            TLRPC.User user = null;
            if (object instanceof ContactsController.Contact) {
                ContactsController.Contact contact = (ContactsController.Contact) object;
                if (contact.user != null) {
                    user = contact.user;
                } else {
                    userCell.setCurrentId(contact.contact_id);
                    userCell.setData(null, this.searchResultNames.get(position), contact.phones.isEmpty() ? "" : PhoneFormat.getInstance().format(contact.phones.get(0)), 0);
                }
            } else {
                user = (TLRPC.User) object;
            }
            if (user != null) {
                userCell.setData(user, this.searchResultNames.get(position), PhoneFormat.getInstance().format(Marker.ANY_NON_NULL_MARKER + user.phone), 0);
            }
        }
    }

    @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
    public boolean isEnabled(RecyclerView.ViewHolder holder) {
        return true;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemViewType(int i) {
        return 0;
    }
}
