package im.uecahxyvjd.ui.cell;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.SystemClock;
import android.text.Layout;
import android.text.SpannableStringBuilder;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.style.ForegroundColorSpan;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.animation.Interpolator;
import androidx.core.view.ViewCompat;
import androidx.customview.widget.ViewDragHelper;
import com.blankj.utilcode.util.GsonUtils;
import com.blankj.utilcode.util.SpanUtils;
import com.google.android.exoplayer2.util.Log;
import im.uecahxyvjd.javaBean.ChatFCAttentionBean;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ChatObject;
import im.uecahxyvjd.messenger.ContactsController;
import im.uecahxyvjd.messenger.DialogObject;
import im.uecahxyvjd.messenger.Emoji;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.ImageReceiver;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MediaDataController;
import im.uecahxyvjd.messenger.MessageObject;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.SharedConfig;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.TLJsonResolve;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCContacts;
import im.uecahxyvjd.tgnet.TLRPCRedpacket;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.cells.BaseCell;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.CheckBoxBase;
import im.uecahxyvjd.ui.components.CubicBezierInterpolator;
import im.uecahxyvjd.ui.components.RLottieDrawable;
import im.uecahxyvjd.ui.components.StaticLayoutEx;
import im.uecahxyvjd.ui.components.TypefaceSpan;
import im.uecahxyvjd.ui.fragments.DialogsFragment;
import java.math.BigDecimal;
import java.util.ArrayList;
/* loaded from: classes13.dex */
public class FmtDialogCell extends BaseCell {
    private boolean animatingArchiveAvatar;
    private float animatingArchiveAvatarProgress;
    private float archiveBackgroundProgress;
    private boolean archiveHidden;
    private boolean attachedToWindow;
    private AvatarDrawable avatarDrawable;
    private ImageReceiver avatarImage;
    private int avatarLeft;
    private int bottomClip;
    private TLRPC.Chat chat;
    private CheckBoxBase checkBox;
    private boolean checkBoxAnimationInProgress;
    private float checkBoxAnimationProgress;
    private int checkBoxTranslation;
    private boolean checkBoxVisible;
    private boolean clearingDialog;
    private float clipProgress;
    private int clockDrawLeft;
    private int clockDrawTop;
    private float cornerProgress;
    private boolean countIsBiggerThanTen;
    private StaticLayout countLayout;
    private int countLeft;
    private int countTop;
    private int countWidth;
    private int currentAccount;
    private int currentDialogFolderDialogsCount;
    private int currentDialogFolderId;
    private long currentDialogId;
    private int currentEditDate;
    private float currentRevealBounceProgress;
    private float currentRevealProgress;
    private boolean dialogMuted;
    private int dialogsType;
    private TLRPC.DraftMessage draftMessage;
    private boolean drawBotIcon;
    private boolean drawBroadcastIcon;
    private boolean drawCheck1;
    private boolean drawCheck2;
    private boolean drawClockIcon;
    private boolean drawCount;
    private boolean drawErrorIcon;
    private boolean drawGroupIcon;
    private boolean drawMentionIcon;
    private boolean drawPinBackground;
    private boolean drawPinIcon;
    private boolean drawReorder;
    private boolean drawRevealBackground;
    private boolean drawScam;
    private boolean drawSecretLockIcon;
    private boolean drawVerifiedIcon;
    private TLRPC.EncryptedChat encryptedChat;
    private int errorLeft;
    private int errorTop;
    private int folderId;
    public boolean fullSeparator;
    public boolean fullSeparator2;
    private int index;
    private BounceInterpolator interpolator;
    private boolean isDialogCell;
    private boolean isSelected;
    private boolean isSliding;
    private long lastCheckBoxAnimationTime;
    private int lastMessageDate;
    private CharSequence lastMessageString;
    private CharSequence lastPrintString;
    private int lastSendState;
    private boolean lastUnreadState;
    private long lastUpdateTime;
    private final ViewDragHelper mDragHelper;
    private boolean markUnread;
    private int mentionCount;
    private StaticLayout mentionLayout;
    private int mentionLeft;
    private int mentionWidth;
    private MessageObject message;
    private int messageId;
    private StaticLayout messageLayout;
    private int messageLeft;
    private StaticLayout messageNameLayout;
    private int messageNameLeft;
    private int messageNameTop;
    private int messageTop;
    private StaticLayout nameLayout;
    private int nameLeft;
    private int nameMuteLeft;
    private float onlineProgress;
    private int pinLeft;
    private int pinTop;
    private int position;
    private int recorderLeft;
    private int recorderTop;
    private RectF rect;
    private float reorderIconProgress;
    private StaticLayout timeLayout;
    private int timeLeft;
    private int timeTop;
    private int topClip;
    private float topOffset;
    private boolean translationAnimationStarted;
    private RLottieDrawable translationDrawable;
    private float translationX;
    private int unreadCount;
    public boolean useForceThreeLines;
    public boolean useSeparator;
    private TLRPC.User user;

    /* loaded from: classes13.dex */
    public class BounceInterpolator implements Interpolator {
        public BounceInterpolator() {
        }

        @Override // android.animation.TimeInterpolator
        public float getInterpolation(float t) {
            if (t < 0.33f) {
                return (t / 0.33f) * 0.1f;
            }
            float t2 = t - 0.33f;
            if (t2 < 0.33f) {
                return 0.1f - ((t2 / 0.34f) * 0.15f);
            }
            return (((t2 - 0.34f) / 0.33f) * 0.05f) - 0.05f;
        }
    }

    public FmtDialogCell(Context context, boolean forceThreeLines) {
        super(context);
        this.currentAccount = UserConfig.selectedAccount;
        this.avatarImage = new ImageReceiver(this);
        this.avatarDrawable = new AvatarDrawable();
        this.interpolator = new BounceInterpolator();
        this.rect = new RectF();
        Theme.createDialogsResources(context);
        this.avatarImage.setRoundRadius(AndroidUtilities.dp(7.5f));
        this.useForceThreeLines = forceThreeLines;
        ViewDragHelper.Callback mCallback = new ViewDragHelper.Callback() { // from class: im.uecahxyvjd.ui.cell.FmtDialogCell.1
            @Override // androidx.customview.widget.ViewDragHelper.Callback
            public boolean tryCaptureView(View child, int pointerId) {
                return false;
            }

            @Override // androidx.customview.widget.ViewDragHelper.Callback
            public void onViewPositionChanged(View changedView, int left, int top, int dx, int dy) {
            }
        };
        this.mDragHelper = ViewDragHelper.create(this, mCallback);
        setClipChildren(false);
    }

    @Override // android.view.View
    public void computeScroll() {
        invalidate();
        super.computeScroll();
        if (this.mDragHelper.continueSettling(true)) {
            ViewCompat.postInvalidateOnAnimation(this);
        }
    }

    public void openLeft() {
        this.mDragHelper.smoothSlideViewTo(this, AndroidUtilities.dp(50.0f), 0);
        invalidate();
    }

    public void close() {
        this.mDragHelper.smoothSlideViewTo(this, 0, 0);
        invalidate();
    }

    public void setDialog(TLRPC.Dialog dialog, int type, int folder) {
        this.currentDialogId = dialog.id;
        this.isDialogCell = true;
        if (dialog instanceof TLRPC.TL_dialogFolder) {
            TLRPC.TL_dialogFolder dialogFolder = (TLRPC.TL_dialogFolder) dialog;
            this.currentDialogFolderId = dialogFolder.folder.id;
        } else {
            this.currentDialogFolderId = 0;
        }
        this.dialogsType = type;
        this.folderId = folder;
        this.messageId = 0;
        update(0);
        checkOnline();
    }

    public void setDialog(long dialog_id, MessageObject messageObject, int date) {
        this.currentDialogId = dialog_id;
        this.message = messageObject;
        this.isDialogCell = false;
        this.lastMessageDate = date;
        this.currentEditDate = messageObject != null ? messageObject.messageOwner.edit_date : 0;
        this.unreadCount = 0;
        this.markUnread = false;
        this.messageId = messageObject != null ? messageObject.getId() : 0;
        this.mentionCount = 0;
        this.lastUnreadState = messageObject != null && messageObject.isUnread();
        MessageObject messageObject2 = this.message;
        if (messageObject2 != null) {
            this.lastSendState = messageObject2.messageOwner.send_state;
        }
        update(0);
    }

    public void setCheckBoxVisible(boolean visible, boolean animated, int position) {
        this.position = position;
        if (visible && this.checkBox == null) {
            CheckBoxBase checkBoxBase = new CheckBoxBase(this, 21);
            this.checkBox = checkBoxBase;
            if (this.attachedToWindow) {
                checkBoxBase.onAttachedToWindow();
            }
        }
        this.checkBoxVisible = visible;
        this.checkBoxAnimationInProgress = animated;
        if (animated) {
            this.lastCheckBoxAnimationTime = SystemClock.uptimeMillis();
        } else {
            this.checkBoxAnimationProgress = visible ? 1.0f : 0.0f;
        }
        invalidate();
    }

    public void setChecked(boolean checked, boolean animated) {
        CheckBoxBase checkBoxBase = this.checkBox;
        if (checkBoxBase == null) {
            return;
        }
        checkBoxBase.setChecked(checked, animated);
    }

    @Override // android.view.View
    public void setScrollX(int value) {
        super.setScrollX(value);
    }

    private void checkOnline() {
        TLRPC.User user = this.user;
        boolean isOnline = (user == null || user.self || ((this.user.status == null || this.user.status.expires <= ConnectionsManager.getInstance(this.currentAccount).getCurrentTime()) && !MessagesController.getInstance(this.currentAccount).onlinePrivacy.containsKey(Integer.valueOf(this.user.id)))) ? false : true;
        this.onlineProgress = isOnline ? 1.0f : 0.0f;
    }

    public void setDialogIndex(int i) {
        this.index = i;
    }

    public int getDialogIndex() {
        return this.index;
    }

    public long getDialogId() {
        return this.currentDialogId;
    }

    public int getMessageId() {
        return this.messageId;
    }

    public boolean isUnread() {
        return (this.unreadCount != 0 || this.markUnread) && !this.dialogMuted;
    }

    public boolean isPinned() {
        return this.drawPinIcon;
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.isSliding = false;
        this.drawRevealBackground = false;
        this.currentRevealProgress = 0.0f;
        this.attachedToWindow = false;
        this.reorderIconProgress = (this.drawPinIcon && this.drawReorder) ? 1.0f : 0.0f;
        this.avatarImage.onDetachedFromWindow();
        RLottieDrawable rLottieDrawable = this.translationDrawable;
        if (rLottieDrawable != null) {
            rLottieDrawable.stop();
            this.translationDrawable.setProgress(0.0f);
            this.translationDrawable.setCallback(null);
            this.translationDrawable = null;
            this.translationAnimationStarted = false;
        }
        CheckBoxBase checkBoxBase = this.checkBox;
        if (checkBoxBase != null) {
            checkBoxBase.onDetachedFromWindow();
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.avatarImage.onAttachedToWindow();
        CheckBoxBase checkBoxBase = this.checkBox;
        if (checkBoxBase != null) {
            checkBoxBase.onAttachedToWindow();
        }
        boolean z = SharedConfig.archiveHidden;
        this.archiveHidden = z;
        float f = 1.0f;
        float f2 = z ? 0.0f : 1.0f;
        this.archiveBackgroundProgress = f2;
        this.avatarDrawable.setArchivedAvatarHiddenProgress(f2);
        this.clipProgress = 0.0f;
        this.isSliding = false;
        this.reorderIconProgress = (this.drawPinIcon && this.drawReorder) ? 0.0f : 0.0f;
        this.attachedToWindow = true;
        this.cornerProgress = 0.0f;
        setTranslationX(0.0f);
        setTranslationY(0.0f);
    }

    @Override // android.view.View
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        setMeasuredDimension(View.MeasureSpec.getSize(widthMeasureSpec), AndroidUtilities.dp((this.useForceThreeLines || SharedConfig.useThreeLinesLayout) ? 77.0f : 71.0f) + (this.useSeparator ? 1 : 0));
        this.topClip = 0;
        this.bottomClip = getMeasuredHeight();
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onLayout(boolean changed, int left, int top, int right, int bottom) {
        if (this.currentDialogId != 0 && changed) {
            try {
                buildLayout();
            } catch (Exception e) {
                FileLog.e(e);
            }
        }
    }

    private CharSequence formatArchivedDialogNames() {
        String title;
        ArrayList<TLRPC.Dialog> dialogs = MessagesController.getInstance(this.currentAccount).getDialogs(this.currentDialogFolderId);
        this.currentDialogFolderDialogsCount = dialogs.size();
        SpannableStringBuilder builder = new SpannableStringBuilder();
        int N = dialogs.size();
        for (int a2 = 0; a2 < N; a2++) {
            TLRPC.Dialog dialog = dialogs.get(a2);
            TLRPC.User currentUser = null;
            TLRPC.Chat currentChat = null;
            if (DialogObject.isSecretDialogId(dialog.id)) {
                TLRPC.EncryptedChat encryptedChat = MessagesController.getInstance(this.currentAccount).getEncryptedChat(Integer.valueOf((int) (dialog.id >> 32)));
                if (encryptedChat != null) {
                    currentUser = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(encryptedChat.user_id));
                }
            } else {
                int lowerId = (int) dialog.id;
                if (lowerId > 0) {
                    currentUser = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(lowerId));
                } else {
                    currentChat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(-lowerId));
                }
            }
            if (currentChat != null) {
                title = currentChat.title.replace('\n', ' ');
            } else if (currentUser == null) {
                continue;
            } else {
                title = UserObject.isDeleted(currentUser) ? LocaleController.getString("HiddenName", R.string.HiddenName) : ContactsController.formatName(currentUser.first_name, currentUser.last_name).replace('\n', ' ');
            }
            if (builder.length() > 0) {
                builder.append((CharSequence) ", ");
            }
            int boldStart = builder.length();
            int boldEnd = title.length() + boldStart;
            builder.append((CharSequence) title);
            if (dialog.unread_count > 0) {
                builder.setSpan(new TypefaceSpan(AndroidUtilities.getTypeface("fonts/rmedium.ttf"), 0, Theme.getColor(Theme.key_chats_nameArchived)), boldStart, boldEnd, 33);
            }
            if (builder.length() > 150) {
                break;
            }
        }
        return Emoji.replaceEmoji(builder, Theme.dialogs_messagePaint.getFontMetricsInt(), AndroidUtilities.dp(17.0f), false);
    }

    /* JADX WARN: Can't wrap try/catch for region: R(74:1|(1:793)(1:5)|6|(1:8)|9|(1:792)(1:13)|14|(1:16)(1:789)|17|(2:785|(1:787)(1:788))(2:21|(1:23)(1:784))|24|(2:26|(2:28|(2:35|(1:37))(2:32|(1:34))))(2:728|(2:730|(4:732|(1:734)(1:763)|735|(2:737|(4:752|(1:762)(1:758)|759|(1:761))(4:741|(1:751)(1:747)|748|(1:750))))(2:764|(4:766|(1:768)(1:783)|769|(2:773|(2:780|(1:782))(2:777|(1:779)))))))|38|(1:42)|43|(2:45|(1:51))(1:727)|52|(1:54)(2:477|(2:479|(3:481|(2:483|(1:485)(1:487))(1:488)|486)(6:489|(1:491)|492|(2:494|(1:496)(2:499|498))(1:500)|497|498))(2:501|(1:503)(2:504|(2:506|(2:508|(1:510)(2:511|(2:513|(1:518)(1:517))(2:519|(1:521)(2:522|(2:524|(2:526|(1:531)(1:530))(1:532))(1:533)))))(1:534))(6:535|(1:537)(1:705)|538|(2:547|(2:554|(3:556|(1:564)(1:562)|563)(2:565|(2:662|(2:669|(2:676|(3:678|(1:680)(2:682|(1:684)(2:685|(1:687)(2:688|(1:690)(1:691))))|681)(4:692|(1:694)(2:701|(1:703)(1:704))|695|(1:700)(1:699)))(1:675))(1:668))(7:570|(1:572)(1:(2:650|(2:655|(1:657)(1:658))(1:654))(1:(1:660)(1:661)))|573|(5:575|(1:577)|578|(1:580)(2:596|(1:598)(2:599|(1:601)(2:602|(1:604)(1:605))))|581)(2:606|(2:636|(5:638|(1:642)|643|(1:645)(1:647)|646)(1:648))(9:610|(1:612)(2:632|(1:634)(1:635))|613|614|615|(3:620|(1:622)(1:624)|623)|625|(1:627)(1:629)|628))|582|(2:586|587)|588)))(1:553))(1:542)|543|(1:545)(1:546)))))|55|(1:57)(2:470|(1:472)(2:473|(1:475)(1:476)))|58|(1:60)(4:416|(2:418|(1:(1:421)(1:447))(1:448))(4:449|(1:451)(2:456|(2:466|(1:468)(1:469))(1:465))|452|(1:454)(1:455))|422|(1:446)(2:429|(1:431)(2:432|(1:434)(2:435|(3:437|(1:445)(1:443)|444)))))|61|(1:65)|66|(1:68)(4:402|(1:404)(2:408|(2:410|(1:412)(1:413))(1:414))|405|(1:407))|(3:70|(1:72)(1:400)|73)(1:401)|74|(1:76)(1:399)|77|(2:385|(3:387|(1:389)(1:391)|390)(2:392|(3:394|(1:396)(1:398)|397)))(3:83|(1:85)(1:384)|86)|87|(3:88|89|90)|(2:91|92)|93|(1:95)|96|(29:372|(1:374)(1:376)|375|105|(2:107|(1:109)(1:110))|111|(3:113|(1:115)(1:362)|116)(2:363|(3:365|(1:367)(1:369)|368)(1:370))|(2:(9:344|345|(1:347)(1:359)|348|349|(1:351)(1:357)|352|(1:354)(1:356)|355)(1:321)|(7:323|(1:325)(1:343)|326|(1:328)(1:342)|329|(3:331|(1:333)(1:336)|334)(3:337|(1:339)(1:341)|340)|335))|(6:(1:121)|122|(1:124)|125|(1:129)|130)|132|(3:314|315|316)(2:136|(1:308)(1:140))|141|142|(2:301|302)|144|(13:148|149|150|151|(8:158|159|(3:164|165|(6:167|(1:222)(4:171|(2:216|(1:218)(2:219|(1:221)))(1:177)|178|(1:182))|183|(4:187|(1:(2:189|(1:191)(2:192|193))(2:212|213))|194|(1:196))|197|(1:210)(2:201|(2:203|(2:205|206)(1:208))(1:209)))(6:223|(4:227|(2:229|(1:231))|232|(1:238))|239|(4:243|(1:245)|246|247)|248|(1:254)(2:252|253)))|256|(1:258)(1:260)|259|165|(0)(0))|261|159|(4:161|164|165|(0)(0))|256|(0)(0)|259|165|(0)(0))|264|(1:300)(3:268|269|(9:271|272|273|274|(3:276|277|278)(1:291)|279|280|281|283)(2:295|296))|150|151|(10:153|155|158|159|(0)|256|(0)(0)|259|165|(0)(0))|261|159|(0)|256|(0)(0)|259|165|(0)(0))|101|(1:103)(1:371)|104|105|(0)|111|(0)(0)|(0)|(0)(0)|(0)|(0)|132|(1:134)|310|314|315|316|141|142|(0)|144|(14:146|148|149|150|151|(0)|261|159|(0)|256|(0)(0)|259|165|(0)(0))|264|(1:266)|300|150|151|(0)|261|159|(0)|256|(0)(0)|259|165|(0)(0)) */
    /* JADX WARN: Can't wrap try/catch for region: R(76:1|(1:793)(1:5)|6|(1:8)|9|(1:792)(1:13)|14|(1:16)(1:789)|17|(2:785|(1:787)(1:788))(2:21|(1:23)(1:784))|24|(2:26|(2:28|(2:35|(1:37))(2:32|(1:34))))(2:728|(2:730|(4:732|(1:734)(1:763)|735|(2:737|(4:752|(1:762)(1:758)|759|(1:761))(4:741|(1:751)(1:747)|748|(1:750))))(2:764|(4:766|(1:768)(1:783)|769|(2:773|(2:780|(1:782))(2:777|(1:779)))))))|38|(1:42)|43|(2:45|(1:51))(1:727)|52|(1:54)(2:477|(2:479|(3:481|(2:483|(1:485)(1:487))(1:488)|486)(6:489|(1:491)|492|(2:494|(1:496)(2:499|498))(1:500)|497|498))(2:501|(1:503)(2:504|(2:506|(2:508|(1:510)(2:511|(2:513|(1:518)(1:517))(2:519|(1:521)(2:522|(2:524|(2:526|(1:531)(1:530))(1:532))(1:533)))))(1:534))(6:535|(1:537)(1:705)|538|(2:547|(2:554|(3:556|(1:564)(1:562)|563)(2:565|(2:662|(2:669|(2:676|(3:678|(1:680)(2:682|(1:684)(2:685|(1:687)(2:688|(1:690)(1:691))))|681)(4:692|(1:694)(2:701|(1:703)(1:704))|695|(1:700)(1:699)))(1:675))(1:668))(7:570|(1:572)(1:(2:650|(2:655|(1:657)(1:658))(1:654))(1:(1:660)(1:661)))|573|(5:575|(1:577)|578|(1:580)(2:596|(1:598)(2:599|(1:601)(2:602|(1:604)(1:605))))|581)(2:606|(2:636|(5:638|(1:642)|643|(1:645)(1:647)|646)(1:648))(9:610|(1:612)(2:632|(1:634)(1:635))|613|614|615|(3:620|(1:622)(1:624)|623)|625|(1:627)(1:629)|628))|582|(2:586|587)|588)))(1:553))(1:542)|543|(1:545)(1:546)))))|55|(1:57)(2:470|(1:472)(2:473|(1:475)(1:476)))|58|(1:60)(4:416|(2:418|(1:(1:421)(1:447))(1:448))(4:449|(1:451)(2:456|(2:466|(1:468)(1:469))(1:465))|452|(1:454)(1:455))|422|(1:446)(2:429|(1:431)(2:432|(1:434)(2:435|(3:437|(1:445)(1:443)|444)))))|61|(1:65)|66|(1:68)(4:402|(1:404)(2:408|(2:410|(1:412)(1:413))(1:414))|405|(1:407))|(3:70|(1:72)(1:400)|73)(1:401)|74|(1:76)(1:399)|77|(2:385|(3:387|(1:389)(1:391)|390)(2:392|(3:394|(1:396)(1:398)|397)))(3:83|(1:85)(1:384)|86)|87|88|89|90|(2:91|92)|93|(1:95)|96|(29:372|(1:374)(1:376)|375|105|(2:107|(1:109)(1:110))|111|(3:113|(1:115)(1:362)|116)(2:363|(3:365|(1:367)(1:369)|368)(1:370))|(2:(9:344|345|(1:347)(1:359)|348|349|(1:351)(1:357)|352|(1:354)(1:356)|355)(1:321)|(7:323|(1:325)(1:343)|326|(1:328)(1:342)|329|(3:331|(1:333)(1:336)|334)(3:337|(1:339)(1:341)|340)|335))|(6:(1:121)|122|(1:124)|125|(1:129)|130)|132|(3:314|315|316)(2:136|(1:308)(1:140))|141|142|(2:301|302)|144|(13:148|149|150|151|(8:158|159|(3:164|165|(6:167|(1:222)(4:171|(2:216|(1:218)(2:219|(1:221)))(1:177)|178|(1:182))|183|(4:187|(1:(2:189|(1:191)(2:192|193))(2:212|213))|194|(1:196))|197|(1:210)(2:201|(2:203|(2:205|206)(1:208))(1:209)))(6:223|(4:227|(2:229|(1:231))|232|(1:238))|239|(4:243|(1:245)|246|247)|248|(1:254)(2:252|253)))|256|(1:258)(1:260)|259|165|(0)(0))|261|159|(4:161|164|165|(0)(0))|256|(0)(0)|259|165|(0)(0))|264|(1:300)(3:268|269|(9:271|272|273|274|(3:276|277|278)(1:291)|279|280|281|283)(2:295|296))|150|151|(10:153|155|158|159|(0)|256|(0)(0)|259|165|(0)(0))|261|159|(0)|256|(0)(0)|259|165|(0)(0))|101|(1:103)(1:371)|104|105|(0)|111|(0)(0)|(0)|(0)(0)|(0)|(0)|132|(1:134)|310|314|315|316|141|142|(0)|144|(14:146|148|149|150|151|(0)|261|159|(0)|256|(0)(0)|259|165|(0)(0))|264|(1:266)|300|150|151|(0)|261|159|(0)|256|(0)(0)|259|165|(0)(0)) */
    /* JADX WARN: Code restructure failed: missing block: B:630:0x0ec6, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:631:0x0ec7, code lost:
        im.uecahxyvjd.messenger.FileLog.e(r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:643:0x0f05, code lost:
        if (im.uecahxyvjd.messenger.SharedConfig.useThreeLinesLayout != false) goto L144;
     */
    /* JADX WARN: Code restructure failed: missing block: B:707:0x10f5, code lost:
        r0 = e;
     */
    /* JADX WARN: Code restructure failed: missing block: B:709:0x10f7, code lost:
        r0 = e;
     */
    /* JADX WARN: Multi-variable type inference failed. Error: jadx.core.utils.exceptions.JadxRuntimeException: TypeSearchVarInfo not found in map for var: r4v131 java.lang.Object
    	at jadx.core.dex.visitors.typeinference.TypeSearchState.getVarInfo(TypeSearchState.java:34)
    	at jadx.core.dex.visitors.typeinference.TypeSearch.lambda$resolveIndependentVariables$1(TypeSearch.java:174)
    	at java.base/java.util.stream.MatchOps$1MatchSink.accept(MatchOps.java:90)
    	at java.base/java.util.ArrayList$ArrayListSpliterator.tryAdvance(ArrayList.java:1632)
    	at java.base/java.util.stream.ReferencePipeline$7$1.accept(ReferencePipeline.java:278)
    	at java.base/java.util.ArrayList$ArrayListSpliterator.tryAdvance(ArrayList.java:1632)
    	at java.base/java.util.stream.ReferencePipeline.forEachWithCancel(ReferencePipeline.java:127)
    	at java.base/java.util.stream.AbstractPipeline.copyIntoWithCancel(AbstractPipeline.java:502)
    	at java.base/java.util.stream.AbstractPipeline.copyInto(AbstractPipeline.java:488)
    	at java.base/java.util.stream.AbstractPipeline.wrapAndCopyInto(AbstractPipeline.java:474)
    	at java.base/java.util.stream.MatchOps$MatchOp.evaluateSequential(MatchOps.java:230)
    	at java.base/java.util.stream.MatchOps$MatchOp.evaluateSequential(MatchOps.java:196)
    	at java.base/java.util.stream.AbstractPipeline.evaluate(AbstractPipeline.java:234)
    	at java.base/java.util.stream.ReferencePipeline.allMatch(ReferencePipeline.java:533)
    	at jadx.core.dex.visitors.typeinference.TypeSearch.resolveIndependentVariables(TypeSearch.java:174)
    	at java.base/java.util.ArrayList.forEach(ArrayList.java:1541)
    	at jadx.core.dex.visitors.typeinference.TypeSearch.run(TypeSearch.java:63)
    	at jadx.core.dex.visitors.typeinference.TypeInferenceVisitor.runMultiVariableSearch(TypeInferenceVisitor.java:158)
    	at jadx.core.dex.visitors.typeinference.TypeInferenceVisitor.visit(TypeInferenceVisitor.java:109)
     */
    /* JADX WARN: Not initialized variable reg: 18, insn: 0x1069: MOVE  (r4 I:??[OBJECT, ARRAY]) = (r18 I:??[OBJECT, ARRAY] A[D('messageNameString' java.lang.CharSequence)]), block:B:684:0x1069 */
    /* JADX WARN: Removed duplicated region for block: B:525:0x0b36  */
    /* JADX WARN: Removed duplicated region for block: B:533:0x0ba2  */
    /* JADX WARN: Removed duplicated region for block: B:534:0x0bb3  */
    /* JADX WARN: Removed duplicated region for block: B:539:0x0c2d  */
    /* JADX WARN: Removed duplicated region for block: B:540:0x0c3e  */
    /* JADX WARN: Removed duplicated region for block: B:544:0x0c6f  */
    /* JADX WARN: Removed duplicated region for block: B:550:0x0cc7  */
    /* JADX WARN: Removed duplicated region for block: B:555:0x0ceb  */
    /* JADX WARN: Removed duplicated region for block: B:564:0x0d16 A[ADDED_TO_REGION] */
    /* JADX WARN: Removed duplicated region for block: B:583:0x0dbe  */
    /* JADX WARN: Removed duplicated region for block: B:585:0x0dc3  */
    /* JADX WARN: Removed duplicated region for block: B:607:0x0e56  */
    /* JADX WARN: Removed duplicated region for block: B:621:0x0e9c  */
    /* JADX WARN: Removed duplicated region for block: B:649:0x0f11 A[Catch: Exception -> 0x0f08, TRY_ENTER, TryCatch #3 {Exception -> 0x0f08, blocks: (B:642:0x0f03, B:655:0x0f23, B:649:0x0f11, B:651:0x0f16), top: B:796:0x0f03 }] */
    /* JADX WARN: Removed duplicated region for block: B:655:0x0f23 A[Catch: Exception -> 0x0f08, TRY_ENTER, TRY_LEAVE, TryCatch #3 {Exception -> 0x0f08, blocks: (B:642:0x0f03, B:655:0x0f23, B:649:0x0f11, B:651:0x0f16), top: B:796:0x0f03 }] */
    /* JADX WARN: Removed duplicated region for block: B:688:0x107e A[Catch: Exception -> 0x10f5, TryCatch #7 {Exception -> 0x10f5, blocks: (B:686:0x1074, B:688:0x107e, B:690:0x1088, B:695:0x10ad, B:697:0x10b1, B:700:0x10b6, B:701:0x10ce, B:705:0x10e4, B:694:0x1095), top: B:803:0x1074 }] */
    /* JADX WARN: Removed duplicated region for block: B:697:0x10b1 A[Catch: Exception -> 0x10f5, TryCatch #7 {Exception -> 0x10f5, blocks: (B:686:0x1074, B:688:0x107e, B:690:0x1088, B:695:0x10ad, B:697:0x10b1, B:700:0x10b6, B:701:0x10ce, B:705:0x10e4, B:694:0x1095), top: B:803:0x1074 }] */
    /* JADX WARN: Removed duplicated region for block: B:703:0x10df  */
    /* JADX WARN: Removed duplicated region for block: B:704:0x10e2  */
    /* JADX WARN: Removed duplicated region for block: B:714:0x1103  */
    /* JADX WARN: Removed duplicated region for block: B:762:0x1213  */
    /* JADX WARN: Removed duplicated region for block: B:796:0x0f03 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:808:0x0d1a A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Type inference failed for: r8v27 */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void buildLayout() {
        String messageFormat;
        boolean hasNameInMessage;
        String nameString;
        String timeString;
        String countString;
        String mentionString;
        SpannableStringBuilder stringBuilder;
        char c;
        char c2;
        CharSequence innerMessage;
        CharSequence messageString;
        CharSequence messageNameString;
        boolean z;
        SpannableStringBuilder stringBuilder2;
        TLRPC.DraftMessage draftMessage;
        MessageObject messageObject;
        String timeString2;
        boolean z2;
        boolean z3;
        String countString2;
        String mentionString2;
        String nameString2;
        int timeWidth;
        int nameWidth;
        int nameWidth2;
        int nameWidth3;
        int messageWidth;
        int w;
        int messageWidth2;
        int lineCount;
        int lineCount2;
        SpannableStringBuilder messageStringFinal;
        CharSequence messageNameString2;
        int nameWidth4;
        TLRPC.Chat chat;
        MessageObject messageObject2;
        if (this.useForceThreeLines || SharedConfig.useThreeLinesLayout) {
            Theme.dialogs_namePaint.setTextSize(AndroidUtilities.dp(14.0f));
            Theme.dialogs_nameEncryptedPaint.setTextSize(AndroidUtilities.dp(14.0f));
            Theme.dialogs_messagePaint.setTextSize(AndroidUtilities.dp(12.0f));
            Theme.dialogs_messagePrintingPaint.setTextSize(AndroidUtilities.dp(12.0f));
            TextPaint textPaint = Theme.dialogs_messagePaint;
            TextPaint textPaint2 = Theme.dialogs_messagePaint;
            int color = Theme.getColor(Theme.key_chats_message_threeLines);
            textPaint2.linkColor = color;
            textPaint.setColor(color);
        } else {
            Theme.dialogs_namePaint.setTextSize(AndroidUtilities.dp(14.0f));
            Theme.dialogs_nameEncryptedPaint.setTextSize(AndroidUtilities.dp(14.0f));
            Theme.dialogs_messagePaint.setTextSize(AndroidUtilities.dp(13.0f));
            Theme.dialogs_messagePrintingPaint.setTextSize(AndroidUtilities.dp(13.0f));
            TextPaint textPaint3 = Theme.dialogs_messagePaint;
            TextPaint textPaint4 = Theme.dialogs_messagePaint;
            int color2 = Theme.getColor(Theme.key_chats_message);
            textPaint4.linkColor = color2;
            textPaint3.setColor(color2);
        }
        this.currentDialogFolderDialogsCount = 0;
        CharSequence messageString2 = "";
        CharSequence messageNameString3 = null;
        CharSequence printingString = null;
        if (this.isDialogCell) {
            CharSequence printingString2 = MessagesController.getInstance(this.currentAccount).printingStrings.get(this.currentDialogId);
            printingString = printingString2;
        }
        TextPaint currentMessagePaint = Theme.dialogs_messagePaint;
        boolean checkMessage = true;
        this.drawGroupIcon = false;
        this.drawBroadcastIcon = false;
        this.drawSecretLockIcon = false;
        this.drawBotIcon = false;
        this.drawVerifiedIcon = false;
        this.drawScam = false;
        this.drawPinBackground = false;
        boolean showChecks = !UserObject.isUserSelf(this.user);
        boolean drawTime = true;
        if ((this.useForceThreeLines || SharedConfig.useThreeLinesLayout) && this.currentDialogFolderId == 0) {
            messageFormat = "\u2068%s\u2069";
            hasNameInMessage = false;
        } else {
            messageFormat = "%2$s: \u2068%1$s\u2069";
            hasNameInMessage = true;
        }
        MessageObject messageObject3 = this.message;
        this.lastMessageString = messageObject3 != null ? messageObject3.messageText : null;
        if (this.useForceThreeLines || SharedConfig.useThreeLinesLayout) {
            if (LocaleController.isRTL) {
                this.nameLeft = AndroidUtilities.dp(22.0f);
            } else {
                this.nameLeft = AndroidUtilities.dp(72.0f);
            }
        } else if (LocaleController.isRTL) {
            this.nameLeft = AndroidUtilities.dp(18.0f);
        } else {
            this.nameLeft = AndroidUtilities.dp(72.0f);
        }
        if (this.encryptedChat != null) {
            if (this.currentDialogFolderId == 0) {
                this.drawSecretLockIcon = true;
                if (this.useForceThreeLines || SharedConfig.useThreeLinesLayout) {
                    if (LocaleController.isRTL) {
                        this.nameLeft = AndroidUtilities.dp(22.0f);
                    }
                } else if (LocaleController.isRTL) {
                    this.nameLeft = AndroidUtilities.dp(18.0f);
                }
            }
        } else if (this.currentDialogFolderId == 0) {
            TLRPC.Chat chat2 = this.chat;
            if (chat2 != null) {
                if (chat2.scam) {
                    this.drawScam = true;
                    Theme.dialogs_scamDrawable.checkText();
                } else {
                    this.drawVerifiedIcon = this.chat.verified;
                }
                if (SharedConfig.drawDialogIcons) {
                    if (this.useForceThreeLines || SharedConfig.useThreeLinesLayout) {
                        if (this.chat.id < 0 || (ChatObject.isChannel(this.chat) && !this.chat.megagroup)) {
                            this.drawBroadcastIcon = true;
                        } else {
                            this.drawGroupIcon = true;
                        }
                        if (LocaleController.isRTL) {
                            this.nameLeft = AndroidUtilities.dp(22.0f);
                        }
                    } else {
                        if (this.chat.id < 0 || (ChatObject.isChannel(this.chat) && !this.chat.megagroup)) {
                            this.drawBroadcastIcon = true;
                        } else {
                            this.drawGroupIcon = true;
                        }
                        if (LocaleController.isRTL) {
                            this.nameLeft = AndroidUtilities.dp(18.0f);
                        }
                    }
                }
            } else {
                TLRPC.User user = this.user;
                if (user != null) {
                    if (user.scam) {
                        this.drawScam = true;
                        Theme.dialogs_scamDrawable.checkText();
                    } else {
                        this.drawVerifiedIcon = this.user.verified;
                    }
                    if (SharedConfig.drawDialogIcons && this.user.bot) {
                        this.drawBotIcon = true;
                        if (this.useForceThreeLines || SharedConfig.useThreeLinesLayout) {
                            if (LocaleController.isRTL) {
                                this.nameLeft = AndroidUtilities.dp(22.0f);
                            }
                        } else if (LocaleController.isRTL) {
                            this.nameLeft = AndroidUtilities.dp(18.0f);
                        }
                    }
                }
            }
        }
        int lastDate = this.lastMessageDate;
        if (this.lastMessageDate == 0 && (messageObject2 = this.message) != null) {
            lastDate = messageObject2.messageOwner.date;
        }
        if (this.isDialogCell) {
            nameString = "";
            TLRPC.DraftMessage draft = MediaDataController.getInstance(this.currentAccount).getDraft(this.currentDialogId);
            this.draftMessage = draft;
            if ((draft != null && ((TextUtils.isEmpty(draft.message) && this.draftMessage.reply_to_msg_id == 0) || (lastDate > this.draftMessage.date && this.unreadCount != 0))) || ((ChatObject.isChannel(this.chat) && !this.chat.megagroup && !this.chat.creator && (this.chat.admin_rights == null || !this.chat.admin_rights.post_messages)) || ((chat = this.chat) != null && (chat.left || this.chat.kicked)))) {
                this.draftMessage = null;
            }
        } else {
            nameString = "";
            this.draftMessage = null;
        }
        if (printingString != null) {
            messageString2 = printingString;
            this.lastPrintString = printingString;
            currentMessagePaint = Theme.dialogs_messagePrintingPaint;
            messageNameString = null;
            timeString = "";
            countString = null;
            mentionString = null;
        } else {
            this.lastPrintString = null;
            if (this.draftMessage != null) {
                checkMessage = false;
                CharSequence string = LocaleController.getString("Draft", R.string.Draft);
                if (TextUtils.isEmpty(this.draftMessage.message)) {
                    if (this.useForceThreeLines) {
                        timeString = "";
                        countString = null;
                    } else if (SharedConfig.useThreeLinesLayout) {
                        timeString = "";
                        countString = null;
                    } else {
                        SpannableStringBuilder stringBuilder3 = SpannableStringBuilder.valueOf(string);
                        timeString = "";
                        countString = null;
                        stringBuilder3.setSpan(new ForegroundColorSpan(Theme.getColor(Theme.key_chats_draft)), 0, string.length(), 33);
                        messageString2 = stringBuilder3;
                        messageNameString = string;
                        mentionString = null;
                    }
                    messageString2 = "";
                    messageNameString = string;
                    mentionString = null;
                } else {
                    timeString = "";
                    countString = null;
                    String mess = this.draftMessage.message;
                    if (mess.length() > 150) {
                        mess = mess.substring(0, 150);
                    }
                    if (this.useForceThreeLines) {
                        mentionString = null;
                        z = false;
                    } else if (SharedConfig.useThreeLinesLayout) {
                        mentionString = null;
                        z = false;
                    } else {
                        stringBuilder2 = SpannableStringBuilder.valueOf(String.format(messageFormat, mess.replace('\n', ' '), string));
                        mentionString = null;
                        z = false;
                        stringBuilder2.setSpan(new ForegroundColorSpan(Theme.getColor(Theme.key_chats_draft)), 0, string.length() + 1, 33);
                        messageString2 = Emoji.replaceEmoji(stringBuilder2, Theme.dialogs_messagePaint.getFontMetricsInt(), AndroidUtilities.dp(20.0f), z);
                        messageNameString = string;
                    }
                    Object[] objArr = new Object[2];
                    objArr[z ? 1 : 0] = mess.replace('\n', ' ');
                    objArr[1] = string;
                    stringBuilder2 = SpannableStringBuilder.valueOf(String.format(messageFormat, objArr));
                    messageString2 = Emoji.replaceEmoji(stringBuilder2, Theme.dialogs_messagePaint.getFontMetricsInt(), AndroidUtilities.dp(20.0f), z);
                    messageNameString = string;
                }
            } else {
                timeString = "";
                countString = null;
                mentionString = null;
                if (this.clearingDialog) {
                    currentMessagePaint = Theme.dialogs_messagePrintingPaint;
                    messageString2 = LocaleController.getString("HistoryCleared", R.string.HistoryCleared);
                    messageNameString = null;
                } else {
                    MessageObject messageObject4 = this.message;
                    if (messageObject4 != null) {
                        TLRPC.User fromUser = null;
                        TLRPC.Chat fromChat = null;
                        if (messageObject4.isFromUser()) {
                            fromUser = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.message.messageOwner.from_id));
                        } else {
                            fromChat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(this.message.messageOwner.to_id.channel_id));
                        }
                        if (this.dialogsType == 3 && UserObject.isUserSelf(this.user)) {
                            CharSequence messageString3 = LocaleController.getString("SavedMessagesInfo", R.string.SavedMessagesInfo);
                            messageString2 = messageString3;
                            showChecks = false;
                            drawTime = false;
                        } else if (!this.useForceThreeLines && !SharedConfig.useThreeLinesLayout && this.currentDialogFolderId != 0) {
                            checkMessage = false;
                            messageString2 = formatArchivedDialogNames();
                        } else if (this.message.messageOwner instanceof TLRPC.TL_messageService) {
                            if (ChatObject.isChannel(this.chat) && ((this.message.messageOwner.action instanceof TLRPC.TL_messageActionHistoryClear) || (this.message.messageOwner.action instanceof TLRPC.TL_messageActionChannelMigrateFrom))) {
                                messageString = "";
                                showChecks = false;
                            } else {
                                messageString = this.message.messageText;
                            }
                            currentMessagePaint = Theme.dialogs_messagePrintingPaint;
                            messageString2 = messageString;
                        } else {
                            TLRPC.Chat chat3 = this.chat;
                            if (chat3 != null && chat3.id > 0 && fromChat == null) {
                                String messageNameString4 = this.message.isOutOwner() ? LocaleController.getString("FromYou", R.string.FromYou) : fromUser != null ? (this.useForceThreeLines || SharedConfig.useThreeLinesLayout) ? UserObject.isDeleted(fromUser) ? LocaleController.getString("HiddenName", R.string.HiddenName) : ContactsController.formatName(fromUser.first_name, fromUser.last_name).replace("\n", "") : UserObject.getFirstName(fromUser).replace("\n", "") : fromChat != null ? fromChat.title.replace("\n", "") : "DELETED";
                                checkMessage = false;
                                if (this.message.caption != null) {
                                    String mess2 = this.message.caption.toString();
                                    if (mess2.length() > 150) {
                                        mess2 = mess2.substring(0, 150);
                                    }
                                    String emoji = this.message.isVideo() ? "📹 " : this.message.isVoice() ? "🎤 " : this.message.isMusic() ? "🎧 " : this.message.isPhoto() ? "🖼 " : "📎 ";
                                    StringBuilder append = new StringBuilder().append(emoji);
                                    String emoji2 = mess2.replace('\n', ' ');
                                    SpannableStringBuilder stringBuilder4 = SpannableStringBuilder.valueOf(String.format(messageFormat, append.append(emoji2).toString(), messageNameString4));
                                    stringBuilder = stringBuilder4;
                                } else if (this.message.messageOwner.media != null && !this.message.isMediaEmpty()) {
                                    currentMessagePaint = Theme.dialogs_messagePrintingPaint;
                                    if (this.message.messageOwner.media instanceof TLRPC.TL_messageMediaGame) {
                                        innerMessage = String.format("🎮 \u2068%s\u2069", this.message.messageOwner.media.game.title);
                                        c2 = 1;
                                    } else if (this.message.type == 14) {
                                        c2 = 1;
                                        innerMessage = String.format("🎧 \u2068%s - %s\u2069", this.message.getMusicAuthor(), this.message.getMusicTitle());
                                    } else {
                                        c2 = 1;
                                        innerMessage = this.message.messageText;
                                    }
                                    Object[] objArr2 = new Object[2];
                                    objArr2[0] = innerMessage;
                                    objArr2[c2] = messageNameString4;
                                    stringBuilder = SpannableStringBuilder.valueOf(String.format(messageFormat, objArr2));
                                    try {
                                        if (!(this.message.messageOwner.media instanceof TLRPC.TL_messageMediaShareContact) && !(this.message.messageOwner.media instanceof TLRPC.TL_messageMediaShare)) {
                                            stringBuilder.setSpan(new ForegroundColorSpan(Theme.getColor(Theme.key_chats_attachMessage)), hasNameInMessage ? messageNameString4.length() + 2 : 0, stringBuilder.length(), 33);
                                        }
                                        stringBuilder.setSpan(new ForegroundColorSpan(Color.parseColor("#999999")), hasNameInMessage ? messageNameString4.length() + 2 : 0, stringBuilder.length(), 33);
                                    } catch (Exception e) {
                                        FileLog.e(e);
                                    }
                                } else if (this.message.messageOwner.message != null) {
                                    String mess3 = this.message.messageOwner.message;
                                    if (!TextUtils.isEmpty(this.message.messageText) && !this.message.messageText.equals(mess3)) {
                                        mess3 = this.message.messageText.toString();
                                    }
                                    if (mess3.length() > 150) {
                                        c = 0;
                                        mess3 = mess3.substring(0, 150);
                                    } else {
                                        c = 0;
                                    }
                                    Object[] objArr3 = new Object[2];
                                    objArr3[c] = mess3.replace('\n', ' ');
                                    objArr3[1] = messageNameString4;
                                    SpannableStringBuilder stringBuilder5 = SpannableStringBuilder.valueOf(String.format(messageFormat, objArr3));
                                    stringBuilder = stringBuilder5;
                                } else {
                                    SpannableStringBuilder stringBuilder6 = SpannableStringBuilder.valueOf("");
                                    stringBuilder = stringBuilder6;
                                }
                                if ((!this.useForceThreeLines && !SharedConfig.useThreeLinesLayout) || (this.currentDialogFolderId != 0 && stringBuilder.length() > 0)) {
                                    try {
                                        stringBuilder.setSpan(new ForegroundColorSpan(Theme.getColor(Theme.key_chats_nameMessage)), 0, messageNameString4.length() + 1, 33);
                                    } catch (Exception e2) {
                                        FileLog.e(e2);
                                    }
                                }
                                CharSequence messageString4 = Emoji.replaceEmoji(stringBuilder, Theme.dialogs_messagePaint.getFontMetricsInt(), AndroidUtilities.dp(20.0f), false);
                                messageString2 = messageString4;
                                messageNameString3 = messageNameString4;
                            } else if ((this.message.messageOwner.media instanceof TLRPC.TL_messageMediaPhoto) && (this.message.messageOwner.media.photo instanceof TLRPC.TL_photoEmpty) && this.message.messageOwner.media.ttl_seconds != 0) {
                                messageString2 = LocaleController.getString("AttachPhotoExpired", R.string.AttachPhotoExpired);
                            } else if ((this.message.messageOwner.media instanceof TLRPC.TL_messageMediaDocument) && (this.message.messageOwner.media.document instanceof TLRPC.TL_documentEmpty) && this.message.messageOwner.media.ttl_seconds != 0) {
                                messageString2 = LocaleController.getString("AttachVideoExpired", R.string.AttachVideoExpired);
                            } else if (this.message.caption != null) {
                                String emoji3 = this.message.isVideo() ? "📹 " : this.message.isVoice() ? "🎤 " : this.message.isMusic() ? "🎧 " : this.message.isPhoto() ? "🖼 " : "📎 ";
                                messageString2 = emoji3 + ((Object) this.message.caption);
                            } else {
                                CharSequence messageString5 = this.message.messageOwner.media instanceof TLRPC.TL_messageMediaGame ? "🎮 " + this.message.messageOwner.media.game.title : this.message.type == 14 ? String.format("🎧 %s - %s", this.message.getMusicAuthor(), this.message.getMusicTitle()) : this.message.messageText;
                                if (this.message.messageOwner.media == null || this.message.isMediaEmpty()) {
                                    messageString2 = messageString5;
                                } else {
                                    currentMessagePaint = Theme.dialogs_messagePrintingPaint;
                                    messageString2 = messageString5;
                                }
                            }
                        }
                        messageNameString = this.currentDialogFolderId != 0 ? formatArchivedDialogNames() : messageNameString3;
                    } else if (this.encryptedChat != null) {
                        currentMessagePaint = Theme.dialogs_messagePrintingPaint;
                        TLRPC.EncryptedChat encryptedChat = this.encryptedChat;
                        if (encryptedChat instanceof TLRPC.TL_encryptedChatRequested) {
                            messageString2 = LocaleController.getString("EncryptionProcessing", R.string.EncryptionProcessing);
                            messageNameString = null;
                        } else if (encryptedChat instanceof TLRPC.TL_encryptedChatWaiting) {
                            TLRPC.User user2 = this.user;
                            if (user2 == null || user2.first_name == null) {
                                messageString2 = LocaleController.formatString("AwaitingEncryption", R.string.AwaitingEncryption, "");
                                messageNameString = null;
                            } else {
                                messageString2 = LocaleController.formatString("AwaitingEncryption", R.string.AwaitingEncryption, this.user.first_name);
                                messageNameString = null;
                            }
                        } else if (encryptedChat instanceof TLRPC.TL_encryptedChatDiscarded) {
                            messageString2 = LocaleController.getString("EncryptionRejected", R.string.EncryptionRejected);
                            messageNameString = null;
                        } else if (!(encryptedChat instanceof TLRPC.TL_encryptedChat)) {
                            messageNameString = null;
                        } else if (encryptedChat.admin_id == UserConfig.getInstance(this.currentAccount).getClientUserId()) {
                            TLRPC.User user3 = this.user;
                            if (user3 == null || user3.first_name == null) {
                                messageString2 = LocaleController.formatString("EncryptedChatStartedOutgoing", R.string.EncryptedChatStartedOutgoing, "");
                                messageNameString = null;
                            } else {
                                messageString2 = LocaleController.formatString("EncryptedChatStartedOutgoing", R.string.EncryptedChatStartedOutgoing, this.user.first_name);
                                messageNameString = null;
                            }
                        } else {
                            messageString2 = LocaleController.getString("EncryptedChatStartedIncoming", R.string.EncryptedChatStartedIncoming);
                            messageNameString = null;
                        }
                    } else {
                        messageString2 = "";
                        messageNameString = null;
                    }
                }
            }
        }
        if (this.draftMessage != null) {
            timeString2 = LocaleController.stringForMessageListDate(draftMessage.date);
        } else {
            int i = this.lastMessageDate;
            if (i != 0) {
                timeString2 = LocaleController.stringForMessageListDate(i);
            } else {
                timeString2 = this.message != null ? LocaleController.stringForMessageListDate(messageObject.messageOwner.date) : timeString;
            }
        }
        MessageObject messageObject5 = this.message;
        if (messageObject5 == null) {
            this.drawCheck1 = false;
            this.drawCheck2 = false;
            this.drawClockIcon = false;
            this.drawCount = false;
            this.drawMentionIcon = false;
            this.drawErrorIcon = false;
            countString2 = countString;
            mentionString2 = mentionString;
        } else {
            if (this.currentDialogFolderId != 0) {
                int i2 = this.unreadCount;
                int i3 = this.mentionCount;
                if (i2 + i3 <= 0) {
                    this.drawCount = false;
                    this.drawMentionIcon = false;
                    countString2 = countString;
                    mentionString2 = mentionString;
                } else if (i2 > i3) {
                    this.drawCount = true;
                    this.drawMentionIcon = false;
                    countString2 = String.format("%d", Integer.valueOf(i2 + i3));
                    mentionString2 = mentionString;
                } else {
                    this.drawCount = false;
                    this.drawMentionIcon = true;
                    mentionString2 = String.format("%d", Integer.valueOf(i2 + i3));
                    countString2 = countString;
                }
            } else {
                if (this.clearingDialog) {
                    this.drawCount = false;
                    showChecks = false;
                    countString2 = countString;
                    z2 = true;
                    z3 = false;
                } else {
                    int i4 = this.unreadCount;
                    if (i4 != 0 && (i4 != 1 || i4 != this.mentionCount || messageObject5 == null || !messageObject5.messageOwner.mentioned)) {
                        this.drawCount = true;
                        countString2 = String.format("%d", Integer.valueOf(this.unreadCount));
                        z2 = true;
                        z3 = false;
                    } else if (this.markUnread) {
                        z2 = true;
                        this.drawCount = true;
                        countString2 = "";
                        z3 = false;
                    } else {
                        z2 = true;
                        z3 = false;
                        this.drawCount = false;
                        countString2 = countString;
                    }
                }
                if (this.mentionCount != 0) {
                    this.drawMentionIcon = z2;
                    mentionString2 = "@";
                } else {
                    this.drawMentionIcon = z3;
                    mentionString2 = mentionString;
                }
            }
            if (!this.message.isOut() || this.draftMessage != null || !showChecks || (this.message.messageOwner.action instanceof TLRPC.TL_messageActionHistoryClear)) {
                this.drawCheck1 = false;
                this.drawCheck2 = false;
                this.drawClockIcon = false;
                this.drawErrorIcon = false;
            } else if (this.message.isSending()) {
                this.drawCheck1 = false;
                this.drawCheck2 = false;
                this.drawClockIcon = true;
                this.drawErrorIcon = false;
            } else if (this.message.isSendError()) {
                this.drawCheck1 = false;
                this.drawCheck2 = false;
                this.drawClockIcon = false;
                this.drawErrorIcon = true;
                this.drawCount = false;
                this.drawMentionIcon = false;
            } else if (this.message.isSent()) {
                this.drawCheck1 = !this.message.isUnread() || (ChatObject.isChannel(this.chat) && !this.chat.megagroup);
                this.drawCheck2 = true;
                this.drawClockIcon = false;
                this.drawErrorIcon = false;
            }
        }
        if (this.dialogsType == 0 && MessagesController.getInstance(this.currentAccount).isProxyDialog(this.currentDialogId, true)) {
            this.drawPinBackground = true;
            timeString2 = LocaleController.getString("UseProxySponsor", R.string.UseProxySponsor);
        }
        if (this.currentDialogFolderId != 0) {
            nameString2 = LocaleController.getString("ArchivedChats", R.string.ArchivedChats);
        } else {
            TLRPC.Chat chat4 = this.chat;
            if (chat4 != null) {
                nameString2 = chat4.title;
            } else {
                TLRPC.User user4 = this.user;
                nameString2 = user4 != null ? UserObject.isUserSelf(user4) ? LocaleController.getString("SavedMessages", R.string.SavedMessages) : UserObject.getName(this.user) : nameString;
            }
            if (nameString2.length() == 0) {
                nameString2 = LocaleController.getString("HiddenName", R.string.HiddenName);
            }
        }
        if (drawTime) {
            int timeWidth2 = (int) Math.ceil(Theme.dialogs_timePaint.measureText(timeString2));
            this.timeLayout = new StaticLayout(timeString2, Theme.dialogs_timePaint, timeWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
            if (LocaleController.isRTL) {
                this.timeLeft = AndroidUtilities.dp(15.0f);
            } else {
                this.timeLeft = (getMeasuredWidth() - AndroidUtilities.dp(15.0f)) - timeWidth2;
            }
            timeWidth = timeWidth2;
        } else {
            this.timeLayout = null;
            this.timeLeft = 0;
            timeWidth = 0;
        }
        if (LocaleController.isRTL) {
            int nameWidth5 = getMeasuredWidth();
            nameWidth = ((nameWidth5 - this.nameLeft) - AndroidUtilities.dp(77.0f)) - timeWidth;
            this.nameLeft += timeWidth;
        } else {
            nameWidth = ((getMeasuredWidth() - this.nameLeft) - AndroidUtilities.dp(14.0f)) - timeWidth;
        }
        if (this.dialogMuted && !this.drawVerifiedIcon && !this.drawScam) {
            int w2 = AndroidUtilities.dp(6.0f) + Theme.dialogs_muteDrawable.getIntrinsicWidth();
            int nameWidth6 = nameWidth - w2;
            if (LocaleController.isRTL) {
                nameWidth4 = nameWidth6;
                int nameWidth7 = this.nameLeft;
                this.nameLeft = nameWidth7 + w2;
            } else {
                nameWidth4 = nameWidth6;
            }
            nameWidth = nameWidth4;
        } else if (this.drawVerifiedIcon) {
            int w3 = AndroidUtilities.dp(6.0f) + Theme.dialogs_verifiedDrawable.getIntrinsicWidth();
            int nameWidth8 = nameWidth - w3;
            if (LocaleController.isRTL) {
                nameWidth3 = nameWidth8;
                int nameWidth9 = this.nameLeft;
                this.nameLeft = nameWidth9 + w3;
            } else {
                nameWidth3 = nameWidth8;
            }
            nameWidth = nameWidth3;
        } else if (this.drawScam) {
            int w4 = AndroidUtilities.dp(6.0f) + Theme.dialogs_scamDrawable.getIntrinsicWidth();
            int nameWidth10 = nameWidth - w4;
            if (LocaleController.isRTL) {
                nameWidth2 = nameWidth10;
                int nameWidth11 = this.nameLeft;
                this.nameLeft = nameWidth11 + w4;
            } else {
                nameWidth2 = nameWidth10;
            }
            nameWidth = nameWidth2;
        }
        int timeWidth3 = AndroidUtilities.dp(12.0f);
        int nameWidth12 = Math.max(timeWidth3, nameWidth);
        try {
        } catch (Exception e3) {
            e = e3;
        }
        try {
            CharSequence nameStringFinal = TextUtils.ellipsize(nameString2.replace('\n', ' '), Theme.dialogs_namePaint, nameWidth12 - AndroidUtilities.dp(12.0f), TextUtils.TruncateAt.END);
            this.nameLayout = new StaticLayout(nameStringFinal, Theme.dialogs_namePaint, nameWidth12, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
        } catch (Exception e4) {
            e = e4;
            FileLog.e(e);
            if (this.topOffset == 0.0f) {
            }
            if (!this.useForceThreeLines) {
                float f = this.topOffset;
                this.messageNameTop = (int) (AndroidUtilities.dp(10.0f) + f);
                this.timeTop = (int) f;
                this.errorTop = getMeasuredHeight() - AndroidUtilities.dp(25.0f);
                this.recorderTop = getMeasuredHeight() - AndroidUtilities.dp(28.0f);
                this.countTop = getMeasuredHeight() - AndroidUtilities.dp(31.0f);
                this.clockDrawTop = getMeasuredHeight() - AndroidUtilities.dp(25.0f);
                int messageWidth3 = getMeasuredWidth() - AndroidUtilities.dp(72.0f);
                if (LocaleController.isRTL) {
                }
                this.avatarImage.setImageCoords(this.avatarLeft, (int) this.topOffset, AndroidUtilities.dp(49.0f), AndroidUtilities.dp(49.0f));
                messageWidth = messageWidth3;
                if (this.drawPinIcon) {
                }
                if (!this.drawErrorIcon) {
                }
                if (countString2 == null) {
                }
                if (countString2 == null) {
                }
                if (mentionString2 != null) {
                }
                if (checkMessage) {
                }
                messageWidth2 = Math.max(AndroidUtilities.dp(12.0f), w);
                if (this.useForceThreeLines) {
                }
                this.messageNameLayout = StaticLayoutEx.createStaticLayout(messageNameString, Theme.dialogs_messageNamePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false, TextUtils.TruncateAt.END, messageWidth2, 1);
                this.messageTop = (int) (AndroidUtilities.dp(36.0f) + this.topOffset);
                if (!this.useForceThreeLines) {
                }
                if (this.currentDialogFolderId != 0) {
                }
                if (this.useForceThreeLines) {
                }
                messageStringFinal = messageString2;
                messageNameString2 = messageNameString;
                if (!(this.message.messageOwner.media instanceof TLRPC.TL_messageMediaShareContact)) {
                }
                TextPaint paint = new TextPaint(1);
                paint.setTextSize(currentMessagePaint.getTextSize());
                paint.setColor(Color.parseColor("#999999"));
                currentMessagePaint = paint;
                if (!this.useForceThreeLines) {
                }
                this.messageLayout = StaticLayoutEx.createStaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false, TextUtils.TruncateAt.END, messageWidth2, messageNameString2 == null ? 1 : 2);
                if (!LocaleController.isRTL) {
                }
            }
            float f2 = this.topOffset;
            this.messageNameTop = (int) (AndroidUtilities.dp(20.0f) + f2);
            this.timeTop = (int) f2;
            this.errorTop = getMeasuredHeight() - AndroidUtilities.dp(31.0f);
            this.recorderTop = AndroidUtilities.dp(this.topOffset + 28.0f);
            this.countTop = getMeasuredHeight() - AndroidUtilities.dp(31.0f);
            this.clockDrawTop = getMeasuredHeight() - AndroidUtilities.dp(31.0f);
            int messageWidth4 = getMeasuredWidth() - AndroidUtilities.dp(72.0f);
            if (LocaleController.isRTL) {
            }
            this.avatarImage.setImageCoords(this.avatarLeft, (int) this.topOffset, AndroidUtilities.dp(49.0f), AndroidUtilities.dp(49.0f));
            messageWidth = messageWidth4;
            if (this.drawPinIcon) {
            }
            if (!this.drawErrorIcon) {
            }
            if (countString2 == null) {
            }
            if (countString2 == null) {
            }
            if (mentionString2 != null) {
            }
            if (checkMessage) {
            }
            messageWidth2 = Math.max(AndroidUtilities.dp(12.0f), w);
            if (this.useForceThreeLines) {
            }
            this.messageNameLayout = StaticLayoutEx.createStaticLayout(messageNameString, Theme.dialogs_messageNamePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false, TextUtils.TruncateAt.END, messageWidth2, 1);
            this.messageTop = (int) (AndroidUtilities.dp(36.0f) + this.topOffset);
            if (!this.useForceThreeLines) {
            }
            if (this.currentDialogFolderId != 0) {
            }
            if (this.useForceThreeLines) {
            }
            messageStringFinal = messageString2;
            messageNameString2 = messageNameString;
            if (!(this.message.messageOwner.media instanceof TLRPC.TL_messageMediaShareContact)) {
            }
            TextPaint paint2 = new TextPaint(1);
            paint2.setTextSize(currentMessagePaint.getTextSize());
            paint2.setColor(Color.parseColor("#999999"));
            currentMessagePaint = paint2;
            if (!this.useForceThreeLines) {
            }
            this.messageLayout = StaticLayoutEx.createStaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false, TextUtils.TruncateAt.END, messageWidth2, messageNameString2 == null ? 1 : 2);
            if (!LocaleController.isRTL) {
            }
        }
        if (this.topOffset == 0.0f) {
            this.topOffset = (getMeasuredHeight() - AndroidUtilities.dp(49.0f)) / 2.0f;
        }
        if (!this.useForceThreeLines && !SharedConfig.useThreeLinesLayout) {
            float f3 = this.topOffset;
            this.messageNameTop = (int) (AndroidUtilities.dp(10.0f) + f3);
            this.timeTop = (int) f3;
            this.errorTop = getMeasuredHeight() - AndroidUtilities.dp(25.0f);
            this.recorderTop = getMeasuredHeight() - AndroidUtilities.dp(28.0f);
            this.countTop = getMeasuredHeight() - AndroidUtilities.dp(31.0f);
            this.clockDrawTop = getMeasuredHeight() - AndroidUtilities.dp(25.0f);
            int messageWidth32 = getMeasuredWidth() - AndroidUtilities.dp(72.0f);
            if (LocaleController.isRTL) {
                int dp = AndroidUtilities.dp(72.0f);
                this.messageNameLeft = dp;
                this.messageLeft = dp;
                this.avatarLeft = AndroidUtilities.dp(12.0f);
            } else {
                int dp2 = AndroidUtilities.dp(22.0f);
                this.messageNameLeft = dp2;
                this.messageLeft = dp2;
                this.avatarLeft = getMeasuredWidth() - AndroidUtilities.dp(64.0f);
            }
            this.avatarImage.setImageCoords(this.avatarLeft, (int) this.topOffset, AndroidUtilities.dp(49.0f), AndroidUtilities.dp(49.0f));
            messageWidth = messageWidth32;
            if (this.drawPinIcon) {
                int w5 = Theme.dialogs_pinnedDrawable.getIntrinsicWidth() + AndroidUtilities.dp(6.0f);
                messageWidth -= w5;
                this.pinTop = getMeasuredHeight() - AndroidUtilities.dp(30.0f);
                if (LocaleController.isRTL) {
                    this.recorderLeft = AndroidUtilities.dp(14.0f);
                    this.pinLeft = 0;
                    this.messageLeft += w5;
                    this.messageNameLeft += w5;
                } else {
                    this.recorderLeft = (getMeasuredWidth() - Theme.dialogs_pinnedDrawable.getIntrinsicWidth()) - AndroidUtilities.dp(14.0f);
                    this.pinLeft = getMeasuredWidth() - AndroidUtilities.dp(30.0f);
                }
            }
            if (!this.drawErrorIcon) {
                int w6 = AndroidUtilities.dp(18.0f);
                int messageWidth5 = messageWidth - w6;
                if (LocaleController.isRTL) {
                    this.errorLeft = AndroidUtilities.dp(11.0f);
                } else {
                    this.errorLeft = AndroidUtilities.dp(72.0f);
                }
                this.messageLeft += w6;
                this.messageNameLeft += w6;
                w = messageWidth5;
            } else if (this.drawClockIcon) {
                int w7 = AndroidUtilities.dp(18.0f);
                int messageWidth6 = messageWidth - w7;
                if (LocaleController.isRTL) {
                    this.clockDrawLeft = AndroidUtilities.dp(11.0f);
                } else {
                    this.clockDrawLeft = AndroidUtilities.dp(72.0f);
                }
                this.messageLeft += w7;
                this.messageNameLeft += w7;
                w = messageWidth6;
            } else {
                w = messageWidth;
            }
            if (countString2 == null || mentionString2 != null) {
                if (countString2 == null) {
                    try {
                        this.countIsBiggerThanTen = new BigDecimal(countString2).compareTo(new BigDecimal("10")) > 0;
                    } catch (Exception e5) {
                        FileLog.e("FmtDialogCell ----> buildLayout countIsBiggerThanTen e: " + e5.toString());
                    }
                    this.countTop += this.countIsBiggerThanTen ? AndroidUtilities.dp(3.0f) : 0;
                    this.countWidth = Math.max(AndroidUtilities.dp(10.0f), (int) Math.ceil(Theme.dialogs_countTextPaint.measureText(countString2)));
                    this.countLayout = new StaticLayout(countString2, Theme.dialogs_countTextPaint, this.countWidth, Layout.Alignment.ALIGN_CENTER, 1.0f, 0.0f, false);
                    int w8 = this.countWidth + AndroidUtilities.dp(20.0f);
                    w -= w8;
                    if (LocaleController.isRTL) {
                        this.countLeft = AndroidUtilities.dp(20.0f);
                        this.messageLeft += w8;
                        this.messageNameLeft += w8;
                    } else {
                        this.countLeft = (getMeasuredWidth() - this.countWidth) - AndroidUtilities.dp(20.0f);
                    }
                    this.drawCount = true;
                } else {
                    this.countWidth = 0;
                }
                if (mentionString2 != null) {
                    if (this.currentDialogFolderId != 0) {
                        this.mentionWidth = Math.max(AndroidUtilities.dp(9.5f), (int) Math.ceil(Theme.dialogs_countTextPaint.measureText(mentionString2)));
                        this.mentionLayout = new StaticLayout(mentionString2, Theme.dialogs_countTextPaint, this.mentionWidth, Layout.Alignment.ALIGN_CENTER, 1.0f, 0.0f, false);
                    } else {
                        this.mentionWidth = AndroidUtilities.dp(9.5f);
                    }
                    int w9 = this.mentionWidth + (countString2 != null ? AndroidUtilities.dp(10.0f) : AndroidUtilities.dp(20.0f));
                    w -= w9;
                    if (LocaleController.isRTL) {
                        int dp3 = AndroidUtilities.dp(10.0f);
                        int i5 = this.countWidth;
                        this.mentionLeft = dp3 + (i5 != 0 ? i5 + AndroidUtilities.dp(5.0f) : 0);
                        this.messageLeft += w9;
                        this.messageNameLeft += w9;
                    } else {
                        int measuredWidth = (getMeasuredWidth() - this.mentionWidth) - AndroidUtilities.dp(10.0f);
                        int i6 = this.countWidth;
                        this.mentionLeft = measuredWidth - (i6 != 0 ? i6 + AndroidUtilities.dp(26.0f) : 0);
                    }
                    this.drawMentionIcon = true;
                }
            }
            if (checkMessage) {
                if (messageString2 == null) {
                    messageString2 = "";
                }
                String mess4 = messageString2.toString();
                if (mess4.length() > 150) {
                    mess4 = mess4.substring(0, 150);
                }
                if ((!this.useForceThreeLines && !SharedConfig.useThreeLinesLayout) || messageNameString != null) {
                    mess4 = mess4.replace('\n', ' ');
                }
                messageString2 = Emoji.replaceEmoji(mess4, Theme.dialogs_messagePaint.getFontMetricsInt(), AndroidUtilities.dp(17.0f), false);
            }
            messageWidth2 = Math.max(AndroidUtilities.dp(12.0f), w);
            if ((!this.useForceThreeLines || SharedConfig.useThreeLinesLayout) && messageNameString != null && (this.currentDialogFolderId == 0 || this.currentDialogFolderDialogsCount == 1)) {
                this.messageNameLayout = StaticLayoutEx.createStaticLayout(messageNameString, Theme.dialogs_messageNamePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false, TextUtils.TruncateAt.END, messageWidth2, 1);
                this.messageTop = (int) (AndroidUtilities.dp(36.0f) + this.topOffset);
            } else {
                this.messageNameLayout = null;
                if (this.useForceThreeLines || SharedConfig.useThreeLinesLayout) {
                    this.messageTop = (int) (AndroidUtilities.dp(32.0f) + this.topOffset);
                } else {
                    this.messageTop = (int) (AndroidUtilities.dp(34.0f) + this.topOffset);
                }
            }
            if (!this.useForceThreeLines) {
                try {
                } catch (Exception e6) {
                    e = e6;
                    FileLog.e(e);
                    if (!LocaleController.isRTL) {
                    }
                }
            }
            if (this.currentDialogFolderId != 0 && this.currentDialogFolderDialogsCount > 1) {
                messageStringFinal = messageNameString;
                messageNameString2 = null;
                currentMessagePaint = Theme.dialogs_messagePaint;
                if (!(this.message.messageOwner.media instanceof TLRPC.TL_messageMediaShareContact) && !(this.message.messageOwner.media instanceof TLRPCRedpacket.CL_messagesPayBillOverMedia) && !(this.message.messageOwner.media instanceof TLRPCContacts.TL_messageMediaSysNotify)) {
                    if (!this.useForceThreeLines && !SharedConfig.useThreeLinesLayout) {
                        this.messageLayout = new StaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                        if (!LocaleController.isRTL) {
                            StaticLayout staticLayout = this.nameLayout;
                            if (staticLayout != null && staticLayout.getLineCount() > 0) {
                                float left = this.nameLayout.getLineRight(0);
                                if (left == nameWidth12) {
                                    double widthpx = Math.ceil(this.nameLayout.getLineWidth(0));
                                    if (widthpx < nameWidth12) {
                                        this.nameLeft = (int) (this.nameLeft - (nameWidth12 - widthpx));
                                    }
                                }
                                if (this.dialogMuted || this.drawVerifiedIcon || this.drawScam) {
                                    this.nameMuteLeft = (int) (this.nameLeft + left + AndroidUtilities.dp(6.0f));
                                }
                            }
                            StaticLayout staticLayout2 = this.messageLayout;
                            if (staticLayout2 != null && (lineCount = staticLayout2.getLineCount()) > 0) {
                                float left2 = 2.14748365E9f;
                                for (int a2 = 0; a2 < lineCount; a2++) {
                                    left2 = Math.min(left2, this.messageLayout.getLineLeft(a2));
                                }
                                int a3 = this.messageLeft;
                                this.messageLeft = (int) (a3 - left2);
                            }
                            StaticLayout staticLayout3 = this.messageNameLayout;
                            if (staticLayout3 == null || staticLayout3.getLineCount() <= 0) {
                                return;
                            }
                            this.messageNameLeft = (int) (this.messageNameLeft - this.messageNameLayout.getLineLeft(0));
                            return;
                        }
                        StaticLayout staticLayout4 = this.nameLayout;
                        if (staticLayout4 != null && staticLayout4.getLineCount() > 0) {
                            float left3 = this.nameLayout.getLineLeft(0);
                            double widthpx2 = Math.ceil(this.nameLayout.getLineWidth(0));
                            if (this.dialogMuted && !this.drawVerifiedIcon && !this.drawScam) {
                                this.nameMuteLeft = (int) (((this.nameLeft + (nameWidth12 - widthpx2)) - AndroidUtilities.dp(6.0f)) - Theme.dialogs_muteDrawable.getIntrinsicWidth());
                            } else if (this.drawVerifiedIcon) {
                                this.nameMuteLeft = (int) (((this.nameLeft + (nameWidth12 - widthpx2)) - AndroidUtilities.dp(6.0f)) - Theme.dialogs_verifiedDrawable.getIntrinsicWidth());
                            } else if (this.drawScam) {
                                this.nameMuteLeft = (int) (((this.nameLeft + (nameWidth12 - widthpx2)) - AndroidUtilities.dp(6.0f)) - Theme.dialogs_scamDrawable.getIntrinsicWidth());
                            }
                            if (left3 == 0.0f && widthpx2 < nameWidth12) {
                                this.nameLeft = (int) (this.nameLeft + (nameWidth12 - widthpx2));
                            }
                        }
                        StaticLayout staticLayout5 = this.messageLayout;
                        if (staticLayout5 != null && (lineCount2 = staticLayout5.getLineCount()) > 0) {
                            int w10 = Integer.MAX_VALUE;
                            int a4 = 0;
                            while (true) {
                                if (a4 < lineCount2) {
                                    float left4 = this.messageLayout.getLineLeft(a4);
                                    if (left4 == 0.0f) {
                                        w10 = Math.min(w10, (int) (messageWidth2 - Math.ceil(this.messageLayout.getLineWidth(a4))));
                                        a4++;
                                        currentMessagePaint = currentMessagePaint;
                                    } else {
                                        w10 = 0;
                                    }
                                }
                            }
                            if (w10 != Integer.MAX_VALUE) {
                                this.messageLeft += w10;
                            }
                        }
                        StaticLayout staticLayout6 = this.messageNameLayout;
                        if (staticLayout6 == null || staticLayout6.getLineCount() <= 0) {
                            return;
                        }
                        float left5 = this.messageNameLayout.getLineLeft(0);
                        if (left5 == 0.0f) {
                            double widthpx3 = Math.ceil(this.messageNameLayout.getLineWidth(0));
                            if (widthpx3 < messageWidth2) {
                                this.messageNameLeft = (int) (this.messageNameLeft + (messageWidth2 - widthpx3));
                                return;
                            }
                            return;
                        }
                        return;
                    }
                    this.messageLayout = StaticLayoutEx.createStaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false, TextUtils.TruncateAt.END, messageWidth2, messageNameString2 == null ? 1 : 2);
                    if (!LocaleController.isRTL) {
                    }
                }
                TextPaint paint22 = new TextPaint(1);
                paint22.setTextSize(currentMessagePaint.getTextSize());
                paint22.setColor(Color.parseColor("#999999"));
                currentMessagePaint = paint22;
                if (!this.useForceThreeLines) {
                    this.messageLayout = new StaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                    if (!LocaleController.isRTL) {
                    }
                }
                this.messageLayout = StaticLayoutEx.createStaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false, TextUtils.TruncateAt.END, messageWidth2, messageNameString2 == null ? 1 : 2);
                if (!LocaleController.isRTL) {
                }
            }
            if ((!this.useForceThreeLines || SharedConfig.useThreeLinesLayout) && messageNameString == null) {
                messageStringFinal = messageString2;
                messageNameString2 = messageNameString;
            } else {
                try {
                    if (this.message.type == 105) {
                        TLRPCContacts.TL_messageMediaSysNotify sysNotify = (TLRPCContacts.TL_messageMediaSysNotify) this.message.messageOwner.media;
                        String data = TLJsonResolve.getData(sysNotify.data);
                        ChatFCAttentionBean bean = (ChatFCAttentionBean) GsonUtils.fromJson(data, (Class<Object>) ChatFCAttentionBean.class);
                        CharSequence messageNameString5 = messageNameString;
                        try {
                            TLRPC.User user5 = MessagesController.getInstance(UserConfig.selectedAccount).getUser(Integer.valueOf(bean.interact_msg.with_id));
                            String userName = UserObject.getName(user5);
                            String message = userName.length() > 13 ? userName.substring(0, 12) + "..." : userName;
                            switch (sysNotify.business_code) {
                                case 4:
                                    messageStringFinal = new SpanUtils().append(message).setForegroundColor(Color.parseColor("#90C6FF")).append("评论了你").create();
                                    break;
                                case 5:
                                    messageStringFinal = new SpanUtils().append(message).setForegroundColor(Color.parseColor("#90C6FF")).append("回复了你").create();
                                    break;
                                case 6:
                                    messageStringFinal = new SpanUtils().append(message).setForegroundColor(Color.parseColor("#90C6FF")).append("给你点了个赞").create();
                                    break;
                                case 7:
                                    messageStringFinal = new SpanUtils().append(message).setForegroundColor(Color.parseColor("#90C6FF")).append("@了你").create();
                                    break;
                                case 8:
                                    messageStringFinal = new SpanUtils().append(message).setForegroundColor(Color.parseColor("#90C6FF")).append("关注了你").create();
                                    break;
                                case 9:
                                    messageStringFinal = new SpanUtils().append(message).setForegroundColor(Color.parseColor("#90C6FF")).append("提醒了你").create();
                                    break;
                                default:
                                    messageStringFinal = "";
                                    break;
                            }
                            messageNameString2 = messageNameString5;
                        } catch (Exception e7) {
                            e = e7;
                            FileLog.e(e);
                            if (!LocaleController.isRTL) {
                            }
                        }
                    } else {
                        CharSequence messageNameString6 = messageNameString;
                        messageStringFinal = TextUtils.ellipsize(messageString2, currentMessagePaint, messageWidth2 - AndroidUtilities.dp(12.0f), TextUtils.TruncateAt.END);
                        messageNameString2 = messageNameString6;
                    }
                } catch (Exception e8) {
                    e = e8;
                }
            }
            if (!(this.message.messageOwner.media instanceof TLRPC.TL_messageMediaShareContact)) {
                if (!this.useForceThreeLines) {
                }
                this.messageLayout = StaticLayoutEx.createStaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false, TextUtils.TruncateAt.END, messageWidth2, messageNameString2 == null ? 1 : 2);
                if (!LocaleController.isRTL) {
                }
            }
            TextPaint paint222 = new TextPaint(1);
            paint222.setTextSize(currentMessagePaint.getTextSize());
            paint222.setColor(Color.parseColor("#999999"));
            currentMessagePaint = paint222;
            if (!this.useForceThreeLines) {
            }
            this.messageLayout = StaticLayoutEx.createStaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false, TextUtils.TruncateAt.END, messageWidth2, messageNameString2 == null ? 1 : 2);
            if (!LocaleController.isRTL) {
            }
        }
        float f22 = this.topOffset;
        this.messageNameTop = (int) (AndroidUtilities.dp(20.0f) + f22);
        this.timeTop = (int) f22;
        this.errorTop = getMeasuredHeight() - AndroidUtilities.dp(31.0f);
        this.recorderTop = AndroidUtilities.dp(this.topOffset + 28.0f);
        this.countTop = getMeasuredHeight() - AndroidUtilities.dp(31.0f);
        this.clockDrawTop = getMeasuredHeight() - AndroidUtilities.dp(31.0f);
        int messageWidth42 = getMeasuredWidth() - AndroidUtilities.dp(72.0f);
        if (LocaleController.isRTL) {
            int dp4 = AndroidUtilities.dp(72.0f);
            this.messageNameLeft = dp4;
            this.messageLeft = dp4;
            this.avatarLeft = AndroidUtilities.dp(16.0f);
        } else {
            int dp5 = AndroidUtilities.dp(16.0f);
            this.messageNameLeft = dp5;
            this.messageLeft = dp5;
            this.avatarLeft = getMeasuredWidth() - AndroidUtilities.dp(66.0f);
        }
        this.avatarImage.setImageCoords(this.avatarLeft, (int) this.topOffset, AndroidUtilities.dp(49.0f), AndroidUtilities.dp(49.0f));
        messageWidth = messageWidth42;
        if (this.drawPinIcon) {
        }
        if (!this.drawErrorIcon) {
        }
        if (countString2 == null) {
        }
        if (countString2 == null) {
        }
        if (mentionString2 != null) {
        }
        if (checkMessage) {
        }
        messageWidth2 = Math.max(AndroidUtilities.dp(12.0f), w);
        if (this.useForceThreeLines) {
        }
        this.messageNameLayout = StaticLayoutEx.createStaticLayout(messageNameString, Theme.dialogs_messageNamePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false, TextUtils.TruncateAt.END, messageWidth2, 1);
        this.messageTop = (int) (AndroidUtilities.dp(36.0f) + this.topOffset);
        if (!this.useForceThreeLines) {
        }
        if (this.currentDialogFolderId != 0) {
            messageStringFinal = messageNameString;
            messageNameString2 = null;
            currentMessagePaint = Theme.dialogs_messagePaint;
            if (!(this.message.messageOwner.media instanceof TLRPC.TL_messageMediaShareContact)) {
            }
            TextPaint paint2222 = new TextPaint(1);
            paint2222.setTextSize(currentMessagePaint.getTextSize());
            paint2222.setColor(Color.parseColor("#999999"));
            currentMessagePaint = paint2222;
            if (!this.useForceThreeLines) {
            }
            this.messageLayout = StaticLayoutEx.createStaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false, TextUtils.TruncateAt.END, messageWidth2, messageNameString2 == null ? 1 : 2);
            if (!LocaleController.isRTL) {
            }
        }
        if (this.useForceThreeLines) {
        }
        messageStringFinal = messageString2;
        messageNameString2 = messageNameString;
        if (!(this.message.messageOwner.media instanceof TLRPC.TL_messageMediaShareContact)) {
        }
        TextPaint paint22222 = new TextPaint(1);
        paint22222.setTextSize(currentMessagePaint.getTextSize());
        paint22222.setColor(Color.parseColor("#999999"));
        currentMessagePaint = paint22222;
        if (!this.useForceThreeLines) {
        }
        this.messageLayout = StaticLayoutEx.createStaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false, TextUtils.TruncateAt.END, messageWidth2, messageNameString2 == null ? 1 : 2);
        if (!LocaleController.isRTL) {
        }
    }

    public boolean isPointInsideAvatar(float x, float y) {
        return !LocaleController.isRTL ? x >= 0.0f && x < ((float) AndroidUtilities.dp(60.0f)) : x >= ((float) (getMeasuredWidth() - AndroidUtilities.dp(60.0f))) && x < ((float) getMeasuredWidth());
    }

    public void setDialogSelected(boolean value) {
        if (this.isSelected != value) {
            invalidate();
        }
        this.isSelected = value;
    }

    public void checkCurrentDialogIndex(boolean frozen) {
        MessageObject newMessageObject;
        MessageObject messageObject;
        MessageObject messageObject2;
        ArrayList<TLRPC.Dialog> dialogsArray = DialogsFragment.getDialogsArray(this.currentAccount, this.dialogsType, this.folderId, frozen);
        if (this.index < dialogsArray.size()) {
            TLRPC.Dialog dialog = dialogsArray.get(this.index);
            boolean z = true;
            TLRPC.Dialog nextDialog = this.index + 1 < dialogsArray.size() ? dialogsArray.get(this.index + 1) : null;
            TLRPC.DraftMessage newDraftMessage = MediaDataController.getInstance(this.currentAccount).getDraft(this.currentDialogId);
            if (this.currentDialogFolderId != 0) {
                newMessageObject = findFolderTopMessage();
            } else {
                newMessageObject = MessagesController.getInstance(this.currentAccount).dialogMessage.get(dialog.id);
                if (newMessageObject != null) {
                    newMessageObject.generateCaption();
                }
            }
            if (this.currentDialogId != dialog.id || (((messageObject = this.message) != null && messageObject.getId() != dialog.top_message) || ((newMessageObject != null && newMessageObject.messageOwner.edit_date != this.currentEditDate) || this.unreadCount != dialog.unread_count || this.mentionCount != dialog.unread_mentions_count || this.markUnread != dialog.unread_mark || (messageObject2 = this.message) != newMessageObject || ((messageObject2 == null && newMessageObject != null) || newDraftMessage != this.draftMessage || this.drawPinIcon != dialog.pinned)))) {
                boolean dialogChanged = this.currentDialogId != dialog.id;
                this.currentDialogId = dialog.id;
                if (dialog instanceof TLRPC.TL_dialogFolder) {
                    TLRPC.TL_dialogFolder dialogFolder = (TLRPC.TL_dialogFolder) dialog;
                    this.currentDialogFolderId = dialogFolder.folder.id;
                } else {
                    this.currentDialogFolderId = 0;
                }
                this.fullSeparator = (dialog instanceof TLRPC.TL_dialog) && dialog.pinned && nextDialog != null && !nextDialog.pinned;
                this.fullSeparator2 = (!(dialog instanceof TLRPC.TL_dialogFolder) || nextDialog == null || nextDialog.pinned) ? false : false;
                update(0);
                if (dialogChanged) {
                    this.reorderIconProgress = (this.drawPinIcon && this.drawReorder) ? 1.0f : 0.0f;
                }
                checkOnline();
            }
        }
    }

    public void animateArchiveAvatar() {
        if (this.avatarDrawable.getAvatarType() != 3) {
            return;
        }
        this.animatingArchiveAvatar = true;
        this.animatingArchiveAvatarProgress = 0.0f;
        Theme.dialogs_archiveAvatarDrawable.setProgress(0.0f);
        Theme.dialogs_archiveAvatarDrawable.start();
        invalidate();
    }

    private MessageObject findFolderTopMessage() {
        ArrayList<TLRPC.Dialog> dialogs = DialogsFragment.getDialogsArray(this.currentAccount, this.dialogsType, this.currentDialogFolderId, false);
        MessageObject maxMessage = null;
        if (!dialogs.isEmpty()) {
            int N = dialogs.size();
            for (int a2 = 0; a2 < N; a2++) {
                TLRPC.Dialog dialog = dialogs.get(a2);
                MessageObject object = MessagesController.getInstance(this.currentAccount).dialogMessage.get(dialog.id);
                if (object != null && (maxMessage == null || object.messageOwner.date > maxMessage.messageOwner.date)) {
                    object.generateCaption();
                    maxMessage = object;
                }
                if (dialog.pinnedNum == 0) {
                    break;
                }
            }
        }
        return maxMessage;
    }

    public void update(int mask) {
        long dialogId;
        TLRPC.Chat chat2;
        MessageObject messageObject;
        TLRPC.Dialog dialog;
        MessageObject messageObject2;
        if (this.isDialogCell) {
            TLRPC.Dialog dialog2 = MessagesController.getInstance(this.currentAccount).dialogs_dict.get(this.currentDialogId);
            if (dialog2 != null) {
                if (mask == 0) {
                    this.clearingDialog = MessagesController.getInstance(this.currentAccount).isClearingDialog(dialog2.id);
                    MessageObject messageObject3 = MessagesController.getInstance(this.currentAccount).dialogMessage.get(dialog2.id);
                    this.message = messageObject3;
                    if (messageObject3 != null) {
                        messageObject3.generateCaption();
                    }
                    MessageObject messageObject4 = this.message;
                    this.lastUnreadState = messageObject4 != null && messageObject4.isUnread();
                    this.unreadCount = dialog2.unread_count;
                    this.markUnread = dialog2.unread_mark;
                    this.mentionCount = dialog2.unread_mentions_count;
                    MessageObject messageObject5 = this.message;
                    this.currentEditDate = messageObject5 != null ? messageObject5.messageOwner.edit_date : 0;
                    this.lastMessageDate = dialog2.last_message_date;
                    this.drawPinIcon = this.currentDialogFolderId == 0 && dialog2.pinned;
                    MessageObject messageObject6 = this.message;
                    if (messageObject6 != null) {
                        this.lastSendState = messageObject6.messageOwner.send_state;
                    }
                }
            } else {
                this.unreadCount = 0;
                this.mentionCount = 0;
                this.currentEditDate = 0;
                this.lastMessageDate = 0;
                this.clearingDialog = false;
            }
        } else {
            this.drawPinIcon = false;
        }
        if (mask != 0) {
            boolean continueUpdate = false;
            if (this.user != null && (mask & 4) != 0) {
                this.user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.user.id));
                invalidate();
            }
            if (this.isDialogCell && (mask & 64) != 0) {
                CharSequence printString = MessagesController.getInstance(this.currentAccount).printingStrings.get(this.currentDialogId);
                CharSequence charSequence = this.lastPrintString;
                if ((charSequence != null && printString == null) || ((charSequence == null && printString != null) || (charSequence != null && printString != null && !charSequence.equals(printString)))) {
                    continueUpdate = true;
                }
            }
            if (!continueUpdate && (32768 & mask) != 0 && (messageObject2 = this.message) != null && messageObject2.messageText != this.lastMessageString) {
                continueUpdate = true;
            }
            if (!continueUpdate && (mask & 2) != 0 && this.chat == null) {
                continueUpdate = true;
            }
            if (!continueUpdate && (mask & 1) != 0 && this.chat == null) {
                continueUpdate = true;
            }
            if (!continueUpdate && (mask & 8) != 0 && this.user == null) {
                continueUpdate = true;
            }
            if (!continueUpdate && (mask & 16) != 0 && this.user == null) {
                continueUpdate = true;
            }
            if (!continueUpdate && (mask & 256) != 0) {
                MessageObject messageObject7 = this.message;
                if (messageObject7 != null && this.lastUnreadState != messageObject7.isUnread()) {
                    this.lastUnreadState = this.message.isUnread();
                    continueUpdate = true;
                } else if (this.isDialogCell && (dialog = MessagesController.getInstance(this.currentAccount).dialogs_dict.get(this.currentDialogId)) != null && (this.unreadCount != dialog.unread_count || this.markUnread != dialog.unread_mark || this.mentionCount != dialog.unread_mentions_count)) {
                    this.unreadCount = dialog.unread_count;
                    this.mentionCount = dialog.unread_mentions_count;
                    this.markUnread = dialog.unread_mark;
                    continueUpdate = true;
                }
            }
            if (!continueUpdate && (mask & 4096) != 0 && (messageObject = this.message) != null && this.lastSendState != messageObject.messageOwner.send_state) {
                this.lastSendState = this.message.messageOwner.send_state;
                continueUpdate = true;
            }
            if (!continueUpdate) {
                invalidate();
                return;
            }
        }
        this.user = null;
        this.chat = null;
        this.encryptedChat = null;
        if (this.currentDialogFolderId == 0) {
            this.dialogMuted = this.isDialogCell && MessagesController.getInstance(this.currentAccount).isDialogMuted(this.currentDialogId);
            dialogId = this.currentDialogId;
        } else {
            this.dialogMuted = false;
            MessageObject findFolderTopMessage = findFolderTopMessage();
            this.message = findFolderTopMessage;
            if (findFolderTopMessage != null) {
                dialogId = findFolderTopMessage.getDialogId();
            } else {
                dialogId = 0;
            }
        }
        if (dialogId != 0) {
            int lower_id = (int) dialogId;
            int high_id = (int) (dialogId >> 32);
            if (lower_id != 0) {
                if (lower_id >= 0) {
                    this.user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(lower_id));
                } else {
                    TLRPC.Chat chat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(-lower_id));
                    this.chat = chat;
                    if (!this.isDialogCell && chat != null && chat.migrated_to != null && (chat2 = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(this.chat.migrated_to.channel_id))) != null) {
                        this.chat = chat2;
                    }
                }
            } else {
                TLRPC.EncryptedChat encryptedChat = MessagesController.getInstance(this.currentAccount).getEncryptedChat(Integer.valueOf(high_id));
                this.encryptedChat = encryptedChat;
                if (encryptedChat != null) {
                    this.user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.encryptedChat.user_id));
                }
            }
        }
        if (this.currentDialogFolderId != 0) {
            Theme.dialogs_archiveAvatarDrawable.setCallback(this);
            this.avatarDrawable.setAvatarType(3);
            this.avatarImage.setImage(null, null, this.avatarDrawable, null, this.user, 0);
        } else {
            TLRPC.User user = this.user;
            if (user != null) {
                this.avatarDrawable.setInfo(user);
                if (!UserObject.isUserSelf(this.user)) {
                    this.avatarImage.setImage(ImageLocation.getForUser(this.user, false), "50_50", this.avatarDrawable, null, this.user, 0);
                } else {
                    this.avatarDrawable.setAvatarType(1);
                    this.avatarImage.setImage(null, null, this.avatarDrawable, null, this.user, 0);
                }
            } else {
                TLRPC.Chat chat3 = this.chat;
                if (chat3 != null) {
                    this.avatarDrawable.setInfo(chat3);
                    this.avatarImage.setImage(ImageLocation.getForChat(this.chat, false), "50_50", this.avatarDrawable, null, this.chat, 0);
                }
            }
        }
        if (getMeasuredWidth() != 0 || getMeasuredHeight() != 0) {
            buildLayout();
        } else {
            requestLayout();
        }
        invalidate();
    }

    public void drawCheckBox(Canvas canvas) {
        if (this.checkBox != null) {
            if (this.checkBoxVisible || this.checkBoxAnimationInProgress) {
                canvas.save();
                canvas.translate(0.0f, getTop());
                this.checkBox.draw(canvas);
                canvas.restore();
            }
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:302:0x0885  */
    /* JADX WARN: Removed duplicated region for block: B:305:0x088c  */
    /* JADX WARN: Removed duplicated region for block: B:311:0x08de  */
    /* JADX WARN: Removed duplicated region for block: B:320:0x0932  */
    /* JADX WARN: Removed duplicated region for block: B:326:0x0947  */
    /* JADX WARN: Removed duplicated region for block: B:334:0x095e  */
    /* JADX WARN: Removed duplicated region for block: B:343:0x0984  */
    /* JADX WARN: Removed duplicated region for block: B:354:0x09ae  */
    /* JADX WARN: Removed duplicated region for block: B:360:0x09c2  */
    /* JADX WARN: Removed duplicated region for block: B:371:0x09eb  */
    /* JADX WARN: Removed duplicated region for block: B:382:0x0a0f  */
    /* JADX WARN: Removed duplicated region for block: B:388:? A[RETURN, SYNTHETIC] */
    @Override // android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    protected void onDraw(Canvas canvas) {
        long dt;
        float f;
        boolean needInvalidate;
        boolean isOnline;
        boolean z;
        float f2;
        int i;
        if (this.currentDialogId == 0) {
            return;
        }
        boolean needInvalidate2 = false;
        long newTime = SystemClock.uptimeMillis();
        long dt2 = newTime - this.lastUpdateTime;
        if (dt2 <= 17) {
            dt = dt2;
        } else {
            dt = 17;
        }
        this.lastUpdateTime = newTime;
        if (this.clipProgress != 0.0f && Build.VERSION.SDK_INT != 24) {
            canvas.save();
            canvas.clipRect(0.0f, this.topClip * this.clipProgress, getMeasuredWidth(), getMeasuredHeight() - ((int) (this.bottomClip * this.clipProgress)));
        }
        RLottieDrawable rLottieDrawable = this.translationDrawable;
        if (rLottieDrawable != null) {
            rLottieDrawable.stop();
            this.translationDrawable.setProgress(0.0f);
            this.translationDrawable.setCallback(null);
            this.translationDrawable = null;
            this.translationAnimationStarted = false;
        }
        if (this.translationX != 0.0f) {
            canvas.save();
            canvas.translate(this.translationX, 0.0f);
        }
        if (this.checkBox != null && (this.checkBoxVisible || this.checkBoxAnimationInProgress)) {
            canvas.save();
            canvas.translate(0.0f, getTop());
            this.checkBox.draw(canvas);
            canvas.restore();
            int size = AndroidUtilities.dp(20.0f);
            boolean z2 = this.checkBoxVisible;
            if ((z2 && this.checkBoxAnimationProgress == 1.0f) || (!z2 && this.checkBoxAnimationProgress == 0.0f)) {
                this.checkBoxAnimationInProgress = false;
            }
            Interpolator interpolator = z2 ? CubicBezierInterpolator.EASE_OUT : CubicBezierInterpolator.EASE_IN;
            int ceil = (int) Math.ceil(interpolator.getInterpolation(this.checkBoxAnimationProgress) * AndroidUtilities.dp(25.0f));
            this.checkBoxTranslation = ceil;
            setTranslationX(ceil);
            int x = AndroidUtilities.dp(-30.0f) + this.checkBoxTranslation;
            if (this.position == 2) {
                Log.i("mmm", "checkBoxAnimationProgress = " + this.checkBoxAnimationProgress + " , checkBoxTranslation = " + this.checkBoxTranslation + " , x = " + x);
            }
            this.checkBox.setBounds(AndroidUtilities.dp(-40.0f) + this.checkBoxTranslation, (getMeasuredHeight() / 2) - (size / 2), size, size);
            if (this.checkBoxAnimationInProgress) {
                long newTime1 = SystemClock.uptimeMillis();
                long dt1 = newTime1 - this.lastCheckBoxAnimationTime;
                this.lastCheckBoxAnimationTime = newTime1;
                if (this.checkBoxVisible) {
                    float f3 = this.checkBoxAnimationProgress + (((float) dt1) / 200.0f);
                    this.checkBoxAnimationProgress = f3;
                    if (f3 > 1.0f) {
                        this.checkBoxAnimationProgress = 1.0f;
                    }
                    needInvalidate2 = true;
                } else {
                    float f4 = this.checkBoxAnimationProgress - (((float) dt) / 200.0f);
                    this.checkBoxAnimationProgress = f4;
                    if (f4 <= 0.0f) {
                        this.checkBoxAnimationProgress = 0.0f;
                    }
                    needInvalidate2 = true;
                }
            }
        }
        if (this.currentDialogFolderId != 0) {
            if (SharedConfig.archiveHidden && this.archiveBackgroundProgress == 0.0f) {
                f = 1.0f;
            } else {
                Theme.dialogs_pinnedPaint.setColor(AndroidUtilities.getOffsetColor(0, Theme.getColor(Theme.key_chats_pinnedOverlay), this.archiveBackgroundProgress, 1.0f));
                f = 1.0f;
                canvas.drawRect(0.0f, 0.0f, getMeasuredWidth(), getMeasuredHeight(), Theme.dialogs_pinnedPaint);
            }
        } else {
            f = 1.0f;
        }
        if (this.translationX != 0.0f || this.cornerProgress != 0.0f) {
            canvas.save();
            Theme.dialogs_pinnedPaint.setColor(Theme.getColor(Theme.key_windowBackgroundWhite));
            this.rect.set(getMeasuredWidth() - AndroidUtilities.dp(64.0f), 0.0f, getMeasuredWidth(), getMeasuredHeight());
            canvas.drawRoundRect(this.rect, AndroidUtilities.dp(8.0f) * this.cornerProgress, AndroidUtilities.dp(8.0f) * this.cornerProgress, Theme.dialogs_pinnedPaint);
            if (this.currentDialogFolderId != 0 && (!SharedConfig.archiveHidden || this.archiveBackgroundProgress != 0.0f)) {
                Theme.dialogs_pinnedPaint.setColor(AndroidUtilities.getOffsetColor(0, Theme.getColor(Theme.key_chats_pinnedOverlay), this.archiveBackgroundProgress, f));
                canvas.drawRoundRect(this.rect, AndroidUtilities.dp(8.0f) * this.cornerProgress, AndroidUtilities.dp(8.0f) * this.cornerProgress, Theme.dialogs_pinnedPaint);
            } else if (this.drawPinIcon || this.drawPinBackground) {
                Theme.dialogs_pinnedPaint.setColor(Theme.getColor(Theme.key_chats_pinnedOverlay));
                canvas.drawRoundRect(this.rect, AndroidUtilities.dp(8.0f) * this.cornerProgress, AndroidUtilities.dp(8.0f) * this.cornerProgress, Theme.dialogs_pinnedPaint);
            }
            canvas.restore();
        }
        if (this.translationX != 0.0f) {
            float f5 = this.cornerProgress;
            if (f5 < f) {
                float f6 = f5 + (((float) dt) / 150.0f);
                this.cornerProgress = f6;
                if (f6 > f) {
                    this.cornerProgress = f;
                }
                needInvalidate = true;
            }
            needInvalidate = needInvalidate2;
        } else {
            float f7 = this.cornerProgress;
            if (f7 > 0.0f) {
                float f8 = f7 - (((float) dt) / 150.0f);
                this.cornerProgress = f8;
                if (f8 < 0.0f) {
                    this.cornerProgress = 0.0f;
                }
                needInvalidate = true;
            }
            needInvalidate = needInvalidate2;
        }
        if (this.nameLayout != null) {
            if (this.currentDialogFolderId != 0) {
                TextPaint textPaint = Theme.dialogs_namePaint;
                TextPaint textPaint2 = Theme.dialogs_namePaint;
                int color = Theme.getColor(Theme.key_chats_nameArchived);
                textPaint2.linkColor = color;
                textPaint.setColor(color);
            } else if (this.encryptedChat != null) {
                TextPaint textPaint3 = Theme.dialogs_namePaint;
                TextPaint textPaint4 = Theme.dialogs_namePaint;
                int color2 = Theme.getColor(Theme.key_chats_secretName);
                textPaint4.linkColor = color2;
                textPaint3.setColor(color2);
            } else {
                TextPaint textPaint5 = Theme.dialogs_namePaint;
                TextPaint textPaint6 = Theme.dialogs_namePaint;
                int color3 = Theme.getColor(Theme.key_chats_name);
                textPaint6.linkColor = color3;
                textPaint5.setColor(color3);
            }
            canvas.save();
            canvas.translate(this.nameLeft, this.topOffset);
            this.nameLayout.draw(canvas);
            canvas.restore();
        }
        if (this.timeLayout != null && this.currentDialogFolderId == 0) {
            canvas.save();
            canvas.translate(this.timeLeft, this.timeTop);
            this.timeLayout.draw(canvas);
            canvas.restore();
        }
        if (this.messageNameLayout != null) {
            if (this.currentDialogFolderId != 0) {
                TextPaint textPaint7 = Theme.dialogs_messageNamePaint;
                TextPaint textPaint8 = Theme.dialogs_messageNamePaint;
                int color4 = Theme.getColor(Theme.key_chats_nameMessageArchived_threeLines);
                textPaint8.linkColor = color4;
                textPaint7.setColor(color4);
            } else if (this.draftMessage != null) {
                TextPaint textPaint9 = Theme.dialogs_messageNamePaint;
                TextPaint textPaint10 = Theme.dialogs_messageNamePaint;
                int color5 = Theme.getColor(Theme.key_chats_draft);
                textPaint10.linkColor = color5;
                textPaint9.setColor(color5);
            } else {
                TextPaint textPaint11 = Theme.dialogs_messageNamePaint;
                TextPaint textPaint12 = Theme.dialogs_messageNamePaint;
                int color6 = Theme.getColor(Theme.key_chats_nameMessage_threeLines);
                textPaint12.linkColor = color6;
                textPaint11.setColor(color6);
            }
            canvas.save();
            canvas.translate(this.messageNameLeft, this.messageNameTop);
            try {
                this.messageNameLayout.draw(canvas);
            } catch (Exception e) {
                FileLog.e(e);
            }
            canvas.restore();
        }
        if (this.messageLayout != null) {
            if (this.currentDialogFolderId != 0) {
                if (this.chat != null) {
                    TextPaint textPaint13 = Theme.dialogs_messagePaint;
                    TextPaint textPaint14 = Theme.dialogs_messagePaint;
                    int color7 = Theme.getColor(Theme.key_chats_nameMessageArchived);
                    textPaint14.linkColor = color7;
                    textPaint13.setColor(color7);
                } else {
                    TextPaint textPaint15 = Theme.dialogs_messagePaint;
                    TextPaint textPaint16 = Theme.dialogs_messagePaint;
                    int color8 = Theme.getColor(Theme.key_chats_messageArchived);
                    textPaint16.linkColor = color8;
                    textPaint15.setColor(color8);
                }
            } else {
                TextPaint textPaint17 = Theme.dialogs_messagePaint;
                TextPaint textPaint18 = Theme.dialogs_messagePaint;
                int color9 = Theme.getColor(Theme.key_chats_message);
                textPaint18.linkColor = color9;
                textPaint17.setColor(color9);
            }
            canvas.save();
            canvas.translate(this.messageLeft, this.messageTop);
            try {
                this.messageLayout.draw(canvas);
            } catch (Exception e2) {
                FileLog.e(e2);
            }
            canvas.restore();
        }
        if (this.currentDialogFolderId == 0) {
            if (this.drawClockIcon) {
                int w = AndroidUtilities.dp(13.0f);
                setDrawableBounds(Theme.dialogs_clockDrawable, this.clockDrawLeft, this.clockDrawTop, w, w);
                Theme.dialogs_clockDrawable.draw(canvas);
            }
            if (this.drawCheck2 && !this.dialogMuted) {
                if (this.drawCheck1) {
                    setDrawableBounds(Theme.dialogs_checkReadDrawable1, getMeasuredWidth() - AndroidUtilities.dp(14.0f), AndroidUtilities.dp(3.5f), AndroidUtilities.dp(10.5f), AndroidUtilities.dp(10.5f));
                    Theme.dialogs_checkReadDrawable1.draw(canvas);
                } else {
                    setDrawableBounds(Theme.dialogs_halfCheckDrawable1, getMeasuredWidth() - AndroidUtilities.dp(14.0f), AndroidUtilities.dp(3.5f), AndroidUtilities.dp(10.5f), AndroidUtilities.dp(10.5f));
                    Theme.dialogs_halfCheckDrawable1.draw(canvas);
                }
            }
        }
        if (this.dialogMuted && !this.drawVerifiedIcon && !this.drawScam) {
            setDrawableBounds(Theme.dialogs_muteDrawable, getMeasuredWidth() - AndroidUtilities.dp(13.5f), AndroidUtilities.dp(3.5f), AndroidUtilities.dp(10.0f), AndroidUtilities.dp(10.0f));
            Theme.dialogs_muteDrawable.draw(canvas);
        } else if (this.drawVerifiedIcon) {
            setDrawableBounds(Theme.dialogs_verifiedDrawable, this.nameMuteLeft, this.topOffset + 2.0f);
            setDrawableBounds(Theme.dialogs_verifiedCheckDrawable, this.nameMuteLeft, this.topOffset + 2.0f);
            Theme.dialogs_verifiedDrawable.draw(canvas);
            Theme.dialogs_verifiedCheckDrawable.draw(canvas);
        } else if (this.drawScam) {
            setDrawableBounds(Theme.dialogs_scamDrawable, this.nameMuteLeft, this.topOffset + 2.0f);
            Theme.dialogs_scamDrawable.draw(canvas);
        }
        if (this.drawReorder || this.reorderIconProgress != 0.0f) {
            Theme.dialogs_reorderDrawable.setAlpha((int) (this.reorderIconProgress * 255.0f));
            setDrawableBounds(Theme.dialogs_reorderDrawable, this.recorderLeft, this.recorderTop);
            Theme.dialogs_reorderDrawable.draw(canvas);
        }
        if (this.drawPinIcon) {
            Theme.dialogs_pinnedDrawable.setAlpha((int) ((f - this.reorderIconProgress) * 255.0f));
            setDrawableBounds(Theme.dialogs_pinnedDrawable, this.pinLeft, this.pinTop, AndroidUtilities.dp(30.0f), AndroidUtilities.dp(30.0f));
            Theme.dialogs_pinnedDrawable.draw(canvas);
        }
        if (this.drawErrorIcon) {
            Theme.dialogs_errorDrawable.setAlpha((int) ((f - this.reorderIconProgress) * 255.0f));
            this.rect.set(this.errorLeft, this.errorTop, i + AndroidUtilities.dp(13.0f), this.errorTop + AndroidUtilities.dp(13.0f));
            canvas.drawRoundRect(this.rect, AndroidUtilities.density * 6.5f, AndroidUtilities.density * 6.5f, Theme.dialogs_errorPaint);
            setDrawableBounds(Theme.dialogs_errorDrawable, this.errorLeft + AndroidUtilities.dp(5.2f), this.errorTop + AndroidUtilities.dp(2.0f), AndroidUtilities.dp(2.6f), AndroidUtilities.dp(9.0f));
            Theme.dialogs_errorDrawable.draw(canvas);
        } else {
            boolean z3 = this.drawCount;
            if (z3 || this.drawMentionIcon) {
                if (z3) {
                    Paint paint = (this.dialogMuted || this.currentDialogFolderId != 0) ? Theme.dialogs_countGrayPaint : Theme.dialogs_countPaint;
                    paint.setAlpha((int) ((f - this.reorderIconProgress) * 255.0f));
                    Theme.dialogs_countTextPaint.setAlpha((int) ((f - this.reorderIconProgress) * 255.0f));
                    if (!this.countIsBiggerThanTen) {
                        int x2 = this.countLeft - AndroidUtilities.dp(4.0f);
                        float w2 = this.countWidth + AndroidUtilities.dp(8.0f);
                        int i2 = this.countTop;
                        this.rect.set(x2, i2, x2 + w2, i2 + w2);
                        canvas.drawRoundRect(this.rect, w2 / 2.0f, w2 / 2.0f, paint);
                    } else {
                        int x3 = this.countLeft - AndroidUtilities.dp(6.0f);
                        float radius = AndroidUtilities.dp(8.0f);
                        this.rect.set(x3, this.countTop, this.countWidth + x3 + AndroidUtilities.dp(10.0f), this.countTop + AndroidUtilities.dp(16.0f));
                        canvas.drawRoundRect(this.rect, radius, radius, paint);
                    }
                    if (this.countLayout != null) {
                        canvas.save();
                        canvas.translate(this.countLeft - AndroidUtilities.dp(this.countIsBiggerThanTen ? 1.0f : 0.5f), this.countTop + AndroidUtilities.dp(this.countIsBiggerThanTen ? 2.0f : 3.0f));
                        this.countLayout.draw(canvas);
                        canvas.restore();
                    }
                }
                if (this.drawMentionIcon) {
                    Theme.dialogs_countPaint.setAlpha((int) ((1.0f - this.reorderIconProgress) * 255.0f));
                    int x4 = this.mentionLeft - AndroidUtilities.dp(5.5f);
                    float w3 = this.mentionWidth + AndroidUtilities.dp(8.0f);
                    int i3 = this.countTop;
                    this.rect.set(x4, i3, x4 + w3, i3 + w3);
                    canvas.drawRoundRect(this.rect, w3 / 2.0f, w3 / 2.0f, (!this.dialogMuted || this.folderId == 0) ? Theme.dialogs_countPaint : Theme.dialogs_countGrayPaint);
                    if (this.mentionLayout != null) {
                        Theme.dialogs_countTextPaint.setAlpha((int) ((1.0f - this.reorderIconProgress) * 255.0f));
                        canvas.save();
                        canvas.translate(this.mentionLeft, this.countTop + AndroidUtilities.dp(4.0f));
                        this.mentionLayout.draw(canvas);
                        canvas.restore();
                    } else {
                        Theme.dialogs_mentionDrawable.setAlpha((int) ((1.0f - this.reorderIconProgress) * 255.0f));
                        setDrawableBounds(Theme.dialogs_mentionDrawable, this.mentionLeft - AndroidUtilities.dp(2.0f), this.countTop + AndroidUtilities.dp(3.2f), AndroidUtilities.dp(11.0f), AndroidUtilities.dp(11.0f));
                        Theme.dialogs_mentionDrawable.draw(canvas);
                    }
                }
            }
        }
        if (this.animatingArchiveAvatar) {
            canvas.save();
            float scale = this.interpolator.getInterpolation(this.animatingArchiveAvatarProgress / 170.0f) + 1.0f;
            canvas.scale(scale, scale, this.avatarImage.getCenterX(), this.avatarImage.getCenterY());
        }
        this.avatarImage.draw(canvas);
        if (this.animatingArchiveAvatar) {
            canvas.restore();
        }
        if (this.drawSecretLockIcon) {
            int height = Theme.dialogs_lockDrawable.getIntrinsicHeight();
            setDrawableBounds(Theme.dialogs_lockDrawable, this.avatarLeft, (int) ((this.topOffset + this.avatarImage.getImageHeight()) - height), Theme.dialogs_lockDrawable.getIntrinsicWidth(), height);
            Theme.dialogs_lockDrawable.draw(canvas);
        } else if (this.drawGroupIcon) {
            setDrawableBounds(Theme.dialogs_groupDrawable, this.avatarLeft, (int) ((this.topOffset + this.avatarImage.getImageHeight()) - AndroidUtilities.dp(7.5f)), AndroidUtilities.dp(19.0f), AndroidUtilities.dp(7.5f));
            Theme.dialogs_groupDrawable.draw(canvas);
        } else if (this.drawBroadcastIcon) {
            int height2 = Theme.dialogs_broadcastDrawable.getIntrinsicHeight();
            setDrawableBounds(Theme.dialogs_broadcastDrawable, this.avatarLeft, (int) ((this.topOffset + this.avatarImage.getImageHeight()) - height2), Theme.dialogs_broadcastDrawable.getIntrinsicWidth(), height2);
            Theme.dialogs_broadcastDrawable.draw(canvas);
        } else if (this.drawBotIcon) {
            int height3 = Theme.dialogs_botDrawable.getIntrinsicHeight();
            setDrawableBounds(Theme.dialogs_botDrawable, this.avatarLeft, (int) ((this.topOffset + this.avatarImage.getImageHeight()) - height3), Theme.dialogs_botDrawable.getIntrinsicWidth(), height3);
            Theme.dialogs_botDrawable.draw(canvas);
        }
        TLRPC.User user = this.user;
        if (user != null && this.isDialogCell && this.currentDialogFolderId == 0 && !MessagesController.isSupportUser(user) && !this.user.bot) {
            boolean isOnline2 = !this.user.self && ((this.user.status != null && this.user.status.expires > ConnectionsManager.getInstance(this.currentAccount).getCurrentTime()) || MessagesController.getInstance(this.currentAccount).onlinePrivacy.containsKey(Integer.valueOf(this.user.id)));
            if (isOnline2 || this.onlineProgress != 0.0f) {
                int imageY2 = this.avatarImage.getImageY2() - AndroidUtilities.dp((this.useForceThreeLines || SharedConfig.useThreeLinesLayout) ? 6.0f : 8.0f);
                if (LocaleController.isRTL) {
                    int imageX = this.avatarImage.getImageX() + AndroidUtilities.dp((this.useForceThreeLines || SharedConfig.useThreeLinesLayout) ? 10.0f : 6.0f);
                } else {
                    int imageX2 = this.avatarImage.getImageX2() - AndroidUtilities.dp((this.useForceThreeLines || SharedConfig.useThreeLinesLayout) ? 10.0f : 6.0f);
                }
                Theme.dialogs_onlineCirclePaint.setColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                Theme.dialogs_onlineCirclePaint.setColor(Theme.getColor(Theme.key_chats_onlineCircle));
                if (isOnline2) {
                    float f9 = this.onlineProgress;
                    if (f9 < 1.0f) {
                        float f10 = f9 + (((float) dt) / 150.0f);
                        this.onlineProgress = f10;
                        if (f10 > 1.0f) {
                            this.onlineProgress = 1.0f;
                        }
                        isOnline = true;
                    }
                } else {
                    float f11 = this.onlineProgress;
                    if (f11 > 0.0f) {
                        float f12 = f11 - (((float) dt) / 150.0f);
                        this.onlineProgress = f12;
                        if (f12 < 0.0f) {
                            this.onlineProgress = 0.0f;
                        }
                        isOnline = true;
                    }
                }
                if (this.translationX != 0.0f) {
                    canvas.restore();
                }
                if (this.useSeparator) {
                    int left = AndroidUtilities.dp(72.0f);
                    if (LocaleController.isRTL) {
                        canvas.drawLine(0.0f, getMeasuredHeight() - 1, getMeasuredWidth() - left, getMeasuredHeight() - 1, Theme.dividerPaint);
                    } else {
                        canvas.drawLine(left, getMeasuredHeight() - 1, getMeasuredWidth(), getMeasuredHeight() - 1, Theme.dividerPaint);
                    }
                }
                if (this.clipProgress != 0.0f) {
                    if (Build.VERSION.SDK_INT != 24) {
                        canvas.restore();
                    } else {
                        Theme.dialogs_pinnedPaint.setColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                        canvas.drawRect(0.0f, 0.0f, getMeasuredWidth(), this.clipProgress * this.topClip, Theme.dialogs_pinnedPaint);
                        canvas.drawRect(0.0f, getMeasuredHeight() - ((int) (this.bottomClip * this.clipProgress)), getMeasuredWidth(), getMeasuredHeight(), Theme.dialogs_pinnedPaint);
                    }
                }
                z = this.drawReorder;
                if (!z || this.reorderIconProgress != 0.0f) {
                    if (!z) {
                        float f13 = this.reorderIconProgress;
                        if (f13 < 1.0f) {
                            float f14 = f13 + (((float) dt) / 170.0f);
                            this.reorderIconProgress = f14;
                            if (f14 > 1.0f) {
                                this.reorderIconProgress = 1.0f;
                            }
                            isOnline = true;
                        }
                    } else {
                        float f15 = this.reorderIconProgress;
                        if (f15 > 0.0f) {
                            float f16 = f15 - (((float) dt) / 170.0f);
                            this.reorderIconProgress = f16;
                            if (f16 < 0.0f) {
                                this.reorderIconProgress = 0.0f;
                            }
                            isOnline = true;
                        }
                    }
                }
                if (!this.archiveHidden) {
                    float f17 = this.archiveBackgroundProgress;
                    if (f17 > 0.0f) {
                        this.archiveBackgroundProgress = f17 - (((float) dt) / 170.0f);
                        if (this.currentRevealBounceProgress < 0.0f) {
                            this.currentRevealBounceProgress = 0.0f;
                        }
                        if (this.avatarDrawable.getAvatarType() == 3) {
                            this.avatarDrawable.setArchivedAvatarHiddenProgress(this.archiveBackgroundProgress);
                        }
                        isOnline = true;
                    }
                } else {
                    float f18 = this.archiveBackgroundProgress;
                    if (f18 < 1.0f) {
                        this.archiveBackgroundProgress = f18 + (((float) dt) / 170.0f);
                        if (this.currentRevealBounceProgress > 1.0f) {
                            this.currentRevealBounceProgress = 1.0f;
                        }
                        if (this.avatarDrawable.getAvatarType() == 3) {
                            this.avatarDrawable.setArchivedAvatarHiddenProgress(this.archiveBackgroundProgress);
                        }
                        isOnline = true;
                    }
                }
                if (this.animatingArchiveAvatar) {
                    float f19 = this.animatingArchiveAvatarProgress + ((float) dt);
                    this.animatingArchiveAvatarProgress = f19;
                    if (f19 >= 170.0f) {
                        this.animatingArchiveAvatarProgress = 170.0f;
                        this.animatingArchiveAvatar = false;
                    }
                    isOnline = true;
                }
                if (!this.drawRevealBackground) {
                    float f20 = this.currentRevealBounceProgress;
                    if (f20 < 1.0f) {
                        float f21 = f20 + (((float) dt) / 170.0f);
                        this.currentRevealBounceProgress = f21;
                        if (f21 > 1.0f) {
                            this.currentRevealBounceProgress = 1.0f;
                            isOnline = true;
                        }
                    }
                    float f22 = this.currentRevealProgress;
                    if (f22 < 1.0f) {
                        float f23 = f22 + (((float) dt) / 300.0f);
                        this.currentRevealProgress = f23;
                        if (f23 > 1.0f) {
                            this.currentRevealProgress = 1.0f;
                        }
                        isOnline = true;
                    }
                } else {
                    if (this.currentRevealBounceProgress != 1.0f) {
                        f2 = 0.0f;
                    } else {
                        f2 = 0.0f;
                        this.currentRevealBounceProgress = 0.0f;
                        isOnline = true;
                    }
                    float f24 = this.currentRevealProgress;
                    if (f24 > f2) {
                        float f25 = f24 - (((float) dt) / 300.0f);
                        this.currentRevealProgress = f25;
                        if (f25 < f2) {
                            this.currentRevealProgress = f2;
                        }
                        isOnline = true;
                    }
                }
                if (!isOnline) {
                    invalidate();
                    return;
                }
                return;
            }
        }
        isOnline = needInvalidate;
        if (this.translationX != 0.0f) {
        }
        if (this.useSeparator) {
        }
        if (this.clipProgress != 0.0f) {
        }
        z = this.drawReorder;
        if (!z) {
        }
        if (!z) {
        }
        if (!this.archiveHidden) {
        }
        if (this.animatingArchiveAvatar) {
        }
        if (!this.drawRevealBackground) {
        }
        if (!isOnline) {
        }
    }

    public void onReorderStateChanged(boolean reordering, boolean animated) {
        boolean z = this.drawPinIcon;
        if ((!z && reordering) || this.drawReorder == reordering) {
            if (!z) {
                this.drawReorder = false;
                return;
            }
            return;
        }
        this.drawReorder = reordering;
        if (animated) {
            this.reorderIconProgress = reordering ? 0.0f : 1.0f;
        } else {
            this.reorderIconProgress = reordering ? 1.0f : 0.0f;
        }
        invalidate();
    }

    public void setSliding(boolean value) {
        this.isSliding = value;
    }

    @Override // android.view.View, android.graphics.drawable.Drawable.Callback
    public void invalidateDrawable(Drawable who) {
        if (who == this.translationDrawable || who == Theme.dialogs_archiveAvatarDrawable) {
            invalidate(who.getBounds());
        } else {
            super.invalidateDrawable(who);
        }
    }

    @Override // im.uecahxyvjd.ui.cells.BaseCell, android.view.View
    public boolean hasOverlappingRendering() {
        return false;
    }

    @Override // android.view.View
    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo info) {
        super.onInitializeAccessibilityNodeInfo(info);
        info.addAction(16);
        info.addAction(32);
    }

    @Override // android.view.View
    public void onPopulateAccessibilityEvent(AccessibilityEvent event) {
        TLRPC.User fromUser;
        super.onPopulateAccessibilityEvent(event);
        StringBuilder sb = new StringBuilder();
        if (this.currentDialogFolderId == 1) {
            sb.append(LocaleController.getString("ArchivedChats", R.string.ArchivedChats));
            sb.append(". ");
        } else {
            if (this.encryptedChat != null) {
                sb.append(LocaleController.getString("AccDescrSecretChat", R.string.AccDescrSecretChat));
                sb.append(". ");
            }
            TLRPC.User user = this.user;
            if (user != null) {
                if (user.bot) {
                    sb.append(LocaleController.getString("Bot", R.string.Bot));
                    sb.append(". ");
                }
                if (this.user.self) {
                    sb.append(LocaleController.getString("SavedMessages", R.string.SavedMessages));
                } else {
                    sb.append(ContactsController.formatName(this.user.first_name, this.user.last_name));
                }
                sb.append(". ");
            } else {
                TLRPC.Chat chat = this.chat;
                if (chat != null) {
                    if (chat.broadcast) {
                        sb.append(LocaleController.getString("AccDescrChannel", R.string.AccDescrChannel));
                    } else {
                        sb.append(LocaleController.getString("AccDescrGroup", R.string.AccDescrGroup));
                    }
                    sb.append(". ");
                    sb.append(this.chat.title);
                    sb.append(". ");
                }
            }
        }
        int i = this.unreadCount;
        if (i > 0) {
            sb.append(LocaleController.formatPluralString("NewMessages", i));
            sb.append(". ");
        }
        MessageObject messageObject = this.message;
        if (messageObject == null || this.currentDialogFolderId != 0) {
            event.setContentDescription(sb.toString());
            return;
        }
        int lastDate = this.lastMessageDate;
        if (this.lastMessageDate == 0 && messageObject != null) {
            lastDate = messageObject.messageOwner.date;
        }
        String date = LocaleController.formatDateAudio(lastDate);
        if (this.message.isOut()) {
            sb.append(LocaleController.formatString("AccDescrSentDate", R.string.AccDescrSentDate, date));
        } else {
            sb.append(LocaleController.formatString("AccDescrReceivedDate", R.string.AccDescrReceivedDate, date));
        }
        sb.append(". ");
        if (this.chat != null && !this.message.isOut() && this.message.isFromUser() && this.message.messageOwner.action == null && (fromUser = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.message.messageOwner.from_id))) != null) {
            sb.append(ContactsController.formatName(fromUser.first_name, fromUser.last_name));
            sb.append(". ");
        }
        if (this.encryptedChat == null) {
            sb.append(this.message.messageText);
            if (!this.message.isMediaEmpty() && !TextUtils.isEmpty(this.message.caption)) {
                sb.append(". ");
                sb.append(this.message.caption);
            }
        }
        event.setContentDescription(sb.toString());
    }

    public void setClipProgress(float value) {
        this.clipProgress = value;
        invalidate();
    }

    public float getClipProgress() {
        return this.clipProgress;
    }

    public void setTopClip(int value) {
        this.topClip = value;
    }

    public void setBottomClip(int value) {
        this.bottomClip = value;
    }
}
