package im.uecahxyvjd.ui.cells;

import android.animation.TypeEvaluator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.Point;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Typeface;
import android.graphics.drawable.BitmapDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.RippleDrawable;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.SystemClock;
import android.text.Layout;
import android.text.Spannable;
import android.text.SpannableStringBuilder;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.style.CharacterStyle;
import android.text.style.ClickableSpan;
import android.text.style.URLSpan;
import android.util.DisplayMetrics;
import android.util.Log;
import android.util.SparseArray;
import android.util.StateSet;
import android.view.Display;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewStructure;
import android.view.WindowManager;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.accessibility.AccessibilityNodeProvider;
import android.view.animation.Interpolator;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import com.blankj.utilcode.util.GsonUtils;
import com.blankj.utilcode.util.SpanUtils;
import com.blankj.utilcode.util.TimeUtils;
import com.bumptech.glide.load.resource.bitmap.HardwareConfigState;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.util.MimeTypes;
import com.google.android.gms.common.Scopes;
import com.google.android.gms.common.internal.ImagesContract;
import com.google.firebase.remoteconfig.FirebaseRemoteConfig;
import com.google.mlkit.common.MlKitException;
import com.king.zxing.util.LogUtils;
import com.serenegiant.usb.UVCCamera;
import im.uecahxyvjd.javaBean.ChatFCAttentionBean;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.BuildVars;
import im.uecahxyvjd.messenger.ChatObject;
import im.uecahxyvjd.messenger.ContactsController;
import im.uecahxyvjd.messenger.DownloadController;
import im.uecahxyvjd.messenger.Emoji;
import im.uecahxyvjd.messenger.FileLoader;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.ImageLoader;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.ImageReceiver;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MediaController;
import im.uecahxyvjd.messenger.MessageObject;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.SendMessagesHelper;
import im.uecahxyvjd.messenger.SharedConfig;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.messenger.Utilities;
import im.uecahxyvjd.messenger.WebFile;
import im.uecahxyvjd.messenger.browser.Browser;
import im.uecahxyvjd.messenger.utils.DataTools;
import im.uecahxyvjd.phoneformat.PhoneFormat;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.TLApiModel;
import im.uecahxyvjd.tgnet.TLJsonResolve;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCContacts;
import im.uecahxyvjd.tgnet.TLRPCRedpacket;
import im.uecahxyvjd.ui.PhotoViewer;
import im.uecahxyvjd.ui.SecretMediaViewer;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.cells.ChatMessageCell;
import im.uecahxyvjd.ui.components.AnimatedFileDrawable;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.CheckBoxBase;
import im.uecahxyvjd.ui.components.CubicBezierInterpolator;
import im.uecahxyvjd.ui.components.LinkPath;
import im.uecahxyvjd.ui.components.RadialProgress2;
import im.uecahxyvjd.ui.components.RoundVideoPlayingDrawable;
import im.uecahxyvjd.ui.components.SeekBar;
import im.uecahxyvjd.ui.components.SeekBarWaveform;
import im.uecahxyvjd.ui.components.StaticLayoutEx;
import im.uecahxyvjd.ui.components.TextStyleSpan;
import im.uecahxyvjd.ui.components.TypefaceSpan;
import im.uecahxyvjd.ui.components.URLSpanBotCommand;
import im.uecahxyvjd.ui.components.URLSpanBrowser;
import im.uecahxyvjd.ui.components.URLSpanMono;
import im.uecahxyvjd.ui.components.URLSpanNoUnderline;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.hui.friendscircle_v1.view.LinkMovementClickMethod;
import im.uecahxyvjd.ui.hui.packet.bean.RedpacketBean;
import im.uecahxyvjd.ui.hui.packet.bean.RedpacketResponse;
import im.uecahxyvjd.ui.hui.transfer.bean.TransferResponse;
import im.uecahxyvjd.ui.hviews.MryImageView;
import im.uecahxyvjd.ui.hviews.MryTextView;
import java.io.File;
import java.math.BigDecimal;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Locale;
import java.util.Map;
import org.slf4j.Marker;
/* loaded from: classes9.dex */
public class ChatMessageCell extends BaseCell implements SeekBar.SeekBarDelegate, ImageReceiver.ImageReceiverDelegate, DownloadController.FileDownloadProgressListener, NotificationCenter.NotificationCenterDelegate {
    private static final int DOCUMENT_ATTACH_TYPE_AUDIO = 3;
    private static final int DOCUMENT_ATTACH_TYPE_DOCUMENT = 1;
    private static final int DOCUMENT_ATTACH_TYPE_GIF = 2;
    private static final int DOCUMENT_ATTACH_TYPE_MUSIC = 5;
    private static final int DOCUMENT_ATTACH_TYPE_NONE = 0;
    private static final int DOCUMENT_ATTACH_TYPE_ROUND = 7;
    private static final int DOCUMENT_ATTACH_TYPE_STICKER = 6;
    private static final int DOCUMENT_ATTACH_TYPE_THEME = 9;
    private static final int DOCUMENT_ATTACH_TYPE_VIDEO = 4;
    private static final int DOCUMENT_ATTACH_TYPE_WALLPAPER = 8;
    private static final int mOffset = AndroidUtilities.dp(4.5f);
    private int TAG;
    private SparseArray<Rect> accessibilityVirtualViewBounds;
    private int addedCaptionHeight;
    private boolean addedForTest;
    private StaticLayout adminLayout;
    private boolean allowAssistant;
    private boolean animatePollAnswer;
    private boolean animatePollAnswerAlpha;
    private int animatingDrawVideoImageButton;
    private float animatingDrawVideoImageButtonProgress;
    private int animatingNoSound;
    private boolean animatingNoSoundPlaying;
    private float animatingNoSoundProgress;
    private boolean attachedToWindow;
    private StaticLayout authorLayout;
    private int authorX;
    private boolean autoPlayingMedia;
    private int availableTimeWidth;
    private AvatarDrawable avatarDrawable;
    private ImageReceiver avatarImage;
    private boolean avatarPressed;
    private int backgroundDrawableLeft;
    private int backgroundDrawableRight;
    private int backgroundWidth;
    private boolean blnAttachFileLoaded;
    private boolean blnImgExchanged;
    private ArrayList<BotButton> botButtons;
    private HashMap<String, BotButton> botButtonsByData;
    private HashMap<String, BotButton> botButtonsByPosition;
    private String botButtonsLayout;
    private boolean bottomNearToSet;
    private int buttonPressed;
    private int buttonState;
    private int buttonX;
    private int buttonY;
    private boolean canStreamVideo;
    private boolean cancelLoading;
    private int captionHeight;
    private StaticLayout captionLayout;
    private int captionOffsetX;
    private int captionWidth;
    private int captionX;
    private int captionY;
    private CheckBoxBase checkBox;
    private boolean checkBoxAnimationInProgress;
    private float checkBoxAnimationProgress;
    private int checkBoxTranslation;
    private boolean checkBoxVisible;
    private boolean checkOnlyButtonPressed;
    private boolean clickSysNotifyItem;
    private int clickSysNotifyPhotoImageViewIndex;
    private boolean clickSysNotifyVideoView;
    private AvatarDrawable contactAvatarDrawable;
    private float controlsAlpha;
    private int currentAccount;
    private Drawable currentBackgroundDrawable;
    private CharSequence currentCaption;
    private TLRPC.Chat currentChat;
    private int currentFocusedVirtualView;
    private TLRPC.Chat currentForwardChannel;
    private String currentForwardName;
    private String currentForwardNameString;
    private TLRPC.User currentForwardUser;
    private int currentMapProvider;
    private MessageObject currentMessageObject;
    private MessageObject.GroupedMessages currentMessagesGroup;
    private String currentNameString;
    private TLRPC.FileLocation currentPhoto;
    private String currentPhotoFilter;
    private String currentPhotoFilterThumb;
    private TLRPC.PhotoSize currentPhotoObject;
    private TLRPC.PhotoSize currentPhotoObjectThumb;
    private MessageObject.GroupedMessagePosition currentPosition;
    private TLRPC.PhotoSize currentReplyPhoto;
    private String currentTimeString;
    private String currentUrl;
    private TLRPC.User currentUser;
    private TLRPC.User currentViaBotUser;
    private String currentViewsString;
    private WebFile currentWebFile;
    private ChatMessageCellDelegate delegate;
    private RectF deleteProgressRect;
    private StaticLayout descriptionLayout;
    private int descriptionX;
    private int descriptionY;
    private boolean disallowLongPress;
    private StaticLayout docTitleLayout;
    private int docTitleOffsetX;
    private int docTitleWidth;
    private TLRPC.Document documentAttach;
    private int documentAttachType;
    private boolean drawBackground;
    private boolean drawForwardedName;
    private boolean drawImageButton;
    private boolean drawInstantView;
    private int drawInstantViewType;
    private boolean drawJoinChannelView;
    private boolean drawJoinGroupView;
    private boolean drawName;
    private boolean drawNameLayout;
    private boolean drawPhotoCheckBox;
    private boolean drawPhotoImage;
    private boolean drawPinnedBottom;
    private boolean drawPinnedTop;
    private boolean drawRadialCheckBackground;
    private boolean drawSelectionBackground;
    private boolean drawShareButton;
    private boolean drawTime;
    private boolean drawVideoImageButton;
    private boolean drawVideoSize;
    private boolean drwaShareGoIcon;
    private StaticLayout durationLayout;
    private int durationWidth;
    private boolean firstCircleLength;
    private int firstVisibleBlockNum;
    private boolean forceNotDrawTime;
    private boolean forwardBotPressed;
    private boolean forwardName;
    private int forwardNameCenterX;
    private float[] forwardNameOffsetX;
    private boolean forwardNamePressed;
    private int forwardNameX;
    private int forwardNameY;
    private StaticLayout[] forwardedNameLayout;
    private int forwardedNameWidth;
    private boolean fullyDraw;
    private boolean gamePreviewPressed;
    private boolean groupPhotoInvisible;
    private MessageObject.GroupedMessages groupedMessagesToSet;
    private boolean hasEmbed;
    private boolean hasGamePreview;
    private boolean hasInvoicePreview;
    private boolean hasLinkPreview;
    private int hasMiniProgress;
    private boolean hasNewLineForTime;
    private boolean hasOldCaptionPreview;
    private int highlightProgress;
    private int imageBackgroundColor;
    private int imageBackgroundSideColor;
    private int imageBackgroundSideWidth;
    private boolean imagePressed;
    private boolean inLayout;
    private StaticLayout infoLayout;
    private int infoWidth;
    private int infoX;
    private boolean instantButtonPressed;
    private RectF instantButtonRect;
    private boolean instantPressed;
    private int instantTextLeftX;
    private int instantTextX;
    private StaticLayout instantViewLayout;
    private int instantWidth;
    private Runnable invalidateRunnable;
    private boolean invalidatesParent;
    private boolean isAvatarVisible;
    public boolean isChat;
    private boolean isCheckPressed;
    private boolean isFirst;
    private boolean isHighlighted;
    private boolean isHighlightedAnimated;
    private boolean isLast;
    public boolean isMegagroup;
    private boolean isPressed;
    private boolean isSmallImage;
    private int keyboardHeight;
    private long lastAnimationTime;
    private long lastCheckBoxAnimationTime;
    private long lastControlsAlphaChangeTime;
    private int lastDeleteDate;
    private int lastHeight;
    private long lastHighlightProgressTime;
    private TLRPC.TL_poll lastPoll;
    private ArrayList<TLRPC.TL_pollAnswerVoters> lastPollResults;
    private int lastPollResultsVoters;
    private TLRPC.TL_messageReactions lastReactions;
    private int lastSendState;
    private int lastTime;
    private float lastTouchX;
    private float lastTouchY;
    private String lastTranslate;
    private int lastViewsCount;
    private int lastVisibleBlockNum;
    private int layoutHeight;
    private int layoutWidth;
    private View line;
    private int linkBlockNum;
    private int linkPreviewHeight;
    private boolean linkPreviewPressed;
    private int linkSelectionBlockNum;
    private boolean locationExpired;
    private ImageReceiver locationImageReceiver;
    private BaseFragment mBaseFragment;
    private Map<Integer, TLRPCContacts.NotifyMsg> mSysNotifyData;
    private int measuredAtWidth;
    private boolean mediaBackground;
    private int mediaOffsetY;
    private boolean mediaWasInvisible;
    private MessageObject messageObjectToSet;
    private int miniButtonPressed;
    private int miniButtonState;
    private StaticLayout nameLayout;
    private float nameOffsetX;
    private int nameWidth;
    private float nameX;
    private float nameY;
    private int namesOffset;
    private boolean needNewVisiblePart;
    private boolean needReplyImage;
    private int noSoundCenterX;
    private boolean otherPressed;
    private int otherX;
    private int otherY;
    private StaticLayout performerLayout;
    private int performerX;
    private float photo1Height;
    private float photo2Height;
    private float photo3Height;
    private float photo4Height;
    private float photo5Height;
    private CheckBoxBase photoCheckBox;
    private ImageReceiver photoFCImage;
    private ImageReceiver photoImage;
    public ImageReceiver photoImage1;
    public ImageReceiver photoImage2;
    public ImageReceiver photoImage3;
    public ImageReceiver photoImage4;
    public ImageReceiver photoImage5;
    private boolean photoNotSet;
    private TLObject photoParentObject;
    private StaticLayout photosCountLayout;
    private int photosCountWidth;
    private boolean pinnedBottom;
    private boolean pinnedTop;
    private float pollAnimationProgress;
    private float pollAnimationProgressTime;
    private ArrayList<PollButton> pollButtons;
    private boolean pollClosed;
    private boolean pollUnvoteInProgress;
    private boolean pollVoteInProgress;
    private int pollVoteInProgressNum;
    private boolean pollVoted;
    private int pressedBotButton;
    private CharacterStyle pressedLink;
    private int pressedLinkType;
    private int[] pressedState;
    private int pressedVoteButton;
    private RadialProgress2 radialProgress;
    private int radius;
    private RectF rect;
    private ImageReceiver replyImageReceiver;
    private StaticLayout replyNameLayout;
    private float replyNameOffset;
    private int replyNameWidth;
    private boolean replyPressed;
    private int replyStartX;
    private int replyStartY;
    private StaticLayout replyTextLayout;
    private float replyTextOffset;
    private int replyTextWidth;
    private RelativeLayout rlContainer;
    private RoundVideoPlayingDrawable roundVideoPlayingDrawable;
    private boolean scheduledInvalidate;
    private int[] screenSize;
    private Rect scrollRect;
    private SeekBar seekBar;
    private SeekBarWaveform seekBarWaveform;
    private int seekBarX;
    private int seekBarY;
    private Drawable selectorDrawable;
    private int selectorDrawableMaskType;
    private boolean sharePressed;
    private int shareStartX;
    private int shareStartY;
    private StaticLayout siteNameLayout;
    private boolean siteNameRtl;
    private int siteNameWidth;
    private StaticLayout songLayout;
    private int songX;
    private int substractBackgroundHeight;
    private StaticLayout textInfoLayout1;
    private StaticLayout textInfoLayout2;
    private StaticLayout textInfoLayout3;
    private StaticLayout textInfoLayout4;
    private StaticLayout textInfoLayout5;
    private int textX;
    private int textY;
    private float timeAlpha;
    private int timeAudioX;
    private StaticLayout timeLayout;
    private int timeTextWidth;
    private boolean timeWasInvisible;
    private int timeWidth;
    private int timeWidthAudio;
    private int timeX;
    private StaticLayout titleLayout;
    private int titleX;
    private boolean topNearToSet;
    private long totalChangeTime;
    private int totalHeight;
    private int totalVisibleBlocksCount;
    private Drawable transDrawable;
    private long transLastTime;
    private StaticLayout transLayout;
    private StaticLayout transLayoutDesc;
    private int transLoadingRencntcount;
    private int unmovedTextX;
    private ArrayList<LinkPath> urlPath;
    private ArrayList<LinkPath> urlPathCache;
    private ArrayList<LinkPath> urlPathSelection;
    private boolean useSeekBarWaweform;
    private int viaNameWidth;
    private TypefaceSpan viaSpan1;
    private TypefaceSpan viaSpan2;
    private int viaWidth;
    private int videoButtonPressed;
    private int videoButtonX;
    private int videoButtonY;
    private StaticLayout videoInfoLayout;
    private RadialProgress2 videoRadialProgress;
    private StaticLayout viewsLayout;
    private int viewsTextWidth;
    private float voteCurrentCircleLength;
    private float voteCurrentProgressTime;
    private long voteLastUpdateTime;
    private float voteRadOffset;
    private boolean voteRisingCircleLength;
    private boolean wasLayout;
    private boolean wasSending;
    private int widthBeforeNewTimeLine;
    private int widthForButtons;

    @Override // im.uecahxyvjd.ui.components.SeekBar.SeekBarDelegate
    public /* synthetic */ void onSeekBarContinuousDrag(float f) {
        SeekBar.SeekBarDelegate.CC.$default$onSeekBarContinuousDrag(this, f);
    }

    public int getClickSysNotifyPhotoImageViewIndex() {
        return this.clickSysNotifyPhotoImageViewIndex;
    }

    public boolean isClickSysNotifyItem() {
        return this.clickSysNotifyItem;
    }

    public void setIsFirstOrLast(boolean isFirst, boolean isLast) {
        this.isFirst = isFirst;
        this.isLast = isLast;
    }

    public static int[] getRawScreenSize(Context context) {
        int[] size = new int[2];
        WindowManager w = (WindowManager) context.getSystemService("window");
        Display d = w.getDefaultDisplay();
        DisplayMetrics metrics = new DisplayMetrics();
        d.getMetrics(metrics);
        int widthPixels = metrics.widthPixels;
        int heightPixels = metrics.heightPixels;
        try {
            Point realSize = new Point();
            Display.class.getMethod("getRealSize", Point.class).invoke(d, realSize);
            widthPixels = realSize.x;
            heightPixels = realSize.y;
        } catch (Exception e) {
        }
        size[0] = widthPixels;
        size[1] = heightPixels;
        return size;
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        if (id == NotificationCenter.fileDidLoad) {
            File fine = (File) args[1];
            File f = null;
            if (this.currentMessageObject.messageOwner.attachPath != null && this.currentMessageObject.messageOwner.attachPath.length() != 0) {
                f = new File(this.currentMessageObject.messageOwner.attachPath);
            }
            if (f == null || !f.exists()) {
                f = FileLoader.getPathToMessage(this.currentMessageObject.messageOwner);
            }
            if (fine.getPath().equals(f.getPath())) {
                this.blnAttachFileLoaded = true;
                setMessageObject(this.currentMessageObject, this.currentMessagesGroup, this.pinnedBottom, this.pinnedTop);
            }
        }
    }

    /* loaded from: classes9.dex */
    public interface ChatMessageCellDelegate {
        boolean canPerformActions();

        void didLongPress(ChatMessageCell chatMessageCell, float f, float f2);

        void didLongPressUserAvatar(ChatMessageCell chatMessageCell, TLRPC.User user, float f, float f2);

        void didPressBotButton(ChatMessageCell chatMessageCell, TLRPC.KeyboardButton keyboardButton);

        void didPressCancelSendButton(ChatMessageCell chatMessageCell);

        void didPressChannelAvatar(ChatMessageCell chatMessageCell, TLRPC.Chat chat, int i, float f, float f2);

        void didPressHiddenForward(ChatMessageCell chatMessageCell);

        void didPressImage(ChatMessageCell chatMessageCell, float f, float f2);

        void didPressInstantButton(ChatMessageCell chatMessageCell, int i);

        void didPressOther(ChatMessageCell chatMessageCell, float f, float f2);

        void didPressReaction(ChatMessageCell chatMessageCell, TLRPC.TL_reactionCount tL_reactionCount);

        void didPressRedpkgTransfer(ChatMessageCell chatMessageCell, MessageObject messageObject);

        void didPressReplyMessage(ChatMessageCell chatMessageCell, int i);

        void didPressShare(ChatMessageCell chatMessageCell);

        void didPressSysNotifyVideoFullPlayer(ChatMessageCell chatMessageCell);

        void didPressUrl(ChatMessageCell chatMessageCell, CharacterStyle characterStyle, boolean z);

        void didPressUserAvatar(ChatMessageCell chatMessageCell, TLRPC.User user, float f, float f2);

        void didPressViaBot(ChatMessageCell chatMessageCell, String str);

        void didPressVoteButton(ChatMessageCell chatMessageCell, TLRPC.TL_pollAnswer tL_pollAnswer);

        void didStartVideoStream(MessageObject messageObject);

        String getAdminRank(int i);

        void needOpenWebView(String str, String str2, String str3, String str4, int i, int i2);

        boolean needPlayMessage(MessageObject messageObject);

        void setShouldNotRepeatSticker(MessageObject messageObject);

        boolean shouldRepeatSticker(MessageObject messageObject);

        void videoTimerReached();

        /* renamed from: im.uecahxyvjd.ui.cells.ChatMessageCell$ChatMessageCellDelegate$-CC */
        /* loaded from: classes9.dex */
        public final /* synthetic */ class CC {
            public static void $default$didPressRedpkgTransfer(ChatMessageCellDelegate _this, ChatMessageCell cell, MessageObject object) {
            }

            public static void $default$didPressUserAvatar(ChatMessageCellDelegate _this, ChatMessageCell cell, TLRPC.User user, float touchX, float touchY) {
            }

            public static void $default$didLongPressUserAvatar(ChatMessageCellDelegate _this, ChatMessageCell cell, TLRPC.User user, float touchX, float touchY) {
            }

            public static void $default$didPressHiddenForward(ChatMessageCellDelegate _this, ChatMessageCell cell) {
            }

            public static void $default$didPressViaBot(ChatMessageCellDelegate _this, ChatMessageCell cell, String username) {
            }

            public static void $default$didPressChannelAvatar(ChatMessageCellDelegate _this, ChatMessageCell cell, TLRPC.Chat chat, int postId, float touchX, float touchY) {
            }

            public static void $default$didPressCancelSendButton(ChatMessageCellDelegate _this, ChatMessageCell cell) {
            }

            public static void $default$didLongPress(ChatMessageCellDelegate _this, ChatMessageCell cell, float x, float y) {
            }

            public static void $default$didPressReplyMessage(ChatMessageCellDelegate _this, ChatMessageCell cell, int id) {
            }

            public static void $default$didPressUrl(ChatMessageCellDelegate _this, ChatMessageCell cell, CharacterStyle url, boolean longPress) {
            }

            public static void $default$needOpenWebView(ChatMessageCellDelegate _this, String url, String title, String description, String originalUrl, int w, int h) {
            }

            public static void $default$didPressImage(ChatMessageCellDelegate _this, ChatMessageCell cell, float x, float y) {
            }

            public static void $default$didPressShare(ChatMessageCellDelegate _this, ChatMessageCell cell) {
            }

            public static void $default$didPressOther(ChatMessageCellDelegate _this, ChatMessageCell cell, float otherX, float otherY) {
            }

            public static void $default$didPressBotButton(ChatMessageCellDelegate _this, ChatMessageCell cell, TLRPC.KeyboardButton button) {
            }

            public static void $default$didPressReaction(ChatMessageCellDelegate _this, ChatMessageCell cell, TLRPC.TL_reactionCount reaction) {
            }

            public static void $default$didPressVoteButton(ChatMessageCellDelegate _this, ChatMessageCell cell, TLRPC.TL_pollAnswer button) {
            }

            public static void $default$didPressInstantButton(ChatMessageCellDelegate _this, ChatMessageCell cell, int type) {
            }

            public static String $default$getAdminRank(ChatMessageCellDelegate _this, int uid) {
                return null;
            }

            public static boolean $default$needPlayMessage(ChatMessageCellDelegate _this, MessageObject messageObject) {
                return false;
            }

            public static boolean $default$canPerformActions(ChatMessageCellDelegate _this) {
                return false;
            }

            public static void $default$videoTimerReached(ChatMessageCellDelegate _this) {
            }

            public static void $default$didStartVideoStream(ChatMessageCellDelegate _this, MessageObject message) {
            }

            public static boolean $default$shouldRepeatSticker(ChatMessageCellDelegate _this, MessageObject message) {
                return true;
            }

            public static void $default$setShouldNotRepeatSticker(ChatMessageCellDelegate _this, MessageObject message) {
            }

            public static void $default$didPressSysNotifyVideoFullPlayer(ChatMessageCellDelegate _this, ChatMessageCell cell) {
            }
        }
    }

    /* loaded from: classes9.dex */
    public class BotButton {
        private int angle;
        private TLRPC.KeyboardButton button;
        private int height;
        private long lastUpdateTime;
        private float progressAlpha;
        private TLRPC.TL_reactionCount reaction;
        private StaticLayout title;
        private int width;
        private int x;
        private int y;

        private BotButton() {
            ChatMessageCell.this = r1;
        }

        static /* synthetic */ float access$2316(BotButton x0, float x1) {
            float f = x0.progressAlpha + x1;
            x0.progressAlpha = f;
            return f;
        }

        static /* synthetic */ float access$2324(BotButton x0, float x1) {
            float f = x0.progressAlpha - x1;
            x0.progressAlpha = f;
            return f;
        }

        static /* synthetic */ int access$2416(BotButton x0, float x1) {
            int i = (int) (x0.angle + x1);
            x0.angle = i;
            return i;
        }

        static /* synthetic */ int access$2420(BotButton x0, int x1) {
            int i = x0.angle - x1;
            x0.angle = i;
            return i;
        }
    }

    /* loaded from: classes9.dex */
    public class PollButton {
        private TLRPC.TL_pollAnswer answer;
        private float decimal;
        private int height;
        private int percent;
        private float percentProgress;
        private int prevPercent;
        private float prevPercentProgress;
        private StaticLayout title;
        private int x;
        private int y;

        private PollButton() {
            ChatMessageCell.this = r1;
        }

        static /* synthetic */ int access$1512(PollButton x0, int x1) {
            int i = x0.percent + x1;
            x0.percent = i;
            return i;
        }

        static /* synthetic */ float access$2124(PollButton x0, float x1) {
            float f = x0.decimal - x1;
            x0.decimal = f;
            return f;
        }
    }

    public ChatMessageCell(Context context) {
        super(context);
        this.scrollRect = new Rect();
        this.instantButtonRect = new RectF();
        this.pressedState = new int[]{16842910, 16842919};
        this.deleteProgressRect = new RectF();
        this.rect = new RectF();
        this.timeAlpha = 1.0f;
        this.controlsAlpha = 1.0f;
        this.urlPathCache = new ArrayList<>();
        this.urlPath = new ArrayList<>();
        this.urlPathSelection = new ArrayList<>();
        this.pollButtons = new ArrayList<>();
        this.botButtons = new ArrayList<>();
        this.botButtonsByData = new HashMap<>();
        this.botButtonsByPosition = new HashMap<>();
        this.currentAccount = UserConfig.selectedAccount;
        this.isCheckPressed = true;
        this.drawBackground = true;
        this.backgroundWidth = 100;
        this.forwardedNameLayout = new StaticLayout[2];
        this.forwardNameOffsetX = new float[2];
        this.drawTime = true;
        this.blnImgExchanged = false;
        this.blnAttachFileLoaded = false;
        this.transLoadingRencntcount = 0;
        this.radius = AndroidUtilities.dp(10.0f);
        this.invalidateRunnable = new Runnable() { // from class: im.uecahxyvjd.ui.cells.ChatMessageCell.1
            {
                ChatMessageCell.this = this;
            }

            @Override // java.lang.Runnable
            public void run() {
                ChatMessageCell.this.checkLocationExpired();
                if (ChatMessageCell.this.locationExpired) {
                    ChatMessageCell.this.invalidate();
                    ChatMessageCell.this.scheduledInvalidate = false;
                    return;
                }
                ChatMessageCell chatMessageCell = ChatMessageCell.this;
                chatMessageCell.invalidate(((int) chatMessageCell.rect.left) - 5, ((int) ChatMessageCell.this.rect.top) - 5, ((int) ChatMessageCell.this.rect.right) + 5, ((int) ChatMessageCell.this.rect.bottom) + 5);
                if (ChatMessageCell.this.scheduledInvalidate) {
                    AndroidUtilities.runOnUIThread(ChatMessageCell.this.invalidateRunnable, 1000L);
                }
            }
        };
        this.accessibilityVirtualViewBounds = new SparseArray<>();
        this.currentFocusedVirtualView = -1;
        setPadding(0, AndroidUtilities.dp(7.0f), 0, AndroidUtilities.dp(7.0f));
        ImageReceiver imageReceiver = new ImageReceiver();
        this.avatarImage = imageReceiver;
        imageReceiver.setRoundRadius(AndroidUtilities.dp(7.5f));
        this.avatarDrawable = new AvatarDrawable();
        this.replyImageReceiver = new ImageReceiver(this);
        ImageReceiver imageReceiver2 = new ImageReceiver(this);
        this.locationImageReceiver = imageReceiver2;
        imageReceiver2.setRoundRadius(AndroidUtilities.dp(26.1f));
        this.TAG = DownloadController.getInstance(this.currentAccount).generateObserverTag();
        this.contactAvatarDrawable = new AvatarDrawable();
        ImageReceiver imageReceiver3 = new ImageReceiver(this);
        this.photoImage = imageReceiver3;
        imageReceiver3.setDelegate(this);
        this.radialProgress = new RadialProgress2(this);
        RadialProgress2 radialProgress2 = new RadialProgress2(this);
        this.videoRadialProgress = radialProgress2;
        radialProgress2.setDrawBackground(false);
        this.videoRadialProgress.setCircleRadius(AndroidUtilities.dp(15.0f));
        SeekBar seekBar = new SeekBar(context);
        this.seekBar = seekBar;
        seekBar.setDelegate(this);
        SeekBarWaveform seekBarWaveform = new SeekBarWaveform(context);
        this.seekBarWaveform = seekBarWaveform;
        seekBarWaveform.setDelegate(this);
        this.seekBarWaveform.setParentView(this);
        this.roundVideoPlayingDrawable = new RoundVideoPlayingDrawable(this);
        this.screenSize = getRawScreenSize(context);
    }

    public ChatMessageCell(Context context, BaseFragment baseFragment) {
        super(context);
        this.scrollRect = new Rect();
        this.instantButtonRect = new RectF();
        this.pressedState = new int[]{16842910, 16842919};
        this.deleteProgressRect = new RectF();
        this.rect = new RectF();
        this.timeAlpha = 1.0f;
        this.controlsAlpha = 1.0f;
        this.urlPathCache = new ArrayList<>();
        this.urlPath = new ArrayList<>();
        this.urlPathSelection = new ArrayList<>();
        this.pollButtons = new ArrayList<>();
        this.botButtons = new ArrayList<>();
        this.botButtonsByData = new HashMap<>();
        this.botButtonsByPosition = new HashMap<>();
        this.currentAccount = UserConfig.selectedAccount;
        this.isCheckPressed = true;
        this.drawBackground = true;
        this.backgroundWidth = 100;
        this.forwardedNameLayout = new StaticLayout[2];
        this.forwardNameOffsetX = new float[2];
        this.drawTime = true;
        this.blnImgExchanged = false;
        this.blnAttachFileLoaded = false;
        this.transLoadingRencntcount = 0;
        this.radius = AndroidUtilities.dp(10.0f);
        this.invalidateRunnable = new Runnable() { // from class: im.uecahxyvjd.ui.cells.ChatMessageCell.1
            {
                ChatMessageCell.this = this;
            }

            @Override // java.lang.Runnable
            public void run() {
                ChatMessageCell.this.checkLocationExpired();
                if (ChatMessageCell.this.locationExpired) {
                    ChatMessageCell.this.invalidate();
                    ChatMessageCell.this.scheduledInvalidate = false;
                    return;
                }
                ChatMessageCell chatMessageCell = ChatMessageCell.this;
                chatMessageCell.invalidate(((int) chatMessageCell.rect.left) - 5, ((int) ChatMessageCell.this.rect.top) - 5, ((int) ChatMessageCell.this.rect.right) + 5, ((int) ChatMessageCell.this.rect.bottom) + 5);
                if (ChatMessageCell.this.scheduledInvalidate) {
                    AndroidUtilities.runOnUIThread(ChatMessageCell.this.invalidateRunnable, 1000L);
                }
            }
        };
        this.accessibilityVirtualViewBounds = new SparseArray<>();
        this.currentFocusedVirtualView = -1;
        setPadding(0, AndroidUtilities.dp(7.0f), 0, AndroidUtilities.dp(7.0f));
        ImageReceiver imageReceiver = new ImageReceiver();
        this.avatarImage = imageReceiver;
        imageReceiver.setRoundRadius(AndroidUtilities.dp(7.5f));
        this.avatarDrawable = new AvatarDrawable();
        this.replyImageReceiver = new ImageReceiver(this);
        ImageReceiver imageReceiver2 = new ImageReceiver(this);
        this.locationImageReceiver = imageReceiver2;
        imageReceiver2.setRoundRadius(AndroidUtilities.dp(26.1f));
        this.TAG = DownloadController.getInstance(this.currentAccount).generateObserverTag();
        this.contactAvatarDrawable = new AvatarDrawable();
        ImageReceiver imageReceiver3 = new ImageReceiver(this);
        this.photoImage = imageReceiver3;
        imageReceiver3.setDelegate(this);
        this.radialProgress = new RadialProgress2(this);
        RadialProgress2 radialProgress2 = new RadialProgress2(this);
        this.videoRadialProgress = radialProgress2;
        radialProgress2.setDrawBackground(false);
        this.videoRadialProgress.setCircleRadius(AndroidUtilities.dp(15.0f));
        SeekBar seekBar = new SeekBar(context);
        this.seekBar = seekBar;
        seekBar.setDelegate(this);
        SeekBarWaveform seekBarWaveform = new SeekBarWaveform(context);
        this.seekBarWaveform = seekBarWaveform;
        seekBarWaveform.setDelegate(this);
        this.seekBarWaveform.setParentView(this);
        this.roundVideoPlayingDrawable = new RoundVideoPlayingDrawable(this);
        this.screenSize = getRawScreenSize(context);
        this.mBaseFragment = baseFragment;
    }

    private void resetPressedLink(int type) {
        if (this.pressedLink != null) {
            if (this.pressedLinkType != type && type != -1) {
                return;
            }
            resetUrlPaths(false);
            this.pressedLink = null;
            this.pressedLinkType = -1;
            invalidate();
        }
    }

    private void resetUrlPaths(boolean text) {
        if (text) {
            if (this.urlPathSelection.isEmpty()) {
                return;
            }
            this.urlPathCache.addAll(this.urlPathSelection);
            this.urlPathSelection.clear();
        } else if (this.urlPath.isEmpty()) {
        } else {
            this.urlPathCache.addAll(this.urlPath);
            this.urlPath.clear();
        }
    }

    private LinkPath obtainNewUrlPath(boolean text) {
        LinkPath linkPath;
        if (!this.urlPathCache.isEmpty()) {
            linkPath = this.urlPathCache.get(0);
            this.urlPathCache.remove(0);
        } else {
            linkPath = new LinkPath();
        }
        linkPath.reset();
        if (text) {
            this.urlPathSelection.add(linkPath);
        } else {
            this.urlPath.add(linkPath);
        }
        return linkPath;
    }

    public int[] getRealSpanStartAndEnd(Spannable buffer, CharacterStyle link) {
        int start = 0;
        int end = 0;
        boolean ok = false;
        if (link instanceof URLSpanBrowser) {
            URLSpanBrowser span = (URLSpanBrowser) link;
            TextStyleSpan.TextStyleRun style = span.getStyle();
            if (style != null && style.urlEntity != null) {
                start = style.urlEntity.offset;
                end = style.urlEntity.offset + style.urlEntity.length;
                ok = true;
            }
        }
        if (!ok) {
            start = buffer.getSpanStart(link);
            end = buffer.getSpanEnd(link);
        }
        return new int[]{start, end};
    }

    /* JADX WARN: Code restructure failed: missing block: B:268:0x0104, code lost:
        if (im.uecahxyvjd.ui.components.URLSpanBotCommand.enabled == false) goto L179;
     */
    /* JADX WARN: Code restructure failed: missing block: B:308:0x01c7, code lost:
        r0 = r20;
     */
    /* JADX WARN: Not initialized variable reg: 17, insn: 0x02a4: MOVE  (r5 I:??[int, float, boolean, short, byte, char, OBJECT, ARRAY]) = (r17 I:??[int, float, boolean, short, byte, char, OBJECT, ARRAY] A[D('y' int)]), block:B:359:0x02a4 */
    /* JADX WARN: Not initialized variable reg: 18, insn: 0x02a6: MOVE  (r4 I:??[int, float, boolean, short, byte, char, OBJECT, ARRAY]) = (r18 I:??[int, float, boolean, short, byte, char, OBJECT, ARRAY] A[D('x' int)]), block:B:359:0x02a4 */
    /* JADX WARN: Removed duplicated region for block: B:273:0x010d A[Catch: Exception -> 0x02bf, TRY_ENTER, TryCatch #8 {Exception -> 0x02bf, blocks: (B:249:0x00a9, B:251:0x00c4, B:253:0x00d0, B:261:0x00f5, B:273:0x010d, B:275:0x0113, B:260:0x00e9), top: B:391:0x00a9 }] */
    /* JADX WARN: Removed duplicated region for block: B:360:0x02a9  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private boolean checkTextBlockMotionEvent(MotionEvent event) {
        float f;
        int x;
        int y;
        boolean isMono;
        CharacterStyle[] link;
        boolean ignore;
        LinkPath path;
        CharacterStyle[] nextLink;
        if (this.currentMessageObject.type != 0 || this.currentMessageObject.textLayoutBlocks == null || this.currentMessageObject.textLayoutBlocks.isEmpty() || !(this.currentMessageObject.messageText instanceof Spannable)) {
            return false;
        }
        if (event.getAction() != 0 && (event.getAction() != 1 || this.pressedLinkType != 1)) {
            return false;
        }
        int x2 = (int) event.getX();
        int y2 = (int) event.getY();
        int i = this.textX;
        if (x2 < i || y2 < this.textY || x2 > i + this.currentMessageObject.textWidth || y2 > this.textY + this.currentMessageObject.textHeight) {
            resetPressedLink(1);
            return false;
        }
        int y3 = y2 - this.textY;
        int blockNum = 0;
        for (int blockNum2 = 0; blockNum2 < this.currentMessageObject.textLayoutBlocks.size() && this.currentMessageObject.textLayoutBlocks.get(blockNum2).textYOffset <= y3; blockNum2++) {
            blockNum = blockNum2;
        }
        try {
            MessageObject.TextLayoutBlock block = this.currentMessageObject.textLayoutBlocks.get(blockNum);
            float f2 = x2;
            float f3 = this.textX;
            if (block.isRtl()) {
                try {
                    f = this.currentMessageObject.textXOffset;
                } catch (Exception e) {
                    e = e;
                    FileLog.e(e);
                    return false;
                }
            } else {
                f = 0.0f;
            }
            int x3 = (int) (f2 - (f3 - f));
            try {
                int y4 = (int) (y3 - block.textYOffset);
                try {
                    int line = block.textLayout.getLineForVertical(y4);
                    int off = block.textLayout.getOffsetForHorizontal(line, x3);
                    float left = block.textLayout.getLineLeft(line);
                    if (left > x3 || block.textLayout.getLineWidth(line) + left < x3) {
                        x = x3;
                        y = y4;
                    } else {
                        Spannable buffer = (Spannable) this.currentMessageObject.messageText;
                        CharacterStyle[] link2 = (CharacterStyle[]) buffer.getSpans(off, off, ClickableSpan.class);
                        if (link2 == null || link2.length == 0) {
                            isMono = true;
                            link = (CharacterStyle[]) buffer.getSpans(off, off, URLSpanMono.class);
                        } else {
                            isMono = false;
                            link = link2;
                        }
                        if (link.length != 0) {
                            if (link.length != 0 && (link[0] instanceof URLSpanBotCommand)) {
                            }
                            ignore = false;
                            if (ignore) {
                                try {
                                    if (event.getAction() == 0) {
                                        this.pressedLink = link[0];
                                        this.linkBlockNum = blockNum;
                                        this.pressedLinkType = 1;
                                        resetUrlPaths(false);
                                        try {
                                            LinkPath path2 = obtainNewUrlPath(false);
                                            int[] pos = getRealSpanStartAndEnd(buffer, this.pressedLink);
                                            try {
                                                path2.setCurrentLayout(block.textLayout, pos[0], 0.0f);
                                                try {
                                                    block.textLayout.getSelectionPath(pos[0], pos[1], path2);
                                                    if (pos[1] >= block.charactersEnd) {
                                                        int a2 = blockNum + 1;
                                                        while (true) {
                                                            try {
                                                                if (a2 >= this.currentMessageObject.textLayoutBlocks.size()) {
                                                                    path = path2;
                                                                    break;
                                                                }
                                                                MessageObject.TextLayoutBlock nextBlock = this.currentMessageObject.textLayoutBlocks.get(a2);
                                                                if (isMono) {
                                                                    try {
                                                                        path = path2;
                                                                        nextLink = (CharacterStyle[]) buffer.getSpans(nextBlock.charactersOffset, nextBlock.charactersOffset, URLSpanMono.class);
                                                                    } catch (Exception e2) {
                                                                        e = e2;
                                                                        FileLog.e(e);
                                                                        invalidate();
                                                                        return true;
                                                                    }
                                                                } else {
                                                                    path = path2;
                                                                    nextLink = (CharacterStyle[]) buffer.getSpans(nextBlock.charactersOffset, nextBlock.charactersOffset, ClickableSpan.class);
                                                                }
                                                                if (nextLink == null || nextLink.length == 0) {
                                                                    break;
                                                                } else if (nextLink[0] != this.pressedLink) {
                                                                    break;
                                                                } else {
                                                                    LinkPath path3 = obtainNewUrlPath(false);
                                                                    int line2 = line;
                                                                    try {
                                                                        path3.setCurrentLayout(nextBlock.textLayout, 0, nextBlock.textYOffset - block.textYOffset);
                                                                        nextBlock.textLayout.getSelectionPath(0, pos[1], path3);
                                                                        if (pos[1] < nextBlock.charactersEnd - 1) {
                                                                            path2 = path3;
                                                                            break;
                                                                        }
                                                                        a2++;
                                                                        path2 = path3;
                                                                        line = line2;
                                                                    } catch (Exception e3) {
                                                                        e = e3;
                                                                        FileLog.e(e);
                                                                        invalidate();
                                                                        return true;
                                                                    }
                                                                }
                                                            } catch (Exception e4) {
                                                                e = e4;
                                                            }
                                                        }
                                                    }
                                                    try {
                                                        if (pos[0] <= block.charactersOffset) {
                                                            int offsetY = 0;
                                                            int a3 = blockNum - 1;
                                                            while (a3 >= 0) {
                                                                MessageObject.TextLayoutBlock nextBlock2 = this.currentMessageObject.textLayoutBlocks.get(a3);
                                                                CharacterStyle[] nextLink2 = isMono ? (CharacterStyle[]) buffer.getSpans(nextBlock2.charactersEnd - 1, nextBlock2.charactersEnd - 1, URLSpanMono.class) : (CharacterStyle[]) buffer.getSpans(nextBlock2.charactersEnd - 1, nextBlock2.charactersEnd - 1, ClickableSpan.class);
                                                                if (nextLink2 == null || nextLink2.length == 0) {
                                                                    break;
                                                                } else if (nextLink2[0] != this.pressedLink) {
                                                                    break;
                                                                } else {
                                                                    LinkPath path4 = obtainNewUrlPath(false);
                                                                    int offsetY2 = offsetY - nextBlock2.height;
                                                                    int blockNum3 = blockNum;
                                                                    try {
                                                                        path4.setCurrentLayout(nextBlock2.textLayout, pos[0], offsetY2);
                                                                        StaticLayout staticLayout = nextBlock2.textLayout;
                                                                        int i2 = pos[0];
                                                                        int offsetY3 = pos[1];
                                                                        staticLayout.getSelectionPath(i2, offsetY3, path4);
                                                                        if (pos[0] > nextBlock2.charactersOffset) {
                                                                            break;
                                                                        }
                                                                        a3--;
                                                                        path2 = path4;
                                                                        offsetY = offsetY2;
                                                                        blockNum = blockNum3;
                                                                    } catch (Exception e5) {
                                                                        e = e5;
                                                                        FileLog.e(e);
                                                                        invalidate();
                                                                        return true;
                                                                    }
                                                                }
                                                            }
                                                        }
                                                    } catch (Exception e6) {
                                                        e = e6;
                                                    }
                                                } catch (Exception e7) {
                                                    e = e7;
                                                }
                                            } catch (Exception e8) {
                                                e = e8;
                                            }
                                        } catch (Exception e9) {
                                            e = e9;
                                        }
                                        invalidate();
                                        return true;
                                    }
                                    x = x3;
                                    y = y4;
                                    CharacterStyle characterStyle = link[0];
                                    CharacterStyle characterStyle2 = this.pressedLink;
                                    if (characterStyle == characterStyle2) {
                                        this.delegate.didPressUrl(this, characterStyle2, false);
                                        resetPressedLink(1);
                                        return true;
                                    }
                                } catch (Exception e10) {
                                    e = e10;
                                    FileLog.e(e);
                                    return false;
                                }
                            } else {
                                x = x3;
                                y = y4;
                            }
                        }
                        ignore = true;
                        if (ignore) {
                        }
                    }
                    return false;
                } catch (Exception e11) {
                    e = e11;
                }
            } catch (Exception e12) {
                e = e12;
            }
        } catch (Exception e13) {
            e = e13;
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:122:0x00aa A[Catch: Exception -> 0x00ea, TRY_LEAVE, TryCatch #1 {Exception -> 0x00ea, blocks: (B:99:0x0047, B:101:0x0068, B:103:0x0074, B:105:0x0083, B:110:0x0092, B:112:0x0096, B:114:0x0099, B:116:0x009f, B:122:0x00aa, B:127:0x00d3, B:129:0x00d7, B:131:0x00dd, B:132:0x00e6, B:126:0x00d0, B:109:0x0089, B:123:0x00b3), top: B:146:0x0047, inners: #0 }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private boolean checkCaptionMotionEvent(MotionEvent event) {
        int i;
        CharacterStyle[] link;
        boolean ignore;
        if (!(this.currentCaption instanceof Spannable) || this.captionLayout == null) {
            return false;
        }
        if (event.getAction() == 0 || ((this.linkPreviewPressed || this.pressedLink != null) && event.getAction() == 1)) {
            int x = (int) event.getX();
            int y = (int) event.getY();
            int i2 = this.captionX;
            if (x >= i2 && x <= i2 + this.captionWidth && y >= (i = this.captionY) && y <= i + this.captionHeight) {
                if (event.getAction() == 0) {
                    try {
                        int x2 = x - this.captionX;
                        int line = this.captionLayout.getLineForVertical(y - this.captionY);
                        int off = this.captionLayout.getOffsetForHorizontal(line, x2);
                        float left = this.captionLayout.getLineLeft(line);
                        if (left <= x2 && this.captionLayout.getLineWidth(line) + left >= x2) {
                            Spannable buffer = (Spannable) this.currentCaption;
                            CharacterStyle[] link2 = (CharacterStyle[]) buffer.getSpans(off, off, ClickableSpan.class);
                            if (link2 != null && link2.length != 0) {
                                link = link2;
                                if (link.length != 0 && (link.length == 0 || !(link[0] instanceof URLSpanBotCommand) || URLSpanBotCommand.enabled)) {
                                    ignore = false;
                                    if (!ignore) {
                                        this.pressedLink = link[0];
                                        this.pressedLinkType = 3;
                                        resetUrlPaths(false);
                                        try {
                                            LinkPath path = obtainNewUrlPath(false);
                                            int[] pos = getRealSpanStartAndEnd(buffer, this.pressedLink);
                                            path.setCurrentLayout(this.captionLayout, pos[0], 0.0f);
                                            this.captionLayout.getSelectionPath(pos[0], pos[1], path);
                                        } catch (Exception e) {
                                            FileLog.e(e);
                                        }
                                        if (this.currentMessagesGroup != null && getParent() != null) {
                                            ((ViewGroup) getParent()).invalidate();
                                        }
                                        invalidate();
                                        return true;
                                    }
                                }
                                ignore = true;
                                if (!ignore) {
                                }
                            }
                            link = (CharacterStyle[]) buffer.getSpans(off, off, URLSpanMono.class);
                            if (link.length != 0) {
                                ignore = false;
                                if (!ignore) {
                                }
                            }
                            ignore = true;
                            if (!ignore) {
                            }
                        }
                    } catch (Exception e2) {
                        FileLog.e(e2);
                    }
                } else if (this.pressedLinkType == 3) {
                    this.delegate.didPressUrl(this, this.pressedLink, false);
                    resetPressedLink(3);
                    return true;
                }
            } else {
                resetPressedLink(3);
            }
        }
        return false;
    }

    /* JADX WARN: Removed duplicated region for block: B:150:0x00c6 A[Catch: Exception -> 0x00f7, TRY_LEAVE, TryCatch #1 {Exception -> 0x00f7, blocks: (B:134:0x0067, B:136:0x0092, B:138:0x009e, B:140:0x00b2, B:142:0x00b5, B:144:0x00bb, B:150:0x00c6, B:155:0x00f3, B:154:0x00f0, B:151:0x00d3), top: B:194:0x0067, inners: #0 }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private boolean checkGameMotionEvent(MotionEvent event) {
        boolean ignore;
        int i;
        int i2;
        if (this.hasGamePreview) {
            int x = (int) event.getX();
            int y = (int) event.getY();
            if (event.getAction() == 0) {
                if (this.drawPhotoImage && this.drawImageButton && this.buttonState != -1 && x >= (i = this.buttonX) && x <= i + AndroidUtilities.dp(48.0f) && y >= (i2 = this.buttonY) && y <= i2 + AndroidUtilities.dp(48.0f) && this.radialProgress.getIcon() != 4) {
                    this.buttonPressed = 1;
                    invalidate();
                    return true;
                } else if (this.drawPhotoImage && this.photoImage.isInsideImage(x, y)) {
                    this.gamePreviewPressed = true;
                    return true;
                } else if (this.descriptionLayout != null && y >= this.descriptionY) {
                    try {
                        int x2 = x - ((this.unmovedTextX + AndroidUtilities.dp(10.0f)) + this.descriptionX);
                        int line = this.descriptionLayout.getLineForVertical(y - this.descriptionY);
                        int off = this.descriptionLayout.getOffsetForHorizontal(line, x2);
                        float left = this.descriptionLayout.getLineLeft(line);
                        if (left <= x2 && this.descriptionLayout.getLineWidth(line) + left >= x2) {
                            Spannable buffer = (Spannable) this.currentMessageObject.linkDescription;
                            ClickableSpan[] link = (ClickableSpan[]) buffer.getSpans(off, off, ClickableSpan.class);
                            if (link.length != 0 && (link.length == 0 || !(link[0] instanceof URLSpanBotCommand) || URLSpanBotCommand.enabled)) {
                                ignore = false;
                                if (!ignore) {
                                    this.pressedLink = link[0];
                                    this.linkBlockNum = -10;
                                    this.pressedLinkType = 2;
                                    resetUrlPaths(false);
                                    try {
                                        LinkPath path = obtainNewUrlPath(false);
                                        int[] pos = getRealSpanStartAndEnd(buffer, this.pressedLink);
                                        path.setCurrentLayout(this.descriptionLayout, pos[0], 0.0f);
                                        this.descriptionLayout.getSelectionPath(pos[0], pos[1], path);
                                    } catch (Exception e) {
                                        FileLog.e(e);
                                    }
                                    invalidate();
                                    return true;
                                }
                            }
                            ignore = true;
                            if (!ignore) {
                            }
                        }
                    } catch (Exception e2) {
                        FileLog.e(e2);
                    }
                }
            } else if (event.getAction() == 1) {
                if (this.pressedLinkType == 2 || this.gamePreviewPressed || this.buttonPressed != 0) {
                    if (this.buttonPressed != 0) {
                        this.buttonPressed = 0;
                        playSoundEffect(0);
                        didPressButton(true, false);
                        invalidate();
                    } else {
                        CharacterStyle characterStyle = this.pressedLink;
                        if (characterStyle != null) {
                            if (characterStyle instanceof URLSpan) {
                                Browser.openUrl(getContext(), ((URLSpan) this.pressedLink).getURL());
                            } else if (characterStyle instanceof ClickableSpan) {
                                ((ClickableSpan) characterStyle).onClick(this);
                            }
                            resetPressedLink(2);
                        } else {
                            this.gamePreviewPressed = false;
                            int a2 = 0;
                            while (true) {
                                if (a2 >= this.botButtons.size()) {
                                    break;
                                }
                                BotButton button = this.botButtons.get(a2);
                                if (!(button.button instanceof TLRPC.TL_keyboardButtonGame)) {
                                    a2++;
                                } else {
                                    playSoundEffect(0);
                                    this.delegate.didPressBotButton(this, button.button);
                                    invalidate();
                                    break;
                                }
                            }
                            resetPressedLink(2);
                            return true;
                        }
                    }
                } else {
                    resetPressedLink(2);
                }
            }
            return false;
        }
        return false;
    }

    /* JADX WARN: Removed duplicated region for block: B:310:0x00bf A[Catch: Exception -> 0x0102, TRY_LEAVE, TryCatch #2 {Exception -> 0x0102, blocks: (B:292:0x0056, B:294:0x0070, B:296:0x008b, B:298:0x0097, B:300:0x00ab, B:302:0x00ae, B:304:0x00b4, B:310:0x00bf, B:320:0x00f4, B:319:0x00f1), top: B:512:0x0056 }] */
    /* JADX WARN: Removed duplicated region for block: B:323:0x00f9  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private boolean checkLinkPreviewMotionEvent(MotionEvent event) {
        Drawable drawable;
        boolean z;
        int i;
        int i2;
        int i3;
        int i4;
        boolean z2;
        boolean ignore;
        LinkPath path;
        int[] pos;
        if (this.currentMessageObject.type == 0 && this.hasLinkPreview) {
            int x = (int) event.getX();
            int y = (int) event.getY();
            int i5 = this.unmovedTextX;
            if (x < i5 || x > i5 + this.backgroundWidth || y < this.textY + this.currentMessageObject.textHeight) {
                return false;
            }
            if (y <= this.textY + this.currentMessageObject.textHeight + this.linkPreviewHeight + AndroidUtilities.dp((this.drawInstantView ? 46 : 0) + 8)) {
                if (event.getAction() == 0) {
                    if (this.descriptionLayout != null && y >= this.descriptionY) {
                        try {
                            int checkX = x - ((this.unmovedTextX + AndroidUtilities.dp(10.0f)) + this.descriptionX);
                            int checkY = y - this.descriptionY;
                            if (checkY <= this.descriptionLayout.getHeight()) {
                                int line = this.descriptionLayout.getLineForVertical(checkY);
                                int off = this.descriptionLayout.getOffsetForHorizontal(line, checkX);
                                float left = this.descriptionLayout.getLineLeft(line);
                                if (left <= checkX && this.descriptionLayout.getLineWidth(line) + left >= checkX) {
                                    Spannable buffer = (Spannable) this.currentMessageObject.linkDescription;
                                    ClickableSpan[] link = (ClickableSpan[]) buffer.getSpans(off, off, ClickableSpan.class);
                                    if (link.length != 0 && (link.length == 0 || !(link[0] instanceof URLSpanBotCommand) || URLSpanBotCommand.enabled)) {
                                        ignore = false;
                                        if (ignore) {
                                            this.pressedLink = link[0];
                                            this.linkBlockNum = -10;
                                            this.pressedLinkType = 2;
                                            resetUrlPaths(false);
                                            try {
                                                path = obtainNewUrlPath(false);
                                                pos = getRealSpanStartAndEnd(buffer, this.pressedLink);
                                                path.setCurrentLayout(this.descriptionLayout, pos[0], 0.0f);
                                            } catch (Exception e) {
                                                e = e;
                                            }
                                            try {
                                                this.descriptionLayout.getSelectionPath(pos[0], pos[1], path);
                                            } catch (Exception e2) {
                                                e = e2;
                                                FileLog.e(e);
                                                invalidate();
                                                return true;
                                            }
                                            invalidate();
                                            return true;
                                        }
                                    }
                                    ignore = true;
                                    if (ignore) {
                                    }
                                }
                            }
                        } catch (Exception e3) {
                            FileLog.e(e3);
                        }
                    }
                    if (this.pressedLink == null) {
                        int side = AndroidUtilities.dp(48.0f);
                        boolean area2 = false;
                        if (this.miniButtonState >= 0) {
                            int offset = AndroidUtilities.dp(27.0f);
                            int i6 = this.buttonX;
                            if (x >= i6 + offset && x <= i6 + offset + side) {
                                int i7 = this.buttonY;
                                if (y >= i7 + offset && y <= i7 + offset + side) {
                                    z2 = true;
                                    area2 = z2;
                                }
                            }
                            z2 = false;
                            area2 = z2;
                        }
                        if (area2) {
                            this.miniButtonPressed = 1;
                            invalidate();
                            return true;
                        } else if (this.drawVideoImageButton && this.buttonState != -1 && x >= (i3 = this.videoButtonX) && x <= i3 + AndroidUtilities.dp(34.0f) + Math.max(this.infoWidth, this.docTitleWidth) && y >= (i4 = this.videoButtonY) && y <= i4 + AndroidUtilities.dp(30.0f)) {
                            this.videoButtonPressed = 1;
                            invalidate();
                            return true;
                        } else if (this.drawPhotoImage && this.drawImageButton && this.buttonState != -1 && ((!this.checkOnlyButtonPressed && this.photoImage.isInsideImage(x, y)) || (x >= (i = this.buttonX) && x <= i + AndroidUtilities.dp(48.0f) && y >= (i2 = this.buttonY) && y <= i2 + AndroidUtilities.dp(48.0f) && this.radialProgress.getIcon() != 4))) {
                            this.buttonPressed = 1;
                            invalidate();
                            return true;
                        } else if (this.drawInstantView) {
                            this.instantPressed = true;
                            Drawable drawable2 = this.selectorDrawable;
                            if (drawable2 == null) {
                                z = true;
                            } else if (drawable2.getBounds().contains(x, y)) {
                                this.selectorDrawable.setState(this.pressedState);
                                this.selectorDrawable.setHotspot(x, y);
                                z = true;
                                this.instantButtonPressed = true;
                            } else {
                                z = true;
                            }
                            invalidate();
                            return z;
                        } else if (this.documentAttachType != 1 && this.drawPhotoImage && this.photoImage.isInsideImage(x, y)) {
                            this.linkPreviewPressed = true;
                            TLRPC.WebPage webPage = this.currentMessageObject.messageOwner.media.webpage;
                            if (this.documentAttachType == 2 && this.buttonState == -1 && SharedConfig.autoplayGifs) {
                                if (this.photoImage.getAnimation() == null || !TextUtils.isEmpty(webPage.embed_url)) {
                                    this.linkPreviewPressed = false;
                                    return false;
                                }
                                return true;
                            }
                            return true;
                        } else {
                            return false;
                        }
                    }
                    return false;
                } else if (event.getAction() == 1) {
                    if (this.instantPressed) {
                        ChatMessageCellDelegate chatMessageCellDelegate = this.delegate;
                        if (chatMessageCellDelegate != null) {
                            chatMessageCellDelegate.didPressInstantButton(this, this.drawInstantViewType);
                        }
                        playSoundEffect(0);
                        Drawable drawable3 = this.selectorDrawable;
                        if (drawable3 != null) {
                            drawable3.setState(StateSet.NOTHING);
                        }
                        this.instantButtonPressed = false;
                        this.instantPressed = false;
                        invalidate();
                        return false;
                    } else if (this.pressedLinkType != 2 && this.buttonPressed == 0 && this.miniButtonPressed == 0 && this.videoButtonPressed == 0 && !this.linkPreviewPressed) {
                        resetPressedLink(2);
                        return false;
                    } else if (this.videoButtonPressed == 1) {
                        this.videoButtonPressed = 0;
                        playSoundEffect(0);
                        didPressButton(true, true);
                        invalidate();
                        return false;
                    } else if (this.buttonPressed != 0) {
                        this.buttonPressed = 0;
                        playSoundEffect(0);
                        if (!this.drawVideoImageButton) {
                            didPressButton(true, false);
                        } else {
                            didClickedImage();
                        }
                        invalidate();
                        return false;
                    } else if (this.miniButtonPressed != 0) {
                        this.miniButtonPressed = 0;
                        playSoundEffect(0);
                        didPressMiniButton(true);
                        invalidate();
                        return false;
                    } else {
                        CharacterStyle characterStyle = this.pressedLink;
                        if (characterStyle != null) {
                            if (characterStyle instanceof URLSpan) {
                                Browser.openUrl(getContext(), ((URLSpan) this.pressedLink).getURL());
                            } else if (characterStyle instanceof ClickableSpan) {
                                ((ClickableSpan) characterStyle).onClick(this);
                            }
                            resetPressedLink(2);
                            return false;
                        }
                        int i8 = this.documentAttachType;
                        if (i8 == 7) {
                            if (!MediaController.getInstance().isPlayingMessage(this.currentMessageObject) || MediaController.getInstance().isMessagePaused()) {
                                this.delegate.needPlayMessage(this.currentMessageObject);
                            } else {
                                MediaController.getInstance().m320lambda$startAudioAgain$5$imuecahxyvjdmessengerMediaController(this.currentMessageObject);
                            }
                        } else if (i8 == 2 && this.drawImageButton) {
                            int i9 = this.buttonState;
                            if (i9 == -1) {
                                if (SharedConfig.autoplayGifs) {
                                    this.delegate.didPressImage(this, this.lastTouchX, this.lastTouchY);
                                } else {
                                    this.buttonState = 2;
                                    this.currentMessageObject.gifState = 1.0f;
                                    this.photoImage.setAllowStartAnimation(false);
                                    this.photoImage.stopAnimation();
                                    this.radialProgress.setIcon(getIconForCurrentState(), false, true);
                                    invalidate();
                                    playSoundEffect(0);
                                }
                            } else if (i9 == 2 || i9 == 0) {
                                didPressButton(true, false);
                                playSoundEffect(0);
                            }
                        } else {
                            TLRPC.WebPage webPage2 = this.currentMessageObject.messageOwner.media.webpage;
                            if (webPage2 != null && !TextUtils.isEmpty(webPage2.embed_url)) {
                                this.delegate.needOpenWebView(webPage2.embed_url, webPage2.site_name, webPage2.title, webPage2.url, webPage2.embed_width, webPage2.embed_height);
                            } else {
                                int i10 = this.buttonState;
                                if (i10 == -1 || i10 == 3) {
                                    this.delegate.didPressImage(this, this.lastTouchX, this.lastTouchY);
                                    playSoundEffect(0);
                                } else if (webPage2 != null) {
                                    Browser.openUrl(getContext(), webPage2.url);
                                }
                            }
                        }
                        resetPressedLink(2);
                        return true;
                    }
                } else if (event.getAction() == 2 && this.instantButtonPressed && (drawable = this.selectorDrawable) != null) {
                    drawable.setHotspot(x, y);
                    return false;
                } else {
                    return false;
                }
            }
            return false;
        }
        return false;
    }

    private boolean checkPollButtonMotionEvent(MotionEvent event) {
        Drawable drawable;
        if (this.currentMessageObject.eventId != 0 || this.pollVoted || this.pollClosed || this.pollVoteInProgress || this.pollUnvoteInProgress || this.pollButtons.isEmpty() || this.currentMessageObject.type != 17 || !this.currentMessageObject.isSent()) {
            return false;
        }
        int x = (int) event.getX();
        int y = (int) event.getY();
        if (event.getAction() == 0) {
            this.pressedVoteButton = -1;
            for (int a2 = 0; a2 < this.pollButtons.size(); a2++) {
                PollButton button = this.pollButtons.get(a2);
                int y2 = (button.y + this.namesOffset) - AndroidUtilities.dp(13.0f);
                if (x >= button.x && x <= (button.x + this.backgroundWidth) - AndroidUtilities.dp(31.0f) && y >= y2 && y <= button.height + y2 + AndroidUtilities.dp(26.0f)) {
                    this.pressedVoteButton = a2;
                    Drawable drawable2 = this.selectorDrawable;
                    if (drawable2 != null) {
                        drawable2.setBounds(button.x - AndroidUtilities.dp(9.0f), y2, (button.x + this.backgroundWidth) - AndroidUtilities.dp(22.0f), button.height + y2 + AndroidUtilities.dp(26.0f));
                        this.selectorDrawable.setState(this.pressedState);
                        this.selectorDrawable.setHotspot(x, y);
                    }
                    invalidate();
                    return true;
                }
            }
            return false;
        } else if (event.getAction() == 1) {
            if (this.pressedVoteButton == -1) {
                return false;
            }
            playSoundEffect(0);
            Drawable drawable3 = this.selectorDrawable;
            if (drawable3 != null) {
                drawable3.setState(StateSet.NOTHING);
            }
            if (this.currentMessageObject.scheduled) {
                ToastUtils.show((int) R.string.MessageScheduledVote);
            } else {
                int i = this.pressedVoteButton;
                this.pollVoteInProgressNum = i;
                this.pollVoteInProgress = true;
                this.voteCurrentProgressTime = 0.0f;
                this.firstCircleLength = true;
                this.voteCurrentCircleLength = 360.0f;
                this.voteRisingCircleLength = false;
                this.delegate.didPressVoteButton(this, this.pollButtons.get(i).answer);
            }
            this.pressedVoteButton = -1;
            invalidate();
            return false;
        } else if (event.getAction() != 2 || this.pressedVoteButton == -1 || (drawable = this.selectorDrawable) == null) {
            return false;
        } else {
            drawable.setHotspot(x, y);
            return false;
        }
    }

    private boolean checkInstantButtonMotionEvent(MotionEvent event) {
        Drawable drawable;
        if (!this.drawInstantView || this.currentMessageObject.type == 0) {
            return false;
        }
        int x = (int) event.getX();
        int y = (int) event.getY();
        if (event.getAction() == 0) {
            if (this.drawInstantView && this.instantButtonRect.contains(x, y)) {
                this.instantPressed = true;
                Drawable drawable2 = this.selectorDrawable;
                if (drawable2 != null && drawable2.getBounds().contains(x, y)) {
                    this.selectorDrawable.setState(this.pressedState);
                    this.selectorDrawable.setHotspot(x, y);
                    this.instantButtonPressed = true;
                }
                invalidate();
                return true;
            }
        } else if (event.getAction() == 1) {
            if (this.instantPressed) {
                ChatMessageCellDelegate chatMessageCellDelegate = this.delegate;
                if (chatMessageCellDelegate != null) {
                    chatMessageCellDelegate.didPressInstantButton(this, this.drawInstantViewType);
                }
                playSoundEffect(0);
                Drawable drawable3 = this.selectorDrawable;
                if (drawable3 != null) {
                    drawable3.setState(StateSet.NOTHING);
                }
                this.instantButtonPressed = false;
                this.instantPressed = false;
                invalidate();
            }
        } else if (event.getAction() == 2 && this.instantButtonPressed && (drawable = this.selectorDrawable) != null) {
            drawable.setHotspot(x, y);
        }
        return false;
    }

    private boolean checkRedpkgTransferMotionEvent(MotionEvent event) {
        Drawable drawable;
        ChatMessageCellDelegate chatMessageCellDelegate;
        if (this.currentMessageObject.type == 101 || this.currentMessageObject.type == 102) {
            int x = (int) event.getX();
            int y = (int) event.getY();
            int right = (this.backgroundDrawableLeft + this.backgroundDrawableRight) - AndroidUtilities.dp(8.0f);
            if (event.getAction() == 0) {
                if (x >= this.backgroundDrawableLeft && x <= right && y >= AndroidUtilities.dp(3.0f) && y < this.totalHeight) {
                    this.instantPressed = true;
                    return true;
                }
            } else if (event.getAction() == 1) {
                if (this.instantPressed && (chatMessageCellDelegate = this.delegate) != null) {
                    chatMessageCellDelegate.didPressRedpkgTransfer(this, this.currentMessageObject);
                    this.instantPressed = false;
                }
            } else if (event.getAction() == 2 && this.instantButtonPressed && (drawable = this.selectorDrawable) != null) {
                drawable.setHotspot(x, y);
            }
            return false;
        }
        return false;
    }

    private boolean checkOtherButtonMotionEvent(MotionEvent event) {
        int i;
        boolean allow = this.currentMessageObject.type == 16;
        if (!allow) {
            allow = ((this.documentAttachType != 1 && this.currentMessageObject.type != 12 && (i = this.documentAttachType) != 5 && i != 4 && i != 2 && this.currentMessageObject.type != 8) || this.hasGamePreview || this.hasInvoicePreview) ? false : true;
        }
        if (allow) {
            int x = (int) event.getX();
            int y = (int) event.getY();
            if (event.getAction() == 0) {
                if (this.currentMessageObject.type == 16) {
                    int i2 = this.otherX;
                    if (x < i2 || x > i2 + AndroidUtilities.dp(200.0f) || y < this.otherY - AndroidUtilities.dp(14.0f) || y > this.otherY + AndroidUtilities.dp(50.0f)) {
                        return false;
                    }
                    this.otherPressed = true;
                    invalidate();
                    return true;
                } else if (x < this.otherX - AndroidUtilities.dp(20.0f) || x > this.otherX + AndroidUtilities.dp(20.0f) || y < this.otherY - AndroidUtilities.dp(4.0f) || y > this.otherY + AndroidUtilities.dp(30.0f)) {
                    return false;
                } else {
                    this.otherPressed = true;
                    invalidate();
                    return true;
                }
            } else if (event.getAction() != 1 || !this.otherPressed) {
                return false;
            } else {
                this.otherPressed = false;
                playSoundEffect(0);
                this.delegate.didPressOther(this, this.otherX, this.otherY);
                invalidate();
                return true;
            }
        }
        return false;
    }

    private boolean checkSysNotifyMotionEvent(MotionEvent event) {
        ChatMessageCellDelegate chatMessageCellDelegate;
        ChatMessageCellDelegate chatMessageCellDelegate2;
        ChatMessageCellDelegate chatMessageCellDelegate3;
        if (this.currentMessageObject.type != 105) {
            return false;
        }
        if (this.currentMessageObject.isOutOwner() && (this.currentMessageObject.isSending() || this.currentMessageObject.isEditing())) {
            return false;
        }
        int x = (int) event.getX();
        int y = (int) event.getY();
        boolean hasEntities = false;
        TLRPCContacts.TL_messageMediaSysNotify sysNotify = (TLRPCContacts.TL_messageMediaSysNotify) this.currentMessageObject.messageOwner.media;
        if (sysNotify.business_code >= 4 && sysNotify.business_code != 10) {
            int right = (this.backgroundDrawableLeft + this.backgroundDrawableRight) - AndroidUtilities.dp(8.0f);
            int left = this.backgroundDrawableRight - AndroidUtilities.dp(80.0f);
            int clickLeft = this.backgroundDrawableLeft + AndroidUtilities.dp(70.0f);
            int clickRight = this.backgroundDrawableLeft + this.measuredAtWidth + AndroidUtilities.dp(70.0f);
            int clickTop = this.totalHeight - AndroidUtilities.dp(52.0f);
            int clickBottom = this.totalHeight - AndroidUtilities.dp(35.0f);
            if (this.currentMessageObject.messageOwner instanceof TLRPC.TL_message) {
                TLRPC.TL_message messageOwner = (TLRPC.TL_message) this.currentMessageObject.messageOwner;
                ArrayList<TLRPC.MessageEntity> entities = messageOwner.entities;
                if (entities.size() > 0) {
                    hasEntities = true;
                } else {
                    hasEntities = false;
                }
            }
            if (event.getAction() == 0) {
                if (x >= clickLeft && x <= clickRight && y >= clickTop && y < clickBottom && hasEntities) {
                    this.instantPressed = true;
                    this.disallowLongPress = true;
                    return true;
                } else if (x >= left && x <= right && y >= AndroidUtilities.dp(3.0f) && y < this.totalHeight && sysNotify.business_code == 8) {
                    this.clickSysNotifyItem = false;
                    this.instantPressed = true;
                    return true;
                } else {
                    this.clickSysNotifyItem = true;
                    this.instantPressed = true;
                    return true;
                }
            } else if (event.getAction() == 1 && this.instantPressed && (chatMessageCellDelegate3 = this.delegate) != null) {
                chatMessageCellDelegate3.didPressOther(this, this.otherX, this.otherY);
                this.instantPressed = false;
            }
        } else {
            int right2 = this.backgroundDrawableRight - AndroidUtilities.dp(20.0f);
            int left2 = this.backgroundDrawableLeft + AndroidUtilities.dp(30.0f);
            if (event.getAction() == 0) {
                if (x >= left2 && x <= right2 && y >= this.totalHeight - AndroidUtilities.dp(75.0f) && y < this.totalHeight - AndroidUtilities.dp(30.0f) && this.photoFCImage != null) {
                    this.clickSysNotifyItem = false;
                    this.instantPressed = true;
                    return true;
                }
                ImageReceiver imageReceiver = this.photoImage1;
                if (imageReceiver != null && imageReceiver.getMediaLocation() != null && this.photoImage1.getMediaLocation().document != null && x >= this.photoImage1.getImageX() && x <= this.photoImage1.getImageX() + this.photoImage1.getImageWidth() && y >= this.photoImage1.getImageY() && y <= this.photoImage1.getImageY() + this.photoImage1.getImageHeight()) {
                    this.clickSysNotifyItem = false;
                    this.clickSysNotifyVideoView = true;
                    this.clickSysNotifyPhotoImageViewIndex = 1;
                    return true;
                }
                ImageReceiver imageReceiver2 = this.photoImage2;
                if (imageReceiver2 != null && imageReceiver2.getMediaLocation() != null && this.photoImage2.getMediaLocation().document != null && x >= this.photoImage2.getImageX() && x <= this.photoImage2.getImageX() + this.photoImage2.getImageWidth() && y >= this.photoImage2.getImageY() && y <= this.photoImage2.getImageY() + this.photoImage2.getImageHeight()) {
                    this.clickSysNotifyItem = false;
                    this.clickSysNotifyVideoView = true;
                    this.clickSysNotifyPhotoImageViewIndex = 2;
                    return true;
                }
                ImageReceiver imageReceiver3 = this.photoImage3;
                if (imageReceiver3 != null && imageReceiver3.getMediaLocation() != null && this.photoImage3.getMediaLocation().document != null && x >= this.photoImage3.getImageX() && x <= this.photoImage3.getImageX() + this.photoImage3.getImageWidth() && y >= this.photoImage3.getImageY() && y <= this.photoImage3.getImageY() + this.photoImage3.getImageHeight()) {
                    this.clickSysNotifyItem = false;
                    this.clickSysNotifyVideoView = true;
                    this.clickSysNotifyPhotoImageViewIndex = 3;
                    return true;
                }
                ImageReceiver imageReceiver4 = this.photoImage4;
                if (imageReceiver4 != null && imageReceiver4.getMediaLocation() != null && this.photoImage4.getMediaLocation().document != null && x >= this.photoImage4.getImageX() && x <= this.photoImage4.getImageX() + this.photoImage4.getImageWidth() && y >= this.photoImage4.getImageY() && y <= this.photoImage4.getImageY() + this.photoImage4.getImageHeight()) {
                    this.clickSysNotifyItem = false;
                    this.clickSysNotifyVideoView = true;
                    this.clickSysNotifyPhotoImageViewIndex = 4;
                    return true;
                }
                ImageReceiver imageReceiver5 = this.photoImage5;
                if (imageReceiver5 != null && imageReceiver5.getMediaLocation() != null && this.photoImage5.getMediaLocation().document != null && x >= this.photoImage5.getImageX() && x <= this.photoImage5.getImageX() + this.photoImage5.getImageWidth() && y >= this.photoImage5.getImageY() && y <= this.photoImage5.getImageY() + this.photoImage5.getImageHeight()) {
                    this.clickSysNotifyItem = false;
                    this.clickSysNotifyVideoView = true;
                    this.clickSysNotifyPhotoImageViewIndex = 5;
                    return true;
                }
                this.clickSysNotifyItem = true;
                this.instantPressed = true;
                return true;
            } else if (event.getAction() == 1) {
                if (this.instantPressed && (chatMessageCellDelegate2 = this.delegate) != null) {
                    chatMessageCellDelegate2.didPressOther(this, this.otherX, this.otherY);
                    this.instantPressed = false;
                } else if (this.clickSysNotifyVideoView && (chatMessageCellDelegate = this.delegate) != null) {
                    chatMessageCellDelegate.didPressSysNotifyVideoFullPlayer(this);
                    this.instantPressed = false;
                }
            }
        }
        return false;
    }

    private boolean checkCardMotionEvent(MotionEvent event) {
        ChatMessageCellDelegate chatMessageCellDelegate;
        if (this.currentMessageObject.type != 103) {
            return false;
        }
        int x = (int) event.getX();
        int y = (int) event.getY();
        int right = (this.backgroundDrawableLeft + this.backgroundDrawableRight) - AndroidUtilities.dp(8.0f);
        if (event.getAction() == 0) {
            if (x >= this.backgroundDrawableLeft && x <= right && y >= AndroidUtilities.dp(3.0f) && y < this.totalHeight) {
                this.instantPressed = true;
                return true;
            }
        } else if (event.getAction() == 1 && this.instantPressed && (chatMessageCellDelegate = this.delegate) != null) {
            chatMessageCellDelegate.didPressOther(this, this.otherX, this.otherY);
            this.instantPressed = false;
        }
        return false;
    }

    private boolean checkLiveMotionEvent(MotionEvent event) {
        ChatMessageCellDelegate chatMessageCellDelegate;
        if (this.currentMessageObject.type != 207) {
            return false;
        }
        int x = (int) event.getX();
        int y = (int) event.getY();
        int right = (this.backgroundDrawableLeft + this.backgroundDrawableRight) - AndroidUtilities.dp(8.0f);
        if (event.getAction() == 0) {
            if (x >= this.backgroundDrawableLeft && x <= right && y >= AndroidUtilities.dp(3.0f) && y < this.totalHeight) {
                this.instantPressed = true;
                return true;
            }
        } else if (event.getAction() == 1 && this.instantPressed && (chatMessageCellDelegate = this.delegate) != null) {
            chatMessageCellDelegate.didPressOther(this, this.otherX, this.otherY);
            this.instantPressed = false;
        }
        return false;
    }

    private boolean checkPhotoImageMotionEvent(MotionEvent event) {
        int i;
        int i2;
        int i3;
        int i4;
        boolean z;
        if ((!this.drawPhotoImage && this.documentAttachType != 1) || this.currentMessageObject.type == 101 || this.currentMessageObject.type == 102 || this.currentMessageObject.type == 103 || this.currentMessageObject.type == 207) {
            return false;
        }
        int x = (int) event.getX();
        int y = (int) event.getY();
        boolean result = false;
        if (event.getAction() == 0) {
            boolean area2 = false;
            int side = AndroidUtilities.dp(48.0f);
            if (this.miniButtonState >= 0) {
                int offset = AndroidUtilities.dp(27.0f);
                int i5 = this.buttonX;
                if (x >= i5 + offset && x <= i5 + offset + side) {
                    int i6 = this.buttonY;
                    if (y >= i6 + offset && y <= i6 + offset + side) {
                        z = true;
                        area2 = z;
                    }
                }
                z = false;
                area2 = z;
            }
            if (area2) {
                this.miniButtonPressed = 1;
                invalidate();
                result = true;
            } else if (this.buttonState != -1 && this.radialProgress.getIcon() != 4 && x >= (i3 = this.buttonX) && x <= i3 + side && y >= (i4 = this.buttonY) && y <= i4 + side) {
                this.buttonPressed = 1;
                invalidate();
                result = true;
            } else if (this.drawVideoImageButton && this.buttonState != -1 && x >= (i = this.videoButtonX) && x <= i + AndroidUtilities.dp(34.0f) + Math.max(this.infoWidth, this.docTitleWidth) && y >= (i2 = this.videoButtonY) && y <= i2 + AndroidUtilities.dp(30.0f)) {
                this.videoButtonPressed = 1;
                invalidate();
                result = true;
            } else if (this.documentAttachType == 1) {
                if (x >= this.photoImage.getImageX() && x <= (this.photoImage.getImageX() + this.backgroundWidth) - AndroidUtilities.dp(50.0f) && y >= this.photoImage.getImageY() && y <= this.photoImage.getImageY() + this.photoImage.getImageHeight()) {
                    this.imagePressed = true;
                    result = true;
                }
            } else if (!this.currentMessageObject.isAnyKindOfSticker() || this.currentMessageObject.getInputStickerSet() != null || this.currentMessageObject.isAnimatedEmoji()) {
                if (x >= this.photoImage.getImageX() && x <= this.photoImage.getImageX() + this.photoImage.getImageWidth() && y >= this.photoImage.getImageY() && y <= this.photoImage.getImageY() + this.photoImage.getImageHeight()) {
                    this.imagePressed = true;
                    result = true;
                }
                if (this.currentMessageObject.type == 12) {
                    TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.currentMessageObject.messageOwner.media.user_id));
                    if (user == null) {
                        this.imagePressed = false;
                        result = false;
                    }
                }
            }
            if (this.imagePressed) {
                if (this.currentMessageObject.isSendError()) {
                    this.imagePressed = false;
                    return false;
                } else if (this.currentMessageObject.type == 8 && this.buttonState == -1 && SharedConfig.autoplayGifs && this.photoImage.getAnimation() == null) {
                    this.imagePressed = false;
                    return false;
                } else {
                    return result;
                }
            }
            return result;
        } else if (event.getAction() != 1) {
            return false;
        } else {
            if (this.videoButtonPressed == 1) {
                this.videoButtonPressed = 0;
                playSoundEffect(0);
                didPressButton(true, true);
                invalidate();
                return false;
            } else if (this.buttonPressed == 1) {
                this.buttonPressed = 0;
                playSoundEffect(0);
                if (this.drawVideoImageButton) {
                    didClickedImage();
                } else {
                    didPressButton(true, false);
                }
                invalidate();
                return false;
            } else if (this.miniButtonPressed == 1) {
                this.miniButtonPressed = 0;
                playSoundEffect(0);
                didPressMiniButton(true);
                invalidate();
                return false;
            } else if (!this.imagePressed) {
                return false;
            } else {
                this.imagePressed = false;
                int i7 = this.buttonState;
                if (i7 == -1 || i7 == 2 || i7 == 3 || this.drawVideoImageButton) {
                    playSoundEffect(0);
                    didClickedImage();
                } else if (i7 == 0) {
                    playSoundEffect(0);
                    didPressButton(true, false);
                }
                invalidate();
                return false;
            }
        }
    }

    private boolean checkAudioMotionEvent(MotionEvent event) {
        boolean result;
        boolean z;
        int i;
        boolean z2;
        int i2 = this.documentAttachType;
        if (i2 == 3 || i2 == 5) {
            int x = (int) event.getX();
            int y = (int) event.getY();
            if (this.useSeekBarWaweform) {
                result = this.seekBarWaveform.onTouch(event.getAction(), (event.getX() - this.seekBarX) - AndroidUtilities.dp(13.0f), event.getY() - this.seekBarY);
            } else {
                result = this.seekBar.onTouch(event.getAction(), event.getX() - this.seekBarX, event.getY() - this.seekBarY);
            }
            if (result) {
                if (!this.useSeekBarWaweform && event.getAction() == 0) {
                    getParent().requestDisallowInterceptTouchEvent(true);
                } else if (this.useSeekBarWaweform && !this.seekBarWaveform.isStartDraging() && event.getAction() == 1) {
                    didPressButton(true, false);
                }
                this.disallowLongPress = true;
                invalidate();
                return result;
            }
            int side = AndroidUtilities.dp(36.0f);
            boolean area = false;
            boolean area2 = false;
            if (this.miniButtonState >= 0) {
                int offset = AndroidUtilities.dp(27.0f);
                int i3 = this.buttonX;
                if (x >= i3 + offset && x <= i3 + offset + side) {
                    int i4 = this.buttonY;
                    if (y >= i4 + offset && y <= i4 + offset + side) {
                        z2 = true;
                        area2 = z2;
                    }
                }
                z2 = false;
                area2 = z2;
            }
            if (!area2) {
                int i5 = this.buttonState;
                if (i5 == 0 || i5 == 1 || i5 == 2) {
                    if (x >= this.buttonX - AndroidUtilities.dp(12.0f) && x <= (this.buttonX - AndroidUtilities.dp(12.0f)) + this.backgroundWidth) {
                        boolean z3 = this.drawInstantView;
                        if (y >= (z3 ? this.buttonY : this.namesOffset + this.mediaOffsetY)) {
                            if (y <= (z3 ? this.buttonY + side : this.namesOffset + this.mediaOffsetY + AndroidUtilities.dp(82.0f))) {
                                z = true;
                                area = z;
                            }
                        }
                    }
                    z = false;
                    area = z;
                } else {
                    int i6 = this.buttonX;
                    area = x >= i6 && x <= i6 + side && y >= (i = this.buttonY) && y <= i + side;
                }
            }
            if (event.getAction() == 0) {
                if (area || area2) {
                    if (area) {
                        this.buttonPressed = 1;
                    } else {
                        this.miniButtonPressed = 1;
                    }
                    invalidate();
                    return true;
                }
                return result;
            } else if (this.buttonPressed != 0) {
                if (event.getAction() == 1) {
                    this.buttonPressed = 0;
                    playSoundEffect(0);
                    didPressButton(true, false);
                    invalidate();
                    return result;
                } else if (event.getAction() != 3) {
                    if (event.getAction() == 2 && !area) {
                        this.buttonPressed = 0;
                        invalidate();
                        return result;
                    }
                    return result;
                } else {
                    this.buttonPressed = 0;
                    invalidate();
                    return result;
                }
            } else if (this.miniButtonPressed != 0) {
                if (event.getAction() == 1) {
                    this.miniButtonPressed = 0;
                    playSoundEffect(0);
                    didPressMiniButton(true);
                    invalidate();
                    return result;
                } else if (event.getAction() != 3) {
                    if (event.getAction() == 2 && !area2) {
                        this.miniButtonPressed = 0;
                        invalidate();
                        return result;
                    }
                    return result;
                } else {
                    this.miniButtonPressed = 0;
                    invalidate();
                    return result;
                }
            } else {
                return result;
            }
        }
        return false;
    }

    private boolean checkBotButtonMotionEvent(MotionEvent event) {
        int addX;
        if (this.botButtons.isEmpty() || this.currentMessageObject.eventId != 0) {
            return false;
        }
        int x = (int) event.getX();
        int y = (int) event.getY();
        if (event.getAction() == 0) {
            if (this.currentMessageObject.isOutOwner()) {
                addX = (getMeasuredWidth() - this.widthForButtons) - AndroidUtilities.dp(10.0f);
            } else {
                int addX2 = this.backgroundDrawableLeft;
                addX = addX2 + AndroidUtilities.dp(this.mediaBackground ? 1.0f : 7.0f);
            }
            for (int a2 = 0; a2 < this.botButtons.size(); a2++) {
                BotButton button = this.botButtons.get(a2);
                int y2 = (button.y + this.layoutHeight) - AndroidUtilities.dp(2.0f);
                if (x >= button.x + addX && x <= button.x + addX + button.width && y >= y2 && y <= button.height + y2) {
                    this.pressedBotButton = a2;
                    invalidate();
                    return true;
                }
            }
            return false;
        } else if (event.getAction() != 1 || this.pressedBotButton == -1) {
            return false;
        } else {
            playSoundEffect(0);
            if (this.currentMessageObject.scheduled) {
                ToastUtils.show((int) R.string.MessageScheduledBotAction);
            } else {
                BotButton button2 = this.botButtons.get(this.pressedBotButton);
                if (button2.button != null) {
                    this.delegate.didPressBotButton(this, button2.button);
                } else if (button2.reaction != null) {
                    this.delegate.didPressReaction(this, button2.reaction);
                }
            }
            this.pressedBotButton = -1;
            invalidate();
            return false;
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:453:0x02cc, code lost:
        if (r8 <= (r1 + im.uecahxyvjd.messenger.AndroidUtilities.dp(32.0f))) goto L265;
     */
    /* JADX WARN: Code restructure failed: missing block: B:482:0x032f, code lost:
        if (r8 <= (r1 + im.uecahxyvjd.messenger.AndroidUtilities.dp(32.0f))) goto L265;
     */
    /* JADX WARN: Code restructure failed: missing block: B:516:0x03c7, code lost:
        if (r8 <= (r2 + im.uecahxyvjd.messenger.AndroidUtilities.dp(35.0f))) goto L265;
     */
    /* JADX WARN: Code restructure failed: missing block: B:538:0x0412, code lost:
        if (r8 <= (r1 + im.uecahxyvjd.messenger.AndroidUtilities.dp(32.0f))) goto L250;
     */
    @Override // android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public boolean onTouchEvent(MotionEvent event) {
        boolean result;
        int i;
        int replyEnd;
        int i2;
        int i3;
        int replyEnd2;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        if (this.currentMessageObject == null || !this.delegate.canPerformActions()) {
            return super.onTouchEvent(event);
        }
        this.disallowLongPress = false;
        this.lastTouchX = event.getX();
        this.lastTouchX = event.getY();
        boolean result2 = checkTextBlockMotionEvent(event);
        if (!result2) {
            result2 = checkOtherButtonMotionEvent(event);
        }
        if (!result2) {
            result2 = checkCaptionMotionEvent(event);
        }
        if (!result2) {
            result2 = checkAudioMotionEvent(event);
        }
        if (!result2) {
            result2 = checkLinkPreviewMotionEvent(event);
        }
        if (!result2) {
            result2 = checkInstantButtonMotionEvent(event);
        }
        if (!result2) {
            result2 = checkGameMotionEvent(event);
        }
        if (!result2) {
            result2 = checkPhotoImageMotionEvent(event);
        }
        if (!result2) {
            result2 = checkBotButtonMotionEvent(event);
        }
        if (!result2) {
            result2 = checkPollButtonMotionEvent(event);
        }
        if (!result2) {
            result2 = checkRedpkgTransferMotionEvent(event);
        }
        if (!result2) {
            result2 = checkCardMotionEvent(event);
        }
        if (!result2) {
            result2 = checkLiveMotionEvent(event);
        }
        if (!result2) {
            result2 = checkSysNotifyMotionEvent(event);
        }
        if (event.getAction() != 3) {
            result = result2;
        } else {
            this.buttonPressed = 0;
            this.miniButtonPressed = 0;
            this.pressedBotButton = -1;
            this.pressedVoteButton = -1;
            this.linkPreviewPressed = false;
            this.otherPressed = false;
            this.sharePressed = false;
            this.imagePressed = false;
            this.gamePreviewPressed = false;
            this.instantButtonPressed = false;
            this.instantPressed = false;
            Drawable drawable = this.selectorDrawable;
            if (drawable != null) {
                drawable.setState(StateSet.NOTHING);
            }
            resetPressedLink(-1);
            result = false;
        }
        updateRadialProgressBackground();
        if (!this.disallowLongPress && result && event.getAction() == 0) {
            startCheckLongPress();
        }
        if (event.getAction() != 0 && event.getAction() != 2) {
            cancelCheckLongPress();
        }
        if (!result) {
            float x = event.getX();
            float y = event.getY();
            if (event.getAction() == 0) {
                ChatMessageCellDelegate chatMessageCellDelegate = this.delegate;
                if (chatMessageCellDelegate == null || chatMessageCellDelegate.canPerformActions()) {
                    if (this.isAvatarVisible && this.avatarImage.isInsideImage(x, getTop() + y)) {
                        this.avatarPressed = true;
                        result = true;
                    } else {
                        if (this.drawForwardedName && this.forwardedNameLayout[0] != null) {
                            if (x >= this.forwardNameX && x <= i8 + this.forwardedNameWidth) {
                                if (y >= this.forwardNameY && y <= i9 + AndroidUtilities.dp(32.0f)) {
                                    if (this.viaWidth != 0 && x >= this.forwardNameX + this.viaNameWidth + AndroidUtilities.dp(4.0f)) {
                                        this.forwardBotPressed = true;
                                    } else {
                                        this.forwardNamePressed = true;
                                    }
                                    result = true;
                                }
                            }
                        }
                        if (this.drawNameLayout && this.nameLayout != null && (i7 = this.viaWidth) != 0) {
                            float f = this.nameX;
                            int i10 = this.viaNameWidth;
                            if (x >= i10 + f && x <= f + i10 + i7 && y >= this.nameY - AndroidUtilities.dp(4.0f) && y <= this.nameY + AndroidUtilities.dp(20.0f)) {
                                this.forwardBotPressed = true;
                                result = true;
                            }
                        }
                        if (this.drawShareButton) {
                            if (x >= this.shareStartX && x <= i5 + AndroidUtilities.dp(40.0f)) {
                                if (y >= this.shareStartY && y <= i6 + AndroidUtilities.dp(32.0f)) {
                                    this.sharePressed = true;
                                    result = true;
                                    invalidate();
                                }
                            }
                        }
                        if (this.replyNameLayout != null) {
                            if (this.currentMessageObject.shouldDrawWithoutBackground()) {
                                replyEnd2 = this.replyStartX + Math.max(this.replyNameWidth, this.replyTextWidth);
                            } else {
                                int replyEnd3 = this.replyStartX;
                                replyEnd2 = replyEnd3 + this.backgroundDrawableRight;
                            }
                            if (x >= this.replyStartX && x <= replyEnd2) {
                                if (y >= this.replyStartY && y <= i4 + AndroidUtilities.dp(35.0f)) {
                                    this.replyPressed = true;
                                    result = true;
                                }
                            }
                        }
                    }
                    if (result) {
                        startCheckLongPress();
                    }
                }
            } else {
                if (event.getAction() != 2) {
                    cancelCheckLongPress();
                }
                if (this.avatarPressed) {
                    if (event.getAction() == 1) {
                        this.avatarPressed = false;
                        playSoundEffect(0);
                        ChatMessageCellDelegate chatMessageCellDelegate2 = this.delegate;
                        if (chatMessageCellDelegate2 != null) {
                            TLRPC.User user = this.currentUser;
                            if (user != null) {
                                if (user.id == 0) {
                                    this.delegate.didPressHiddenForward(this);
                                } else {
                                    this.delegate.didPressUserAvatar(this, this.currentUser, this.lastTouchX, this.lastTouchY);
                                }
                            } else {
                                TLRPC.Chat chat = this.currentChat;
                                if (chat != null) {
                                    chatMessageCellDelegate2.didPressChannelAvatar(this, chat, this.currentMessageObject.messageOwner.fwd_from.channel_post, this.lastTouchX, this.lastTouchY);
                                }
                            }
                        }
                    } else if (event.getAction() == 3) {
                        this.avatarPressed = false;
                    } else if (event.getAction() == 2 && this.isAvatarVisible && !this.avatarImage.isInsideImage(x, getTop() + y)) {
                        this.avatarPressed = false;
                    }
                } else if (this.forwardNamePressed) {
                    if (event.getAction() == 1) {
                        this.forwardNamePressed = false;
                        playSoundEffect(0);
                        ChatMessageCellDelegate chatMessageCellDelegate3 = this.delegate;
                        if (chatMessageCellDelegate3 != null) {
                            TLRPC.Chat chat2 = this.currentForwardChannel;
                            if (chat2 != null) {
                                chatMessageCellDelegate3.didPressChannelAvatar(this, chat2, this.currentMessageObject.messageOwner.fwd_from.channel_post, this.lastTouchX, this.lastTouchY);
                            } else {
                                TLRPC.User user2 = this.currentForwardUser;
                                if (user2 != null) {
                                    chatMessageCellDelegate3.didPressUserAvatar(this, user2, this.lastTouchX, this.lastTouchY);
                                } else if (this.currentForwardName != null) {
                                    chatMessageCellDelegate3.didPressHiddenForward(this);
                                }
                            }
                        }
                    } else if (event.getAction() == 3) {
                        this.forwardNamePressed = false;
                    } else if (event.getAction() == 2) {
                        if (x >= this.forwardNameX && x <= i3 + this.forwardedNameWidth) {
                            if (y >= this.forwardNameY) {
                            }
                        }
                        this.forwardNamePressed = false;
                    }
                } else if (this.forwardBotPressed) {
                    if (event.getAction() == 1) {
                        this.forwardBotPressed = false;
                        playSoundEffect(0);
                        ChatMessageCellDelegate chatMessageCellDelegate4 = this.delegate;
                        if (chatMessageCellDelegate4 != null) {
                            TLRPC.User user3 = this.currentViaBotUser;
                            chatMessageCellDelegate4.didPressViaBot(this, user3 != null ? user3.username : this.currentMessageObject.messageOwner.via_bot_name);
                        }
                    } else if (event.getAction() == 3) {
                        this.forwardBotPressed = false;
                    } else if (event.getAction() == 2) {
                        if (this.drawForwardedName && this.forwardedNameLayout[0] != null) {
                            if (x >= this.forwardNameX && x <= i2 + this.forwardedNameWidth) {
                                if (y >= this.forwardNameY) {
                                }
                            }
                            this.forwardBotPressed = false;
                        } else {
                            float f2 = this.nameX;
                            int i11 = this.viaNameWidth;
                            if (x < i11 + f2 || x > f2 + i11 + this.viaWidth || y < this.nameY - AndroidUtilities.dp(4.0f) || y > this.nameY + AndroidUtilities.dp(20.0f)) {
                                this.forwardBotPressed = false;
                            }
                        }
                    }
                } else if (this.replyPressed) {
                    if (event.getAction() == 1) {
                        this.replyPressed = false;
                        playSoundEffect(0);
                        ChatMessageCellDelegate chatMessageCellDelegate5 = this.delegate;
                        if (chatMessageCellDelegate5 != null) {
                            chatMessageCellDelegate5.didPressReplyMessage(this, this.currentMessageObject.messageOwner.reply_to_msg_id);
                        }
                    } else if (event.getAction() == 3) {
                        this.replyPressed = false;
                    } else if (event.getAction() == 2) {
                        if (this.currentMessageObject.shouldDrawWithoutBackground()) {
                            replyEnd = this.replyStartX + Math.max(this.replyNameWidth, this.replyTextWidth);
                        } else {
                            int replyEnd4 = this.replyStartX;
                            replyEnd = replyEnd4 + this.backgroundDrawableRight;
                        }
                        if (x >= this.replyStartX && x <= replyEnd) {
                            if (y >= this.replyStartY) {
                            }
                        }
                        this.replyPressed = false;
                    }
                } else if (this.sharePressed) {
                    if (event.getAction() == 1) {
                        this.sharePressed = false;
                        playSoundEffect(0);
                        ChatMessageCellDelegate chatMessageCellDelegate6 = this.delegate;
                        if (chatMessageCellDelegate6 != null) {
                            chatMessageCellDelegate6.didPressShare(this);
                        }
                    } else if (event.getAction() == 3) {
                        this.sharePressed = false;
                    } else if (event.getAction() == 2) {
                        if (x >= this.shareStartX && x <= i + AndroidUtilities.dp(40.0f)) {
                            if (y >= this.shareStartY) {
                            }
                        }
                        this.sharePressed = false;
                    }
                    invalidate();
                }
            }
        }
        return result;
    }

    public void updatePlayingMessageProgress() {
        MessageObject messageObject = this.currentMessageObject;
        if (messageObject == null) {
            return;
        }
        if (this.documentAttachType == 4) {
            if (this.infoLayout != null && (PhotoViewer.isPlayingMessage(messageObject) || MediaController.getInstance().isGoingToShowMessageObject(this.currentMessageObject))) {
                return;
            }
            int duration = 0;
            AnimatedFileDrawable animation = this.photoImage.getAnimation();
            if (animation != null) {
                MessageObject messageObject2 = this.currentMessageObject;
                int durationMs = animation.getDurationMs() / 1000;
                messageObject2.audioPlayerDuration = durationMs;
                duration = durationMs;
                if (this.currentMessageObject.messageOwner.ttl > 0 && this.currentMessageObject.messageOwner.destroyTime == 0 && !this.currentMessageObject.needDrawBluredPreview() && this.currentMessageObject.isVideo() && animation.hasBitmap()) {
                    this.delegate.didStartVideoStream(this.currentMessageObject);
                }
            }
            if (duration == 0) {
                duration = this.currentMessageObject.getDuration();
            }
            if (MediaController.getInstance().isPlayingMessage(this.currentMessageObject)) {
                duration = (int) (duration - (duration * this.currentMessageObject.audioProgress));
            } else if (animation != null) {
                if (duration != 0) {
                    duration -= animation.getCurrentProgressMs() / 1000;
                }
                if (this.delegate != null && animation.getCurrentProgressMs() >= 3000) {
                    this.delegate.videoTimerReached();
                }
            }
            int minutes = duration / 60;
            int seconds = duration - (minutes * 60);
            if (minutes == 0 && seconds == 0) {
                seconds = 1;
            }
            if (this.lastTime != duration) {
                String str = String.format("%d:%02d", Integer.valueOf(minutes), Integer.valueOf(seconds));
                this.infoWidth = (int) Math.ceil(Theme.chat_infoPaint.measureText(str));
                this.infoLayout = new StaticLayout(str, Theme.chat_infoPaint, this.infoWidth, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                this.lastTime = duration;
            }
        } else if (messageObject.isRoundVideo()) {
            int duration2 = 0;
            TLRPC.Document document = this.currentMessageObject.getDocument();
            int a2 = 0;
            while (true) {
                if (a2 >= document.attributes.size()) {
                    break;
                }
                TLRPC.DocumentAttribute attribute = document.attributes.get(a2);
                if (!(attribute instanceof TLRPC.TL_documentAttributeVideo)) {
                    a2++;
                } else {
                    duration2 = attribute.duration;
                    break;
                }
            }
            if (MediaController.getInstance().isPlayingMessage(this.currentMessageObject)) {
                duration2 = Math.max(0, duration2 - this.currentMessageObject.audioProgressSec);
            }
            if (this.lastTime != duration2) {
                this.lastTime = duration2;
                String timeString = String.format("%02d:%02d", Integer.valueOf(duration2 / 60), Integer.valueOf(duration2 % 60));
                this.timeWidthAudio = (int) Math.ceil(Theme.chat_timePaint.measureText(timeString));
                this.durationLayout = new StaticLayout(timeString, Theme.chat_timePaint, this.timeWidthAudio, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                invalidate();
            }
        } else if (this.documentAttach != null) {
            if (this.useSeekBarWaweform) {
                if (!this.seekBarWaveform.isDragging()) {
                    this.seekBarWaveform.setProgress(this.currentMessageObject.audioProgress);
                }
            } else if (!this.seekBar.isDragging()) {
                this.seekBar.setProgress(this.currentMessageObject.audioProgress);
                this.seekBar.setBufferedProgress(this.currentMessageObject.bufferedProgress);
            }
            int duration3 = 0;
            if (this.documentAttachType == 3) {
                if (!MediaController.getInstance().isPlayingMessage(this.currentMessageObject)) {
                    int a3 = 0;
                    while (true) {
                        if (a3 >= this.documentAttach.attributes.size()) {
                            break;
                        }
                        TLRPC.DocumentAttribute attribute2 = this.documentAttach.attributes.get(a3);
                        if (!(attribute2 instanceof TLRPC.TL_documentAttributeAudio)) {
                            a3++;
                        } else {
                            duration3 = attribute2.duration;
                            break;
                        }
                    }
                } else {
                    duration3 = this.currentMessageObject.audioProgressSec;
                }
                if (this.lastTime != duration3) {
                    this.lastTime = duration3;
                    String timeString2 = String.format("%02d:%02d", Integer.valueOf(duration3 / 60), Integer.valueOf(duration3 % 60));
                    this.timeWidthAudio = (int) Math.ceil(Theme.chat_audioTimePaint.measureText(timeString2));
                    this.durationLayout = new StaticLayout(timeString2, Theme.chat_audioTimePaint, this.timeWidthAudio, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                }
            } else {
                int currentProgress = 0;
                int duration4 = this.currentMessageObject.getDuration();
                if (MediaController.getInstance().isPlayingMessage(this.currentMessageObject)) {
                    currentProgress = this.currentMessageObject.audioProgressSec;
                }
                if (this.lastTime != currentProgress) {
                    this.lastTime = currentProgress;
                    String timeString3 = duration4 == 0 ? String.format("%d:%02d / -:--", Integer.valueOf(currentProgress / 60), Integer.valueOf(currentProgress % 60)) : String.format("%d:%02d / %d:%02d", Integer.valueOf(currentProgress / 60), Integer.valueOf(currentProgress % 60), Integer.valueOf(duration4 / 60), Integer.valueOf(duration4 % 60));
                    int timeWidth = (int) Math.ceil(Theme.chat_audioTimePaint.measureText(timeString3));
                    this.durationLayout = new StaticLayout(timeString3, Theme.chat_audioTimePaint, timeWidth, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                }
            }
            invalidate();
        }
    }

    public void setFullyDraw(boolean draw) {
        this.fullyDraw = draw;
    }

    public void setVisiblePart(int position, int height) {
        MessageObject messageObject = this.currentMessageObject;
        if (messageObject == null || messageObject.textLayoutBlocks == null) {
            return;
        }
        int position2 = position - this.textY;
        int newFirst = -1;
        int newLast = -1;
        int newCount = 0;
        int startBlock = 0;
        for (int a2 = 0; a2 < this.currentMessageObject.textLayoutBlocks.size() && this.currentMessageObject.textLayoutBlocks.get(a2).textYOffset <= position2; a2++) {
            startBlock = a2;
        }
        for (int a3 = startBlock; a3 < this.currentMessageObject.textLayoutBlocks.size(); a3++) {
            MessageObject.TextLayoutBlock block = this.currentMessageObject.textLayoutBlocks.get(a3);
            float y = block.textYOffset;
            if (intersect(y, block.height + y, position2, position2 + height)) {
                if (newFirst == -1) {
                    newFirst = a3;
                }
                newLast = a3;
                newCount++;
            } else if (y > position2) {
                break;
            }
        }
        int a4 = this.lastVisibleBlockNum;
        if (a4 != newLast || this.firstVisibleBlockNum != newFirst || this.totalVisibleBlocksCount != newCount) {
            this.lastVisibleBlockNum = newLast;
            this.firstVisibleBlockNum = newFirst;
            this.totalVisibleBlocksCount = newCount;
            invalidate();
        }
    }

    private boolean intersect(float left1, float right1, float left2, float right2) {
        return left1 <= left2 ? right1 >= left2 : left1 <= right2;
    }

    public static StaticLayout generateStaticLayout(CharSequence text, TextPaint paint, int maxWidth, int smallWidth, int linesCount, int maxLines) {
        SpannableStringBuilder stringBuilder = new SpannableStringBuilder(text);
        int addedChars = 0;
        StaticLayout layout = new StaticLayout(text, paint, smallWidth, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
        int maxWidth2 = maxWidth;
        for (int a2 = 0; a2 < linesCount; a2++) {
            layout.getLineDirections(a2);
            if (layout.getLineLeft(a2) != 0.0f || layout.isRtlCharAt(layout.getLineStart(a2)) || layout.isRtlCharAt(layout.getLineEnd(a2))) {
                maxWidth2 = smallWidth;
            }
            int pos = layout.getLineEnd(a2);
            if (pos == text.length()) {
                break;
            }
            int pos2 = pos - 1;
            if (stringBuilder.charAt(pos2 + addedChars) == ' ') {
                stringBuilder.replace(pos2 + addedChars, pos2 + addedChars + 1, (CharSequence) "\n");
            } else if (stringBuilder.charAt(pos2 + addedChars) != '\n') {
                stringBuilder.insert(pos2 + addedChars, (CharSequence) "\n");
                addedChars++;
            }
            if (a2 == layout.getLineCount() - 1 || a2 == maxLines - 1) {
                break;
            }
        }
        return StaticLayoutEx.createStaticLayout(stringBuilder, paint, maxWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false, TextUtils.TruncateAt.END, maxWidth2, maxLines, true);
    }

    private void didClickedImage() {
        TLRPC.WebPage webPage;
        if (this.currentMessageObject.type == 1 || this.currentMessageObject.isAnyKindOfSticker()) {
            int i = this.buttonState;
            if (i == -1) {
                this.delegate.didPressImage(this, this.lastTouchX, this.lastTouchY);
            } else if (i == 0) {
                didPressButton(true, false);
            }
        } else if (this.currentMessageObject.type == 12) {
            TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.currentMessageObject.messageOwner.media.user_id));
            this.delegate.didPressUserAvatar(this, user, this.lastTouchX, this.lastTouchY);
        } else if (this.currentMessageObject.type == 5) {
            if (this.buttonState != -1) {
                didPressButton(true, false);
            } else if (!MediaController.getInstance().isPlayingMessage(this.currentMessageObject) || MediaController.getInstance().isMessagePaused()) {
                this.delegate.needPlayMessage(this.currentMessageObject);
            } else {
                MediaController.getInstance().m320lambda$startAudioAgain$5$imuecahxyvjdmessengerMediaController(this.currentMessageObject);
            }
        } else if (this.currentMessageObject.type == 8) {
            int i2 = this.buttonState;
            if (i2 == -1 || (i2 == 1 && this.canStreamVideo && this.autoPlayingMedia)) {
                this.delegate.didPressImage(this, this.lastTouchX, this.lastTouchY);
            } else if (i2 == 2 || i2 == 0) {
                didPressButton(true, false);
            }
        } else if (this.documentAttachType == 4) {
            if (this.buttonState == -1 || (this.drawVideoImageButton && (this.autoPlayingMedia || (SharedConfig.streamMedia && this.canStreamVideo)))) {
                this.delegate.didPressImage(this, this.lastTouchX, this.lastTouchY);
            } else if (this.drawVideoImageButton) {
                didPressButton(true, true);
            } else {
                int i3 = this.buttonState;
                if (i3 == 0 || i3 == 3) {
                    didPressButton(true, false);
                }
            }
        } else if (this.currentMessageObject.type == 4) {
            this.delegate.didPressImage(this, this.lastTouchX, this.lastTouchY);
        } else {
            int i4 = this.documentAttachType;
            if (i4 == 1) {
                if (this.buttonState == -1) {
                    this.delegate.didPressImage(this, this.lastTouchX, this.lastTouchY);
                }
            } else if (i4 == 2) {
                if (this.buttonState == -1 && (webPage = this.currentMessageObject.messageOwner.media.webpage) != null) {
                    if (webPage.embed_url != null && webPage.embed_url.length() != 0) {
                        this.delegate.needOpenWebView(webPage.embed_url, webPage.site_name, webPage.description, webPage.url, webPage.embed_width, webPage.embed_height);
                    } else {
                        Browser.openUrl(getContext(), webPage.url);
                    }
                }
            } else if (this.hasInvoicePreview) {
                if (this.buttonState == -1) {
                    this.delegate.didPressImage(this, this.lastTouchX, this.lastTouchY);
                }
            } else if (this.currentMessageObject.type == 105) {
                this.delegate.didPressImage(this, this.lastTouchX, this.lastTouchY);
            }
        }
    }

    private void updateSecretTimeText(MessageObject messageObject) {
        String str;
        if (messageObject == null || !messageObject.needDrawBluredPreview() || (str = messageObject.getSecretTimeString()) == null) {
            return;
        }
        this.infoWidth = (int) Math.ceil(Theme.chat_infoPaint.measureText(str));
        CharSequence str2 = TextUtils.ellipsize(str, Theme.chat_infoPaint, this.infoWidth, TextUtils.TruncateAt.END);
        this.infoLayout = new StaticLayout(str2, Theme.chat_infoPaint, this.infoWidth, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
        invalidate();
    }

    private boolean isPhotoDataChanged(MessageObject object) {
        String url;
        if (object.type == 0 || object.type == 14) {
            return false;
        }
        if (object.type == 4) {
            if (this.currentUrl == null) {
                return true;
            }
            double lat = object.messageOwner.media.geo.lat;
            double lon = object.messageOwner.media.geo._long;
            if (object.messageOwner.media instanceof TLRPC.TL_messageMediaGeoLive) {
                int photoWidth = this.backgroundWidth - AndroidUtilities.dp(21.0f);
                int photoHeight = AndroidUtilities.dp(195.0f);
                double rad = ((double) C.ENCODING_PCM_MU_LAW) / 3.141592653589793d;
                double y = Math.round(((double) C.ENCODING_PCM_MU_LAW) - ((Math.log((Math.sin((lat * 3.141592653589793d) / 180.0d) + 1.0d) / (1.0d - Math.sin((lat * 3.141592653589793d) / 180.0d))) * rad) / 2.0d)) - (AndroidUtilities.dp(10.3f) << 6);
                url = AndroidUtilities.formapMapUrl(this.currentAccount, ((1.5707963267948966d - (Math.atan(Math.exp((y - ((double) C.ENCODING_PCM_MU_LAW)) / rad)) * 2.0d)) * 180.0d) / 3.141592653589793d, lon, (int) (photoWidth / AndroidUtilities.density), (int) (photoHeight / AndroidUtilities.density), false, 15);
            } else if (!TextUtils.isEmpty(object.messageOwner.media.title)) {
                int photoWidth2 = this.backgroundWidth - AndroidUtilities.dp(21.0f);
                int photoHeight2 = AndroidUtilities.dp(195.0f);
                url = AndroidUtilities.formapMapUrl(this.currentAccount, lat, lon, (int) (photoWidth2 / AndroidUtilities.density), (int) (photoHeight2 / AndroidUtilities.density), true, 15);
            } else {
                int photoWidth3 = this.backgroundWidth - AndroidUtilities.dp(12.0f);
                int photoHeight3 = AndroidUtilities.dp(195.0f);
                url = AndroidUtilities.formapMapUrl(this.currentAccount, lat, lon, (int) (photoWidth3 / AndroidUtilities.density), (int) (photoHeight3 / AndroidUtilities.density), true, 15);
            }
            return true ^ url.equals(this.currentUrl);
        }
        TLRPC.PhotoSize photoSize = this.currentPhotoObject;
        if (photoSize == null || (photoSize.location instanceof TLRPC.TL_fileLocationUnavailable)) {
            return object.type == 1 || object.type == 5 || object.type == 3 || object.type == 8 || object.isAnyKindOfSticker();
        }
        MessageObject messageObject = this.currentMessageObject;
        if (messageObject == null || !this.photoNotSet) {
            return false;
        }
        File cacheFile = FileLoader.getPathToMessage(messageObject.messageOwner);
        return cacheFile.exists();
    }

    private boolean isUserDataChanged() {
        TLRPC.PhotoSize photoSize;
        MessageObject messageObject = this.currentMessageObject;
        if (messageObject == null || this.hasLinkPreview || messageObject.messageOwner.media == null || !(this.currentMessageObject.messageOwner.media.webpage instanceof TLRPC.TL_webPage)) {
            MessageObject messageObject2 = this.currentMessageObject;
            if (messageObject2 == null || (this.currentUser == null && this.currentChat == null)) {
                return false;
            }
            if (this.lastSendState == messageObject2.messageOwner.send_state && this.lastDeleteDate == this.currentMessageObject.messageOwner.destroyTime && this.lastViewsCount == this.currentMessageObject.messageOwner.views && this.lastReactions == this.currentMessageObject.messageOwner.reactions) {
                updateCurrentUserAndChat();
                TLRPC.FileLocation newPhoto = null;
                if (this.isAvatarVisible) {
                    TLRPC.User user = this.currentUser;
                    if (user != null && user.photo != null) {
                        newPhoto = this.currentUser.photo.photo_small;
                    } else {
                        TLRPC.Chat chat = this.currentChat;
                        if (chat != null && chat.photo != null) {
                            newPhoto = this.currentChat.photo.photo_small;
                        }
                    }
                }
                if (this.replyTextLayout != null || this.currentMessageObject.replyMessageObject == null) {
                    TLRPC.FileLocation fileLocation = this.currentPhoto;
                    if ((fileLocation != null || newPhoto == null) && ((fileLocation == null || newPhoto != null) && (fileLocation == null || newPhoto == null || (fileLocation.local_id == newPhoto.local_id && this.currentPhoto.volume_id == newPhoto.volume_id)))) {
                        TLRPC.PhotoSize newReplyPhoto = null;
                        if (this.replyNameLayout != null && (photoSize = FileLoader.getClosestPhotoSizeWithSize(this.currentMessageObject.replyMessageObject.photoThumbs, 40)) != null && !this.currentMessageObject.replyMessageObject.isAnyKindOfSticker()) {
                            newReplyPhoto = photoSize;
                        }
                        if (this.currentReplyPhoto != null || newReplyPhoto == null) {
                            String newNameString = null;
                            if (this.drawName && this.isChat && !this.currentMessageObject.isOutOwner()) {
                                TLRPC.User user2 = this.currentUser;
                                if (user2 != null) {
                                    newNameString = UserObject.getName(user2);
                                } else {
                                    TLRPC.Chat chat2 = this.currentChat;
                                    if (chat2 != null) {
                                        newNameString = chat2.title;
                                    }
                                }
                            }
                            String str = this.currentNameString;
                            if ((str != null || newNameString == null) && ((str == null || newNameString != null) && (str == null || newNameString == null || str.equals(newNameString)))) {
                                if (this.drawForwardedName && this.currentMessageObject.needDrawForwarded()) {
                                    String newNameString2 = this.currentMessageObject.getForwardedName();
                                    String str2 = this.currentForwardNameString;
                                    if (str2 != null || newNameString2 == null) {
                                        if (str2 == null || newNameString2 != null) {
                                            return (str2 == null || newNameString2 == null || str2.equals(newNameString2)) ? false : true;
                                        }
                                        return true;
                                    }
                                    return true;
                                }
                                return false;
                            }
                            return true;
                        }
                        return true;
                    }
                    return true;
                }
                return true;
            }
            return true;
        }
        return true;
    }

    public ImageReceiver getPhotoImage() {
        return this.photoImage;
    }

    public int getNoSoundIconCenterX() {
        return this.noSoundCenterX;
    }

    public int getForwardNameCenterX() {
        TLRPC.User user = this.currentUser;
        if (user != null && user.id == 0) {
            return (int) this.avatarImage.getCenterX();
        }
        return this.forwardNameX + this.forwardNameCenterX;
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.fileDidLoad);
        CheckBoxBase checkBoxBase = this.checkBox;
        if (checkBoxBase != null) {
            checkBoxBase.onDetachedFromWindow();
        }
        CheckBoxBase checkBoxBase2 = this.photoCheckBox;
        if (checkBoxBase2 != null) {
            checkBoxBase2.onDetachedFromWindow();
        }
        this.attachedToWindow = false;
        this.radialProgress.onDetachedFromWindow();
        this.videoRadialProgress.onDetachedFromWindow();
        this.avatarImage.onDetachedFromWindow();
        this.replyImageReceiver.onDetachedFromWindow();
        this.locationImageReceiver.onDetachedFromWindow();
        this.photoImage.onDetachedFromWindow();
        if (this.addedForTest && this.currentUrl != null && this.currentWebFile != null) {
            ImageLoader.getInstance().removeTestWebFile(this.currentUrl);
            this.addedForTest = false;
        }
        DownloadController.getInstance(this.currentAccount).removeLoadingFileObserver(this);
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.fileDidLoad);
        MessageObject messageObject = this.messageObjectToSet;
        if (messageObject != null) {
            setMessageContent(messageObject, this.groupedMessagesToSet, this.bottomNearToSet, this.topNearToSet);
            this.messageObjectToSet = null;
            this.groupedMessagesToSet = null;
        }
        CheckBoxBase checkBoxBase = this.checkBox;
        if (checkBoxBase != null) {
            checkBoxBase.onAttachedToWindow();
        }
        CheckBoxBase checkBoxBase2 = this.photoCheckBox;
        if (checkBoxBase2 != null) {
            checkBoxBase2.onAttachedToWindow();
        }
        this.attachedToWindow = true;
        setTranslationX(0.0f);
        this.radialProgress.onAttachedToWindow();
        this.videoRadialProgress.onAttachedToWindow();
        this.avatarImage.onAttachedToWindow();
        this.avatarImage.setParentView((View) getParent());
        this.replyImageReceiver.onAttachedToWindow();
        this.locationImageReceiver.onAttachedToWindow();
        if (this.photoImage.onAttachedToWindow()) {
            if (this.drawPhotoImage) {
                updateButtonState(false, false, false);
            }
        } else {
            updateButtonState(false, false, false);
        }
        MessageObject messageObject2 = this.currentMessageObject;
        if (messageObject2 != null && (messageObject2.isRoundVideo() || this.currentMessageObject.isVideo())) {
            checkVideoPlayback(true);
        }
        int i = this.documentAttachType;
        if (i == 4 && this.autoPlayingMedia) {
            boolean isPlayingMessage = MediaController.getInstance().isPlayingMessage(this.currentMessageObject);
            this.animatingNoSoundPlaying = isPlayingMessage;
            this.animatingNoSoundProgress = isPlayingMessage ? 0.0f : 1.0f;
            this.animatingNoSound = 0;
            return;
        }
        this.animatingNoSoundPlaying = false;
        this.animatingNoSoundProgress = 0.0f;
        if ((i == 4 || i == 2) && this.drawVideoSize) {
            r1 = 1.0f;
        }
        this.animatingDrawVideoImageButtonProgress = r1;
    }

    /* JADX WARN: Code restructure failed: missing block: B:4217:0x0c55, code lost:
        if (r1.isSmallImage != false) goto L1254;
     */
    /* JADX WARN: Code restructure failed: missing block: B:6324:0x4c34, code lost:
        if ((r1.currentPosition.flags & 4) != 0) goto L2913;
     */
    /* JADX WARN: Code restructure failed: missing block: B:6761:0x55c5, code lost:
        if ((r1.currentPosition.flags & 4) != 0) goto L2553;
     */
    /* JADX WARN: Multi-variable search skipped. Vars limit reached: 7095 (expected less than 5000) */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Removed duplicated region for block: B:3634:0x0048  */
    /* JADX WARN: Removed duplicated region for block: B:3675:0x00b6  */
    /* JADX WARN: Removed duplicated region for block: B:3676:0x00b8  */
    /* JADX WARN: Removed duplicated region for block: B:3683:0x00ca  */
    /* JADX WARN: Removed duplicated region for block: B:3684:0x00d5  */
    /* JADX WARN: Removed duplicated region for block: B:3701:0x0111  */
    /* JADX WARN: Removed duplicated region for block: B:3718:0x014c  */
    /* JADX WARN: Removed duplicated region for block: B:3811:0x02b6  */
    /* JADX WARN: Removed duplicated region for block: B:3830:0x0392  */
    /* JADX WARN: Removed duplicated region for block: B:3833:0x039c  */
    /* JADX WARN: Removed duplicated region for block: B:3840:0x03bd  */
    /* JADX WARN: Removed duplicated region for block: B:4107:0x09dd  */
    /* JADX WARN: Removed duplicated region for block: B:4112:0x09e9  */
    /* JADX WARN: Removed duplicated region for block: B:4115:0x09ee  */
    /* JADX WARN: Removed duplicated region for block: B:4124:0x0a04  */
    /* JADX WARN: Removed duplicated region for block: B:4172:0x0b72  */
    /* JADX WARN: Removed duplicated region for block: B:4234:0x0ca6  */
    /* JADX WARN: Removed duplicated region for block: B:4238:0x0cbf  */
    /* JADX WARN: Removed duplicated region for block: B:4241:0x0ccd A[ADDED_TO_REGION] */
    /* JADX WARN: Removed duplicated region for block: B:4262:0x0d79  */
    /* JADX WARN: Removed duplicated region for block: B:4354:0x0f2e  */
    /* JADX WARN: Removed duplicated region for block: B:4356:0x0f38  */
    /* JADX WARN: Removed duplicated region for block: B:4364:0x0f4e  */
    /* JADX WARN: Removed duplicated region for block: B:4365:0x0f55  */
    /* JADX WARN: Removed duplicated region for block: B:4367:0x0f59  */
    /* JADX WARN: Removed duplicated region for block: B:4555:0x1480  */
    /* JADX WARN: Removed duplicated region for block: B:4570:0x14a7  */
    /* JADX WARN: Removed duplicated region for block: B:4571:0x14a9  */
    /* JADX WARN: Removed duplicated region for block: B:4574:0x14b6  */
    /* JADX WARN: Removed duplicated region for block: B:4575:0x14b8  */
    /* JADX WARN: Removed duplicated region for block: B:4578:0x14c9  */
    /* JADX WARN: Removed duplicated region for block: B:4590:0x14ef  */
    /* JADX WARN: Removed duplicated region for block: B:4811:0x1bad  */
    /* JADX WARN: Removed duplicated region for block: B:4828:0x1c9a  */
    /* JADX WARN: Removed duplicated region for block: B:4838:0x1ce0  */
    /* JADX WARN: Removed duplicated region for block: B:5452:0x3174  */
    /* JADX WARN: Removed duplicated region for block: B:5459:0x31ac  */
    /* JADX WARN: Removed duplicated region for block: B:6130:0x480d  */
    /* JADX WARN: Removed duplicated region for block: B:6131:0x4812  */
    /* JADX WARN: Removed duplicated region for block: B:6166:0x4897  */
    /* JADX WARN: Removed duplicated region for block: B:6167:0x489b  */
    /* JADX WARN: Removed duplicated region for block: B:6192:0x48e9  */
    /* JADX WARN: Removed duplicated region for block: B:6218:0x4967  */
    /* JADX WARN: Removed duplicated region for block: B:6225:0x49a7  */
    /* JADX WARN: Removed duplicated region for block: B:6228:0x49b4  */
    /* JADX WARN: Removed duplicated region for block: B:6231:0x49db  */
    /* JADX WARN: Removed duplicated region for block: B:6232:0x49de  */
    /* JADX WARN: Removed duplicated region for block: B:6235:0x49ea  */
    /* JADX WARN: Removed duplicated region for block: B:6238:0x49f1  */
    /* JADX WARN: Removed duplicated region for block: B:6239:0x4a02  */
    /* JADX WARN: Removed duplicated region for block: B:6247:0x4a35  */
    /* JADX WARN: Removed duplicated region for block: B:6409:0x4e24  */
    /* JADX WARN: Removed duplicated region for block: B:6494:0x4fce  */
    /* JADX WARN: Removed duplicated region for block: B:6496:0x4fd5  */
    /* JADX WARN: Removed duplicated region for block: B:6508:0x5030  */
    /* JADX WARN: Removed duplicated region for block: B:6518:0x504e  */
    /* JADX WARN: Removed duplicated region for block: B:6519:0x507d  */
    /* JADX WARN: Removed duplicated region for block: B:6522:0x509a  */
    /* JADX WARN: Removed duplicated region for block: B:6528:0x50a9 A[ADDED_TO_REGION] */
    /* JADX WARN: Removed duplicated region for block: B:6532:0x50b2 A[ADDED_TO_REGION] */
    /* JADX WARN: Removed duplicated region for block: B:6538:0x50c1 A[ADDED_TO_REGION] */
    /* JADX WARN: Removed duplicated region for block: B:6545:0x50d2  */
    /* JADX WARN: Removed duplicated region for block: B:6557:0x50fb  */
    /* JADX WARN: Removed duplicated region for block: B:6564:0x510f  */
    /* JADX WARN: Removed duplicated region for block: B:6565:0x5113 A[ADDED_TO_REGION] */
    /* JADX WARN: Removed duplicated region for block: B:6568:0x5118  */
    /* JADX WARN: Removed duplicated region for block: B:6569:0x5175  */
    /* JADX WARN: Removed duplicated region for block: B:6737:0x5562  */
    /* JADX WARN: Removed duplicated region for block: B:6748:0x5583  */
    /* JADX WARN: Removed duplicated region for block: B:6751:0x558d  */
    /* JADX WARN: Removed duplicated region for block: B:6757:0x55ad  */
    /* JADX WARN: Removed duplicated region for block: B:6758:0x55b9  */
    /* JADX WARN: Removed duplicated region for block: B:6767:0x55d4  */
    /* JADX WARN: Removed duplicated region for block: B:6772:0x55ea  */
    /* JADX WARN: Removed duplicated region for block: B:6780:0x5611  */
    /* JADX WARN: Removed duplicated region for block: B:6783:0x561e  */
    /* JADX WARN: Removed duplicated region for block: B:6790:0x5648  */
    /* JADX WARN: Removed duplicated region for block: B:6797:0x566e  */
    /* JADX WARN: Removed duplicated region for block: B:6821:0x5733  */
    /* JADX WARN: Removed duplicated region for block: B:6831:0x575c A[Catch: Exception -> 0x5795, TryCatch #22 {Exception -> 0x5795, blocks: (B:6829:0x5745, B:6831:0x575c, B:6832:0x5781), top: B:7092:0x5745 }] */
    /* JADX WARN: Removed duplicated region for block: B:6832:0x5781 A[Catch: Exception -> 0x5795, TRY_LEAVE, TryCatch #22 {Exception -> 0x5795, blocks: (B:6829:0x5745, B:6831:0x575c, B:6832:0x5781), top: B:7092:0x5745 }] */
    /* JADX WARN: Removed duplicated region for block: B:6856:0x5823  */
    /* JADX WARN: Removed duplicated region for block: B:6863:0x5842  */
    /* JADX WARN: Removed duplicated region for block: B:6870:0x589d  */
    /* JADX WARN: Removed duplicated region for block: B:6871:0x589f  */
    /* JADX WARN: Removed duplicated region for block: B:6879:0x58c4 A[Catch: Exception -> 0x592c, TryCatch #4 {Exception -> 0x592c, blocks: (B:6877:0x58be, B:6879:0x58c4, B:6880:0x58cd, B:6881:0x5903, B:6883:0x590b, B:6885:0x5919, B:6887:0x591d, B:6888:0x5921), top: B:7054:0x58be }] */
    /* JADX WARN: Removed duplicated region for block: B:6883:0x590b A[Catch: Exception -> 0x592c, TryCatch #4 {Exception -> 0x592c, blocks: (B:6877:0x58be, B:6879:0x58c4, B:6880:0x58cd, B:6881:0x5903, B:6883:0x590b, B:6885:0x5919, B:6887:0x591d, B:6888:0x5921), top: B:7054:0x58be }] */
    /* JADX WARN: Removed duplicated region for block: B:6895:0x593d  */
    /* JADX WARN: Removed duplicated region for block: B:6900:0x5957  */
    /* JADX WARN: Removed duplicated region for block: B:6901:0x5965  */
    /* JADX WARN: Removed duplicated region for block: B:6904:0x596a  */
    /* JADX WARN: Removed duplicated region for block: B:6991:0x5cf0  */
    /* JADX WARN: Removed duplicated region for block: B:6995:0x5cfb  */
    /* JADX WARN: Removed duplicated region for block: B:6999:0x5d0b  */
    /* JADX WARN: Removed duplicated region for block: B:7000:0x5d15  */
    /* JADX WARN: Removed duplicated region for block: B:7011:0x5d34  */
    /* JADX WARN: Removed duplicated region for block: B:7016:0x5d4d  */
    /* JADX WARN: Removed duplicated region for block: B:7019:0x5d5c  */
    /* JADX WARN: Removed duplicated region for block: B:7022:0x5d6a  */
    /* JADX WARN: Removed duplicated region for block: B:7030:0x5da0  */
    /* JADX WARN: Removed duplicated region for block: B:7033:0x5dad  */
    /* JADX WARN: Removed duplicated region for block: B:7039:0x5dbe  */
    /* JADX WARN: Removed duplicated region for block: B:7072:0x579d A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:7119:0x4e94 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Type inference failed for: r15v107 */
    /* JADX WARN: Type inference failed for: r15v110 */
    /* JADX WARN: Type inference failed for: r15v112 */
    /* JADX WARN: Type inference failed for: r15v113 */
    /* JADX WARN: Type inference failed for: r15v114 */
    /* JADX WARN: Type inference failed for: r15v115 */
    /* JADX WARN: Type inference failed for: r15v116, types: [boolean] */
    /* JADX WARN: Type inference failed for: r15v117 */
    /* JADX WARN: Type inference failed for: r15v149 */
    /* JADX WARN: Type inference failed for: r15v150 */
    /* JADX WARN: Type inference failed for: r15v151 */
    /* JADX WARN: Type inference failed for: r15v152 */
    /* JADX WARN: Type inference failed for: r15v153 */
    /* JADX WARN: Type inference failed for: r15v154 */
    /* JADX WARN: Type inference failed for: r2v445 */
    /* JADX WARN: Type inference failed for: r2v446, types: [android.text.StaticLayout, im.uecahxyvjd.messenger.ImageReceiver] */
    /* JADX WARN: Type inference failed for: r2v551 */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void setMessageContent(MessageObject messageObject, MessageObject.GroupedMessages groupedMessages, boolean bottomNear, boolean topNear) {
        boolean z;
        boolean messageTranslated;
        boolean messageIdChanged;
        boolean messageChanged;
        boolean isAtAll;
        boolean groupChanged;
        boolean pollChanged;
        TLRPC.Document document;
        boolean pollChanged2;
        boolean groupChanged2;
        RelativeLayout relativeLayout;
        int maxPhotoWidth;
        int photoWidth;
        boolean useFullWidth;
        int maxPhotoWidth2;
        boolean needQualityPreview;
        int w;
        int imageW;
        TLRPC.PhotoSize photoSize;
        int a2;
        int timeWidthTotal;
        boolean fixPhotoWidth;
        int timeWidthTotal2;
        int photoWidth2;
        MessageObject messageObject2;
        int widthForCaption;
        int photoHeight;
        int w2;
        int widthForCaption2;
        int h;
        int timeWidthTotal3;
        float f;
        int additionHeight;
        int photoWidth3;
        boolean noSize;
        TLRPC.PhotoSize photoSize2;
        TLRPC.PhotoSize photoSize3;
        float f2;
        boolean z2;
        boolean autoDownload;
        boolean z3;
        boolean photoExist;
        int photoHeight2;
        MessageObject.GroupedMessagePosition groupedMessagePosition;
        int widthForCaption3;
        int h2;
        int photoWidth4;
        int h3;
        int count;
        float maxHeight;
        int widthForCaption4;
        double d;
        boolean useFullWidth2;
        int maxPhotoWidth3;
        int h4;
        double d2;
        MessageObject.GroupedMessagePosition position;
        TLRPC.PhotoSize photoSize4;
        TLRPC.PhotoSize photoSize5;
        float maxHeight2;
        float maxWidth;
        int photoHeight3;
        int photoWidth5;
        String filter;
        int additionHeight2;
        MessageObject messageObject3;
        int photoHeight4;
        int photoWidth6;
        int maxWidth2;
        int i;
        int additionHeight3;
        MessageObject.GroupedMessagePosition groupedMessagePosition2;
        int i2;
        MessageObject.GroupedMessagePosition groupedMessagePosition3;
        MessageObject.GroupedMessagePosition groupedMessagePosition4;
        int y;
        int y2;
        MessageObject.GroupedMessages groupedMessages2;
        MessageObject.GroupedMessagePosition groupedMessagePosition5;
        StaticLayout staticLayout;
        String text;
        String remarks;
        String remarks2;
        String text2;
        String remarks3;
        String remarks4;
        float f3;
        String str;
        int i3;
        byte[] votingFor;
        PollButton button;
        int maxWidth3;
        int a3;
        int maxWidth4;
        CharSequence phone;
        MessageObject.GroupedMessagePosition groupedMessagePosition6;
        ?? r2;
        int maxWidth5;
        ChatFCAttentionBean bean;
        float photoY5;
        int maxWidth6;
        int i4;
        String text3;
        boolean z4;
        AnonymousClass1 anonymousClass1;
        boolean z5;
        MessageObject.GroupedMessagePosition groupedMessagePosition7;
        MessageObject messageObject4;
        HashMap<String, BotButton> oldByPosition;
        HashMap<String, BotButton> oldByPosition2;
        BotButton oldButton;
        BotButton oldButton2;
        boolean z6;
        HashMap<String, BotButton> oldByData;
        HashMap<String, BotButton> oldByPosition3;
        CharSequence buttonText;
        String str2;
        int a4;
        int i5;
        int maxWidth7;
        boolean slideshow;
        boolean slideshow2;
        TLRPC.Document androidThemeDocument;
        String site_name;
        boolean smallImage;
        String title;
        String description;
        String author;
        TLRPC.Photo photo;
        WebFile webDocument;
        int linkPreviewMaxWidth;
        int duration;
        String type;
        TLRPC.Document document2;
        int additinalWidth;
        int maxWidth8;
        WebFile webDocument2;
        int additinalWidth2;
        int additionalHeight;
        StaticLayout staticLayout2;
        String type2;
        TLRPC.Document document3;
        boolean titleIsRTL;
        int restLinesCount;
        int restLinesCount2;
        int restLinesCount3;
        boolean authorIsRTL;
        int restLinesCount4;
        int timeMore;
        boolean smallImage2;
        TLRPC.Document document4;
        int timeMore2;
        int maxWidth9;
        String type3;
        WebFile webDocument3;
        WebFile webDocument4;
        int maxWidth10;
        boolean isPhoto;
        TLRPC.PhotoSize closestPhotoSizeWithSize;
        int i6;
        int timeMore3;
        int additinalWidth3;
        int maxWidth11;
        int i7;
        int maxPhotoWidth4;
        int width;
        int height;
        char c;
        String type4;
        ?? r15;
        boolean autoDownload2;
        boolean z7;
        boolean z8;
        int i8;
        float f4;
        StaticLayout staticLayout3;
        int restLines;
        StaticLayout staticLayout4;
        int height2;
        boolean hasRTL;
        int a5;
        int maxChildWidth;
        boolean hasRTL2;
        int width2;
        int restLines2;
        StaticLayout staticLayout5;
        int width3;
        String site_name2;
        int linkPreviewMaxWidth2;
        int linkPreviewMaxWidth3;
        boolean smallImage3;
        boolean smallImage4;
        boolean smallImage5;
        Drawable drawable;
        MessageObject.GroupedMessagePosition groupedMessagePosition8;
        MessageObject.GroupedMessagePosition groupedMessagePosition9;
        MessageObject.GroupedMessagePosition groupedMessagePosition10;
        ArrayList<TLRPC.TL_pollAnswerVoters> newResults;
        TLRPC.TL_poll tL_poll;
        ChatMessageCell chatMessageCell = this;
        MessageObject messageObject5 = messageObject;
        if (messageObject.checkLayout() || (chatMessageCell.currentPosition != null && chatMessageCell.lastHeight != AndroidUtilities.displaySize.y)) {
            chatMessageCell.currentMessageObject = null;
        }
        chatMessageCell.lastHeight = AndroidUtilities.displaySize.y;
        if (chatMessageCell.currentMessageObject != null && messageObject.getTranslate() != null) {
            String translate = messageObject.getTranslate();
            String str3 = chatMessageCell.lastTranslate;
            if (str3 == null) {
                str3 = "";
            }
            if (!translate.equals(str3)) {
                z = true;
                messageTranslated = z;
                if (messageTranslated) {
                    messageObject5.generateLayout(null);
                }
                MessageObject messageObject6 = chatMessageCell.currentMessageObject;
                messageIdChanged = (messageObject6 == null && messageObject6.getId() == messageObject.getId()) ? false : true;
                messageChanged = chatMessageCell.currentMessageObject == messageObject5 || messageObject5.forceUpdate;
                MessageObject messageObject7 = chatMessageCell.currentMessageObject;
                boolean dataChanged = (messageObject7 == null && messageObject7.getId() == messageObject.getId() && chatMessageCell.lastSendState == 3 && messageObject.isSent()) || (chatMessageCell.currentMessageObject == messageObject5 && (isUserDataChanged() || chatMessageCell.photoNotSet));
                isAtAll = messageObject5 == null && messageObject5.messageText != null && messageObject5.messageText.toString().contains("@all");
                groupChanged = groupedMessages == chatMessageCell.currentMessagesGroup;
                pollChanged = false;
                chatMessageCell.blnImgExchanged = false;
                if (messageObject5.type != 9 || messageObject5.type == 1) {
                    if (messageObject5.type != 0) {
                        chatMessageCell.documentAttach = messageObject5.messageOwner.media.webpage.document;
                    } else {
                        chatMessageCell.documentAttach = messageObject.getDocument();
                    }
                    document = chatMessageCell.documentAttach;
                    if (document != null && !MessageObject.isVoiceDocument(document) && !MessageObject.isMusicDocument(chatMessageCell.documentAttach)) {
                        if (chatMessageCell.documentAttach.mime_type == null && chatMessageCell.documentAttach.mime_type.toLowerCase().startsWith("video/")) {
                            messageObject5.type = 3;
                        } else if (!MessageObject.isGifDocument(chatMessageCell.documentAttach)) {
                            boolean z9 = (chatMessageCell.documentAttach.mime_type != null && chatMessageCell.documentAttach.mime_type.toLowerCase().startsWith("image/")) || MessageObject.isDocumentHasThumb(chatMessageCell.documentAttach);
                            chatMessageCell.blnImgExchanged = z9;
                            if (z9) {
                                messageObject5.type = 1;
                            }
                        }
                    }
                }
                if (!messageChanged && messageObject5.type == 17) {
                    newResults = null;
                    TLRPC.TL_poll newPoll = null;
                    int newVoters = 0;
                    if (messageObject5.messageOwner.media instanceof TLRPC.TL_messageMediaPoll) {
                        TLRPC.TL_messageMediaPoll mediaPoll = (TLRPC.TL_messageMediaPoll) messageObject5.messageOwner.media;
                        newResults = mediaPoll.results.results;
                        newPoll = mediaPoll.poll;
                        newVoters = mediaPoll.results.total_voters;
                    }
                    if (newResults != null && chatMessageCell.lastPollResults != null && newVoters != chatMessageCell.lastPollResultsVoters) {
                        pollChanged = true;
                    }
                    if (!pollChanged && newResults != chatMessageCell.lastPollResults) {
                        pollChanged = true;
                    }
                    if (!pollChanged && (tL_poll = chatMessageCell.lastPoll) != newPoll && tL_poll.closed != newPoll.closed) {
                        pollChanged = true;
                    }
                    if (pollChanged && chatMessageCell.attachedToWindow) {
                        chatMessageCell.pollAnimationProgressTime = 0.0f;
                        if (chatMessageCell.pollVoted && !messageObject.isVoted()) {
                            chatMessageCell.pollUnvoteInProgress = true;
                        }
                    }
                }
                pollChanged2 = pollChanged;
                if (!groupChanged || groupedMessages == null) {
                    groupChanged2 = groupChanged;
                } else {
                    MessageObject.GroupedMessagePosition newPosition = groupedMessages.messages.size() > 1 ? chatMessageCell.currentMessagesGroup.positions.get(chatMessageCell.currentMessageObject) : null;
                    groupChanged2 = newPosition != chatMessageCell.currentPosition;
                }
                if (!isAtAll || messageTranslated || messageChanged || dataChanged || groupChanged2 || pollChanged2 || isPhotoDataChanged(messageObject) || chatMessageCell.pinnedBottom != bottomNear || chatMessageCell.pinnedTop != topNear || chatMessageCell.blnAttachFileLoaded) {
                    chatMessageCell.blnAttachFileLoaded = false;
                    chatMessageCell.pinnedBottom = bottomNear;
                    chatMessageCell.pinnedTop = topNear;
                    chatMessageCell.currentMessageObject = messageObject5;
                    chatMessageCell.currentMessagesGroup = groupedMessages;
                    chatMessageCell.lastTime = -2;
                    chatMessageCell.isHighlightedAnimated = false;
                    chatMessageCell.widthBeforeNewTimeLine = -1;
                    if (groupedMessages != null || groupedMessages.posArray.size() <= 1) {
                        chatMessageCell.currentMessagesGroup = null;
                        chatMessageCell.currentPosition = null;
                    } else {
                        MessageObject.GroupedMessagePosition groupedMessagePosition11 = chatMessageCell.currentMessagesGroup.positions.get(chatMessageCell.currentMessageObject);
                        chatMessageCell.currentPosition = groupedMessagePosition11;
                        if (groupedMessagePosition11 == null) {
                            chatMessageCell.currentMessagesGroup = null;
                        }
                    }
                    chatMessageCell.drawPinnedTop = !chatMessageCell.pinnedTop && ((groupedMessagePosition10 = chatMessageCell.currentPosition) == null || (groupedMessagePosition10.flags & 4) != 0);
                    chatMessageCell.drawPinnedBottom = !chatMessageCell.pinnedBottom && ((groupedMessagePosition9 = chatMessageCell.currentPosition) == null || (groupedMessagePosition9.flags & 8) != 0);
                    chatMessageCell.photoImage.setCrossfadeWithOldImage(false);
                    chatMessageCell.lastSendState = messageObject5.messageOwner.send_state;
                    chatMessageCell.lastTranslate = messageObject5.messageOwner.trans;
                    chatMessageCell.lastDeleteDate = messageObject5.messageOwner.destroyTime;
                    chatMessageCell.lastViewsCount = messageObject5.messageOwner.views;
                    chatMessageCell.isPressed = false;
                    chatMessageCell.gamePreviewPressed = false;
                    chatMessageCell.sharePressed = false;
                    chatMessageCell.isCheckPressed = true;
                    chatMessageCell.hasNewLineForTime = false;
                    chatMessageCell.isAvatarVisible = (messageObject.needDrawAvatar() || messageObject.isNewSupport() || ((groupedMessagePosition8 = chatMessageCell.currentPosition) != null && (!groupedMessagePosition8.edge || (chatMessageCell.currentPosition.flags & 4) == 0))) ? false : true;
                    chatMessageCell.wasLayout = false;
                    chatMessageCell.drwaShareGoIcon = false;
                    chatMessageCell.groupPhotoInvisible = false;
                    chatMessageCell.animatingDrawVideoImageButton = 0;
                    chatMessageCell.drawVideoSize = false;
                    chatMessageCell.canStreamVideo = false;
                    chatMessageCell.animatingNoSound = 0;
                    chatMessageCell.drawShareButton = checkNeedDrawShareButton(messageObject);
                    chatMessageCell.replyNameLayout = null;
                    chatMessageCell.adminLayout = null;
                    chatMessageCell.checkOnlyButtonPressed = false;
                    chatMessageCell.replyTextLayout = null;
                    chatMessageCell.hasEmbed = false;
                    chatMessageCell.autoPlayingMedia = false;
                    chatMessageCell.replyNameWidth = 0;
                    chatMessageCell.replyTextWidth = 0;
                    chatMessageCell.viaWidth = 0;
                    chatMessageCell.viaNameWidth = 0;
                    chatMessageCell.addedCaptionHeight = 0;
                    chatMessageCell.currentReplyPhoto = null;
                    chatMessageCell.currentUser = null;
                    chatMessageCell.currentChat = null;
                    chatMessageCell.currentViaBotUser = null;
                    chatMessageCell.instantViewLayout = null;
                    chatMessageCell.drawNameLayout = false;
                    if (chatMessageCell.scheduledInvalidate) {
                        AndroidUtilities.cancelRunOnUIThread(chatMessageCell.invalidateRunnable);
                        chatMessageCell.scheduledInvalidate = false;
                    }
                    chatMessageCell.resetPressedLink(-1);
                    messageObject5.forceUpdate = false;
                    chatMessageCell.drawPhotoImage = false;
                    chatMessageCell.drawPhotoCheckBox = false;
                    chatMessageCell.hasLinkPreview = false;
                    chatMessageCell.hasOldCaptionPreview = false;
                    chatMessageCell.hasGamePreview = false;
                    chatMessageCell.hasInvoicePreview = false;
                    chatMessageCell.instantButtonPressed = false;
                    chatMessageCell.instantPressed = false;
                    if (!pollChanged2 && (drawable = chatMessageCell.selectorDrawable) != null) {
                        drawable.setVisible(false, false);
                        chatMessageCell.selectorDrawable.setState(StateSet.NOTHING);
                    }
                    chatMessageCell.linkPreviewPressed = false;
                    chatMessageCell.buttonPressed = 0;
                    chatMessageCell.miniButtonPressed = 0;
                    chatMessageCell.pressedBotButton = -1;
                    chatMessageCell.pressedVoteButton = -1;
                    chatMessageCell.linkPreviewHeight = 0;
                    chatMessageCell.mediaOffsetY = 0;
                    chatMessageCell.documentAttachType = 0;
                    chatMessageCell.documentAttach = null;
                    chatMessageCell.descriptionLayout = null;
                    chatMessageCell.titleLayout = null;
                    chatMessageCell.videoInfoLayout = null;
                    chatMessageCell.photosCountLayout = null;
                    chatMessageCell.siteNameLayout = null;
                    chatMessageCell.authorLayout = null;
                    chatMessageCell.captionLayout = null;
                    chatMessageCell.captionOffsetX = 0;
                    chatMessageCell.currentCaption = null;
                    chatMessageCell.docTitleLayout = null;
                    chatMessageCell.drawImageButton = false;
                    chatMessageCell.drawVideoImageButton = false;
                    chatMessageCell.currentPhotoObject = null;
                    chatMessageCell.photoParentObject = null;
                    chatMessageCell.currentPhotoObjectThumb = null;
                    chatMessageCell.currentPhotoFilter = null;
                    chatMessageCell.infoLayout = null;
                    chatMessageCell.cancelLoading = false;
                    chatMessageCell.buttonState = -1;
                    chatMessageCell.miniButtonState = -1;
                    chatMessageCell.hasMiniProgress = 0;
                    if (chatMessageCell.addedForTest && chatMessageCell.currentUrl != null && chatMessageCell.currentWebFile != null) {
                        ImageLoader.getInstance().removeTestWebFile(chatMessageCell.currentUrl);
                    }
                    chatMessageCell.addedForTest = false;
                    chatMessageCell.currentUrl = null;
                    chatMessageCell.currentWebFile = null;
                    chatMessageCell.photoNotSet = false;
                    chatMessageCell.drawBackground = true;
                    chatMessageCell.drawName = false;
                    chatMessageCell.useSeekBarWaweform = false;
                    chatMessageCell.drawInstantView = false;
                    chatMessageCell.drawInstantViewType = 0;
                    chatMessageCell.drawForwardedName = false;
                    chatMessageCell.photoImage.setSideClip(0.0f);
                    chatMessageCell.imageBackgroundColor = 0;
                    chatMessageCell.imageBackgroundSideColor = 0;
                    chatMessageCell.mediaBackground = false;
                    chatMessageCell.photoImage.setAlpha(1.0f);
                    if (!messageChanged || dataChanged) {
                        chatMessageCell.pollButtons.clear();
                    }
                    boolean z10 = false;
                    chatMessageCell.availableTimeWidth = 0;
                    chatMessageCell.lastReactions = messageObject5.messageOwner.reactions;
                    chatMessageCell.photoImage.setForceLoading(false);
                    chatMessageCell.photoImage.setNeedsQualityThumb(false);
                    chatMessageCell.photoImage.setShouldGenerateQualityThumb(false);
                    chatMessageCell.photoImage.setAllowDecodeSingleFrame(false);
                    chatMessageCell.photoImage.setRoundRadius(AndroidUtilities.dp(4.0f));
                    chatMessageCell.photoImage.setColorFilter(null);
                    if (messageChanged) {
                        chatMessageCell.firstVisibleBlockNum = 0;
                        chatMessageCell.lastVisibleBlockNum = 0;
                        chatMessageCell.needNewVisiblePart = true;
                    }
                    relativeLayout = chatMessageCell.rlContainer;
                    if (relativeLayout != null) {
                        relativeLayout.setVisibility(messageObject5.type == 105 ? 0 : 8);
                    }
                    float f5 = 50.0f;
                    if (messageObject5.type != 0) {
                        chatMessageCell.drawForwardedName = true;
                        if (AndroidUtilities.isTablet()) {
                            if (chatMessageCell.isChat && !messageObject.isOutOwner() && messageObject.needDrawAvatar()) {
                                int maxWidth12 = AndroidUtilities.getMinTabletSide() - AndroidUtilities.dp(122.0f);
                                chatMessageCell.drawName = true;
                                maxWidth7 = maxWidth12;
                            } else {
                                chatMessageCell.drawName = (messageObject5.messageOwner.to_id.channel_id == 0 || messageObject.isOutOwner()) ? false : true;
                                maxWidth7 = AndroidUtilities.getMinTabletSide() - AndroidUtilities.dp(80.0f);
                            }
                        } else if (chatMessageCell.isChat && !messageObject.isOutOwner() && messageObject.needDrawAvatar()) {
                            int maxWidth13 = Math.min(AndroidUtilities.displaySize.x, AndroidUtilities.displaySize.y) - AndroidUtilities.dp(122.0f);
                            chatMessageCell.drawName = true;
                            maxWidth7 = maxWidth13;
                        } else {
                            int maxWidth14 = (Math.min(AndroidUtilities.displaySize.x, AndroidUtilities.displaySize.y) - AndroidUtilities.dp(80.0f)) - AndroidUtilities.dp(48.0f);
                            chatMessageCell.drawName = (messageObject5.messageOwner.to_id.channel_id == 0 || messageObject.isOutOwner()) ? false : true;
                            maxWidth7 = maxWidth14;
                        }
                        chatMessageCell.availableTimeWidth = maxWidth7;
                        if (messageObject.isRoundVideo()) {
                            chatMessageCell.availableTimeWidth = (int) (chatMessageCell.availableTimeWidth - (Math.ceil(Theme.chat_audioTimePaint.measureText("00:00")) + (messageObject.isOutOwner() ? 0 : AndroidUtilities.dp(64.0f))));
                        }
                        measureTime(messageObject);
                        int timeMore4 = chatMessageCell.timeWidth + AndroidUtilities.dp(6.0f);
                        int timeMore5 = messageObject.isOutOwner() ? timeMore4 + AndroidUtilities.dp(20.5f) : timeMore4;
                        chatMessageCell.hasGamePreview = (messageObject5.messageOwner.media instanceof TLRPC.TL_messageMediaGame) && (messageObject5.messageOwner.media.game instanceof TLRPC.TL_game);
                        chatMessageCell.hasInvoicePreview = messageObject5.messageOwner.media instanceof TLRPC.TL_messageMediaInvoice;
                        boolean z11 = (messageObject5.messageOwner.media instanceof TLRPC.TL_messageMediaWebPage) && (messageObject5.messageOwner.media.webpage instanceof TLRPC.TL_webPage);
                        chatMessageCell.hasLinkPreview = z11;
                        chatMessageCell.drawInstantView = z11 && messageObject5.messageOwner.media.webpage.cached_page != null;
                        chatMessageCell.hasEmbed = (!chatMessageCell.hasLinkPreview || TextUtils.isEmpty(messageObject5.messageOwner.media.webpage.embed_url) || messageObject.isGif()) ? false : true;
                        String siteName = chatMessageCell.hasLinkPreview ? messageObject5.messageOwner.media.webpage.site_name : null;
                        String webpageType = chatMessageCell.hasLinkPreview ? messageObject5.messageOwner.media.webpage.type : null;
                        TLRPC.Document androidThemeDocument2 = null;
                        if (chatMessageCell.drawInstantView) {
                            slideshow = false;
                            if (siteName != null) {
                                siteName = siteName.toLowerCase();
                                if ((siteName.equals("instagram") || siteName.equals("twitter") || "app_album".equals(webpageType)) && (messageObject5.messageOwner.media.webpage.cached_page instanceof TLRPC.TL_page) && ((messageObject5.messageOwner.media.webpage.photo instanceof TLRPC.TL_photo) || MessageObject.isVideoDocument(messageObject5.messageOwner.media.webpage.document))) {
                                    chatMessageCell.drawInstantView = false;
                                    ArrayList<TLRPC.PageBlock> blocks = messageObject5.messageOwner.media.webpage.cached_page.blocks;
                                    int count2 = 1;
                                    for (int a6 = 0; a6 < blocks.size(); a6++) {
                                        TLRPC.PageBlock block = blocks.get(a6);
                                        if (block instanceof TLRPC.TL_pageBlockSlideshow) {
                                            TLRPC.TL_pageBlockSlideshow b = (TLRPC.TL_pageBlockSlideshow) block;
                                            count2 = b.items.size();
                                        } else if (block instanceof TLRPC.TL_pageBlockCollage) {
                                            TLRPC.TL_pageBlockCollage b2 = (TLRPC.TL_pageBlockCollage) block;
                                            count2 = b2.items.size();
                                        }
                                    }
                                    String str4 = LocaleController.formatString("Of", R.string.Of, 1, Integer.valueOf(count2));
                                    chatMessageCell.photosCountWidth = (int) Math.ceil(Theme.chat_durationPaint.measureText(str4));
                                    chatMessageCell.photosCountLayout = new StaticLayout(str4, Theme.chat_durationPaint, chatMessageCell.photosCountWidth, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                    slideshow2 = true;
                                    androidThemeDocument = null;
                                }
                            }
                            androidThemeDocument = null;
                            slideshow2 = slideshow;
                        } else {
                            if ("app_channel".equals(webpageType)) {
                                chatMessageCell.drawInstantView = true;
                                chatMessageCell.drawInstantViewType = 1;
                                slideshow = false;
                            } else if ("app_megagroup".equals(webpageType)) {
                                chatMessageCell.drawInstantView = true;
                                chatMessageCell.drawInstantViewType = 2;
                                slideshow = false;
                            } else if ("app_message".equals(webpageType)) {
                                chatMessageCell.drawInstantView = true;
                                chatMessageCell.drawInstantViewType = 3;
                                slideshow = false;
                            } else if ("app_theme".equals(webpageType)) {
                                ArrayList<TLRPC.Document> documents = messageObject5.messageOwner.media.webpage.documents;
                                int a7 = 0;
                                int N = documents.size();
                                while (true) {
                                    if (a7 >= N) {
                                        break;
                                    }
                                    TLRPC.Document document5 = documents.get(a7);
                                    if ("application/x-tgtheme-android".equals(document5.mime_type)) {
                                        chatMessageCell.drawInstantView = true;
                                        chatMessageCell.drawInstantViewType = 7;
                                        androidThemeDocument2 = document5;
                                        break;
                                    }
                                    a7++;
                                }
                                slideshow2 = false;
                                androidThemeDocument = androidThemeDocument2;
                            } else if ("app_background".equals(webpageType)) {
                                chatMessageCell.drawInstantView = true;
                                chatMessageCell.drawInstantViewType = 6;
                                try {
                                    Uri url = Uri.parse(messageObject5.messageOwner.media.webpage.url);
                                    int intensity = Utilities.parseInt(url.getQueryParameter("intensity")).intValue();
                                    String bgColor = url.getQueryParameter("bg_color");
                                    if (TextUtils.isEmpty(bgColor)) {
                                        try {
                                            TLRPC.Document document6 = messageObject.getDocument();
                                            if (document6 != null) {
                                                if ("image/png".equals(document6.mime_type)) {
                                                    bgColor = "ffffff";
                                                }
                                            }
                                            if (intensity == 0) {
                                                intensity = 50;
                                            }
                                        } catch (Exception e) {
                                            slideshow = false;
                                        }
                                    }
                                    try {
                                        if (bgColor != null) {
                                            int parseInt = Integer.parseInt(bgColor, 16) | (-16777216);
                                            chatMessageCell.imageBackgroundColor = parseInt;
                                            chatMessageCell.imageBackgroundSideColor = AndroidUtilities.getPatternSideColor(parseInt);
                                            slideshow = false;
                                            chatMessageCell.photoImage.setColorFilter(new PorterDuffColorFilter(AndroidUtilities.getPatternColor(chatMessageCell.imageBackgroundColor), PorterDuff.Mode.SRC_IN));
                                            chatMessageCell.photoImage.setAlpha(intensity / 100.0f);
                                        } else {
                                            String color = url.getLastPathSegment();
                                            slideshow = false;
                                            if (color != null) {
                                                slideshow = false;
                                                if (color.length() == 6) {
                                                    chatMessageCell.imageBackgroundColor = Integer.parseInt(color, 16) | (-16777216);
                                                    TLRPC.TL_photoSizeEmpty tL_photoSizeEmpty = new TLRPC.TL_photoSizeEmpty();
                                                    chatMessageCell.currentPhotoObject = tL_photoSizeEmpty;
                                                    tL_photoSizeEmpty.type = "s";
                                                    chatMessageCell.currentPhotoObject.w = AndroidUtilities.dp(180.0f);
                                                    chatMessageCell.currentPhotoObject.h = AndroidUtilities.dp(150.0f);
                                                    chatMessageCell.currentPhotoObject.location = new TLRPC.TL_fileLocationUnavailable();
                                                    slideshow = false;
                                                }
                                            }
                                        }
                                    } catch (Exception e2) {
                                    }
                                } catch (Exception e3) {
                                    slideshow = false;
                                }
                            } else {
                                slideshow = false;
                            }
                            androidThemeDocument = null;
                            slideshow2 = slideshow;
                        }
                        chatMessageCell.backgroundWidth = maxWidth7;
                        if (chatMessageCell.hasLinkPreview || chatMessageCell.hasGamePreview || chatMessageCell.hasInvoicePreview || maxWidth7 - messageObject5.lastLineWidth < timeMore5) {
                            int max = Math.max(chatMessageCell.backgroundWidth, messageObject5.lastLineWidth) + AndroidUtilities.dp(31.0f);
                            chatMessageCell.backgroundWidth = max;
                            chatMessageCell.backgroundWidth = Math.max(max, chatMessageCell.timeWidth + AndroidUtilities.dp(31.0f));
                        } else {
                            int diff = chatMessageCell.backgroundWidth - messageObject5.lastLineWidth;
                            if (diff < 0 || diff > timeMore5) {
                                chatMessageCell.backgroundWidth = Math.max(chatMessageCell.backgroundWidth, messageObject5.lastLineWidth + timeMore5) + AndroidUtilities.dp(31.0f);
                            } else {
                                chatMessageCell.backgroundWidth = ((chatMessageCell.backgroundWidth + timeMore5) - diff) + AndroidUtilities.dp(31.0f);
                            }
                        }
                        chatMessageCell.availableTimeWidth = chatMessageCell.backgroundWidth - AndroidUtilities.dp(31.0f);
                        if (messageObject.isRoundVideo()) {
                            chatMessageCell.availableTimeWidth = (int) (chatMessageCell.availableTimeWidth - (Math.ceil(Theme.chat_audioTimePaint.measureText("00:00")) + (messageObject.isOutOwner() ? 0 : AndroidUtilities.dp(64.0f))));
                        }
                        setMessageObjectInternal(messageObject);
                        chatMessageCell.backgroundWidth = messageObject5.textWidth + ((chatMessageCell.hasGamePreview || chatMessageCell.hasInvoicePreview) ? AndroidUtilities.dp(10.0f) : 0);
                        chatMessageCell.totalHeight = messageObject5.textHeight + AndroidUtilities.dp(19.5f) + chatMessageCell.namesOffset + (mOffset * 2);
                        if (messageObject5.transHeight != 0) {
                            chatMessageCell.totalHeight += AndroidUtilities.dp(35.0f) + messageObject5.transHeight;
                            if (Build.VERSION.SDK_INT >= 24) {
                                chatMessageCell.transLayout = StaticLayout.Builder.obtain(messageObject5.messageOwner.trans, 0, messageObject5.messageOwner.trans.length(), Theme.chat_msgTextPaint, chatMessageCell.currentMessageObject.transWidth).setBreakStrategy(1).setHyphenationFrequency(0).setAlignment(Layout.Alignment.ALIGN_NORMAL).build();
                            } else {
                                chatMessageCell.transLayout = new StaticLayout(messageObject5.messageOwner.trans, Theme.chat_msgTextPaint, chatMessageCell.currentMessageObject.transWidth, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                            }
                            chatMessageCell.transLayoutDesc = new StaticLayout(LocaleController.getString(R.string.AppName) + " " + LocaleController.getString("Translation", R.string.translate), Theme.chat_translationPaint, maxWidth7, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                        }
                        if (chatMessageCell.drawPinnedTop) {
                            chatMessageCell.namesOffset -= AndroidUtilities.dp(1.0f);
                        }
                        int maxChildWidth2 = Math.max(Math.max(Math.max(Math.max(chatMessageCell.backgroundWidth, chatMessageCell.nameWidth), chatMessageCell.forwardedNameWidth), chatMessageCell.replyNameWidth), chatMessageCell.replyTextWidth);
                        int maxChildWidth3 = 0;
                        if (chatMessageCell.hasLinkPreview || chatMessageCell.hasGamePreview || chatMessageCell.hasInvoicePreview) {
                            int linkPreviewMaxWidth4 = AndroidUtilities.isTablet() ? (chatMessageCell.isChat && messageObject.needDrawAvatar() && !chatMessageCell.currentMessageObject.isOutOwner()) ? AndroidUtilities.getMinTabletSide() - AndroidUtilities.dp(132.0f) : AndroidUtilities.getMinTabletSide() - AndroidUtilities.dp(80.0f) : (chatMessageCell.isChat && messageObject.needDrawAvatar() && !chatMessageCell.currentMessageObject.isOutOwner()) ? AndroidUtilities.displaySize.x - AndroidUtilities.dp(132.0f) : AndroidUtilities.displaySize.x - AndroidUtilities.dp(80.0f);
                            if (chatMessageCell.isAvatarVisible) {
                                linkPreviewMaxWidth4 -= AndroidUtilities.dp(48.0f);
                            }
                            if (chatMessageCell.drawShareButton) {
                                linkPreviewMaxWidth4 -= AndroidUtilities.dp(20.0f);
                            }
                            if (chatMessageCell.hasLinkPreview) {
                                TLRPC.TL_webPage webPage = (TLRPC.TL_webPage) messageObject5.messageOwner.media.webpage;
                                String site_name3 = webPage.site_name;
                                int i9 = chatMessageCell.drawInstantViewType;
                                String title2 = (i9 == 6 || i9 == 7) ? null : webPage.title;
                                int i10 = chatMessageCell.drawInstantViewType;
                                String author2 = (i10 == 6 || i10 == 7) ? null : webPage.author;
                                int i11 = chatMessageCell.drawInstantViewType;
                                String description2 = (i11 == 6 || i11 == 7) ? null : webPage.description;
                                TLRPC.Photo photo2 = webPage.photo;
                                int linkPreviewMaxWidth5 = linkPreviewMaxWidth4;
                                String title3 = title2;
                                TLRPC.Document document7 = chatMessageCell.drawInstantViewType == 7 ? androidThemeDocument : webPage.document;
                                String type5 = webPage.type;
                                String author3 = author2;
                                int duration2 = webPage.duration;
                                if (site_name3 == null || photo2 == null) {
                                    site_name2 = site_name3;
                                } else {
                                    site_name2 = site_name3;
                                    if (site_name3.toLowerCase().equals("instagram")) {
                                        linkPreviewMaxWidth2 = Math.max(AndroidUtilities.displaySize.y / 3, chatMessageCell.currentMessageObject.textWidth);
                                        boolean isSmallImageType = !"app".equals(type5) || Scopes.PROFILE.equals(type5) || "article".equals(type5);
                                        if (slideshow2) {
                                            linkPreviewMaxWidth3 = linkPreviewMaxWidth2;
                                            if (!chatMessageCell.drawInstantView && document7 == null && isSmallImageType) {
                                                smallImage3 = true;
                                                if (slideshow2) {
                                                    smallImage4 = smallImage3;
                                                } else {
                                                    smallImage4 = smallImage3;
                                                    boolean smallImage6 = chatMessageCell.drawInstantView;
                                                    if (!smallImage6 && document7 == null && description2 != null && type5 != null && isSmallImageType && chatMessageCell.currentMessageObject.photoThumbs != null) {
                                                        smallImage5 = true;
                                                        chatMessageCell.isSmallImage = smallImage5;
                                                        description = description2;
                                                        duration = duration2;
                                                        webDocument = null;
                                                        author = author3;
                                                        site_name = site_name2;
                                                        smallImage = smallImage4;
                                                        type = type5;
                                                        photo = photo2;
                                                        title = title3;
                                                        document2 = document7;
                                                        linkPreviewMaxWidth = linkPreviewMaxWidth3;
                                                    }
                                                }
                                                smallImage5 = false;
                                                chatMessageCell.isSmallImage = smallImage5;
                                                description = description2;
                                                duration = duration2;
                                                webDocument = null;
                                                author = author3;
                                                site_name = site_name2;
                                                smallImage = smallImage4;
                                                type = type5;
                                                photo = photo2;
                                                title = title3;
                                                document2 = document7;
                                                linkPreviewMaxWidth = linkPreviewMaxWidth3;
                                            }
                                        } else {
                                            linkPreviewMaxWidth3 = linkPreviewMaxWidth2;
                                        }
                                        smallImage3 = false;
                                        if (slideshow2) {
                                        }
                                        smallImage5 = false;
                                        chatMessageCell.isSmallImage = smallImage5;
                                        description = description2;
                                        duration = duration2;
                                        webDocument = null;
                                        author = author3;
                                        site_name = site_name2;
                                        smallImage = smallImage4;
                                        type = type5;
                                        photo = photo2;
                                        title = title3;
                                        document2 = document7;
                                        linkPreviewMaxWidth = linkPreviewMaxWidth3;
                                    }
                                }
                                linkPreviewMaxWidth2 = linkPreviewMaxWidth5;
                                if ("app".equals(type5)) {
                                }
                                if (slideshow2) {
                                }
                                smallImage3 = false;
                                if (slideshow2) {
                                }
                                smallImage5 = false;
                                chatMessageCell.isSmallImage = smallImage5;
                                description = description2;
                                duration = duration2;
                                webDocument = null;
                                author = author3;
                                site_name = site_name2;
                                smallImage = smallImage4;
                                type = type5;
                                photo = photo2;
                                title = title3;
                                document2 = document7;
                                linkPreviewMaxWidth = linkPreviewMaxWidth3;
                            } else {
                                int linkPreviewMaxWidth6 = linkPreviewMaxWidth4;
                                if (chatMessageCell.hasInvoicePreview) {
                                    TLRPC.TL_messageMediaInvoice invoice = (TLRPC.TL_messageMediaInvoice) messageObject5.messageOwner.media;
                                    site_name = messageObject5.messageOwner.media.title;
                                    WebFile webDocument5 = invoice.photo instanceof TLRPC.TL_webDocument ? WebFile.createWithWebDocument(invoice.photo) : null;
                                    WebFile webDocument6 = webDocument5;
                                    chatMessageCell.isSmallImage = false;
                                    smallImage = false;
                                    title = null;
                                    description = null;
                                    author = null;
                                    photo = null;
                                    document2 = null;
                                    linkPreviewMaxWidth = linkPreviewMaxWidth6;
                                    duration = 0;
                                    type = "invoice";
                                    webDocument = webDocument6;
                                } else {
                                    TLRPC.TL_game game = messageObject5.messageOwner.media.game;
                                    site_name = game.title;
                                    String description3 = TextUtils.isEmpty(messageObject5.messageText) ? game.description : null;
                                    TLRPC.Photo photo3 = game.photo;
                                    TLRPC.Document document8 = game.document;
                                    chatMessageCell.isSmallImage = false;
                                    smallImage = false;
                                    title = null;
                                    description = description3;
                                    author = null;
                                    photo = photo3;
                                    webDocument = null;
                                    linkPreviewMaxWidth = linkPreviewMaxWidth6;
                                    duration = 0;
                                    type = "game";
                                    document2 = document8;
                                }
                            }
                            WebFile webDocument7 = webDocument;
                            String site_name4 = chatMessageCell.drawInstantViewType == 6 ? LocaleController.getString("ChatBackground", R.string.ChatBackground) : "app_theme".equals(webpageType) ? LocaleController.getString("ColorTheme", R.string.ColorTheme) : site_name;
                            int additinalWidth4 = chatMessageCell.hasInvoicePreview ? 0 : AndroidUtilities.dp(10.0f);
                            int restLinesCount5 = 3;
                            int additionalHeight2 = 0;
                            int linkPreviewMaxWidth7 = linkPreviewMaxWidth - additinalWidth4;
                            if (chatMessageCell.currentMessageObject.photoThumbs != null || photo == null) {
                                additinalWidth = additinalWidth4;
                            } else {
                                additinalWidth = additinalWidth4;
                                chatMessageCell.currentMessageObject.generateThumbs(true);
                            }
                            if (site_name4 != null) {
                                try {
                                    maxWidth8 = maxWidth7;
                                    webDocument2 = webDocument7;
                                    additinalWidth2 = additinalWidth;
                                } catch (Exception e4) {
                                    e = e4;
                                    maxWidth8 = maxWidth7;
                                    webDocument2 = webDocument7;
                                    additinalWidth2 = additinalWidth;
                                }
                                try {
                                    int width4 = (int) Math.ceil(Theme.chat_replyNamePaint.measureText(site_name4) + 1.0f);
                                    StaticLayout staticLayout6 = new StaticLayout(site_name4, Theme.chat_replyNamePaint, Math.min(width4, linkPreviewMaxWidth7), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                    chatMessageCell.siteNameLayout = staticLayout6;
                                    chatMessageCell.siteNameRtl = staticLayout6.getLineLeft(0) != 0.0f;
                                    int height3 = chatMessageCell.siteNameLayout.getLineBottom(staticLayout2.getLineCount() - 1);
                                    chatMessageCell.linkPreviewHeight += height3;
                                    chatMessageCell.totalHeight += height3;
                                    additionalHeight2 = 0 + height3;
                                    int width5 = chatMessageCell.siteNameLayout.getWidth();
                                    chatMessageCell.siteNameWidth = width5;
                                    maxChildWidth2 = Math.max(maxChildWidth2, width5 + additinalWidth2);
                                    maxChildWidth3 = Math.max(0, width5 + additinalWidth2);
                                    additionalHeight = additionalHeight2;
                                } catch (Exception e5) {
                                    e = e5;
                                    FileLog.e(e);
                                    additionalHeight = additionalHeight2;
                                    boolean titleIsRTL2 = false;
                                    if (title == null) {
                                    }
                                    boolean authorIsRTL2 = false;
                                    if (author == null) {
                                    }
                                    restLinesCount3 = restLinesCount;
                                    authorIsRTL = false;
                                    if (description == null) {
                                    }
                                    if (smallImage) {
                                    }
                                    smallImage2 = smallImage;
                                    if (!smallImage2) {
                                    }
                                    if (document3 == null) {
                                    }
                                    f = 0.0f;
                                    f2 = 1.0f;
                                    if (chatMessageCell.currentPosition == null) {
                                    }
                                    z4 = z10;
                                    if (chatMessageCell.captionLayout == null) {
                                    }
                                    if (chatMessageCell.currentMessageObject.eventId != 0) {
                                    }
                                    chatMessageCell.botButtons.clear();
                                    if (messageIdChanged) {
                                    }
                                    if (chatMessageCell.currentPosition == null) {
                                    }
                                    chatMessageCell.substractBackgroundHeight = 0;
                                    chatMessageCell.keyboardHeight = 0;
                                    z5 = chatMessageCell.drawPinnedBottom;
                                    if (!z5) {
                                    }
                                    if (z5) {
                                    }
                                    if (!messageObject.isAnyKindOfSticker()) {
                                    }
                                    if (messageObject.isAnimatedEmoji()) {
                                    }
                                    if (!chatMessageCell.drawPhotoImage) {
                                    }
                                    if (chatMessageCell.documentAttachType != 5) {
                                    }
                                    updateWaveform();
                                    chatMessageCell.updateButtonState(false, (dataChanged || messageObject4.cancelEditing) ? false : true, true);
                                    if (chatMessageCell.buttonState == 2) {
                                    }
                                    chatMessageCell.accessibilityVirtualViewBounds.clear();
                                }
                            } else {
                                maxWidth8 = maxWidth7;
                                webDocument2 = webDocument7;
                                additinalWidth2 = additinalWidth;
                                additionalHeight = 0;
                            }
                            boolean titleIsRTL22 = false;
                            if (title == null) {
                                try {
                                    chatMessageCell.titleX = Integer.MAX_VALUE;
                                    int i12 = chatMessageCell.linkPreviewHeight;
                                    if (i12 != 0) {
                                        try {
                                            chatMessageCell.linkPreviewHeight = i12 + AndroidUtilities.dp(2.0f);
                                            chatMessageCell.totalHeight += AndroidUtilities.dp(2.0f);
                                        } catch (Exception e6) {
                                            e = e6;
                                            type2 = type;
                                            document3 = document2;
                                            FileLog.e(e);
                                            if (titleIsRTL22) {
                                            }
                                            titleIsRTL = titleIsRTL22;
                                            restLinesCount = restLinesCount5;
                                            restLinesCount2 = linkPreviewMaxWidth7;
                                            boolean authorIsRTL22 = false;
                                            if (author == null) {
                                            }
                                            restLinesCount3 = restLinesCount;
                                            authorIsRTL = false;
                                            if (description == null) {
                                            }
                                            if (smallImage) {
                                            }
                                            smallImage2 = smallImage;
                                            if (!smallImage2) {
                                            }
                                            if (document3 == null) {
                                            }
                                            f = 0.0f;
                                            f2 = 1.0f;
                                            if (chatMessageCell.currentPosition == null) {
                                            }
                                            z4 = z10;
                                            if (chatMessageCell.captionLayout == null) {
                                            }
                                            if (chatMessageCell.currentMessageObject.eventId != 0) {
                                            }
                                            chatMessageCell.botButtons.clear();
                                            if (messageIdChanged) {
                                            }
                                            if (chatMessageCell.currentPosition == null) {
                                            }
                                            chatMessageCell.substractBackgroundHeight = 0;
                                            chatMessageCell.keyboardHeight = 0;
                                            z5 = chatMessageCell.drawPinnedBottom;
                                            if (!z5) {
                                            }
                                            if (z5) {
                                            }
                                            if (!messageObject.isAnyKindOfSticker()) {
                                            }
                                            if (messageObject.isAnimatedEmoji()) {
                                            }
                                            if (!chatMessageCell.drawPhotoImage) {
                                            }
                                            if (chatMessageCell.documentAttachType != 5) {
                                            }
                                            updateWaveform();
                                            chatMessageCell.updateButtonState(false, (dataChanged || messageObject4.cancelEditing) ? false : true, true);
                                            if (chatMessageCell.buttonState == 2) {
                                            }
                                            chatMessageCell.accessibilityVirtualViewBounds.clear();
                                        }
                                    }
                                    if (!chatMessageCell.isSmallImage || description == null) {
                                        TextPaint textPaint = Theme.chat_replyNamePaint;
                                        Layout.Alignment alignment = Layout.Alignment.ALIGN_NORMAL;
                                        int restLines3 = AndroidUtilities.dp(1.0f);
                                        chatMessageCell.titleLayout = StaticLayoutEx.createStaticLayout(title, textPaint, linkPreviewMaxWidth7, alignment, 1.0f, restLines3, false, TextUtils.TruncateAt.END, linkPreviewMaxWidth7, 4);
                                        restLines2 = 0;
                                    } else {
                                        restLines2 = 3;
                                        StaticLayout generateStaticLayout = generateStaticLayout(title, Theme.chat_replyNamePaint, linkPreviewMaxWidth7, linkPreviewMaxWidth7 - AndroidUtilities.dp(52.0f), 3, 4);
                                        chatMessageCell.titleLayout = generateStaticLayout;
                                        restLinesCount5 = 3 - generateStaticLayout.getLineCount();
                                    }
                                    int maxChildWidth4 = maxChildWidth2;
                                    try {
                                        int height4 = chatMessageCell.titleLayout.getLineBottom(staticLayout5.getLineCount() - 1);
                                        chatMessageCell.linkPreviewHeight += height4;
                                        chatMessageCell.totalHeight += height4;
                                        boolean checkForRtl = true;
                                        int height5 = 0;
                                        boolean titleIsRTL3 = false;
                                        int maxWebWidth = maxChildWidth3;
                                        int maxChildWidth5 = maxChildWidth4;
                                        while (true) {
                                            boolean checkForRtl2 = checkForRtl;
                                            try {
                                                if (height5 >= chatMessageCell.titleLayout.getLineCount()) {
                                                    break;
                                                }
                                                int lineLeft = (int) chatMessageCell.titleLayout.getLineLeft(height5);
                                                if (lineLeft != 0) {
                                                    titleIsRTL3 = true;
                                                }
                                                int i13 = chatMessageCell.titleX;
                                                type2 = type;
                                                if (i13 == Integer.MAX_VALUE) {
                                                    try {
                                                        chatMessageCell.titleX = -lineLeft;
                                                    } catch (Exception e7) {
                                                        e = e7;
                                                        maxChildWidth2 = maxChildWidth5;
                                                        maxChildWidth3 = maxWebWidth;
                                                        document3 = document2;
                                                        titleIsRTL22 = titleIsRTL3;
                                                        FileLog.e(e);
                                                        if (titleIsRTL22) {
                                                        }
                                                        titleIsRTL = titleIsRTL22;
                                                        restLinesCount = restLinesCount5;
                                                        restLinesCount2 = linkPreviewMaxWidth7;
                                                        boolean authorIsRTL222 = false;
                                                        if (author == null) {
                                                        }
                                                        restLinesCount3 = restLinesCount;
                                                        authorIsRTL = false;
                                                        if (description == null) {
                                                        }
                                                        if (smallImage) {
                                                        }
                                                        smallImage2 = smallImage;
                                                        if (!smallImage2) {
                                                        }
                                                        if (document3 == null) {
                                                        }
                                                        f = 0.0f;
                                                        f2 = 1.0f;
                                                        if (chatMessageCell.currentPosition == null) {
                                                        }
                                                        z4 = z10;
                                                        if (chatMessageCell.captionLayout == null) {
                                                        }
                                                        if (chatMessageCell.currentMessageObject.eventId != 0) {
                                                        }
                                                        chatMessageCell.botButtons.clear();
                                                        if (messageIdChanged) {
                                                        }
                                                        if (chatMessageCell.currentPosition == null) {
                                                        }
                                                        chatMessageCell.substractBackgroundHeight = 0;
                                                        chatMessageCell.keyboardHeight = 0;
                                                        z5 = chatMessageCell.drawPinnedBottom;
                                                        if (!z5) {
                                                        }
                                                        if (z5) {
                                                        }
                                                        if (!messageObject.isAnyKindOfSticker()) {
                                                        }
                                                        if (messageObject.isAnimatedEmoji()) {
                                                        }
                                                        if (!chatMessageCell.drawPhotoImage) {
                                                        }
                                                        if (chatMessageCell.documentAttachType != 5) {
                                                        }
                                                        updateWaveform();
                                                        chatMessageCell.updateButtonState(false, (dataChanged || messageObject4.cancelEditing) ? false : true, true);
                                                        if (chatMessageCell.buttonState == 2) {
                                                        }
                                                        chatMessageCell.accessibilityVirtualViewBounds.clear();
                                                    }
                                                } else {
                                                    chatMessageCell.titleX = Math.max(i13, -lineLeft);
                                                }
                                                if (lineLeft != 0) {
                                                    width3 = chatMessageCell.titleLayout.getWidth() - lineLeft;
                                                    document3 = document2;
                                                } else {
                                                    try {
                                                        document3 = document2;
                                                        width3 = (int) Math.ceil(chatMessageCell.titleLayout.getLineWidth(height5));
                                                    } catch (Exception e8) {
                                                        e = e8;
                                                        document3 = document2;
                                                        maxChildWidth2 = maxChildWidth5;
                                                        maxChildWidth3 = maxWebWidth;
                                                        titleIsRTL22 = titleIsRTL3;
                                                        FileLog.e(e);
                                                        if (titleIsRTL22) {
                                                        }
                                                        titleIsRTL = titleIsRTL22;
                                                        restLinesCount = restLinesCount5;
                                                        restLinesCount2 = linkPreviewMaxWidth7;
                                                        boolean authorIsRTL2222 = false;
                                                        if (author == null) {
                                                        }
                                                        restLinesCount3 = restLinesCount;
                                                        authorIsRTL = false;
                                                        if (description == null) {
                                                        }
                                                        if (smallImage) {
                                                        }
                                                        smallImage2 = smallImage;
                                                        if (!smallImage2) {
                                                        }
                                                        if (document3 == null) {
                                                        }
                                                        f = 0.0f;
                                                        f2 = 1.0f;
                                                        if (chatMessageCell.currentPosition == null) {
                                                        }
                                                        z4 = z10;
                                                        if (chatMessageCell.captionLayout == null) {
                                                        }
                                                        if (chatMessageCell.currentMessageObject.eventId != 0) {
                                                        }
                                                        chatMessageCell.botButtons.clear();
                                                        if (messageIdChanged) {
                                                        }
                                                        if (chatMessageCell.currentPosition == null) {
                                                        }
                                                        chatMessageCell.substractBackgroundHeight = 0;
                                                        chatMessageCell.keyboardHeight = 0;
                                                        z5 = chatMessageCell.drawPinnedBottom;
                                                        if (!z5) {
                                                        }
                                                        if (z5) {
                                                        }
                                                        if (!messageObject.isAnyKindOfSticker()) {
                                                        }
                                                        if (messageObject.isAnimatedEmoji()) {
                                                        }
                                                        if (!chatMessageCell.drawPhotoImage) {
                                                        }
                                                        if (chatMessageCell.documentAttachType != 5) {
                                                        }
                                                        updateWaveform();
                                                        chatMessageCell.updateButtonState(false, (dataChanged || messageObject4.cancelEditing) ? false : true, true);
                                                        if (chatMessageCell.buttonState == 2) {
                                                        }
                                                        chatMessageCell.accessibilityVirtualViewBounds.clear();
                                                    }
                                                }
                                                if (height5 >= restLines2) {
                                                    if (lineLeft != 0) {
                                                        try {
                                                        } catch (Exception e9) {
                                                            e = e9;
                                                            maxChildWidth2 = maxChildWidth5;
                                                            maxChildWidth3 = maxWebWidth;
                                                            titleIsRTL22 = titleIsRTL3;
                                                            FileLog.e(e);
                                                            if (titleIsRTL22) {
                                                            }
                                                            titleIsRTL = titleIsRTL22;
                                                            restLinesCount = restLinesCount5;
                                                            restLinesCount2 = linkPreviewMaxWidth7;
                                                            boolean authorIsRTL22222 = false;
                                                            if (author == null) {
                                                            }
                                                            restLinesCount3 = restLinesCount;
                                                            authorIsRTL = false;
                                                            if (description == null) {
                                                            }
                                                            if (smallImage) {
                                                            }
                                                            smallImage2 = smallImage;
                                                            if (!smallImage2) {
                                                            }
                                                            if (document3 == null) {
                                                            }
                                                            f = 0.0f;
                                                            f2 = 1.0f;
                                                            if (chatMessageCell.currentPosition == null) {
                                                            }
                                                            z4 = z10;
                                                            if (chatMessageCell.captionLayout == null) {
                                                            }
                                                            if (chatMessageCell.currentMessageObject.eventId != 0) {
                                                            }
                                                            chatMessageCell.botButtons.clear();
                                                            if (messageIdChanged) {
                                                            }
                                                            if (chatMessageCell.currentPosition == null) {
                                                            }
                                                            chatMessageCell.substractBackgroundHeight = 0;
                                                            chatMessageCell.keyboardHeight = 0;
                                                            z5 = chatMessageCell.drawPinnedBottom;
                                                            if (!z5) {
                                                            }
                                                            if (z5) {
                                                            }
                                                            if (!messageObject.isAnyKindOfSticker()) {
                                                            }
                                                            if (messageObject.isAnimatedEmoji()) {
                                                            }
                                                            if (!chatMessageCell.drawPhotoImage) {
                                                            }
                                                            if (chatMessageCell.documentAttachType != 5) {
                                                            }
                                                            updateWaveform();
                                                            chatMessageCell.updateButtonState(false, (dataChanged || messageObject4.cancelEditing) ? false : true, true);
                                                            if (chatMessageCell.buttonState == 2) {
                                                            }
                                                            chatMessageCell.accessibilityVirtualViewBounds.clear();
                                                        }
                                                    }
                                                    maxChildWidth5 = Math.max(maxChildWidth5, width3 + additinalWidth2);
                                                    maxWebWidth = Math.max(maxWebWidth, width3 + additinalWidth2);
                                                    height5++;
                                                    document2 = document3;
                                                    checkForRtl = checkForRtl2;
                                                    type = type2;
                                                }
                                                width3 += AndroidUtilities.dp(52.0f);
                                                maxChildWidth5 = Math.max(maxChildWidth5, width3 + additinalWidth2);
                                                maxWebWidth = Math.max(maxWebWidth, width3 + additinalWidth2);
                                                height5++;
                                                document2 = document3;
                                                checkForRtl = checkForRtl2;
                                                type = type2;
                                            } catch (Exception e10) {
                                                e = e10;
                                                type2 = type;
                                                document3 = document2;
                                                maxChildWidth2 = maxChildWidth5;
                                                maxChildWidth3 = maxWebWidth;
                                                titleIsRTL22 = titleIsRTL3;
                                            }
                                        }
                                        type2 = type;
                                        document3 = document2;
                                        maxChildWidth2 = maxChildWidth5;
                                        maxChildWidth3 = maxWebWidth;
                                        titleIsRTL22 = titleIsRTL3;
                                    } catch (Exception e11) {
                                        e = e11;
                                        type2 = type;
                                        document3 = document2;
                                        maxChildWidth2 = maxChildWidth4;
                                    }
                                } catch (Exception e12) {
                                    e = e12;
                                    type2 = type;
                                    document3 = document2;
                                }
                                if (titleIsRTL22 || !chatMessageCell.isSmallImage) {
                                    titleIsRTL = titleIsRTL22;
                                    restLinesCount = restLinesCount5;
                                    restLinesCount2 = linkPreviewMaxWidth7;
                                } else {
                                    titleIsRTL = titleIsRTL22;
                                    restLinesCount = restLinesCount5;
                                    restLinesCount2 = linkPreviewMaxWidth7 - AndroidUtilities.dp(48.0f);
                                }
                            } else {
                                type2 = type;
                                document3 = document2;
                                titleIsRTL = false;
                                restLinesCount = 3;
                                restLinesCount2 = linkPreviewMaxWidth7;
                            }
                            boolean authorIsRTL222222 = false;
                            if (author == null && title == null) {
                                try {
                                    int i14 = chatMessageCell.linkPreviewHeight;
                                    if (i14 != 0) {
                                        chatMessageCell.linkPreviewHeight = i14 + AndroidUtilities.dp(2.0f);
                                        chatMessageCell.totalHeight += AndroidUtilities.dp(2.0f);
                                    }
                                    if (restLinesCount != 3 || (chatMessageCell.isSmallImage && description != null)) {
                                        StaticLayout generateStaticLayout2 = generateStaticLayout(author, Theme.chat_replyNamePaint, restLinesCount2, restLinesCount2 - AndroidUtilities.dp(52.0f), restLinesCount, 1);
                                        chatMessageCell.authorLayout = generateStaticLayout2;
                                        restLinesCount -= generateStaticLayout2.getLineCount();
                                    } else {
                                        chatMessageCell.authorLayout = new StaticLayout(author, Theme.chat_replyNamePaint, restLinesCount2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                    }
                                    StaticLayout staticLayout7 = chatMessageCell.authorLayout;
                                    int height6 = staticLayout7.getLineBottom(staticLayout7.getLineCount() - 1);
                                    chatMessageCell.linkPreviewHeight += height6;
                                    chatMessageCell.totalHeight += height6;
                                    int lineLeft2 = (int) chatMessageCell.authorLayout.getLineLeft(0);
                                    chatMessageCell.authorX = -lineLeft2;
                                    if (lineLeft2 != 0) {
                                        width2 = chatMessageCell.authorLayout.getWidth() - lineLeft2;
                                        authorIsRTL222222 = true;
                                    } else {
                                        width2 = (int) Math.ceil(chatMessageCell.authorLayout.getLineWidth(0));
                                    }
                                    maxChildWidth2 = Math.max(maxChildWidth2, width2 + additinalWidth2);
                                    maxChildWidth3 = Math.max(maxChildWidth3, width2 + additinalWidth2);
                                    restLinesCount3 = restLinesCount;
                                    authorIsRTL = authorIsRTL222222;
                                } catch (Exception e13) {
                                    FileLog.e(e13);
                                    restLinesCount3 = restLinesCount;
                                    authorIsRTL = authorIsRTL222222;
                                }
                            } else {
                                restLinesCount3 = restLinesCount;
                                authorIsRTL = false;
                            }
                            if (description == null) {
                                try {
                                    chatMessageCell.descriptionX = 0;
                                    chatMessageCell.currentMessageObject.generateLinkDescription();
                                    int i15 = chatMessageCell.linkPreviewHeight;
                                    if (i15 != 0) {
                                        try {
                                            chatMessageCell.linkPreviewHeight = i15 + AndroidUtilities.dp(2.0f);
                                            chatMessageCell.totalHeight += AndroidUtilities.dp(2.0f);
                                        } catch (Exception e14) {
                                            e = e14;
                                            restLinesCount4 = restLinesCount3;
                                            timeMore = timeMore5;
                                        }
                                    }
                                    restLines = 0;
                                    boolean allowAllLines = site_name4 != null && site_name4.toLowerCase().equals("twitter");
                                    if (restLinesCount3 != 3 || chatMessageCell.isSmallImage) {
                                        restLines = restLinesCount3;
                                        chatMessageCell.descriptionLayout = generateStaticLayout(messageObject5.linkDescription, Theme.chat_replyTextPaint, restLinesCount2, restLinesCount2 - AndroidUtilities.dp(52.0f), restLinesCount3, allowAllLines ? 100 : 6);
                                    } else {
                                        chatMessageCell.descriptionLayout = StaticLayoutEx.createStaticLayout(messageObject5.linkDescription, Theme.chat_replyTextPaint, restLinesCount2, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false, TextUtils.TruncateAt.END, restLinesCount2, allowAllLines ? 100 : 6);
                                    }
                                    height2 = chatMessageCell.descriptionLayout.getLineBottom(staticLayout4.getLineCount() - 1);
                                    chatMessageCell.linkPreviewHeight += height2;
                                    chatMessageCell.totalHeight += height2;
                                    hasRTL = false;
                                    a5 = 0;
                                } catch (Exception e15) {
                                    e = e15;
                                    restLinesCount4 = restLinesCount3;
                                    timeMore = timeMore5;
                                }
                                while (true) {
                                    maxChildWidth = maxChildWidth2;
                                    try {
                                        if (a5 >= chatMessageCell.descriptionLayout.getLineCount()) {
                                            break;
                                        }
                                        try {
                                            int maxWebWidth2 = maxChildWidth3;
                                            try {
                                                int lineLeft3 = (int) Math.ceil(chatMessageCell.descriptionLayout.getLineLeft(a5));
                                                if (lineLeft3 != 0) {
                                                    int i16 = chatMessageCell.descriptionX;
                                                    if (i16 == 0) {
                                                        chatMessageCell.descriptionX = -lineLeft3;
                                                        hasRTL2 = true;
                                                    } else {
                                                        hasRTL2 = true;
                                                        chatMessageCell.descriptionX = Math.max(i16, -lineLeft3);
                                                    }
                                                    hasRTL = hasRTL2;
                                                }
                                                a5++;
                                                maxChildWidth2 = maxChildWidth;
                                                maxChildWidth3 = maxWebWidth2;
                                            } catch (Exception e16) {
                                                e = e16;
                                                restLinesCount4 = restLinesCount3;
                                                timeMore = timeMore5;
                                                maxChildWidth2 = maxChildWidth;
                                                maxChildWidth3 = maxWebWidth2;
                                            }
                                        } catch (Exception e17) {
                                            e = e17;
                                            restLinesCount4 = restLinesCount3;
                                            timeMore = timeMore5;
                                            maxChildWidth2 = maxChildWidth;
                                        }
                                    } catch (Exception e18) {
                                        e = e18;
                                        restLinesCount4 = restLinesCount3;
                                        timeMore = timeMore5;
                                        maxChildWidth2 = maxChildWidth;
                                    }
                                    FileLog.e(e);
                                }
                                int maxWebWidth3 = maxChildWidth3;
                                try {
                                    int textWidth = chatMessageCell.descriptionLayout.getWidth();
                                    int a8 = 0;
                                    int maxChildWidth6 = maxChildWidth;
                                    int maxWebWidth4 = maxWebWidth3;
                                    while (true) {
                                        int height7 = height2;
                                        try {
                                            if (a8 >= chatMessageCell.descriptionLayout.getLineCount()) {
                                                break;
                                            }
                                            restLinesCount4 = restLinesCount3;
                                            timeMore = timeMore5;
                                            try {
                                                int lineLeft4 = (int) Math.ceil(chatMessageCell.descriptionLayout.getLineLeft(a8));
                                                if (lineLeft4 == 0 && chatMessageCell.descriptionX != 0) {
                                                    chatMessageCell.descriptionX = 0;
                                                }
                                                int width6 = lineLeft4 != 0 ? textWidth - lineLeft4 : hasRTL ? textWidth : Math.min((int) Math.ceil(chatMessageCell.descriptionLayout.getLineWidth(a8)), textWidth);
                                                if (a8 < restLines || (restLines != 0 && lineLeft4 != 0 && chatMessageCell.isSmallImage)) {
                                                    width6 += AndroidUtilities.dp(52.0f);
                                                }
                                                if (maxWebWidth4 < width6 + additinalWidth2) {
                                                    if (titleIsRTL) {
                                                        chatMessageCell.titleX += (width6 + additinalWidth2) - maxWebWidth4;
                                                    }
                                                    if (authorIsRTL) {
                                                        chatMessageCell.authorX += (width6 + additinalWidth2) - maxWebWidth4;
                                                    }
                                                    maxWebWidth4 = width6 + additinalWidth2;
                                                }
                                                maxChildWidth6 = Math.max(maxChildWidth6, width6 + additinalWidth2);
                                                a8++;
                                                height2 = height7;
                                                timeMore5 = timeMore;
                                                restLinesCount3 = restLinesCount4;
                                            } catch (Exception e19) {
                                                e = e19;
                                                maxChildWidth2 = maxChildWidth6;
                                                maxChildWidth3 = maxWebWidth4;
                                            }
                                        } catch (Exception e20) {
                                            e = e20;
                                            restLinesCount4 = restLinesCount3;
                                            timeMore = timeMore5;
                                            maxChildWidth2 = maxChildWidth6;
                                            maxChildWidth3 = maxWebWidth4;
                                        }
                                    }
                                    restLinesCount4 = restLinesCount3;
                                    timeMore = timeMore5;
                                    maxChildWidth2 = maxChildWidth6;
                                } catch (Exception e21) {
                                    e = e21;
                                    restLinesCount4 = restLinesCount3;
                                    timeMore = timeMore5;
                                    maxChildWidth2 = maxChildWidth;
                                    maxChildWidth3 = maxWebWidth3;
                                }
                            } else {
                                restLinesCount4 = restLinesCount3;
                                timeMore = timeMore5;
                            }
                            if (smallImage || ((staticLayout3 = chatMessageCell.descriptionLayout) != null && (staticLayout3 == null || staticLayout3.getLineCount() != 1))) {
                                smallImage2 = smallImage;
                            } else {
                                chatMessageCell.isSmallImage = false;
                                smallImage2 = false;
                            }
                            int maxPhotoWidth5 = !smallImage2 ? AndroidUtilities.dp(48.0f) : restLinesCount2;
                            if (document3 == null) {
                                if (MessageObject.isRoundVideoDocument(document3)) {
                                    document4 = document3;
                                    chatMessageCell.currentPhotoObject = FileLoader.getClosestPhotoSizeWithSize(document4.thumbs, 90);
                                    chatMessageCell.photoParentObject = document4;
                                    chatMessageCell.documentAttach = document4;
                                    chatMessageCell.documentAttachType = 7;
                                    timeMore2 = timeMore;
                                    type3 = type2;
                                    maxWidth9 = maxWidth8;
                                    webDocument3 = webDocument2;
                                } else {
                                    document4 = document3;
                                    if (MessageObject.isGifDocument(document4)) {
                                        if (messageObject.isGame() || SharedConfig.autoplayGifs) {
                                            f4 = 1.0f;
                                        } else {
                                            f4 = 1.0f;
                                            messageObject5.gifState = 1.0f;
                                        }
                                        chatMessageCell.photoImage.setAllowStartAnimation(messageObject5.gifState != f4);
                                        TLRPC.PhotoSize closestPhotoSizeWithSize2 = FileLoader.getClosestPhotoSizeWithSize(document4.thumbs, 90);
                                        chatMessageCell.currentPhotoObject = closestPhotoSizeWithSize2;
                                        chatMessageCell.photoParentObject = document4;
                                        if (closestPhotoSizeWithSize2 != null && (closestPhotoSizeWithSize2.w == 0 || chatMessageCell.currentPhotoObject.h == 0)) {
                                            for (int a9 = 0; a9 < document4.attributes.size(); a9++) {
                                                TLRPC.DocumentAttribute attribute = document4.attributes.get(a9);
                                                if ((attribute instanceof TLRPC.TL_documentAttributeImageSize) || (attribute instanceof TLRPC.TL_documentAttributeVideo)) {
                                                    chatMessageCell.currentPhotoObject.w = attribute.w;
                                                    chatMessageCell.currentPhotoObject.h = attribute.h;
                                                    break;
                                                }
                                            }
                                            if (chatMessageCell.currentPhotoObject.w == 0 || chatMessageCell.currentPhotoObject.h == 0) {
                                                TLRPC.PhotoSize photoSize6 = chatMessageCell.currentPhotoObject;
                                                int dp = AndroidUtilities.dp(150.0f);
                                                photoSize6.h = dp;
                                                photoSize6.w = dp;
                                            }
                                        }
                                        chatMessageCell.documentAttach = document4;
                                        chatMessageCell.documentAttachType = 2;
                                        timeMore2 = timeMore;
                                        type3 = type2;
                                        maxWidth9 = maxWidth8;
                                        webDocument3 = webDocument2;
                                    } else if (MessageObject.isVideoDocument(document4)) {
                                        if (photo != null) {
                                            chatMessageCell.currentPhotoObject = FileLoader.getClosestPhotoSizeWithSize(photo.sizes, AndroidUtilities.getPhotoSize(), true);
                                            chatMessageCell.currentPhotoObjectThumb = FileLoader.getClosestPhotoSizeWithSize(photo.sizes, 40);
                                            chatMessageCell.photoParentObject = photo;
                                        }
                                        if (chatMessageCell.currentPhotoObject == null) {
                                            chatMessageCell.currentPhotoObject = FileLoader.getClosestPhotoSizeWithSize(document4.thumbs, 320);
                                            chatMessageCell.currentPhotoObjectThumb = FileLoader.getClosestPhotoSizeWithSize(document4.thumbs, 40);
                                            chatMessageCell.photoParentObject = document4;
                                        }
                                        TLRPC.PhotoSize photoSize7 = chatMessageCell.currentPhotoObject;
                                        if (photoSize7 == chatMessageCell.currentPhotoObjectThumb) {
                                            chatMessageCell.currentPhotoObjectThumb = null;
                                        }
                                        if (photoSize7 == null) {
                                            TLRPC.TL_photoSize tL_photoSize = new TLRPC.TL_photoSize();
                                            chatMessageCell.currentPhotoObject = tL_photoSize;
                                            tL_photoSize.type = "s";
                                            chatMessageCell.currentPhotoObject.location = new TLRPC.TL_fileLocationUnavailable();
                                        }
                                        TLRPC.PhotoSize photoSize8 = chatMessageCell.currentPhotoObject;
                                        if (photoSize8 != null && (photoSize8.w == 0 || chatMessageCell.currentPhotoObject.h == 0 || (chatMessageCell.currentPhotoObject instanceof TLRPC.TL_photoStrippedSize))) {
                                            int a10 = 0;
                                            while (true) {
                                                if (a10 >= document4.attributes.size()) {
                                                    break;
                                                }
                                                TLRPC.DocumentAttribute attribute2 = document4.attributes.get(a10);
                                                if (attribute2 instanceof TLRPC.TL_documentAttributeVideo) {
                                                    TLRPC.PhotoSize photoSize9 = chatMessageCell.currentPhotoObject;
                                                    if (photoSize9 instanceof TLRPC.TL_photoStrippedSize) {
                                                        float scale = Math.max(attribute2.w, attribute2.w) / 50.0f;
                                                        chatMessageCell.currentPhotoObject.w = (int) (attribute2.w / scale);
                                                        chatMessageCell.currentPhotoObject.h = (int) (attribute2.h / scale);
                                                    } else {
                                                        photoSize9.w = attribute2.w;
                                                        chatMessageCell.currentPhotoObject.h = attribute2.h;
                                                    }
                                                } else {
                                                    a10++;
                                                }
                                            }
                                            if (chatMessageCell.currentPhotoObject.w == 0 || chatMessageCell.currentPhotoObject.h == 0) {
                                                TLRPC.PhotoSize photoSize10 = chatMessageCell.currentPhotoObject;
                                                int dp2 = AndroidUtilities.dp(150.0f);
                                                photoSize10.h = dp2;
                                                photoSize10.w = dp2;
                                            }
                                        }
                                        chatMessageCell.createDocumentLayout(0, messageObject5);
                                        timeMore2 = timeMore;
                                        type3 = type2;
                                        maxWidth9 = maxWidth8;
                                        webDocument3 = webDocument2;
                                    } else {
                                        if (MessageObject.isStickerDocument(document4)) {
                                            timeMore2 = timeMore;
                                            maxWidth9 = maxWidth8;
                                        } else if (MessageObject.isAnimatedStickerDocument(document4)) {
                                            timeMore2 = timeMore;
                                            maxWidth9 = maxWidth8;
                                        } else {
                                            int i17 = chatMessageCell.drawInstantViewType;
                                            if (i17 == 6) {
                                                TLRPC.PhotoSize closestPhotoSizeWithSize3 = FileLoader.getClosestPhotoSizeWithSize(document4.thumbs, 320);
                                                chatMessageCell.currentPhotoObject = closestPhotoSizeWithSize3;
                                                chatMessageCell.photoParentObject = document4;
                                                if (closestPhotoSizeWithSize3 != null && (closestPhotoSizeWithSize3.w == 0 || chatMessageCell.currentPhotoObject.h == 0)) {
                                                    int a11 = 0;
                                                    while (true) {
                                                        if (a11 >= document4.attributes.size()) {
                                                            break;
                                                        }
                                                        TLRPC.DocumentAttribute attribute3 = document4.attributes.get(a11);
                                                        if (attribute3 instanceof TLRPC.TL_documentAttributeImageSize) {
                                                            chatMessageCell.currentPhotoObject.w = attribute3.w;
                                                            chatMessageCell.currentPhotoObject.h = attribute3.h;
                                                            break;
                                                        }
                                                        a11++;
                                                    }
                                                    if (chatMessageCell.currentPhotoObject.w == 0 || chatMessageCell.currentPhotoObject.h == 0) {
                                                        TLRPC.PhotoSize photoSize11 = chatMessageCell.currentPhotoObject;
                                                        int dp3 = AndroidUtilities.dp(150.0f);
                                                        photoSize11.h = dp3;
                                                        photoSize11.w = dp3;
                                                    }
                                                }
                                                chatMessageCell.documentAttach = document4;
                                                chatMessageCell.documentAttachType = 8;
                                                String str5 = AndroidUtilities.formatFileSize(document4.size);
                                                chatMessageCell.durationWidth = (int) Math.ceil(Theme.chat_durationPaint.measureText(str5));
                                                chatMessageCell.videoInfoLayout = new StaticLayout(str5, Theme.chat_durationPaint, chatMessageCell.durationWidth, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                                timeMore2 = timeMore;
                                                type3 = type2;
                                                maxWidth9 = maxWidth8;
                                                webDocument3 = webDocument2;
                                            } else if (i17 == 7) {
                                                chatMessageCell.currentPhotoObject = FileLoader.getClosestPhotoSizeWithSize(document4.thumbs, HardwareConfigState.DEFAULT_MAXIMUM_FDS_FOR_HARDWARE_CONFIGS);
                                                chatMessageCell.currentPhotoObjectThumb = FileLoader.getClosestPhotoSizeWithSize(document4.thumbs, 40);
                                                chatMessageCell.photoParentObject = document4;
                                                TLRPC.PhotoSize photoSize12 = chatMessageCell.currentPhotoObject;
                                                if (photoSize12 != null && (photoSize12.w == 0 || chatMessageCell.currentPhotoObject.h == 0)) {
                                                    int a12 = 0;
                                                    while (true) {
                                                        if (a12 >= document4.attributes.size()) {
                                                            break;
                                                        }
                                                        TLRPC.DocumentAttribute attribute4 = document4.attributes.get(a12);
                                                        if (attribute4 instanceof TLRPC.TL_documentAttributeImageSize) {
                                                            chatMessageCell.currentPhotoObject.w = attribute4.w;
                                                            chatMessageCell.currentPhotoObject.h = attribute4.h;
                                                            break;
                                                        }
                                                        a12++;
                                                    }
                                                    if (chatMessageCell.currentPhotoObject.w == 0 || chatMessageCell.currentPhotoObject.h == 0) {
                                                        TLRPC.PhotoSize photoSize13 = chatMessageCell.currentPhotoObject;
                                                        int dp4 = AndroidUtilities.dp(150.0f);
                                                        photoSize13.h = dp4;
                                                        photoSize13.w = dp4;
                                                    }
                                                }
                                                chatMessageCell.documentAttach = document4;
                                                chatMessageCell.documentAttachType = 9;
                                                timeMore2 = timeMore;
                                                type3 = type2;
                                                maxWidth9 = maxWidth8;
                                                webDocument3 = webDocument2;
                                            } else {
                                                timeMore2 = timeMore;
                                                maxWidth9 = maxWidth8;
                                                chatMessageCell.calcBackgroundWidth(maxWidth9, timeMore2, maxChildWidth2);
                                                if (chatMessageCell.backgroundWidth < AndroidUtilities.dp(20.0f) + maxWidth9) {
                                                    chatMessageCell.backgroundWidth = AndroidUtilities.dp(20.0f) + maxWidth9;
                                                }
                                                if (MessageObject.isVoiceDocument(document4)) {
                                                    chatMessageCell.createDocumentLayout(chatMessageCell.backgroundWidth - AndroidUtilities.dp(10.0f), messageObject5);
                                                    chatMessageCell.mediaOffsetY = chatMessageCell.currentMessageObject.textHeight + AndroidUtilities.dp(8.0f) + chatMessageCell.linkPreviewHeight;
                                                    chatMessageCell.totalHeight += AndroidUtilities.dp(44.0f);
                                                    chatMessageCell.linkPreviewHeight += AndroidUtilities.dp(44.0f);
                                                    int maxWidth15 = maxWidth9 - AndroidUtilities.dp(86.0f);
                                                    maxChildWidth2 = AndroidUtilities.isTablet() ? Math.max(maxChildWidth2, (Math.min(AndroidUtilities.getMinTabletSide() - AndroidUtilities.dp((chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) ? 52.0f : 0.0f), AndroidUtilities.dp(220.0f)) - AndroidUtilities.dp(30.0f)) + additinalWidth2) : Math.max(maxChildWidth2, (Math.min(AndroidUtilities.displaySize.x - AndroidUtilities.dp((chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) ? 52.0f : 0.0f), AndroidUtilities.dp(220.0f)) - AndroidUtilities.dp(30.0f)) + additinalWidth2);
                                                    chatMessageCell.calcBackgroundWidth(maxWidth15, timeMore2, maxChildWidth2);
                                                    maxWidth10 = maxWidth15;
                                                    type3 = type2;
                                                    webDocument4 = webDocument2;
                                                } else if (MessageObject.isMusicDocument(document4)) {
                                                    int durationWidth = chatMessageCell.createDocumentLayout(chatMessageCell.backgroundWidth - AndroidUtilities.dp(10.0f), messageObject5);
                                                    chatMessageCell.mediaOffsetY = chatMessageCell.currentMessageObject.textHeight + AndroidUtilities.dp(8.0f) + chatMessageCell.linkPreviewHeight;
                                                    chatMessageCell.totalHeight += AndroidUtilities.dp(56.0f);
                                                    chatMessageCell.linkPreviewHeight += AndroidUtilities.dp(56.0f);
                                                    int maxWidth16 = maxWidth9 - AndroidUtilities.dp(86.0f);
                                                    maxChildWidth2 = Math.max(maxChildWidth2, durationWidth + additinalWidth2 + AndroidUtilities.dp(94.0f));
                                                    StaticLayout staticLayout8 = chatMessageCell.songLayout;
                                                    if (staticLayout8 != null && staticLayout8.getLineCount() > 0) {
                                                        maxChildWidth2 = (int) Math.max(maxChildWidth2, chatMessageCell.songLayout.getLineWidth(0) + additinalWidth2 + AndroidUtilities.dp(86.0f));
                                                    }
                                                    StaticLayout staticLayout9 = chatMessageCell.performerLayout;
                                                    if (staticLayout9 != null && staticLayout9.getLineCount() > 0) {
                                                        maxChildWidth2 = (int) Math.max(maxChildWidth2, chatMessageCell.performerLayout.getLineWidth(0) + additinalWidth2 + AndroidUtilities.dp(86.0f));
                                                    }
                                                    chatMessageCell.calcBackgroundWidth(maxWidth16, timeMore2, maxChildWidth2);
                                                    maxWidth10 = maxWidth16;
                                                    type3 = type2;
                                                    webDocument4 = webDocument2;
                                                } else {
                                                    chatMessageCell.createDocumentLayout(chatMessageCell.backgroundWidth - AndroidUtilities.dp(168.0f), messageObject5);
                                                    chatMessageCell.drawImageButton = true;
                                                    if (chatMessageCell.drawPhotoImage) {
                                                        chatMessageCell.totalHeight += AndroidUtilities.dp(100.0f);
                                                        chatMessageCell.linkPreviewHeight += AndroidUtilities.dp(86.0f);
                                                        chatMessageCell.photoImage.setImageCoords(0, chatMessageCell.totalHeight + chatMessageCell.namesOffset, AndroidUtilities.dp(86.0f), AndroidUtilities.dp(86.0f));
                                                        type3 = type2;
                                                        webDocument3 = webDocument2;
                                                    } else {
                                                        chatMessageCell.mediaOffsetY = chatMessageCell.currentMessageObject.textHeight + AndroidUtilities.dp(8.0f) + chatMessageCell.linkPreviewHeight;
                                                        chatMessageCell.photoImage.setImageCoords(0, (chatMessageCell.totalHeight + chatMessageCell.namesOffset) - AndroidUtilities.dp(14.0f), AndroidUtilities.dp(56.0f), AndroidUtilities.dp(56.0f));
                                                        chatMessageCell.totalHeight += AndroidUtilities.dp(64.0f);
                                                        chatMessageCell.linkPreviewHeight += AndroidUtilities.dp(50.0f);
                                                        StaticLayout staticLayout10 = chatMessageCell.docTitleLayout;
                                                        if (staticLayout10 == null || staticLayout10.getLineCount() <= 1) {
                                                            type3 = type2;
                                                            webDocument3 = webDocument2;
                                                        } else {
                                                            int h5 = (chatMessageCell.docTitleLayout.getLineCount() - 1) * AndroidUtilities.dp(16.0f);
                                                            chatMessageCell.totalHeight += h5;
                                                            chatMessageCell.linkPreviewHeight += h5;
                                                            type3 = type2;
                                                            webDocument3 = webDocument2;
                                                        }
                                                    }
                                                }
                                                i6 = chatMessageCell.documentAttachType;
                                                if (i6 == 5 && i6 != 3 && i6 != 1) {
                                                    if (chatMessageCell.currentPhotoObject == null && webDocument4 == null) {
                                                        chatMessageCell.photoImage.setImageBitmap((Drawable) null);
                                                        chatMessageCell.linkPreviewHeight -= AndroidUtilities.dp(6.0f);
                                                        chatMessageCell.totalHeight += AndroidUtilities.dp(4.0f);
                                                        maxWidth11 = maxWidth10;
                                                        timeMore3 = timeMore2;
                                                        additinalWidth3 = 0;
                                                        if (chatMessageCell.hasInvoicePreview) {
                                                            CharSequence str6 = (messageObject5.messageOwner.media.flags & 4) != 0 ? LocaleController.getString("PaymentReceipt", R.string.PaymentReceipt).toUpperCase() : messageObject5.messageOwner.media.test ? LocaleController.getString("PaymentTestInvoice", R.string.PaymentTestInvoice).toUpperCase() : LocaleController.getString("PaymentInvoice", R.string.PaymentInvoice).toUpperCase();
                                                            String price = LocaleController.getInstance().formatCurrencyString(messageObject5.messageOwner.media.total_amount, messageObject5.messageOwner.media.currency);
                                                            SpannableStringBuilder stringBuilder = new SpannableStringBuilder(price + " " + ((Object) str6));
                                                            stringBuilder.setSpan(new TypefaceSpan(AndroidUtilities.getTypeface("fonts/rmedium.ttf")), additinalWidth3, price.length(), 33);
                                                            chatMessageCell.durationWidth = (int) Math.ceil(Theme.chat_shipmentPaint.measureText(stringBuilder, additinalWidth3, stringBuilder.length()));
                                                            chatMessageCell.videoInfoLayout = new StaticLayout(stringBuilder, Theme.chat_shipmentPaint, chatMessageCell.durationWidth + AndroidUtilities.dp(10.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                                            if (!chatMessageCell.drawPhotoImage) {
                                                                chatMessageCell.totalHeight += AndroidUtilities.dp(6.0f);
                                                                int timeWidthTotal4 = chatMessageCell.timeWidth + AndroidUtilities.dp((messageObject.isOutOwner() ? 20 : 0) + 14);
                                                                int i18 = chatMessageCell.durationWidth;
                                                                if (i18 + timeWidthTotal4 > maxWidth11) {
                                                                    maxChildWidth2 = Math.max(i18, maxChildWidth2);
                                                                    chatMessageCell.totalHeight += AndroidUtilities.dp(12.0f);
                                                                } else {
                                                                    maxChildWidth2 = Math.max(i18 + timeWidthTotal4, maxChildWidth2);
                                                                }
                                                            }
                                                        }
                                                        if (chatMessageCell.hasGamePreview && messageObject5.textHeight != 0) {
                                                            chatMessageCell.linkPreviewHeight += messageObject5.textHeight + AndroidUtilities.dp(6.0f);
                                                            chatMessageCell.totalHeight += AndroidUtilities.dp(4.0f);
                                                        }
                                                        chatMessageCell.calcBackgroundWidth(maxWidth11, timeMore3, maxChildWidth2);
                                                    }
                                                    chatMessageCell.drawImageButton = !(photo == null || smallImage2) || (type3 != null && (type3.equals("photo") || ((type3.equals("document") && chatMessageCell.documentAttachType != 6) || type3.equals("gif") || (i7 = chatMessageCell.documentAttachType) == 4 || i7 == 8)));
                                                    int i19 = chatMessageCell.linkPreviewHeight;
                                                    if (i19 != 0) {
                                                        chatMessageCell.linkPreviewHeight = i19 + AndroidUtilities.dp(2.0f);
                                                        chatMessageCell.totalHeight += AndroidUtilities.dp(2.0f);
                                                    }
                                                    if (chatMessageCell.imageBackgroundSideColor != 0) {
                                                        maxPhotoWidth4 = AndroidUtilities.dp(208.0f);
                                                    } else {
                                                        TLRPC.PhotoSize photoSize14 = chatMessageCell.currentPhotoObject;
                                                        if (!(photoSize14 instanceof TLRPC.TL_photoSizeEmpty) || photoSize14.w == 0) {
                                                            int i20 = chatMessageCell.documentAttachType;
                                                            if (i20 == 6 || i20 == 8 || i20 == 9) {
                                                                maxPhotoWidth4 = AndroidUtilities.isTablet() ? (int) (AndroidUtilities.getMinTabletSide() * 0.5f) : (int) (AndroidUtilities.displaySize.x * 0.5f);
                                                            } else if (i20 == 7) {
                                                                int maxPhotoWidth6 = AndroidUtilities.roundMessageSize;
                                                                chatMessageCell.photoImage.setAllowDecodeSingleFrame(true);
                                                                maxPhotoWidth4 = maxPhotoWidth6;
                                                            } else {
                                                                maxPhotoWidth4 = maxPhotoWidth5;
                                                            }
                                                        } else {
                                                            maxPhotoWidth4 = chatMessageCell.currentPhotoObject.w;
                                                        }
                                                    }
                                                    int maxChildWidth7 = Math.max(maxChildWidth2, (maxPhotoWidth4 - (chatMessageCell.hasInvoicePreview ? AndroidUtilities.dp(12.0f) : 0)) + additinalWidth2);
                                                    TLRPC.PhotoSize photoSize15 = chatMessageCell.currentPhotoObject;
                                                    if (photoSize15 != null) {
                                                        photoSize15.size = -1;
                                                        TLRPC.PhotoSize photoSize16 = chatMessageCell.currentPhotoObjectThumb;
                                                        if (photoSize16 != null) {
                                                            photoSize16.size = -1;
                                                        }
                                                    } else {
                                                        webDocument4.size = -1;
                                                    }
                                                    if (chatMessageCell.imageBackgroundSideColor != 0) {
                                                        chatMessageCell.imageBackgroundSideWidth = maxChildWidth7 - AndroidUtilities.dp(13.0f);
                                                    }
                                                    if (smallImage2 || chatMessageCell.documentAttachType == 7) {
                                                        int height8 = maxPhotoWidth4;
                                                        width = maxPhotoWidth4;
                                                        height = height8;
                                                    } else if (chatMessageCell.hasGamePreview || chatMessageCell.hasInvoicePreview) {
                                                        float scale2 = ((float) UVCCamera.DEFAULT_PREVIEW_WIDTH) / (maxPhotoWidth4 - AndroidUtilities.dp(2.0f));
                                                        int width7 = (int) (((float) UVCCamera.DEFAULT_PREVIEW_WIDTH) / scale2);
                                                        int height9 = (int) (360 / scale2);
                                                        width = width7;
                                                        height = height9;
                                                    } else {
                                                        int width8 = chatMessageCell.currentPhotoObject.w;
                                                        int height10 = chatMessageCell.currentPhotoObject.h;
                                                        float scale3 = width8 / (maxPhotoWidth4 - AndroidUtilities.dp(2.0f));
                                                        int width9 = (int) (width8 / scale3);
                                                        int height11 = (int) (height10 / scale3);
                                                        if (site_name4 == null || !(site_name4 == null || site_name4.toLowerCase().equals("instagram") || chatMessageCell.documentAttachType != 0)) {
                                                            if (height11 > AndroidUtilities.displaySize.y / 3) {
                                                                height11 = AndroidUtilities.displaySize.y / 3;
                                                            }
                                                        } else if (height11 > AndroidUtilities.displaySize.y / 2) {
                                                            height11 = AndroidUtilities.displaySize.y / 2;
                                                        }
                                                        if (chatMessageCell.imageBackgroundSideColor != 0) {
                                                            float scale4 = height11 / AndroidUtilities.dp(160.0f);
                                                            width9 = (int) (width9 / scale4);
                                                            height11 = (int) (height11 / scale4);
                                                        }
                                                        if (height11 < AndroidUtilities.dp(60.0f)) {
                                                            int height12 = AndroidUtilities.dp(60.0f);
                                                            width = width9;
                                                            height = height12;
                                                        } else {
                                                            width = width9;
                                                            height = height11;
                                                        }
                                                    }
                                                    if (chatMessageCell.isSmallImage) {
                                                        if (AndroidUtilities.dp(50.0f) + additionalHeight > chatMessageCell.linkPreviewHeight) {
                                                            chatMessageCell.totalHeight += ((AndroidUtilities.dp(50.0f) + additionalHeight) - chatMessageCell.linkPreviewHeight) + AndroidUtilities.dp(8.0f);
                                                            chatMessageCell.linkPreviewHeight = AndroidUtilities.dp(50.0f) + additionalHeight;
                                                        }
                                                        chatMessageCell.linkPreviewHeight -= AndroidUtilities.dp(8.0f);
                                                    } else {
                                                        chatMessageCell.totalHeight += AndroidUtilities.dp(12.0f) + height;
                                                        chatMessageCell.linkPreviewHeight += height;
                                                    }
                                                    if (chatMessageCell.documentAttachType == 8 && chatMessageCell.imageBackgroundSideColor == 0) {
                                                        c = 0;
                                                        chatMessageCell.photoImage.setImageCoords(0, 0, Math.max(maxChildWidth7 - AndroidUtilities.dp(13.0f), width), height);
                                                    } else {
                                                        c = 0;
                                                        chatMessageCell.photoImage.setImageCoords(0, 0, width, height);
                                                    }
                                                    Locale locale = Locale.US;
                                                    Object[] objArr = new Object[2];
                                                    objArr[c] = Integer.valueOf(width);
                                                    objArr[1] = Integer.valueOf(height);
                                                    chatMessageCell.currentPhotoFilter = String.format(locale, "%d_%d", objArr);
                                                    chatMessageCell.currentPhotoFilterThumb = String.format(Locale.US, "%d_%d_b", Integer.valueOf(width), Integer.valueOf(height));
                                                    if (webDocument4 != null) {
                                                        maxWidth11 = maxWidth10;
                                                        type4 = type3;
                                                        chatMessageCell.photoImage.setImage(ImageLocation.getForWebFile(webDocument4), chatMessageCell.currentPhotoFilter, null, null, webDocument4.size, null, messageObject, 1);
                                                        timeMore3 = timeMore2;
                                                        r15 = 1;
                                                    } else {
                                                        int height13 = height;
                                                        int width10 = width;
                                                        type4 = type3;
                                                        maxWidth11 = maxWidth10;
                                                        TLRPC.Document document9 = document4;
                                                        int i21 = chatMessageCell.documentAttachType;
                                                        if (i21 == 8) {
                                                            if (messageObject5.mediaExists) {
                                                                chatMessageCell.photoImage.setImage(ImageLocation.getForDocument(chatMessageCell.documentAttach), chatMessageCell.currentPhotoFilter, ImageLocation.getForDocument(chatMessageCell.currentPhotoObject, document9), "b1", 0, "jpg", messageObject, 1);
                                                                timeMore3 = timeMore2;
                                                                r15 = 1;
                                                            } else {
                                                                chatMessageCell.photoImage.setImage(null, null, ImageLocation.getForDocument(chatMessageCell.currentPhotoObject, document9), "b1", 0, "jpg", messageObject, 1);
                                                                timeMore3 = timeMore2;
                                                                r15 = 1;
                                                            }
                                                        } else if (i21 == 9) {
                                                            chatMessageCell.photoImage.setImage(ImageLocation.getForDocument(chatMessageCell.currentPhotoObject, document9), chatMessageCell.currentPhotoFilter, ImageLocation.getForDocument(chatMessageCell.currentPhotoObjectThumb, document9), "b1", 0, "jpg", messageObject, 1);
                                                            timeMore3 = timeMore2;
                                                            r15 = 1;
                                                        } else if (i21 == 6) {
                                                            boolean isWebpSticker = messageObject.isSticker();
                                                            if (SharedConfig.loopStickers) {
                                                                i8 = 1;
                                                            } else if (isWebpSticker) {
                                                                i8 = 1;
                                                            } else {
                                                                chatMessageCell.currentPhotoFilter = String.format(Locale.US, "%d_%d_nr_%s", Integer.valueOf(width10), Integer.valueOf(height13), messageObject.toString());
                                                                chatMessageCell.photoImage.setAutoRepeat(chatMessageCell.delegate.shouldRepeatSticker(messageObject5) ? 2 : 3);
                                                                chatMessageCell.photoImage.setImage(ImageLocation.getForDocument(chatMessageCell.documentAttach), chatMessageCell.currentPhotoFilter, ImageLocation.getForDocument(chatMessageCell.currentPhotoObject, chatMessageCell.documentAttach), "b1", chatMessageCell.documentAttach.size, "webp", messageObject, 1);
                                                                timeMore3 = timeMore2;
                                                                r15 = 1;
                                                            }
                                                            chatMessageCell.photoImage.setAutoRepeat(i8);
                                                            chatMessageCell.photoImage.setImage(ImageLocation.getForDocument(chatMessageCell.documentAttach), chatMessageCell.currentPhotoFilter, ImageLocation.getForDocument(chatMessageCell.currentPhotoObject, chatMessageCell.documentAttach), "b1", chatMessageCell.documentAttach.size, "webp", messageObject, 1);
                                                            timeMore3 = timeMore2;
                                                            r15 = 1;
                                                        } else if (i21 == 4) {
                                                            chatMessageCell.photoImage.setNeedsQualityThumb(true);
                                                            chatMessageCell.photoImage.setShouldGenerateQualityThumb(true);
                                                            if (!SharedConfig.autoplayVideo) {
                                                                timeMore3 = timeMore2;
                                                                z8 = true;
                                                            } else if (chatMessageCell.currentMessageObject.mediaExists || (messageObject.canStreamVideo() && DownloadController.getInstance(chatMessageCell.currentAccount).canDownloadMedia(chatMessageCell.currentMessageObject))) {
                                                                chatMessageCell.photoImage.setAllowDecodeSingleFrame(true);
                                                                chatMessageCell.photoImage.setAllowStartAnimation(true);
                                                                chatMessageCell.photoImage.startAnimation();
                                                                timeMore3 = timeMore2;
                                                                r15 = 1;
                                                                chatMessageCell.photoImage.setImage(ImageLocation.getForDocument(chatMessageCell.documentAttach), ImageLoader.AUTOPLAY_FILTER, ImageLocation.getForDocument(chatMessageCell.currentPhotoObject, chatMessageCell.documentAttach), chatMessageCell.currentPhotoFilter, ImageLocation.getForDocument(chatMessageCell.currentPhotoObjectThumb, chatMessageCell.documentAttach), chatMessageCell.currentPhotoFilterThumb, null, chatMessageCell.documentAttach.size, null, messageObject, 0);
                                                                chatMessageCell.autoPlayingMedia = true;
                                                            } else {
                                                                timeMore3 = timeMore2;
                                                                z8 = true;
                                                            }
                                                            if (chatMessageCell.currentPhotoObjectThumb != null) {
                                                                chatMessageCell.photoImage.setImage(ImageLocation.getForDocument(chatMessageCell.currentPhotoObject, chatMessageCell.documentAttach), chatMessageCell.currentPhotoFilter, ImageLocation.getForDocument(chatMessageCell.currentPhotoObjectThumb, chatMessageCell.documentAttach), chatMessageCell.currentPhotoFilterThumb, 0, null, messageObject, 0);
                                                                r15 = z8;
                                                            } else {
                                                                ImageReceiver imageReceiver = chatMessageCell.photoImage;
                                                                ImageLocation forDocument = ImageLocation.getForDocument(chatMessageCell.currentPhotoObject, chatMessageCell.documentAttach);
                                                                TLRPC.PhotoSize photoSize17 = chatMessageCell.currentPhotoObject;
                                                                imageReceiver.setImage(null, null, forDocument, ((photoSize17 instanceof TLRPC.TL_photoStrippedSize) || "s".equals(photoSize17.type)) ? chatMessageCell.currentPhotoFilterThumb : chatMessageCell.currentPhotoFilter, 0, null, messageObject, 0);
                                                                r15 = z8;
                                                            }
                                                        } else {
                                                            timeMore3 = timeMore2;
                                                            r15 = 1;
                                                            r15 = 1;
                                                            r15 = 1;
                                                            r15 = 1;
                                                            r15 = 1;
                                                            if (i21 != 2 && i21 != 7) {
                                                                boolean photoExist2 = messageObject5.mediaExists;
                                                                String fileName = FileLoader.getAttachFileName(chatMessageCell.currentPhotoObject);
                                                                if (chatMessageCell.hasGamePreview || photoExist2 || DownloadController.getInstance(chatMessageCell.currentAccount).canDownloadMedia(chatMessageCell.currentMessageObject)) {
                                                                    z7 = false;
                                                                } else if (FileLoader.getInstance(chatMessageCell.currentAccount).isLoadingFile(fileName)) {
                                                                    z7 = false;
                                                                } else {
                                                                    chatMessageCell.photoNotSet = true;
                                                                    TLRPC.PhotoSize photoSize18 = chatMessageCell.currentPhotoObjectThumb;
                                                                    if (photoSize18 != null) {
                                                                        chatMessageCell.photoImage.setImage(null, null, ImageLocation.getForObject(photoSize18, chatMessageCell.photoParentObject), String.format(Locale.US, "%d_%d_b", Integer.valueOf(width10), Integer.valueOf(height13)), 0, null, messageObject, 0);
                                                                    } else {
                                                                        chatMessageCell.photoImage.setImageBitmap((Drawable) null);
                                                                    }
                                                                }
                                                                chatMessageCell.photoNotSet = z7;
                                                                chatMessageCell.photoImage.setImage(ImageLocation.getForObject(chatMessageCell.currentPhotoObject, chatMessageCell.photoParentObject), chatMessageCell.currentPhotoFilter, ImageLocation.getForObject(chatMessageCell.currentPhotoObjectThumb, chatMessageCell.photoParentObject), chatMessageCell.currentPhotoFilterThumb, 0, null, messageObject, 0);
                                                            }
                                                            chatMessageCell.photoImage.setAllowDecodeSingleFrame(true);
                                                            FileLoader.getAttachFileName(document9);
                                                            if (MessageObject.isRoundVideoDocument(document9)) {
                                                                chatMessageCell.photoImage.setRoundRadius(AndroidUtilities.roundMessageSize / 2);
                                                                boolean autoDownload3 = DownloadController.getInstance(chatMessageCell.currentAccount).canDownloadMedia(chatMessageCell.currentMessageObject);
                                                                autoDownload2 = autoDownload3;
                                                            } else if (MessageObject.isGifDocument(document9)) {
                                                                boolean autoDownload4 = DownloadController.getInstance(chatMessageCell.currentAccount).canDownloadMedia(chatMessageCell.currentMessageObject);
                                                                autoDownload2 = autoDownload4;
                                                            } else {
                                                                autoDownload2 = false;
                                                            }
                                                            TLRPC.PhotoSize photoSize19 = chatMessageCell.currentPhotoObject;
                                                            String filter2 = ((photoSize19 instanceof TLRPC.TL_photoStrippedSize) || "s".equals(photoSize19.type)) ? chatMessageCell.currentPhotoFilterThumb : chatMessageCell.currentPhotoFilter;
                                                            if (messageObject5.mediaExists || autoDownload2) {
                                                                chatMessageCell.autoPlayingMedia = true;
                                                                chatMessageCell.photoImage.setImage(ImageLocation.getForDocument(document9), document9.size < 32768 ? null : ImageLoader.AUTOPLAY_FILTER, ImageLocation.getForDocument(chatMessageCell.currentPhotoObject, chatMessageCell.documentAttach), filter2, ImageLocation.getForDocument(chatMessageCell.currentPhotoObjectThumb, chatMessageCell.documentAttach), chatMessageCell.currentPhotoFilterThumb, null, document9.size, null, messageObject, 0);
                                                            } else {
                                                                chatMessageCell.photoImage.setImage(null, null, ImageLocation.getForDocument(chatMessageCell.currentPhotoObject, chatMessageCell.documentAttach), filter2, 0, null, chatMessageCell.currentMessageObject, 0);
                                                            }
                                                        }
                                                    }
                                                    chatMessageCell.drawPhotoImage = r15;
                                                    String type6 = type4;
                                                    if (type6 == null || !type6.equals(MimeTypes.BASE_TYPE_VIDEO) || duration == 0) {
                                                        additinalWidth3 = 0;
                                                        if (chatMessageCell.hasGamePreview) {
                                                            String str7 = LocaleController.getString("AttachGame", R.string.AttachGame).toUpperCase();
                                                            chatMessageCell.durationWidth = (int) Math.ceil(Theme.chat_gamePaint.measureText(str7));
                                                            chatMessageCell.videoInfoLayout = new StaticLayout(str7, Theme.chat_gamePaint, chatMessageCell.durationWidth, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                                        }
                                                    } else {
                                                        int minutes = duration / 60;
                                                        int seconds = duration - (minutes * 60);
                                                        Object[] objArr2 = new Object[2];
                                                        additinalWidth3 = 0;
                                                        objArr2[0] = Integer.valueOf(minutes);
                                                        objArr2[r15] = Integer.valueOf(seconds);
                                                        String str8 = String.format("%d:%02d", objArr2);
                                                        chatMessageCell.durationWidth = (int) Math.ceil(Theme.chat_durationPaint.measureText(str8));
                                                        chatMessageCell.videoInfoLayout = new StaticLayout(str8, Theme.chat_durationPaint, chatMessageCell.durationWidth, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                                    }
                                                    maxChildWidth2 = maxChildWidth7;
                                                    if (chatMessageCell.hasInvoicePreview) {
                                                    }
                                                    if (chatMessageCell.hasGamePreview) {
                                                        chatMessageCell.linkPreviewHeight += messageObject5.textHeight + AndroidUtilities.dp(6.0f);
                                                        chatMessageCell.totalHeight += AndroidUtilities.dp(4.0f);
                                                    }
                                                    chatMessageCell.calcBackgroundWidth(maxWidth11, timeMore3, maxChildWidth2);
                                                }
                                                createInstantViewButton();
                                            }
                                        }
                                        TLRPC.PhotoSize closestPhotoSizeWithSize4 = FileLoader.getClosestPhotoSizeWithSize(document4.thumbs, 90);
                                        chatMessageCell.currentPhotoObject = closestPhotoSizeWithSize4;
                                        chatMessageCell.photoParentObject = document4;
                                        if (closestPhotoSizeWithSize4 != null && (closestPhotoSizeWithSize4.w == 0 || chatMessageCell.currentPhotoObject.h == 0)) {
                                            int a13 = 0;
                                            while (true) {
                                                if (a13 >= document4.attributes.size()) {
                                                    break;
                                                }
                                                TLRPC.DocumentAttribute attribute5 = document4.attributes.get(a13);
                                                if (attribute5 instanceof TLRPC.TL_documentAttributeImageSize) {
                                                    chatMessageCell.currentPhotoObject.w = attribute5.w;
                                                    chatMessageCell.currentPhotoObject.h = attribute5.h;
                                                    break;
                                                }
                                                a13++;
                                            }
                                            if (chatMessageCell.currentPhotoObject.w == 0 || chatMessageCell.currentPhotoObject.h == 0) {
                                                TLRPC.PhotoSize photoSize20 = chatMessageCell.currentPhotoObject;
                                                int dp5 = AndroidUtilities.dp(150.0f);
                                                photoSize20.h = dp5;
                                                photoSize20.w = dp5;
                                            }
                                        }
                                        chatMessageCell.documentAttach = document4;
                                        chatMessageCell.documentAttachType = 6;
                                        type3 = type2;
                                        webDocument3 = webDocument2;
                                    }
                                }
                                webDocument4 = webDocument3;
                                maxWidth10 = maxWidth9;
                                i6 = chatMessageCell.documentAttachType;
                                if (i6 == 5) {
                                }
                                createInstantViewButton();
                            } else {
                                document4 = document3;
                                timeMore2 = timeMore;
                                maxWidth9 = maxWidth8;
                                if (photo != null) {
                                    if (type2 != null) {
                                        type3 = type2;
                                        if (type3.equals("photo")) {
                                            isPhoto = true;
                                            chatMessageCell.currentPhotoObject = FileLoader.getClosestPhotoSizeWithSize(messageObject5.photoThumbs, (isPhoto && smallImage2) ? maxPhotoWidth5 : AndroidUtilities.getPhotoSize(), isPhoto);
                                            chatMessageCell.photoParentObject = messageObject5.photoThumbsObject;
                                            chatMessageCell.checkOnlyButtonPressed = isPhoto;
                                            closestPhotoSizeWithSize = FileLoader.getClosestPhotoSizeWithSize(messageObject5.photoThumbs, 40);
                                            chatMessageCell.currentPhotoObjectThumb = closestPhotoSizeWithSize;
                                            if (closestPhotoSizeWithSize == chatMessageCell.currentPhotoObject) {
                                                chatMessageCell.currentPhotoObjectThumb = null;
                                            }
                                            webDocument3 = webDocument2;
                                        }
                                    } else {
                                        type3 = type2;
                                    }
                                    isPhoto = false;
                                    chatMessageCell.currentPhotoObject = FileLoader.getClosestPhotoSizeWithSize(messageObject5.photoThumbs, (isPhoto && smallImage2) ? maxPhotoWidth5 : AndroidUtilities.getPhotoSize(), isPhoto);
                                    chatMessageCell.photoParentObject = messageObject5.photoThumbsObject;
                                    chatMessageCell.checkOnlyButtonPressed = isPhoto;
                                    closestPhotoSizeWithSize = FileLoader.getClosestPhotoSizeWithSize(messageObject5.photoThumbs, 40);
                                    chatMessageCell.currentPhotoObjectThumb = closestPhotoSizeWithSize;
                                    if (closestPhotoSizeWithSize == chatMessageCell.currentPhotoObject) {
                                    }
                                    webDocument3 = webDocument2;
                                } else {
                                    type3 = type2;
                                    if (webDocument2 != null) {
                                        WebFile webDocument8 = webDocument2;
                                        if (!webDocument8.mime_type.startsWith("image/")) {
                                            webDocument8 = null;
                                        }
                                        chatMessageCell.drawImageButton = false;
                                        webDocument4 = webDocument8;
                                        maxWidth10 = maxWidth9;
                                        i6 = chatMessageCell.documentAttachType;
                                        if (i6 == 5) {
                                        }
                                        createInstantViewButton();
                                    } else {
                                        webDocument3 = webDocument2;
                                    }
                                }
                                webDocument4 = webDocument3;
                                maxWidth10 = maxWidth9;
                                i6 = chatMessageCell.documentAttachType;
                                if (i6 == 5) {
                                }
                                createInstantViewButton();
                            }
                        } else {
                            chatMessageCell.photoImage.setImageBitmap((Drawable) null);
                            chatMessageCell.calcBackgroundWidth(maxWidth7, timeMore5, maxChildWidth2);
                        }
                    } else if (messageObject5.type == 16) {
                        chatMessageCell.drawName = false;
                        chatMessageCell.drawForwardedName = false;
                        chatMessageCell.drawPhotoImage = false;
                        if (AndroidUtilities.isTablet()) {
                            chatMessageCell.backgroundWidth = Math.min(AndroidUtilities.getMinTabletSide() - AndroidUtilities.dp((chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) ? 102.0f : 50.0f), AndroidUtilities.dp(270.0f));
                        } else {
                            chatMessageCell.backgroundWidth = Math.min(AndroidUtilities.displaySize.x - AndroidUtilities.dp((chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) ? 102.0f : 50.0f), AndroidUtilities.dp(270.0f));
                        }
                        chatMessageCell.availableTimeWidth = chatMessageCell.backgroundWidth - AndroidUtilities.dp(31.0f);
                        int maxWidth17 = getMaxNameWidth() - AndroidUtilities.dp(50.0f);
                        if (maxWidth17 < 0) {
                            maxWidth17 = AndroidUtilities.dp(10.0f);
                        }
                        long longFormat = messageObject5.messageOwner.date * 1000;
                        String time = LocaleController.getInstance().formatterDayNoly.format(longFormat);
                        String time2 = TimeUtils.isAm(longFormat) ? LocaleController.getString("AM", R.string.formatterDayAM) + "  " + time : LocaleController.getString("PM", R.string.formatterDayPM) + "  " + time;
                        TLRPC.TL_messageActionPhoneCall call = (TLRPC.TL_messageActionPhoneCall) messageObject5.messageOwner.action;
                        boolean z12 = call.reason instanceof TLRPC.TL_phoneCallDiscardReasonMissed;
                        String text4 = messageObject.isOutOwner() ? call.duration == -2 ? LocaleController.getString("HadCancel", R.string.HadCancel) : call.duration == -1 ? LocaleController.getString("visual_call_other_refuse", R.string.visual_call_other_refuse) : call.duration == -4 ? LocaleController.getString("visual_call_no_answer_tip", R.string.visual_call_no_answer_tip) : call.duration == -3 ? LocaleController.getString("visual_call_other_busing1", R.string.visual_call_other_busing1) : call.duration == -5 ? LocaleController.getString("visual_call_failture_tip", R.string.visual_call_failture_tip) : call.duration == -6 ? LocaleController.getString("visual_call_no_answer1", R.string.visual_call_no_answer1) : LocaleController.getString("visual_call_duration", R.string.visual_call_duration) : call.duration == -1 ? LocaleController.getString("visual_call_refused", R.string.visual_call_refused) : (call.duration == -2 || call.duration == -4) ? LocaleController.getString("visual_call_other_side_cancel", R.string.visual_call_other_side_cancel) : call.duration == -3 ? LocaleController.getString("visual_call_busy_unexcept", R.string.visual_call_busy_unexcept) : (call.duration == -5 || call.duration == -6) ? LocaleController.getString("visual_call_no_answer1", R.string.visual_call_no_answer1) : LocaleController.getString("visual_call_duration", R.string.visual_call_duration);
                        if (call.duration > 0) {
                            int h6 = call.duration / 3600;
                            int m = (call.duration - (h6 * 3600)) / 60;
                            int s = (call.duration - (h6 * 3600)) - (m * 60);
                            if (h6 > 0) {
                                m += h6 * 60;
                            }
                            String mm = (m < 10 ? new StringBuilder().append("0").append(m) : new StringBuilder().append(m).append("")).toString();
                            String ss = (s < 10 ? new StringBuilder().append("0").append(s) : new StringBuilder().append(s).append("")).toString();
                            String timeFormat = mm + LogUtils.COLON + ss;
                            text4 = text4 + "  " + timeFormat;
                        }
                        int x = (chatMessageCell.isChat && chatMessageCell.currentMessageObject.needDrawAvatar()) ? AndroidUtilities.dp(74.0f) : AndroidUtilities.dp(28.0f);
                        chatMessageCell.titleLayout = new StaticLayout(TextUtils.ellipsize(text4, Theme.chat_audioTitlePaint, AndroidUtilities.dp(20.0f) + maxWidth17, TextUtils.TruncateAt.END), Theme.chat_audioTitlePaint, (int) Theme.chat_audioTitlePaint.measureText(text4), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                        chatMessageCell.docTitleLayout = new StaticLayout(TextUtils.ellipsize(time2, Theme.chat_contactPhonePaint, maxWidth17, TextUtils.TruncateAt.END), Theme.chat_contactPhonePaint, (int) Theme.chat_contactPhonePaint.measureText(time2), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                        int i22 = AndroidUtilities.displaySize.x;
                        if (chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) {
                            f5 = 102.0f;
                        }
                        chatMessageCell.backgroundWidth = Math.min(i22 - AndroidUtilities.dp(f5), AndroidUtilities.dp(68.0f) + x + chatMessageCell.titleLayout.getWidth() + chatMessageCell.docTitleLayout.getWidth());
                        setMessageObjectInternal(messageObject);
                        int dp6 = AndroidUtilities.dp(52.0f);
                        int i23 = chatMessageCell.namesOffset;
                        int i24 = dp6 + i23;
                        chatMessageCell.totalHeight = i24;
                        chatMessageCell.totalHeight = i24 + (mOffset * 2);
                        if (chatMessageCell.drawPinnedTop) {
                            chatMessageCell.namesOffset = i23 - AndroidUtilities.dp(1.0f);
                        }
                    } else if (messageObject5.type == 103) {
                        chatMessageCell.drawName = false;
                        chatMessageCell.drawForwardedName = false;
                        chatMessageCell.drawPhotoImage = true;
                        chatMessageCell.mediaBackground = true;
                        chatMessageCell.drawShareButton = false;
                        if (AndroidUtilities.isTablet()) {
                            int minTabletSide = AndroidUtilities.getMinTabletSide();
                            if (chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) {
                                f5 = 102.0f;
                            }
                            chatMessageCell.backgroundWidth = Math.min(minTabletSide - AndroidUtilities.dp(f5), AndroidUtilities.dp(270.0f));
                        } else {
                            int i25 = AndroidUtilities.displaySize.x;
                            if (chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) {
                                f5 = 102.0f;
                            }
                            chatMessageCell.backgroundWidth = Math.min(i25 - AndroidUtilities.dp(f5), AndroidUtilities.dp(270.0f));
                        }
                        int dp7 = chatMessageCell.backgroundWidth - AndroidUtilities.dp(25.0f);
                        chatMessageCell.backgroundWidth = dp7;
                        chatMessageCell.backgroundDrawableRight = dp7 - (chatMessageCell.mediaBackground ? 0 : AndroidUtilities.dp(3.0f));
                        chatMessageCell.availableTimeWidth = chatMessageCell.backgroundWidth - AndroidUtilities.dp(31.0f);
                        int maxWidth18 = chatMessageCell.backgroundWidth - AndroidUtilities.dp(80.0f);
                        if (maxWidth18 < 0) {
                            maxWidth18 = AndroidUtilities.dp(10.0f);
                        }
                        TLRPC.TL_messageMediaShareContact shareContact = (TLRPC.TL_messageMediaShareContact) messageObject5.messageOwner.media;
                        chatMessageCell.photoImage.setRoundRadius(AndroidUtilities.dp(4.0f));
                        TLRPC.User user = MessagesController.getInstance(chatMessageCell.currentAccount).getUser(Integer.valueOf(shareContact.user_id));
                        if (user != null) {
                            chatMessageCell.contactAvatarDrawable.setInfo(user);
                            text3 = user.first_name;
                        } else {
                            text3 = LocaleController.getString(R.string.share_contact_unknow);
                        }
                        chatMessageCell.photoImage.setImage(ImageLocation.getForUser(user, false), "50_50", user != null ? chatMessageCell.contactAvatarDrawable : Theme.chat_contactDrawable[messageObject.isOutOwner() ? 1 : 0], null, messageObject, 0);
                        Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(14.0f));
                        CharSequence ellipsize = TextUtils.ellipsize(text3, Theme.chat_redpkgTextPaint, maxWidth18 - AndroidUtilities.dp(40.0f), TextUtils.TruncateAt.END);
                        chatMessageCell.titleLayout = new StaticLayout(ellipsize, Theme.chat_redpkgTextPaint, maxWidth18 - AndroidUtilities.dp(40.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                        Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(12.0f));
                        chatMessageCell.docTitleLayout = new StaticLayout(TextUtils.ellipsize("", Theme.chat_redpkgTextPaint, maxWidth18, TextUtils.TruncateAt.END), Theme.chat_redpkgTextPaint, maxWidth18 + AndroidUtilities.dp(2.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                        chatMessageCell.descriptionLayout = new StaticLayout(TextUtils.ellipsize(LocaleController.getString("share_contact_person_card", R.string.share_contact_person_card), Theme.chat_redpkgTextPaint, maxWidth18, TextUtils.TruncateAt.END), Theme.chat_redpkgTextPaint, maxWidth18 + AndroidUtilities.dp(2.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                        setMessageObjectInternal(messageObject);
                        chatMessageCell.totalHeight = AndroidUtilities.dp(105.0f) + chatMessageCell.namesOffset + AndroidUtilities.dp(5.0f);
                        if (chatMessageCell.drawPinnedTop) {
                            chatMessageCell.namesOffset -= AndroidUtilities.dp(1.0f);
                        }
                    } else if (messageObject5.type == 105) {
                        chatMessageCell.drawName = false;
                        chatMessageCell.drawForwardedName = false;
                        chatMessageCell.drawPhotoImage = true;
                        chatMessageCell.mediaBackground = true;
                        chatMessageCell.drawShareButton = false;
                        int dp8 = chatMessageCell.screenSize[0] - AndroidUtilities.dp(20.0f);
                        chatMessageCell.backgroundWidth = dp8;
                        chatMessageCell.backgroundDrawableRight = dp8 - (chatMessageCell.mediaBackground ? 0 : AndroidUtilities.dp(3.0f));
                        chatMessageCell.availableTimeWidth = chatMessageCell.backgroundWidth - AndroidUtilities.dp(31.0f);
                        measureTime(messageObject);
                        int maxWidth19 = chatMessageCell.backgroundWidth - AndroidUtilities.dp(60.0f);
                        TLRPCContacts.TL_messageMediaSysNotify sysNotify = (TLRPCContacts.TL_messageMediaSysNotify) messageObject5.messageOwner.media;
                        String data = TLJsonResolve.getData(sysNotify.data);
                        ChatFCAttentionBean bean2 = (ChatFCAttentionBean) GsonUtils.fromJson(data, (Class<Object>) ChatFCAttentionBean.class);
                        Map<Integer, TLRPCContacts.NotifyMsg> map = chatMessageCell.mSysNotifyData;
                        if (map == null) {
                            chatMessageCell.mSysNotifyData = new HashMap();
                        } else {
                            map.clear();
                        }
                        if (chatMessageCell.textInfoLayout1 != null) {
                            r2 = 0;
                            chatMessageCell.textInfoLayout1 = null;
                        } else {
                            r2 = 0;
                        }
                        if (chatMessageCell.textInfoLayout2 != null) {
                            chatMessageCell.textInfoLayout2 = r2;
                        }
                        if (chatMessageCell.textInfoLayout3 != null) {
                            chatMessageCell.textInfoLayout3 = r2;
                        }
                        if (chatMessageCell.textInfoLayout4 != null) {
                            chatMessageCell.textInfoLayout4 = r2;
                        }
                        if (chatMessageCell.textInfoLayout5 != null) {
                            chatMessageCell.textInfoLayout5 = r2;
                        }
                        if (chatMessageCell.photoImage1 != null) {
                            chatMessageCell.photoImage1 = r2;
                        }
                        if (chatMessageCell.photoImage2 != null) {
                            chatMessageCell.photoImage2 = r2;
                        }
                        if (chatMessageCell.photoImage3 != null) {
                            chatMessageCell.photoImage3 = r2;
                        }
                        if (chatMessageCell.photoImage4 != null) {
                            chatMessageCell.photoImage4 = r2;
                        }
                        if (chatMessageCell.photoImage5 != null) {
                            chatMessageCell.photoImage5 = r2;
                        }
                        if (sysNotify.business_code == 10) {
                            String bodyInfo = bean2.msg_button_text;
                            String planDetailInfo = bean2.msg_url;
                            ChatFCAttentionBean.PlanBodyBean planBodyBean = (ChatFCAttentionBean.PlanBodyBean) GsonUtils.fromJson(bodyInfo, (Class<Object>) ChatFCAttentionBean.PlanBodyBean.class);
                            ChatFCAttentionBean.planDetailBean plandetailbean = (ChatFCAttentionBean.planDetailBean) GsonUtils.fromJson(planDetailInfo, (Class<Object>) ChatFCAttentionBean.planDetailBean.class);
                            SpannableStringBuilder planBody = new SpanUtils().append(TextUtils.isEmpty(planBodyBean.xStringOne) ? "" : "[" + planBodyBean.xStringOne + "]").setForegroundColor(Color.parseColor("#DBAD84")).append(planBodyBean.content).create();
                            SpannableStringBuilder detailInfo = new SpanUtils().append("点击查看").setForegroundColor(Color.parseColor("#DBAD84")).append("  ").appendImage(R.mipmap.iv_chat_sys_right_bg, 1).create();
                            Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(16.0f));
                            chatMessageCell.textInfoLayout1 = new StaticLayout(planBody, Theme.chat_redpkgTextPaint, maxWidth19, Layout.Alignment.ALIGN_NORMAL, 1.5f, 0.0f, false);
                            if (!TextUtils.isEmpty(bean2.msg_url)) {
                                Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(14.0f));
                                int length = detailInfo.length();
                                chatMessageCell.descriptionLayout = new StaticLayout(TextUtils.ellipsize(detailInfo, Theme.chat_redpkgTextPaint, maxWidth19, TextUtils.TruncateAt.END), Theme.chat_redpkgTextPaint, AndroidUtilities.dp(length * 10), Layout.Alignment.ALIGN_CENTER, 1.0f, 0.0f, false);
                                ImageReceiver imageReceiver2 = new ImageReceiver(chatMessageCell);
                                chatMessageCell.photoFCImage = imageReceiver2;
                                imageReceiver2.setImageBitmap(Theme.chat_sysNotifyDrawable);
                            }
                            RelativeLayout relativeLayout2 = chatMessageCell.rlContainer;
                            if (relativeLayout2 == null) {
                                RelativeLayout relativeLayout3 = new RelativeLayout(getContext());
                                chatMessageCell.rlContainer = relativeLayout3;
                                relativeLayout3.setTag("sysNotify");
                                chatMessageCell.addView(chatMessageCell.rlContainer);
                            } else {
                                relativeLayout2.removeAllViews();
                            }
                            View view = inflate(getContext(), R.layout.item_chat_system_message, null);
                            chatMessageCell.rlContainer.addView(view);
                            MryImageView ivRedPoint = (MryImageView) view.findViewById(R.id.ivRedPoint);
                            MryTextView tvTitle = (MryTextView) view.findViewById(R.id.tvTitle);
                            MryTextView tvTime = (MryTextView) view.findViewById(R.id.tvTime);
                            if (messageObject5.messageOwner.unread) {
                                ivRedPoint.setImageResource(R.mipmap.iv_chat_sys_unread);
                            } else {
                                ivRedPoint.setImageResource(R.mipmap.iv_chat_sys_read);
                            }
                            tvTitle.setText(bean2.msg_title);
                            tvTime.setText(bean2.getCreate24HEndTimeFormat());
                            StaticLayout staticLayout11 = chatMessageCell.textInfoLayout1;
                            int text1Height = staticLayout11 == null ? AndroidUtilities.dp(0.0f) : staticLayout11.getHeight() + AndroidUtilities.dp(15.0f);
                            ImageReceiver imageReceiver3 = chatMessageCell.photoFCImage;
                            int photoFCHeight = imageReceiver3 == null ? AndroidUtilities.dp(5.0f) : imageReceiver3.getImageHeight() + AndroidUtilities.dp(60.0f);
                            chatMessageCell.totalHeight = AndroidUtilities.dp(140.0f) + text1Height + photoFCHeight;
                        } else {
                            ViewGroup viewGroup = r2;
                            if (sysNotify.business_code == 1 || sysNotify.business_code == 2) {
                                maxWidth5 = maxWidth19;
                                bean = bean2;
                            } else if (sysNotify.business_code != 3) {
                                int dp9 = chatMessageCell.backgroundWidth - AndroidUtilities.dp(10.0f);
                                chatMessageCell.backgroundDrawableRight = dp9;
                                chatMessageCell.backgroundDrawableLeft = dp9;
                                chatMessageCell.totalHeight = AndroidUtilities.dp(84.0f);
                                chatMessageCell.setPadding(0, 0, 0, 0);
                                chatMessageCell.photoImage.setRoundRadius(AndroidUtilities.dp(4.0f));
                                TLRPC.User user2 = MessagesController.getInstance(UserConfig.selectedAccount).getUser(Integer.valueOf(bean2.interact_msg.with_id));
                                chatMessageCell.photoImage.setImage(ImageLocation.getForUser(user2, false), "50_50", user2 != null ? chatMessageCell.contactAvatarDrawable : Theme.chat_contactDrawable[messageObject.isOutOwner() ? 1 : 0], null, messageObject, 0);
                                Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(14.0f));
                                setMessageObjectInternal(messageObject);
                                RelativeLayout relativeLayout4 = chatMessageCell.rlContainer;
                                if (relativeLayout4 == null) {
                                    RelativeLayout relativeLayout5 = new RelativeLayout(getContext());
                                    chatMessageCell.rlContainer = relativeLayout5;
                                    relativeLayout5.setTag("sysNotify");
                                    ViewGroup.LayoutParams params = new ViewGroup.LayoutParams(-1, AndroidUtilities.dp(84.0f));
                                    chatMessageCell.addView(chatMessageCell.rlContainer, params);
                                } else {
                                    relativeLayout4.removeAllViews();
                                }
                                View view2 = inflate(getContext(), R.layout.item_chat_friends_circle_message, viewGroup);
                                MryImageView ivRedPoint2 = (MryImageView) view2.findViewById(R.id.ivRedPoint);
                                MryTextView tvUserName = (MryTextView) view2.findViewById(R.id.tvUserName);
                                MryTextView tvInteractiveType = (MryTextView) view2.findViewById(R.id.tvInteractiveType);
                                MryTextView tvInfo = (MryTextView) view2.findViewById(R.id.tvInfo);
                                MryTextView tvLike = (MryTextView) view2.findViewById(R.id.tvLike);
                                MryTextView tvTime2 = (MryTextView) view2.findViewById(R.id.tvTime);
                                MryTextView tvFcInfo = (MryTextView) view2.findViewById(R.id.tvFcInfo);
                                LinearLayout llFcInfo = (LinearLayout) view2.findViewById(R.id.llFcInfo);
                                LinearLayout llAttention = (LinearLayout) view2.findViewById(R.id.llAttention);
                                LinearLayout llMutual = (LinearLayout) view2.findViewById(R.id.llMutual);
                                chatMessageCell.line = view2.findViewById(R.id.line);
                                RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams(-1, AndroidUtilities.dp(84.0f));
                                layoutParams.addRule(10);
                                chatMessageCell.rlContainer.addView(view2, layoutParams);
                                llFcInfo.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundGray)));
                                tvUserName.setText(UserObject.getName(user2));
                                if (messageObject5.messageOwner instanceof TLRPC.TL_message) {
                                    TLRPC.TL_message messageOwner = (TLRPC.TL_message) messageObject5.messageOwner;
                                    CharSequence charSequence = messageObject5.updateMetionText2(bean2.interact_msg.msg_content, messageOwner.entities, chatMessageCell.mBaseFragment);
                                    tvInfo.setText(charSequence);
                                }
                                tvTime2.setText(bean2.getTime());
                                if (messageObject5.messageOwner.unread) {
                                    ivRedPoint2.setVisibility(0);
                                    tvUserName.setTextColor(Color.parseColor("#000000"));
                                    tvInfo.setTextColor(Color.parseColor("#999999"));
                                } else {
                                    ivRedPoint2.setVisibility(4);
                                    tvUserName.setTextColor(Color.parseColor("#D0D0D0"));
                                    tvInfo.setTextColor(Color.parseColor("#D0D0D0"));
                                }
                                switch (bean2.interact_msg.forum_type) {
                                    case 1:
                                        chatMessageCell.photoFCImage = null;
                                        tvInfo.setMaxEms(8);
                                        tvFcInfo.setText(bean2.interact_msg.forum_text);
                                        llFcInfo.setVisibility(0);
                                        llAttention.setVisibility(8);
                                        llMutual.setVisibility(8);
                                        break;
                                    case 2:
                                    case 3:
                                        tvInfo.setMaxEms(10);
                                        ImageReceiver imageReceiver4 = new ImageReceiver(chatMessageCell);
                                        chatMessageCell.photoFCImage = imageReceiver4;
                                        imageReceiver4.setRoundRadius(AndroidUtilities.dp(5.0f));
                                        if (sysNotify.medias != null && sysNotify.medias.size() > 0 && (sysNotify.medias.get(0) instanceof TLRPCContacts.NotifyMsgMedia)) {
                                            TLRPCContacts.NotifyMsgMedia messageMediaSysNotify = (TLRPCContacts.NotifyMsgMedia) sysNotify.medias.get(0);
                                            TLRPC.Photo photo4 = messageMediaSysNotify.media.photo;
                                            TLRPC.PhotoSize photoSize21 = FileLoader.getClosestPhotoSizeWithSize(photo4.sizes, AndroidUtilities.getPhotoSize());
                                            chatMessageCell.photoFCImage.setNeedsQualityThumb(true);
                                            chatMessageCell.photoFCImage.setShouldGenerateQualityThumb(true);
                                            chatMessageCell.photoFCImage.setImage(ImageLocation.getForPhoto(photoSize21, photo4), null, null, "jpg", null, 1);
                                        }
                                        llFcInfo.setVisibility(8);
                                        llAttention.setVisibility(8);
                                        llMutual.setVisibility(8);
                                        break;
                                }
                                switch (sysNotify.business_code) {
                                    case 4:
                                        tvInteractiveType.setText("评论");
                                        tvInfo.setVisibility(0);
                                        tvLike.setVisibility(8);
                                        break;
                                    case 5:
                                        tvInteractiveType.setText("回复");
                                        tvInfo.setVisibility(0);
                                        tvLike.setVisibility(8);
                                        break;
                                    case 6:
                                        tvInteractiveType.setText("点赞");
                                        tvLike.setText("+1");
                                        tvInfo.setVisibility(8);
                                        tvLike.setVisibility(0);
                                        break;
                                    case 7:
                                        tvInteractiveType.setText("@了你");
                                        if (messageObject5.messageOwner instanceof TLRPC.TL_message) {
                                            TLRPC.TL_message messageOwner2 = (TLRPC.TL_message) messageObject5.messageOwner;
                                            ArrayList<TLRPC.MessageEntity> entities = messageOwner2.entities;
                                            CharSequence charSequence2 = messageObject5.updateMetionText2(bean2.interact_msg.forum_text, entities, chatMessageCell.mBaseFragment);
                                            if (!TextUtils.isEmpty(bean2.interact_msg.msg_content)) {
                                                charSequence2 = messageObject5.updateMetionText2(bean2.interact_msg.msg_content, entities, chatMessageCell.mBaseFragment);
                                            }
                                            tvInfo.setText(charSequence2);
                                            int spec = View.MeasureSpec.makeMeasureSpec(0, 0);
                                            tvInfo.measure(spec, spec);
                                            chatMessageCell.measuredAtWidth = tvInfo.getMeasuredWidth();
                                            tvInfo.setMovementMethod(LinkMovementClickMethod.getInstance());
                                            i4 = 0;
                                            tvInfo.setHighlightColor(0);
                                            tvInfo.setFocusable(false);
                                            tvInfo.setClickable(false);
                                            tvInfo.setLongClickable(false);
                                        } else {
                                            i4 = 0;
                                        }
                                        tvInfo.setVisibility(i4);
                                        tvLike.setVisibility(8);
                                        break;
                                    case 8:
                                        chatMessageCell.photoFCImage = null;
                                        tvInteractiveType.setText("关注了你");
                                        tvInfo.setVisibility(4);
                                        tvLike.setVisibility(8);
                                        switch (bean2.interact_msg.is_followed) {
                                            case 1:
                                                llFcInfo.setVisibility(8);
                                                llAttention.setVisibility(8);
                                                llMutual.setVisibility(0);
                                                break;
                                            case 2:
                                                llFcInfo.setVisibility(8);
                                                llAttention.setVisibility(0);
                                                llMutual.setVisibility(8);
                                                break;
                                        }
                                    case 9:
                                        tvInteractiveType.setText("提醒了你");
                                        tvInfo.setVisibility(4);
                                        tvLike.setVisibility(8);
                                        break;
                                }
                            } else {
                                maxWidth5 = maxWidth19;
                                bean = bean2;
                            }
                            ArrayList<TLRPCContacts.NotifyMsg> textsList = sysNotify.texts;
                            ArrayList<TLRPCContacts.NotifyMsg> mediasList = sysNotify.medias;
                            if (sysNotify.texts != null && sysNotify.texts.size() > 0) {
                                Iterator<TLRPCContacts.NotifyMsg> it = textsList.iterator();
                                while (it.hasNext()) {
                                    TLRPCContacts.NotifyMsg massges = it.next();
                                    TLRPCContacts.NotifyMsgText msg = (TLRPCContacts.NotifyMsgText) massges;
                                    chatMessageCell.mSysNotifyData.put(Integer.valueOf(msg.seq - 1), massges);
                                }
                            }
                            if (sysNotify.medias != null && sysNotify.medias.size() > 0) {
                                Iterator<TLRPCContacts.NotifyMsg> it2 = mediasList.iterator();
                                while (it2.hasNext()) {
                                    TLRPCContacts.NotifyMsg sysMedia = it2.next();
                                    TLRPCContacts.NotifyMsgMedia msg2 = (TLRPCContacts.NotifyMsgMedia) sysMedia;
                                    chatMessageCell.mSysNotifyData.put(Integer.valueOf(msg2.seq - 1), sysMedia);
                                }
                            }
                            int i26 = 0;
                            while (i26 < chatMessageCell.mSysNotifyData.size()) {
                                TLRPCContacts.NotifyMsg msgData = chatMessageCell.mSysNotifyData.get(Integer.valueOf(i26));
                                if (msgData instanceof TLRPCContacts.NotifyMsgText) {
                                    TLRPCContacts.NotifyMsgText textData = (TLRPCContacts.NotifyMsgText) msgData;
                                    StaticLayout staticLayout12 = chatMessageCell.textInfoLayout1;
                                    if (staticLayout12 == null) {
                                        maxWidth6 = maxWidth5;
                                        chatMessageCell.textInfoLayout1 = chatMessageCell.setSysNotifyTextInfo(staticLayout12, textData, maxWidth6);
                                    } else {
                                        maxWidth6 = maxWidth5;
                                        StaticLayout staticLayout13 = chatMessageCell.textInfoLayout2;
                                        if (staticLayout13 == null) {
                                            chatMessageCell.textInfoLayout2 = chatMessageCell.setSysNotifyTextInfo(staticLayout13, textData, maxWidth6);
                                        } else {
                                            StaticLayout staticLayout14 = chatMessageCell.textInfoLayout3;
                                            if (staticLayout14 == null) {
                                                chatMessageCell.textInfoLayout3 = chatMessageCell.setSysNotifyTextInfo(staticLayout14, textData, maxWidth6);
                                            } else {
                                                StaticLayout staticLayout15 = chatMessageCell.textInfoLayout4;
                                                if (staticLayout15 == null) {
                                                    chatMessageCell.textInfoLayout4 = chatMessageCell.setSysNotifyTextInfo(staticLayout15, textData, maxWidth6);
                                                } else {
                                                    StaticLayout staticLayout16 = chatMessageCell.textInfoLayout5;
                                                    if (staticLayout16 == null) {
                                                        chatMessageCell.textInfoLayout5 = chatMessageCell.setSysNotifyTextInfo(staticLayout16, textData, maxWidth6);
                                                    }
                                                }
                                            }
                                        }
                                    }
                                } else {
                                    maxWidth6 = maxWidth5;
                                    if (msgData instanceof TLRPCContacts.NotifyMsgMedia) {
                                        TLRPCContacts.NotifyMsgMedia mediaData = (TLRPCContacts.NotifyMsgMedia) msgData;
                                        if (chatMessageCell.photoImage1 == null) {
                                            chatMessageCell.photoImage1 = new ImageReceiver(chatMessageCell);
                                            chatMessageCell.photo1Height = chatMessageCell.setImageReceiverHeightAutoSize(mediaData, maxWidth6);
                                            chatMessageCell.photoImage1 = chatMessageCell.setSysNotifyPhotoInfo(chatMessageCell.photoImage1, mediaData, messageObject5);
                                        } else if (chatMessageCell.photoImage2 == null) {
                                            chatMessageCell.photoImage2 = new ImageReceiver(chatMessageCell);
                                            chatMessageCell.photo2Height = chatMessageCell.setImageReceiverHeightAutoSize(mediaData, maxWidth6);
                                            chatMessageCell.photoImage2 = chatMessageCell.setSysNotifyPhotoInfo(chatMessageCell.photoImage2, mediaData, messageObject5);
                                        } else if (chatMessageCell.photoImage3 == null) {
                                            chatMessageCell.photoImage3 = new ImageReceiver(chatMessageCell);
                                            chatMessageCell.photo3Height = chatMessageCell.setImageReceiverHeightAutoSize(mediaData, maxWidth6);
                                            chatMessageCell.photoImage3 = chatMessageCell.setSysNotifyPhotoInfo(chatMessageCell.photoImage3, mediaData, messageObject5);
                                        } else if (chatMessageCell.photoImage4 == null) {
                                            chatMessageCell.photoImage4 = new ImageReceiver(chatMessageCell);
                                            chatMessageCell.photo4Height = chatMessageCell.setImageReceiverHeightAutoSize(mediaData, maxWidth6);
                                            chatMessageCell.photoImage4 = chatMessageCell.setSysNotifyPhotoInfo(chatMessageCell.photoImage4, mediaData, messageObject5);
                                        } else if (chatMessageCell.photoImage5 == null) {
                                            chatMessageCell.photoImage5 = new ImageReceiver(chatMessageCell);
                                            chatMessageCell.photo5Height = chatMessageCell.setImageReceiverHeightAutoSize(mediaData, maxWidth6);
                                            chatMessageCell.photoImage5 = chatMessageCell.setSysNotifyPhotoInfo(chatMessageCell.photoImage5, mediaData, messageObject5);
                                        }
                                    }
                                }
                                i26++;
                                maxWidth5 = maxWidth6;
                            }
                            int maxWidth20 = maxWidth5;
                            RelativeLayout relativeLayout6 = chatMessageCell.rlContainer;
                            if (relativeLayout6 == null) {
                                RelativeLayout relativeLayout7 = new RelativeLayout(getContext());
                                chatMessageCell.rlContainer = relativeLayout7;
                                relativeLayout7.setTag("sysNotify");
                                chatMessageCell.addView(chatMessageCell.rlContainer);
                            } else {
                                relativeLayout6.removeAllViews();
                            }
                            View view3 = inflate(getContext(), R.layout.item_chat_system_message, null);
                            chatMessageCell.rlContainer.addView(view3);
                            MryImageView ivRedPoint3 = (MryImageView) view3.findViewById(R.id.ivRedPoint);
                            MryTextView tvTitle2 = (MryTextView) view3.findViewById(R.id.tvTitle);
                            MryTextView tvTime3 = (MryTextView) view3.findViewById(R.id.tvTime);
                            if (messageObject5.messageOwner.unread) {
                                ivRedPoint3.setImageResource(R.mipmap.iv_chat_sys_unread);
                            } else {
                                ivRedPoint3.setImageResource(R.mipmap.iv_chat_sys_read);
                            }
                            tvTitle2.setText(bean.msg_title);
                            tvTime3.setText(bean.getCreate24HEndTimeFormat());
                            SpannableStringBuilder spannableStringBuilder = new SpanUtils().append(TextUtils.isEmpty(bean.msg_button_text) ? "详情" : bean.msg_button_text).setForegroundColor(Color.parseColor("#DBAD84")).append("  ").appendImage(R.mipmap.iv_chat_sys_right_bg, 1).create();
                            if (TextUtils.isEmpty(bean.msg_url)) {
                                chatMessageCell.photoFCImage = null;
                            } else {
                                Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(14.0f));
                                int length2 = spannableStringBuilder.length();
                                chatMessageCell.descriptionLayout = new StaticLayout(TextUtils.ellipsize(spannableStringBuilder, Theme.chat_redpkgTextPaint, maxWidth20, TextUtils.TruncateAt.END), Theme.chat_redpkgTextPaint, AndroidUtilities.dp(length2 * 10), Layout.Alignment.ALIGN_CENTER, 1.0f, 0.0f, false);
                                ImageReceiver imageReceiver5 = new ImageReceiver(chatMessageCell);
                                chatMessageCell.photoFCImage = imageReceiver5;
                                imageReceiver5.setImageBitmap(Theme.chat_sysNotifyDrawable);
                            }
                            StaticLayout staticLayout17 = chatMessageCell.textInfoLayout1;
                            int text1Height2 = staticLayout17 == null ? AndroidUtilities.dp(0.0f) : staticLayout17.getHeight() + AndroidUtilities.dp(15.0f);
                            StaticLayout staticLayout18 = chatMessageCell.textInfoLayout2;
                            int text2Height = staticLayout18 == null ? AndroidUtilities.dp(0.0f) : staticLayout18.getHeight() + AndroidUtilities.dp(15.0f);
                            StaticLayout staticLayout19 = chatMessageCell.textInfoLayout3;
                            int text3Height = staticLayout19 == null ? AndroidUtilities.dp(0.0f) : staticLayout19.getHeight() + AndroidUtilities.dp(15.0f);
                            StaticLayout staticLayout20 = chatMessageCell.textInfoLayout4;
                            int text4Height = staticLayout20 == null ? AndroidUtilities.dp(0.0f) : staticLayout20.getHeight() + AndroidUtilities.dp(15.0f);
                            StaticLayout staticLayout21 = chatMessageCell.textInfoLayout5;
                            int text5Height = staticLayout21 == null ? AndroidUtilities.dp(0.0f) : staticLayout21.getHeight() + AndroidUtilities.dp(15.0f);
                            float photoY1 = chatMessageCell.photoImage1 == null ? AndroidUtilities.dp(0.0f) : (int) (chatMessageCell.photo1Height + AndroidUtilities.dp(15.0f));
                            float photoY2 = chatMessageCell.photoImage2 == null ? AndroidUtilities.dp(0.0f) : (int) (chatMessageCell.photo2Height + AndroidUtilities.dp(15.0f));
                            float photoY3 = chatMessageCell.photoImage3 == null ? AndroidUtilities.dp(0.0f) : (int) (chatMessageCell.photo3Height + AndroidUtilities.dp(15.0f));
                            float photoY4 = chatMessageCell.photoImage4 == null ? AndroidUtilities.dp(0.0f) : (int) (chatMessageCell.photo4Height + AndroidUtilities.dp(15.0f));
                            if (chatMessageCell.photoImage5 == null) {
                                photoY5 = AndroidUtilities.dp(0.0f);
                            } else {
                                float f6 = chatMessageCell.photo5Height;
                                int maxWidth21 = AndroidUtilities.dp(15.0f);
                                photoY5 = (int) (f6 + maxWidth21);
                            }
                            ImageReceiver imageReceiver6 = chatMessageCell.photoFCImage;
                            int photoFCHeight2 = imageReceiver6 == null ? AndroidUtilities.dp(5.0f) : imageReceiver6.getImageHeight() + AndroidUtilities.dp(60.0f);
                            float photoY12 = photoFCHeight2;
                            chatMessageCell.totalHeight = (int) (AndroidUtilities.dp(140.0f) + text1Height2 + text2Height + text3Height + text4Height + text5Height + photoY1 + photoY2 + photoY3 + photoY4 + photoY5 + photoY12);
                        }
                    } else if (messageObject5.type != 207) {
                        if (messageObject5.type == 12) {
                            chatMessageCell.drawName = false;
                            chatMessageCell.drawForwardedName = true;
                            chatMessageCell.drawPhotoImage = true;
                            chatMessageCell.photoImage.setRoundRadius(AndroidUtilities.dp(22.0f));
                            if (AndroidUtilities.isTablet()) {
                                int minTabletSide2 = AndroidUtilities.getMinTabletSide();
                                if (chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) {
                                    f5 = 102.0f;
                                }
                                chatMessageCell.backgroundWidth = Math.min(minTabletSide2 - AndroidUtilities.dp(f5), AndroidUtilities.dp(270.0f));
                            } else {
                                int i27 = AndroidUtilities.displaySize.x;
                                if (chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) {
                                    f5 = 102.0f;
                                }
                                chatMessageCell.backgroundWidth = Math.min(i27 - AndroidUtilities.dp(f5), AndroidUtilities.dp(270.0f));
                            }
                            chatMessageCell.availableTimeWidth = chatMessageCell.backgroundWidth - AndroidUtilities.dp(31.0f);
                            int uid = messageObject5.messageOwner.media.user_id;
                            TLRPC.User user3 = MessagesController.getInstance(chatMessageCell.currentAccount).getUser(Integer.valueOf(uid));
                            int maxWidth22 = getMaxNameWidth() - AndroidUtilities.dp(80.0f);
                            if (maxWidth22 < 0) {
                                int maxWidth23 = AndroidUtilities.dp(10.0f);
                                maxWidth4 = maxWidth23;
                            } else {
                                maxWidth4 = maxWidth22;
                            }
                            if (user3 != null) {
                                chatMessageCell.contactAvatarDrawable.setInfo(user3);
                            }
                            chatMessageCell.photoImage.setImage(ImageLocation.getForUser(user3, false), "50_50", user3 != null ? chatMessageCell.contactAvatarDrawable : Theme.chat_contactDrawable[messageObject.isOutOwner() ? 1 : 0], null, messageObject, 0);
                            if (!TextUtils.isEmpty(messageObject5.vCardData)) {
                                phone = messageObject5.vCardData;
                                chatMessageCell.drawInstantView = true;
                                chatMessageCell.drawInstantViewType = 5;
                            } else if (user3 == null || TextUtils.isEmpty(user3.phone)) {
                                CharSequence phone2 = messageObject5.messageOwner.media.phone_number;
                                phone = !TextUtils.isEmpty(phone2) ? PhoneFormat.getInstance().format((String) phone2) : LocaleController.getString("NumberUnknown", R.string.NumberUnknown);
                            } else {
                                phone = PhoneFormat.getInstance().format(Marker.ANY_NON_NULL_MARKER + user3.phone);
                            }
                            CharSequence currentNameString = ContactsController.formatName(messageObject5.messageOwner.media.first_name, messageObject5.messageOwner.media.last_name).replace('\n', ' ');
                            if (currentNameString.length() == 0 && (currentNameString = messageObject5.messageOwner.media.phone_number) == null) {
                                currentNameString = "";
                            }
                            chatMessageCell.titleLayout = new StaticLayout(TextUtils.ellipsize(currentNameString, Theme.chat_contactNamePaint, maxWidth4, TextUtils.TruncateAt.END), Theme.chat_contactNamePaint, maxWidth4 + AndroidUtilities.dp(4.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                            chatMessageCell.docTitleLayout = new StaticLayout(phone, Theme.chat_contactPhonePaint, maxWidth4 + AndroidUtilities.dp(2.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false);
                            setMessageObjectInternal(messageObject);
                            if (chatMessageCell.drawForwardedName && messageObject.needDrawForwarded() && ((groupedMessagePosition6 = chatMessageCell.currentPosition) == null || groupedMessagePosition6.minY == 0)) {
                                chatMessageCell.namesOffset += AndroidUtilities.dp(5.0f);
                            } else if (chatMessageCell.drawNameLayout && messageObject5.messageOwner.reply_to_msg_id == 0) {
                                chatMessageCell.namesOffset += AndroidUtilities.dp(7.0f);
                            }
                            chatMessageCell.totalHeight = AndroidUtilities.dp(55.0f) + chatMessageCell.namesOffset + chatMessageCell.docTitleLayout.getHeight();
                            if (chatMessageCell.drawPinnedTop) {
                                chatMessageCell.namesOffset -= AndroidUtilities.dp(1.0f);
                            }
                            if (chatMessageCell.drawInstantView) {
                                createInstantViewButton();
                            } else if (chatMessageCell.docTitleLayout.getLineCount() > 0) {
                                int dp10 = chatMessageCell.backgroundWidth - AndroidUtilities.dp(110.0f);
                                StaticLayout staticLayout22 = chatMessageCell.docTitleLayout;
                                int timeLeft = dp10 - ((int) Math.ceil(staticLayout22.getLineWidth(staticLayout22.getLineCount() - 1)));
                                if (timeLeft < chatMessageCell.timeWidth) {
                                    chatMessageCell.totalHeight += AndroidUtilities.dp(8.0f);
                                }
                            }
                        } else if (messageObject5.type == 2) {
                            chatMessageCell.drawForwardedName = true;
                            chatMessageCell.drawName = chatMessageCell.isChat;
                            if (AndroidUtilities.isTablet()) {
                                int minTabletSide3 = AndroidUtilities.getMinTabletSide();
                                if (chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) {
                                    f5 = 102.0f;
                                }
                                chatMessageCell.backgroundWidth = Math.min(minTabletSide3 - AndroidUtilities.dp(f5), AndroidUtilities.dp(270.0f));
                            } else {
                                chatMessageCell.backgroundWidth = AndroidUtilities.dp(196.0f);
                            }
                            chatMessageCell.createDocumentLayout(chatMessageCell.backgroundWidth, messageObject5);
                            setMessageObjectInternal(messageObject);
                            chatMessageCell.totalHeight = AndroidUtilities.dp(60.0f) + chatMessageCell.namesOffset + (mOffset * 2);
                            int maxWidth24 = messageObject5.transWidth;
                            int maxWidth25 = Math.max(AndroidUtilities.dp(120.0f), maxWidth24);
                            if (messageObject5.transHeight != 0) {
                                chatMessageCell.totalHeight += AndroidUtilities.dp(35.0f) + messageObject5.transHeight;
                                if (Build.VERSION.SDK_INT >= 24) {
                                    chatMessageCell.transLayout = StaticLayout.Builder.obtain(messageObject5.messageOwner.trans, 0, messageObject5.messageOwner.trans.length(), Theme.chat_msgTextPaint, chatMessageCell.currentMessageObject.transWidth).setBreakStrategy(1).setHyphenationFrequency(0).setAlignment(Layout.Alignment.ALIGN_NORMAL).build();
                                } else {
                                    chatMessageCell.transLayout = new StaticLayout(messageObject5.messageOwner.trans, Theme.chat_msgTextPaint, chatMessageCell.currentMessageObject.transWidth, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                }
                                chatMessageCell.transLayoutDesc = new StaticLayout(LocaleController.getString(R.string.AppName) + " " + LocaleController.getString("Translation", R.string.translate), Theme.chat_translationPaint, maxWidth25, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                            }
                            if (chatMessageCell.drawPinnedTop) {
                                chatMessageCell.namesOffset -= AndroidUtilities.dp(1.0f);
                            }
                        } else if (messageObject5.type == 14) {
                            if (AndroidUtilities.isTablet()) {
                                int minTabletSide4 = AndroidUtilities.getMinTabletSide();
                                if (chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) {
                                    f5 = 102.0f;
                                }
                                chatMessageCell.backgroundWidth = Math.min(minTabletSide4 - AndroidUtilities.dp(f5), AndroidUtilities.dp(270.0f));
                            } else {
                                int i28 = AndroidUtilities.displaySize.x;
                                if (chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) {
                                    f5 = 102.0f;
                                }
                                chatMessageCell.backgroundWidth = Math.min(i28 - AndroidUtilities.dp(f5), AndroidUtilities.dp(270.0f));
                            }
                            chatMessageCell.createDocumentLayout(chatMessageCell.backgroundWidth, messageObject5);
                            setMessageObjectInternal(messageObject);
                            int dp11 = AndroidUtilities.dp(82.0f);
                            int i29 = chatMessageCell.namesOffset;
                            chatMessageCell.totalHeight = dp11 + i29;
                            if (chatMessageCell.drawPinnedTop) {
                                chatMessageCell.namesOffset = i29 - AndroidUtilities.dp(1.0f);
                            }
                        } else if (messageObject5.type == 17) {
                            createSelectorDrawable();
                            chatMessageCell.drawName = true;
                            chatMessageCell.drawForwardedName = true;
                            chatMessageCell.drawPhotoImage = false;
                            int maxWidth26 = Math.min(AndroidUtilities.dp(500.0f), messageObject.getMaxMessageTextWidth());
                            chatMessageCell.availableTimeWidth = maxWidth26;
                            chatMessageCell.backgroundWidth = AndroidUtilities.dp(31.0f) + maxWidth26;
                            chatMessageCell.availableTimeWidth = AndroidUtilities.dp(120.0f);
                            measureTime(messageObject);
                            TLRPC.TL_messageMediaPoll media = (TLRPC.TL_messageMediaPoll) messageObject5.messageOwner.media;
                            chatMessageCell.pollClosed = media.poll.closed;
                            chatMessageCell.pollVoted = messageObject.isVoted();
                            StaticLayout staticLayout23 = new StaticLayout(Emoji.replaceEmoji(media.poll.question, Theme.chat_audioTitlePaint.getFontMetricsInt(), AndroidUtilities.dp(16.0f), false), Theme.chat_audioTitlePaint, maxWidth26 + AndroidUtilities.dp(2.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                            chatMessageCell.titleLayout = staticLayout23;
                            boolean titleRtl = false;
                            int a14 = 0;
                            int N2 = staticLayout23.getLineCount();
                            while (true) {
                                if (a14 >= N2) {
                                    f3 = 0.0f;
                                    break;
                                }
                                f3 = 0.0f;
                                if (chatMessageCell.titleLayout.getLineLeft(a14) != 0.0f) {
                                    titleRtl = true;
                                    break;
                                }
                                a14++;
                            }
                            if (media.poll.closed) {
                                str = "FinalResults";
                                i3 = R.string.FinalResults;
                            } else {
                                str = "AnonymousPoll";
                                i3 = R.string.AnonymousPoll;
                            }
                            StaticLayout staticLayout24 = new StaticLayout(TextUtils.ellipsize(LocaleController.getString(str, i3), Theme.chat_timePaint, maxWidth26, TextUtils.TruncateAt.END), Theme.chat_timePaint, maxWidth26 + AndroidUtilities.dp(2.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                            chatMessageCell.docTitleLayout = staticLayout24;
                            if (staticLayout24.getLineCount() > 0) {
                                if (titleRtl && !LocaleController.isRTL) {
                                    chatMessageCell.docTitleOffsetX = (int) Math.ceil(maxWidth26 - chatMessageCell.docTitleLayout.getLineWidth(0));
                                } else if (!titleRtl && LocaleController.isRTL) {
                                    chatMessageCell.docTitleOffsetX = -((int) Math.ceil(chatMessageCell.docTitleLayout.getLineLeft(0)));
                                }
                            }
                            int w3 = (maxWidth26 - chatMessageCell.timeWidth) - AndroidUtilities.dp(messageObject.isOutOwner() ? 28.0f : 8.0f);
                            StaticLayout staticLayout25 = new StaticLayout(TextUtils.ellipsize(media.results.total_voters == 0 ? LocaleController.getString("NoVotes", R.string.NoVotes) : LocaleController.formatPluralString("Vote", media.results.total_voters), Theme.chat_livePaint, w3, TextUtils.TruncateAt.END), Theme.chat_livePaint, w3, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                            chatMessageCell.infoLayout = staticLayout25;
                            chatMessageCell.infoX = (int) Math.ceil(staticLayout25.getLineCount() > 0 ? -chatMessageCell.infoLayout.getLineLeft(0) : FirebaseRemoteConfig.DEFAULT_VALUE_FOR_DOUBLE);
                            chatMessageCell.lastPoll = media.poll;
                            chatMessageCell.lastPollResults = media.results.results;
                            chatMessageCell.lastPollResultsVoters = media.results.total_voters;
                            int maxVote = 0;
                            if (!chatMessageCell.animatePollAnswer && chatMessageCell.pollVoteInProgress) {
                                chatMessageCell.performHapticFeedback(3, 2);
                            }
                            boolean z13 = chatMessageCell.attachedToWindow && (chatMessageCell.pollVoteInProgress || chatMessageCell.pollUnvoteInProgress);
                            chatMessageCell.animatePollAnswer = z13;
                            chatMessageCell.animatePollAnswerAlpha = z13;
                            ArrayList<PollButton> previousPollButtons = null;
                            ArrayList<PollButton> sortedPollButtons = new ArrayList<>();
                            if (!chatMessageCell.pollButtons.isEmpty()) {
                                previousPollButtons = new ArrayList<>(chatMessageCell.pollButtons);
                                chatMessageCell.pollButtons.clear();
                                if (!chatMessageCell.animatePollAnswer) {
                                    chatMessageCell.animatePollAnswer = chatMessageCell.attachedToWindow && (chatMessageCell.pollVoted || chatMessageCell.pollClosed);
                                }
                                float f7 = chatMessageCell.pollAnimationProgress;
                                if (f7 > f3 && f7 < 1.0f) {
                                    int N22 = previousPollButtons.size();
                                    for (int b3 = 0; b3 < N22; b3++) {
                                        PollButton button2 = previousPollButtons.get(b3);
                                        button2.percent = (int) Math.ceil(button2.prevPercent + ((button2.percent - button2.prevPercent) * chatMessageCell.pollAnimationProgress));
                                        button2.percentProgress = button2.prevPercentProgress + ((button2.percentProgress - button2.prevPercentProgress) * chatMessageCell.pollAnimationProgress);
                                    }
                                }
                            }
                            chatMessageCell.pollAnimationProgress = chatMessageCell.animatePollAnswer ? 0.0f : 1.0f;
                            if (chatMessageCell.animatePollAnswerAlpha) {
                                votingFor = null;
                            } else {
                                chatMessageCell.pollVoteInProgress = false;
                                chatMessageCell.pollVoteInProgressNum = -1;
                                votingFor = SendMessagesHelper.getInstance(chatMessageCell.currentAccount).isSendingVote(chatMessageCell.currentMessageObject);
                            }
                            StaticLayout staticLayout26 = chatMessageCell.titleLayout;
                            int height14 = staticLayout26 != null ? staticLayout26.getHeight() : 0;
                            int restPercent = 100;
                            boolean hasDifferent = false;
                            int previousPercent = 0;
                            int a15 = 0;
                            int N3 = media.poll.answers.size();
                            while (a15 < N3) {
                                int w4 = w3;
                                boolean titleRtl2 = titleRtl;
                                PollButton button3 = new PollButton();
                                button3.answer = media.poll.answers.get(a15);
                                int N4 = N3;
                                boolean hasDifferent2 = hasDifferent;
                                int a16 = a15;
                                button3.title = new StaticLayout(Emoji.replaceEmoji(button3.answer.text, Theme.chat_audioPerformerPaint.getFontMetricsInt(), AndroidUtilities.dp(15.0f), false), Theme.chat_audioPerformerPaint, maxWidth26 - AndroidUtilities.dp(33.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                button3.y = AndroidUtilities.dp(52.0f) + height14;
                                button3.height = button3.title.getHeight();
                                chatMessageCell.pollButtons.add(button3);
                                sortedPollButtons.add(button3);
                                height14 += button3.height + AndroidUtilities.dp(26.0f);
                                if (!media.results.results.isEmpty()) {
                                    int N23 = media.results.results.size();
                                    for (int b4 = 0; b4 < N23; b4++) {
                                        TLRPC.TL_pollAnswerVoters answer = media.results.results.get(b4);
                                        if (Arrays.equals(button3.answer.option, answer.option)) {
                                            if ((chatMessageCell.pollVoted || chatMessageCell.pollClosed) && media.results.total_voters > 0) {
                                                button3.decimal = (answer.voters / media.results.total_voters) * 100.0f;
                                                button3.percent = (int) button3.decimal;
                                                PollButton.access$2124(button3, button3.percent);
                                            } else {
                                                button3.percent = 0;
                                                button3.decimal = 0.0f;
                                            }
                                            if (previousPercent == 0) {
                                                previousPercent = button3.percent;
                                            } else if (button3.percent != 0 && previousPercent != button3.percent) {
                                                hasDifferent2 = true;
                                            }
                                            restPercent -= button3.percent;
                                            maxVote = Math.max(button3.percent, maxVote);
                                            hasDifferent = hasDifferent2;
                                            if (previousPollButtons == null) {
                                                int b5 = 0;
                                                int N24 = previousPollButtons.size();
                                                while (true) {
                                                    if (b5 >= N24) {
                                                        maxWidth3 = maxWidth26;
                                                        break;
                                                    }
                                                    PollButton prevButton = previousPollButtons.get(b5);
                                                    maxWidth3 = maxWidth26;
                                                    if (Arrays.equals(button3.answer.option, prevButton.answer.option)) {
                                                        button3.prevPercent = prevButton.percent;
                                                        button3.prevPercentProgress = prevButton.percentProgress;
                                                        break;
                                                    }
                                                    b5++;
                                                    maxWidth26 = maxWidth3;
                                                }
                                            } else {
                                                maxWidth3 = maxWidth26;
                                            }
                                            if (votingFor == null && Arrays.equals(button3.answer.option, votingFor)) {
                                                a3 = a16;
                                                chatMessageCell.pollVoteInProgressNum = a3;
                                                chatMessageCell.pollVoteInProgress = true;
                                                votingFor = null;
                                            } else {
                                                a3 = a16;
                                            }
                                            a15 = a3 + 1;
                                            w3 = w4;
                                            titleRtl = titleRtl2;
                                            N3 = N4;
                                            maxWidth26 = maxWidth3;
                                        }
                                    }
                                }
                                hasDifferent = hasDifferent2;
                                if (previousPollButtons == null) {
                                }
                                if (votingFor == null) {
                                }
                                a3 = a16;
                                a15 = a3 + 1;
                                w3 = w4;
                                titleRtl = titleRtl2;
                                N3 = N4;
                                maxWidth26 = maxWidth3;
                            }
                            if (hasDifferent && restPercent != 0) {
                                Collections.sort(sortedPollButtons, new Comparator() { // from class: im.uecahxyvjd.ui.cells.ChatMessageCell$$ExternalSyntheticLambda0
                                    @Override // java.util.Comparator
                                    public final int compare(Object obj, Object obj2) {
                                        return ChatMessageCell.lambda$setMessageContent$0((ChatMessageCell.PollButton) obj, (ChatMessageCell.PollButton) obj2);
                                    }
                                });
                                int N5 = Math.min(restPercent, sortedPollButtons.size());
                                for (int a17 = 0; a17 < N5; a17++) {
                                    PollButton.access$1512(sortedPollButtons.get(a17), 1);
                                }
                            }
                            int a18 = chatMessageCell.backgroundWidth;
                            int width11 = a18 - AndroidUtilities.dp(76.0f);
                            int N25 = chatMessageCell.pollButtons.size();
                            for (int b6 = 0; b6 < N25; b6++) {
                                chatMessageCell.pollButtons.get(b6).percentProgress = Math.max(AndroidUtilities.dp(5.0f) / width11, maxVote != 0 ? button.percent / maxVote : 0.0f);
                            }
                            setMessageObjectInternal(messageObject);
                            int dp12 = AndroidUtilities.dp(73.0f);
                            int i30 = chatMessageCell.namesOffset;
                            chatMessageCell.totalHeight = dp12 + i30 + height14;
                            if (chatMessageCell.drawPinnedTop) {
                                chatMessageCell.namesOffset = i30 - AndroidUtilities.dp(1.0f);
                            }
                            messageObject5 = messageObject;
                        } else {
                            messageObject5 = messageObject;
                            if (messageObject5.type == 101) {
                                chatMessageCell.drawName = chatMessageCell.isChat;
                                chatMessageCell.drawForwardedName = false;
                                chatMessageCell.drawPhotoImage = true;
                                chatMessageCell.mediaBackground = false;
                                if (AndroidUtilities.isTablet()) {
                                    int minTabletSide5 = AndroidUtilities.getMinTabletSide();
                                    if (chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) {
                                        f5 = 102.0f;
                                    }
                                    chatMessageCell.backgroundWidth = Math.min(minTabletSide5 - AndroidUtilities.dp(f5), AndroidUtilities.dp(225.0f));
                                } else {
                                    int i31 = AndroidUtilities.displaySize.x;
                                    if (chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) {
                                        f5 = 102.0f;
                                    }
                                    chatMessageCell.backgroundWidth = Math.min(i31 - AndroidUtilities.dp(f5), AndroidUtilities.dp(225.0f));
                                    chatMessageCell.backgroundWidth = AndroidUtilities.dp(225.0f);
                                }
                                chatMessageCell.backgroundDrawableRight = chatMessageCell.backgroundWidth - (chatMessageCell.mediaBackground ? 0 : AndroidUtilities.dp(3.0f));
                                chatMessageCell.availableTimeWidth = chatMessageCell.backgroundWidth - AndroidUtilities.dp(31.0f);
                                measureTime(messageObject);
                                int maxWidth27 = chatMessageCell.backgroundWidth - AndroidUtilities.dp(80.0f);
                                if (maxWidth27 < 0) {
                                    maxWidth27 = AndroidUtilities.dp(10.0f);
                                }
                                TLRPCRedpacket.CL_messagesRpkTransferMedia media2 = (TLRPCRedpacket.CL_messagesRpkTransferMedia) messageObject5.messageOwner.media;
                                chatMessageCell.photoImage.setRoundRadius(AndroidUtilities.dp(4.0f));
                                chatMessageCell.photoImage.setImageBitmap(Theme.chat_redpkgUnreceivedIcon);
                                Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(14.0f));
                                String text5 = LocaleController.getString("redpacket_greetings_tip", R.string.redpacket_greetings_tip);
                                String remarks5 = "";
                                if (media2.data != null) {
                                    RedpacketResponse bean3 = (RedpacketResponse) TLJsonResolve.parse(media2.data, RedpacketResponse.class).model;
                                    if (bean3 != null && bean3.getRed().getRemarks() != null && !TextUtils.isEmpty(bean3.getRed().getRemarks())) {
                                        text5 = bean3.getRed().getRemarks();
                                    }
                                    boolean isReceived = bean3.isReceived();
                                    if (!messageObject.isOutOwner()) {
                                        text = text5;
                                        if (bean3 != null && bean3.getRed().getStatus() != null && !TextUtils.isEmpty(bean3.getRed().getStatus())) {
                                            int status = Integer.parseInt(bean3.getRed().getStatus());
                                            if (status == 0) {
                                                if (chatMessageCell.isChat) {
                                                    if (isReceived) {
                                                        chatMessageCell.photoImage.setImageBitmap(Theme.chat_redpkgReceivedIcon);
                                                        remarks5 = LocaleController.getString("AlreadyReceive", R.string.AlreadyReceive);
                                                        text5 = text;
                                                    } else if ("2".equals(bean3.getRed().getRedType())) {
                                                        int recvId = Integer.parseInt(bean3.getRed().getRecipientUserId());
                                                        TLRPC.User user4 = MessagesController.getInstance(chatMessageCell.currentAccount).getUser(Integer.valueOf(recvId));
                                                        if (user4 != null) {
                                                            String exclusive = LocaleController.getString("Exclusive", R.string.Exclusive);
                                                            int exclusiveWidth = (int) Math.ceil(Theme.chat_redpkgTextPaint.measureText(exclusive));
                                                            CharSequence ellipsize2 = TextUtils.ellipsize(UserObject.getName(user4), Theme.chat_redpkgTextPaint, (AndroidUtilities.dp(2.0f) + maxWidth27) - exclusiveWidth, TextUtils.TruncateAt.END);
                                                            remarks5 = ((Object) ellipsize2) + LocaleController.getString("Exclusive", R.string.Exclusive);
                                                        }
                                                        text5 = text;
                                                    } else {
                                                        remarks5 = LocaleController.getString("ClickToReceive", R.string.ClickToReceive);
                                                        text5 = text;
                                                    }
                                                } else if (isReceived) {
                                                    remarks5 = LocaleController.getString("AlreadyReceive", R.string.AlreadyReceive);
                                                    chatMessageCell.photoImage.setImageBitmap(Theme.chat_redpkgReceivedIcon);
                                                    text5 = text;
                                                } else {
                                                    remarks5 = LocaleController.getString("ClickToReceive", R.string.ClickToReceive);
                                                    text5 = text;
                                                }
                                            } else if (status == 1) {
                                                String remarks6 = LocaleController.getString("AllAlreadyReceived", R.string.AllAlreadyReceived);
                                                chatMessageCell.photoImage.setImageBitmap(Theme.chat_redpkgReceivedIcon);
                                                if (!chatMessageCell.isChat) {
                                                    remarks5 = LocaleController.getString("AlreadyReceive", R.string.AlreadyReceive);
                                                    text5 = text;
                                                } else if ("2".equals(bean3.getRed().getRedType())) {
                                                    int recvId2 = Integer.parseInt(bean3.getRed().getRecipientUserId());
                                                    TLRPC.User user5 = MessagesController.getInstance(chatMessageCell.currentAccount).getUser(Integer.valueOf(recvId2));
                                                    if (user5 != null) {
                                                        String exclusive2 = LocaleController.getString("Exclusive", R.string.Exclusive);
                                                        int exclusiveWidth2 = (int) Math.ceil(Theme.chat_redpkgTextPaint.measureText(exclusive2));
                                                        int remarksWidth = (int) Math.ceil(Theme.chat_redpkgTextPaint.measureText(remarks2));
                                                        CharSequence ellipsize3 = TextUtils.ellipsize(UserObject.getName(user5), Theme.chat_redpkgTextPaint, ((AndroidUtilities.dp(2.0f) + maxWidth27) - exclusiveWidth2) - remarksWidth, TextUtils.TruncateAt.END);
                                                        remarks5 = (LocaleController.getString("AlreadyReceive", R.string.AlreadyReceive) + ",") + ((Object) ellipsize3) + LocaleController.getString("Exclusive", R.string.Exclusive);
                                                    } else {
                                                        remarks5 = remarks6;
                                                    }
                                                    text5 = text;
                                                } else {
                                                    LocaleController.getString("AllAlreadyReceived", R.string.AllAlreadyReceived);
                                                    if (isReceived) {
                                                        remarks5 = LocaleController.getString("AlreadyReceive", R.string.AlreadyReceive);
                                                        text5 = text;
                                                    } else {
                                                        remarks5 = LocaleController.getString("AllAlreadyReceived", R.string.AllAlreadyReceived);
                                                        text5 = text;
                                                    }
                                                }
                                            } else if (status == 2) {
                                                remarks5 = LocaleController.getString("AlreadyExpired", R.string.AlreadyExpired);
                                                if ("2".equals(bean3.getRed().getRedType())) {
                                                    int recvId3 = Integer.parseInt(bean3.getRed().getRecipientUserId());
                                                    TLRPC.User user6 = MessagesController.getInstance(chatMessageCell.currentAccount).getUser(Integer.valueOf(recvId3));
                                                    if (user6 != null) {
                                                        String exclusive3 = LocaleController.getString("Exclusive", R.string.Exclusive);
                                                        int exclusiveWidth3 = (int) Math.ceil(Theme.chat_redpkgTextPaint.measureText(exclusive3));
                                                        int remarksWidth2 = (int) Math.ceil(Theme.chat_redpkgTextPaint.measureText(remarks));
                                                        CharSequence ellipsize4 = TextUtils.ellipsize(UserObject.getName(user6), Theme.chat_redpkgTextPaint, ((AndroidUtilities.dp(2.0f) + maxWidth27) - exclusiveWidth3) - remarksWidth2, TextUtils.TruncateAt.END);
                                                        remarks5 = (remarks5 + ",") + ((Object) ellipsize4) + LocaleController.getString("Exclusive", R.string.Exclusive);
                                                    }
                                                } else if (isReceived) {
                                                    chatMessageCell.photoImage.setImageBitmap(Theme.chat_redpkgReceivedIcon);
                                                    remarks5 = LocaleController.getString("AlreadyReceive", R.string.AlreadyReceive);
                                                    text5 = text;
                                                }
                                                text5 = text;
                                            }
                                        }
                                        text5 = text;
                                    } else if (bean3 == null || bean3.getRed().getStatus() == null || TextUtils.isEmpty(bean3.getRed().getStatus())) {
                                        text = text5;
                                        text5 = text;
                                    } else {
                                        int status2 = Integer.parseInt(bean3.getRed().getStatus());
                                        if (status2 != 0) {
                                            text2 = text5;
                                            if (status2 == 1) {
                                                chatMessageCell.photoImage.setImageBitmap(Theme.chat_redpkgReceivedIcon);
                                                if (chatMessageCell.isChat) {
                                                    String remarks7 = LocaleController.getString("AllAlreadyReceived", R.string.AllAlreadyReceived);
                                                    if ("2".equals(bean3.getRed().getRedType())) {
                                                        int recvId4 = Integer.parseInt(bean3.getRed().getRecipientUserId());
                                                        TLRPC.User user7 = MessagesController.getInstance(chatMessageCell.currentAccount).getUser(Integer.valueOf(recvId4));
                                                        if (user7 != null) {
                                                            String exclusive4 = LocaleController.getString("Exclusive", R.string.Exclusive);
                                                            int exclusiveWidth4 = (int) Math.ceil(Theme.chat_redpkgTextPaint.measureText(exclusive4));
                                                            int remarksWidth3 = (int) Math.ceil(Theme.chat_redpkgTextPaint.measureText(remarks4));
                                                            CharSequence ellipsize5 = TextUtils.ellipsize(UserObject.getName(user7), Theme.chat_redpkgTextPaint, ((AndroidUtilities.dp(2.0f) + maxWidth27) - exclusiveWidth4) - remarksWidth3, TextUtils.TruncateAt.END);
                                                            remarks7 = (LocaleController.getString("HadBeenAlreadyReceived", R.string.HadBeenAlreadyReceived) + ",") + ((Object) ellipsize5) + LocaleController.getString("Exclusive", R.string.Exclusive);
                                                        }
                                                    } else if (isReceived) {
                                                        remarks5 = LocaleController.getString("AlreadyReceive", R.string.AlreadyReceive);
                                                    }
                                                    remarks5 = remarks7;
                                                } else {
                                                    remarks5 = LocaleController.getString("AlreadyReceived", R.string.AlreadyReceived);
                                                }
                                            } else if (status2 == 2) {
                                                String remarks8 = LocaleController.getString("AlreadyExpired", R.string.AlreadyExpired);
                                                chatMessageCell.photoImage.setImageBitmap(Theme.chat_redpkgReceivedIcon);
                                                if ("2".equals(bean3.getRed().getRedType())) {
                                                    int recvId5 = Integer.parseInt(bean3.getRed().getRecipientUserId());
                                                    TLRPC.User user8 = MessagesController.getInstance(chatMessageCell.currentAccount).getUser(Integer.valueOf(recvId5));
                                                    if (user8 != null) {
                                                        String exclusive5 = LocaleController.getString("Exclusive", R.string.Exclusive);
                                                        int exclusiveWidth5 = (int) Math.ceil(Theme.chat_redpkgTextPaint.measureText(exclusive5));
                                                        int remarksWidth4 = (int) Math.ceil(Theme.chat_redpkgTextPaint.measureText(remarks3));
                                                        CharSequence ellipsize6 = TextUtils.ellipsize(UserObject.getName(user8), Theme.chat_redpkgTextPaint, ((AndroidUtilities.dp(2.0f) + maxWidth27) - exclusiveWidth5) - remarksWidth4, TextUtils.TruncateAt.END);
                                                        remarks8 = (remarks8 + ",") + ((Object) ellipsize6) + LocaleController.getString("Exclusive", R.string.Exclusive);
                                                    }
                                                } else if (isReceived) {
                                                    remarks5 = LocaleController.getString("AlreadyReceive", R.string.AlreadyReceive);
                                                }
                                                remarks5 = remarks8;
                                            }
                                        } else if (!chatMessageCell.isChat) {
                                            text2 = text5;
                                            remarks5 = LocaleController.getString("CheckRedpacket", R.string.CheckRedpacket);
                                        } else if ("2".equals(bean3.getRed().getRedType())) {
                                            int recvId6 = Integer.parseInt(bean3.getRed().getRecipientUserId());
                                            TLRPC.User user9 = MessagesController.getInstance(chatMessageCell.currentAccount).getUser(Integer.valueOf(recvId6));
                                            if (user9 != null) {
                                                String exclusive6 = LocaleController.getString("Exclusive", R.string.Exclusive);
                                                int exclusiveWidth6 = (int) Math.ceil(Theme.chat_redpkgTextPaint.measureText(exclusive6));
                                                text2 = text5;
                                                CharSequence ellipsize7 = TextUtils.ellipsize(UserObject.getName(user9), Theme.chat_redpkgTextPaint, (maxWidth27 + AndroidUtilities.dp(2.0f)) - exclusiveWidth6, TextUtils.TruncateAt.END);
                                                remarks5 = ((Object) ellipsize7) + LocaleController.getString("Exclusive", R.string.Exclusive);
                                            } else {
                                                text2 = text5;
                                            }
                                        } else {
                                            text2 = text5;
                                            if (isReceived) {
                                                chatMessageCell.photoImage.setImageBitmap(Theme.chat_redpkgReceivedIcon);
                                                remarks5 = LocaleController.getString("AlreadyReceive", R.string.AlreadyReceive);
                                            } else {
                                                remarks5 = LocaleController.getString("ClickToReceive", R.string.ClickToReceive);
                                            }
                                        }
                                        text5 = text2;
                                    }
                                }
                                CharSequence ellipsize8 = TextUtils.ellipsize(text5, Theme.chat_redpkgTextPaint, maxWidth27, TextUtils.TruncateAt.END);
                                chatMessageCell.titleLayout = new StaticLayout(ellipsize8, Theme.chat_redpkgTextPaint, maxWidth27 + AndroidUtilities.dp(2.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(12.0f));
                                chatMessageCell.docTitleLayout = new StaticLayout(TextUtils.ellipsize(remarks5, Theme.chat_redpkgTextPaint, maxWidth27, TextUtils.TruncateAt.END), Theme.chat_redpkgTextPaint, maxWidth27 + AndroidUtilities.dp(2.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                chatMessageCell.descriptionLayout = new StaticLayout(TextUtils.ellipsize(LocaleController.getString("RedPacket", R.string.RedPacket), Theme.chat_redpkgTextPaint, maxWidth27, TextUtils.TruncateAt.END), Theme.chat_redpkgTextPaint, maxWidth27 + AndroidUtilities.dp(2.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                setMessageObjectInternal(messageObject);
                                int dp13 = AndroidUtilities.dp(95.0f);
                                int i32 = chatMessageCell.namesOffset;
                                int i33 = dp13 + i32;
                                chatMessageCell.totalHeight = i33;
                                chatMessageCell.totalHeight = i33 + (mOffset * 2);
                                if (chatMessageCell.drawPinnedTop) {
                                    chatMessageCell.namesOffset = i32 - AndroidUtilities.dp(1.0f);
                                }
                            } else if (messageObject5.type == 102) {
                                chatMessageCell.drawName = false;
                                chatMessageCell.drawForwardedName = false;
                                chatMessageCell.drawPhotoImage = true;
                                chatMessageCell.mediaBackground = false;
                                if (AndroidUtilities.isTablet()) {
                                    chatMessageCell.backgroundWidth = Math.min(AndroidUtilities.getMinTabletSide() - AndroidUtilities.dp((chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) ? 102.0f : 50.0f), AndroidUtilities.dp(270.0f));
                                } else {
                                    chatMessageCell.backgroundWidth = AndroidUtilities.dp(225.0f);
                                }
                                chatMessageCell.backgroundDrawableRight = chatMessageCell.backgroundWidth - (chatMessageCell.mediaBackground ? 0 : AndroidUtilities.dp(3.0f));
                                chatMessageCell.availableTimeWidth = chatMessageCell.backgroundWidth - AndroidUtilities.dp(31.0f);
                                measureTime(messageObject);
                                int maxWidth28 = getMaxNameWidth() - AndroidUtilities.dp(50.0f);
                                if (maxWidth28 < 0) {
                                    maxWidth28 = AndroidUtilities.dp(10.0f);
                                }
                                TLRPCRedpacket.CL_messagesRpkTransferMedia media3 = (TLRPCRedpacket.CL_messagesRpkTransferMedia) messageObject5.messageOwner.media;
                                chatMessageCell.photoImage.setRoundRadius(AndroidUtilities.dp(4.0f));
                                String transTotal = "";
                                String status3 = LocaleController.getString("Transfer", R.string.Transfer);
                                if (media3.data != null) {
                                    TLApiModel<TransferResponse> parse = TLJsonResolve.parse(media3.data, TransferResponse.class);
                                    if (parse.isSuccess() || (!parse.isSuccess() && ("THE_TRANSFER_IS_NOT_AVAILABLE".equals(parse.message) || "USER_INFONNOT_CODE".equals(parse.message) || "EXCLUSIVE_PLEASE_BIND_FIRST_BANKINFO".equals(parse.message) || "ACCOUNT_UNCERTIFIED_CODE".equals(parse.message) || "SYSTEM_ERROR_NOT_SET_PAYWORD_COCE".equals(parse.message) || "ACCOUNT_HAS_BEEN_FROZEN_CODE".equals(parse.message)))) {
                                        TransferResponse bean4 = (TransferResponse) parse.model;
                                        if (bean4 == null) {
                                            return;
                                        }
                                        if (bean4.getTotalFee() != null && !TextUtils.isEmpty(bean4.getTotalFee())) {
                                            BigDecimal bitTotal = new BigDecimal(bean4.getTotalFee());
                                            transTotal = DataTools.format2Decimals(bitTotal.multiply(new BigDecimal("0.01")).toString()) + LocaleController.getString(R.string.UnitCNY);
                                        }
                                        if (messageObject.isOutOwner()) {
                                            status3 = LocaleController.formatString("TransferTo", R.string.TransferTo, MessagesController.getInstance(chatMessageCell.currentAccount).getUser(Integer.valueOf(messageObject5.messageOwner.to_id.user_id)).first_name);
                                            TransferResponse.Status state = bean4.getState();
                                            if (state == TransferResponse.Status.WAITING) {
                                                if (bean4.getRemarks() != null && !TextUtils.isEmpty(bean4.getRemarks())) {
                                                    status3 = bean4.getRemarks();
                                                }
                                                chatMessageCell.photoImage.setImageBitmap(Theme.chat_msgTransferNormalIcon);
                                            } else if (state == TransferResponse.Status.RECEIVED) {
                                                int sender_id = bean4.getInitiatorUserIdInt();
                                                if (sender_id == UserConfig.getInstance(UserConfig.selectedAccount).clientUserId) {
                                                    status3 = LocaleController.getString("TransferOtherSideBeenReceived", R.string.TransferOtherSideBeenReceived);
                                                    if (bean4.getRemarks() != null && !TextUtils.isEmpty(bean4.getRemarks())) {
                                                        status3 = LocaleController.formatString("TransferOtherSideBeenReceivedWithComm", R.string.TransferOtherSideBeenReceivedWithComm, bean4.getRemarks());
                                                    }
                                                } else {
                                                    status3 = LocaleController.getString("TransferOtherSideReceived", R.string.TransferOtherSideReceived);
                                                }
                                                chatMessageCell.photoImage.setImageBitmap(Theme.chat_msgTransferReceiveIcon);
                                            } else if (state == TransferResponse.Status.REFUSED) {
                                                status3 = LocaleController.getString("TransferRefunded", R.string.TransferRefunded);
                                                int sender_id2 = bean4.getInitiatorUserIdInt();
                                                if (sender_id2 == UserConfig.getInstance(UserConfig.selectedAccount).clientUserId && bean4.getRemarks() != null && !TextUtils.isEmpty(bean4.getRemarks())) {
                                                    status3 = LocaleController.formatString("TransferRefundedWithCommExtra", R.string.TransferRefundedWithCommExtra, bean4.getRemarks());
                                                }
                                                chatMessageCell.photoImage.setImageBitmap(Theme.chat_msgTransferBackIcon);
                                            } else if (state == TransferResponse.Status.TIMEOUT) {
                                                status3 = LocaleController.getString("TransferRefunded", R.string.TransferRefunded);
                                                if (bean4.getRemarks() != null && !TextUtils.isEmpty(bean4.getRemarks())) {
                                                    status3 = LocaleController.formatString("TransferRefundedWithCommExtra", R.string.TransferRefundedWithCommExtra, bean4.getRemarks());
                                                }
                                                chatMessageCell.photoImage.setImageBitmap(Theme.chat_msgTransferBackIcon);
                                            }
                                        } else {
                                            status3 = LocaleController.getString("TransferToYou", R.string.TransferToYou);
                                            TransferResponse.Status state2 = bean4.getState();
                                            if (state2 == TransferResponse.Status.WAITING) {
                                                if (bean4.getRemarks() != null && !TextUtils.isEmpty(bean4.getRemarks())) {
                                                    status3 = bean4.getRemarks();
                                                }
                                                chatMessageCell.photoImage.setImageBitmap(Theme.chat_msgTransferNormalIcon);
                                            } else if (state2 == TransferResponse.Status.RECEIVED) {
                                                int sender_id3 = bean4.getInitiatorUserIdInt();
                                                if (sender_id3 == UserConfig.getInstance(UserConfig.selectedAccount).clientUserId) {
                                                    status3 = LocaleController.getString("TransferOtherSideReceived", R.string.TransferOtherSideReceived);
                                                } else {
                                                    status3 = LocaleController.getString("TransferOtherSideBeenReceived", R.string.TransferOtherSideBeenReceived);
                                                    if (bean4.getRemarks() != null && !TextUtils.isEmpty(bean4.getRemarks())) {
                                                        status3 = LocaleController.formatString("TransferOtherSideBeenReceivedWithComm", R.string.TransferOtherSideBeenReceivedWithComm, bean4.getRemarks());
                                                    }
                                                }
                                                chatMessageCell.photoImage.setImageBitmap(Theme.chat_msgTransferReceiveIcon);
                                            } else if (state2 == TransferResponse.Status.REFUSED) {
                                                status3 = LocaleController.getString("TransferRefunded", R.string.TransferRefunded);
                                                int sender_id4 = bean4.getInitiatorUserIdInt();
                                                if (sender_id4 != UserConfig.getInstance(UserConfig.selectedAccount).clientUserId && bean4.getRemarks() != null && !TextUtils.isEmpty(bean4.getRemarks())) {
                                                    status3 = LocaleController.formatString("TransferRefundedWithCommExtra", R.string.TransferRefundedWithCommExtra, bean4.getRemarks());
                                                }
                                                chatMessageCell.photoImage.setImageBitmap(Theme.chat_msgTransferBackIcon);
                                            } else if (state2 == TransferResponse.Status.TIMEOUT) {
                                                status3 = LocaleController.getString("TransferRefunded", R.string.TransferRefunded);
                                                if (bean4.getRemarks() != null && !TextUtils.isEmpty(bean4.getRemarks())) {
                                                    status3 = LocaleController.formatString("TransferRefundedWithCommExtra", R.string.TransferRefundedWithCommExtra, bean4.getRemarks());
                                                }
                                                chatMessageCell.photoImage.setImageBitmap(Theme.chat_msgTransferBackIcon);
                                            }
                                        }
                                    }
                                }
                                Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(14.0f));
                                chatMessageCell.titleLayout = new StaticLayout(TextUtils.ellipsize(transTotal, Theme.chat_redpkgTextPaint, maxWidth28, TextUtils.TruncateAt.END), Theme.chat_redpkgTextPaint, maxWidth28 + AndroidUtilities.dp(2.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(12.0f));
                                chatMessageCell.docTitleLayout = new StaticLayout(TextUtils.ellipsize(status3, Theme.chat_redpkgTextPaint, maxWidth28, TextUtils.TruncateAt.END), Theme.chat_redpkgTextPaint, maxWidth28 + AndroidUtilities.dp(2.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                chatMessageCell.descriptionLayout = new StaticLayout(TextUtils.ellipsize(LocaleController.getString("CgCoinTransfer", R.string.CgCoinTransfer), Theme.chat_redpkgTextPaint, maxWidth28, TextUtils.TruncateAt.END), Theme.chat_redpkgTextPaint, maxWidth28 + AndroidUtilities.dp(2.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                setMessageObjectInternal(messageObject);
                                int dp14 = AndroidUtilities.dp(95.0f);
                                int i34 = chatMessageCell.namesOffset;
                                int i35 = dp14 + i34;
                                chatMessageCell.totalHeight = i35;
                                chatMessageCell.totalHeight = i35 + (mOffset * 2);
                                if (chatMessageCell.drawPinnedTop) {
                                    chatMessageCell.namesOffset = i34 - AndroidUtilities.dp(1.0f);
                                }
                            } else {
                                chatMessageCell.drawForwardedName = (messageObject5.messageOwner.fwd_from == null || messageObject.isAnyKindOfSticker()) ? false : true;
                                chatMessageCell.mediaBackground = messageObject5.type != 9;
                                chatMessageCell.drawImageButton = true;
                                chatMessageCell.drawPhotoImage = true;
                                int photoWidth7 = 0;
                                int photoHeight5 = 0;
                                int additionHeight4 = 0;
                                if (messageObject5.gifState != 2.0f && !SharedConfig.autoplayGifs) {
                                    if (messageObject5.type == 8 || messageObject5.type == 5) {
                                        messageObject5.gifState = 1.0f;
                                    }
                                }
                                chatMessageCell.photoImage.setAllowDecodeSingleFrame(true);
                                if (messageObject.isVideo()) {
                                    chatMessageCell.photoImage.setAllowStartAnimation(true);
                                } else if (messageObject.isRoundVideo()) {
                                    MessageObject playingMessage = MediaController.getInstance().getPlayingMessageObject();
                                    chatMessageCell.photoImage.setAllowStartAnimation(playingMessage == null || !playingMessage.isRoundVideo());
                                } else {
                                    chatMessageCell.photoImage.setAllowStartAnimation(messageObject5.gifState == 0.0f);
                                }
                                chatMessageCell.photoImage.setForcePreview(messageObject.needDrawBluredPreview());
                                if (messageObject5.type == 9) {
                                    chatMessageCell.drawName = chatMessageCell.isChat;
                                    if (AndroidUtilities.isTablet()) {
                                        int minTabletSide6 = AndroidUtilities.getMinTabletSide();
                                        if (chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) {
                                            f5 = 102.0f;
                                        }
                                        chatMessageCell.backgroundWidth = Math.min(minTabletSide6 - AndroidUtilities.dp(f5), AndroidUtilities.dp(300.0f));
                                    } else {
                                        chatMessageCell.backgroundWidth = AndroidUtilities.dp(220.0f);
                                    }
                                    if (checkNeedDrawShareButton(messageObject)) {
                                        chatMessageCell.backgroundWidth -= AndroidUtilities.dp(20.0f);
                                    }
                                    int maxTextWidth = 0;
                                    int maxWidth29 = chatMessageCell.backgroundWidth - AndroidUtilities.dp(98.0f);
                                    int widthForCaption5 = 0;
                                    chatMessageCell.createDocumentLayout(maxWidth29, messageObject5);
                                    if (!TextUtils.isEmpty(messageObject5.caption)) {
                                        try {
                                            chatMessageCell.currentCaption = messageObject5.caption;
                                            int width12 = chatMessageCell.backgroundWidth - AndroidUtilities.dp(31.0f);
                                            widthForCaption5 = width12 - AndroidUtilities.dp(10.0f);
                                            if (Build.VERSION.SDK_INT >= 24) {
                                                chatMessageCell.captionLayout = StaticLayout.Builder.obtain(messageObject5.caption, 0, messageObject5.caption.length(), Theme.chat_msgTextPaint, widthForCaption5).setBreakStrategy(1).setHyphenationFrequency(0).setAlignment(Layout.Alignment.ALIGN_NORMAL).build();
                                            } else {
                                                chatMessageCell.captionLayout = new StaticLayout(messageObject5.caption, Theme.chat_msgTextPaint, widthForCaption5, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                            }
                                        } catch (Exception e22) {
                                            FileLog.e(e22);
                                        }
                                    }
                                    StaticLayout staticLayout27 = chatMessageCell.docTitleLayout;
                                    if (staticLayout27 != null) {
                                        int N6 = staticLayout27.getLineCount();
                                        for (int a19 = 0; a19 < N6; a19++) {
                                            maxTextWidth = Math.max(maxTextWidth, ((int) Math.ceil(chatMessageCell.docTitleLayout.getLineWidth(a19) + chatMessageCell.docTitleLayout.getLineLeft(a19))) + AndroidUtilities.dp((chatMessageCell.drawPhotoImage ? 52 : 22) + 86));
                                        }
                                    }
                                    StaticLayout staticLayout28 = chatMessageCell.infoLayout;
                                    if (staticLayout28 != null) {
                                        int N7 = staticLayout28.getLineCount();
                                        for (int a20 = 0; a20 < N7; a20++) {
                                            maxTextWidth = Math.max(maxTextWidth, ((int) Math.ceil(chatMessageCell.infoLayout.getLineWidth(a20))) + AndroidUtilities.dp((chatMessageCell.drawPhotoImage ? 52 : 22) + 86));
                                        }
                                    }
                                    StaticLayout staticLayout29 = chatMessageCell.captionLayout;
                                    if (staticLayout29 != null) {
                                        int N8 = staticLayout29.getLineCount();
                                        for (int a21 = 0; a21 < N8; a21++) {
                                            int w5 = ((int) Math.ceil(Math.min(widthForCaption5, chatMessageCell.captionLayout.getLineWidth(a21) + chatMessageCell.captionLayout.getLineLeft(a21)))) + AndroidUtilities.dp(31.0f);
                                            if (w5 > maxTextWidth) {
                                                maxTextWidth = w5;
                                            }
                                        }
                                    }
                                    if (maxTextWidth > 0) {
                                        maxWidth29 = maxTextWidth - AndroidUtilities.dp(31.0f);
                                    }
                                    if (chatMessageCell.drawPhotoImage) {
                                        photoWidth3 = AndroidUtilities.dp(66.0f);
                                        photoHeight2 = AndroidUtilities.dp(66.0f);
                                    } else {
                                        photoWidth3 = AndroidUtilities.dp(42.0f);
                                        photoHeight2 = AndroidUtilities.dp(42.0f);
                                        StaticLayout staticLayout30 = chatMessageCell.docTitleLayout;
                                        if (staticLayout30 != null && staticLayout30.getLineCount() > 1) {
                                            photoHeight2 += (chatMessageCell.docTitleLayout.getLineCount() - 1) * AndroidUtilities.dp(16.0f);
                                        }
                                    }
                                    chatMessageCell.availableTimeWidth = maxWidth29;
                                    if (!chatMessageCell.drawPhotoImage && TextUtils.isEmpty(messageObject5.caption) && (staticLayout = chatMessageCell.infoLayout) != null) {
                                        int lineCount = staticLayout.getLineCount();
                                        measureTime(messageObject);
                                        int timeLeft2 = (chatMessageCell.backgroundWidth - AndroidUtilities.dp(122.0f)) - ((int) Math.ceil(chatMessageCell.infoLayout.getLineWidth(0)));
                                        if (timeLeft2 < chatMessageCell.timeWidth) {
                                            photoHeight2 += AndroidUtilities.dp(12.0f);
                                        } else if (lineCount == 1) {
                                            photoHeight2 += AndroidUtilities.dp(4.0f);
                                        }
                                    }
                                    f = 0.0f;
                                    f2 = 1.0f;
                                } else {
                                    int photoWidth8 = messageObject5.type;
                                    if (photoWidth8 == 4) {
                                        TLRPC.GeoPoint point = messageObject5.messageOwner.media.geo;
                                        double lat = point.lat;
                                        double lon = point._long;
                                        if (messageObject5.messageOwner.media instanceof TLRPC.TL_messageMediaGeoLive) {
                                            if (AndroidUtilities.isTablet()) {
                                                int minTabletSide7 = AndroidUtilities.getMinTabletSide();
                                                if (chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) {
                                                    f5 = 102.0f;
                                                }
                                                chatMessageCell.backgroundWidth = Math.min(minTabletSide7 - AndroidUtilities.dp(f5), AndroidUtilities.dp(289.0f));
                                            } else {
                                                int i36 = AndroidUtilities.displaySize.x;
                                                if (chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) {
                                                    f5 = 102.0f;
                                                }
                                                chatMessageCell.backgroundWidth = Math.min(i36 - AndroidUtilities.dp(f5), AndroidUtilities.dp(289.0f));
                                            }
                                            chatMessageCell.backgroundWidth -= AndroidUtilities.dp(4.0f);
                                            if (checkNeedDrawShareButton(messageObject)) {
                                                chatMessageCell.backgroundWidth -= AndroidUtilities.dp(20.0f);
                                            }
                                            int maxWidth30 = chatMessageCell.backgroundWidth - AndroidUtilities.dp(37.0f);
                                            chatMessageCell.availableTimeWidth = maxWidth30;
                                            int maxWidth31 = maxWidth30 - AndroidUtilities.dp(54.0f);
                                            int photoWidth9 = chatMessageCell.backgroundWidth - AndroidUtilities.dp(17.0f);
                                            int photoHeight6 = AndroidUtilities.dp(195.0f);
                                            double rad = ((double) C.ENCODING_PCM_MU_LAW) / 3.141592653589793d;
                                            double y3 = Math.round(((double) C.ENCODING_PCM_MU_LAW) - ((Math.log((Math.sin((3.141592653589793d * lat) / 180.0d) + 1.0d) / (1.0d - Math.sin((3.141592653589793d * lat) / 180.0d))) * rad) / 2.0d)) - (AndroidUtilities.dp(10.3f) << 6);
                                            double lat2 = ((1.5707963267948966d - (Math.atan(Math.exp((y3 - ((double) C.ENCODING_PCM_MU_LAW)) / rad)) * 2.0d)) * 180.0d) / 3.141592653589793d;
                                            chatMessageCell.currentUrl = AndroidUtilities.formapMapUrl(chatMessageCell.currentAccount, lat2, lon, (int) (photoWidth9 / AndroidUtilities.density), (int) (photoHeight6 / AndroidUtilities.density), false, 15);
                                            chatMessageCell.currentWebFile = WebFile.createWithGeoPoint(lat2, lon, point.access_hash, (int) (photoWidth9 / AndroidUtilities.density), (int) (photoHeight6 / AndroidUtilities.density), 15, Math.min(2, (int) Math.ceil(AndroidUtilities.density)));
                                            boolean isCurrentLocationTimeExpired = isCurrentLocationTimeExpired(messageObject);
                                            chatMessageCell.locationExpired = isCurrentLocationTimeExpired;
                                            if (isCurrentLocationTimeExpired) {
                                                int additionHeight5 = chatMessageCell.backgroundWidth;
                                                chatMessageCell.backgroundWidth = additionHeight5 - AndroidUtilities.dp(9.0f);
                                                additionHeight3 = 0;
                                            } else {
                                                chatMessageCell.photoImage.setCrossfadeWithOldImage(true);
                                                chatMessageCell.mediaBackground = false;
                                                int additionHeight6 = AndroidUtilities.dp(56.0f);
                                                AndroidUtilities.runOnUIThread(chatMessageCell.invalidateRunnable, 1000L);
                                                chatMessageCell.scheduledInvalidate = true;
                                                additionHeight3 = additionHeight6;
                                            }
                                            chatMessageCell.docTitleLayout = new StaticLayout(TextUtils.ellipsize(LocaleController.getString("AttachLiveLocation", R.string.AttachLiveLocation), Theme.chat_locationTitlePaint, maxWidth31, TextUtils.TruncateAt.END), Theme.chat_locationTitlePaint, maxWidth31, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                            updateCurrentUserAndChat();
                                            TLRPC.User user10 = chatMessageCell.currentUser;
                                            if (user10 != null) {
                                                chatMessageCell.contactAvatarDrawable.setInfo(user10);
                                                chatMessageCell.locationImageReceiver.setImage(ImageLocation.getForUser(chatMessageCell.currentUser, false), "50_50", chatMessageCell.contactAvatarDrawable, null, chatMessageCell.currentUser, 0);
                                            } else {
                                                TLRPC.Chat chat = chatMessageCell.currentChat;
                                                if (chat != null) {
                                                    if (chat.photo != null) {
                                                        chatMessageCell.currentPhoto = chatMessageCell.currentChat.photo.photo_small;
                                                    }
                                                    chatMessageCell.contactAvatarDrawable.setInfo(chatMessageCell.currentChat);
                                                    chatMessageCell.locationImageReceiver.setImage(ImageLocation.getForChat(chatMessageCell.currentChat, false), "50_50", chatMessageCell.contactAvatarDrawable, null, chatMessageCell.currentChat, 0);
                                                } else {
                                                    chatMessageCell.locationImageReceiver.setImage(null, null, chatMessageCell.contactAvatarDrawable, null, null, 0);
                                                }
                                            }
                                            messageObject3 = messageObject;
                                            chatMessageCell.infoLayout = new StaticLayout(LocaleController.formatLocationUpdateDate((messageObject3.messageOwner.edit_date == 0 || messageObject3.messageOwner.edit_hide) ? messageObject3.messageOwner.date : messageObject3.messageOwner.edit_date), Theme.chat_locationAddressPaint, maxWidth31, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                            photoHeight4 = photoHeight6;
                                            additionHeight2 = additionHeight3;
                                            photoWidth6 = photoWidth9;
                                        } else {
                                            additionHeight2 = 0;
                                            messageObject3 = messageObject5;
                                            if (TextUtils.isEmpty(messageObject3.messageOwner.media.title)) {
                                                if (AndroidUtilities.isTablet()) {
                                                    int minTabletSide8 = AndroidUtilities.getMinTabletSide();
                                                    if (chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) {
                                                        f5 = 102.0f;
                                                    }
                                                    chatMessageCell.backgroundWidth = Math.min(minTabletSide8 - AndroidUtilities.dp(f5), AndroidUtilities.dp(289.0f));
                                                } else {
                                                    int i37 = AndroidUtilities.displaySize.x;
                                                    if (chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) {
                                                        f5 = 102.0f;
                                                    }
                                                    chatMessageCell.backgroundWidth = Math.min(i37 - AndroidUtilities.dp(f5), AndroidUtilities.dp(289.0f));
                                                }
                                                chatMessageCell.backgroundWidth -= AndroidUtilities.dp(4.0f);
                                                if (checkNeedDrawShareButton(messageObject)) {
                                                    chatMessageCell.backgroundWidth -= AndroidUtilities.dp(20.0f);
                                                }
                                                chatMessageCell.availableTimeWidth = chatMessageCell.backgroundWidth - AndroidUtilities.dp(34.0f);
                                                int photoWidth10 = chatMessageCell.backgroundWidth - AndroidUtilities.dp(8.0f);
                                                int photoHeight7 = AndroidUtilities.dp(195.0f);
                                                int photoHeight8 = chatMessageCell.currentAccount;
                                                chatMessageCell.currentUrl = AndroidUtilities.formapMapUrl(photoHeight8, lat, lon, (int) (photoWidth10 / AndroidUtilities.density), (int) (photoHeight7 / AndroidUtilities.density), true, 15);
                                                chatMessageCell.currentWebFile = WebFile.createWithGeoPoint(point, (int) (photoWidth10 / AndroidUtilities.density), (int) (photoHeight7 / AndroidUtilities.density), 15, Math.min(2, (int) Math.ceil(AndroidUtilities.density)));
                                                photoHeight4 = photoHeight7;
                                                photoWidth6 = photoWidth10;
                                            } else {
                                                if (AndroidUtilities.isTablet()) {
                                                    chatMessageCell.backgroundWidth = Math.min(AndroidUtilities.getMinTabletSide() - AndroidUtilities.dp((chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) ? 102.0f : 50.0f), AndroidUtilities.dp(289.0f));
                                                } else {
                                                    chatMessageCell.backgroundWidth = Math.min(AndroidUtilities.displaySize.x - AndroidUtilities.dp((chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) ? 102.0f : 50.0f), AndroidUtilities.dp(289.0f));
                                                }
                                                chatMessageCell.backgroundWidth -= AndroidUtilities.dp(4.0f);
                                                if (checkNeedDrawShareButton(messageObject)) {
                                                    chatMessageCell.backgroundWidth -= AndroidUtilities.dp(20.0f);
                                                }
                                                int maxWidth32 = chatMessageCell.backgroundWidth - AndroidUtilities.dp(34.0f);
                                                chatMessageCell.availableTimeWidth = maxWidth32;
                                                int photoWidth11 = chatMessageCell.backgroundWidth - AndroidUtilities.dp(17.0f);
                                                int photoHeight9 = AndroidUtilities.dp(195.0f);
                                                chatMessageCell.mediaBackground = false;
                                                chatMessageCell.currentUrl = AndroidUtilities.formapMapUrl(chatMessageCell.currentAccount, lat, lon, (int) (photoWidth11 / AndroidUtilities.density), (int) (photoHeight9 / AndroidUtilities.density), true, 15);
                                                chatMessageCell.currentWebFile = WebFile.createWithGeoPoint(point, (int) (photoWidth11 / AndroidUtilities.density), (int) (photoHeight9 / AndroidUtilities.density), 15, Math.min(2, (int) Math.ceil(AndroidUtilities.density)));
                                                chatMessageCell.docTitleLayout = StaticLayoutEx.createStaticLayout(messageObject3.messageOwner.media.title, Theme.chat_locationTitlePaint, maxWidth32, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false, TextUtils.TruncateAt.END, maxWidth32, 1);
                                                int additionHeight7 = 0 + AndroidUtilities.dp(50.0f);
                                                chatMessageCell.docTitleLayout.getLineCount();
                                                if (TextUtils.isEmpty(messageObject3.messageOwner.media.address)) {
                                                    chatMessageCell.infoLayout = null;
                                                    maxWidth2 = additionHeight7;
                                                } else {
                                                    chatMessageCell.infoLayout = StaticLayoutEx.createStaticLayout(messageObject3.messageOwner.media.address, Theme.chat_locationAddressPaint, maxWidth32, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false, TextUtils.TruncateAt.END, maxWidth32, 1);
                                                    measureTime(messageObject);
                                                    int timeLeft3 = (chatMessageCell.backgroundWidth - ((int) Math.ceil(chatMessageCell.infoLayout.getLineWidth(0)))) - AndroidUtilities.dp(24.0f);
                                                    if (timeLeft3 < chatMessageCell.timeWidth + AndroidUtilities.dp((messageObject.isOutOwner() ? 20 : 0) + 20)) {
                                                        additionHeight7 += AndroidUtilities.dp(8.0f);
                                                    }
                                                    maxWidth2 = additionHeight7;
                                                }
                                                photoHeight4 = photoHeight9;
                                                additionHeight2 = maxWidth2;
                                                photoWidth6 = photoWidth11;
                                            }
                                        }
                                        if (((int) messageObject.getDialogId()) != 0) {
                                            i = -1;
                                            chatMessageCell.currentMapProvider = MessagesController.getInstance(messageObject3.currentAccount).mapProvider;
                                        } else if (SharedConfig.mapPreviewType == 0) {
                                            chatMessageCell.currentMapProvider = 2;
                                            i = -1;
                                        } else if (SharedConfig.mapPreviewType == 1) {
                                            chatMessageCell.currentMapProvider = 1;
                                            i = -1;
                                        } else {
                                            i = -1;
                                            chatMessageCell.currentMapProvider = -1;
                                        }
                                        int i38 = chatMessageCell.currentMapProvider;
                                        if (i38 == i) {
                                            chatMessageCell.photoImage.setImage(null, null, Theme.chat_locationDrawable[messageObject.isOutOwner() ? 1 : 0], null, messageObject, 0);
                                        } else if (i38 == 2) {
                                            WebFile webFile = chatMessageCell.currentWebFile;
                                            if (webFile != null) {
                                                chatMessageCell.photoImage.setImage(ImageLocation.getForWebFile(webFile), null, Theme.chat_locationDrawable[messageObject.isOutOwner() ? 1 : 0], null, messageObject, 0);
                                            }
                                        } else {
                                            if (i38 == 3 || i38 == 4) {
                                                ImageLoader.getInstance().addTestWebFile(chatMessageCell.currentUrl, chatMessageCell.currentWebFile);
                                                chatMessageCell.addedForTest = true;
                                            }
                                            String str9 = chatMessageCell.currentUrl;
                                            if (str9 != null) {
                                                chatMessageCell.photoImage.setImage(str9, null, Theme.chat_locationDrawable[messageObject.isOutOwner() ? 1 : 0], null, 0);
                                            }
                                        }
                                        photoWidth3 = photoWidth6;
                                        photoHeight2 = photoHeight4;
                                        messageObject5 = messageObject3;
                                        additionHeight4 = additionHeight2;
                                        f = 0.0f;
                                        f2 = 1.0f;
                                    } else {
                                        int additionHeight8 = 0;
                                        if (messageObject.isAnyKindOfSticker()) {
                                            chatMessageCell.drawBackground = false;
                                            boolean isWebpSticker2 = messageObject5.type == 13;
                                            int a22 = 0;
                                            while (true) {
                                                if (a22 >= messageObject.getDocument().attributes.size()) {
                                                    break;
                                                }
                                                TLRPC.DocumentAttribute attribute6 = messageObject.getDocument().attributes.get(a22);
                                                if (attribute6 instanceof TLRPC.TL_documentAttributeImageSize) {
                                                    photoWidth7 = attribute6.w;
                                                    photoHeight5 = attribute6.h;
                                                    break;
                                                }
                                                a22++;
                                            }
                                            if (messageObject.isAnimatedSticker() && photoWidth7 == 0 && photoHeight5 == 0) {
                                                photoHeight5 = 512;
                                                photoWidth7 = 512;
                                            }
                                            if (AndroidUtilities.isTablet()) {
                                                maxHeight2 = AndroidUtilities.getMinTabletSide() * 0.4f;
                                                maxWidth = maxHeight2;
                                            } else {
                                                maxHeight2 = Math.min(AndroidUtilities.displaySize.x, AndroidUtilities.displaySize.y) * 0.5f;
                                                maxWidth = maxHeight2;
                                            }
                                            if (messageObject.isAnimatedEmoji()) {
                                                float zoom = MessagesController.getInstance(chatMessageCell.currentAccount).animatedEmojisZoom;
                                                photoWidth5 = (int) ((photoWidth7 / 512.0f) * maxWidth * zoom);
                                                photoHeight3 = (int) ((photoHeight5 / 512.0f) * maxHeight2 * zoom);
                                            } else {
                                                if (photoWidth7 == 0) {
                                                    photoHeight5 = (int) maxHeight2;
                                                    photoWidth7 = photoHeight5 + AndroidUtilities.dp(100.0f);
                                                }
                                                photoHeight3 = (int) (photoHeight5 * (maxWidth / photoWidth7));
                                                photoWidth5 = (int) maxWidth;
                                                if (photoHeight3 > maxHeight2) {
                                                    photoWidth5 = (int) (photoWidth5 * (maxHeight2 / photoHeight3));
                                                    photoHeight3 = (int) maxHeight2;
                                                }
                                            }
                                            Object parentObject = messageObject;
                                            if (messageObject.isAnimatedEmoji()) {
                                                filter = String.format(Locale.US, "%d_%d_nr_%s" + messageObject5.emojiAnimatedStickerColor, Integer.valueOf(photoWidth5), Integer.valueOf(photoHeight3), messageObject.toString());
                                                chatMessageCell.photoImage.setAutoRepeat(chatMessageCell.delegate.shouldRepeatSticker(messageObject5) ? 2 : 3);
                                                parentObject = MessageObject.getInputStickerSet(messageObject5.emojiAnimatedSticker);
                                            } else if (SharedConfig.loopStickers || isWebpSticker2) {
                                                filter = String.format(Locale.US, "%d_%d", Integer.valueOf(photoWidth5), Integer.valueOf(photoHeight3));
                                                chatMessageCell.photoImage.setAutoRepeat(1);
                                            } else {
                                                filter = String.format(Locale.US, "%d_%d_nr_%s", Integer.valueOf(photoWidth5), Integer.valueOf(photoHeight3), messageObject.toString());
                                                chatMessageCell.photoImage.setAutoRepeat(chatMessageCell.delegate.shouldRepeatSticker(messageObject5) ? 2 : 3);
                                            }
                                            chatMessageCell.documentAttachType = 6;
                                            chatMessageCell.availableTimeWidth = photoWidth5 - AndroidUtilities.dp(14.0f);
                                            chatMessageCell.backgroundWidth = AndroidUtilities.dp(12.0f) + photoWidth5;
                                            chatMessageCell.currentPhotoObjectThumb = FileLoader.getClosestPhotoSizeWithSize(messageObject5.photoThumbs, 40);
                                            chatMessageCell.photoParentObject = messageObject5.photoThumbsObject;
                                            if (messageObject5.attachPathExists) {
                                                chatMessageCell.photoImage.setImage(ImageLocation.getForPath(messageObject5.messageOwner.attachPath), filter, ImageLocation.getForObject(chatMessageCell.currentPhotoObjectThumb, chatMessageCell.photoParentObject), "b1", messageObject.getDocument().size, isWebpSticker2 ? "webp" : null, parentObject, 1);
                                            } else if (messageObject.getDocument().id != 0) {
                                                chatMessageCell.photoImage.setImage(ImageLocation.getForDocument(messageObject.getDocument()), filter, ImageLocation.getForObject(chatMessageCell.currentPhotoObjectThumb, chatMessageCell.photoParentObject), "b1", messageObject.getDocument().size, isWebpSticker2 ? "webp" : null, parentObject, 1);
                                            }
                                            photoWidth3 = photoWidth5;
                                            photoHeight2 = photoHeight3;
                                            messageObject5 = messageObject5;
                                            additionHeight4 = 0;
                                            f = 0.0f;
                                            f2 = 1.0f;
                                        } else {
                                            chatMessageCell.currentPhotoObject = FileLoader.getClosestPhotoSizeWithSize(messageObject5.photoThumbs, AndroidUtilities.getPhotoSize());
                                            chatMessageCell.photoParentObject = messageObject5.photoThumbsObject;
                                            MessageObject.GroupedMessagePosition groupedMessagePosition12 = chatMessageCell.currentPosition;
                                            if (groupedMessagePosition12 == null) {
                                                chatMessageCell.drawName = chatMessageCell.isChat;
                                            } else {
                                                chatMessageCell.drawName = chatMessageCell.isChat && (groupedMessagePosition12.flags & 4) != 0;
                                            }
                                            if (messageObject5.type == 5) {
                                                maxPhotoWidth = AndroidUtilities.roundMessageSize;
                                                photoWidth = maxPhotoWidth;
                                                chatMessageCell.documentAttach = messageObject.getDocument();
                                                chatMessageCell.documentAttachType = 7;
                                                useFullWidth = false;
                                            } else if (AndroidUtilities.isTablet()) {
                                                maxPhotoWidth = ((int) (AndroidUtilities.getMinTabletSide() * 0.7f)) - AndroidUtilities.dp(48.0f);
                                                photoWidth = maxPhotoWidth;
                                                useFullWidth = false;
                                            } else if (chatMessageCell.currentPhotoObject == null || (!(messageObject5.type == 1 || messageObject5.type == 3 || messageObject5.type == 8) || chatMessageCell.currentPhotoObject.w < chatMessageCell.currentPhotoObject.h)) {
                                                maxPhotoWidth = ((int) (Math.min(AndroidUtilities.displaySize.x, AndroidUtilities.displaySize.y) * 0.7f)) - AndroidUtilities.dp(48.0f);
                                                photoWidth = maxPhotoWidth;
                                                useFullWidth = false;
                                            } else {
                                                maxPhotoWidth = (Math.min(AndroidUtilities.displaySize.x, AndroidUtilities.displaySize.y) - AndroidUtilities.dp(64.0f)) - AndroidUtilities.dp(48.0f);
                                                photoWidth = maxPhotoWidth;
                                                useFullWidth = true;
                                            }
                                            int photoHeight10 = AndroidUtilities.dp(100.0f) + photoWidth;
                                            if (!useFullWidth) {
                                                if (messageObject5.type != 5 && checkNeedDrawShareButton(messageObject)) {
                                                    maxPhotoWidth -= AndroidUtilities.dp(20.0f);
                                                    photoWidth -= AndroidUtilities.dp(20.0f);
                                                }
                                                if (photoWidth > AndroidUtilities.getPhotoSize()) {
                                                    photoWidth = AndroidUtilities.getPhotoSize();
                                                }
                                                if (photoHeight10 > AndroidUtilities.getPhotoSize()) {
                                                    photoHeight10 = AndroidUtilities.getPhotoSize();
                                                    maxPhotoWidth2 = maxPhotoWidth;
                                                } else {
                                                    maxPhotoWidth2 = maxPhotoWidth;
                                                }
                                            } else if (chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) {
                                                photoWidth -= AndroidUtilities.dp(52.0f);
                                                maxPhotoWidth2 = maxPhotoWidth;
                                            } else {
                                                maxPhotoWidth2 = maxPhotoWidth;
                                            }
                                            if (messageObject5.type == 1) {
                                                updateSecretTimeText(messageObject);
                                                chatMessageCell.currentPhotoObjectThumb = FileLoader.getClosestPhotoSizeWithSize(messageObject5.photoThumbs, 40);
                                            } else {
                                                if (messageObject5.type == 3 || messageObject5.type == 8) {
                                                    chatMessageCell.createDocumentLayout(0, messageObject5);
                                                    chatMessageCell.currentPhotoObjectThumb = FileLoader.getClosestPhotoSizeWithSize(messageObject5.photoThumbs, 40);
                                                    updateSecretTimeText(messageObject);
                                                    needQualityPreview = true;
                                                } else if (messageObject5.type == 5) {
                                                    chatMessageCell.currentPhotoObjectThumb = FileLoader.getClosestPhotoSizeWithSize(messageObject5.photoThumbs, 40);
                                                    needQualityPreview = true;
                                                }
                                                if (messageObject5.type != 5) {
                                                    w = AndroidUtilities.roundMessageSize;
                                                    imageW = w;
                                                } else {
                                                    TLRPC.PhotoSize size = chatMessageCell.currentPhotoObject;
                                                    if (size == null) {
                                                        size = chatMessageCell.currentPhotoObjectThumb;
                                                    }
                                                    int imageW2 = 0;
                                                    int imageH = 0;
                                                    if (size != null) {
                                                        imageW2 = size.w;
                                                        imageH = size.h;
                                                    } else {
                                                        TLRPC.Document document10 = chatMessageCell.documentAttach;
                                                        if (document10 != null) {
                                                            int N9 = document10.attributes.size();
                                                            for (int a23 = 0; a23 < N9; a23++) {
                                                                TLRPC.DocumentAttribute attribute7 = chatMessageCell.documentAttach.attributes.get(a23);
                                                                if (attribute7 instanceof TLRPC.TL_documentAttributeVideo) {
                                                                    imageW2 = attribute7.w;
                                                                    imageH = attribute7.h;
                                                                }
                                                            }
                                                        }
                                                    }
                                                    float scale5 = imageW2 / photoWidth;
                                                    int w6 = (int) (imageW2 / scale5);
                                                    int h7 = (int) (imageH / scale5);
                                                    if (w6 == 0) {
                                                        w6 = AndroidUtilities.dp(150.0f);
                                                    }
                                                    if (h7 == 0) {
                                                        h7 = AndroidUtilities.dp(150.0f);
                                                    }
                                                    if (h7 > photoHeight10) {
                                                        float scale22 = h7;
                                                        h7 = photoHeight10;
                                                        w6 = (int) (w6 / (scale22 / h7));
                                                    } else if (h7 < AndroidUtilities.dp(120.0f)) {
                                                        int h8 = AndroidUtilities.dp(120.0f);
                                                        float hScale = imageH / h8;
                                                        if (imageW2 / hScale < photoWidth) {
                                                            w = (int) (imageW2 / hScale);
                                                            imageW = h8;
                                                        } else {
                                                            w = w6;
                                                            imageW = h8;
                                                        }
                                                    }
                                                    w = w6;
                                                    imageW = h7;
                                                }
                                                photoSize = chatMessageCell.currentPhotoObject;
                                                if (photoSize != null && photoSize == chatMessageCell.currentPhotoObjectThumb) {
                                                    if (messageObject5.type != 1) {
                                                        chatMessageCell.currentPhotoObjectThumb = null;
                                                    } else {
                                                        chatMessageCell.currentPhotoObject = null;
                                                    }
                                                }
                                                if (needQualityPreview && !messageObject.needDrawBluredPreview() && (((photoSize4 = chatMessageCell.currentPhotoObject) == null || photoSize4 == chatMessageCell.currentPhotoObjectThumb) && ((photoSize5 = chatMessageCell.currentPhotoObjectThumb) == null || !"m".equals(photoSize5.type)))) {
                                                    chatMessageCell.photoImage.setNeedsQualityThumb(true);
                                                    chatMessageCell.photoImage.setShouldGenerateQualityThumb(true);
                                                }
                                                if (chatMessageCell.currentMessagesGroup == null && messageObject5.caption != null) {
                                                    chatMessageCell.mediaBackground = false;
                                                }
                                                if ((w != 0 || imageW == 0) && messageObject5.type == 8) {
                                                    for (a2 = 0; a2 < messageObject.getDocument().attributes.size(); a2++) {
                                                        TLRPC.DocumentAttribute attribute8 = messageObject.getDocument().attributes.get(a2);
                                                        if ((attribute8 instanceof TLRPC.TL_documentAttributeImageSize) || (attribute8 instanceof TLRPC.TL_documentAttributeVideo)) {
                                                            float scale6 = attribute8.w / photoWidth;
                                                            w = (int) (attribute8.w / scale6);
                                                            imageW = (int) (attribute8.h / scale6);
                                                            if (imageW > photoHeight10) {
                                                                float scale23 = imageW;
                                                                imageW = photoHeight10;
                                                                w = (int) (w / (scale23 / imageW));
                                                            } else if (imageW < AndroidUtilities.dp(120.0f)) {
                                                                imageW = AndroidUtilities.dp(120.0f);
                                                                float hScale2 = attribute8.h / imageW;
                                                                if (attribute8.w / hScale2 < photoWidth) {
                                                                    w = (int) (attribute8.w / hScale2);
                                                                }
                                                            }
                                                        }
                                                    }
                                                }
                                                if (w != 0 || imageW == 0) {
                                                    int dp15 = AndroidUtilities.dp(150.0f);
                                                    imageW = dp15;
                                                    w = dp15;
                                                }
                                                if (messageObject5.type == 3 && w < chatMessageCell.infoWidth + AndroidUtilities.dp(40.0f)) {
                                                    w = chatMessageCell.infoWidth + AndroidUtilities.dp(40.0f);
                                                }
                                                if (chatMessageCell.currentMessagesGroup == null) {
                                                    int firstLineWidth = 0;
                                                    int dWidth = getGroupPhotosWidth();
                                                    for (int a24 = 0; a24 < chatMessageCell.currentMessagesGroup.posArray.size(); a24++) {
                                                        if (chatMessageCell.currentMessagesGroup.posArray.get(a24).minY != 0) {
                                                            break;
                                                        }
                                                        firstLineWidth = (int) (firstLineWidth + Math.ceil(((position.pw + position.leftSpanOffset) / 1000.0f) * dWidth));
                                                    }
                                                    chatMessageCell.availableTimeWidth = firstLineWidth - AndroidUtilities.dp(35.0f);
                                                } else {
                                                    chatMessageCell.availableTimeWidth = maxPhotoWidth2 - AndroidUtilities.dp(14.0f);
                                                }
                                                if (messageObject5.type == 5) {
                                                    chatMessageCell.availableTimeWidth = (int) (chatMessageCell.availableTimeWidth - (Math.ceil(Theme.chat_audioTimePaint.measureText("00:00")) + AndroidUtilities.dp(26.0f)));
                                                }
                                                measureTime(messageObject);
                                                timeWidthTotal = chatMessageCell.timeWidth + AndroidUtilities.dp((!messageObject.isOutOwner() ? 20 : 0) + 14);
                                                if (w < timeWidthTotal) {
                                                    w = timeWidthTotal;
                                                }
                                                if (!messageObject.isRoundVideo()) {
                                                    int min = Math.min(w, imageW);
                                                    imageW = min;
                                                    w = min;
                                                    chatMessageCell.drawBackground = false;
                                                    chatMessageCell.photoImage.setRoundRadius(w / 2);
                                                } else if (messageObject.needDrawBluredPreview()) {
                                                    if (AndroidUtilities.isTablet()) {
                                                        int minTabletSide9 = (int) (AndroidUtilities.getMinTabletSide() * 0.5f);
                                                        imageW = minTabletSide9;
                                                        w = minTabletSide9;
                                                    } else {
                                                        int min2 = (int) (Math.min(AndroidUtilities.displaySize.x, AndroidUtilities.displaySize.y) * 0.5f);
                                                        imageW = min2;
                                                        w = min2;
                                                    }
                                                }
                                                int widthForCaption6 = 0;
                                                boolean fixPhotoWidth2 = false;
                                                if (chatMessageCell.currentMessagesGroup == null) {
                                                    float maxHeight3 = Math.max(AndroidUtilities.displaySize.x, AndroidUtilities.displaySize.y) * 0.5f;
                                                    int dWidth2 = getGroupPhotosWidth();
                                                    int w7 = (int) Math.ceil((chatMessageCell.currentPosition.pw / 1000.0f) * dWidth2);
                                                    if (chatMessageCell.currentPosition.minY == 0 || ((!messageObject.isOutOwner() || (chatMessageCell.currentPosition.flags & 1) == 0) && (messageObject.isOutOwner() || (chatMessageCell.currentPosition.flags & 2) == 0))) {
                                                        widthForCaption3 = 0;
                                                        fixPhotoWidth = false;
                                                        timeWidthTotal2 = timeWidthTotal;
                                                        boolean useFullWidth3 = useFullWidth ? 1 : 0;
                                                    } else {
                                                        int firstLineWidth2 = 0;
                                                        int currentLineWidth = 0;
                                                        int a25 = 0;
                                                        boolean useFullWidth4 = useFullWidth;
                                                        while (true) {
                                                            int photoHeight11 = photoHeight10;
                                                            if (a25 >= chatMessageCell.currentMessagesGroup.posArray.size()) {
                                                                widthForCaption3 = widthForCaption6;
                                                                fixPhotoWidth = fixPhotoWidth2;
                                                                timeWidthTotal2 = timeWidthTotal;
                                                                break;
                                                            }
                                                            MessageObject.GroupedMessagePosition position2 = chatMessageCell.currentMessagesGroup.posArray.get(a25);
                                                            int photoWidth12 = photoWidth;
                                                            int photoWidth13 = position2.minY;
                                                            if (photoWidth13 != 0) {
                                                                widthForCaption3 = widthForCaption6;
                                                                fixPhotoWidth = fixPhotoWidth2;
                                                                timeWidthTotal2 = timeWidthTotal;
                                                                useFullWidth2 = useFullWidth4;
                                                                maxPhotoWidth3 = maxPhotoWidth2;
                                                                h4 = imageW;
                                                                if (position2.minY != chatMessageCell.currentPosition.minY) {
                                                                    int currentLineWidth2 = position2.minY;
                                                                    if (currentLineWidth2 > chatMessageCell.currentPosition.minY) {
                                                                        break;
                                                                    }
                                                                } else {
                                                                    currentLineWidth = (int) (currentLineWidth + Math.ceil((position2.pw / 1000.0f) * dWidth2) + (position2.leftSpanOffset != 0 ? Math.ceil((position2.leftSpanOffset / 1000.0f) * dWidth2) : FirebaseRemoteConfig.DEFAULT_VALUE_FOR_DOUBLE));
                                                                }
                                                            } else {
                                                                useFullWidth2 = useFullWidth4;
                                                                maxPhotoWidth3 = maxPhotoWidth2;
                                                                double d3 = firstLineWidth2;
                                                                fixPhotoWidth = fixPhotoWidth2;
                                                                timeWidthTotal2 = timeWidthTotal;
                                                                double ceil = Math.ceil((position2.pw / 1000.0f) * dWidth2);
                                                                if (position2.leftSpanOffset != 0) {
                                                                    h4 = imageW;
                                                                    widthForCaption3 = widthForCaption6;
                                                                    d2 = Math.ceil((position2.leftSpanOffset / 1000.0f) * dWidth2);
                                                                } else {
                                                                    h4 = imageW;
                                                                    widthForCaption3 = widthForCaption6;
                                                                    d2 = FirebaseRemoteConfig.DEFAULT_VALUE_FOR_DOUBLE;
                                                                }
                                                                firstLineWidth2 = (int) (d3 + ceil + d2);
                                                            }
                                                            a25++;
                                                            imageW = h4;
                                                            photoHeight10 = photoHeight11;
                                                            photoWidth = photoWidth12;
                                                            useFullWidth4 = useFullWidth2;
                                                            maxPhotoWidth2 = maxPhotoWidth3;
                                                            fixPhotoWidth2 = fixPhotoWidth;
                                                            timeWidthTotal = timeWidthTotal2;
                                                            widthForCaption6 = widthForCaption3;
                                                        }
                                                        w7 += firstLineWidth2 - currentLineWidth;
                                                    }
                                                    int w8 = w7 - AndroidUtilities.dp(9.0f);
                                                    if (chatMessageCell.currentChat == null) {
                                                        updateCurrentUserAndChat();
                                                    }
                                                    if (!ChatObject.isChannel(chatMessageCell.currentChat)) {
                                                        MessageObject.GroupedMessagePosition groupedMessagePosition13 = chatMessageCell.currentPosition;
                                                        if (groupedMessagePosition13 != null && groupedMessagePosition13.edge) {
                                                            w8 -= AndroidUtilities.dp(48.0f);
                                                        }
                                                    } else if (chatMessageCell.isAvatarVisible) {
                                                        w8 -= AndroidUtilities.dp(48.0f);
                                                    }
                                                    if (chatMessageCell.currentPosition.siblingHeights != null) {
                                                        int h9 = 0;
                                                        for (int a26 = 0; a26 < chatMessageCell.currentPosition.siblingHeights.length; a26++) {
                                                            h9 += (int) Math.ceil(chatMessageCell.currentPosition.siblingHeights[a26] * maxHeight3);
                                                        }
                                                        h2 = h9 + ((chatMessageCell.currentPosition.maxY - chatMessageCell.currentPosition.minY) * Math.round(AndroidUtilities.density * 7.0f));
                                                    } else {
                                                        h2 = (int) Math.ceil(chatMessageCell.currentPosition.ph * maxHeight3);
                                                    }
                                                    chatMessageCell.backgroundWidth = w8;
                                                    int w9 = ((chatMessageCell.currentPosition.flags & 2) == 0 || (chatMessageCell.currentPosition.flags & 1) == 0) ? ((chatMessageCell.currentPosition.flags & 2) == 0 && (chatMessageCell.currentPosition.flags & 1) == 0) ? w8 - AndroidUtilities.dp(11.0f) : (chatMessageCell.currentPosition.flags & 2) != 0 ? w8 - AndroidUtilities.dp(10.0f) : w8 - AndroidUtilities.dp(9.0f) : w8 - AndroidUtilities.dp(8.0f);
                                                    int photoWidth14 = w9;
                                                    if (!chatMessageCell.currentPosition.edge) {
                                                        photoWidth14 += AndroidUtilities.dp(10.0f);
                                                    }
                                                    int photoHeight12 = h2;
                                                    int widthForCaption7 = widthForCaption3 + (photoWidth14 - AndroidUtilities.dp(10.0f));
                                                    if ((chatMessageCell.currentPosition.flags & 8) == 0) {
                                                        if (chatMessageCell.currentMessagesGroup.hasSibling) {
                                                        }
                                                        photoWidth4 = photoWidth14;
                                                        photoHeight = photoHeight12;
                                                        h3 = h2;
                                                        messageObject2 = messageObject;
                                                        w2 = w9;
                                                        widthForCaption2 = widthForCaption7;
                                                        photoWidth2 = photoWidth4;
                                                        h = h3;
                                                    }
                                                    widthForCaption7 += chatMessageCell.getAdditionalWidthForPosition(chatMessageCell.currentPosition);
                                                    int count3 = chatMessageCell.currentMessagesGroup.messages.size();
                                                    int i39 = 0;
                                                    while (true) {
                                                        if (i39 >= count3) {
                                                            photoWidth4 = photoWidth14;
                                                            photoHeight = photoHeight12;
                                                            h3 = h2;
                                                            break;
                                                        }
                                                        MessageObject m2 = chatMessageCell.currentMessagesGroup.messages.get(i39);
                                                        MessageObject.GroupedMessagePosition rowPosition = chatMessageCell.currentMessagesGroup.posArray.get(i39);
                                                        if (rowPosition == chatMessageCell.currentPosition || (rowPosition.flags & 8) == 0) {
                                                            photoWidth4 = photoWidth14;
                                                            photoHeight = photoHeight12;
                                                            h3 = h2;
                                                            count = count3;
                                                            maxHeight = maxHeight3;
                                                            widthForCaption7 = widthForCaption7;
                                                        } else {
                                                            int w10 = (int) Math.ceil((rowPosition.pw / 1000.0f) * dWidth2);
                                                            if (rowPosition.minY == 0 || ((!messageObject.isOutOwner() || (rowPosition.flags & 1) == 0) && (messageObject.isOutOwner() || (rowPosition.flags & 2) == 0))) {
                                                                photoWidth4 = photoWidth14;
                                                                photoHeight = photoHeight12;
                                                                h3 = h2;
                                                                widthForCaption4 = widthForCaption7;
                                                                count = count3;
                                                                maxHeight = maxHeight3;
                                                            } else {
                                                                int firstLineWidth3 = 0;
                                                                int currentLineWidth3 = 0;
                                                                int a27 = 0;
                                                                while (true) {
                                                                    if (a27 >= chatMessageCell.currentMessagesGroup.posArray.size()) {
                                                                        photoWidth4 = photoWidth14;
                                                                        photoHeight = photoHeight12;
                                                                        h3 = h2;
                                                                        widthForCaption4 = widthForCaption7;
                                                                        count = count3;
                                                                        maxHeight = maxHeight3;
                                                                        break;
                                                                    }
                                                                    MessageObject.GroupedMessagePosition position3 = chatMessageCell.currentMessagesGroup.posArray.get(a27);
                                                                    photoWidth4 = photoWidth14;
                                                                    int photoWidth15 = position3.minY;
                                                                    if (photoWidth15 != 0) {
                                                                        photoHeight = photoHeight12;
                                                                        h3 = h2;
                                                                        widthForCaption4 = widthForCaption7;
                                                                        count = count3;
                                                                        maxHeight = maxHeight3;
                                                                        if (position3.minY != rowPosition.minY) {
                                                                            int currentLineWidth4 = position3.minY;
                                                                            if (currentLineWidth4 > rowPosition.minY) {
                                                                                break;
                                                                            }
                                                                        } else {
                                                                            currentLineWidth3 = (int) (currentLineWidth3 + Math.ceil((position3.pw / 1000.0f) * dWidth2) + (position3.leftSpanOffset != 0 ? Math.ceil((position3.leftSpanOffset / 1000.0f) * dWidth2) : FirebaseRemoteConfig.DEFAULT_VALUE_FOR_DOUBLE));
                                                                        }
                                                                    } else {
                                                                        count = count3;
                                                                        double d4 = firstLineWidth3;
                                                                        maxHeight = maxHeight3;
                                                                        photoHeight = photoHeight12;
                                                                        int h10 = h2;
                                                                        widthForCaption4 = widthForCaption7;
                                                                        double ceil2 = Math.ceil((position3.pw / 1000.0f) * dWidth2);
                                                                        if (position3.leftSpanOffset != 0) {
                                                                            h3 = h10;
                                                                            d = Math.ceil((position3.leftSpanOffset / 1000.0f) * dWidth2);
                                                                        } else {
                                                                            h3 = h10;
                                                                            d = FirebaseRemoteConfig.DEFAULT_VALUE_FOR_DOUBLE;
                                                                        }
                                                                        firstLineWidth3 = (int) (d4 + ceil2 + d);
                                                                    }
                                                                    a27++;
                                                                    chatMessageCell = this;
                                                                    count3 = count;
                                                                    photoWidth14 = photoWidth4;
                                                                    maxHeight3 = maxHeight;
                                                                    photoHeight12 = photoHeight;
                                                                    widthForCaption7 = widthForCaption4;
                                                                    h2 = h3;
                                                                }
                                                                int photoWidth16 = firstLineWidth3 - currentLineWidth3;
                                                                w10 += photoWidth16;
                                                            }
                                                            int w11 = w10 - AndroidUtilities.dp(9.0f);
                                                            int w12 = ((rowPosition.flags & 2) == 0 || (rowPosition.flags & 1) == 0) ? ((rowPosition.flags & 2) == 0 && (rowPosition.flags & 1) == 0) ? w11 - AndroidUtilities.dp(11.0f) : (rowPosition.flags & 2) != 0 ? w11 - AndroidUtilities.dp(10.0f) : w11 - AndroidUtilities.dp(9.0f) : w11 - AndroidUtilities.dp(8.0f);
                                                            if (m2.needDrawAvatar() && (rowPosition == null || rowPosition.edge)) {
                                                                w12 -= AndroidUtilities.dp(48.0f);
                                                            }
                                                            chatMessageCell = this;
                                                            w9 = w12 + chatMessageCell.getAdditionalWidthForPosition(rowPosition);
                                                            if (!rowPosition.edge) {
                                                                w9 += AndroidUtilities.dp(10.0f);
                                                            }
                                                            widthForCaption7 = widthForCaption4 + w9;
                                                            if (rowPosition.minX < chatMessageCell.currentPosition.minX || (chatMessageCell.currentMessagesGroup.hasSibling && rowPosition.minY != rowPosition.maxY)) {
                                                                chatMessageCell.captionOffsetX -= w9;
                                                            }
                                                        }
                                                        if (m2.caption != null) {
                                                            if (chatMessageCell.currentCaption != null) {
                                                                chatMessageCell.currentCaption = null;
                                                                break;
                                                            }
                                                            chatMessageCell.currentCaption = m2.caption;
                                                        }
                                                        i39++;
                                                        count3 = count;
                                                        photoWidth14 = photoWidth4;
                                                        maxHeight3 = maxHeight;
                                                        photoHeight12 = photoHeight;
                                                        h2 = h3;
                                                    }
                                                    messageObject2 = messageObject;
                                                    w2 = w9;
                                                    widthForCaption2 = widthForCaption7;
                                                    photoWidth2 = photoWidth4;
                                                    h = h3;
                                                } else {
                                                    fixPhotoWidth = false;
                                                    timeWidthTotal2 = timeWidthTotal;
                                                    boolean useFullWidth5 = useFullWidth ? 1 : 0;
                                                    int h11 = imageW;
                                                    photoWidth2 = w;
                                                    messageObject2 = messageObject;
                                                    chatMessageCell.currentCaption = messageObject2.caption;
                                                    int minCaptionWidth = AndroidUtilities.isTablet() ? (int) (AndroidUtilities.getMinTabletSide() * 0.65f) : (int) (Math.min(AndroidUtilities.displaySize.x, AndroidUtilities.displaySize.y) * 0.65f);
                                                    if (messageObject.needDrawBluredPreview() || chatMessageCell.currentCaption == null || photoWidth2 >= minCaptionWidth) {
                                                        int widthForCaption8 = AndroidUtilities.dp(10.0f);
                                                        widthForCaption = photoWidth2 - widthForCaption8;
                                                    } else {
                                                        widthForCaption = minCaptionWidth;
                                                        fixPhotoWidth = true;
                                                    }
                                                    int dp16 = AndroidUtilities.dp(8.0f) + photoWidth2;
                                                    chatMessageCell.backgroundWidth = dp16;
                                                    if (!chatMessageCell.mediaBackground) {
                                                        chatMessageCell.backgroundWidth = dp16 + AndroidUtilities.dp(3.0f);
                                                    }
                                                    photoHeight = h11;
                                                    w2 = w;
                                                    widthForCaption2 = widthForCaption;
                                                    h = h11;
                                                }
                                                if (chatMessageCell.currentCaption == null) {
                                                    try {
                                                        if (Build.VERSION.SDK_INT >= 24) {
                                                            try {
                                                                CharSequence charSequence3 = chatMessageCell.currentCaption;
                                                                chatMessageCell.captionLayout = StaticLayout.Builder.obtain(charSequence3, 0, charSequence3.length(), Theme.chat_msgTextPaint, widthForCaption2).setBreakStrategy(1).setHyphenationFrequency(0).setAlignment(Layout.Alignment.ALIGN_NORMAL).build();
                                                            } catch (Exception e23) {
                                                                e = e23;
                                                                timeWidthTotal3 = timeWidthTotal2;
                                                                additionHeight = 0;
                                                                f = 0.0f;
                                                                FileLog.e(e);
                                                                additionHeight8 = additionHeight;
                                                                if (fixPhotoWidth) {
                                                                }
                                                                photoWidth3 = photoWidth2;
                                                                String format = String.format(Locale.US, "%d_%d", Integer.valueOf((int) (w2 / AndroidUtilities.density)), Integer.valueOf((int) (h / AndroidUtilities.density)));
                                                                chatMessageCell.currentPhotoFilterThumb = format;
                                                                chatMessageCell.currentPhotoFilter = format;
                                                                if (messageObject2.photoThumbs != null) {
                                                                }
                                                                if (messageObject.needDrawBluredPreview()) {
                                                                }
                                                                if (messageObject2.type != 3) {
                                                                }
                                                                noSize = true;
                                                                photoSize2 = chatMessageCell.currentPhotoObject;
                                                                if (photoSize2 != null) {
                                                                }
                                                                photoSize3 = chatMessageCell.currentPhotoObjectThumb;
                                                                if (photoSize3 == null) {
                                                                }
                                                                if (SharedConfig.autoplayVideo) {
                                                                }
                                                                if (chatMessageCell.autoPlayingMedia) {
                                                                }
                                                                photoHeight2 = photoHeight;
                                                                additionHeight4 = additionHeight8;
                                                                setMessageObjectInternal(messageObject);
                                                                if (!chatMessageCell.drawForwardedName) {
                                                                }
                                                                if (chatMessageCell.drawNameLayout) {
                                                                }
                                                                if (messageObject5.type == 9) {
                                                                }
                                                                chatMessageCell.totalHeight = AndroidUtilities.dp(14.0f) + photoHeight2 + chatMessageCell.namesOffset + additionHeight4;
                                                                groupedMessagePosition2 = chatMessageCell.currentPosition;
                                                                if (groupedMessagePosition2 != null) {
                                                                }
                                                                groupedMessagePosition3 = chatMessageCell.currentPosition;
                                                                if (groupedMessagePosition3 != null) {
                                                                }
                                                                int additionalTop = 0;
                                                                groupedMessagePosition4 = chatMessageCell.currentPosition;
                                                                if (groupedMessagePosition4 != null) {
                                                                }
                                                                if (chatMessageCell.drawPinnedTop) {
                                                                }
                                                                if (chatMessageCell.currentPosition == null) {
                                                                }
                                                                if (BuildVars.DEBUG_VERSION) {
                                                                }
                                                                chatMessageCell.photoImage.setImageCoords(0, chatMessageCell.namesOffset + y2 + additionalTop, photoWidth3, photoHeight2);
                                                                invalidate();
                                                                if (chatMessageCell.currentPosition == null) {
                                                                }
                                                                z4 = z10;
                                                                if (chatMessageCell.captionLayout == null) {
                                                                }
                                                                if (chatMessageCell.currentMessageObject.eventId != 0) {
                                                                }
                                                                chatMessageCell.botButtons.clear();
                                                                if (messageIdChanged) {
                                                                }
                                                                if (chatMessageCell.currentPosition == null) {
                                                                }
                                                                chatMessageCell.substractBackgroundHeight = 0;
                                                                chatMessageCell.keyboardHeight = 0;
                                                                z5 = chatMessageCell.drawPinnedBottom;
                                                                if (!z5) {
                                                                }
                                                                if (z5) {
                                                                }
                                                                if (!messageObject.isAnyKindOfSticker()) {
                                                                }
                                                                if (messageObject.isAnimatedEmoji()) {
                                                                }
                                                                if (!chatMessageCell.drawPhotoImage) {
                                                                }
                                                                if (chatMessageCell.documentAttachType != 5) {
                                                                }
                                                                updateWaveform();
                                                                chatMessageCell.updateButtonState(false, (dataChanged || messageObject4.cancelEditing) ? false : true, true);
                                                                if (chatMessageCell.buttonState == 2) {
                                                                }
                                                                chatMessageCell.accessibilityVirtualViewBounds.clear();
                                                            }
                                                        } else {
                                                            chatMessageCell.captionLayout = new StaticLayout(chatMessageCell.currentCaption, Theme.chat_msgTextPaint, widthForCaption2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                                        }
                                                        int lineCount2 = chatMessageCell.captionLayout.getLineCount();
                                                        if (lineCount2 > 0) {
                                                            if (fixPhotoWidth) {
                                                                try {
                                                                    chatMessageCell.captionWidth = 0;
                                                                    int a28 = 0;
                                                                    while (true) {
                                                                        if (a28 >= lineCount2) {
                                                                            f = 0.0f;
                                                                            break;
                                                                        }
                                                                        chatMessageCell.captionWidth = (int) Math.max(chatMessageCell.captionWidth, Math.ceil(chatMessageCell.captionLayout.getLineWidth(a28)));
                                                                        f = 0.0f;
                                                                        if (chatMessageCell.captionLayout.getLineLeft(a28) != 0.0f) {
                                                                            chatMessageCell.captionWidth = widthForCaption2;
                                                                            break;
                                                                        }
                                                                        try {
                                                                            a28++;
                                                                        } catch (Exception e24) {
                                                                            e = e24;
                                                                            timeWidthTotal3 = timeWidthTotal2;
                                                                            additionHeight = 0;
                                                                            FileLog.e(e);
                                                                            additionHeight8 = additionHeight;
                                                                            if (fixPhotoWidth) {
                                                                            }
                                                                            photoWidth3 = photoWidth2;
                                                                            String format2 = String.format(Locale.US, "%d_%d", Integer.valueOf((int) (w2 / AndroidUtilities.density)), Integer.valueOf((int) (h / AndroidUtilities.density)));
                                                                            chatMessageCell.currentPhotoFilterThumb = format2;
                                                                            chatMessageCell.currentPhotoFilter = format2;
                                                                            if (messageObject2.photoThumbs != null) {
                                                                            }
                                                                            if (messageObject.needDrawBluredPreview()) {
                                                                            }
                                                                            if (messageObject2.type != 3) {
                                                                            }
                                                                            noSize = true;
                                                                            photoSize2 = chatMessageCell.currentPhotoObject;
                                                                            if (photoSize2 != null) {
                                                                            }
                                                                            photoSize3 = chatMessageCell.currentPhotoObjectThumb;
                                                                            if (photoSize3 == null) {
                                                                            }
                                                                            if (SharedConfig.autoplayVideo) {
                                                                            }
                                                                            if (chatMessageCell.autoPlayingMedia) {
                                                                            }
                                                                            photoHeight2 = photoHeight;
                                                                            additionHeight4 = additionHeight8;
                                                                            setMessageObjectInternal(messageObject);
                                                                            if (!chatMessageCell.drawForwardedName) {
                                                                            }
                                                                            if (chatMessageCell.drawNameLayout) {
                                                                            }
                                                                            if (messageObject5.type == 9) {
                                                                            }
                                                                            chatMessageCell.totalHeight = AndroidUtilities.dp(14.0f) + photoHeight2 + chatMessageCell.namesOffset + additionHeight4;
                                                                            groupedMessagePosition2 = chatMessageCell.currentPosition;
                                                                            if (groupedMessagePosition2 != null) {
                                                                            }
                                                                            groupedMessagePosition3 = chatMessageCell.currentPosition;
                                                                            if (groupedMessagePosition3 != null) {
                                                                            }
                                                                            int additionalTop2 = 0;
                                                                            groupedMessagePosition4 = chatMessageCell.currentPosition;
                                                                            if (groupedMessagePosition4 != null) {
                                                                            }
                                                                            if (chatMessageCell.drawPinnedTop) {
                                                                            }
                                                                            if (chatMessageCell.currentPosition == null) {
                                                                            }
                                                                            if (BuildVars.DEBUG_VERSION) {
                                                                            }
                                                                            chatMessageCell.photoImage.setImageCoords(0, chatMessageCell.namesOffset + y2 + additionalTop2, photoWidth3, photoHeight2);
                                                                            invalidate();
                                                                            if (chatMessageCell.currentPosition == null) {
                                                                            }
                                                                            z4 = z10;
                                                                            if (chatMessageCell.captionLayout == null) {
                                                                            }
                                                                            if (chatMessageCell.currentMessageObject.eventId != 0) {
                                                                            }
                                                                            chatMessageCell.botButtons.clear();
                                                                            if (messageIdChanged) {
                                                                            }
                                                                            if (chatMessageCell.currentPosition == null) {
                                                                            }
                                                                            chatMessageCell.substractBackgroundHeight = 0;
                                                                            chatMessageCell.keyboardHeight = 0;
                                                                            z5 = chatMessageCell.drawPinnedBottom;
                                                                            if (!z5) {
                                                                            }
                                                                            if (z5) {
                                                                            }
                                                                            if (!messageObject.isAnyKindOfSticker()) {
                                                                            }
                                                                            if (messageObject.isAnimatedEmoji()) {
                                                                            }
                                                                            if (!chatMessageCell.drawPhotoImage) {
                                                                            }
                                                                            if (chatMessageCell.documentAttachType != 5) {
                                                                            }
                                                                            updateWaveform();
                                                                            chatMessageCell.updateButtonState(false, (dataChanged || messageObject4.cancelEditing) ? false : true, true);
                                                                            if (chatMessageCell.buttonState == 2) {
                                                                            }
                                                                            chatMessageCell.accessibilityVirtualViewBounds.clear();
                                                                        }
                                                                    }
                                                                    int a29 = chatMessageCell.captionWidth;
                                                                    if (a29 > widthForCaption2) {
                                                                        chatMessageCell.captionWidth = widthForCaption2;
                                                                    }
                                                                } catch (Exception e25) {
                                                                    e = e25;
                                                                    f = 0.0f;
                                                                }
                                                            } else {
                                                                f = 0.0f;
                                                                try {
                                                                    chatMessageCell.captionWidth = widthForCaption2;
                                                                } catch (Exception e26) {
                                                                    e = e26;
                                                                    timeWidthTotal3 = timeWidthTotal2;
                                                                    additionHeight = 0;
                                                                    FileLog.e(e);
                                                                    additionHeight8 = additionHeight;
                                                                    if (fixPhotoWidth) {
                                                                    }
                                                                    photoWidth3 = photoWidth2;
                                                                    String format22 = String.format(Locale.US, "%d_%d", Integer.valueOf((int) (w2 / AndroidUtilities.density)), Integer.valueOf((int) (h / AndroidUtilities.density)));
                                                                    chatMessageCell.currentPhotoFilterThumb = format22;
                                                                    chatMessageCell.currentPhotoFilter = format22;
                                                                    if (messageObject2.photoThumbs != null) {
                                                                    }
                                                                    if (messageObject.needDrawBluredPreview()) {
                                                                    }
                                                                    if (messageObject2.type != 3) {
                                                                    }
                                                                    noSize = true;
                                                                    photoSize2 = chatMessageCell.currentPhotoObject;
                                                                    if (photoSize2 != null) {
                                                                    }
                                                                    photoSize3 = chatMessageCell.currentPhotoObjectThumb;
                                                                    if (photoSize3 == null) {
                                                                    }
                                                                    if (SharedConfig.autoplayVideo) {
                                                                    }
                                                                    if (chatMessageCell.autoPlayingMedia) {
                                                                    }
                                                                    photoHeight2 = photoHeight;
                                                                    additionHeight4 = additionHeight8;
                                                                    setMessageObjectInternal(messageObject);
                                                                    if (!chatMessageCell.drawForwardedName) {
                                                                    }
                                                                    if (chatMessageCell.drawNameLayout) {
                                                                    }
                                                                    if (messageObject5.type == 9) {
                                                                    }
                                                                    chatMessageCell.totalHeight = AndroidUtilities.dp(14.0f) + photoHeight2 + chatMessageCell.namesOffset + additionHeight4;
                                                                    groupedMessagePosition2 = chatMessageCell.currentPosition;
                                                                    if (groupedMessagePosition2 != null) {
                                                                    }
                                                                    groupedMessagePosition3 = chatMessageCell.currentPosition;
                                                                    if (groupedMessagePosition3 != null) {
                                                                        chatMessageCell.totalHeight -= AndroidUtilities.dp(3.0f);
                                                                    }
                                                                    int additionalTop22 = 0;
                                                                    groupedMessagePosition4 = chatMessageCell.currentPosition;
                                                                    if (groupedMessagePosition4 != null) {
                                                                    }
                                                                    if (chatMessageCell.drawPinnedTop) {
                                                                    }
                                                                    if (chatMessageCell.currentPosition == null) {
                                                                    }
                                                                    if (BuildVars.DEBUG_VERSION) {
                                                                    }
                                                                    chatMessageCell.photoImage.setImageCoords(0, chatMessageCell.namesOffset + y2 + additionalTop22, photoWidth3, photoHeight2);
                                                                    invalidate();
                                                                    if (chatMessageCell.currentPosition == null) {
                                                                    }
                                                                    z4 = z10;
                                                                    if (chatMessageCell.captionLayout == null) {
                                                                    }
                                                                    if (chatMessageCell.currentMessageObject.eventId != 0) {
                                                                    }
                                                                    chatMessageCell.botButtons.clear();
                                                                    if (messageIdChanged) {
                                                                    }
                                                                    if (chatMessageCell.currentPosition == null) {
                                                                    }
                                                                    chatMessageCell.substractBackgroundHeight = 0;
                                                                    chatMessageCell.keyboardHeight = 0;
                                                                    z5 = chatMessageCell.drawPinnedBottom;
                                                                    if (!z5) {
                                                                    }
                                                                    if (z5) {
                                                                    }
                                                                    if (!messageObject.isAnyKindOfSticker()) {
                                                                    }
                                                                    if (messageObject.isAnimatedEmoji()) {
                                                                    }
                                                                    if (!chatMessageCell.drawPhotoImage) {
                                                                    }
                                                                    if (chatMessageCell.documentAttachType != 5) {
                                                                    }
                                                                    updateWaveform();
                                                                    chatMessageCell.updateButtonState(false, (dataChanged || messageObject4.cancelEditing) ? false : true, true);
                                                                    if (chatMessageCell.buttonState == 2) {
                                                                    }
                                                                    chatMessageCell.accessibilityVirtualViewBounds.clear();
                                                                }
                                                            }
                                                            int height15 = chatMessageCell.captionLayout.getHeight();
                                                            chatMessageCell.captionHeight = height15;
                                                            chatMessageCell.addedCaptionHeight = height15 + AndroidUtilities.dp(9.0f);
                                                            MessageObject.GroupedMessagePosition groupedMessagePosition14 = chatMessageCell.currentPosition;
                                                            if (groupedMessagePosition14 != null) {
                                                                try {
                                                                    if ((groupedMessagePosition14.flags & 8) == 0) {
                                                                        try {
                                                                            chatMessageCell.captionLayout = null;
                                                                            timeWidthTotal3 = timeWidthTotal2;
                                                                        } catch (Exception e27) {
                                                                            e = e27;
                                                                            timeWidthTotal3 = timeWidthTotal2;
                                                                            additionHeight = 0;
                                                                            FileLog.e(e);
                                                                            additionHeight8 = additionHeight;
                                                                            if (fixPhotoWidth) {
                                                                            }
                                                                            photoWidth3 = photoWidth2;
                                                                            String format222 = String.format(Locale.US, "%d_%d", Integer.valueOf((int) (w2 / AndroidUtilities.density)), Integer.valueOf((int) (h / AndroidUtilities.density)));
                                                                            chatMessageCell.currentPhotoFilterThumb = format222;
                                                                            chatMessageCell.currentPhotoFilter = format222;
                                                                            if (messageObject2.photoThumbs != null) {
                                                                            }
                                                                            if (messageObject.needDrawBluredPreview()) {
                                                                            }
                                                                            if (messageObject2.type != 3) {
                                                                            }
                                                                            noSize = true;
                                                                            photoSize2 = chatMessageCell.currentPhotoObject;
                                                                            if (photoSize2 != null) {
                                                                            }
                                                                            photoSize3 = chatMessageCell.currentPhotoObjectThumb;
                                                                            if (photoSize3 == null) {
                                                                            }
                                                                            if (SharedConfig.autoplayVideo) {
                                                                            }
                                                                            if (chatMessageCell.autoPlayingMedia) {
                                                                            }
                                                                            photoHeight2 = photoHeight;
                                                                            additionHeight4 = additionHeight8;
                                                                            setMessageObjectInternal(messageObject);
                                                                            if (!chatMessageCell.drawForwardedName) {
                                                                            }
                                                                            if (chatMessageCell.drawNameLayout) {
                                                                            }
                                                                            if (messageObject5.type == 9) {
                                                                            }
                                                                            chatMessageCell.totalHeight = AndroidUtilities.dp(14.0f) + photoHeight2 + chatMessageCell.namesOffset + additionHeight4;
                                                                            groupedMessagePosition2 = chatMessageCell.currentPosition;
                                                                            if (groupedMessagePosition2 != null) {
                                                                            }
                                                                            groupedMessagePosition3 = chatMessageCell.currentPosition;
                                                                            if (groupedMessagePosition3 != null) {
                                                                            }
                                                                            int additionalTop222 = 0;
                                                                            groupedMessagePosition4 = chatMessageCell.currentPosition;
                                                                            if (groupedMessagePosition4 != null) {
                                                                            }
                                                                            if (chatMessageCell.drawPinnedTop) {
                                                                            }
                                                                            if (chatMessageCell.currentPosition == null) {
                                                                            }
                                                                            if (BuildVars.DEBUG_VERSION) {
                                                                            }
                                                                            chatMessageCell.photoImage.setImageCoords(0, chatMessageCell.namesOffset + y2 + additionalTop222, photoWidth3, photoHeight2);
                                                                            invalidate();
                                                                            if (chatMessageCell.currentPosition == null) {
                                                                            }
                                                                            z4 = z10;
                                                                            if (chatMessageCell.captionLayout == null) {
                                                                            }
                                                                            if (chatMessageCell.currentMessageObject.eventId != 0) {
                                                                            }
                                                                            chatMessageCell.botButtons.clear();
                                                                            if (messageIdChanged) {
                                                                            }
                                                                            if (chatMessageCell.currentPosition == null) {
                                                                            }
                                                                            chatMessageCell.substractBackgroundHeight = 0;
                                                                            chatMessageCell.keyboardHeight = 0;
                                                                            z5 = chatMessageCell.drawPinnedBottom;
                                                                            if (!z5) {
                                                                            }
                                                                            if (z5) {
                                                                            }
                                                                            if (!messageObject.isAnyKindOfSticker()) {
                                                                            }
                                                                            if (messageObject.isAnimatedEmoji()) {
                                                                            }
                                                                            if (!chatMessageCell.drawPhotoImage) {
                                                                            }
                                                                            if (chatMessageCell.documentAttachType != 5) {
                                                                            }
                                                                            updateWaveform();
                                                                            chatMessageCell.updateButtonState(false, (dataChanged || messageObject4.cancelEditing) ? false : true, true);
                                                                            if (chatMessageCell.buttonState == 2) {
                                                                            }
                                                                            chatMessageCell.accessibilityVirtualViewBounds.clear();
                                                                        }
                                                                    }
                                                                } catch (Exception e28) {
                                                                    e = e28;
                                                                }
                                                            }
                                                            try {
                                                                additionHeight = 0 + chatMessageCell.addedCaptionHeight;
                                                                try {
                                                                    int widthToCheck = Math.max(chatMessageCell.captionWidth, photoWidth2 - AndroidUtilities.dp(10.0f));
                                                                    StaticLayout staticLayout31 = chatMessageCell.captionLayout;
                                                                    float lineWidth = staticLayout31.getLineWidth(staticLayout31.getLineCount() - 1);
                                                                    StaticLayout staticLayout32 = chatMessageCell.captionLayout;
                                                                    float lastLineWidth = lineWidth + staticLayout32.getLineLeft(staticLayout32.getLineCount() - 1);
                                                                    timeWidthTotal3 = timeWidthTotal2;
                                                                    if ((AndroidUtilities.dp(2.0f) + widthToCheck) - lastLineWidth < timeWidthTotal3) {
                                                                        try {
                                                                            additionHeight += AndroidUtilities.dp(14.0f);
                                                                            chatMessageCell.addedCaptionHeight += AndroidUtilities.dp(14.0f);
                                                                            z10 = true;
                                                                        } catch (Exception e29) {
                                                                            e = e29;
                                                                            FileLog.e(e);
                                                                            additionHeight8 = additionHeight;
                                                                            if (fixPhotoWidth) {
                                                                            }
                                                                            photoWidth3 = photoWidth2;
                                                                            String format2222 = String.format(Locale.US, "%d_%d", Integer.valueOf((int) (w2 / AndroidUtilities.density)), Integer.valueOf((int) (h / AndroidUtilities.density)));
                                                                            chatMessageCell.currentPhotoFilterThumb = format2222;
                                                                            chatMessageCell.currentPhotoFilter = format2222;
                                                                            if (messageObject2.photoThumbs != null) {
                                                                            }
                                                                            if (messageObject.needDrawBluredPreview()) {
                                                                            }
                                                                            if (messageObject2.type != 3) {
                                                                            }
                                                                            noSize = true;
                                                                            photoSize2 = chatMessageCell.currentPhotoObject;
                                                                            if (photoSize2 != null) {
                                                                            }
                                                                            photoSize3 = chatMessageCell.currentPhotoObjectThumb;
                                                                            if (photoSize3 == null) {
                                                                            }
                                                                            if (SharedConfig.autoplayVideo) {
                                                                            }
                                                                            if (chatMessageCell.autoPlayingMedia) {
                                                                            }
                                                                            photoHeight2 = photoHeight;
                                                                            additionHeight4 = additionHeight8;
                                                                            setMessageObjectInternal(messageObject);
                                                                            if (!chatMessageCell.drawForwardedName) {
                                                                            }
                                                                            if (chatMessageCell.drawNameLayout) {
                                                                            }
                                                                            if (messageObject5.type == 9) {
                                                                            }
                                                                            chatMessageCell.totalHeight = AndroidUtilities.dp(14.0f) + photoHeight2 + chatMessageCell.namesOffset + additionHeight4;
                                                                            groupedMessagePosition2 = chatMessageCell.currentPosition;
                                                                            if (groupedMessagePosition2 != null) {
                                                                            }
                                                                            groupedMessagePosition3 = chatMessageCell.currentPosition;
                                                                            if (groupedMessagePosition3 != null) {
                                                                            }
                                                                            int additionalTop2222 = 0;
                                                                            groupedMessagePosition4 = chatMessageCell.currentPosition;
                                                                            if (groupedMessagePosition4 != null) {
                                                                            }
                                                                            if (chatMessageCell.drawPinnedTop) {
                                                                            }
                                                                            if (chatMessageCell.currentPosition == null) {
                                                                            }
                                                                            if (BuildVars.DEBUG_VERSION) {
                                                                            }
                                                                            chatMessageCell.photoImage.setImageCoords(0, chatMessageCell.namesOffset + y2 + additionalTop2222, photoWidth3, photoHeight2);
                                                                            invalidate();
                                                                            if (chatMessageCell.currentPosition == null) {
                                                                            }
                                                                            z4 = z10;
                                                                            if (chatMessageCell.captionLayout == null) {
                                                                            }
                                                                            if (chatMessageCell.currentMessageObject.eventId != 0) {
                                                                            }
                                                                            chatMessageCell.botButtons.clear();
                                                                            if (messageIdChanged) {
                                                                            }
                                                                            if (chatMessageCell.currentPosition == null) {
                                                                            }
                                                                            chatMessageCell.substractBackgroundHeight = 0;
                                                                            chatMessageCell.keyboardHeight = 0;
                                                                            z5 = chatMessageCell.drawPinnedBottom;
                                                                            if (!z5) {
                                                                            }
                                                                            if (z5) {
                                                                            }
                                                                            if (!messageObject.isAnyKindOfSticker()) {
                                                                            }
                                                                            if (messageObject.isAnimatedEmoji()) {
                                                                            }
                                                                            if (!chatMessageCell.drawPhotoImage) {
                                                                            }
                                                                            if (chatMessageCell.documentAttachType != 5) {
                                                                            }
                                                                            updateWaveform();
                                                                            chatMessageCell.updateButtonState(false, (dataChanged || messageObject4.cancelEditing) ? false : true, true);
                                                                            if (chatMessageCell.buttonState == 2) {
                                                                            }
                                                                            chatMessageCell.accessibilityVirtualViewBounds.clear();
                                                                        }
                                                                    }
                                                                    additionHeight8 = additionHeight;
                                                                } catch (Exception e30) {
                                                                    e = e30;
                                                                    timeWidthTotal3 = timeWidthTotal2;
                                                                }
                                                            } catch (Exception e31) {
                                                                e = e31;
                                                                timeWidthTotal3 = timeWidthTotal2;
                                                                additionHeight = 0;
                                                            }
                                                        } else {
                                                            timeWidthTotal3 = timeWidthTotal2;
                                                            f = 0.0f;
                                                        }
                                                        additionHeight = 0;
                                                        additionHeight8 = additionHeight;
                                                    } catch (Exception e32) {
                                                        e = e32;
                                                        timeWidthTotal3 = timeWidthTotal2;
                                                        f = 0.0f;
                                                        additionHeight = 0;
                                                    }
                                                } else {
                                                    timeWidthTotal3 = timeWidthTotal2;
                                                    f = 0.0f;
                                                }
                                                if (fixPhotoWidth || photoWidth2 >= chatMessageCell.captionWidth + AndroidUtilities.dp(10.0f)) {
                                                    photoWidth3 = photoWidth2;
                                                } else {
                                                    photoWidth3 = chatMessageCell.captionWidth + AndroidUtilities.dp(10.0f);
                                                    int photoWidth17 = AndroidUtilities.dp(8.0f);
                                                    int i40 = photoWidth17 + photoWidth3;
                                                    chatMessageCell.backgroundWidth = i40;
                                                    if (!chatMessageCell.mediaBackground) {
                                                        chatMessageCell.backgroundWidth = i40 + AndroidUtilities.dp(messageObject.isOutOwner() ? 3.0f : 9.0f);
                                                    }
                                                }
                                                String format22222 = String.format(Locale.US, "%d_%d", Integer.valueOf((int) (w2 / AndroidUtilities.density)), Integer.valueOf((int) (h / AndroidUtilities.density)));
                                                chatMessageCell.currentPhotoFilterThumb = format22222;
                                                chatMessageCell.currentPhotoFilter = format22222;
                                                if ((messageObject2.photoThumbs != null && messageObject2.photoThumbs.size() > 1) || messageObject2.type == 3 || messageObject2.type == 8 || messageObject2.type == 5) {
                                                    if (messageObject.needDrawBluredPreview()) {
                                                        chatMessageCell.currentPhotoFilterThumb += "_b";
                                                    } else {
                                                        chatMessageCell.currentPhotoFilter += "_b2";
                                                        chatMessageCell.currentPhotoFilterThumb += "_b2";
                                                    }
                                                }
                                                if (messageObject2.type != 3 && messageObject2.type != 8 && messageObject2.type != 5) {
                                                    noSize = false;
                                                    photoSize2 = chatMessageCell.currentPhotoObject;
                                                    if (photoSize2 != null && !noSize && photoSize2.size == 0) {
                                                        chatMessageCell.currentPhotoObject.size = -1;
                                                    }
                                                    photoSize3 = chatMessageCell.currentPhotoObjectThumb;
                                                    if (photoSize3 == null && !noSize && photoSize3.size == 0) {
                                                        chatMessageCell.currentPhotoObjectThumb.size = -1;
                                                    }
                                                    if (SharedConfig.autoplayVideo && messageObject2.type == 3 && !messageObject.needDrawBluredPreview() && (chatMessageCell.currentMessageObject.mediaExists || (messageObject.canStreamVideo() && DownloadController.getInstance(chatMessageCell.currentAccount).canDownloadMedia(chatMessageCell.currentMessageObject)))) {
                                                        groupedMessagePosition = chatMessageCell.currentPosition;
                                                        if (groupedMessagePosition == null) {
                                                            chatMessageCell.autoPlayingMedia = ((groupedMessagePosition.flags & 1) == 0 || (chatMessageCell.currentPosition.flags & 2) == 0) ? false : true;
                                                        } else {
                                                            chatMessageCell.autoPlayingMedia = true;
                                                        }
                                                    }
                                                    if (chatMessageCell.autoPlayingMedia) {
                                                        f2 = 1.0f;
                                                        messageObject5 = messageObject2;
                                                        if (messageObject5.type != 1) {
                                                            if (messageObject5.type != 8 && messageObject5.type != 5) {
                                                                chatMessageCell.photoImage.setImage(ImageLocation.getForObject(chatMessageCell.currentPhotoObject, chatMessageCell.photoParentObject), chatMessageCell.currentPhotoFilter, ImageLocation.getForObject(chatMessageCell.currentPhotoObjectThumb, chatMessageCell.photoParentObject), chatMessageCell.currentPhotoFilterThumb, 0, null, messageObject, chatMessageCell.currentMessageObject.shouldEncryptPhotoOrVideo() ? 2 : 0);
                                                            }
                                                            String fileName2 = FileLoader.getAttachFileName(messageObject.getDocument());
                                                            if (messageObject5.attachPathExists) {
                                                                DownloadController.getInstance(chatMessageCell.currentAccount).removeLoadingFileObserver(chatMessageCell);
                                                                z2 = true;
                                                            } else {
                                                                z2 = messageObject5.mediaExists ? true : false;
                                                            }
                                                            if (MessageObject.isGifDocument(messageObject.getDocument()) || messageObject5.type == 5) {
                                                                boolean autoDownload5 = DownloadController.getInstance(chatMessageCell.currentAccount).canDownloadMedia(chatMessageCell.currentMessageObject);
                                                                autoDownload = autoDownload5;
                                                            } else {
                                                                autoDownload = false;
                                                            }
                                                            boolean autoDownload6 = messageObject.isSending();
                                                            if (!autoDownload6 && !messageObject.isEditing()) {
                                                                if (z2 || FileLoader.getInstance(chatMessageCell.currentAccount).isLoadingFile(fileName2) || autoDownload) {
                                                                    if (z2 || messageObject.needDrawBluredPreview()) {
                                                                        z3 = z2;
                                                                    } else if (z2 || (messageObject.canStreamVideo() && autoDownload)) {
                                                                        chatMessageCell.autoPlayingMedia = true;
                                                                        chatMessageCell.photoImage.setImage(ImageLocation.getForDocument(messageObject.getDocument()), ImageLoader.AUTOPLAY_FILTER, ImageLocation.getForObject(chatMessageCell.currentPhotoObject, chatMessageCell.photoParentObject), chatMessageCell.currentPhotoFilter, ImageLocation.getForObject(chatMessageCell.currentPhotoObjectThumb, chatMessageCell.photoParentObject), chatMessageCell.currentPhotoFilterThumb, null, messageObject.getDocument().size, null, messageObject, 0);
                                                                    } else {
                                                                        z3 = z2;
                                                                    }
                                                                    if (z3) {
                                                                        chatMessageCell.photoImage.setImage(ImageLocation.getForPath(messageObject.isSendError() ? null : messageObject5.messageOwner.attachPath), null, ImageLocation.getForObject(chatMessageCell.currentPhotoObjectThumb, chatMessageCell.photoParentObject), chatMessageCell.currentPhotoFilterThumb, 0, null, messageObject, 0);
                                                                    } else {
                                                                        chatMessageCell.photoImage.setImage(ImageLocation.getForDocument(messageObject.getDocument()), null, ImageLocation.getForObject(chatMessageCell.currentPhotoObject, chatMessageCell.photoParentObject), chatMessageCell.currentPhotoFilter, ImageLocation.getForObject(chatMessageCell.currentPhotoObjectThumb, chatMessageCell.photoParentObject), chatMessageCell.currentPhotoFilterThumb, null, messageObject.getDocument().size, null, messageObject, 0);
                                                                    }
                                                                }
                                                            }
                                                            chatMessageCell.photoImage.setImage(ImageLocation.getForObject(chatMessageCell.currentPhotoObject, chatMessageCell.photoParentObject), chatMessageCell.currentPhotoFilter, ImageLocation.getForObject(chatMessageCell.currentPhotoObjectThumb, chatMessageCell.photoParentObject), chatMessageCell.currentPhotoFilterThumb, 0, null, messageObject, 0);
                                                        } else if (messageObject5.useCustomPhoto) {
                                                            chatMessageCell.photoImage.setImageBitmap(getResources().getDrawable(R.drawable.theme_preview_image));
                                                        } else {
                                                            if (chatMessageCell.blnImgExchanged && chatMessageCell.currentPhotoObject == null) {
                                                                chatMessageCell.currentPhotoObject = new TLRPC.TL_photoSize();
                                                            }
                                                            TLRPC.PhotoSize photoSize22 = chatMessageCell.currentPhotoObject;
                                                            if (photoSize22 != null) {
                                                                String fileName3 = FileLoader.getAttachFileName(photoSize22);
                                                                if (messageObject5.mediaExists) {
                                                                    DownloadController.getInstance(chatMessageCell.currentAccount).removeLoadingFileObserver(chatMessageCell);
                                                                    photoExist = true;
                                                                } else {
                                                                    photoExist = false;
                                                                }
                                                                if (chatMessageCell.blnImgExchanged) {
                                                                    File f8 = null;
                                                                    if (messageObject5.messageOwner.attachPath != null && messageObject5.messageOwner.attachPath.length() != 0) {
                                                                        f8 = new File(messageObject5.messageOwner.attachPath);
                                                                    }
                                                                    File f9 = (f8 == null || !f8.exists()) ? FileLoader.getPathToMessage(messageObject5.messageOwner) : f8;
                                                                    if (f9 != null && f9.exists()) {
                                                                        ImageReceiver imageReceiver7 = chatMessageCell.photoImage;
                                                                        ImageLocation forPath = ImageLocation.getForPath(f9.getPath());
                                                                        String str10 = chatMessageCell.currentPhotoFilter;
                                                                        ImageLocation forObject = ImageLocation.getForObject(chatMessageCell.currentPhotoObjectThumb, chatMessageCell.photoParentObject);
                                                                        String str11 = chatMessageCell.currentPhotoFilterThumb;
                                                                        int i41 = noSize ? 0 : chatMessageCell.currentPhotoObject.size;
                                                                        MessageObject messageObject8 = chatMessageCell.currentMessageObject;
                                                                        imageReceiver7.setImage(forPath, str10, forObject, str11, i41, null, messageObject8, messageObject8.shouldEncryptPhotoOrVideo() ? 2 : 0);
                                                                    } else if (messageObject.isOutOwner()) {
                                                                        FileLoader.getInstance(chatMessageCell.currentAccount).loadFile(chatMessageCell.currentMessageObject.getDocument(), chatMessageCell.currentMessageObject, 1, 0);
                                                                    } else {
                                                                        chatMessageCell.photoNotSet = true;
                                                                        TLRPC.PhotoSize closestPhotoSizeWithSize5 = FileLoader.getClosestPhotoSizeWithSize(messageObject5.photoThumbs, 80000);
                                                                        chatMessageCell.currentPhotoObjectThumb = closestPhotoSizeWithSize5;
                                                                        if (closestPhotoSizeWithSize5 != null) {
                                                                            chatMessageCell.currentPhotoFilter = "86_86_b";
                                                                            chatMessageCell.photoImage.setImage(null, null, ImageLocation.getForObject(closestPhotoSizeWithSize5, messageObject5.photoThumbsObject), chatMessageCell.currentPhotoFilter, 0, null, messageObject, 1);
                                                                        }
                                                                    }
                                                                    if (messageObject.isSent() && messageObject.isOutOwner()) {
                                                                        chatMessageCell.currentPhotoObject = null;
                                                                    }
                                                                } else if (photoExist || DownloadController.getInstance(chatMessageCell.currentAccount).canDownloadMedia(chatMessageCell.currentMessageObject) || FileLoader.getInstance(chatMessageCell.currentAccount).isLoadingFile(fileName3)) {
                                                                    ImageReceiver imageReceiver8 = chatMessageCell.photoImage;
                                                                    ImageLocation forObject2 = ImageLocation.getForObject(chatMessageCell.currentPhotoObject, chatMessageCell.photoParentObject);
                                                                    String str12 = chatMessageCell.currentPhotoFilter;
                                                                    ImageLocation forObject3 = ImageLocation.getForObject(chatMessageCell.currentPhotoObjectThumb, chatMessageCell.photoParentObject);
                                                                    String str13 = chatMessageCell.currentPhotoFilterThumb;
                                                                    int i42 = noSize ? 0 : chatMessageCell.currentPhotoObject.size;
                                                                    MessageObject messageObject9 = chatMessageCell.currentMessageObject;
                                                                    imageReceiver8.setImage(forObject2, str12, forObject3, str13, i42, null, messageObject9, messageObject9.shouldEncryptPhotoOrVideo() ? 2 : 0);
                                                                } else {
                                                                    chatMessageCell.photoNotSet = true;
                                                                    TLRPC.PhotoSize photoSize23 = chatMessageCell.currentPhotoObjectThumb;
                                                                    if (photoSize23 != null) {
                                                                        ImageReceiver imageReceiver9 = chatMessageCell.photoImage;
                                                                        ImageLocation forObject4 = ImageLocation.getForObject(photoSize23, chatMessageCell.photoParentObject);
                                                                        String str14 = chatMessageCell.currentPhotoFilterThumb;
                                                                        MessageObject messageObject10 = chatMessageCell.currentMessageObject;
                                                                        imageReceiver9.setImage(null, null, forObject4, str14, 0, null, messageObject10, messageObject10.shouldEncryptPhotoOrVideo() ? 2 : 0);
                                                                    } else {
                                                                        chatMessageCell.photoImage.setImageBitmap((Drawable) null);
                                                                    }
                                                                }
                                                            } else if (chatMessageCell.blnImgExchanged) {
                                                                File f10 = null;
                                                                if (messageObject5.messageOwner.attachPath != null && messageObject5.messageOwner.attachPath.length() != 0) {
                                                                    f10 = new File(messageObject5.messageOwner.attachPath);
                                                                }
                                                                if (f10 == null || !f10.exists()) {
                                                                    f10 = FileLoader.getPathToMessage(messageObject5.messageOwner);
                                                                }
                                                                if (f10 == null || !f10.exists()) {
                                                                    TLRPC.PhotoSize photoSize24 = chatMessageCell.currentPhotoObjectThumb;
                                                                    if (photoSize24 != null) {
                                                                        ImageReceiver imageReceiver10 = chatMessageCell.photoImage;
                                                                        ImageLocation forObject5 = ImageLocation.getForObject(photoSize24, chatMessageCell.photoParentObject);
                                                                        String str15 = chatMessageCell.currentPhotoFilter;
                                                                        ImageLocation forObject6 = ImageLocation.getForObject(chatMessageCell.currentPhotoObjectThumb, chatMessageCell.photoParentObject);
                                                                        String str16 = chatMessageCell.currentPhotoFilterThumb;
                                                                        MessageObject messageObject11 = chatMessageCell.currentMessageObject;
                                                                        imageReceiver10.setImage(forObject5, str15, forObject6, str16, 0, null, messageObject11, messageObject11.shouldEncryptPhotoOrVideo() ? 2 : 0);
                                                                    }
                                                                } else {
                                                                    ImageReceiver imageReceiver11 = chatMessageCell.photoImage;
                                                                    ImageLocation forPath2 = ImageLocation.getForPath(f10.getPath());
                                                                    String str17 = chatMessageCell.currentPhotoFilter;
                                                                    ImageLocation forObject7 = ImageLocation.getForObject(chatMessageCell.currentPhotoObjectThumb, chatMessageCell.photoParentObject);
                                                                    String str18 = chatMessageCell.currentPhotoFilterThumb;
                                                                    MessageObject messageObject12 = chatMessageCell.currentMessageObject;
                                                                    imageReceiver11.setImage(forPath2, str17, forObject7, str18, 0, null, messageObject12, messageObject12.shouldEncryptPhotoOrVideo() ? 2 : 0);
                                                                }
                                                            } else {
                                                                chatMessageCell.photoImage.setImageBitmap((Drawable) null);
                                                            }
                                                        }
                                                    } else {
                                                        chatMessageCell.photoImage.setAllowStartAnimation(true);
                                                        chatMessageCell.photoImage.startAnimation();
                                                        TLRPC.Document document11 = messageObject.getDocument();
                                                        f2 = 1.0f;
                                                        messageObject5 = messageObject2;
                                                        chatMessageCell.photoImage.setImage(ImageLocation.getForDocument(document11), ImageLoader.AUTOPLAY_FILTER, ImageLocation.getForObject(chatMessageCell.currentPhotoObject, chatMessageCell.photoParentObject), chatMessageCell.currentPhotoFilter, ImageLocation.getForDocument(chatMessageCell.currentPhotoObjectThumb, document11), chatMessageCell.currentPhotoFilterThumb, null, messageObject.getDocument().size, null, messageObject, 0);
                                                    }
                                                    photoHeight2 = photoHeight;
                                                    additionHeight4 = additionHeight8;
                                                }
                                                noSize = true;
                                                photoSize2 = chatMessageCell.currentPhotoObject;
                                                if (photoSize2 != null) {
                                                    chatMessageCell.currentPhotoObject.size = -1;
                                                }
                                                photoSize3 = chatMessageCell.currentPhotoObjectThumb;
                                                if (photoSize3 == null) {
                                                }
                                                if (SharedConfig.autoplayVideo) {
                                                    groupedMessagePosition = chatMessageCell.currentPosition;
                                                    if (groupedMessagePosition == null) {
                                                    }
                                                }
                                                if (chatMessageCell.autoPlayingMedia) {
                                                }
                                                photoHeight2 = photoHeight;
                                                additionHeight4 = additionHeight8;
                                            }
                                            needQualityPreview = false;
                                            if (messageObject5.type != 5) {
                                            }
                                            photoSize = chatMessageCell.currentPhotoObject;
                                            if (photoSize != null) {
                                                if (messageObject5.type != 1) {
                                                }
                                            }
                                            if (needQualityPreview) {
                                                chatMessageCell.photoImage.setNeedsQualityThumb(true);
                                                chatMessageCell.photoImage.setShouldGenerateQualityThumb(true);
                                            }
                                            if (chatMessageCell.currentMessagesGroup == null) {
                                                chatMessageCell.mediaBackground = false;
                                            }
                                            if (w != 0) {
                                            }
                                            while (a2 < messageObject.getDocument().attributes.size()) {
                                            }
                                            if (w != 0) {
                                            }
                                            int dp152 = AndroidUtilities.dp(150.0f);
                                            imageW = dp152;
                                            w = dp152;
                                            if (messageObject5.type == 3) {
                                                w = chatMessageCell.infoWidth + AndroidUtilities.dp(40.0f);
                                            }
                                            if (chatMessageCell.currentMessagesGroup == null) {
                                            }
                                            if (messageObject5.type == 5) {
                                            }
                                            measureTime(messageObject);
                                            timeWidthTotal = chatMessageCell.timeWidth + AndroidUtilities.dp((!messageObject.isOutOwner() ? 20 : 0) + 14);
                                            if (w < timeWidthTotal) {
                                            }
                                            if (!messageObject.isRoundVideo()) {
                                            }
                                            int widthForCaption62 = 0;
                                            boolean fixPhotoWidth22 = false;
                                            if (chatMessageCell.currentMessagesGroup == null) {
                                            }
                                            if (chatMessageCell.currentCaption == null) {
                                            }
                                            if (fixPhotoWidth) {
                                            }
                                            photoWidth3 = photoWidth2;
                                            String format222222 = String.format(Locale.US, "%d_%d", Integer.valueOf((int) (w2 / AndroidUtilities.density)), Integer.valueOf((int) (h / AndroidUtilities.density)));
                                            chatMessageCell.currentPhotoFilterThumb = format222222;
                                            chatMessageCell.currentPhotoFilter = format222222;
                                            if (messageObject2.photoThumbs != null) {
                                                if (messageObject.needDrawBluredPreview()) {
                                                }
                                                if (messageObject2.type != 3) {
                                                    noSize = false;
                                                    photoSize2 = chatMessageCell.currentPhotoObject;
                                                    if (photoSize2 != null) {
                                                    }
                                                    photoSize3 = chatMessageCell.currentPhotoObjectThumb;
                                                    if (photoSize3 == null) {
                                                    }
                                                    if (SharedConfig.autoplayVideo) {
                                                    }
                                                    if (chatMessageCell.autoPlayingMedia) {
                                                    }
                                                    photoHeight2 = photoHeight;
                                                    additionHeight4 = additionHeight8;
                                                }
                                                noSize = true;
                                                photoSize2 = chatMessageCell.currentPhotoObject;
                                                if (photoSize2 != null) {
                                                }
                                                photoSize3 = chatMessageCell.currentPhotoObjectThumb;
                                                if (photoSize3 == null) {
                                                }
                                                if (SharedConfig.autoplayVideo) {
                                                }
                                                if (chatMessageCell.autoPlayingMedia) {
                                                }
                                                photoHeight2 = photoHeight;
                                                additionHeight4 = additionHeight8;
                                            }
                                            if (messageObject.needDrawBluredPreview()) {
                                            }
                                            if (messageObject2.type != 3) {
                                            }
                                            noSize = true;
                                            photoSize2 = chatMessageCell.currentPhotoObject;
                                            if (photoSize2 != null) {
                                            }
                                            photoSize3 = chatMessageCell.currentPhotoObjectThumb;
                                            if (photoSize3 == null) {
                                            }
                                            if (SharedConfig.autoplayVideo) {
                                            }
                                            if (chatMessageCell.autoPlayingMedia) {
                                            }
                                            photoHeight2 = photoHeight;
                                            additionHeight4 = additionHeight8;
                                        }
                                    }
                                }
                                setMessageObjectInternal(messageObject);
                                if (!chatMessageCell.drawForwardedName && messageObject.needDrawForwarded() && ((groupedMessagePosition5 = chatMessageCell.currentPosition) == null || groupedMessagePosition5.minY == 0)) {
                                    if (messageObject5.type != 5) {
                                        chatMessageCell.namesOffset += AndroidUtilities.dp(5.0f);
                                    }
                                } else if (chatMessageCell.drawNameLayout) {
                                    int i43 = messageObject5.messageOwner.reply_to_msg_id;
                                }
                                if (messageObject5.type == 9 || chatMessageCell.drawPhotoImage) {
                                    chatMessageCell.totalHeight = AndroidUtilities.dp(14.0f) + photoHeight2 + chatMessageCell.namesOffset + additionHeight4;
                                } else {
                                    chatMessageCell.totalHeight = AndroidUtilities.dp(74.0f) + chatMessageCell.namesOffset + additionHeight4;
                                }
                                groupedMessagePosition2 = chatMessageCell.currentPosition;
                                if (groupedMessagePosition2 != null) {
                                    chatMessageCell.totalHeight += mOffset * 2;
                                    i2 = 4;
                                } else {
                                    if ((groupedMessagePosition2.flags & 8) == 0) {
                                        i2 = 4;
                                    } else {
                                        i2 = 4;
                                    }
                                    chatMessageCell.totalHeight += mOffset;
                                }
                                groupedMessagePosition3 = chatMessageCell.currentPosition;
                                if (groupedMessagePosition3 != null && (groupedMessagePosition3.flags & 8) == 0) {
                                    chatMessageCell.totalHeight -= AndroidUtilities.dp(3.0f);
                                }
                                int additionalTop22222 = 0;
                                groupedMessagePosition4 = chatMessageCell.currentPosition;
                                if (groupedMessagePosition4 != null) {
                                    photoWidth3 += chatMessageCell.getAdditionalWidthForPosition(groupedMessagePosition4);
                                    if ((chatMessageCell.currentPosition.flags & i2) == 0) {
                                        photoHeight2 += AndroidUtilities.dp(4.0f);
                                        additionalTop22222 = 0 - AndroidUtilities.dp(4.0f);
                                    }
                                    if ((chatMessageCell.currentPosition.flags & 8) == 0) {
                                        photoHeight2 += AndroidUtilities.dp(f2);
                                    }
                                }
                                if (chatMessageCell.drawPinnedTop) {
                                    chatMessageCell.namesOffset -= AndroidUtilities.dp(f2);
                                }
                                if (chatMessageCell.currentPosition == null) {
                                    if (chatMessageCell.namesOffset > 0) {
                                        y2 = AndroidUtilities.dp(5.0f);
                                        chatMessageCell.totalHeight -= AndroidUtilities.dp(4.0f);
                                    } else {
                                        y2 = AndroidUtilities.dp(5.0f);
                                        chatMessageCell.totalHeight -= AndroidUtilities.dp(4.0f);
                                    }
                                    if ((chatMessageCell.currentPosition.flags & i2) != 0) {
                                        y2 += mOffset;
                                    }
                                } else {
                                    int y4 = chatMessageCell.namesOffset;
                                    if (y4 > 0) {
                                        y = AndroidUtilities.dp(5.0f);
                                        chatMessageCell.totalHeight -= AndroidUtilities.dp(4.0f);
                                    } else {
                                        y = AndroidUtilities.dp(5.0f);
                                        chatMessageCell.totalHeight -= AndroidUtilities.dp(4.0f);
                                    }
                                    y2 = y + mOffset;
                                }
                                if (BuildVars.DEBUG_VERSION) {
                                    int pcIndex = -1;
                                    if (chatMessageCell.currentMessageObject != null && (groupedMessages2 = chatMessageCell.currentMessagesGroup) != null) {
                                        for (int i44 = groupedMessages2.messages.size() - 1; i44 >= 0; i44--) {
                                            if (chatMessageCell.currentMessagesGroup.messages.get(i44) == chatMessageCell.currentMessageObject) {
                                                pcIndex = i44;
                                            }
                                        }
                                    }
                                    if (BuildVars.DEBUG_VERSION) {
                                        StringBuilder append = new StringBuilder().append("setMessageContent() ===>  , pcIndex=").append(pcIndex).append(" , isAvatarVisible=").append(chatMessageCell.isAvatarVisible).append(" , edge=");
                                        MessageObject.GroupedMessagePosition groupedMessagePosition15 = chatMessageCell.currentPosition;
                                        StringBuilder append2 = append.append(groupedMessagePosition15 != null ? Boolean.valueOf(groupedMessagePosition15.edge) : "false").append(" , captionLength=");
                                        CharSequence charSequence4 = chatMessageCell.currentCaption;
                                        Log.i("CMCell", append2.append(charSequence4 != null ? Integer.valueOf(charSequence4.length()) : "null").append(" , captionWidth=").append(chatMessageCell.captionWidth).append(" , x=").append(0).append(" , y=").append(chatMessageCell.namesOffset + y2 + additionalTop22222).append(" , w=").append(photoWidth3).append(" , h=").append(photoHeight2).toString());
                                    }
                                }
                                chatMessageCell.photoImage.setImageCoords(0, chatMessageCell.namesOffset + y2 + additionalTop22222, photoWidth3, photoHeight2);
                                invalidate();
                                if (chatMessageCell.currentPosition == null && !messageObject.isAnyKindOfSticker() && chatMessageCell.addedCaptionHeight == 0) {
                                    if (chatMessageCell.captionLayout == null && messageObject5.caption != null) {
                                        try {
                                            chatMessageCell.currentCaption = messageObject5.caption;
                                            int width13 = chatMessageCell.backgroundWidth - AndroidUtilities.dp(31.0f);
                                            int widthForCaption9 = width13 - AndroidUtilities.dp(10.0f);
                                            if (Build.VERSION.SDK_INT < 24) {
                                                chatMessageCell.captionLayout = StaticLayout.Builder.obtain(messageObject5.caption, 0, messageObject5.caption.length(), Theme.chat_msgTextPaint, widthForCaption9).setBreakStrategy(1).setHyphenationFrequency(0).setAlignment(Layout.Alignment.ALIGN_NORMAL).build();
                                            } else {
                                                chatMessageCell.captionLayout = new StaticLayout(messageObject5.caption, Theme.chat_msgTextPaint, widthForCaption9, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                            }
                                        } catch (Exception e33) {
                                            FileLog.e(e33);
                                        }
                                    }
                                    if (chatMessageCell.captionLayout != null) {
                                        try {
                                            int width14 = chatMessageCell.backgroundWidth - AndroidUtilities.dp(31.0f);
                                            int widthForCaption10 = width14 - AndroidUtilities.dp(10.0f);
                                            StaticLayout staticLayout33 = chatMessageCell.captionLayout;
                                            if (staticLayout33 != null && staticLayout33.getLineCount() > 0) {
                                                chatMessageCell.captionWidth = widthForCaption10;
                                                int i45 = chatMessageCell.timeWidth;
                                                int dp17 = messageObject.isOutOwner() ? AndroidUtilities.dp(20.0f) : 0;
                                                int height16 = chatMessageCell.captionLayout.getHeight();
                                                chatMessageCell.captionHeight = height16;
                                                chatMessageCell.totalHeight += height16 + AndroidUtilities.dp(9.0f);
                                                StaticLayout staticLayout34 = chatMessageCell.captionLayout;
                                                float lineWidth2 = staticLayout34.getLineWidth(staticLayout34.getLineCount() - 1);
                                                StaticLayout staticLayout35 = chatMessageCell.captionLayout;
                                                float lastLineWidth2 = lineWidth2 + staticLayout35.getLineLeft(staticLayout35.getLineCount() - 1);
                                                if ((width14 - AndroidUtilities.dp(8.0f)) - lastLineWidth2 < i45 + dp17) {
                                                    chatMessageCell.totalHeight += AndroidUtilities.dp(14.0f);
                                                    chatMessageCell.captionHeight += AndroidUtilities.dp(14.0f);
                                                    z10 = true;
                                                }
                                            }
                                            z4 = z10;
                                        } catch (Exception e34) {
                                            FileLog.e(e34);
                                        }
                                        if (chatMessageCell.captionLayout == null && (i5 = chatMessageCell.widthBeforeNewTimeLine) != -1 && chatMessageCell.availableTimeWidth - i5 < chatMessageCell.timeWidth) {
                                            chatMessageCell.totalHeight += AndroidUtilities.dp(14.0f);
                                        }
                                        if (chatMessageCell.currentMessageObject.eventId != 0 && !chatMessageCell.currentMessageObject.isMediaEmpty() && chatMessageCell.currentMessageObject.messageOwner.media.webpage != null) {
                                            int linkPreviewMaxWidth8 = chatMessageCell.backgroundWidth - AndroidUtilities.dp(41.0f);
                                            chatMessageCell.hasOldCaptionPreview = true;
                                            chatMessageCell.linkPreviewHeight = 0;
                                            TLRPC.WebPage webPage2 = chatMessageCell.currentMessageObject.messageOwner.media.webpage;
                                            try {
                                                int width15 = (int) Math.ceil(Theme.chat_replyNamePaint.measureText(webPage2.site_name) + f2);
                                                chatMessageCell.siteNameWidth = width15;
                                                StaticLayout staticLayout36 = new StaticLayout(webPage2.site_name, Theme.chat_replyNamePaint, Math.min(width15, linkPreviewMaxWidth8), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                                chatMessageCell.siteNameLayout = staticLayout36;
                                                chatMessageCell.siteNameRtl = staticLayout36.getLineLeft(0) == f;
                                                StaticLayout staticLayout37 = chatMessageCell.siteNameLayout;
                                                int height17 = staticLayout37.getLineBottom(staticLayout37.getLineCount() - 1);
                                                chatMessageCell.linkPreviewHeight += height17;
                                                chatMessageCell.totalHeight += height17;
                                            } catch (Exception e35) {
                                                FileLog.e(e35);
                                            }
                                            try {
                                                chatMessageCell.descriptionX = 0;
                                                if (chatMessageCell.linkPreviewHeight != 0) {
                                                    chatMessageCell.totalHeight += AndroidUtilities.dp(2.0f);
                                                }
                                                StaticLayout createStaticLayout = StaticLayoutEx.createStaticLayout(webPage2.description, Theme.chat_replyTextPaint, linkPreviewMaxWidth8, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(f2), false, TextUtils.TruncateAt.END, linkPreviewMaxWidth8, 6);
                                                chatMessageCell.descriptionLayout = createStaticLayout;
                                                int height18 = createStaticLayout.getLineBottom(createStaticLayout.getLineCount() - 1);
                                                chatMessageCell.linkPreviewHeight += height18;
                                                chatMessageCell.totalHeight += height18;
                                                for (a4 = 0; a4 < chatMessageCell.descriptionLayout.getLineCount(); a4++) {
                                                    int lineLeft5 = (int) Math.ceil(chatMessageCell.descriptionLayout.getLineLeft(a4));
                                                    if (lineLeft5 != 0) {
                                                        int i46 = chatMessageCell.descriptionX;
                                                        if (i46 == 0) {
                                                            chatMessageCell.descriptionX = -lineLeft5;
                                                        } else {
                                                            chatMessageCell.descriptionX = Math.max(i46, -lineLeft5);
                                                        }
                                                    }
                                                }
                                            } catch (Exception e36) {
                                                FileLog.e(e36);
                                            }
                                            int dp18 = chatMessageCell.totalHeight + AndroidUtilities.dp(17.0f);
                                            chatMessageCell.totalHeight = dp18;
                                            if (z4) {
                                                chatMessageCell.totalHeight = dp18 - AndroidUtilities.dp(14.0f);
                                                if (z4) {
                                                    chatMessageCell.captionHeight -= AndroidUtilities.dp(14.0f);
                                                }
                                            }
                                        }
                                        chatMessageCell.botButtons.clear();
                                        if (messageIdChanged) {
                                            anonymousClass1 = null;
                                        } else {
                                            chatMessageCell.botButtonsByData.clear();
                                            chatMessageCell.botButtonsByPosition.clear();
                                            anonymousClass1 = null;
                                            chatMessageCell.botButtonsLayout = null;
                                        }
                                        if (chatMessageCell.currentPosition == null) {
                                            if ((messageObject5.messageOwner.reply_markup instanceof TLRPC.TL_replyInlineMarkup) || (messageObject5.messageOwner.reactions != null && !messageObject5.messageOwner.reactions.results.isEmpty())) {
                                                int rows = messageObject5.messageOwner.reply_markup instanceof TLRPC.TL_replyInlineMarkup ? messageObject5.messageOwner.reply_markup.rows.size() : 1;
                                                int dp19 = (AndroidUtilities.dp(48.0f) * rows) + AndroidUtilities.dp(f2);
                                                chatMessageCell.keyboardHeight = dp19;
                                                chatMessageCell.substractBackgroundHeight = dp19;
                                                chatMessageCell.widthForButtons = chatMessageCell.backgroundWidth - AndroidUtilities.dp(chatMessageCell.mediaBackground ? 0.0f : 9.0f);
                                                if (messageObject5.wantedBotKeyboardWidth > chatMessageCell.widthForButtons) {
                                                    int maxButtonWidth = -AndroidUtilities.dp((chatMessageCell.isChat && messageObject.needDrawAvatar() && !messageObject.isOutOwner()) ? 62.0f : 10.0f);
                                                    chatMessageCell.widthForButtons = Math.max(chatMessageCell.backgroundWidth, Math.min(messageObject5.wantedBotKeyboardWidth, AndroidUtilities.isTablet() ? maxButtonWidth + AndroidUtilities.getMinTabletSide() : maxButtonWidth + (Math.min(AndroidUtilities.displaySize.x, AndroidUtilities.displaySize.y) - AndroidUtilities.dp(5.0f))));
                                                }
                                                int maxButtonsWidth = 0;
                                                HashMap<String, BotButton> oldByData2 = new HashMap<>(chatMessageCell.botButtonsByData);
                                                if (messageObject5.botButtonsLayout == null || (str2 = chatMessageCell.botButtonsLayout) == null || !str2.equals(messageObject5.botButtonsLayout.toString())) {
                                                    if (messageObject5.botButtonsLayout != null) {
                                                        chatMessageCell.botButtonsLayout = messageObject5.botButtonsLayout.toString();
                                                    }
                                                    oldByPosition = null;
                                                } else {
                                                    oldByPosition = new HashMap<>(chatMessageCell.botButtonsByPosition);
                                                }
                                                chatMessageCell.botButtonsByData.clear();
                                                if (messageObject5.messageOwner.reply_markup instanceof TLRPC.TL_replyInlineMarkup) {
                                                    int a30 = 0;
                                                    while (a30 < rows) {
                                                        TLRPC.TL_keyboardButtonRow row = messageObject5.messageOwner.reply_markup.rows.get(a30);
                                                        int buttonsCount = row.buttons.size();
                                                        if (buttonsCount != 0) {
                                                            int buttonWidth = ((chatMessageCell.widthForButtons - (AndroidUtilities.dp(5.0f) * (buttonsCount - 1))) - AndroidUtilities.dp(2.0f)) / buttonsCount;
                                                            int b7 = 0;
                                                            while (b7 < row.buttons.size()) {
                                                                BotButton botButton = new BotButton();
                                                                botButton.button = row.buttons.get(b7);
                                                                String key = Utilities.bytesToHex(botButton.button.data);
                                                                int rows2 = rows;
                                                                String position4 = a30 + "" + b7;
                                                                if (oldByPosition != null) {
                                                                    oldButton2 = oldByPosition.get(position4);
                                                                } else {
                                                                    BotButton oldButton3 = oldByData2.get(key);
                                                                    oldButton2 = oldButton3;
                                                                }
                                                                if (oldButton2 != null) {
                                                                    z6 = z4;
                                                                    botButton.progressAlpha = oldButton2.progressAlpha;
                                                                    botButton.angle = oldButton2.angle;
                                                                    oldByData = oldByData2;
                                                                    oldByPosition3 = oldByPosition;
                                                                    botButton.lastUpdateTime = oldButton2.lastUpdateTime;
                                                                } else {
                                                                    z6 = z4;
                                                                    oldByData = oldByData2;
                                                                    oldByPosition3 = oldByPosition;
                                                                    botButton.lastUpdateTime = System.currentTimeMillis();
                                                                }
                                                                chatMessageCell.botButtonsByData.put(key, botButton);
                                                                chatMessageCell.botButtonsByPosition.put(position4, botButton);
                                                                botButton.x = (AndroidUtilities.dp(5.0f) + buttonWidth) * b7;
                                                                botButton.y = (AndroidUtilities.dp(48.0f) * a30) + AndroidUtilities.dp(5.0f);
                                                                botButton.width = buttonWidth;
                                                                botButton.height = AndroidUtilities.dp(44.0f);
                                                                if (!(botButton.button instanceof TLRPC.TL_keyboardButtonBuy) || (messageObject5.messageOwner.media.flags & 4) == 0) {
                                                                    CharSequence buttonText2 = Emoji.replaceEmoji(botButton.button.text, Theme.chat_botButtonPaint.getFontMetricsInt(), AndroidUtilities.dp(15.0f), false);
                                                                    buttonText = TextUtils.ellipsize(buttonText2, Theme.chat_botButtonPaint, buttonWidth - AndroidUtilities.dp(10.0f), TextUtils.TruncateAt.END);
                                                                } else {
                                                                    buttonText = LocaleController.getString("PaymentReceipt", R.string.PaymentReceipt);
                                                                }
                                                                botButton.title = new StaticLayout(buttonText, Theme.chat_botButtonPaint, buttonWidth - AndroidUtilities.dp(10.0f), Layout.Alignment.ALIGN_CENTER, 1.0f, 0.0f, false);
                                                                chatMessageCell.botButtons.add(botButton);
                                                                if (b7 == row.buttons.size() - 1) {
                                                                    maxButtonsWidth = Math.max(maxButtonsWidth, botButton.x + botButton.width);
                                                                }
                                                                b7++;
                                                                oldByData2 = oldByData;
                                                                rows = rows2;
                                                                z4 = z6;
                                                                oldByPosition = oldByPosition3;
                                                                anonymousClass1 = null;
                                                            }
                                                        }
                                                        a30++;
                                                        oldByData2 = oldByData2;
                                                        rows = rows;
                                                        z4 = z4;
                                                        oldByPosition = oldByPosition;
                                                        anonymousClass1 = null;
                                                    }
                                                } else {
                                                    HashMap<String, BotButton> oldByData3 = oldByData2;
                                                    HashMap<String, BotButton> oldByData4 = oldByPosition;
                                                    int buttonsCount2 = messageObject5.messageOwner.reactions.results.size();
                                                    int buttonWidth2 = ((chatMessageCell.widthForButtons - (AndroidUtilities.dp(5.0f) * (buttonsCount2 - 1))) - AndroidUtilities.dp(2.0f)) / buttonsCount2;
                                                    int b8 = 0;
                                                    while (b8 < buttonsCount2) {
                                                        TLRPC.TL_reactionCount reaction = messageObject5.messageOwner.reactions.results.get(b8);
                                                        BotButton botButton2 = new BotButton();
                                                        botButton2.reaction = reaction;
                                                        String key2 = reaction.reaction;
                                                        String position5 = "0" + b8;
                                                        if (oldByData4 != null) {
                                                            oldByPosition2 = oldByData4;
                                                            oldButton = oldByPosition2.get(position5);
                                                        } else {
                                                            oldByPosition2 = oldByData4;
                                                            oldButton = oldByData3.get(key2);
                                                        }
                                                        if (oldButton != null) {
                                                            botButton2.progressAlpha = oldButton.progressAlpha;
                                                            botButton2.angle = oldButton.angle;
                                                            botButton2.lastUpdateTime = oldButton.lastUpdateTime;
                                                        } else {
                                                            botButton2.lastUpdateTime = System.currentTimeMillis();
                                                        }
                                                        chatMessageCell.botButtonsByData.put(key2, botButton2);
                                                        chatMessageCell.botButtonsByPosition.put(position5, botButton2);
                                                        botButton2.x = (AndroidUtilities.dp(5.0f) + buttonWidth2) * b8;
                                                        botButton2.y = AndroidUtilities.dp(5.0f);
                                                        botButton2.width = buttonWidth2;
                                                        botButton2.height = AndroidUtilities.dp(44.0f);
                                                        HashMap<String, BotButton> oldByData5 = oldByData3;
                                                        CharSequence buttonText3 = Emoji.replaceEmoji(String.format("%d %s", Integer.valueOf(reaction.count), reaction.reaction), Theme.chat_botButtonPaint.getFontMetricsInt(), AndroidUtilities.dp(15.0f), false);
                                                        botButton2.title = new StaticLayout(TextUtils.ellipsize(buttonText3, Theme.chat_botButtonPaint, buttonWidth2 - AndroidUtilities.dp(10.0f), TextUtils.TruncateAt.END), Theme.chat_botButtonPaint, buttonWidth2 - AndroidUtilities.dp(10.0f), Layout.Alignment.ALIGN_CENTER, 1.0f, 0.0f, false);
                                                        chatMessageCell.botButtons.add(botButton2);
                                                        if (b8 == buttonsCount2 - 1) {
                                                            maxButtonsWidth = Math.max(maxButtonsWidth, botButton2.x + botButton2.width);
                                                        }
                                                        b8++;
                                                        messageObject5 = messageObject;
                                                        oldByData3 = oldByData5;
                                                        oldByData4 = oldByPosition2;
                                                    }
                                                }
                                                chatMessageCell.widthForButtons = maxButtonsWidth;
                                                z5 = chatMessageCell.drawPinnedBottom;
                                                if (!z5 && chatMessageCell.drawPinnedTop) {
                                                    chatMessageCell.totalHeight -= AndroidUtilities.dp(2.0f);
                                                } else if (z5) {
                                                    chatMessageCell.totalHeight -= AndroidUtilities.dp(f2);
                                                } else if (chatMessageCell.drawPinnedTop && chatMessageCell.pinnedBottom && (groupedMessagePosition7 = chatMessageCell.currentPosition) != null && groupedMessagePosition7.siblingHeights == null) {
                                                    chatMessageCell.totalHeight -= AndroidUtilities.dp(f2);
                                                }
                                                if (!messageObject.isAnyKindOfSticker() && chatMessageCell.totalHeight < AndroidUtilities.dp(70.0f)) {
                                                    chatMessageCell.totalHeight = AndroidUtilities.dp(70.0f);
                                                } else if (messageObject.isAnimatedEmoji()) {
                                                    chatMessageCell.totalHeight += AndroidUtilities.dp(16.0f);
                                                }
                                                if (!chatMessageCell.drawPhotoImage) {
                                                    chatMessageCell.photoImage.setImageBitmap((Drawable) null);
                                                }
                                                if (chatMessageCell.documentAttachType != 5) {
                                                    messageObject4 = messageObject;
                                                    chatMessageCell.radialProgress.setImageOverlay(null, null, null);
                                                } else if (MessageObject.isDocumentHasThumb(chatMessageCell.documentAttach)) {
                                                    TLRPC.PhotoSize thumb = FileLoader.getClosestPhotoSizeWithSize(chatMessageCell.documentAttach.thumbs, 90);
                                                    messageObject4 = messageObject;
                                                    chatMessageCell.radialProgress.setImageOverlay(thumb, chatMessageCell.documentAttach, messageObject4);
                                                } else {
                                                    messageObject4 = messageObject;
                                                    String artworkUrl = messageObject4.getArtworkUrl(true);
                                                    if (TextUtils.isEmpty(artworkUrl)) {
                                                        chatMessageCell.radialProgress.setImageOverlay(null, null, null);
                                                    } else {
                                                        chatMessageCell.radialProgress.setImageOverlay(artworkUrl);
                                                    }
                                                }
                                            }
                                        }
                                        chatMessageCell.substractBackgroundHeight = 0;
                                        chatMessageCell.keyboardHeight = 0;
                                        z5 = chatMessageCell.drawPinnedBottom;
                                        if (!z5) {
                                        }
                                        if (z5) {
                                        }
                                        if (!messageObject.isAnyKindOfSticker()) {
                                        }
                                        if (messageObject.isAnimatedEmoji()) {
                                        }
                                        if (!chatMessageCell.drawPhotoImage) {
                                        }
                                        if (chatMessageCell.documentAttachType != 5) {
                                        }
                                    }
                                }
                                z4 = z10;
                                if (chatMessageCell.captionLayout == null) {
                                    chatMessageCell.totalHeight += AndroidUtilities.dp(14.0f);
                                }
                                if (chatMessageCell.currentMessageObject.eventId != 0) {
                                    int linkPreviewMaxWidth82 = chatMessageCell.backgroundWidth - AndroidUtilities.dp(41.0f);
                                    chatMessageCell.hasOldCaptionPreview = true;
                                    chatMessageCell.linkPreviewHeight = 0;
                                    TLRPC.WebPage webPage22 = chatMessageCell.currentMessageObject.messageOwner.media.webpage;
                                    int width152 = (int) Math.ceil(Theme.chat_replyNamePaint.measureText(webPage22.site_name) + f2);
                                    chatMessageCell.siteNameWidth = width152;
                                    StaticLayout staticLayout362 = new StaticLayout(webPage22.site_name, Theme.chat_replyNamePaint, Math.min(width152, linkPreviewMaxWidth82), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                                    chatMessageCell.siteNameLayout = staticLayout362;
                                    chatMessageCell.siteNameRtl = staticLayout362.getLineLeft(0) == f;
                                    StaticLayout staticLayout372 = chatMessageCell.siteNameLayout;
                                    int height172 = staticLayout372.getLineBottom(staticLayout372.getLineCount() - 1);
                                    chatMessageCell.linkPreviewHeight += height172;
                                    chatMessageCell.totalHeight += height172;
                                    chatMessageCell.descriptionX = 0;
                                    if (chatMessageCell.linkPreviewHeight != 0) {
                                    }
                                    StaticLayout createStaticLayout2 = StaticLayoutEx.createStaticLayout(webPage22.description, Theme.chat_replyTextPaint, linkPreviewMaxWidth82, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(f2), false, TextUtils.TruncateAt.END, linkPreviewMaxWidth82, 6);
                                    chatMessageCell.descriptionLayout = createStaticLayout2;
                                    int height182 = createStaticLayout2.getLineBottom(createStaticLayout2.getLineCount() - 1);
                                    chatMessageCell.linkPreviewHeight += height182;
                                    chatMessageCell.totalHeight += height182;
                                    while (a4 < chatMessageCell.descriptionLayout.getLineCount()) {
                                    }
                                    int dp182 = chatMessageCell.totalHeight + AndroidUtilities.dp(17.0f);
                                    chatMessageCell.totalHeight = dp182;
                                    if (z4) {
                                    }
                                }
                                chatMessageCell.botButtons.clear();
                                if (messageIdChanged) {
                                }
                                if (chatMessageCell.currentPosition == null) {
                                }
                                chatMessageCell.substractBackgroundHeight = 0;
                                chatMessageCell.keyboardHeight = 0;
                                z5 = chatMessageCell.drawPinnedBottom;
                                if (!z5) {
                                }
                                if (z5) {
                                }
                                if (!messageObject.isAnyKindOfSticker()) {
                                }
                                if (messageObject.isAnimatedEmoji()) {
                                }
                                if (!chatMessageCell.drawPhotoImage) {
                                }
                                if (chatMessageCell.documentAttachType != 5) {
                                }
                            }
                        }
                    }
                    f = 0.0f;
                    f2 = 1.0f;
                    if (chatMessageCell.currentPosition == null) {
                        if (chatMessageCell.captionLayout == null) {
                            chatMessageCell.currentCaption = messageObject5.caption;
                            int width132 = chatMessageCell.backgroundWidth - AndroidUtilities.dp(31.0f);
                            int widthForCaption92 = width132 - AndroidUtilities.dp(10.0f);
                            if (Build.VERSION.SDK_INT < 24) {
                            }
                        }
                        if (chatMessageCell.captionLayout != null) {
                        }
                    }
                    z4 = z10;
                    if (chatMessageCell.captionLayout == null) {
                    }
                    if (chatMessageCell.currentMessageObject.eventId != 0) {
                    }
                    chatMessageCell.botButtons.clear();
                    if (messageIdChanged) {
                    }
                    if (chatMessageCell.currentPosition == null) {
                    }
                    chatMessageCell.substractBackgroundHeight = 0;
                    chatMessageCell.keyboardHeight = 0;
                    z5 = chatMessageCell.drawPinnedBottom;
                    if (!z5) {
                    }
                    if (z5) {
                    }
                    if (!messageObject.isAnyKindOfSticker()) {
                    }
                    if (messageObject.isAnimatedEmoji()) {
                    }
                    if (!chatMessageCell.drawPhotoImage) {
                    }
                    if (chatMessageCell.documentAttachType != 5) {
                    }
                } else {
                    messageObject4 = messageObject5;
                }
                updateWaveform();
                chatMessageCell.updateButtonState(false, (dataChanged || messageObject4.cancelEditing) ? false : true, true);
                if (chatMessageCell.buttonState == 2 && chatMessageCell.documentAttachType == 3 && DownloadController.getInstance(chatMessageCell.currentAccount).canDownloadMedia(messageObject4)) {
                    FileLoader.getInstance(chatMessageCell.currentAccount).loadFile(chatMessageCell.documentAttach, chatMessageCell.currentMessageObject, 1, 0);
                    chatMessageCell.buttonState = 4;
                    chatMessageCell.radialProgress.setIcon(getIconForCurrentState(), false, false);
                }
                chatMessageCell.accessibilityVirtualViewBounds.clear();
            }
        }
        z = false;
        messageTranslated = z;
        if (messageTranslated) {
        }
        MessageObject messageObject62 = chatMessageCell.currentMessageObject;
        messageIdChanged = (messageObject62 == null && messageObject62.getId() == messageObject.getId()) ? false : true;
        messageChanged = chatMessageCell.currentMessageObject == messageObject5 || messageObject5.forceUpdate;
        MessageObject messageObject72 = chatMessageCell.currentMessageObject;
        boolean dataChanged2 = (messageObject72 == null && messageObject72.getId() == messageObject.getId() && chatMessageCell.lastSendState == 3 && messageObject.isSent()) || (chatMessageCell.currentMessageObject == messageObject5 && (isUserDataChanged() || chatMessageCell.photoNotSet));
        isAtAll = messageObject5 == null && messageObject5.messageText != null && messageObject5.messageText.toString().contains("@all");
        if (groupedMessages == chatMessageCell.currentMessagesGroup) {
        }
        pollChanged = false;
        chatMessageCell.blnImgExchanged = false;
        if (messageObject5.type != 9) {
        }
        if (messageObject5.type != 0) {
        }
        document = chatMessageCell.documentAttach;
        if (document != null) {
            if (chatMessageCell.documentAttach.mime_type == null) {
            }
            if (!MessageObject.isGifDocument(chatMessageCell.documentAttach)) {
            }
        }
        if (!messageChanged) {
            newResults = null;
            TLRPC.TL_poll newPoll2 = null;
            int newVoters2 = 0;
            if (messageObject5.messageOwner.media instanceof TLRPC.TL_messageMediaPoll) {
            }
            if (newResults != null) {
                pollChanged = true;
            }
            if (!pollChanged) {
                pollChanged = true;
            }
            if (!pollChanged) {
                pollChanged = true;
            }
            if (pollChanged) {
                chatMessageCell.pollAnimationProgressTime = 0.0f;
                if (chatMessageCell.pollVoted) {
                    chatMessageCell.pollUnvoteInProgress = true;
                }
            }
        }
        pollChanged2 = pollChanged;
        if (groupChanged) {
        }
        groupChanged2 = groupChanged;
        if (isAtAll) {
        }
        chatMessageCell.blnAttachFileLoaded = false;
        chatMessageCell.pinnedBottom = bottomNear;
        chatMessageCell.pinnedTop = topNear;
        chatMessageCell.currentMessageObject = messageObject5;
        chatMessageCell.currentMessagesGroup = groupedMessages;
        chatMessageCell.lastTime = -2;
        chatMessageCell.isHighlightedAnimated = false;
        chatMessageCell.widthBeforeNewTimeLine = -1;
        if (groupedMessages != null) {
        }
        chatMessageCell.currentMessagesGroup = null;
        chatMessageCell.currentPosition = null;
        chatMessageCell.drawPinnedTop = !chatMessageCell.pinnedTop && ((groupedMessagePosition10 = chatMessageCell.currentPosition) == null || (groupedMessagePosition10.flags & 4) != 0);
        chatMessageCell.drawPinnedBottom = !chatMessageCell.pinnedBottom && ((groupedMessagePosition9 = chatMessageCell.currentPosition) == null || (groupedMessagePosition9.flags & 8) != 0);
        chatMessageCell.photoImage.setCrossfadeWithOldImage(false);
        chatMessageCell.lastSendState = messageObject5.messageOwner.send_state;
        chatMessageCell.lastTranslate = messageObject5.messageOwner.trans;
        chatMessageCell.lastDeleteDate = messageObject5.messageOwner.destroyTime;
        chatMessageCell.lastViewsCount = messageObject5.messageOwner.views;
        chatMessageCell.isPressed = false;
        chatMessageCell.gamePreviewPressed = false;
        chatMessageCell.sharePressed = false;
        chatMessageCell.isCheckPressed = true;
        chatMessageCell.hasNewLineForTime = false;
        chatMessageCell.isAvatarVisible = (messageObject.needDrawAvatar() || messageObject.isNewSupport() || ((groupedMessagePosition8 = chatMessageCell.currentPosition) != null && (!groupedMessagePosition8.edge || (chatMessageCell.currentPosition.flags & 4) == 0))) ? false : true;
        chatMessageCell.wasLayout = false;
        chatMessageCell.drwaShareGoIcon = false;
        chatMessageCell.groupPhotoInvisible = false;
        chatMessageCell.animatingDrawVideoImageButton = 0;
        chatMessageCell.drawVideoSize = false;
        chatMessageCell.canStreamVideo = false;
        chatMessageCell.animatingNoSound = 0;
        chatMessageCell.drawShareButton = checkNeedDrawShareButton(messageObject);
        chatMessageCell.replyNameLayout = null;
        chatMessageCell.adminLayout = null;
        chatMessageCell.checkOnlyButtonPressed = false;
        chatMessageCell.replyTextLayout = null;
        chatMessageCell.hasEmbed = false;
        chatMessageCell.autoPlayingMedia = false;
        chatMessageCell.replyNameWidth = 0;
        chatMessageCell.replyTextWidth = 0;
        chatMessageCell.viaWidth = 0;
        chatMessageCell.viaNameWidth = 0;
        chatMessageCell.addedCaptionHeight = 0;
        chatMessageCell.currentReplyPhoto = null;
        chatMessageCell.currentUser = null;
        chatMessageCell.currentChat = null;
        chatMessageCell.currentViaBotUser = null;
        chatMessageCell.instantViewLayout = null;
        chatMessageCell.drawNameLayout = false;
        if (chatMessageCell.scheduledInvalidate) {
        }
        chatMessageCell.resetPressedLink(-1);
        messageObject5.forceUpdate = false;
        chatMessageCell.drawPhotoImage = false;
        chatMessageCell.drawPhotoCheckBox = false;
        chatMessageCell.hasLinkPreview = false;
        chatMessageCell.hasOldCaptionPreview = false;
        chatMessageCell.hasGamePreview = false;
        chatMessageCell.hasInvoicePreview = false;
        chatMessageCell.instantButtonPressed = false;
        chatMessageCell.instantPressed = false;
        if (!pollChanged2) {
            drawable.setVisible(false, false);
            chatMessageCell.selectorDrawable.setState(StateSet.NOTHING);
        }
        chatMessageCell.linkPreviewPressed = false;
        chatMessageCell.buttonPressed = 0;
        chatMessageCell.miniButtonPressed = 0;
        chatMessageCell.pressedBotButton = -1;
        chatMessageCell.pressedVoteButton = -1;
        chatMessageCell.linkPreviewHeight = 0;
        chatMessageCell.mediaOffsetY = 0;
        chatMessageCell.documentAttachType = 0;
        chatMessageCell.documentAttach = null;
        chatMessageCell.descriptionLayout = null;
        chatMessageCell.titleLayout = null;
        chatMessageCell.videoInfoLayout = null;
        chatMessageCell.photosCountLayout = null;
        chatMessageCell.siteNameLayout = null;
        chatMessageCell.authorLayout = null;
        chatMessageCell.captionLayout = null;
        chatMessageCell.captionOffsetX = 0;
        chatMessageCell.currentCaption = null;
        chatMessageCell.docTitleLayout = null;
        chatMessageCell.drawImageButton = false;
        chatMessageCell.drawVideoImageButton = false;
        chatMessageCell.currentPhotoObject = null;
        chatMessageCell.photoParentObject = null;
        chatMessageCell.currentPhotoObjectThumb = null;
        chatMessageCell.currentPhotoFilter = null;
        chatMessageCell.infoLayout = null;
        chatMessageCell.cancelLoading = false;
        chatMessageCell.buttonState = -1;
        chatMessageCell.miniButtonState = -1;
        chatMessageCell.hasMiniProgress = 0;
        if (chatMessageCell.addedForTest) {
            ImageLoader.getInstance().removeTestWebFile(chatMessageCell.currentUrl);
        }
        chatMessageCell.addedForTest = false;
        chatMessageCell.currentUrl = null;
        chatMessageCell.currentWebFile = null;
        chatMessageCell.photoNotSet = false;
        chatMessageCell.drawBackground = true;
        chatMessageCell.drawName = false;
        chatMessageCell.useSeekBarWaweform = false;
        chatMessageCell.drawInstantView = false;
        chatMessageCell.drawInstantViewType = 0;
        chatMessageCell.drawForwardedName = false;
        chatMessageCell.photoImage.setSideClip(0.0f);
        chatMessageCell.imageBackgroundColor = 0;
        chatMessageCell.imageBackgroundSideColor = 0;
        chatMessageCell.mediaBackground = false;
        chatMessageCell.photoImage.setAlpha(1.0f);
        if (!messageChanged) {
        }
        chatMessageCell.pollButtons.clear();
        boolean z102 = false;
        chatMessageCell.availableTimeWidth = 0;
        chatMessageCell.lastReactions = messageObject5.messageOwner.reactions;
        chatMessageCell.photoImage.setForceLoading(false);
        chatMessageCell.photoImage.setNeedsQualityThumb(false);
        chatMessageCell.photoImage.setShouldGenerateQualityThumb(false);
        chatMessageCell.photoImage.setAllowDecodeSingleFrame(false);
        chatMessageCell.photoImage.setRoundRadius(AndroidUtilities.dp(4.0f));
        chatMessageCell.photoImage.setColorFilter(null);
        if (messageChanged) {
        }
        relativeLayout = chatMessageCell.rlContainer;
        if (relativeLayout != null) {
        }
        float f52 = 50.0f;
        if (messageObject5.type != 0) {
        }
        f = 0.0f;
        f2 = 1.0f;
        if (chatMessageCell.currentPosition == null) {
        }
        z4 = z102;
        if (chatMessageCell.captionLayout == null) {
        }
        if (chatMessageCell.currentMessageObject.eventId != 0) {
        }
        chatMessageCell.botButtons.clear();
        if (messageIdChanged) {
        }
        if (chatMessageCell.currentPosition == null) {
        }
        chatMessageCell.substractBackgroundHeight = 0;
        chatMessageCell.keyboardHeight = 0;
        z5 = chatMessageCell.drawPinnedBottom;
        if (!z5) {
        }
        if (z5) {
        }
        if (!messageObject.isAnyKindOfSticker()) {
        }
        if (messageObject.isAnimatedEmoji()) {
        }
        if (!chatMessageCell.drawPhotoImage) {
        }
        if (chatMessageCell.documentAttachType != 5) {
        }
        updateWaveform();
        chatMessageCell.updateButtonState(false, (dataChanged2 || messageObject4.cancelEditing) ? false : true, true);
        if (chatMessageCell.buttonState == 2) {
            FileLoader.getInstance(chatMessageCell.currentAccount).loadFile(chatMessageCell.documentAttach, chatMessageCell.currentMessageObject, 1, 0);
            chatMessageCell.buttonState = 4;
            chatMessageCell.radialProgress.setIcon(getIconForCurrentState(), false, false);
        }
        chatMessageCell.accessibilityVirtualViewBounds.clear();
    }

    public static /* synthetic */ int lambda$setMessageContent$0(PollButton o1, PollButton o2) {
        if (o1.decimal <= o2.decimal) {
            if (o1.decimal < o2.decimal) {
                return 1;
            }
            return 0;
        }
        return -1;
    }

    public void checkVideoPlayback(boolean allowStart) {
        boolean z = false;
        if (this.currentMessageObject.isVideo()) {
            if (MediaController.getInstance().isPlayingMessage(this.currentMessageObject)) {
                this.photoImage.setAllowStartAnimation(false);
                this.photoImage.stopAnimation();
                return;
            }
            this.photoImage.setAllowStartAnimation(true);
            this.photoImage.startAnimation();
            return;
        }
        if (allowStart) {
            MessageObject playingMessage = MediaController.getInstance().getPlayingMessageObject();
            allowStart = (playingMessage == null || !playingMessage.isRoundVideo()) ? true : true;
        }
        this.photoImage.setAllowStartAnimation(allowStart);
        if (allowStart) {
            this.photoImage.startAnimation();
        } else {
            this.photoImage.stopAnimation();
        }
    }

    @Override // im.uecahxyvjd.ui.cells.BaseCell
    protected void onLongPress() {
        if (this.avatarPressed) {
            this.delegate.didLongPressUserAvatar(this, this.currentUser, this.lastTouchX, this.lastTouchY);
            return;
        }
        CharacterStyle characterStyle = this.pressedLink;
        if (characterStyle instanceof URLSpanMono) {
            this.delegate.didPressUrl(this, characterStyle, true);
            return;
        }
        if (characterStyle instanceof URLSpanNoUnderline) {
            URLSpanNoUnderline url = (URLSpanNoUnderline) characterStyle;
            if (url.getURL().startsWith("/")) {
                this.delegate.didPressUrl(this, this.pressedLink, true);
                return;
            }
        } else if (characterStyle instanceof URLSpan) {
            this.delegate.didPressUrl(this, characterStyle, true);
            return;
        }
        resetPressedLink(-1);
        if (this.buttonPressed != 0 || this.miniButtonPressed != 0 || this.videoButtonPressed != 0 || this.pressedBotButton != -1) {
            this.buttonPressed = 0;
            this.miniButtonPressed = 0;
            this.videoButtonPressed = 0;
            this.pressedBotButton = -1;
            invalidate();
        }
        this.linkPreviewPressed = false;
        this.otherPressed = false;
        this.sharePressed = false;
        this.imagePressed = false;
        this.gamePreviewPressed = false;
        if (this.instantPressed) {
            this.instantButtonPressed = false;
            this.instantPressed = false;
            Drawable drawable = this.selectorDrawable;
            if (drawable != null) {
                drawable.setState(StateSet.NOTHING);
            }
            invalidate();
        }
        if (this.pressedVoteButton != -1) {
            this.pressedVoteButton = -1;
            Drawable drawable2 = this.selectorDrawable;
            if (drawable2 != null) {
                drawable2.setState(StateSet.NOTHING);
            }
            invalidate();
        }
        ChatMessageCellDelegate chatMessageCellDelegate = this.delegate;
        if (chatMessageCellDelegate != null) {
            chatMessageCellDelegate.didLongPress(this, this.lastTouchX, this.lastTouchY);
        }
    }

    public void setCheckPressed(boolean value, boolean pressed) {
        this.isCheckPressed = value;
        this.isPressed = pressed;
        updateRadialProgressBackground();
        if (this.useSeekBarWaweform) {
            this.seekBarWaveform.setSelected(isDrawSelectionBackground());
        } else {
            this.seekBar.setSelected(isDrawSelectionBackground());
        }
        invalidate();
    }

    public void setInvalidatesParent(boolean value) {
        this.invalidatesParent = value;
    }

    @Override // android.view.View
    public void invalidate() {
        super.invalidate();
        if (this.invalidatesParent && getParent() != null) {
            View parent = (View) getParent();
            if (parent.getParent() != null) {
                ((View) parent.getParent()).invalidate();
            }
        }
    }

    public void setHighlightedAnimated() {
        this.isHighlightedAnimated = true;
        this.highlightProgress = 1000;
        this.lastHighlightProgressTime = System.currentTimeMillis();
        invalidate();
        if (getParent() != null) {
            ((View) getParent()).invalidate();
        }
    }

    public boolean isHighlighted() {
        return this.isHighlighted;
    }

    public void setHighlighted(boolean value) {
        if (this.isHighlighted == value) {
            return;
        }
        this.isHighlighted = value;
        if (!value) {
            this.lastHighlightProgressTime = System.currentTimeMillis();
            this.isHighlightedAnimated = true;
            this.highlightProgress = MlKitException.LOW_LIGHT_AUTO_EXPOSURE_COMPUTATION_FAILURE;
        } else {
            this.isHighlightedAnimated = false;
            this.highlightProgress = 0;
        }
        updateRadialProgressBackground();
        if (this.useSeekBarWaweform) {
            this.seekBarWaveform.setSelected(isDrawSelectionBackground());
        } else {
            this.seekBar.setSelected(isDrawSelectionBackground());
        }
        invalidate();
        if (getParent() != null) {
            ((View) getParent()).invalidate();
        }
    }

    @Override // android.view.View
    public void setPressed(boolean pressed) {
        super.setPressed(pressed);
        updateRadialProgressBackground();
        if (this.useSeekBarWaweform) {
            this.seekBarWaveform.setSelected(isDrawSelectionBackground());
        } else {
            this.seekBar.setSelected(isDrawSelectionBackground());
        }
        invalidate();
    }

    private void updateRadialProgressBackground() {
        if (this.drawRadialCheckBackground) {
            return;
        }
        boolean z = true;
        boolean forcePressed = (this.isHighlighted || this.isPressed || isPressed()) && !(this.drawPhotoImage && this.photoImage.hasBitmapImage());
        this.radialProgress.setPressed(forcePressed || this.buttonPressed != 0, false);
        if (this.hasMiniProgress != 0) {
            this.radialProgress.setPressed(forcePressed || this.miniButtonPressed != 0, true);
        }
        RadialProgress2 radialProgress2 = this.videoRadialProgress;
        if (!forcePressed && this.videoButtonPressed == 0) {
            z = false;
        }
        radialProgress2.setPressed(z, false);
    }

    @Override // im.uecahxyvjd.ui.components.SeekBar.SeekBarDelegate
    public void onSeekBarDrag(float progress) {
        MessageObject messageObject = this.currentMessageObject;
        if (messageObject == null) {
            return;
        }
        messageObject.audioProgress = progress;
        MediaController.getInstance().seekToProgress(this.currentMessageObject, progress);
    }

    private void updateWaveform() {
        if (this.currentMessageObject == null || this.documentAttachType != 3) {
            return;
        }
        for (int a2 = 0; a2 < this.documentAttach.attributes.size(); a2++) {
            TLRPC.DocumentAttribute attribute = this.documentAttach.attributes.get(a2);
            if (attribute instanceof TLRPC.TL_documentAttributeAudio) {
                if (attribute.waveform == null || attribute.waveform.length == 0) {
                    MediaController.getInstance().generateWaveform(this.currentMessageObject);
                }
                this.useSeekBarWaweform = attribute.waveform != null;
                this.seekBarWaveform.setWaveform(attribute.waveform);
                return;
            }
        }
    }

    private int createDocumentLayout(int maxWidth, MessageObject messageObject) {
        int maxWidth2;
        int width;
        if (messageObject.type == 0) {
            this.documentAttach = messageObject.messageOwner.media.webpage.document;
        } else {
            this.documentAttach = messageObject.getDocument();
        }
        TLRPC.Document document = this.documentAttach;
        if (document == null) {
            return 0;
        }
        if (MessageObject.isVoiceDocument(document)) {
            this.documentAttachType = 3;
            int duration = 0;
            int a2 = 0;
            while (true) {
                if (a2 >= this.documentAttach.attributes.size()) {
                    break;
                }
                TLRPC.DocumentAttribute attribute = this.documentAttach.attributes.get(a2);
                if (!(attribute instanceof TLRPC.TL_documentAttributeAudio)) {
                    a2++;
                } else {
                    duration = attribute.duration;
                    break;
                }
            }
            this.widthBeforeNewTimeLine = (maxWidth - AndroidUtilities.dp(94.0f)) - ((int) Math.ceil(Theme.chat_audioTimePaint.measureText("00:00")));
            this.availableTimeWidth = maxWidth - AndroidUtilities.dp(18.0f);
            measureTime(messageObject);
            int minSize = AndroidUtilities.dp(174.0f) + this.timeWidth;
            if (!this.hasLinkPreview) {
                this.backgroundWidth = Math.min(maxWidth, (AndroidUtilities.dp(10.0f) * duration) + minSize);
            }
            this.seekBarWaveform.setMessageObject(messageObject);
            return 0;
        } else if (MessageObject.isMusicDocument(this.documentAttach)) {
            this.documentAttachType = 5;
            int maxWidth3 = maxWidth - AndroidUtilities.dp(86.0f);
            if (maxWidth3 < 0) {
                maxWidth3 = AndroidUtilities.dp(100.0f);
            }
            CharSequence stringFinal = TextUtils.ellipsize(messageObject.getMusicTitle().replace('\n', ' '), Theme.chat_audioTitlePaint, maxWidth3 - AndroidUtilities.dp(12.0f), TextUtils.TruncateAt.END);
            StaticLayout staticLayout = new StaticLayout(stringFinal, Theme.chat_audioTitlePaint, maxWidth3, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
            this.songLayout = staticLayout;
            if (staticLayout.getLineCount() > 0) {
                this.songX = -((int) Math.ceil(this.songLayout.getLineLeft(0)));
            }
            CharSequence stringFinal2 = TextUtils.ellipsize(messageObject.getMusicAuthor().replace('\n', ' '), Theme.chat_audioPerformerPaint, maxWidth3, TextUtils.TruncateAt.END);
            StaticLayout staticLayout2 = new StaticLayout(stringFinal2, Theme.chat_audioPerformerPaint, maxWidth3, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
            this.performerLayout = staticLayout2;
            if (staticLayout2.getLineCount() > 0) {
                this.performerX = -((int) Math.ceil(this.performerLayout.getLineLeft(0)));
            }
            int duration2 = 0;
            int a3 = 0;
            while (true) {
                if (a3 >= this.documentAttach.attributes.size()) {
                    break;
                }
                TLRPC.DocumentAttribute attribute2 = this.documentAttach.attributes.get(a3);
                if (!(attribute2 instanceof TLRPC.TL_documentAttributeAudio)) {
                    a3++;
                } else {
                    duration2 = attribute2.duration;
                    break;
                }
            }
            int durationWidth = (int) Math.ceil(Theme.chat_audioTimePaint.measureText(String.format("%d:%02d / %d:%02d", Integer.valueOf(duration2 / 60), Integer.valueOf(duration2 % 60), Integer.valueOf(duration2 / 60), Integer.valueOf(duration2 % 60))));
            this.widthBeforeNewTimeLine = (this.backgroundWidth - AndroidUtilities.dp(86.0f)) - durationWidth;
            this.availableTimeWidth = this.backgroundWidth - AndroidUtilities.dp(28.0f);
            return durationWidth;
        } else if (MessageObject.isVideoDocument(this.documentAttach) || (this.documentAttach.mime_type != null && this.documentAttach.mime_type.toLowerCase().startsWith("video/"))) {
            this.documentAttachType = 4;
            if (!messageObject.needDrawBluredPreview()) {
                updatePlayingMessageProgress();
                String str = String.format("%s", AndroidUtilities.formatFileSize(this.documentAttach.size));
                this.docTitleWidth = (int) Math.ceil(Theme.chat_infoPaint.measureText(str));
                this.docTitleLayout = new StaticLayout(str, Theme.chat_infoPaint, this.docTitleWidth, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
            }
            return 0;
        } else if (MessageObject.isGifDocument(this.documentAttach)) {
            this.documentAttachType = 2;
            if (!messageObject.needDrawBluredPreview()) {
                String str2 = LocaleController.getString("AttachGif", R.string.AttachGif);
                this.infoWidth = (int) Math.ceil(Theme.chat_infoPaint.measureText(str2));
                this.infoLayout = new StaticLayout(str2, Theme.chat_infoPaint, this.infoWidth, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                String str3 = String.format("%s", AndroidUtilities.formatFileSize(this.documentAttach.size));
                this.docTitleWidth = (int) Math.ceil(Theme.chat_infoPaint.measureText(str3));
                this.docTitleLayout = new StaticLayout(str3, Theme.chat_infoPaint, this.docTitleWidth, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
            }
            return 0;
        } else {
            boolean z = (this.documentAttach.mime_type != null && this.documentAttach.mime_type.toLowerCase().startsWith("image/")) || MessageObject.isDocumentHasThumb(this.documentAttach);
            this.drawPhotoImage = z;
            if (z) {
                maxWidth2 = maxWidth;
            } else {
                maxWidth2 = maxWidth + AndroidUtilities.dp(10.0f);
            }
            this.documentAttachType = 1;
            String name = FileLoader.getDocumentFileName(this.documentAttach);
            StaticLayout createStaticLayoutMiddle = StaticLayoutEx.createStaticLayoutMiddle((name == null || name.length() == 0) ? LocaleController.getString("AttachDocument", R.string.AttachDocument) : name, Theme.chat_docNamePaint, maxWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false, TextUtils.TruncateAt.MIDDLE, maxWidth2, 2, false);
            this.docTitleLayout = createStaticLayoutMiddle;
            this.docTitleOffsetX = Integer.MIN_VALUE;
            if (createStaticLayoutMiddle != null && createStaticLayoutMiddle.getLineCount() > 0) {
                int maxLineWidth = 0;
                for (int a4 = 0; a4 < this.docTitleLayout.getLineCount(); a4++) {
                    maxLineWidth = Math.max(maxLineWidth, (int) Math.ceil(this.docTitleLayout.getLineWidth(a4)));
                    this.docTitleOffsetX = Math.max(this.docTitleOffsetX, (int) Math.ceil(-this.docTitleLayout.getLineLeft(a4)));
                }
                width = Math.min(maxWidth2, maxLineWidth);
            } else {
                int width2 = maxWidth2;
                this.docTitleOffsetX = 0;
                width = width2;
            }
            String str4 = AndroidUtilities.formatFileSize(this.documentAttach.size);
            this.infoWidth = Math.min(maxWidth2 - AndroidUtilities.dp(30.0f), (int) Math.ceil(Theme.chat_infoPaint.measureText(str4)));
            CharSequence str22 = TextUtils.ellipsize(str4, Theme.chat_infoPaint, this.infoWidth, TextUtils.TruncateAt.END);
            try {
                if (this.infoWidth < 0) {
                    this.infoWidth = AndroidUtilities.dp(10.0f);
                }
                this.infoLayout = new StaticLayout(str22, Theme.chat_infoPaint, this.infoWidth + AndroidUtilities.dp(6.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
            } catch (Exception e) {
                FileLog.e(e);
            }
            if (this.drawPhotoImage) {
                this.currentPhotoObject = FileLoader.getClosestPhotoSizeWithSize(messageObject.photoThumbs, 320);
                this.currentPhotoObjectThumb = FileLoader.getClosestPhotoSizeWithSize(messageObject.photoThumbs, 40);
                if ((DownloadController.getInstance(this.currentAccount).getAutodownloadMask() & 1) == 0) {
                    this.currentPhotoObject = null;
                }
                TLRPC.PhotoSize photoSize = this.currentPhotoObject;
                if (photoSize == null || photoSize == this.currentPhotoObjectThumb) {
                    this.currentPhotoObject = null;
                    this.photoImage.setNeedsQualityThumb(true);
                    this.photoImage.setShouldGenerateQualityThumb(true);
                }
                this.currentPhotoFilter = "86_86_b";
                this.photoImage.setImage(ImageLocation.getForObject(this.currentPhotoObject, messageObject.photoThumbsObject), "86_86", ImageLocation.getForObject(this.currentPhotoObjectThumb, messageObject.photoThumbsObject), this.currentPhotoFilter, 0, null, messageObject, 1);
            }
            return width;
        }
    }

    private void calcBackgroundWidth(int maxWidth, int timeMore, int maxChildWidth) {
        if (this.hasLinkPreview || this.hasOldCaptionPreview || this.hasGamePreview || this.hasInvoicePreview || maxWidth - this.currentMessageObject.lastLineWidth < timeMore || this.currentMessageObject.hasRtl) {
            this.totalHeight += AndroidUtilities.dp(14.0f);
            this.hasNewLineForTime = true;
            int max = Math.max(maxChildWidth, this.currentMessageObject.lastLineWidth) + AndroidUtilities.dp(31.0f);
            this.backgroundWidth = max;
            this.backgroundWidth = Math.max(max, (this.currentMessageObject.isOutOwner() ? this.timeWidth + AndroidUtilities.dp(17.0f) : this.timeWidth) + AndroidUtilities.dp(31.0f));
            return;
        }
        int diff = maxChildWidth - this.currentMessageObject.lastLineWidth;
        if (diff >= 0 && diff <= timeMore) {
            this.backgroundWidth = ((maxChildWidth + timeMore) - diff) + AndroidUtilities.dp(31.0f);
        } else {
            this.backgroundWidth = Math.max(maxChildWidth, this.currentMessageObject.lastLineWidth + timeMore) + AndroidUtilities.dp(31.0f);
        }
    }

    public void setHighlightedText(String text) {
        MessageObject messageObject = this.messageObjectToSet;
        if (messageObject == null) {
            messageObject = this.currentMessageObject;
        }
        MessageObject messageObject2 = messageObject;
        boolean z = true;
        if (messageObject2 == null || messageObject2.messageOwner.message == null || TextUtils.isEmpty(text)) {
            if (!this.urlPathSelection.isEmpty()) {
                this.linkSelectionBlockNum = -1;
                resetUrlPaths(true);
                invalidate();
                return;
            }
            return;
        }
        String text2 = text.toLowerCase();
        String message = messageObject2.messageOwner.message.toLowerCase();
        int start = -1;
        int length = -1;
        int N1 = message.length();
        for (int a2 = 0; a2 < N1; a2++) {
            int currentLen = 0;
            int N2 = Math.min(text2.length(), N1 - a2);
            for (int b = 0; b < N2; b++) {
                boolean match = message.charAt(a2 + b) == text2.charAt(b);
                if (match) {
                    if (currentLen != 0 || a2 == 0 || " !\"#$%&'()*+,-./:;<=>?@[\\]^_`{|}~\n".indexOf(message.charAt(a2 - 1)) >= 0) {
                        currentLen++;
                    } else {
                        match = false;
                    }
                }
                if (!match || b == N2 - 1) {
                    if (currentLen > 0 && currentLen > length) {
                        length = currentLen;
                        start = a2;
                    }
                }
            }
        }
        if (start == -1) {
            if (!this.urlPathSelection.isEmpty()) {
                this.linkSelectionBlockNum = -1;
                resetUrlPaths(true);
                invalidate();
                return;
            }
            return;
        }
        int N = message.length();
        for (int a3 = start + length; a3 < N && " !\"#$%&'()*+,-./:;<=>?@[\\]^_`{|}~\n".indexOf(message.charAt(a3)) < 0; a3++) {
            length++;
        }
        int N3 = start + length;
        if (this.captionLayout != null && !TextUtils.isEmpty(messageObject2.caption)) {
            resetUrlPaths(true);
            try {
                LinkPath path = obtainNewUrlPath(true);
                path.setCurrentLayout(this.captionLayout, start, 0.0f);
                this.captionLayout.getSelectionPath(start, N3, path);
            } catch (Exception e) {
                FileLog.e(e);
            }
            invalidate();
        } else if (messageObject2.textLayoutBlocks != null) {
            int c = 0;
            while (c < messageObject2.textLayoutBlocks.size()) {
                MessageObject.TextLayoutBlock block = messageObject2.textLayoutBlocks.get(c);
                if (start < block.charactersOffset || start >= block.charactersOffset + block.textLayout.getText().length()) {
                    c++;
                    z = true;
                } else {
                    this.linkSelectionBlockNum = c;
                    resetUrlPaths(z);
                    try {
                        LinkPath path2 = obtainNewUrlPath(z);
                        path2.setCurrentLayout(block.textLayout, start, 0.0f);
                        block.textLayout.getSelectionPath(start, N3 - block.charactersOffset, path2);
                        if (N3 >= block.charactersOffset + length) {
                            int a4 = c + 1;
                            while (a4 < messageObject2.textLayoutBlocks.size()) {
                                MessageObject.TextLayoutBlock nextBlock = messageObject2.textLayoutBlocks.get(a4);
                                int length2 = nextBlock.textLayout.getText().length();
                                LinkPath path3 = obtainNewUrlPath(z);
                                path3.setCurrentLayout(nextBlock.textLayout, 0, nextBlock.height);
                                nextBlock.textLayout.getSelectionPath(0, N3 - nextBlock.charactersOffset, path3);
                                if (N3 < (block.charactersOffset + length2) - 1) {
                                    break;
                                }
                                a4++;
                                z = true;
                            }
                        }
                    } catch (Exception e2) {
                        FileLog.e(e2);
                    }
                    invalidate();
                    return;
                }
            }
        }
    }

    @Override // android.view.View
    protected boolean verifyDrawable(Drawable who) {
        return super.verifyDrawable(who) || who == this.selectorDrawable;
    }

    private boolean isCurrentLocationTimeExpired(MessageObject messageObject) {
        return this.currentMessageObject.messageOwner.media.period % 60 == 0 ? Math.abs(ConnectionsManager.getInstance(this.currentAccount).getCurrentTime() - messageObject.messageOwner.date) > messageObject.messageOwner.media.period : Math.abs(ConnectionsManager.getInstance(this.currentAccount).getCurrentTime() - messageObject.messageOwner.date) > messageObject.messageOwner.media.period + (-5);
    }

    public void checkLocationExpired() {
        boolean newExpired;
        MessageObject messageObject = this.currentMessageObject;
        if (messageObject != null && (newExpired = isCurrentLocationTimeExpired(messageObject)) != this.locationExpired) {
            this.locationExpired = newExpired;
            if (!newExpired) {
                AndroidUtilities.runOnUIThread(this.invalidateRunnable, 1000L);
                this.scheduledInvalidate = true;
                int maxWidth = this.backgroundWidth - AndroidUtilities.dp(91.0f);
                this.docTitleLayout = new StaticLayout(TextUtils.ellipsize(LocaleController.getString("AttachLiveLocation", R.string.AttachLiveLocation), Theme.chat_locationTitlePaint, maxWidth, TextUtils.TruncateAt.END), Theme.chat_locationTitlePaint, maxWidth, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                return;
            }
            MessageObject messageObject2 = this.currentMessageObject;
            this.currentMessageObject = null;
            setMessageObject(messageObject2, this.currentMessagesGroup, this.pinnedBottom, this.pinnedTop);
        }
    }

    public void setMessageObject(MessageObject messageObject, MessageObject.GroupedMessages groupedMessages, boolean bottomNear, boolean topNear) {
        if (this.attachedToWindow) {
            setMessageContent(messageObject, groupedMessages, bottomNear, topNear);
            return;
        }
        this.messageObjectToSet = messageObject;
        this.groupedMessagesToSet = groupedMessages;
        this.bottomNearToSet = bottomNear;
        this.topNearToSet = topNear;
    }

    private int getAdditionalWidthForPosition(MessageObject.GroupedMessagePosition position) {
        if (position != null) {
            int w = (position.flags & 2) == 0 ? 0 + AndroidUtilities.dp(4.0f) : 0;
            if ((position.flags & 1) == 0) {
                return w + AndroidUtilities.dp(4.0f);
            }
            return w;
        }
        return 0;
    }

    private void createSelectorDrawable() {
        Drawable drawable = this.selectorDrawable;
        String str = Theme.key_chat_outPreviewInstantText;
        if (drawable == null) {
            final Paint maskPaint = new Paint(1);
            maskPaint.setColor(-1);
            Drawable maskDrawable = new Drawable() { // from class: im.uecahxyvjd.ui.cells.ChatMessageCell.2
                RectF rect = new RectF();

                {
                    ChatMessageCell.this = this;
                }

                @Override // android.graphics.drawable.Drawable
                public void draw(Canvas canvas) {
                    Rect bounds = getBounds();
                    this.rect.set(bounds.left, bounds.top, bounds.right, bounds.bottom);
                    canvas.drawRoundRect(this.rect, ChatMessageCell.this.selectorDrawableMaskType == 0 ? AndroidUtilities.dp(6.0f) : 0.0f, ChatMessageCell.this.selectorDrawableMaskType == 0 ? AndroidUtilities.dp(6.0f) : 0.0f, maskPaint);
                }

                @Override // android.graphics.drawable.Drawable
                public void setAlpha(int alpha) {
                }

                @Override // android.graphics.drawable.Drawable
                public void setColorFilter(ColorFilter colorFilter) {
                }

                @Override // android.graphics.drawable.Drawable
                public int getOpacity() {
                    return -2;
                }
            };
            int[][] iArr = {StateSet.WILD_CARD};
            int[] iArr2 = new int[1];
            if (!this.currentMessageObject.isOutOwner()) {
                str = Theme.key_chat_inPreviewInstantText;
            }
            iArr2[0] = 1610612735 & Theme.getColor(str);
            ColorStateList colorStateList = new ColorStateList(iArr, iArr2);
            RippleDrawable rippleDrawable = new RippleDrawable(colorStateList, null, maskDrawable);
            this.selectorDrawable = rippleDrawable;
            rippleDrawable.setCallback(this);
        } else {
            if (!this.currentMessageObject.isOutOwner()) {
                str = Theme.key_chat_inPreviewInstantText;
            }
            Theme.setSelectorDrawableColor(drawable, 1610612735 & Theme.getColor(str), true);
        }
        this.selectorDrawable.setVisible(true, false);
    }

    private void createInstantViewButton() {
        String str;
        if (this.drawInstantView) {
            createSelectorDrawable();
        }
        if (this.drawInstantView && this.instantViewLayout == null) {
            this.instantWidth = AndroidUtilities.dp(33.0f);
            int i = this.drawInstantViewType;
            if (i == 1) {
                str = LocaleController.getString("OpenChannel", R.string.OpenChannel);
            } else if (i == 2) {
                str = LocaleController.getString("OpenGroup", R.string.OpenGroup);
            } else if (i == 3) {
                str = LocaleController.getString("OpenMessage", R.string.OpenMessage);
            } else if (i == 5) {
                str = LocaleController.getString("ViewContact", R.string.ViewContact);
            } else if (i == 6) {
                str = LocaleController.getString("OpenBackground", R.string.OpenBackground);
            } else if (i == 7) {
                str = LocaleController.getString("OpenTheme", R.string.OpenTheme);
            } else {
                str = LocaleController.getString("InstantView", R.string.InstantView);
            }
            int mWidth = this.backgroundWidth - AndroidUtilities.dp(75.0f);
            this.instantViewLayout = new StaticLayout(TextUtils.ellipsize(str, Theme.chat_instantViewPaint, mWidth, TextUtils.TruncateAt.END), Theme.chat_instantViewPaint, mWidth + AndroidUtilities.dp(2.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
            this.instantWidth = this.backgroundWidth - AndroidUtilities.dp(34.0f);
            this.totalHeight += AndroidUtilities.dp(46.0f);
            if (this.currentMessageObject.type == 12) {
                this.totalHeight += AndroidUtilities.dp(14.0f);
            }
            StaticLayout staticLayout = this.instantViewLayout;
            if (staticLayout != null && staticLayout.getLineCount() > 0) {
                this.instantTextX = (((int) (this.instantWidth - Math.ceil(this.instantViewLayout.getLineWidth(0)))) / 2) + (this.drawInstantViewType == 0 ? AndroidUtilities.dp(8.0f) : 0);
                int lineLeft = (int) this.instantViewLayout.getLineLeft(0);
                this.instantTextLeftX = lineLeft;
                this.instantTextX += -lineLeft;
            }
        }
    }

    @Override // android.view.View, android.view.ViewParent
    public void requestLayout() {
        if (this.inLayout) {
            return;
        }
        super.requestLayout();
    }

    @Override // android.view.View
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        MessageObject messageObject = this.currentMessageObject;
        if (messageObject != null && (messageObject.checkLayout() || this.lastHeight != AndroidUtilities.displaySize.y)) {
            this.inLayout = true;
            MessageObject messageObject2 = this.currentMessageObject;
            this.currentMessageObject = null;
            setMessageObject(messageObject2, this.currentMessagesGroup, this.pinnedBottom, this.pinnedTop);
            this.inLayout = false;
        }
        int count = getChildCount();
        for (int i = 0; i < count; i++) {
            getChildAt(i).measure(widthMeasureSpec, heightMeasureSpec);
        }
        int i2 = View.MeasureSpec.getSize(widthMeasureSpec);
        setMeasuredDimension(i2, this.totalHeight + this.keyboardHeight);
    }

    public void forceResetMessageObject() {
        MessageObject messageObject = this.messageObjectToSet;
        if (messageObject == null) {
            messageObject = this.currentMessageObject;
        }
        this.currentMessageObject = null;
        setMessageObject(messageObject, this.currentMessagesGroup, this.pinnedBottom, this.pinnedTop);
    }

    private int getGroupPhotosWidth() {
        if (!AndroidUtilities.isInMultiwindow && AndroidUtilities.isTablet() && (!AndroidUtilities.isSmallTablet() || getResources().getConfiguration().orientation == 2)) {
            int leftWidth = (AndroidUtilities.displaySize.x / 100) * 35;
            if (leftWidth < AndroidUtilities.dp(320.0f)) {
                leftWidth = AndroidUtilities.dp(320.0f);
            }
            return AndroidUtilities.displaySize.x - leftWidth;
        }
        return AndroidUtilities.displaySize.x;
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onLayout(boolean changed, int left, int top, int right, int bottom) {
        int x;
        int x2;
        MessageObject.GroupedMessagePosition groupedMessagePosition;
        MessageObject.GroupedMessages groupedMessages;
        int linkX;
        int x3;
        int x4;
        int x5;
        if (this.currentMessageObject != null) {
            if (changed || !this.wasLayout) {
                this.layoutWidth = getMeasuredWidth();
                this.layoutHeight = getMeasuredHeight() - this.substractBackgroundHeight;
                if (this.timeTextWidth < 0) {
                    this.timeTextWidth = AndroidUtilities.dp(10.0f);
                }
                if (this.currentMessageObject.type != 105) {
                    this.timeLayout = new StaticLayout(this.currentTimeString, Theme.chat_timePaint, this.timeTextWidth + AndroidUtilities.dp(100.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                }
                if (!this.mediaBackground) {
                    if (!this.currentMessageObject.isOutOwner()) {
                        this.timeX = ((this.backgroundWidth - AndroidUtilities.dp(9.0f)) - this.timeWidth) + (this.isAvatarVisible ? AndroidUtilities.dp(48.0f) : 0);
                    } else {
                        this.timeX = ((this.layoutWidth - this.timeWidth) - AndroidUtilities.dp(38.5f)) - (this.isAvatarVisible ? AndroidUtilities.dp(48.0f) : 0);
                    }
                } else if (!this.currentMessageObject.isOutOwner()) {
                    this.timeX = ((this.backgroundWidth - AndroidUtilities.dp(4.0f)) - this.timeWidth) + (this.isAvatarVisible ? AndroidUtilities.dp(48.0f) : 0);
                    MessageObject.GroupedMessagePosition groupedMessagePosition2 = this.currentPosition;
                    if (groupedMessagePosition2 != null && groupedMessagePosition2.leftSpanOffset != 0) {
                        this.timeX += (int) Math.ceil((this.currentPosition.leftSpanOffset / 1000.0f) * getGroupPhotosWidth());
                    }
                } else {
                    this.timeX = ((this.layoutWidth - this.timeWidth) - AndroidUtilities.dp(42.0f)) - AndroidUtilities.dp(48.0f);
                }
                if ((this.currentMessageObject.messageOwner.flags & 1024) != 0) {
                    this.viewsLayout = new StaticLayout(this.currentViewsString, Theme.chat_timePaint, this.viewsTextWidth, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                } else {
                    this.viewsLayout = null;
                }
                if (this.isAvatarVisible) {
                    if (this.currentMessageObject.isOutOwner()) {
                        this.avatarImage.setImageCoords(AndroidUtilities.displaySize.x - AndroidUtilities.dp(47.5f), this.avatarImage.getImageY(), AndroidUtilities.dp(40.0f), AndroidUtilities.dp(40.0f));
                    } else {
                        this.avatarImage.setImageCoords(AndroidUtilities.dp(7.5f), this.avatarImage.getImageY(), AndroidUtilities.dp(40.0f), AndroidUtilities.dp(40.0f));
                    }
                }
                this.wasLayout = true;
            }
            if (this.currentMessageObject.type == 0) {
                this.textY = AndroidUtilities.dp(10.0f) + this.namesOffset;
            }
            if (this.currentMessageObject.isRoundVideo()) {
                updatePlayingMessageProgress();
            }
            int i = this.documentAttachType;
            if (i == 3) {
                if (this.currentMessageObject.isOutOwner()) {
                    this.seekBarX = ((this.layoutWidth - this.backgroundWidth) + AndroidUtilities.dp(57.0f)) - AndroidUtilities.dp(66.0f);
                    this.buttonX = ((this.layoutWidth - this.backgroundWidth) + AndroidUtilities.dp(14.0f)) - AndroidUtilities.dp(54.0f);
                    this.timeAudioX = ((this.layoutWidth - this.backgroundWidth) + AndroidUtilities.dp(67.0f)) - AndroidUtilities.dp(66.0f);
                } else if (!this.isAvatarVisible || !this.currentMessageObject.needDrawAvatar()) {
                    this.seekBarX = AndroidUtilities.dp(54.0f);
                    this.buttonX = AndroidUtilities.dp(23.0f);
                    this.timeAudioX = AndroidUtilities.dp(64.0f);
                } else {
                    this.seekBarX = AndroidUtilities.dp(102.0f);
                    this.buttonX = AndroidUtilities.dp(71.0f);
                    this.timeAudioX = AndroidUtilities.dp(112.0f);
                }
                if (this.hasLinkPreview) {
                    this.seekBarX += AndroidUtilities.dp(10.0f);
                    this.buttonX += AndroidUtilities.dp(10.0f);
                    this.timeAudioX += AndroidUtilities.dp(10.0f);
                }
                this.seekBarWaveform.setSize(this.backgroundWidth - AndroidUtilities.dp((this.hasLinkPreview ? 10 : 0) + 72), AndroidUtilities.dp(30.0f));
                this.seekBar.setSize(this.backgroundWidth - AndroidUtilities.dp((this.hasLinkPreview ? 10 : 0) + 52), AndroidUtilities.dp(30.0f));
                int dp = AndroidUtilities.dp(13.0f) + this.namesOffset + this.mediaOffsetY;
                int i2 = mOffset;
                this.seekBarY = (dp + i2) - AndroidUtilities.dp(10.0f);
                this.buttonY = AndroidUtilities.dp(13.0f) + this.namesOffset + this.mediaOffsetY + i2;
                this.radialProgress.setCircleRadius(AndroidUtilities.dp(16.0f));
                this.radialProgress.setDrawRoundRect(false);
                RadialProgress2 radialProgress2 = this.radialProgress;
                int i3 = this.buttonX;
                radialProgress2.setProgressRect(i3, this.buttonY, AndroidUtilities.dp(32.0f) + i3, this.buttonY + AndroidUtilities.dp(32.0f));
                updatePlayingMessageProgress();
            } else if (i == 5) {
                if (this.currentMessageObject.isOutOwner()) {
                    this.seekBarX = ((this.layoutWidth - this.backgroundWidth) + AndroidUtilities.dp(56.0f)) - AndroidUtilities.dp(56.0f);
                    this.buttonX = ((this.layoutWidth - this.backgroundWidth) + AndroidUtilities.dp(14.0f)) - AndroidUtilities.dp(56.0f);
                    this.timeAudioX = ((this.layoutWidth - this.backgroundWidth) + AndroidUtilities.dp(67.0f)) - AndroidUtilities.dp(56.0f);
                } else if (!this.isChat || !this.currentMessageObject.needDrawAvatar()) {
                    this.seekBarX = AndroidUtilities.dp(65.0f) + AndroidUtilities.dp(48.0f);
                    this.buttonX = AndroidUtilities.dp(23.0f) + AndroidUtilities.dp(48.0f);
                    this.timeAudioX = AndroidUtilities.dp(76.0f) + AndroidUtilities.dp(48.0f);
                } else {
                    this.seekBarX = AndroidUtilities.dp(113.0f);
                    this.buttonX = AndroidUtilities.dp(71.0f);
                    this.timeAudioX = AndroidUtilities.dp(124.0f);
                }
                if (this.hasLinkPreview) {
                    this.seekBarX += AndroidUtilities.dp(10.0f);
                    this.buttonX += AndroidUtilities.dp(10.0f);
                    this.timeAudioX += AndroidUtilities.dp(10.0f);
                }
                this.seekBar.setSize(this.backgroundWidth - AndroidUtilities.dp((this.hasLinkPreview ? 10 : 0) + 65), AndroidUtilities.dp(30.0f));
                this.seekBarY = AndroidUtilities.dp(29.0f) + this.namesOffset + this.mediaOffsetY;
                int dp2 = AndroidUtilities.dp(13.0f) + this.namesOffset + this.mediaOffsetY;
                this.buttonY = dp2;
                RadialProgress2 radialProgress22 = this.radialProgress;
                int i4 = this.buttonX;
                radialProgress22.setProgressRect(i4, dp2, AndroidUtilities.dp(44.0f) + i4, this.buttonY + AndroidUtilities.dp(44.0f));
                updatePlayingMessageProgress();
            } else if (i == 1 && !this.drawPhotoImage) {
                if (this.currentMessageObject.isOutOwner()) {
                    this.buttonX = ((this.layoutWidth - this.backgroundWidth) + AndroidUtilities.dp(14.0f)) - AndroidUtilities.dp(54.0f);
                } else if (this.currentMessageObject.needDrawAvatar()) {
                    this.buttonX = AndroidUtilities.dp(71.0f);
                } else {
                    this.buttonX = AndroidUtilities.dp(23.0f);
                }
                if (this.hasLinkPreview) {
                    this.buttonX += AndroidUtilities.dp(10.0f);
                }
                int dp3 = AndroidUtilities.dp(13.0f) + this.namesOffset + this.mediaOffsetY + mOffset;
                this.buttonY = dp3;
                RadialProgress2 radialProgress23 = this.radialProgress;
                int i5 = this.buttonX;
                radialProgress23.setProgressRect(i5, dp3, AndroidUtilities.dp(44.0f) + i5, this.buttonY + AndroidUtilities.dp(44.0f));
                this.radialProgress.setCircleRadius(AndroidUtilities.dp(22.0f));
                this.radialProgress.setDrawRoundRect(true);
                this.photoImage.setImageCoords(this.buttonX - AndroidUtilities.dp(10.0f), this.buttonY - AndroidUtilities.dp(10.0f), this.photoImage.getImageWidth(), this.photoImage.getImageHeight());
            } else if (this.currentMessageObject.type != 12) {
                if (this.currentMessageObject.type == 101 || this.currentMessageObject.type == 102) {
                    if (this.currentMessageObject.isOutOwner()) {
                        x = (this.layoutWidth - this.backgroundWidth) - AndroidUtilities.dp(42.0f);
                    } else if (this.isAvatarVisible) {
                        x = AndroidUtilities.dp(68.0f);
                    } else {
                        x = AndroidUtilities.dp(19.0f);
                    }
                    if (this.currentMessageObject.type == 101) {
                        this.photoImage.setImageCoords(x, AndroidUtilities.dp(18.0f) + this.namesOffset, AndroidUtilities.dp(44.0f), AndroidUtilities.dp(49.0f));
                    } else {
                        this.photoImage.setImageCoords(x, AndroidUtilities.dp(18.0f) + this.namesOffset, this.photoImage.getBitmapWidth(), this.photoImage.getBitmapHeight());
                    }
                } else if (this.currentMessageObject.type != 105) {
                    if (this.currentMessageObject.type != 103) {
                        if (this.currentMessageObject.type == 207) {
                            if (this.currentMessageObject.isOutOwner()) {
                                x3 = (this.layoutWidth - this.backgroundWidth) - AndroidUtilities.dp(40.0f);
                            } else if (this.isChat && this.currentMessageObject.needDrawAvatar()) {
                                x3 = AndroidUtilities.dp(73.0f);
                            } else {
                                x3 = AndroidUtilities.dp(73.0f);
                            }
                            if (ChatObject.isChannel(this.currentChat) && !this.currentChat.megagroup) {
                                x3 -= AndroidUtilities.dp(53.0f);
                            }
                            this.photoImage.setImageCoords(x3 - AndroidUtilities.dp(5.0f), AndroidUtilities.dp(70.0f) + this.namesOffset, this.backgroundWidth - AndroidUtilities.dp(25.0f), AndroidUtilities.dp(150.0f));
                        } else {
                            if (this.currentMessageObject.type == 0 && (this.hasLinkPreview || this.hasGamePreview || this.hasInvoicePreview)) {
                                if (this.hasGamePreview) {
                                    linkX = this.unmovedTextX - AndroidUtilities.dp(10.0f);
                                } else if (this.hasInvoicePreview) {
                                    linkX = this.unmovedTextX + AndroidUtilities.dp(1.0f);
                                } else {
                                    int linkX2 = this.unmovedTextX;
                                    linkX = linkX2 + AndroidUtilities.dp(1.0f);
                                }
                                x2 = this.isSmallImage ? (this.backgroundWidth + linkX) - AndroidUtilities.dp(81.0f) : (this.hasInvoicePreview ? -AndroidUtilities.dp(6.3f) : AndroidUtilities.dp(10.0f)) + linkX;
                            } else if (this.currentMessageObject.isOutOwner()) {
                                x2 = this.mediaBackground ? ((this.layoutWidth - this.backgroundWidth) - AndroidUtilities.dp(3.0f)) - AndroidUtilities.dp((this.isAvatarVisible || ((groupedMessagePosition = this.currentPosition) != null && groupedMessagePosition.edge)) ? 48.0f : 0.0f) : ((this.layoutWidth - this.backgroundWidth) + AndroidUtilities.dp(6.0f)) - AndroidUtilities.dp(54.0f);
                            } else if (this.isAvatarVisible) {
                                x2 = AndroidUtilities.dp(63.0f);
                            } else {
                                MessageObject.GroupedMessagePosition groupedMessagePosition3 = this.currentPosition;
                                if (groupedMessagePosition3 != null) {
                                    if (groupedMessagePosition3.edge) {
                                        updateCurrentUserAndChat();
                                        x2 = (this.isAvatarVisible || ChatObject.isChannel(this.currentChat)) ? AndroidUtilities.dp(15.0f) : AndroidUtilities.dp(63.0f);
                                    } else {
                                        x2 = AndroidUtilities.dp(5.0f);
                                    }
                                } else {
                                    x2 = AndroidUtilities.dp(15.0f);
                                }
                            }
                            MessageObject.GroupedMessagePosition groupedMessagePosition4 = this.currentPosition;
                            if (groupedMessagePosition4 != null) {
                                if ((groupedMessagePosition4.flags & 1) == 0) {
                                    x2 -= AndroidUtilities.dp(2.0f);
                                }
                                if (this.currentPosition.leftSpanOffset != 0) {
                                    x2 += (int) Math.ceil((this.currentPosition.leftSpanOffset / 1000.0f) * getGroupPhotosWidth());
                                }
                            }
                            if (this.currentMessageObject.type != 0) {
                                x2 -= AndroidUtilities.dp(2.0f);
                            }
                            if (BuildVars.DEBUG_VERSION) {
                                int pcIndex = -1;
                                if (this.currentMessageObject != null && (groupedMessages = this.currentMessagesGroup) != null) {
                                    for (int i6 = groupedMessages.messages.size() - 1; i6 >= 0; i6--) {
                                        if (this.currentMessagesGroup.messages.get(i6) == this.currentMessageObject) {
                                            pcIndex = i6;
                                        }
                                    }
                                }
                                if (BuildVars.DEBUG_VERSION) {
                                    StringBuilder append = new StringBuilder().append("onLayout() ===>  , pcIndex=").append(pcIndex).append(" , isAvatarVisible=").append(this.isAvatarVisible).append(" , edge=");
                                    MessageObject.GroupedMessagePosition groupedMessagePosition5 = this.currentPosition;
                                    StringBuilder append2 = append.append(groupedMessagePosition5 != null ? Boolean.valueOf(groupedMessagePosition5.edge) : "false").append(" , pc id=");
                                    MessageObject messageObject = this.currentMessageObject;
                                    Log.i("CMCell", append2.append((messageObject == null || messageObject.messageOwner == null || this.currentMessageObject.messageOwner.media == null || this.currentMessageObject.messageOwner.media.photo == null) ? "null" : Long.valueOf(this.currentMessageObject.messageOwner.media.photo.id)).append(" , x=").append(x2).append(" , y=").append(this.photoImage.getImageY()).append(" , w=").append(this.photoImage.getImageWidth()).append(" , h=").append(this.photoImage.getImageHeight()).toString());
                                }
                            }
                            ImageReceiver imageReceiver = this.photoImage;
                            imageReceiver.setImageCoords(x2, imageReceiver.getImageY(), this.photoImage.getImageWidth(), this.photoImage.getImageHeight());
                            this.buttonX = (int) (x2 + ((this.photoImage.getImageWidth() - AndroidUtilities.dp(48.0f)) / 2.0f));
                            int imageY = this.photoImage.getImageY() + ((this.photoImage.getImageHeight() - AndroidUtilities.dp(48.0f)) / 2);
                            this.buttonY = imageY;
                            RadialProgress2 radialProgress24 = this.radialProgress;
                            int i7 = this.buttonX;
                            radialProgress24.setProgressRect(i7, imageY, AndroidUtilities.dp(48.0f) + i7, this.buttonY + AndroidUtilities.dp(48.0f));
                            this.radialProgress.setDrawRoundRect(false);
                            this.deleteProgressRect.set(this.buttonX + AndroidUtilities.dp(5.0f), this.buttonY + AndroidUtilities.dp(5.0f), this.buttonX + AndroidUtilities.dp(43.0f), this.buttonY + AndroidUtilities.dp(43.0f));
                            int i8 = this.documentAttachType;
                            if (i8 == 4 || i8 == 2) {
                                this.videoButtonX = this.photoImage.getImageX() + AndroidUtilities.dp(8.0f);
                                int imageY2 = this.photoImage.getImageY() + AndroidUtilities.dp(8.0f);
                                this.videoButtonY = imageY2;
                                RadialProgress2 radialProgress25 = this.videoRadialProgress;
                                int i9 = this.videoButtonX;
                                radialProgress25.setProgressRect(i9, imageY2, AndroidUtilities.dp(24.0f) + i9, this.videoButtonY + AndroidUtilities.dp(24.0f));
                            }
                        }
                    } else {
                        if (this.currentMessageObject.isOutOwner()) {
                            x4 = (this.layoutWidth - this.backgroundWidth) - AndroidUtilities.dp(40.0f);
                        } else if (this.isChat && this.currentMessageObject.needDrawAvatar()) {
                            x4 = AndroidUtilities.dp(73.0f);
                        } else {
                            x4 = AndroidUtilities.dp(73.0f);
                        }
                        if (ChatObject.isChannel(this.currentChat) && !this.currentChat.megagroup) {
                            x4 -= AndroidUtilities.dp(50.0f);
                        }
                        this.photoImage.setImageCoords(x4, AndroidUtilities.dp(20.0f) + this.namesOffset, AndroidUtilities.dp(44.0f), AndroidUtilities.dp(44.0f));
                    }
                } else {
                    TLRPCContacts.TL_messageMediaSysNotify sysNotify = (TLRPCContacts.TL_messageMediaSysNotify) this.currentMessageObject.messageOwner.media;
                    if (sysNotify.business_code == 1 || sysNotify.business_code == 2 || sysNotify.business_code == 3 || sysNotify.business_code == 10) {
                        ImageReceiver imageReceiver2 = this.photoFCImage;
                        if (imageReceiver2 != null) {
                            imageReceiver2.setImageCoords(AndroidUtilities.dp(40.0f), (this.totalHeight - AndroidUtilities.dp(30.0f)) - AndroidUtilities.dp(46.0f), this.backgroundWidth - AndroidUtilities.dp(60.0f), AndroidUtilities.dp(46.0f));
                        }
                        int m = 0;
                        int n = 0;
                        int spacingHeight = AndroidUtilities.dp(15.0f);
                        for (int i10 = 0; i10 < this.mSysNotifyData.size(); i10++) {
                            TLRPCContacts.NotifyMsg msgData = this.mSysNotifyData.get(Integer.valueOf(i10));
                            if (msgData instanceof TLRPCContacts.NotifyMsgText) {
                                m++;
                            } else if (msgData instanceof TLRPCContacts.NotifyMsgMedia) {
                                if (i10 == 0) {
                                    ImageReceiver imageReceiver3 = this.photoImage1;
                                    if (imageReceiver3 != null) {
                                        imageReceiver3.setImageCoords(AndroidUtilities.dp(40.0f), (int) (AndroidUtilities.dp(45.0f) * 2.5f), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo1Height);
                                        n++;
                                    }
                                } else {
                                    TLRPCContacts.NotifyMsg lastData = this.mSysNotifyData.get(Integer.valueOf(i10 - 1));
                                    if (lastData instanceof TLRPCContacts.NotifyMsgText) {
                                        switch (m) {
                                            case 1:
                                                switch (n) {
                                                    case 0:
                                                        this.photoImage1.setImageCoords(AndroidUtilities.dp(40.0f), this.textInfoLayout1.getHeight() + AndroidUtilities.dp(95.0f) + spacingHeight, this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo1Height);
                                                        break;
                                                    case 1:
                                                        this.photoImage2.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage1.getImageY() + this.photo1Height + this.textInfoLayout1.getHeight() + (spacingHeight * 2)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo2Height);
                                                        break;
                                                    case 2:
                                                        this.photoImage3.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage2.getImageY() + this.photo2Height + this.textInfoLayout1.getHeight() + (spacingHeight * 3)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo3Height);
                                                        break;
                                                    case 3:
                                                        this.photoImage4.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage3.getImageY() + this.photo3Height + this.textInfoLayout1.getHeight() + (spacingHeight * 4)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo4Height);
                                                        break;
                                                    case 4:
                                                        this.photoImage5.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage4.getImageY() + this.photo4Height + this.textInfoLayout1.getHeight() + (spacingHeight * 5)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo5Height);
                                                        break;
                                                }
                                            case 2:
                                                switch (n) {
                                                    case 0:
                                                        this.photoImage1.setImageCoords(AndroidUtilities.dp(40.0f), this.textInfoLayout1.getHeight() + this.textInfoLayout2.getHeight() + AndroidUtilities.dp(95.0f) + (spacingHeight * 2), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo1Height);
                                                        break;
                                                    case 1:
                                                        this.photoImage2.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage1.getImageY() + this.photo1Height + this.textInfoLayout2.getHeight() + (spacingHeight * 2)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo2Height);
                                                        break;
                                                    case 2:
                                                        this.photoImage3.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage2.getImageY() + this.photo2Height + this.textInfoLayout2.getHeight() + (spacingHeight * 3)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo3Height);
                                                        break;
                                                    case 3:
                                                        this.photoImage4.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage3.getImageY() + this.photo3Height + this.textInfoLayout2.getHeight() + (spacingHeight * 4)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo4Height);
                                                        break;
                                                    case 4:
                                                        this.photoImage5.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage4.getImageY() + this.photo4Height + this.textInfoLayout2.getHeight() + (spacingHeight * 5)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo5Height);
                                                        break;
                                                }
                                            case 3:
                                                switch (n) {
                                                    case 0:
                                                        this.photoImage1.setImageCoords(AndroidUtilities.dp(40.0f), this.textInfoLayout1.getHeight() + this.textInfoLayout2.getHeight() + this.textInfoLayout3.getHeight() + AndroidUtilities.dp(95.0f) + (spacingHeight * 3), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo1Height);
                                                        break;
                                                    case 1:
                                                        this.photoImage2.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage1.getImageY() + this.photo1Height + this.textInfoLayout3.getHeight() + (spacingHeight * 2)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo2Height);
                                                        break;
                                                    case 2:
                                                        this.photoImage3.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage2.getImageY() + this.photo2Height + this.textInfoLayout3.getHeight() + (spacingHeight * 3)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo3Height);
                                                        break;
                                                    case 3:
                                                        this.photoImage4.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage3.getImageY() + this.photo3Height + this.textInfoLayout3.getHeight() + (spacingHeight * 4)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo4Height);
                                                        break;
                                                    case 4:
                                                        this.photoImage5.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage4.getImageY() + this.photo4Height + this.textInfoLayout3.getHeight() + (spacingHeight * 5)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo5Height);
                                                        break;
                                                }
                                            case 4:
                                                switch (n) {
                                                    case 0:
                                                        this.photoImage1.setImageCoords(AndroidUtilities.dp(40.0f), this.textInfoLayout1.getHeight() + this.textInfoLayout2.getHeight() + this.textInfoLayout3.getHeight() + this.textInfoLayout4.getHeight() + AndroidUtilities.dp(95.0f) + (spacingHeight * 4), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo1Height);
                                                        break;
                                                    case 1:
                                                        this.photoImage2.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage1.getImageY() + this.photo1Height + this.textInfoLayout4.getHeight() + (spacingHeight * 2)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo2Height);
                                                        break;
                                                    case 2:
                                                        this.photoImage3.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage2.getImageY() + this.photo2Height + this.textInfoLayout4.getHeight() + (spacingHeight * 3)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo3Height);
                                                        break;
                                                    case 3:
                                                        this.photoImage4.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage3.getImageY() + this.photo3Height + this.textInfoLayout4.getHeight() + (spacingHeight * 4)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo4Height);
                                                        break;
                                                    case 4:
                                                        this.photoImage5.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage4.getImageY() + this.photo4Height + this.textInfoLayout4.getHeight() + (spacingHeight * 5)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo5Height);
                                                        break;
                                                }
                                            case 5:
                                                switch (n) {
                                                    case 0:
                                                        this.photoImage1.setImageCoords(AndroidUtilities.dp(40.0f), this.textInfoLayout1.getHeight() + this.textInfoLayout2.getHeight() + this.textInfoLayout3.getHeight() + this.textInfoLayout4.getHeight() + this.textInfoLayout5.getHeight() + AndroidUtilities.dp(95.0f) + (spacingHeight * 5), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo1Height);
                                                        break;
                                                    case 1:
                                                        this.photoImage2.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage1.getImageY() + this.photo1Height + this.textInfoLayout5.getHeight() + (spacingHeight * 2)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo2Height);
                                                        break;
                                                    case 2:
                                                        this.photoImage3.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage2.getImageY() + this.photo2Height + this.textInfoLayout5.getHeight() + (spacingHeight * 3)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo3Height);
                                                        break;
                                                    case 3:
                                                        this.photoImage4.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage3.getImageY() + this.photo3Height + this.textInfoLayout5.getHeight() + (spacingHeight * 4)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo4Height);
                                                        break;
                                                    case 4:
                                                        this.photoImage5.setImageCoords(AndroidUtilities.dp(40.0f), (int) (this.photoImage4.getImageY() + this.photo4Height + this.textInfoLayout5.getHeight() + (spacingHeight * 5)), this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo5Height);
                                                        break;
                                                }
                                        }
                                        n++;
                                    } else if (lastData instanceof TLRPCContacts.NotifyMsgMedia) {
                                        switch (n) {
                                            case 1:
                                                this.photoImage2.setImageCoords(AndroidUtilities.dp(40.0f), this.photoImage1.getImageY() + this.photoImage1.getImageHeight() + spacingHeight, this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo2Height);
                                                break;
                                            case 2:
                                                this.photoImage3.setImageCoords(AndroidUtilities.dp(40.0f), this.photoImage2.getImageY() + this.photoImage2.getImageHeight() + spacingHeight, this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo3Height);
                                                break;
                                            case 3:
                                                this.photoImage4.setImageCoords(AndroidUtilities.dp(40.0f), this.photoImage3.getImageY() + this.photoImage3.getImageHeight() + spacingHeight, this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo4Height);
                                                break;
                                            case 4:
                                                this.photoImage5.setImageCoords(AndroidUtilities.dp(40.0f), this.photoImage4.getImageY() + this.photoImage4.getImageHeight() + spacingHeight, this.backgroundWidth - AndroidUtilities.dp(60.0f), (int) this.photo5Height);
                                                break;
                                        }
                                        n++;
                                    }
                                }
                            }
                        }
                    } else {
                        ImageReceiver imageReceiver4 = this.photoImage;
                        if (imageReceiver4 != null) {
                            imageReceiver4.setImageCoords(AndroidUtilities.dp(30.0f), AndroidUtilities.dp(12.0f), AndroidUtilities.dp(44.0f), AndroidUtilities.dp(44.0f));
                        }
                        ImageReceiver imageReceiver5 = this.photoFCImage;
                        if (imageReceiver5 != null) {
                            imageReceiver5.setImageCoords(this.backgroundWidth - AndroidUtilities.dp(76.0f), AndroidUtilities.dp(7.0f), AndroidUtilities.dp(66.0f), AndroidUtilities.dp(66.0f));
                        }
                    }
                }
            } else {
                if (this.currentMessageObject.isOutOwner()) {
                    x5 = (this.layoutWidth - this.backgroundWidth) + AndroidUtilities.dp(14.0f);
                } else if (this.isChat && this.currentMessageObject.needDrawAvatar()) {
                    x5 = AndroidUtilities.dp(72.0f);
                } else {
                    x5 = AndroidUtilities.dp(23.0f);
                }
                this.photoImage.setImageCoords(x5, AndroidUtilities.dp(13.0f) + this.namesOffset, AndroidUtilities.dp(44.0f), AndroidUtilities.dp(44.0f));
            }
            int childCount = getChildCount();
            if (this.currentMessageObject.type == 105) {
                TLRPCContacts.TL_messageMediaSysNotify sysNotify2 = (TLRPCContacts.TL_messageMediaSysNotify) this.currentMessageObject.messageOwner.media;
                if (sysNotify2.business_code == 1 || sysNotify2.business_code == 2 || sysNotify2.business_code == 3 || sysNotify2.business_code == 10) {
                    for (int i11 = 0; i11 < childCount; i11++) {
                        View view = getChildAt(i11);
                        view.layout((int) (-AndroidUtilities.dpf2(5.0f)), (int) (-AndroidUtilities.dpf2(9.0f)), view.getMeasuredWidth(), view.getMeasuredHeight());
                    }
                    return;
                }
                for (int i12 = 0; i12 < childCount; i12++) {
                    getChildAt(i12).layout(AndroidUtilities.dp(9.0f), 0, this.backgroundWidth + AndroidUtilities.dp(9.0f), this.totalHeight + AndroidUtilities.dp(9.0f));
                }
            }
        }
    }

    public boolean needDelayRoundProgressDraw() {
        int i = this.documentAttachType;
        return (i == 7 || i == 4) && this.currentMessageObject.type != 5 && MediaController.getInstance().isPlayingMessage(this.currentMessageObject);
    }

    public void drawRoundProgress(Canvas canvas) {
        this.rect.set(this.photoImage.getImageX() + AndroidUtilities.dpf2(1.5f), this.photoImage.getImageY() + AndroidUtilities.dpf2(1.5f), this.photoImage.getImageX2() - AndroidUtilities.dpf2(1.5f), this.photoImage.getImageY2() - AndroidUtilities.dpf2(1.5f));
        canvas.drawArc(this.rect, -90.0f, this.currentMessageObject.audioProgress * 360.0f, false, Theme.chat_radialProgressPaint);
    }

    private void updatePollAnimations() {
        long newTime = System.currentTimeMillis();
        long dt = newTime - this.voteLastUpdateTime;
        if (dt > 17) {
            dt = 17;
        }
        this.voteLastUpdateTime = newTime;
        if (this.pollVoteInProgress) {
            float f = this.voteRadOffset + (((float) (360 * dt)) / 2000.0f);
            this.voteRadOffset = f;
            int count = (int) (f / 360.0f);
            this.voteRadOffset = f - (count * 360);
            float f2 = this.voteCurrentProgressTime + ((float) dt);
            this.voteCurrentProgressTime = f2;
            if (f2 >= 500.0f) {
                this.voteCurrentProgressTime = 500.0f;
            }
            if (this.voteRisingCircleLength) {
                this.voteCurrentCircleLength = (AndroidUtilities.accelerateInterpolator.getInterpolation(this.voteCurrentProgressTime / 500.0f) * 266.0f) + 4.0f;
            } else {
                this.voteCurrentCircleLength = 4.0f - ((this.firstCircleLength ? 360 : 270) * (1.0f - AndroidUtilities.decelerateInterpolator.getInterpolation(this.voteCurrentProgressTime / 500.0f)));
            }
            if (this.voteCurrentProgressTime == 500.0f) {
                boolean z = this.voteRisingCircleLength;
                if (z) {
                    this.voteRadOffset += 270.0f;
                    this.voteCurrentCircleLength = -266.0f;
                }
                this.voteRisingCircleLength = !z;
                if (this.firstCircleLength) {
                    this.firstCircleLength = false;
                }
                this.voteCurrentProgressTime = 0.0f;
            }
            invalidate();
        }
        if (this.animatePollAnswer) {
            float f3 = this.pollAnimationProgressTime + ((float) dt);
            this.pollAnimationProgressTime = f3;
            if (f3 >= 300.0f) {
                this.pollAnimationProgressTime = 300.0f;
            }
            float interpolation = AndroidUtilities.decelerateInterpolator.getInterpolation(this.pollAnimationProgressTime / 300.0f);
            this.pollAnimationProgress = interpolation;
            if (interpolation >= 1.0f) {
                this.pollAnimationProgress = 1.0f;
                this.animatePollAnswer = false;
                this.animatePollAnswerAlpha = false;
                this.pollVoteInProgress = false;
                this.pollUnvoteInProgress = false;
            }
            invalidate();
        }
    }

    private void drawContent(Canvas canvas) {
        int i;
        ViewGroup viewGroup;
        MessageObject.GroupedMessages groupedMessages;
        float f;
        Drawable audio;
        Drawable translate;
        int x1;
        int y1;
        int i2;
        int addX;
        int x;
        int titleY;
        int subtitleY;
        int linkX;
        int x2;
        int x3;
        boolean z;
        int startY;
        int linkX2;
        int i3;
        int i4;
        float f2;
        Drawable instantDrawable;
        int x4;
        int y;
        int x5;
        Drawable translate2;
        if (this.needNewVisiblePart && this.currentMessageObject.type == 0) {
            getLocalVisibleRect(this.scrollRect);
            setVisiblePart(this.scrollRect.top, this.scrollRect.bottom - this.scrollRect.top);
            this.needNewVisiblePart = false;
        }
        this.forceNotDrawTime = this.currentMessagesGroup != null;
        this.photoImage.setVisible((PhotoViewer.isShowingImage(this.currentMessageObject) || SecretMediaViewer.getInstance().isShowingImage(this.currentMessageObject)) ? false : true, false);
        if (!this.photoImage.getVisible()) {
            this.mediaWasInvisible = true;
            this.timeWasInvisible = true;
            int i5 = this.animatingNoSound;
            if (i5 == 1) {
                this.animatingNoSoundProgress = 0.0f;
                this.animatingNoSound = 0;
            } else if (i5 == 2) {
                this.animatingNoSoundProgress = 1.0f;
                this.animatingNoSound = 0;
            }
        } else if (this.groupPhotoInvisible) {
            this.timeWasInvisible = true;
        } else {
            boolean z2 = this.mediaWasInvisible;
            if (z2 || this.timeWasInvisible) {
                if (z2) {
                    this.controlsAlpha = 0.0f;
                    this.mediaWasInvisible = false;
                }
                if (this.timeWasInvisible) {
                    this.timeAlpha = 0.0f;
                    this.timeWasInvisible = false;
                }
                this.lastControlsAlphaChangeTime = System.currentTimeMillis();
                this.totalChangeTime = 0L;
            }
        }
        this.radialProgress.setProgressColor(Theme.getColor(Theme.key_chat_mediaProgress));
        this.videoRadialProgress.setProgressColor(Theme.getColor(Theme.key_chat_mediaProgress));
        boolean imageDrawn = false;
        if (this.currentMessageObject.type == 0) {
            if (this.currentMessageObject.isOutOwner()) {
                this.textX = this.currentBackgroundDrawable.getBounds().left + AndroidUtilities.dp(11.0f);
            } else {
                int i6 = this.currentBackgroundDrawable.getBounds().left;
                if (this.mediaBackground || this.drawPinnedBottom) {
                }
                this.textX = i6 + AndroidUtilities.dp(11.0f);
            }
            if (this.hasGamePreview) {
                this.textX += AndroidUtilities.dp(11.0f);
                int dp = AndroidUtilities.dp(14.0f) + this.namesOffset;
                this.textY = dp;
                StaticLayout staticLayout = this.siteNameLayout;
                if (staticLayout != null) {
                    this.textY = dp + staticLayout.getLineBottom(staticLayout.getLineCount() - 1);
                }
            } else if (this.hasInvoicePreview) {
                int dp2 = AndroidUtilities.dp(14.0f) + this.namesOffset;
                this.textY = dp2;
                StaticLayout staticLayout2 = this.siteNameLayout;
                if (staticLayout2 != null) {
                    this.textY = dp2 + staticLayout2.getLineBottom(staticLayout2.getLineCount() - 1);
                }
            } else {
                int dp3 = AndroidUtilities.dp(10.0f) + this.namesOffset;
                this.textY = dp3;
                this.textY = dp3 + mOffset;
            }
            this.unmovedTextX = this.textX;
            if (this.currentMessageObject.textXOffset != 0.0f && this.replyNameLayout != null) {
                int diff = (this.backgroundWidth - AndroidUtilities.dp(31.0f)) - this.currentMessageObject.textWidth;
                if (!this.hasNewLineForTime) {
                    diff -= this.timeWidth + AndroidUtilities.dp((this.currentMessageObject.isOutOwner() ? 20 : 0) + 4);
                }
                if (diff > 0) {
                    this.textX += diff;
                }
            }
            if (this.currentMessageObject.textLayoutBlocks != null && !this.currentMessageObject.textLayoutBlocks.isEmpty()) {
                if (this.fullyDraw) {
                    this.firstVisibleBlockNum = 0;
                    this.lastVisibleBlockNum = this.currentMessageObject.textLayoutBlocks.size();
                }
                if (this.firstVisibleBlockNum >= 0) {
                    for (int a2 = this.firstVisibleBlockNum; a2 <= this.lastVisibleBlockNum && a2 < this.currentMessageObject.textLayoutBlocks.size(); a2++) {
                        MessageObject.TextLayoutBlock block = this.currentMessageObject.textLayoutBlocks.get(a2);
                        canvas.save();
                        canvas.translate(this.textX - (block.isRtl() ? (int) Math.ceil(this.currentMessageObject.textXOffset) : 0), this.textY + block.textYOffset);
                        if (this.pressedLink != null && a2 == this.linkBlockNum) {
                            for (int b = 0; b < this.urlPath.size(); b++) {
                                canvas.drawPath(this.urlPath.get(b), Theme.chat_urlPaint);
                            }
                        }
                        int b2 = this.linkSelectionBlockNum;
                        if (a2 == b2 && !this.urlPathSelection.isEmpty()) {
                            for (int b3 = 0; b3 < this.urlPathSelection.size(); b3++) {
                                canvas.drawPath(this.urlPathSelection.get(b3), Theme.chat_textSearchSelectionPaint);
                            }
                        }
                        try {
                            block.textLayout.draw(canvas);
                        } catch (Exception e) {
                            FileLog.e(e);
                        }
                        canvas.restore();
                    }
                }
            }
            if (this.currentMessageObject.transHeight != 0 && this.transLayout != null) {
                if (this.currentMessageObject.isTranslating() && System.currentTimeMillis() - this.transLastTime > 150) {
                    this.transLastTime = System.currentTimeMillis();
                    RectF rectF = new RectF(this.radius - 3, AndroidUtilities.dp(15.0f), this.radius + 3, AndroidUtilities.dp(22.0f));
                    canvas.save();
                    if (this.hasNewLineForTime) {
                        canvas.translate(this.transDrawable.getBounds().left + AndroidUtilities.dp(15.0f), this.textY + this.currentMessageObject.textHeight + AndroidUtilities.dp(36.0f));
                    } else {
                        canvas.translate(this.transDrawable.getBounds().left + AndroidUtilities.dp(15.0f), this.textY + this.currentMessageObject.textHeight + AndroidUtilities.dp(23.0f));
                    }
                    if (this.currentMessageObject.isOutOwner()) {
                        Theme.chat_translationPaint.setColor(-12216004);
                    } else {
                        Theme.chat_translationPaint.setColor(-6710887);
                    }
                    int i7 = this.radius;
                    canvas.rotate(this.transLoadingRencntcount * 45, i7, i7);
                    for (int i8 = 0; i8 < 8; i8++) {
                        Theme.chat_translationPaint.setAlpha(255 - (i8 * 20));
                        canvas.drawRoundRect(rectF, 10.0f, 10.0f, Theme.chat_translationPaint);
                        int i9 = this.radius;
                        canvas.rotate(45.0f, i9, i9);
                    }
                    int i10 = this.transLoadingRencntcount;
                    int i11 = i10 + 1;
                    this.transLoadingRencntcount = i11;
                    if (i11 > 8) {
                        this.transLoadingRencntcount = 0;
                    }
                    canvas.restore();
                    postInvalidateDelayed(150L);
                } else {
                    canvas.save();
                    if (this.hasNewLineForTime) {
                        canvas.translate(this.transDrawable.getBounds().left + AndroidUtilities.dp(10.0f), this.textY + this.currentMessageObject.textHeight + AndroidUtilities.dp(27.0f));
                    } else {
                        canvas.translate(this.transDrawable.getBounds().left + AndroidUtilities.dp(10.0f), this.textY + this.currentMessageObject.textHeight + AndroidUtilities.dp(15.0f));
                    }
                    this.transLayout.draw(canvas);
                    canvas.restore();
                    if (this.currentMessageObject.isOutOwner()) {
                        translate2 = Theme.chat_msgOutTranslateIcon;
                        Theme.chat_translationPaint.setColor(-12216004);
                    } else {
                        translate2 = Theme.chat_msgInTranslateIcon;
                        Theme.chat_translationPaint.setColor(-6710887);
                    }
                    setDrawableBounds(translate2, this.transDrawable.getBounds().left + AndroidUtilities.dp(10.0f), this.transDrawable.getBounds().bottom - AndroidUtilities.dp(20.0f), AndroidUtilities.dp(10.0f), AndroidUtilities.dp(10.0f));
                    translate2.draw(canvas);
                    canvas.save();
                    canvas.translate(this.transDrawable.getBounds().left + AndroidUtilities.dp(25.0f), this.transDrawable.getBounds().bottom - AndroidUtilities.dp(20.0f));
                    this.transLayoutDesc.draw(canvas);
                    canvas.restore();
                }
            }
            if (this.hasLinkPreview || this.hasGamePreview || this.hasInvoicePreview) {
                if (this.hasGamePreview) {
                    startY = AndroidUtilities.dp(14.0f) + this.namesOffset;
                    linkX2 = this.unmovedTextX - AndroidUtilities.dp(10.0f);
                } else if (this.hasInvoicePreview) {
                    startY = AndroidUtilities.dp(14.0f) + this.namesOffset;
                    linkX2 = this.unmovedTextX + AndroidUtilities.dp(1.0f);
                } else {
                    int startY2 = this.textY;
                    startY = startY2 + this.currentMessageObject.textHeight + AndroidUtilities.dp(8.0f);
                    linkX2 = this.unmovedTextX + AndroidUtilities.dp(1.0f);
                }
                int linkPreviewY = startY;
                int smallImageStartY = 0;
                if (this.hasInvoicePreview) {
                    i3 = 4;
                    i = 255;
                    i4 = 8;
                    f2 = 10.0f;
                } else {
                    Theme.chat_replyLinePaint.setColor(Theme.getColor(this.currentMessageObject.isOutOwner() ? Theme.key_chat_outPreviewLine : Theme.key_chat_inPreviewLine));
                    f2 = 10.0f;
                    i3 = 4;
                    i = 255;
                    i4 = 8;
                    canvas.drawRect(linkX2, linkPreviewY - AndroidUtilities.dp(3.0f), AndroidUtilities.dp(2.0f) + linkX2, this.linkPreviewHeight + linkPreviewY + AndroidUtilities.dp(3.0f), Theme.chat_replyLinePaint);
                }
                if (this.siteNameLayout != null) {
                    Theme.chat_replyNamePaint.setColor(Theme.getColor(this.currentMessageObject.isOutOwner() ? Theme.key_chat_outSiteNameText : Theme.key_chat_inSiteNameText));
                    canvas.save();
                    if (this.siteNameRtl) {
                        x5 = (this.backgroundWidth - this.siteNameWidth) - AndroidUtilities.dp(32.0f);
                    } else {
                        x5 = this.hasInvoicePreview ? 0 : AndroidUtilities.dp(f2);
                    }
                    canvas.translate(linkX2 + x5, linkPreviewY - AndroidUtilities.dp(3.0f));
                    this.siteNameLayout.draw(canvas);
                    canvas.restore();
                    StaticLayout staticLayout3 = this.siteNameLayout;
                    linkPreviewY += staticLayout3.getLineBottom(staticLayout3.getLineCount() - 1);
                }
                if ((this.hasGamePreview || this.hasInvoicePreview) && this.currentMessageObject.textHeight != 0) {
                    startY += this.currentMessageObject.textHeight + AndroidUtilities.dp(4.0f);
                    linkPreviewY += this.currentMessageObject.textHeight + AndroidUtilities.dp(4.0f);
                }
                if ((this.drawPhotoImage && this.drawInstantView) || (this.drawInstantViewType == 6 && this.imageBackgroundColor != 0)) {
                    if (linkPreviewY != startY) {
                        linkPreviewY += AndroidUtilities.dp(2.0f);
                    }
                    if (this.imageBackgroundSideColor == 0) {
                        this.photoImage.setImageCoords(AndroidUtilities.dp(f2) + linkX2, linkPreviewY, this.photoImage.getImageWidth(), this.photoImage.getImageHeight());
                    } else {
                        int x6 = AndroidUtilities.dp(f2) + linkX2;
                        ImageReceiver imageReceiver = this.photoImage;
                        imageReceiver.setImageCoords(((this.imageBackgroundSideWidth - imageReceiver.getImageWidth()) / 2) + x6, linkPreviewY, this.photoImage.getImageWidth(), this.photoImage.getImageHeight());
                        this.rect.set(x6, this.photoImage.getImageY(), this.imageBackgroundSideWidth + x6, this.photoImage.getImageY2());
                        Theme.chat_instantViewPaint.setColor(this.imageBackgroundSideColor);
                        canvas.drawRoundRect(this.rect, AndroidUtilities.dp(4.0f), AndroidUtilities.dp(4.0f), Theme.chat_instantViewPaint);
                    }
                    if (this.imageBackgroundColor != 0) {
                        Theme.chat_instantViewPaint.setColor(this.imageBackgroundColor);
                        this.rect.set(this.photoImage.getImageX(), this.photoImage.getImageY(), this.photoImage.getImageX2(), this.photoImage.getImageY2());
                        if (this.imageBackgroundSideColor != 0) {
                            canvas.drawRect(this.photoImage.getImageX(), this.photoImage.getImageY(), this.photoImage.getImageX2(), this.photoImage.getImageY2(), Theme.chat_instantViewPaint);
                        } else {
                            canvas.drawRoundRect(this.rect, AndroidUtilities.dp(4.0f), AndroidUtilities.dp(4.0f), Theme.chat_instantViewPaint);
                        }
                    }
                    if (this.drawPhotoImage && this.drawInstantView) {
                        if (this.drawImageButton) {
                            int size = AndroidUtilities.dp(48.0f);
                            this.buttonX = (int) (this.photoImage.getImageX() + ((this.photoImage.getImageWidth() - size) / 2.0f));
                            int imageY = (int) (this.photoImage.getImageY() + ((this.photoImage.getImageHeight() - size) / 2.0f));
                            this.buttonY = imageY;
                            RadialProgress2 radialProgress2 = this.radialProgress;
                            int i12 = this.buttonX;
                            radialProgress2.setProgressRect(i12, imageY, i12 + size, imageY + size);
                        }
                        imageDrawn = this.photoImage.draw(canvas);
                    }
                    linkPreviewY += this.photoImage.getImageHeight() + AndroidUtilities.dp(6.0f);
                }
                if (this.currentMessageObject.isOutOwner()) {
                    Theme.chat_replyNamePaint.setColor(Theme.getColor(Theme.key_chat_messageTextOut));
                    Theme.chat_replyTextPaint.setColor(Theme.getColor(Theme.key_chat_messageTextOut));
                } else {
                    Theme.chat_replyNamePaint.setColor(Theme.getColor(Theme.key_chat_messageTextIn));
                    Theme.chat_replyTextPaint.setColor(Theme.getColor(Theme.key_chat_messageTextIn));
                }
                if (this.titleLayout != null) {
                    if (linkPreviewY != startY) {
                        linkPreviewY += AndroidUtilities.dp(2.0f);
                    }
                    smallImageStartY = linkPreviewY - AndroidUtilities.dp(1.0f);
                    canvas.save();
                    canvas.translate(AndroidUtilities.dp(f2) + linkX2 + this.titleX, linkPreviewY - AndroidUtilities.dp(3.0f));
                    this.titleLayout.draw(canvas);
                    canvas.restore();
                    StaticLayout staticLayout4 = this.titleLayout;
                    linkPreviewY += staticLayout4.getLineBottom(staticLayout4.getLineCount() - 1);
                }
                if (this.authorLayout != null) {
                    if (linkPreviewY != startY) {
                        linkPreviewY += AndroidUtilities.dp(2.0f);
                    }
                    if (smallImageStartY == 0) {
                        smallImageStartY = linkPreviewY - AndroidUtilities.dp(1.0f);
                    }
                    canvas.save();
                    canvas.translate(AndroidUtilities.dp(f2) + linkX2 + this.authorX, linkPreviewY - AndroidUtilities.dp(3.0f));
                    this.authorLayout.draw(canvas);
                    canvas.restore();
                    StaticLayout staticLayout5 = this.authorLayout;
                    linkPreviewY += staticLayout5.getLineBottom(staticLayout5.getLineCount() - 1);
                }
                if (this.descriptionLayout != null) {
                    if (linkPreviewY != startY) {
                        linkPreviewY += AndroidUtilities.dp(2.0f);
                    }
                    if (smallImageStartY == 0) {
                        smallImageStartY = linkPreviewY - AndroidUtilities.dp(1.0f);
                    }
                    this.descriptionY = linkPreviewY - AndroidUtilities.dp(3.0f);
                    canvas.save();
                    canvas.translate((this.hasInvoicePreview ? 0 : AndroidUtilities.dp(f2)) + linkX2 + this.descriptionX, this.descriptionY);
                    if (this.pressedLink != null && this.linkBlockNum == -10) {
                        for (int b4 = 0; b4 < this.urlPath.size(); b4++) {
                            canvas.drawPath(this.urlPath.get(b4), Theme.chat_urlPaint);
                        }
                    }
                    this.descriptionLayout.draw(canvas);
                    canvas.restore();
                    StaticLayout staticLayout6 = this.descriptionLayout;
                    linkPreviewY += staticLayout6.getLineBottom(staticLayout6.getLineCount() - 1);
                }
                if (this.drawPhotoImage && !this.drawInstantView) {
                    if (linkPreviewY != startY) {
                        linkPreviewY += AndroidUtilities.dp(2.0f);
                    }
                    if (this.isSmallImage) {
                        this.photoImage.setImageCoords((this.backgroundWidth + linkX2) - AndroidUtilities.dp(81.0f), smallImageStartY, this.photoImage.getImageWidth(), this.photoImage.getImageHeight());
                    } else {
                        this.photoImage.setImageCoords((this.hasInvoicePreview ? -AndroidUtilities.dp(6.3f) : AndroidUtilities.dp(f2)) + linkX2, linkPreviewY, this.photoImage.getImageWidth(), this.photoImage.getImageHeight());
                        if (this.drawImageButton) {
                            int size2 = AndroidUtilities.dp(48.0f);
                            this.buttonX = (int) (this.photoImage.getImageX() + ((this.photoImage.getImageWidth() - size2) / 2.0f));
                            int imageY2 = (int) (this.photoImage.getImageY() + ((this.photoImage.getImageHeight() - size2) / 2.0f));
                            this.buttonY = imageY2;
                            RadialProgress2 radialProgress22 = this.radialProgress;
                            int i13 = this.buttonX;
                            radialProgress22.setProgressRect(i13, imageY2, i13 + size2, imageY2 + size2);
                        }
                    }
                    if (this.currentMessageObject.isRoundVideo() && MediaController.getInstance().isPlayingMessage(this.currentMessageObject) && MediaController.getInstance().isVideoDrawingReady()) {
                        imageDrawn = true;
                        this.drawTime = true;
                    } else {
                        imageDrawn = this.photoImage.draw(canvas);
                    }
                }
                int i14 = this.documentAttachType;
                if (i14 == i3 || i14 == 2) {
                    this.videoButtonX = this.photoImage.getImageX() + AndroidUtilities.dp(8.0f);
                    int imageY3 = this.photoImage.getImageY() + AndroidUtilities.dp(8.0f);
                    this.videoButtonY = imageY3;
                    RadialProgress2 radialProgress23 = this.videoRadialProgress;
                    int i15 = this.videoButtonX;
                    radialProgress23.setProgressRect(i15, imageY3, AndroidUtilities.dp(24.0f) + i15, this.videoButtonY + AndroidUtilities.dp(24.0f));
                }
                if (this.photosCountLayout != null && this.photoImage.getVisible()) {
                    int x7 = ((this.photoImage.getImageX() + this.photoImage.getImageWidth()) - AndroidUtilities.dp(8.0f)) - this.photosCountWidth;
                    int y2 = (this.photoImage.getImageY() + this.photoImage.getImageHeight()) - AndroidUtilities.dp(19.0f);
                    this.rect.set(x7 - AndroidUtilities.dp(4.0f), y2 - AndroidUtilities.dp(1.5f), this.photosCountWidth + x7 + AndroidUtilities.dp(4.0f), y2 + AndroidUtilities.dp(14.5f));
                    int oldAlpha = Theme.chat_timeBackgroundPaint.getAlpha();
                    Theme.chat_timeBackgroundPaint.setAlpha((int) (oldAlpha * this.controlsAlpha));
                    Theme.chat_durationPaint.setAlpha((int) (this.controlsAlpha * 255.0f));
                    canvas.drawRoundRect(this.rect, AndroidUtilities.dp(4.0f), AndroidUtilities.dp(4.0f), Theme.chat_timeBackgroundPaint);
                    Theme.chat_timeBackgroundPaint.setAlpha(oldAlpha);
                    canvas.save();
                    canvas.translate(x7, y2);
                    this.photosCountLayout.draw(canvas);
                    canvas.restore();
                    Theme.chat_durationPaint.setAlpha(i);
                }
                if (this.videoInfoLayout != null && ((!this.drawPhotoImage || this.photoImage.getVisible()) && this.imageBackgroundSideColor == 0)) {
                    if (!this.hasGamePreview && !this.hasInvoicePreview && this.documentAttachType != i4) {
                        x4 = ((this.photoImage.getImageX() + this.photoImage.getImageWidth()) - AndroidUtilities.dp(8.0f)) - this.durationWidth;
                        y = (this.photoImage.getImageY() + this.photoImage.getImageHeight()) - AndroidUtilities.dp(19.0f);
                        this.rect.set(x4 - AndroidUtilities.dp(4.0f), y - AndroidUtilities.dp(1.5f), this.durationWidth + x4 + AndroidUtilities.dp(4.0f), AndroidUtilities.dp(14.5f) + y);
                        canvas.drawRoundRect(this.rect, AndroidUtilities.dp(4.0f), AndroidUtilities.dp(4.0f), Theme.chat_timeBackgroundPaint);
                    } else if (this.drawPhotoImage) {
                        x4 = this.photoImage.getImageX() + AndroidUtilities.dp(8.5f);
                        y = this.photoImage.getImageY() + AndroidUtilities.dp(6.0f);
                        int height = AndroidUtilities.dp(this.documentAttachType == i4 ? 14.5f : 16.5f);
                        this.rect.set(x4 - AndroidUtilities.dp(4.0f), y - AndroidUtilities.dp(1.5f), this.durationWidth + x4 + AndroidUtilities.dp(4.0f), y + height);
                        canvas.drawRoundRect(this.rect, AndroidUtilities.dp(4.0f), AndroidUtilities.dp(4.0f), Theme.chat_timeBackgroundPaint);
                    } else {
                        x4 = linkX2;
                        y = linkPreviewY;
                    }
                    canvas.save();
                    canvas.translate(x4, y);
                    if (this.hasInvoicePreview) {
                        if (this.drawPhotoImage) {
                            Theme.chat_shipmentPaint.setColor(Theme.getColor(Theme.key_chat_previewGameText));
                        } else if (this.currentMessageObject.isOutOwner()) {
                            Theme.chat_shipmentPaint.setColor(Theme.getColor(Theme.key_chat_messageTextOut));
                        } else {
                            Theme.chat_shipmentPaint.setColor(Theme.getColor(Theme.key_chat_messageTextIn));
                        }
                    }
                    this.videoInfoLayout.draw(canvas);
                    canvas.restore();
                }
                if (this.drawInstantView) {
                    int instantY = this.linkPreviewHeight + startY + AndroidUtilities.dp(f2);
                    Paint backPaint = Theme.chat_instantViewRectPaint;
                    if (this.currentMessageObject.isOutOwner()) {
                        instantDrawable = Theme.chat_msgOutInstantDrawable;
                        Theme.chat_instantViewPaint.setColor(Theme.getColor(Theme.key_chat_outPreviewInstantText));
                        backPaint.setColor(Theme.getColor(Theme.key_chat_outPreviewInstantText));
                    } else {
                        instantDrawable = Theme.chat_msgInInstantDrawable;
                        Theme.chat_instantViewPaint.setColor(Theme.getColor(Theme.key_chat_inPreviewInstantText));
                        backPaint.setColor(Theme.getColor(Theme.key_chat_inPreviewInstantText));
                    }
                    this.selectorDrawableMaskType = 0;
                    this.selectorDrawable.setBounds(linkX2, instantY, this.instantWidth + linkX2, AndroidUtilities.dp(36.0f) + instantY);
                    this.selectorDrawable.draw(canvas);
                    this.rect.set(linkX2, instantY, this.instantWidth + linkX2, instantY + AndroidUtilities.dp(36.0f));
                    canvas.drawRoundRect(this.rect, AndroidUtilities.dp(6.0f), AndroidUtilities.dp(6.0f), backPaint);
                    if (this.drawInstantViewType == 0) {
                        setDrawableBounds(instantDrawable, ((this.instantTextLeftX + this.instantTextX) + linkX2) - AndroidUtilities.dp(15.0f), AndroidUtilities.dp(11.5f) + instantY, AndroidUtilities.dp(9.0f), AndroidUtilities.dp(13.0f));
                        instantDrawable.draw(canvas);
                    }
                    if (this.instantViewLayout != null) {
                        canvas.save();
                        canvas.translate(this.instantTextX + linkX2, AndroidUtilities.dp(10.5f) + instantY);
                        this.instantViewLayout.draw(canvas);
                        canvas.restore();
                    }
                }
            } else {
                i = 255;
            }
            this.drawTime = true;
        } else {
            i = 255;
            if (this.drawPhotoImage) {
                if (this.currentMessageObject.isRoundVideo() && MediaController.getInstance().isPlayingMessage(this.currentMessageObject) && MediaController.getInstance().isVideoDrawingReady()) {
                    imageDrawn = true;
                    this.drawTime = true;
                } else {
                    if (this.currentMessageObject.type == 5 && Theme.chat_roundVideoShadow != null) {
                        int x8 = this.photoImage.getImageX() - AndroidUtilities.dp(3.0f);
                        int y3 = this.photoImage.getImageY() - AndroidUtilities.dp(2.0f);
                        Theme.chat_roundVideoShadow.setAlpha(255);
                        Theme.chat_roundVideoShadow.setBounds(x8, y3, AndroidUtilities.roundMessageSize + x8 + AndroidUtilities.dp(6.0f), AndroidUtilities.roundMessageSize + y3 + AndroidUtilities.dp(6.0f));
                        Theme.chat_roundVideoShadow.draw(canvas);
                        if (!this.photoImage.hasBitmapImage() || this.photoImage.getCurrentAlpha() != 1.0f) {
                            Theme.chat_docBackPaint.setColor(Theme.getColor(this.currentMessageObject.isOutOwner() ? Theme.key_chat_outBubble : Theme.key_chat_inBubble));
                            canvas.drawCircle(this.photoImage.getCenterX(), this.photoImage.getCenterY(), this.photoImage.getImageWidth() / 2, Theme.chat_docBackPaint);
                        }
                    }
                    CheckBoxBase checkBoxBase = this.photoCheckBox;
                    boolean z3 = checkBoxBase != null && (this.checkBoxVisible || checkBoxBase.getProgress() != 0.0f || this.checkBoxAnimationInProgress) && (groupedMessages = this.currentMessagesGroup) != null && groupedMessages.messages.size() > 1;
                    this.drawPhotoCheckBox = z3;
                    if (z3 && (this.photoCheckBox.isChecked() || this.photoCheckBox.getProgress() != 0.0f || this.checkBoxAnimationInProgress)) {
                        Theme.chat_replyLinePaint.setColor(Theme.getColor(this.currentMessageObject.isOutOwner() ? Theme.key_chat_outBubbleSelected : Theme.key_chat_inBubbleSelected));
                        this.rect.set(this.photoImage.getImageX(), this.photoImage.getImageY(), this.photoImage.getImageX2(), this.photoImage.getImageY2());
                        canvas.drawRoundRect(this.rect, AndroidUtilities.dp(4.0f), AndroidUtilities.dp(4.0f), Theme.chat_replyLinePaint);
                        this.photoImage.setSideClip(AndroidUtilities.dp(14.0f) * this.photoCheckBox.getProgress());
                        if (this.checkBoxAnimationInProgress) {
                            this.photoCheckBox.setBackgroundAlpha(this.checkBoxAnimationProgress);
                        } else {
                            CheckBoxBase checkBoxBase2 = this.photoCheckBox;
                            checkBoxBase2.setBackgroundAlpha(this.checkBoxVisible ? 1.0f : checkBoxBase2.getProgress());
                        }
                    } else {
                        this.photoImage.setSideClip(0.0f);
                    }
                    imageDrawn = this.photoImage.draw(canvas);
                    boolean drawTimeOld = this.drawTime;
                    boolean visible = this.photoImage.getVisible();
                    this.drawTime = visible;
                    if (this.currentPosition != null && drawTimeOld != visible && (viewGroup = (ViewGroup) getParent()) != null) {
                        if (!this.currentPosition.last) {
                            int count = viewGroup.getChildCount();
                            for (int a3 = 0; a3 < count; a3++) {
                                View child = viewGroup.getChildAt(a3);
                                if (child != this && (child instanceof ChatMessageCell)) {
                                    ChatMessageCell cell = (ChatMessageCell) child;
                                    if (cell.getCurrentMessagesGroup() == this.currentMessagesGroup) {
                                        MessageObject.GroupedMessagePosition position = cell.getCurrentPosition();
                                        if (position.last && position.maxY == this.currentPosition.maxY && (cell.timeX - AndroidUtilities.dp(4.0f)) + cell.getLeft() < getRight()) {
                                            cell.groupPhotoInvisible = !this.drawTime;
                                            cell.invalidate();
                                            viewGroup.invalidate();
                                        }
                                    }
                                }
                            }
                        } else {
                            viewGroup.invalidate();
                        }
                    }
                }
            }
        }
        int i16 = this.documentAttachType;
        float f3 = 12.0f;
        if (i16 == 2) {
            f = 10.0f;
        } else if (i16 == 7) {
            if (this.durationLayout != null) {
                boolean playing = MediaController.getInstance().isPlayingMessage(this.currentMessageObject);
                if (playing && this.currentMessageObject.type == 5) {
                    drawRoundProgress(canvas);
                    drawOverlays(canvas);
                }
                if (this.currentMessageObject.type == 5) {
                    int x12 = this.backgroundDrawableLeft + AndroidUtilities.dp(8.0f);
                    int y12 = this.layoutHeight - AndroidUtilities.dp(28 - (this.drawPinnedBottom ? 2 : 0));
                    this.rect.set(x12, y12, this.timeWidthAudio + x12 + AndroidUtilities.dp(22.0f), AndroidUtilities.dp(17.0f) + y12);
                    int oldAlpha2 = Theme.chat_actionBackgroundPaint.getAlpha();
                    Theme.chat_actionBackgroundPaint.setAlpha((int) (oldAlpha2 * this.timeAlpha));
                    canvas.drawRoundRect(this.rect, AndroidUtilities.dp(4.0f), AndroidUtilities.dp(4.0f), Theme.chat_actionBackgroundPaint);
                    Theme.chat_actionBackgroundPaint.setAlpha(oldAlpha2);
                    if (!playing && this.currentMessageObject.isContentUnread()) {
                        Theme.chat_docBackPaint.setColor(Theme.getColor(Theme.key_chat_mediaTimeText));
                        Theme.chat_docBackPaint.setAlpha((int) (this.timeAlpha * 255.0f));
                        canvas.drawCircle(this.timeWidthAudio + x12 + AndroidUtilities.dp(12.0f), AndroidUtilities.dp(8.3f) + y12, AndroidUtilities.dp(3.0f), Theme.chat_docBackPaint);
                    } else {
                        if (playing && !MediaController.getInstance().isMessagePaused()) {
                            this.roundVideoPlayingDrawable.start();
                        } else {
                            this.roundVideoPlayingDrawable.stop();
                        }
                        setDrawableBounds((Drawable) this.roundVideoPlayingDrawable, this.timeWidthAudio + x12 + AndroidUtilities.dp(6.0f), AndroidUtilities.dp(2.3f) + y12);
                        this.roundVideoPlayingDrawable.draw(canvas);
                    }
                    x1 = x12 + AndroidUtilities.dp(4.0f);
                    y1 = y12 + AndroidUtilities.dp(1.7f);
                } else {
                    int x13 = this.backgroundDrawableLeft;
                    x1 = x13 + AndroidUtilities.dp((this.currentMessageObject.isOutOwner() || this.drawPinnedBottom) ? 12.0f : 18.0f);
                    y1 = (this.layoutHeight - AndroidUtilities.dp(6.3f - (this.drawPinnedBottom ? 2 : 0))) - this.timeLayout.getHeight();
                }
                Theme.chat_timePaint.setAlpha((int) (this.timeAlpha * 255.0f));
                canvas.save();
                canvas.translate(x1, y1);
                this.durationLayout.draw(canvas);
                canvas.restore();
                Theme.chat_timePaint.setAlpha(i);
                f = 10.0f;
            } else {
                f = 10.0f;
            }
        } else if (i16 == 5) {
            if (this.currentMessageObject.isOutOwner()) {
                Theme.chat_audioTitlePaint.setColor(Theme.getColor(Theme.key_chat_outAudioTitleText));
                Theme.chat_audioPerformerPaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_outAudioPerformerSelectedText : Theme.key_chat_outAudioPerformerText));
                Theme.chat_audioTimePaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_outAudioDurationSelectedText : Theme.key_chat_outAudioDurationText));
                this.radialProgress.setProgressColor(Theme.getColor((isDrawSelectionBackground() || this.buttonPressed != 0) ? Theme.key_chat_outAudioSelectedProgress : Theme.key_chat_outAudioProgress));
            } else {
                Theme.chat_audioTitlePaint.setColor(Theme.getColor(Theme.key_chat_inAudioTitleText));
                Theme.chat_audioPerformerPaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_inAudioPerformerSelectedText : Theme.key_chat_inAudioPerformerText));
                Theme.chat_audioTimePaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_inAudioDurationSelectedText : Theme.key_chat_inAudioDurationText));
                this.radialProgress.setProgressColor(Theme.getColor((isDrawSelectionBackground() || this.buttonPressed != 0) ? Theme.key_chat_inAudioSelectedProgress : Theme.key_chat_inAudioProgress));
            }
            this.radialProgress.draw(canvas);
            canvas.save();
            canvas.translate(this.timeAudioX + this.songX, AndroidUtilities.dp(13.0f) + this.namesOffset + this.mediaOffsetY);
            this.songLayout.draw(canvas);
            canvas.restore();
            canvas.save();
            if (MediaController.getInstance().isPlayingMessage(this.currentMessageObject)) {
                canvas.translate(this.seekBarX, this.seekBarY);
                this.seekBar.draw(canvas);
            } else {
                canvas.translate(this.timeAudioX + this.performerX, AndroidUtilities.dp(35.0f) + this.namesOffset + this.mediaOffsetY);
                this.performerLayout.draw(canvas);
            }
            canvas.restore();
            canvas.save();
            canvas.translate(this.timeAudioX, AndroidUtilities.dp(57.0f) + this.namesOffset + this.mediaOffsetY);
            this.durationLayout.draw(canvas);
            canvas.restore();
            f = 10.0f;
        } else if (i16 != 3) {
            f = 10.0f;
        } else {
            if (this.currentMessageObject.isOutOwner()) {
                Theme.chat_audioTimePaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_outAudioDurationSelectedText : Theme.key_chat_outAudioDurationText));
                this.radialProgress.setProgressColor(Theme.getColor((isDrawSelectionBackground() || this.buttonPressed != 0) ? Theme.key_chat_outAudioSelectedProgress : Theme.key_chat_outAudioProgress));
            } else {
                Theme.chat_audioTimePaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_inAudioDurationSelectedText : Theme.key_chat_inAudioDurationText));
                this.radialProgress.setProgressColor(Theme.getColor((isDrawSelectionBackground() || this.buttonPressed != 0) ? Theme.key_chat_inAudioSelectedProgress : Theme.key_chat_inAudioProgress));
            }
            this.radialProgress.draw(canvas);
            canvas.save();
            if (this.useSeekBarWaweform) {
                canvas.translate(this.seekBarX + AndroidUtilities.dp(13.0f), this.seekBarY);
                this.seekBarWaveform.draw(canvas);
            } else {
                canvas.translate(this.seekBarX, this.seekBarY);
                this.seekBar.draw(canvas);
            }
            canvas.restore();
            canvas.save();
            canvas.translate(this.timeAudioX + AndroidUtilities.dp(12.0f), AndroidUtilities.dp(38.0f) + this.namesOffset + this.mediaOffsetY);
            this.durationLayout.draw(canvas);
            canvas.restore();
            if (this.currentMessageObject.isOutOwner()) {
                audio = Theme.chat_msgOutAudioFlagIcon;
            } else {
                audio = Theme.chat_msgInAudioFlagIcon;
            }
            setDrawableBounds(audio, this.timeAudioX, AndroidUtilities.dp(39.0f) + this.namesOffset + this.mediaOffsetY, AndroidUtilities.dp(8.25f), AndroidUtilities.dp(10.75f));
            audio.draw(canvas);
            if (this.currentMessageObject.transHeight == 0) {
                f = 10.0f;
            } else if (this.transLayout == null) {
                f = 10.0f;
            } else if (this.currentMessageObject.isTranslating() && System.currentTimeMillis() - this.transLastTime > 150) {
                this.transLastTime = System.currentTimeMillis();
                RectF rectF2 = new RectF(this.radius - 3, AndroidUtilities.dp(15.0f), this.radius + 3, AndroidUtilities.dp(22.0f));
                canvas.save();
                int startY3 = AndroidUtilities.dp(45.0f) + this.namesOffset + (mOffset * 2);
                canvas.translate(this.transDrawable.getBounds().left + AndroidUtilities.dp(15.0f), AndroidUtilities.dp(23.0f) + startY3);
                int i17 = this.radius;
                canvas.rotate(this.transLoadingRencntcount * 36, i17, i17);
                if (this.currentMessageObject.isOutOwner()) {
                    Theme.chat_translationPaint.setColor(-12216004);
                } else {
                    Theme.chat_translationPaint.setColor(-6710887);
                }
                for (int i18 = 0; i18 < 10; i18++) {
                    Theme.chat_translationPaint.setAlpha(255 - (i18 * 20));
                    canvas.drawRoundRect(rectF2, 10.0f, 10.0f, Theme.chat_translationPaint);
                    int i19 = this.radius;
                    canvas.rotate(36.0f, i19, i19);
                }
                f = 10.0f;
                int i20 = this.transLoadingRencntcount;
                int i21 = i20 + 1;
                this.transLoadingRencntcount = i21;
                if (i21 > 10) {
                    this.transLoadingRencntcount = 0;
                }
                canvas.restore();
                postInvalidateDelayed(150L);
            } else {
                f = 10.0f;
                int startY4 = AndroidUtilities.dp(45.0f) + this.namesOffset + (mOffset * 2);
                canvas.save();
                canvas.translate(this.transDrawable.getBounds().left + AndroidUtilities.dp(10.0f), AndroidUtilities.dp(15.0f) + startY4);
                this.transLayout.draw(canvas);
                canvas.restore();
                if (this.currentMessageObject.isOutOwner()) {
                    translate = Theme.chat_msgOutTranslateIcon;
                    Theme.chat_translationPaint.setColor(-12216004);
                } else {
                    translate = Theme.chat_msgInTranslateIcon;
                    Theme.chat_translationPaint.setColor(-6710887);
                }
                setDrawableBounds(translate, this.transDrawable.getBounds().left + AndroidUtilities.dp(10.0f), this.transDrawable.getBounds().bottom - AndroidUtilities.dp(20.0f), AndroidUtilities.dp(10.0f), AndroidUtilities.dp(10.0f));
                translate.draw(canvas);
                canvas.save();
                canvas.translate(this.transDrawable.getBounds().left + AndroidUtilities.dp(25.0f), this.transDrawable.getBounds().bottom - AndroidUtilities.dp(20.0f));
                this.transLayoutDesc.draw(canvas);
                canvas.restore();
            }
        }
        if (this.captionLayout != null) {
            if (this.currentMessageObject.type == 1 || this.documentAttachType == 4 || this.currentMessageObject.type == 8) {
                this.captionX = this.photoImage.getImageX() + AndroidUtilities.dp(5.0f) + this.captionOffsetX;
                this.captionY = this.photoImage.getImageY() + this.photoImage.getImageHeight() + AndroidUtilities.dp(6.0f);
            } else if (this.hasOldCaptionPreview) {
                this.captionX = this.backgroundDrawableLeft + AndroidUtilities.dp(this.currentMessageObject.isOutOwner() ? 11.0f : 17.0f) + this.captionOffsetX;
                this.captionY = (((this.totalHeight - this.captionHeight) - AndroidUtilities.dp(this.drawPinnedTop ? 9.0f : 10.0f)) - this.linkPreviewHeight) - AndroidUtilities.dp(17.0f);
            } else {
                this.captionX = this.backgroundDrawableLeft + AndroidUtilities.dp((this.currentMessageObject.isOutOwner() || (z = this.mediaBackground) || (!z && this.drawPinnedBottom)) ? 11.0f : 17.0f) + this.captionOffsetX;
                this.captionY = (this.totalHeight - this.captionHeight) - AndroidUtilities.dp(this.drawPinnedTop ? 9.0f : 10.0f);
            }
        }
        if (this.currentPosition == null) {
            drawCaptionLayout(canvas, false);
        }
        if (!this.hasOldCaptionPreview) {
            i2 = 1;
        } else {
            if (this.currentMessageObject.type == 1 || this.documentAttachType == 4 || this.currentMessageObject.type == 8) {
                linkX = this.photoImage.getImageX() + AndroidUtilities.dp(5.0f);
            } else {
                linkX = this.backgroundDrawableLeft + AndroidUtilities.dp(this.currentMessageObject.isOutOwner() ? 11.0f : 17.0f);
            }
            int startY5 = ((this.totalHeight - AndroidUtilities.dp(this.drawPinnedTop ? 9.0f : 10.0f)) - this.linkPreviewHeight) - AndroidUtilities.dp(8.0f);
            Theme.chat_replyLinePaint.setColor(Theme.getColor(this.currentMessageObject.isOutOwner() ? Theme.key_chat_outPreviewLine : Theme.key_chat_inPreviewLine));
            canvas.drawRect(linkX, startY5 - AndroidUtilities.dp(3.0f), AndroidUtilities.dp(2.0f) + linkX, startY5 + this.linkPreviewHeight, Theme.chat_replyLinePaint);
            if (this.siteNameLayout == null) {
                x2 = startY5;
            } else {
                Theme.chat_replyNamePaint.setColor(Theme.getColor(this.currentMessageObject.isOutOwner() ? Theme.key_chat_outSiteNameText : Theme.key_chat_inSiteNameText));
                canvas.save();
                if (this.siteNameRtl) {
                    x3 = (this.backgroundWidth - this.siteNameWidth) - AndroidUtilities.dp(32.0f);
                } else {
                    x3 = this.hasInvoicePreview ? 0 : AndroidUtilities.dp(f);
                }
                canvas.translate(linkX + x3, startY5 - AndroidUtilities.dp(3.0f));
                this.siteNameLayout.draw(canvas);
                canvas.restore();
                StaticLayout staticLayout7 = this.siteNameLayout;
                x2 = startY5 + staticLayout7.getLineBottom(staticLayout7.getLineCount() - 1);
            }
            if (this.currentMessageObject.isOutOwner()) {
                Theme.chat_replyTextPaint.setColor(Theme.getColor(Theme.key_chat_messageTextOut));
            } else {
                Theme.chat_replyTextPaint.setColor(Theme.getColor(Theme.key_chat_messageTextIn));
            }
            if (this.descriptionLayout != null) {
                if (x2 != startY5) {
                    x2 += AndroidUtilities.dp(2.0f);
                }
                this.descriptionY = x2 - AndroidUtilities.dp(3.0f);
                canvas.save();
                canvas.translate(AndroidUtilities.dp(f) + linkX + this.descriptionX, this.descriptionY);
                this.descriptionLayout.draw(canvas);
                canvas.restore();
            }
            i2 = 1;
            this.drawTime = true;
        }
        if (this.documentAttachType == i2) {
            if (this.currentMessageObject.isOutOwner()) {
                Theme.chat_docNamePaint.setColor(Theme.getColor(Theme.key_chat_outFileNameText));
                Theme.chat_infoPaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_outFileInfoSelectedText : Theme.key_chat_outFileInfoText));
                Theme.chat_docBackPaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_outFileBackgroundSelected : Theme.key_chat_outFileBackground));
            } else {
                Theme.chat_docNamePaint.setColor(Theme.getColor(Theme.key_chat_inFileNameText));
                Theme.chat_infoPaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_inFileInfoSelectedText : Theme.key_chat_inFileInfoText));
                Theme.chat_docBackPaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_inFileBackgroundSelected : Theme.key_chat_inFileBackground));
            }
            if (this.drawPhotoImage) {
                x = this.photoImage.getImageX() + this.photoImage.getImageWidth() + AndroidUtilities.dp(f);
                titleY = this.photoImage.getImageY() + AndroidUtilities.dp(8.0f);
                int imageY4 = this.photoImage.getImageY();
                StaticLayout staticLayout8 = this.docTitleLayout;
                subtitleY = imageY4 + (staticLayout8 != null ? staticLayout8.getLineBottom(staticLayout8.getLineCount() - 1) + AndroidUtilities.dp(13.0f) : AndroidUtilities.dp(8.0f));
                if (!imageDrawn) {
                    if (this.currentMessageObject.isOutOwner()) {
                        this.radialProgress.setColors(Theme.key_chat_outLoader, Theme.key_chat_outLoaderSelected, Theme.key_chat_outMediaIcon, Theme.key_chat_outMediaIconSelected);
                        this.radialProgress.setProgressColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_outFileProgressSelected : Theme.key_chat_outFileProgress));
                        this.videoRadialProgress.setColors(Theme.key_chat_outLoader, Theme.key_chat_outLoaderSelected, Theme.key_chat_outMediaIcon, Theme.key_chat_outMediaIconSelected);
                        this.videoRadialProgress.setProgressColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_outFileProgressSelected : Theme.key_chat_outFileProgress));
                    } else {
                        this.radialProgress.setColors(Theme.key_chat_inLoader, Theme.key_chat_inLoaderSelected, Theme.key_chat_inMediaIcon, Theme.key_chat_inMediaIconSelected);
                        this.radialProgress.setProgressColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_inFileProgressSelected : Theme.key_chat_inFileProgress));
                        this.videoRadialProgress.setColors(Theme.key_chat_inLoader, Theme.key_chat_inLoaderSelected, Theme.key_chat_inMediaIcon, Theme.key_chat_inMediaIconSelected);
                        this.videoRadialProgress.setProgressColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_inFileProgressSelected : Theme.key_chat_inFileProgress));
                    }
                    this.rect.set(this.photoImage.getImageX(), this.photoImage.getImageY(), this.photoImage.getImageX() + this.photoImage.getImageWidth(), this.photoImage.getImageY() + this.photoImage.getImageHeight());
                    canvas.drawRoundRect(this.rect, AndroidUtilities.dp(3.0f), AndroidUtilities.dp(3.0f), Theme.chat_docBackPaint);
                } else {
                    this.radialProgress.setColors(Theme.key_chat_mediaLoaderPhoto, Theme.key_chat_mediaLoaderPhotoSelected, Theme.key_chat_mediaLoaderPhotoIcon, Theme.key_chat_mediaLoaderPhotoIconSelected);
                    this.radialProgress.setProgressColor(Theme.getColor(Theme.key_chat_mediaProgress));
                    this.videoRadialProgress.setColors(Theme.key_chat_mediaLoaderPhoto, Theme.key_chat_mediaLoaderPhotoSelected, Theme.key_chat_mediaLoaderPhotoIcon, Theme.key_chat_mediaLoaderPhotoIconSelected);
                    this.videoRadialProgress.setProgressColor(Theme.getColor(Theme.key_chat_mediaProgress));
                    if (this.buttonState == -1 && this.radialProgress.getIcon() != 4) {
                        this.radialProgress.setIcon(4, true, true);
                    }
                }
            } else {
                x = this.buttonX + AndroidUtilities.dp(53.0f);
                titleY = this.buttonY + AndroidUtilities.dp(2.0f);
                subtitleY = this.buttonY + AndroidUtilities.dp(36.0f);
                if (this.currentMessageObject.isOutOwner()) {
                    this.radialProgress.setProgressColor(Theme.getColor((isDrawSelectionBackground() || this.buttonPressed != 0) ? Theme.key_chat_outAudioSelectedProgress : Theme.key_chat_outAudioProgress));
                    this.videoRadialProgress.setProgressColor(Theme.getColor((isDrawSelectionBackground() || this.videoButtonPressed != 0) ? Theme.key_chat_outAudioSelectedProgress : Theme.key_chat_outAudioProgress));
                } else {
                    this.radialProgress.setProgressColor(Theme.getColor((isDrawSelectionBackground() || this.buttonPressed != 0) ? Theme.key_chat_inAudioSelectedProgress : Theme.key_chat_inAudioProgress));
                    this.videoRadialProgress.setProgressColor(Theme.getColor((isDrawSelectionBackground() || this.videoButtonPressed != 0) ? Theme.key_chat_inAudioSelectedProgress : Theme.key_chat_inAudioProgress));
                }
            }
            int subtitleY2 = subtitleY;
            int subtitleY3 = titleY;
            int titleY2 = x;
            try {
                if (this.docTitleLayout != null) {
                    canvas.save();
                    canvas.translate(this.docTitleOffsetX + titleY2, subtitleY3);
                    this.docTitleLayout.draw(canvas);
                    canvas.restore();
                }
            } catch (Exception e2) {
                FileLog.e(e2);
            }
            try {
                if (this.infoLayout != null) {
                    canvas.save();
                    canvas.translate(titleY2, subtitleY2);
                    this.infoLayout.draw(canvas);
                    canvas.restore();
                }
            } catch (Exception e3) {
                FileLog.e(e3);
            }
        }
        if (this.buttonState == -1 && this.currentMessageObject.needDrawBluredPreview() && !MediaController.getInstance().isPlayingMessage(this.currentMessageObject) && this.photoImage.getVisible() && this.currentMessageObject.messageOwner.destroyTime != 0) {
            if (!this.currentMessageObject.isOutOwner()) {
                long msTime = System.currentTimeMillis() + (ConnectionsManager.getInstance(this.currentAccount).getTimeDifference() * 1000);
                float progress = ((float) Math.max(0L, (this.currentMessageObject.messageOwner.destroyTime * 1000) - msTime)) / (this.currentMessageObject.messageOwner.ttl * 1000.0f);
                Theme.chat_deleteProgressPaint.setAlpha((int) (this.controlsAlpha * 255.0f));
                canvas.drawArc(this.deleteProgressRect, -90.0f, progress * (-360.0f), true, Theme.chat_deleteProgressPaint);
                if (progress != 0.0f) {
                    int offset = AndroidUtilities.dp(2.0f);
                    invalidate(((int) this.deleteProgressRect.left) - offset, ((int) this.deleteProgressRect.top) - offset, ((int) this.deleteProgressRect.right) + (offset * 2), ((int) this.deleteProgressRect.bottom) + (offset * 2));
                }
            }
            updateSecretTimeText(this.currentMessageObject);
        }
        if (this.currentMessageObject.type == 4 && !(this.currentMessageObject.messageOwner.media instanceof TLRPC.TL_messageMediaGeoLive) && this.currentMapProvider == 2 && this.photoImage.hasNotThumb()) {
            int w = (int) (Theme.chat_redLocationIcon.getIntrinsicWidth() * 0.8f);
            int h = (int) (Theme.chat_redLocationIcon.getIntrinsicHeight() * 0.8f);
            int x9 = this.photoImage.getImageX() + ((this.photoImage.getImageWidth() - w) / 2);
            int y4 = this.photoImage.getImageY() + ((this.photoImage.getImageHeight() / 2) - h);
            Theme.chat_redLocationIcon.setAlpha((int) (this.photoImage.getCurrentAlpha() * 255.0f));
            Theme.chat_redLocationIcon.setBounds(x9, y4, x9 + w, y4 + h);
            Theme.chat_redLocationIcon.draw(canvas);
        }
        if (!this.botButtons.isEmpty()) {
            if (this.currentMessageObject.isOutOwner()) {
                addX = (getMeasuredWidth() - this.widthForButtons) - AndroidUtilities.dp(f);
            } else {
                int addX2 = this.backgroundDrawableLeft;
                addX = addX2 + AndroidUtilities.dp((this.mediaBackground || this.drawPinnedBottom) ? 1.0f : 7.0f);
            }
            int a4 = 0;
            while (a4 < this.botButtons.size()) {
                BotButton button = this.botButtons.get(a4);
                int y5 = (button.y + this.layoutHeight) - AndroidUtilities.dp(2.0f);
                Theme.chat_systemDrawable.setColorFilter(a4 == this.pressedBotButton ? Theme.colorPressedFilter : Theme.colorFilter);
                Theme.chat_systemDrawable.setBounds(button.x + addX, y5, button.x + addX + button.width, button.height + y5);
                Theme.chat_systemDrawable.draw(canvas);
                canvas.save();
                canvas.translate(button.x + addX + AndroidUtilities.dp(5.0f), ((AndroidUtilities.dp(44.0f) - button.title.getLineBottom(button.title.getLineCount() - 1)) / 2) + y5);
                button.title.draw(canvas);
                canvas.restore();
                if (button.button instanceof TLRPC.TL_keyboardButtonUrl) {
                    setDrawableBounds(Theme.chat_botLinkDrawalbe, (((button.x + button.width) - AndroidUtilities.dp(3.0f)) - Theme.chat_botLinkDrawalbe.getIntrinsicWidth()) + addX, AndroidUtilities.dp(3.0f) + y5);
                    Theme.chat_botLinkDrawalbe.draw(canvas);
                } else if (button.button instanceof TLRPC.TL_keyboardButtonSwitchInline) {
                    setDrawableBounds(Theme.chat_botInlineDrawable, (((button.x + button.width) - AndroidUtilities.dp(3.0f)) - Theme.chat_botInlineDrawable.getIntrinsicWidth()) + addX, AndroidUtilities.dp(3.0f) + y5);
                    Theme.chat_botInlineDrawable.draw(canvas);
                } else if ((button.button instanceof TLRPC.TL_keyboardButtonCallback) || (button.button instanceof TLRPC.TL_keyboardButtonRequestGeoLocation) || (button.button instanceof TLRPC.TL_keyboardButtonGame) || (button.button instanceof TLRPC.TL_keyboardButtonBuy) || (button.button instanceof TLRPC.TL_keyboardButtonUrlAuth)) {
                    boolean drawProgress = (((button.button instanceof TLRPC.TL_keyboardButtonCallback) || (button.button instanceof TLRPC.TL_keyboardButtonGame) || (button.button instanceof TLRPC.TL_keyboardButtonBuy) || (button.button instanceof TLRPC.TL_keyboardButtonUrlAuth)) && SendMessagesHelper.getInstance(this.currentAccount).isSendingCallback(this.currentMessageObject, button.button)) || ((button.button instanceof TLRPC.TL_keyboardButtonRequestGeoLocation) && SendMessagesHelper.getInstance(this.currentAccount).isSendingCurrentLocation(this.currentMessageObject, button.button));
                    if (drawProgress || (!drawProgress && button.progressAlpha != 0.0f)) {
                        Theme.chat_botProgressPaint.setAlpha(Math.min(i, (int) (button.progressAlpha * 255.0f)));
                        int x10 = ((button.x + button.width) - AndroidUtilities.dp(f3)) + addX;
                        this.rect.set(x10, AndroidUtilities.dp(4.0f) + y5, AndroidUtilities.dp(8.0f) + x10, y5 + AndroidUtilities.dp(f3));
                        canvas.drawArc(this.rect, button.angle, 220.0f, false, Theme.chat_botProgressPaint);
                        invalidate();
                        long newTime = System.currentTimeMillis();
                        if (Math.abs(button.lastUpdateTime - System.currentTimeMillis()) < 1000) {
                            long delta = newTime - button.lastUpdateTime;
                            float dt = ((float) (360 * delta)) / 2000.0f;
                            BotButton.access$2416(button, dt);
                            BotButton.access$2420(button, (button.angle / 360) * 360);
                            if (drawProgress) {
                                if (button.progressAlpha < 1.0f) {
                                    BotButton.access$2316(button, ((float) delta) / 200.0f);
                                    if (button.progressAlpha > 1.0f) {
                                        button.progressAlpha = 1.0f;
                                    }
                                }
                            } else if (button.progressAlpha > 0.0f) {
                                BotButton.access$2324(button, ((float) delta) / 200.0f);
                                if (button.progressAlpha < 0.0f) {
                                    button.progressAlpha = 0.0f;
                                }
                            }
                        }
                        button.lastUpdateTime = newTime;
                    }
                }
                a4++;
                f3 = 12.0f;
            }
        }
    }

    public int getMiniIconForCurrentState() {
        int i = this.miniButtonState;
        if (i < 0) {
            return 4;
        }
        if (i == 0) {
            return 2;
        }
        return 3;
    }

    public int getIconForCurrentState() {
        int i = this.documentAttachType;
        if (i == 3 || i == 5) {
            if (this.currentMessageObject.isOutOwner()) {
                this.radialProgress.setColors(Theme.key_chat_outLoader, Theme.key_chat_outLoaderSelected, Theme.key_chat_outMediaIcon, Theme.key_chat_outMediaIconSelected);
            } else {
                this.radialProgress.setColors(Theme.key_chat_inLoader, Theme.key_chat_inLoaderSelected, Theme.key_chat_inMediaIcon, Theme.key_chat_inMediaIconSelected);
            }
            int i2 = this.buttonState;
            if (i2 == 1) {
                return 1;
            }
            if (i2 == 2) {
                return 2;
            }
            return i2 == 4 ? 3 : 0;
        }
        TLRPC.Document document = this.currentMessageObject.getDocument();
        String ext = document == null ? "" : FileLoader.getDocumentExtension(document);
        if (!TextUtils.isEmpty(ext) && (ext.equals("ZIP") || ext.equals("RAR") || ext.equals("7Z"))) {
            if (this.currentMessageObject.isOutOwner()) {
                this.radialProgress.setColors(Theme.key_chat_outDocumentLoader, Theme.key_chat_outDocumentLoaderSelected, Theme.key_chat_outMediaIcon, Theme.key_chat_outMediaIconSelected);
            } else {
                this.radialProgress.setColors(Theme.key_chat_outDocumentLoader, Theme.key_chat_outDocumentLoaderSelected, Theme.key_chat_inMediaIcon, Theme.key_chat_inMediaIconSelected);
            }
            int i3 = this.buttonState;
            if (i3 == -1) {
                return 15;
            }
            if (i3 == 0) {
                return 2;
            }
            if (i3 == 1) {
                return 3;
            }
        } else if (!TextUtils.isEmpty(ext) && (ext.equals("DOC") || ext.equals("DOCX"))) {
            if (this.currentMessageObject.isOutOwner()) {
                this.radialProgress.setColors(Theme.key_chat_outDocumentLoader, Theme.key_chat_outDocumentLoaderSelected, Theme.key_chat_outMediaIcon, Theme.key_chat_outMediaIconSelected);
            } else {
                this.radialProgress.setColors(Theme.key_chat_outDocumentLoader, Theme.key_chat_outDocumentLoaderSelected, Theme.key_chat_inMediaIcon, Theme.key_chat_inMediaIconSelected);
            }
            int i4 = this.buttonState;
            if (i4 == -1) {
                return 16;
            }
            if (i4 == 0) {
                return 2;
            }
            if (i4 == 1) {
                return 3;
            }
        } else if (!TextUtils.isEmpty(ext) && (ext.equals("XLS") || ext.equals("XLSX"))) {
            if (this.currentMessageObject.isOutOwner()) {
                this.radialProgress.setColors(Theme.key_chat_outDocumentLoader, Theme.key_chat_outDocumentLoaderSelected, Theme.key_chat_outMediaIcon, Theme.key_chat_outMediaIconSelected);
            } else {
                this.radialProgress.setColors(Theme.key_chat_outDocumentLoader, Theme.key_chat_outDocumentLoaderSelected, Theme.key_chat_inMediaIcon, Theme.key_chat_inMediaIconSelected);
            }
            int i5 = this.buttonState;
            if (i5 == -1) {
                return 17;
            }
            if (i5 == 0) {
                return 2;
            }
            if (i5 == 1) {
                return 3;
            }
        } else if (!TextUtils.isEmpty(ext) && ext.equals("PDF")) {
            if (this.currentMessageObject.isOutOwner()) {
                this.radialProgress.setColors(Theme.key_chat_outDocumentLoader, Theme.key_chat_outDocumentLoaderSelected, Theme.key_chat_outMediaIcon, Theme.key_chat_outMediaIconSelected);
            } else {
                this.radialProgress.setColors(Theme.key_chat_outDocumentLoader, Theme.key_chat_outDocumentLoaderSelected, Theme.key_chat_inMediaIcon, Theme.key_chat_inMediaIconSelected);
            }
            int i6 = this.buttonState;
            if (i6 == -1) {
                return 19;
            }
            if (i6 == 0) {
                return 2;
            }
            if (i6 == 1) {
                return 3;
            }
        } else if (!TextUtils.isEmpty(ext) && ext.equals("TXT")) {
            if (this.currentMessageObject.isOutOwner()) {
                this.radialProgress.setColors(Theme.key_chat_outDocumentLoader, Theme.key_chat_outDocumentLoaderSelected, Theme.key_chat_outMediaIcon, Theme.key_chat_outMediaIconSelected);
            } else {
                this.radialProgress.setColors(Theme.key_chat_outDocumentLoader, Theme.key_chat_outDocumentLoaderSelected, Theme.key_chat_inMediaIcon, Theme.key_chat_inMediaIconSelected);
            }
            int i7 = this.buttonState;
            if (i7 == -1) {
                return 18;
            }
            if (i7 == 0) {
                return 2;
            }
            if (i7 == 1) {
                return 3;
            }
        } else if (!TextUtils.isEmpty(ext) && ext.equals("APK")) {
            if (this.currentMessageObject.isOutOwner()) {
                this.radialProgress.setColors(Theme.key_chat_outDocumentLoader, Theme.key_chat_outDocumentLoaderSelected, Theme.key_chat_outMediaIcon, Theme.key_chat_outMediaIconSelected);
            } else {
                this.radialProgress.setColors(Theme.key_chat_outDocumentLoader, Theme.key_chat_outDocumentLoaderSelected, Theme.key_chat_inMediaIcon, Theme.key_chat_inMediaIconSelected);
            }
            int i8 = this.buttonState;
            if (i8 == -1) {
                return 20;
            }
            if (i8 == 0) {
                return 2;
            }
            if (i8 == 1) {
                return 3;
            }
        } else if (!TextUtils.isEmpty(ext) && ext.equals("IPA")) {
            if (this.currentMessageObject.isOutOwner()) {
                this.radialProgress.setColors(Theme.key_chat_outDocumentLoader, Theme.key_chat_outDocumentLoaderSelected, Theme.key_chat_outMediaIcon, Theme.key_chat_outMediaIconSelected);
            } else {
                this.radialProgress.setColors(Theme.key_chat_outDocumentLoader, Theme.key_chat_outDocumentLoaderSelected, Theme.key_chat_inMediaIcon, Theme.key_chat_inMediaIconSelected);
            }
            int i9 = this.buttonState;
            if (i9 == -1) {
                return 21;
            }
            if (i9 == 0) {
                return 2;
            }
            if (i9 == 1) {
                return 3;
            }
        } else if (this.documentAttachType == 1 && !this.drawPhotoImage) {
            if (this.currentMessageObject.isOutOwner()) {
                this.radialProgress.setColors(Theme.key_chat_outDocumentLoader, Theme.key_chat_outDocumentLoaderSelected, Theme.key_chat_outMediaIcon, Theme.key_chat_outMediaIconSelected);
            } else {
                this.radialProgress.setColors(Theme.key_chat_outDocumentLoader, Theme.key_chat_outDocumentLoaderSelected, Theme.key_chat_inMediaIcon, Theme.key_chat_inMediaIconSelected);
            }
            int i10 = this.buttonState;
            if (i10 == -1) {
                return 5;
            }
            if (i10 == 0) {
                return 2;
            }
            if (i10 == 1) {
                return 3;
            }
        } else {
            this.radialProgress.setColors(Theme.key_chat_mediaLoaderPhoto, Theme.key_chat_mediaLoaderPhotoSelected, Theme.key_chat_mediaLoaderPhotoIcon, Theme.key_chat_mediaLoaderPhotoIconSelected);
            this.videoRadialProgress.setColors(Theme.key_chat_mediaLoaderPhoto, Theme.key_chat_mediaLoaderPhotoSelected, Theme.key_chat_mediaLoaderPhotoIcon, Theme.key_chat_mediaLoaderPhotoIconSelected);
            int i11 = this.buttonState;
            if (i11 >= 0 && i11 < 4) {
                if (i11 == 0) {
                    return 2;
                }
                if (i11 == 1) {
                    return 3;
                }
                if (i11 == 2) {
                    return 0;
                }
                return (i11 != 3 || this.autoPlayingMedia) ? 4 : 0;
            } else if (i11 == -1) {
                if (this.documentAttachType == 1) {
                    return (!this.drawPhotoImage || (this.currentPhotoObject == null && this.currentPhotoObjectThumb == null) || !(this.photoImage.hasBitmapImage() || this.currentMessageObject.mediaExists || this.currentMessageObject.attachPathExists)) ? 5 : 4;
                } else if (this.currentMessageObject.needDrawBluredPreview()) {
                    if (this.currentMessageObject.messageOwner.destroyTime != 0) {
                        if (this.currentMessageObject.isOutOwner()) {
                            return 9;
                        }
                        return 11;
                    }
                    return 7;
                } else if (this.hasEmbed) {
                    return 0;
                }
            }
        }
        return 4;
    }

    private int getMaxNameWidth() {
        int maxWidth;
        int dWidth;
        int i = this.documentAttachType;
        if (i == 6 || i == 8 || this.currentMessageObject.type == 5 || this.currentMessageObject.type == 101) {
            if (AndroidUtilities.isTablet()) {
                if (this.isChat && !this.currentMessageObject.isOutOwner() && this.currentMessageObject.needDrawAvatar()) {
                    maxWidth = AndroidUtilities.getMinTabletSide() - AndroidUtilities.dp(42.0f);
                } else {
                    maxWidth = AndroidUtilities.getMinTabletSide();
                }
            } else if (this.isChat && !this.currentMessageObject.isOutOwner() && this.currentMessageObject.needDrawAvatar()) {
                maxWidth = Math.min(AndroidUtilities.displaySize.x, AndroidUtilities.displaySize.y) - AndroidUtilities.dp(42.0f);
            } else {
                maxWidth = Math.min(AndroidUtilities.displaySize.x, AndroidUtilities.displaySize.y);
            }
            return (maxWidth - this.backgroundWidth) - AndroidUtilities.dp(57.0f);
        } else if (this.currentMessagesGroup != null) {
            if (AndroidUtilities.isTablet()) {
                dWidth = AndroidUtilities.getMinTabletSide();
            } else {
                dWidth = AndroidUtilities.displaySize.x;
            }
            int firstLineWidth = 0;
            for (int a2 = 0; a2 < this.currentMessagesGroup.posArray.size(); a2++) {
                MessageObject.GroupedMessagePosition position = this.currentMessagesGroup.posArray.get(a2);
                if (position.minY != 0) {
                    break;
                }
                firstLineWidth = (int) (firstLineWidth + Math.ceil(((position.pw + position.leftSpanOffset) / 1000.0f) * dWidth));
            }
            return firstLineWidth - AndroidUtilities.dp((this.isAvatarVisible ? 48 : 0) + 31);
        } else {
            int dWidth2 = this.backgroundWidth;
            return dWidth2 - AndroidUtilities.dp(this.mediaBackground ? 22.0f : 31.0f);
        }
    }

    public void updateButtonState(boolean ifSame, boolean animated, boolean fromSet) {
        boolean animated2;
        int i;
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        MessageObject.GroupedMessagePosition groupedMessagePosition;
        int i8;
        int i9;
        if (animated && (PhotoViewer.isShowingImage(this.currentMessageObject) || !this.attachedToWindow)) {
            animated2 = false;
        } else {
            animated2 = animated;
        }
        this.drawRadialCheckBackground = false;
        String fileName = null;
        boolean fileExists = false;
        if (this.currentMessageObject.type == 1) {
            TLRPC.PhotoSize photoSize = this.currentPhotoObject;
            if (photoSize == null) {
                this.radialProgress.setIcon(4, ifSame, animated2);
                return;
            } else if (!this.blnImgExchanged) {
                fileName = FileLoader.getAttachFileName(photoSize);
                fileExists = this.currentMessageObject.mediaExists;
            } else if (this.currentMessageObject.attachPathExists && !TextUtils.isEmpty(this.currentMessageObject.messageOwner.attachPath)) {
                fileName = this.currentMessageObject.messageOwner.attachPath;
                fileExists = true;
            } else if (!this.currentMessageObject.isSendError() || (i9 = this.documentAttachType) == 3 || i9 == 5) {
                fileName = this.currentMessageObject.getFileName();
                fileExists = this.currentMessageObject.mediaExists;
            }
        } else if (this.currentMessageObject.type == 8 || (i2 = this.documentAttachType) == 7 || i2 == 4 || i2 == 8 || this.currentMessageObject.type == 9 || (i3 = this.documentAttachType) == 3 || i3 == 5) {
            if (this.currentMessageObject.useCustomPhoto) {
                this.buttonState = 1;
                this.radialProgress.setIcon(getIconForCurrentState(), ifSame, animated2);
                return;
            } else if (this.currentMessageObject.attachPathExists && !TextUtils.isEmpty(this.currentMessageObject.messageOwner.attachPath)) {
                fileName = this.currentMessageObject.messageOwner.attachPath;
                fileExists = true;
            } else if (!this.currentMessageObject.isSendError() || (i = this.documentAttachType) == 3 || i == 5) {
                fileName = this.currentMessageObject.getFileName();
                fileExists = this.currentMessageObject.mediaExists;
            }
        } else if (i3 != 0) {
            fileName = FileLoader.getAttachFileName(this.documentAttach);
            fileExists = this.currentMessageObject.mediaExists;
        } else {
            TLRPC.PhotoSize photoSize2 = this.currentPhotoObject;
            if (photoSize2 != null) {
                fileName = FileLoader.getAttachFileName(photoSize2);
                fileExists = this.currentMessageObject.mediaExists;
            }
        }
        boolean autoDownload = DownloadController.getInstance(this.currentAccount).canDownloadMedia(this.currentMessageObject);
        this.canStreamVideo = this.currentMessageObject.isSent() && ((i8 = this.documentAttachType) == 4 || i8 == 7 || (i8 == 2 && autoDownload)) && this.currentMessageObject.canStreamVideo() && !this.currentMessageObject.needDrawBluredPreview();
        if (SharedConfig.streamMedia && ((int) this.currentMessageObject.getDialogId()) != 0 && !this.currentMessageObject.isSecretMedia() && (this.documentAttachType == 5 || (this.canStreamVideo && (groupedMessagePosition = this.currentPosition) != null && ((groupedMessagePosition.flags & 1) == 0 || (this.currentPosition.flags & 2) == 0)))) {
            this.hasMiniProgress = fileExists ? 1 : 2;
            fileExists = true;
        }
        if (!this.currentMessageObject.isSendError()) {
            if (!TextUtils.isEmpty(fileName) || this.currentMessageObject.isSending() || this.currentMessageObject.isEditing()) {
                boolean fromBot = this.currentMessageObject.messageOwner.params != null && this.currentMessageObject.messageOwner.params.containsKey("query_id");
                int i10 = this.documentAttachType;
                if (i10 == 3 || i10 == 5) {
                    if ((this.currentMessageObject.isOut() && (this.currentMessageObject.isSending() || this.currentMessageObject.isEditing())) || (this.currentMessageObject.isSendError() && fromBot)) {
                        if (!TextUtils.isEmpty(this.currentMessageObject.messageOwner.attachPath)) {
                            DownloadController.getInstance(this.currentAccount).addLoadingFileObserver(this.currentMessageObject.messageOwner.attachPath, this.currentMessageObject, this);
                            this.wasSending = true;
                            this.buttonState = 4;
                            this.radialProgress.setIcon(getIconForCurrentState(), ifSame, animated2);
                            if (!fromBot) {
                                Float progress = ImageLoader.getInstance().getFileProgress(this.currentMessageObject.messageOwner.attachPath);
                                if (progress == null && SendMessagesHelper.getInstance(this.currentAccount).isSendingMessage(this.currentMessageObject.getId())) {
                                    progress = Float.valueOf(1.0f);
                                }
                                this.radialProgress.setProgress(progress != null ? progress.floatValue() : 0.0f, false);
                            } else {
                                this.radialProgress.setProgress(0.0f, false);
                            }
                        } else {
                            this.buttonState = -1;
                            getIconForCurrentState();
                            this.radialProgress.setIcon(12, ifSame, false);
                            this.radialProgress.setProgress(0.0f, false);
                        }
                    } else if (this.hasMiniProgress != 0) {
                        this.radialProgress.setMiniProgressBackgroundColor(Theme.getColor(this.currentMessageObject.isOutOwner() ? Theme.key_chat_outLoader : Theme.key_chat_inLoader));
                        boolean playing = MediaController.getInstance().isPlayingMessage(this.currentMessageObject);
                        if (!playing || (playing && MediaController.getInstance().isMessagePaused())) {
                            this.buttonState = 0;
                        } else {
                            this.buttonState = 1;
                        }
                        this.radialProgress.setIcon(getIconForCurrentState(), ifSame, animated2);
                        if (this.hasMiniProgress == 1) {
                            DownloadController.getInstance(this.currentAccount).removeLoadingFileObserver(this);
                            this.miniButtonState = -1;
                        } else {
                            DownloadController.getInstance(this.currentAccount).addLoadingFileObserver(fileName, this.currentMessageObject, this);
                            if (!FileLoader.getInstance(this.currentAccount).isLoadingFile(fileName)) {
                                this.miniButtonState = 0;
                            } else {
                                this.miniButtonState = 1;
                                Float progress2 = ImageLoader.getInstance().getFileProgress(fileName);
                                if (progress2 != null) {
                                    this.radialProgress.setProgress(progress2.floatValue(), animated2);
                                } else {
                                    this.radialProgress.setProgress(0.0f, animated2);
                                }
                            }
                        }
                        this.radialProgress.setMiniIcon(getMiniIconForCurrentState(), ifSame, animated2);
                    } else if (fileExists) {
                        DownloadController.getInstance(this.currentAccount).removeLoadingFileObserver(this);
                        boolean playing2 = MediaController.getInstance().isPlayingMessage(this.currentMessageObject);
                        if (!playing2 || (playing2 && MediaController.getInstance().isMessagePaused())) {
                            this.buttonState = 0;
                        } else {
                            this.buttonState = 1;
                        }
                        this.radialProgress.setIcon(getIconForCurrentState(), ifSame, animated2);
                    } else {
                        DownloadController.getInstance(this.currentAccount).addLoadingFileObserver(fileName, this.currentMessageObject, this);
                        if (FileLoader.getInstance(this.currentAccount).isLoadingFile(fileName)) {
                            this.buttonState = 4;
                            Float progress3 = ImageLoader.getInstance().getFileProgress(fileName);
                            if (progress3 != null) {
                                this.radialProgress.setProgress(progress3.floatValue(), animated2);
                            } else {
                                this.radialProgress.setProgress(0.0f, animated2);
                            }
                            this.radialProgress.setIcon(getIconForCurrentState(), ifSame, animated2);
                        } else {
                            this.buttonState = 2;
                            this.radialProgress.setIcon(getIconForCurrentState(), ifSame, animated2);
                        }
                    }
                    updatePlayingMessageProgress();
                } else if (this.currentMessageObject.type == 0 && (i6 = this.documentAttachType) != 1 && i6 != 2 && i6 != 7 && i6 != 4 && i6 != 8 && i6 != 9) {
                    if (this.currentPhotoObject == null || !this.drawImageButton) {
                        return;
                    }
                    if (!fileExists) {
                        DownloadController.getInstance(this.currentAccount).addLoadingFileObserver(fileName, this.currentMessageObject, this);
                        float setProgress = 0.0f;
                        if (!FileLoader.getInstance(this.currentAccount).isLoadingFile(fileName)) {
                            if (!this.cancelLoading && (((i7 = this.documentAttachType) == 0 && autoDownload) || (i7 == 2 && MessageObject.isGifDocument(this.documentAttach) && autoDownload))) {
                                this.buttonState = 1;
                            } else {
                                this.buttonState = 0;
                            }
                        } else {
                            this.buttonState = 1;
                            Float progress4 = ImageLoader.getInstance().getFileProgress(fileName);
                            setProgress = progress4 != null ? progress4.floatValue() : 0.0f;
                        }
                        this.radialProgress.setProgress(setProgress, false);
                        this.radialProgress.setIcon(getIconForCurrentState(), ifSame, animated2);
                        invalidate();
                    } else {
                        DownloadController.getInstance(this.currentAccount).removeLoadingFileObserver(this);
                        if (this.documentAttachType != 2 || this.photoImage.isAllowStartAnimation()) {
                            this.buttonState = -1;
                        } else {
                            this.buttonState = 2;
                        }
                        this.radialProgress.setIcon(getIconForCurrentState(), ifSame, animated2);
                        invalidate();
                    }
                } else if (this.currentMessageObject.isOut() && (this.currentMessageObject.isSending() || this.currentMessageObject.isEditing())) {
                    if (!TextUtils.isEmpty(this.currentMessageObject.messageOwner.attachPath)) {
                        DownloadController.getInstance(this.currentAccount).addLoadingFileObserver(this.currentMessageObject.messageOwner.attachPath, this.currentMessageObject, this);
                        this.wasSending = true;
                        boolean needProgress = this.currentMessageObject.messageOwner.attachPath == null || !this.currentMessageObject.messageOwner.attachPath.startsWith("http");
                        HashMap<String, String> params = this.currentMessageObject.messageOwner.params;
                        if (this.currentMessageObject.messageOwner.message != null && params != null && (params.containsKey(ImagesContract.URL) || params.containsKey("bot"))) {
                            needProgress = false;
                            this.buttonState = -1;
                        } else {
                            this.buttonState = 1;
                        }
                        boolean sending = SendMessagesHelper.getInstance(this.currentAccount).isSendingMessage(this.currentMessageObject.getId());
                        if (this.currentPosition != null && sending && this.buttonState == 1) {
                            this.drawRadialCheckBackground = true;
                            getIconForCurrentState();
                            this.radialProgress.setIcon(6, ifSame, animated2);
                        } else {
                            this.radialProgress.setIcon(getIconForCurrentState(), ifSame, animated2);
                        }
                        if (needProgress) {
                            Float progress5 = ImageLoader.getInstance().getFileProgress(this.currentMessageObject.messageOwner.attachPath);
                            if (progress5 == null && sending) {
                                progress5 = Float.valueOf(1.0f);
                            }
                            this.radialProgress.setProgress(progress5 != null ? progress5.floatValue() : 0.0f, false);
                        } else {
                            this.radialProgress.setProgress(0.0f, false);
                        }
                        invalidate();
                    } else {
                        this.buttonState = -1;
                        getIconForCurrentState();
                        this.radialProgress.setIcon((this.currentMessageObject.isSticker() || this.currentMessageObject.isAnimatedSticker() || this.currentMessageObject.isLocation()) ? 4 : 12, ifSame, false);
                        this.radialProgress.setProgress(0.0f, false);
                    }
                    this.videoRadialProgress.setIcon(4, ifSame, false);
                } else {
                    if (this.wasSending && !TextUtils.isEmpty(this.currentMessageObject.messageOwner.attachPath)) {
                        DownloadController.getInstance(this.currentAccount).removeLoadingFileObserver(this);
                    }
                    boolean isLoadingVideo = false;
                    int i11 = this.documentAttachType;
                    if ((i11 == 4 || i11 == 2 || i11 == 7) && this.autoPlayingMedia) {
                        isLoadingVideo = FileLoader.getInstance(this.currentAccount).isLoadingVideo(this.documentAttach, MediaController.getInstance().isPlayingMessage(this.currentMessageObject));
                        AnimatedFileDrawable animation = this.photoImage.getAnimation();
                        if (animation != null) {
                            if (this.currentMessageObject.hadAnimationNotReadyLoading) {
                                if (animation.hasBitmap()) {
                                    this.currentMessageObject.hadAnimationNotReadyLoading = false;
                                }
                            } else {
                                this.currentMessageObject.hadAnimationNotReadyLoading = isLoadingVideo && !animation.hasBitmap();
                            }
                        } else if (this.documentAttachType == 2 && !fileExists) {
                            this.currentMessageObject.hadAnimationNotReadyLoading = true;
                        }
                    }
                    if (this.hasMiniProgress != 0) {
                        this.radialProgress.setMiniProgressBackgroundColor(Theme.getColor(Theme.key_chat_inLoaderPhoto));
                        this.buttonState = 3;
                        this.radialProgress.setIcon(getIconForCurrentState(), ifSame, animated2);
                        if (this.hasMiniProgress == 1) {
                            DownloadController.getInstance(this.currentAccount).removeLoadingFileObserver(this);
                            this.miniButtonState = -1;
                        } else {
                            DownloadController.getInstance(this.currentAccount).addLoadingFileObserver(fileName, this.currentMessageObject, this);
                            if (!FileLoader.getInstance(this.currentAccount).isLoadingFile(fileName)) {
                                this.miniButtonState = 0;
                            } else {
                                this.miniButtonState = 1;
                                Float progress6 = ImageLoader.getInstance().getFileProgress(fileName);
                                if (progress6 != null) {
                                    this.radialProgress.setProgress(progress6.floatValue(), animated2);
                                } else {
                                    this.radialProgress.setProgress(0.0f, animated2);
                                }
                            }
                        }
                        this.radialProgress.setMiniIcon(getMiniIconForCurrentState(), ifSame, animated2);
                    } else if (fileExists || (((i5 = this.documentAttachType) == 4 || i5 == 2 || i5 == 7) && this.autoPlayingMedia && !this.currentMessageObject.hadAnimationNotReadyLoading && !isLoadingVideo)) {
                        DownloadController.getInstance(this.currentAccount).removeLoadingFileObserver(this);
                        if (this.drawVideoImageButton && animated2) {
                            int i12 = this.animatingDrawVideoImageButton;
                            if (i12 != 1 && this.animatingDrawVideoImageButtonProgress > 0.0f) {
                                if (i12 == 0) {
                                    this.animatingDrawVideoImageButtonProgress = 1.0f;
                                }
                                this.animatingDrawVideoImageButton = 1;
                            }
                        } else if (this.animatingDrawVideoImageButton == 0) {
                            this.animatingDrawVideoImageButtonProgress = 0.0f;
                        }
                        this.drawVideoImageButton = false;
                        this.drawVideoSize = false;
                        if (this.currentMessageObject.needDrawBluredPreview()) {
                            this.buttonState = -1;
                        } else if (this.currentMessageObject.type == 8 && this.currentMessageObject.gifState == 1.0f) {
                            this.buttonState = 2;
                        } else if (this.documentAttachType != 4) {
                            this.buttonState = -1;
                        } else {
                            this.buttonState = 3;
                        }
                        this.videoRadialProgress.setIcon(4, ifSame, this.animatingDrawVideoImageButton != 0);
                        this.radialProgress.setIcon(getIconForCurrentState(), ifSame, animated2);
                        if (!fromSet && this.photoNotSet) {
                            setMessageObject(this.currentMessageObject, this.currentMessagesGroup, this.pinnedBottom, this.pinnedTop);
                        }
                        invalidate();
                    } else {
                        int i13 = this.documentAttachType;
                        this.drawVideoSize = i13 == 4 || i13 == 2;
                        if ((i13 == 4 || i13 == 2 || i13 == 7) && this.canStreamVideo && !this.drawVideoImageButton && animated2) {
                            int i14 = this.animatingDrawVideoImageButton;
                            if (i14 != 2 && this.animatingDrawVideoImageButtonProgress < 1.0f) {
                                if (i14 == 0) {
                                    this.animatingDrawVideoImageButtonProgress = 0.0f;
                                }
                                this.animatingDrawVideoImageButton = 2;
                            }
                        } else if (this.animatingDrawVideoImageButton == 0) {
                            this.animatingDrawVideoImageButtonProgress = 1.0f;
                        }
                        DownloadController.getInstance(this.currentAccount).addLoadingFileObserver(fileName, this.currentMessageObject, this);
                        if (!FileLoader.getInstance(this.currentAccount).isLoadingFile(fileName)) {
                            if (!this.cancelLoading && autoDownload) {
                                this.buttonState = 1;
                            } else {
                                this.buttonState = 0;
                            }
                            int i15 = this.documentAttachType;
                            if ((i15 == 4 || (i15 == 2 && autoDownload)) && this.canStreamVideo) {
                                this.drawVideoImageButton = true;
                                getIconForCurrentState();
                                this.radialProgress.setIcon(this.autoPlayingMedia ? 4 : 0, ifSame, animated2);
                                this.videoRadialProgress.setIcon(2, ifSame, animated2);
                            } else {
                                this.drawVideoImageButton = false;
                                this.radialProgress.setIcon(getIconForCurrentState(), ifSame, animated2);
                                this.videoRadialProgress.setIcon(4, ifSame, false);
                                if (!this.drawVideoSize && this.animatingDrawVideoImageButton == 0) {
                                    this.animatingDrawVideoImageButtonProgress = 0.0f;
                                }
                            }
                        } else {
                            this.buttonState = 1;
                            Float progress7 = ImageLoader.getInstance().getFileProgress(fileName);
                            int i16 = this.documentAttachType;
                            if ((i16 == 4 || (i16 == 2 && autoDownload)) && this.canStreamVideo) {
                                this.drawVideoImageButton = true;
                                getIconForCurrentState();
                                this.radialProgress.setIcon((this.autoPlayingMedia || this.documentAttachType == 2) ? 4 : 0, ifSame, animated2);
                                this.videoRadialProgress.setProgress(progress7 != null ? progress7.floatValue() : 0.0f, animated2);
                                this.videoRadialProgress.setIcon(14, ifSame, animated2);
                            } else {
                                this.drawVideoImageButton = false;
                                this.radialProgress.setProgress(progress7 != null ? progress7.floatValue() : 0.0f, animated2);
                                this.radialProgress.setIcon(getIconForCurrentState(), ifSame, animated2);
                                this.videoRadialProgress.setIcon(4, ifSame, false);
                                if (!this.drawVideoSize && this.animatingDrawVideoImageButton == 0) {
                                    this.animatingDrawVideoImageButtonProgress = 0.0f;
                                }
                            }
                        }
                        invalidate();
                    }
                }
                if (this.hasMiniProgress == 0) {
                    this.radialProgress.setMiniIcon(4, false, animated2);
                    return;
                }
                return;
            }
            i4 = 4;
        } else {
            i4 = 4;
        }
        this.radialProgress.setIcon(i4, ifSame, false);
        this.radialProgress.setMiniIcon(i4, ifSame, false);
        this.videoRadialProgress.setIcon(i4, ifSame, false);
        this.videoRadialProgress.setMiniIcon(i4, ifSame, false);
    }

    private void didPressMiniButton(boolean animated) {
        int i = this.miniButtonState;
        if (i == 0) {
            this.miniButtonState = 1;
            this.radialProgress.setProgress(0.0f, false);
            int i2 = this.documentAttachType;
            if (i2 == 3 || i2 == 5) {
                FileLoader.getInstance(this.currentAccount).loadFile(this.documentAttach, this.currentMessageObject, 1, 0);
            } else if (i2 == 4) {
                FileLoader fileLoader = FileLoader.getInstance(this.currentAccount);
                TLRPC.Document document = this.documentAttach;
                MessageObject messageObject = this.currentMessageObject;
                fileLoader.loadFile(document, messageObject, 1, messageObject.shouldEncryptPhotoOrVideo() ? 2 : 0);
            }
            this.radialProgress.setMiniIcon(getMiniIconForCurrentState(), false, true);
            invalidate();
        } else if (i == 1) {
            int i3 = this.documentAttachType;
            if ((i3 == 3 || i3 == 5) && MediaController.getInstance().isPlayingMessage(this.currentMessageObject)) {
                MediaController.getInstance().cleanupPlayer(true, true);
            }
            this.miniButtonState = 0;
            FileLoader.getInstance(this.currentAccount).cancelLoadFile(this.documentAttach);
            this.radialProgress.setMiniIcon(getMiniIconForCurrentState(), false, true);
            invalidate();
        }
    }

    private void didPressButton(boolean animated, boolean video) {
        TLRPC.PhotoSize thumb;
        String thumbFilter;
        int i;
        int i2 = this.buttonState;
        if (i2 == 0 && (!this.drawVideoImageButton || video)) {
            int i3 = this.documentAttachType;
            if (i3 == 3 || i3 == 5) {
                if (this.miniButtonState == 0) {
                    FileLoader.getInstance(this.currentAccount).loadFile(this.documentAttach, this.currentMessageObject, 1, 0);
                }
                if (this.delegate.needPlayMessage(this.currentMessageObject)) {
                    if (this.hasMiniProgress == 2 && this.miniButtonState != 1) {
                        this.miniButtonState = 1;
                        this.radialProgress.setProgress(0.0f, false);
                        this.radialProgress.setMiniIcon(getMiniIconForCurrentState(), false, true);
                    }
                    updatePlayingMessageProgress();
                    this.buttonState = 1;
                    this.radialProgress.setIcon(getIconForCurrentState(), false, true);
                    invalidate();
                    return;
                }
                return;
            }
            this.cancelLoading = false;
            if (video) {
                this.videoRadialProgress.setProgress(0.0f, false);
            } else {
                this.radialProgress.setProgress(0.0f, false);
            }
            if (this.currentPhotoObject != null && (this.photoImage.hasNotThumb() || this.currentPhotoObjectThumb == null)) {
                thumb = this.currentPhotoObject;
                thumbFilter = ((thumb instanceof TLRPC.TL_photoStrippedSize) || "s".equals(thumb.type)) ? this.currentPhotoFilterThumb : this.currentPhotoFilter;
            } else {
                thumb = this.currentPhotoObjectThumb;
                thumbFilter = this.currentPhotoFilterThumb;
            }
            if (this.currentMessageObject.type == 1) {
                if (this.blnImgExchanged) {
                    FileLoader.getInstance(this.currentAccount).loadFile(this.currentMessageObject.getDocument(), this.currentMessageObject, 1, 0);
                } else {
                    this.photoImage.setForceLoading(true);
                    ImageReceiver imageReceiver = this.photoImage;
                    ImageLocation forObject = ImageLocation.getForObject(this.currentPhotoObject, this.photoParentObject);
                    String str = this.currentPhotoFilter;
                    ImageLocation forObject2 = ImageLocation.getForObject(this.currentPhotoObjectThumb, this.photoParentObject);
                    String str2 = this.currentPhotoFilterThumb;
                    int i4 = this.currentPhotoObject.size;
                    MessageObject messageObject = this.currentMessageObject;
                    imageReceiver.setImage(forObject, str, forObject2, str2, i4, null, messageObject, messageObject.shouldEncryptPhotoOrVideo() ? 2 : 0);
                }
            } else if (this.currentMessageObject.type == 8) {
                FileLoader.getInstance(this.currentAccount).loadFile(this.documentAttach, this.currentMessageObject, 1, 0);
            } else if (this.currentMessageObject.isRoundVideo()) {
                if (this.currentMessageObject.isSecretMedia()) {
                    FileLoader.getInstance(this.currentAccount).loadFile(this.currentMessageObject.getDocument(), this.currentMessageObject, 1, 1);
                } else {
                    this.currentMessageObject.gifState = 2.0f;
                    TLRPC.Document document = this.currentMessageObject.getDocument();
                    this.photoImage.setForceLoading(true);
                    this.photoImage.setImage(ImageLocation.getForDocument(document), null, ImageLocation.getForObject(thumb, document), thumbFilter, document.size, null, this.currentMessageObject, 0);
                }
            } else if (this.currentMessageObject.type == 9) {
                FileLoader.getInstance(this.currentAccount).loadFile(this.documentAttach, this.currentMessageObject, 1, 0);
            } else if (this.documentAttachType == 4) {
                FileLoader fileLoader = FileLoader.getInstance(this.currentAccount);
                TLRPC.Document document2 = this.documentAttach;
                MessageObject messageObject2 = this.currentMessageObject;
                fileLoader.loadFile(document2, messageObject2, 1, messageObject2.shouldEncryptPhotoOrVideo() ? 2 : 0);
            } else if (this.currentMessageObject.type == 0 && (i = this.documentAttachType) != 0) {
                if (i == 2) {
                    this.photoImage.setForceLoading(true);
                    this.photoImage.setImage(ImageLocation.getForDocument(this.documentAttach), null, ImageLocation.getForDocument(this.currentPhotoObject, this.documentAttach), this.currentPhotoFilterThumb, this.documentAttach.size, null, this.currentMessageObject, 0);
                    this.currentMessageObject.gifState = 2.0f;
                } else if (i == 1) {
                    FileLoader.getInstance(this.currentAccount).loadFile(this.documentAttach, this.currentMessageObject, 0, 0);
                } else if (i == 8) {
                    this.photoImage.setImage(ImageLocation.getForDocument(this.documentAttach), this.currentPhotoFilter, ImageLocation.getForDocument(this.currentPhotoObject, this.documentAttach), "b1", 0, "jpg", this.currentMessageObject, 1);
                }
            } else {
                this.photoImage.setForceLoading(true);
                this.photoImage.setImage(ImageLocation.getForObject(this.currentPhotoObject, this.photoParentObject), this.currentPhotoFilter, ImageLocation.getForObject(this.currentPhotoObjectThumb, this.photoParentObject), this.currentPhotoFilterThumb, 0, null, this.currentMessageObject, 0);
            }
            this.buttonState = 1;
            if (video) {
                this.videoRadialProgress.setIcon(14, false, animated);
            } else {
                this.radialProgress.setIcon(getIconForCurrentState(), false, animated);
            }
            invalidate();
        } else if (i2 == 1 && (!this.drawVideoImageButton || video)) {
            this.photoImage.setForceLoading(false);
            int i5 = this.documentAttachType;
            if (i5 == 3 || i5 == 5) {
                boolean result = MediaController.getInstance().m320lambda$startAudioAgain$5$imuecahxyvjdmessengerMediaController(this.currentMessageObject);
                if (result) {
                    this.buttonState = 0;
                    this.radialProgress.setIcon(getIconForCurrentState(), false, animated);
                    invalidate();
                }
            } else if (this.currentMessageObject.isOut() && (this.currentMessageObject.isSending() || this.currentMessageObject.isEditing())) {
                if (this.radialProgress.getIcon() != 6) {
                    this.delegate.didPressCancelSendButton(this);
                }
            } else {
                this.cancelLoading = true;
                int i6 = this.documentAttachType;
                if (i6 == 2 || i6 == 4 || i6 == 1 || i6 == 8) {
                    FileLoader.getInstance(this.currentAccount).cancelLoadFile(this.documentAttach);
                } else if (this.currentMessageObject.type == 0 || this.currentMessageObject.type == 1 || this.currentMessageObject.type == 8 || this.currentMessageObject.type == 5) {
                    ImageLoader.getInstance().cancelForceLoadingForImageReceiver(this.photoImage);
                    this.photoImage.cancelLoadImage();
                    if (this.blnImgExchanged) {
                        FileLoader.getInstance(this.currentAccount).cancelLoadFile(this.currentMessageObject.getDocument());
                    }
                } else if (this.currentMessageObject.type == 9) {
                    FileLoader.getInstance(this.currentAccount).cancelLoadFile(this.currentMessageObject.getDocument());
                }
                this.buttonState = 0;
                if (video) {
                    this.videoRadialProgress.setIcon(2, false, animated);
                } else {
                    this.radialProgress.setIcon(getIconForCurrentState(), false, animated);
                }
                invalidate();
            }
        } else if (i2 == 2) {
            int i7 = this.documentAttachType;
            if (i7 == 3 || i7 == 5) {
                this.radialProgress.setProgress(0.0f, false);
                FileLoader.getInstance(this.currentAccount).loadFile(this.documentAttach, this.currentMessageObject, 1, 0);
                this.buttonState = 4;
                this.radialProgress.setIcon(getIconForCurrentState(), true, animated);
                invalidate();
                return;
            }
            if (this.currentMessageObject.isRoundVideo()) {
                MessageObject playingMessage = MediaController.getInstance().getPlayingMessageObject();
                if (playingMessage == null || !playingMessage.isRoundVideo()) {
                    this.photoImage.setAllowStartAnimation(true);
                    this.photoImage.startAnimation();
                }
            } else {
                this.photoImage.setAllowStartAnimation(true);
                this.photoImage.startAnimation();
            }
            this.currentMessageObject.gifState = 0.0f;
            this.buttonState = -1;
            this.radialProgress.setIcon(getIconForCurrentState(), false, animated);
        } else if (i2 == 3 || (i2 == 0 && this.drawVideoImageButton)) {
            if (this.hasMiniProgress == 2 && this.miniButtonState != 1) {
                this.miniButtonState = 1;
                this.radialProgress.setProgress(0.0f, false);
                this.radialProgress.setMiniIcon(getMiniIconForCurrentState(), false, animated);
            }
            this.delegate.didPressImage(this, 0.0f, 0.0f);
        } else if (i2 == 4) {
            int i8 = this.documentAttachType;
            if (i8 == 3 || i8 == 5) {
                if ((!this.currentMessageObject.isOut() || (!this.currentMessageObject.isSending() && !this.currentMessageObject.isEditing())) && !this.currentMessageObject.isSendError()) {
                    FileLoader.getInstance(this.currentAccount).cancelLoadFile(this.documentAttach);
                    this.buttonState = 2;
                    this.radialProgress.setIcon(getIconForCurrentState(), false, animated);
                    invalidate();
                    return;
                }
                ChatMessageCellDelegate chatMessageCellDelegate = this.delegate;
                if (chatMessageCellDelegate != null) {
                    chatMessageCellDelegate.didPressCancelSendButton(this);
                }
            }
        }
    }

    @Override // im.uecahxyvjd.messenger.DownloadController.FileDownloadProgressListener
    public void onFailedDownload(String fileName, boolean canceled) {
        int i = this.documentAttachType;
        updateButtonState(true, i == 3 || i == 5, false);
    }

    @Override // im.uecahxyvjd.messenger.DownloadController.FileDownloadProgressListener
    public void onSuccessDownload(String fileName) {
        TLRPC.Document document;
        MessageObject.GroupedMessagePosition groupedMessagePosition;
        int i = this.documentAttachType;
        if (i == 3 || i == 5) {
            updateButtonState(false, true, false);
            updateWaveform();
            return;
        }
        if (this.drawVideoImageButton) {
            this.videoRadialProgress.setProgress(1.0f, true);
        } else {
            this.radialProgress.setProgress(1.0f, true);
        }
        if (!this.currentMessageObject.needDrawBluredPreview() && !this.autoPlayingMedia && (document = this.documentAttach) != null) {
            if (this.documentAttachType == 7) {
                ImageReceiver imageReceiver = this.photoImage;
                ImageLocation forDocument = ImageLocation.getForDocument(document);
                ImageLocation forObject = ImageLocation.getForObject(this.currentPhotoObject, this.photoParentObject);
                TLRPC.PhotoSize photoSize = this.currentPhotoObject;
                imageReceiver.setImage(forDocument, ImageLoader.AUTOPLAY_FILTER, forObject, ((photoSize instanceof TLRPC.TL_photoStrippedSize) || (photoSize != null && "s".equals(photoSize.type))) ? this.currentPhotoFilterThumb : this.currentPhotoFilter, ImageLocation.getForObject(this.currentPhotoObjectThumb, this.photoParentObject), this.currentPhotoFilterThumb, null, this.documentAttach.size, null, this.currentMessageObject, 0);
                this.photoImage.setAllowStartAnimation(true);
                this.photoImage.startAnimation();
                this.autoPlayingMedia = true;
            } else if (SharedConfig.autoplayVideo && this.documentAttachType == 4 && ((groupedMessagePosition = this.currentPosition) == null || ((groupedMessagePosition.flags & 1) != 0 && (this.currentPosition.flags & 2) != 0))) {
                this.animatingNoSound = 2;
                ImageReceiver imageReceiver2 = this.photoImage;
                ImageLocation forDocument2 = ImageLocation.getForDocument(this.documentAttach);
                ImageLocation forObject2 = ImageLocation.getForObject(this.currentPhotoObject, this.photoParentObject);
                TLRPC.PhotoSize photoSize2 = this.currentPhotoObject;
                imageReceiver2.setImage(forDocument2, ImageLoader.AUTOPLAY_FILTER, forObject2, ((photoSize2 instanceof TLRPC.TL_photoStrippedSize) || (photoSize2 != null && "s".equals(photoSize2.type))) ? this.currentPhotoFilterThumb : this.currentPhotoFilter, ImageLocation.getForObject(this.currentPhotoObjectThumb, this.photoParentObject), this.currentPhotoFilterThumb, null, this.documentAttach.size, null, this.currentMessageObject, 0);
                if (!PhotoViewer.isPlayingMessage(this.currentMessageObject)) {
                    this.photoImage.setAllowStartAnimation(true);
                    this.photoImage.startAnimation();
                } else {
                    this.photoImage.setAllowStartAnimation(false);
                }
                this.autoPlayingMedia = true;
            } else if (this.documentAttachType == 2) {
                ImageReceiver imageReceiver3 = this.photoImage;
                ImageLocation forDocument3 = ImageLocation.getForDocument(this.documentAttach);
                ImageLocation forObject3 = ImageLocation.getForObject(this.currentPhotoObject, this.photoParentObject);
                TLRPC.PhotoSize photoSize3 = this.currentPhotoObject;
                imageReceiver3.setImage(forDocument3, ImageLoader.AUTOPLAY_FILTER, forObject3, ((photoSize3 instanceof TLRPC.TL_photoStrippedSize) || (photoSize3 != null && "s".equals(photoSize3.type))) ? this.currentPhotoFilterThumb : this.currentPhotoFilter, ImageLocation.getForObject(this.currentPhotoObjectThumb, this.photoParentObject), this.currentPhotoFilterThumb, null, this.documentAttach.size, null, this.currentMessageObject, 0);
                if (SharedConfig.autoplayGifs) {
                    this.photoImage.setAllowStartAnimation(true);
                    this.photoImage.startAnimation();
                } else {
                    this.photoImage.setAllowStartAnimation(false);
                    this.photoImage.stopAnimation();
                }
                this.autoPlayingMedia = true;
            }
        }
        if (this.currentMessageObject.type == 0) {
            if (!this.autoPlayingMedia && this.documentAttachType == 2 && this.currentMessageObject.gifState != 1.0f) {
                this.buttonState = 2;
                didPressButton(true, false);
                return;
            } else if (this.photoNotSet) {
                setMessageObject(this.currentMessageObject, this.currentMessagesGroup, this.pinnedBottom, this.pinnedTop);
                return;
            } else {
                updateButtonState(false, true, false);
                return;
            }
        }
        if (!this.photoNotSet) {
            updateButtonState(false, true, false);
        }
        if (this.photoNotSet) {
            setMessageObject(this.currentMessageObject, this.currentMessagesGroup, this.pinnedBottom, this.pinnedTop);
        }
    }

    @Override // im.uecahxyvjd.messenger.ImageReceiver.ImageReceiverDelegate
    public void didSetImage(ImageReceiver imageReceiver, boolean set, boolean thumb) {
        int i;
        MessageObject messageObject = this.currentMessageObject;
        if (messageObject == null || !set || thumb || messageObject.mediaExists || this.currentMessageObject.attachPathExists) {
            return;
        }
        if ((this.currentMessageObject.type == 0 && ((i = this.documentAttachType) == 8 || i == 0 || i == 6)) || this.currentMessageObject.type == 1) {
            this.currentMessageObject.mediaExists = true;
            updateButtonState(false, true, false);
        }
    }

    @Override // im.uecahxyvjd.messenger.ImageReceiver.ImageReceiverDelegate
    public void onAnimationReady(ImageReceiver imageReceiver) {
        MessageObject messageObject = this.currentMessageObject;
        if (messageObject != null && imageReceiver == this.photoImage && messageObject.isAnimatedSticker()) {
            this.delegate.setShouldNotRepeatSticker(this.currentMessageObject);
        }
    }

    @Override // im.uecahxyvjd.messenger.DownloadController.FileDownloadProgressListener
    public void onProgressDownload(String fileName, float progress) {
        if (this.drawVideoImageButton) {
            this.videoRadialProgress.setProgress(progress, true);
        } else {
            this.radialProgress.setProgress(progress, true);
        }
        int i = this.documentAttachType;
        if (i == 3 || i == 5) {
            if (this.hasMiniProgress != 0) {
                if (this.miniButtonState != 1) {
                    updateButtonState(false, false, false);
                }
            } else if (this.buttonState != 4) {
                updateButtonState(false, false, false);
            }
        } else if (this.hasMiniProgress != 0) {
            if (this.miniButtonState != 1) {
                updateButtonState(false, false, false);
            }
        } else if (this.buttonState != 1) {
            updateButtonState(false, false, false);
        }
    }

    @Override // im.uecahxyvjd.messenger.DownloadController.FileDownloadProgressListener
    public void onProgressUpload(String fileName, float progress, boolean isEncrypted) {
        this.radialProgress.setProgress(progress, true);
        if (progress == 1.0f && this.currentPosition != null) {
            boolean sending = SendMessagesHelper.getInstance(this.currentAccount).isSendingMessage(this.currentMessageObject.getId());
            if (sending && this.buttonState == 1) {
                this.drawRadialCheckBackground = true;
                getIconForCurrentState();
                this.radialProgress.setIcon(6, false, true);
            }
        }
    }

    @Override // android.view.View
    public void onProvideStructure(ViewStructure structure) {
        super.onProvideStructure(structure);
        if (this.allowAssistant && Build.VERSION.SDK_INT >= 23) {
            if (this.currentMessageObject.messageText != null && this.currentMessageObject.messageText.length() > 0) {
                structure.setText(this.currentMessageObject.messageText);
            } else if (this.currentMessageObject.caption != null && this.currentMessageObject.caption.length() > 0) {
                structure.setText(this.currentMessageObject.caption);
            }
        }
    }

    public void setDelegate(ChatMessageCellDelegate chatMessageCellDelegate) {
        this.delegate = chatMessageCellDelegate;
    }

    public void setAllowAssistant(boolean value) {
        this.allowAssistant = value;
    }

    private void measureTime(MessageObject messageObject) {
        CharSequence signString;
        boolean edited;
        String timeString;
        MessageObject.GroupedMessages groupedMessages;
        if (messageObject.scheduled) {
            signString = null;
        } else if (messageObject.messageOwner.post_author != null) {
            signString = messageObject.messageOwner.post_author.replace("\n", "");
        } else if (messageObject.messageOwner.fwd_from != null && messageObject.messageOwner.fwd_from.post_author != null) {
            signString = messageObject.messageOwner.fwd_from.post_author.replace("\n", "");
        } else if (!messageObject.isOutOwner() && messageObject.messageOwner.from_id > 0 && messageObject.messageOwner.post) {
            TLRPC.User signUser = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(messageObject.messageOwner.from_id));
            if (signUser != null) {
                signString = ContactsController.formatName(signUser.first_name, signUser.last_name).replace('\n', ' ');
            } else {
                signString = null;
            }
        } else {
            signString = null;
        }
        TLRPC.User author = null;
        if (this.currentMessageObject.isFromUser()) {
            author = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(messageObject.messageOwner.from_id));
        }
        if (messageObject.scheduled || messageObject.isLiveLocation() || messageObject.messageOwner.edit_hide || messageObject.getDialogId() == 777000 || messageObject.messageOwner.via_bot_id != 0 || messageObject.messageOwner.via_bot_name != null || (author != null && author.bot)) {
            edited = false;
        } else if (this.currentPosition == null || (groupedMessages = this.currentMessagesGroup) == null) {
            edited = (messageObject.messageOwner.flags & 32768) != 0 || messageObject.isEditing();
        } else {
            edited = false;
            int size = groupedMessages.messages.size();
            for (int a2 = 0; a2 < size; a2++) {
                MessageObject object = this.currentMessagesGroup.messages.get(a2);
                if ((object.messageOwner.flags & 32768) != 0 || object.isEditing()) {
                    edited = true;
                    break;
                }
            }
        }
        if (edited) {
            long longFormat = messageObject.messageOwner.date * 1000;
            String timeString2 = LocaleController.getInstance().formatterDayNoly.format(longFormat);
            if (TimeUtils.isAm(longFormat)) {
                timeString = LocaleController.getString("AM", R.string.formatterDayAM) + "  " + timeString2;
            } else {
                timeString = LocaleController.getString("PM", R.string.formatterDayPM) + "  " + timeString2;
            }
            if (this.currentMessageObject.type != 102 && this.currentMessageObject.type != 101) {
                if (this.currentMessageObject.isOutOwner()) {
                    timeString = " " + LocaleController.getInstance().formatterDay.format(messageObject.messageOwner.date * 1000);
                } else {
                    timeString = LocaleController.getInstance().formatterDay.format(messageObject.messageOwner.date * 1000);
                }
            }
        } else {
            long longFormat2 = messageObject.messageOwner.date * 1000;
            String timeString3 = LocaleController.getInstance().formatterDayNoly.format(longFormat2);
            if (TimeUtils.isAm(longFormat2)) {
                timeString = LocaleController.getString("AM", R.string.formatterDayAM) + "  " + timeString3;
            } else {
                timeString = LocaleController.getString("PM", R.string.formatterDayPM) + "  " + timeString3;
            }
        }
        if (signString != null) {
            this.currentTimeString = ", " + timeString;
        } else {
            this.currentTimeString = timeString;
        }
        int ceil = (int) Math.ceil(Theme.chat_timePaint.measureText(this.currentTimeString));
        this.timeWidth = ceil;
        this.timeTextWidth = ceil;
        if ((messageObject.messageOwner.flags & 1024) != 0) {
            this.currentViewsString = String.format("%s", LocaleController.formatShortNumber(Math.max(1, messageObject.messageOwner.views), null));
            int ceil2 = (int) Math.ceil(Theme.chat_timePaint.measureText(this.currentViewsString));
            this.viewsTextWidth = ceil2;
            this.timeWidth += ceil2 + Theme.chat_msgInViewsDrawable.getIntrinsicWidth() + AndroidUtilities.dp(10.0f);
        }
        if (messageObject.scheduled && messageObject.isSendError()) {
            this.timeWidth += AndroidUtilities.dp(18.0f);
        }
        if (signString != null) {
            if (this.availableTimeWidth == 0) {
                this.availableTimeWidth = AndroidUtilities.dp(1000.0f);
            }
            int widthForSign = this.availableTimeWidth - this.timeWidth;
            if (messageObject.isOutOwner()) {
                if (messageObject.type == 5) {
                    widthForSign -= AndroidUtilities.dp(20.0f);
                } else {
                    widthForSign -= AndroidUtilities.dp(96.0f);
                }
            }
            int width = (int) Math.ceil(Theme.chat_timePaint.measureText(signString, 0, signString.length()));
            if (width > widthForSign) {
                if (widthForSign <= 0) {
                    signString = "";
                    width = 0;
                } else {
                    signString = TextUtils.ellipsize(signString, Theme.chat_timePaint, widthForSign, TextUtils.TruncateAt.END);
                    width = widthForSign;
                }
            }
            this.currentTimeString = ((Object) signString) + this.currentTimeString;
            this.timeTextWidth += width;
            this.timeWidth += width;
        }
    }

    private boolean isDrawSelectionBackground() {
        return (isPressed() && this.isCheckPressed) || (!this.isCheckPressed && this.isPressed) || this.isHighlighted;
    }

    public boolean isOpenChatByShare(MessageObject messageObject) {
        return (messageObject.messageOwner.fwd_from == null || messageObject.messageOwner.fwd_from.saved_from_peer == null) ? false : true;
    }

    private boolean checkNeedDrawShareButton(MessageObject messageObject) {
        MessageObject.GroupedMessagePosition groupedMessagePosition = this.currentPosition;
        if ((groupedMessagePosition != null && !groupedMessagePosition.last) || messageObject.type == 101 || messageObject.type == 102) {
            return false;
        }
        if (messageObject.messageOwner.fwd_from != null && !messageObject.isOutOwner() && messageObject.messageOwner.fwd_from.saved_from_peer != null && messageObject.getDialogId() == UserConfig.getInstance(this.currentAccount).getClientUserId()) {
            this.drwaShareGoIcon = true;
        }
        return messageObject.needDrawShareButton();
    }

    public boolean isInsideBackground(float x, float y) {
        if (this.currentBackgroundDrawable != null) {
            int i = this.backgroundDrawableLeft;
            if (x >= i && x <= i + this.backgroundDrawableRight) {
                return true;
            }
        }
        return false;
    }

    private void updateCurrentUserAndChat() {
        MessagesController messagesController = MessagesController.getInstance(this.currentAccount);
        MessageObject messageObject = this.currentMessageObject;
        if (messageObject == null || messageObject.messageOwner == null) {
            return;
        }
        TLRPC.MessageFwdHeader fwd_from = this.currentMessageObject.messageOwner.fwd_from;
        int currentUserId = UserConfig.getInstance(this.currentAccount).getClientUserId();
        if (fwd_from != null && fwd_from.channel_id != 0 && this.currentMessageObject.getDialogId() == currentUserId) {
            this.currentChat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(fwd_from.channel_id));
        } else if (fwd_from != null && fwd_from.saved_from_peer != null) {
            if (fwd_from.saved_from_peer.user_id != 0) {
                if (fwd_from.from_id != 0) {
                    this.currentUser = messagesController.getUser(Integer.valueOf(fwd_from.from_id));
                } else {
                    this.currentUser = messagesController.getUser(Integer.valueOf(fwd_from.saved_from_peer.user_id));
                }
            } else if (fwd_from.saved_from_peer.channel_id != 0) {
                if (this.currentMessageObject.isSavedFromMegagroup() && fwd_from.from_id != 0) {
                    this.currentUser = messagesController.getUser(Integer.valueOf(fwd_from.from_id));
                } else {
                    this.currentChat = messagesController.getChat(Integer.valueOf(fwd_from.saved_from_peer.channel_id));
                }
            } else if (fwd_from.saved_from_peer.chat_id != 0) {
                if (fwd_from.from_id != 0) {
                    this.currentUser = messagesController.getUser(Integer.valueOf(fwd_from.from_id));
                } else {
                    this.currentChat = messagesController.getChat(Integer.valueOf(fwd_from.saved_from_peer.chat_id));
                }
            }
        } else if (fwd_from != null && fwd_from.from_id != 0 && fwd_from.channel_id == 0 && this.currentMessageObject.getDialogId() == currentUserId) {
            this.currentUser = messagesController.getUser(Integer.valueOf(fwd_from.from_id));
        } else if (fwd_from != null && !TextUtils.isEmpty(fwd_from.from_name) && this.currentMessageObject.getDialogId() == currentUserId) {
            TLRPC.TL_user tL_user = new TLRPC.TL_user();
            this.currentUser = tL_user;
            tL_user.first_name = fwd_from.from_name;
        } else if (this.currentMessageObject.isFromUser()) {
            this.currentUser = messagesController.getUser(Integer.valueOf(this.currentMessageObject.messageOwner.from_id));
        } else if (this.currentMessageObject.messageOwner.from_id < 0) {
            this.currentChat = messagesController.getChat(Integer.valueOf(-this.currentMessageObject.messageOwner.from_id));
        } else if (this.currentMessageObject.messageOwner.post) {
            this.currentChat = messagesController.getChat(Integer.valueOf(this.currentMessageObject.messageOwner.to_id.channel_id));
        }
    }

    public float setImageReceiverHeightAutoSize(TLRPCContacts.NotifyMsgMedia mediaData, int width) {
        int photoWidth;
        int photoHeight;
        if (mediaData != null) {
            if (mediaData.media.document != null) {
                TLRPC.DocumentAttribute attribute = mediaData.media.document.attributes.get(1);
                photoWidth = attribute.w;
                photoHeight = attribute.h;
                if (photoWidth < (this.backgroundWidth - AndroidUtilities.dp(60.0f)) / 3) {
                    photoWidth = (this.backgroundWidth - AndroidUtilities.dp(60.0f)) / 3;
                }
            } else {
                TLRPC.Photo photo = mediaData.media.photo;
                TLRPC.PhotoSize photoSize = FileLoader.getClosestPhotoSizeWithSize(photo.sizes, AndroidUtilities.getPhotoSize());
                photoWidth = photoSize.w;
                photoHeight = photoSize.h;
            }
            DecimalFormat df = new DecimalFormat("0.0");
            String sysSize = df.format((this.backgroundWidth - AndroidUtilities.dp(60.0f)) / photoWidth);
            Float height = Float.valueOf(sysSize);
            return photoHeight * height.floatValue();
        }
        return 0.0f;
    }

    private StaticLayout setSysNotifyTextInfo(StaticLayout layout, TLRPCContacts.NotifyMsgText textData, int maxWidth) {
        Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(16.0f));
        if (textData != null) {
            String textInfo = textData.msg;
            StaticLayout layout2 = new StaticLayout(textInfo, Theme.chat_redpkgTextPaint, maxWidth, Layout.Alignment.ALIGN_NORMAL, 1.5f, 0.0f, false);
            return layout2;
        }
        return null;
    }

    private ImageReceiver setSysNotifyPhotoInfo(ImageReceiver image, TLRPCContacts.NotifyMsgMedia mediaData, MessageObject messageObject) {
        int photoWidth;
        if (mediaData != null) {
            if (mediaData.media.document != null) {
                TLRPC.DocumentAttribute attribute = mediaData.media.document.attributes.get(1);
                int photoWidth2 = attribute.w;
                int photoHeight = attribute.h;
                if (photoWidth2 >= (this.backgroundWidth - AndroidUtilities.dp(60.0f)) / 3) {
                    photoWidth = photoWidth2;
                } else {
                    photoWidth = (this.backgroundWidth - AndroidUtilities.dp(60.0f)) / 3;
                }
                String format = String.format(Locale.US, "%d_%d_nr_%s", Integer.valueOf(photoWidth), Integer.valueOf(photoHeight), messageObject.toString());
                this.currentPhotoFilter = format;
                this.currentPhotoFilterThumb = format;
                this.currentPhotoObject = FileLoader.getClosestPhotoSizeWithSize(mediaData.media.document.thumbs, AndroidUtilities.getPhotoSize());
                this.currentPhotoObjectThumb = FileLoader.getClosestPhotoSizeWithSize(mediaData.media.document.thumbs, AndroidUtilities.getPhotoSize());
                image.setNeedsQualityThumb(true);
                image.setShouldGenerateQualityThumb(true);
                image.setImage(ImageLocation.getForDocument(mediaData.media.document), ImageLoader.AUTOPLAY_FILTER, ImageLocation.getForObject(this.currentPhotoObject, this.photoParentObject), this.currentPhotoFilter, ImageLocation.getForDocument(this.currentPhotoObjectThumb, mediaData.media.document), this.currentPhotoFilterThumb, null, mediaData.media.document.size, null, messageObject, 0);
            } else {
                TLRPC.Photo photo = mediaData.media.photo;
                TLRPC.PhotoSize photoSize = FileLoader.getClosestPhotoSizeWithSize(photo.sizes, AndroidUtilities.getPhotoSize());
                image.setNeedsQualityThumb(true);
                image.setShouldGenerateQualityThumb(true);
                image.setImage(ImageLocation.getForPhoto(photoSize, photo), null, null, "null", null, 1);
            }
            return image;
        }
        return null;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Removed duplicated region for block: B:525:0x064e  */
    /* JADX WARN: Removed duplicated region for block: B:528:0x0663  */
    /* JADX WARN: Removed duplicated region for block: B:529:0x0669  */
    /* JADX WARN: Removed duplicated region for block: B:534:0x0692  */
    /* JADX WARN: Removed duplicated region for block: B:570:0x072b  */
    /* JADX WARN: Removed duplicated region for block: B:589:0x07a2  */
    /* JADX WARN: Removed duplicated region for block: B:590:0x07a5  */
    /* JADX WARN: Removed duplicated region for block: B:606:0x0806  */
    /* JADX WARN: Removed duplicated region for block: B:607:0x0811  */
    /* JADX WARN: Removed duplicated region for block: B:610:0x082f  */
    /* JADX WARN: Removed duplicated region for block: B:611:0x0855  */
    /* JADX WARN: Removed duplicated region for block: B:627:0x08d5  */
    /* JADX WARN: Removed duplicated region for block: B:628:0x08d8  */
    /* JADX WARN: Removed duplicated region for block: B:631:0x08e3 A[Catch: Exception -> 0x092a, TryCatch #1 {Exception -> 0x092a, blocks: (B:625:0x08d1, B:629:0x08d9, B:631:0x08e3, B:633:0x0906), top: B:653:0x08d1 }] */
    /* JADX WARN: Removed duplicated region for block: B:639:0x0932  */
    /* JADX WARN: Removed duplicated region for block: B:640:0x0935  */
    /* JADX WARN: Removed duplicated region for block: B:643:0x0941 A[Catch: Exception -> 0x0985, TryCatch #2 {Exception -> 0x0985, blocks: (B:637:0x092e, B:641:0x0936, B:643:0x0941, B:645:0x0962), top: B:655:0x092e }] */
    /* JADX WARN: Type inference failed for: r5v1 */
    /* JADX WARN: Type inference failed for: r5v2 */
    /* JADX WARN: Type inference failed for: r5v24, types: [im.uecahxyvjd.tgnet.TLRPC$Chat, java.lang.String, im.uecahxyvjd.tgnet.TLRPC$User] */
    /* JADX WARN: Type inference failed for: r5v35 */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void setMessageObjectInternal(MessageObject messageObject) {
        CharSequence viaString;
        String viaUsername;
        String str;
        int adminWidth;
        String adminString;
        String str2;
        CharSequence nameStringFinal;
        ?? r5;
        int color;
        CharSequence nameStringFinal2;
        MessageObject.GroupedMessagePosition groupedMessagePosition;
        int maxWidth;
        TLRPC.PhotoSize photoSize;
        TLRPC.PhotoSize thumbPhotoSize;
        int maxWidth2;
        String name;
        String name2;
        CharSequence stringFinalName;
        CharSequence stringFinalText;
        MessageObject.GroupedMessagePosition groupedMessagePosition2;
        String fromString;
        int i;
        SpannableStringBuilder stringBuilder;
        if ((messageObject.messageOwner.flags & 1024) != 0 && !this.currentMessageObject.scheduled && !this.currentMessageObject.viewsReloaded) {
            MessagesController.getInstance(this.currentAccount).addToViewsQueue(this.currentMessageObject);
            this.currentMessageObject.viewsReloaded = true;
        }
        updateCurrentUserAndChat();
        if (this.isAvatarVisible) {
            TLRPC.User user = this.currentUser;
            if (user != null) {
                if (user.photo != null) {
                    this.currentPhoto = this.currentUser.photo.photo_small;
                } else {
                    this.currentPhoto = null;
                }
                this.avatarDrawable.setInfo(this.currentUser);
                this.avatarImage.setImage(ImageLocation.getForUser(this.currentUser, false), "50_50", this.avatarDrawable, null, this.currentUser, 0);
            } else {
                TLRPC.Chat chat = this.currentChat;
                if (chat != null) {
                    if (chat.photo != null) {
                        this.currentPhoto = this.currentChat.photo.photo_small;
                    } else {
                        this.currentPhoto = null;
                    }
                    this.avatarDrawable.setInfo(this.currentChat);
                    this.avatarImage.setImage(ImageLocation.getForChat(this.currentChat, false), "50_50", this.avatarDrawable, null, this.currentChat, 0);
                } else {
                    this.currentPhoto = null;
                    this.avatarDrawable.setInfo(messageObject.messageOwner.from_id, null, null);
                    this.avatarImage.setImage(null, null, this.avatarDrawable, null, null, 0);
                }
            }
        } else {
            this.currentPhoto = null;
        }
        measureTime(messageObject);
        this.namesOffset = 0;
        String viaUsername2 = null;
        CharSequence viaString2 = null;
        if (messageObject.messageOwner.via_bot_id != 0) {
            TLRPC.User botUser = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(messageObject.messageOwner.via_bot_id));
            if (botUser != null && botUser.username != null && botUser.username.length() > 0) {
                viaUsername2 = "@" + botUser.username;
                viaString2 = AndroidUtilities.replaceTags(String.format(" %s <b>%s</b>", LocaleController.getString("ViaBot", R.string.ViaBot), viaUsername2));
                this.viaWidth = (int) Math.ceil(Theme.chat_replyNamePaint.measureText(viaString2, 0, viaString2.length()));
                this.currentViaBotUser = botUser;
            }
            viaString = viaString2;
            viaUsername = viaUsername2;
        } else if (messageObject.messageOwner.via_bot_name != null && messageObject.messageOwner.via_bot_name.length() > 0) {
            String viaUsername3 = "@" + messageObject.messageOwner.via_bot_name;
            CharSequence viaString3 = AndroidUtilities.replaceTags(String.format(" %s <b>%s</b>", LocaleController.getString("ViaBot", R.string.ViaBot), viaUsername3));
            this.viaWidth = (int) Math.ceil(Theme.chat_replyNamePaint.measureText(viaString3, 0, viaString3.length()));
            viaString = viaString3;
            viaUsername = viaUsername3;
        } else {
            viaString = null;
            viaUsername = null;
        }
        boolean authorName = this.drawName && this.isChat && !this.currentMessageObject.isOutOwner();
        boolean viaBot = (messageObject.messageOwner.fwd_from == null || messageObject.type == 14) && viaUsername != null;
        if (authorName || viaBot) {
            this.drawNameLayout = true;
            int maxNameWidth = getMaxNameWidth();
            this.nameWidth = maxNameWidth;
            if (maxNameWidth < 0) {
                this.nameWidth = AndroidUtilities.dp(100.0f);
            }
            if (!this.isMegagroup || this.currentChat == null || !this.currentMessageObject.isForwardedChannelPost()) {
                str = "%s %s %s";
                adminWidth = 0;
                adminString = null;
            } else {
                String adminString2 = LocaleController.getString("DiscussChannel", R.string.DiscussChannel);
                str = "%s %s %s";
                int adminWidth2 = (int) Math.ceil(Theme.chat_adminPaint.measureText(adminString2));
                this.nameWidth -= adminWidth2;
                adminWidth = adminWidth2;
                adminString = adminString2;
            }
            if (!authorName) {
                this.currentNameString = "";
            } else {
                TLRPC.User user2 = this.currentUser;
                if (user2 != null) {
                    this.currentNameString = UserObject.getName(user2);
                } else {
                    TLRPC.Chat chat2 = this.currentChat;
                    if (chat2 != null) {
                        this.currentNameString = chat2.title;
                    } else {
                        this.currentNameString = "DELETED";
                    }
                }
            }
            CharSequence nameStringFinal3 = TextUtils.ellipsize(this.currentNameString.replace('\n', ' '), Theme.chat_namePaint, this.nameWidth - (viaBot ? this.viaWidth : 0), TextUtils.TruncateAt.END);
            if (viaBot) {
                int ceil = (int) Math.ceil(Theme.chat_namePaint.measureText(nameStringFinal3, 0, nameStringFinal3.length()));
                this.viaNameWidth = ceil;
                if (ceil != 0) {
                    this.viaNameWidth = ceil + AndroidUtilities.dp(4.0f);
                }
                if (this.currentMessageObject.shouldDrawWithoutBackground()) {
                    color = Theme.getColor(Theme.key_chat_stickerViaBotNameText);
                } else {
                    color = Theme.getColor(this.currentMessageObject.isOutOwner() ? Theme.key_chat_outViaBotNameText : Theme.key_chat_inViaBotNameText);
                }
                String viaBotString = LocaleController.getString("ViaBot", R.string.ViaBot);
                if (this.currentNameString.length() > 0) {
                    str2 = str;
                    SpannableStringBuilder stringBuilder2 = new SpannableStringBuilder(String.format(str2, nameStringFinal3, viaBotString, viaUsername));
                    TypefaceSpan typefaceSpan = new TypefaceSpan(Typeface.DEFAULT, 0, color);
                    this.viaSpan1 = typefaceSpan;
                    stringBuilder2.setSpan(typefaceSpan, nameStringFinal3.length() + 1, nameStringFinal3.length() + 1 + viaBotString.length(), 33);
                    TypefaceSpan typefaceSpan2 = new TypefaceSpan(AndroidUtilities.getTypeface("fonts/rmedium.ttf"), 0, color);
                    this.viaSpan2 = typefaceSpan2;
                    stringBuilder2.setSpan(typefaceSpan2, nameStringFinal3.length() + 2 + viaBotString.length(), stringBuilder2.length(), 33);
                    nameStringFinal2 = stringBuilder2;
                } else {
                    str2 = str;
                    SpannableStringBuilder stringBuilder3 = new SpannableStringBuilder(String.format("%s %s", viaBotString, viaUsername));
                    TypefaceSpan typefaceSpan3 = new TypefaceSpan(Typeface.DEFAULT, 0, color);
                    this.viaSpan1 = typefaceSpan3;
                    stringBuilder3.setSpan(typefaceSpan3, 0, viaBotString.length() + 1, 33);
                    TypefaceSpan typefaceSpan4 = new TypefaceSpan(AndroidUtilities.getTypeface("fonts/rmedium.ttf"), 0, color);
                    this.viaSpan2 = typefaceSpan4;
                    stringBuilder3.setSpan(typefaceSpan4, viaBotString.length() + 1, stringBuilder3.length(), 33);
                    nameStringFinal2 = stringBuilder3;
                }
                nameStringFinal = TextUtils.ellipsize(nameStringFinal2, Theme.chat_namePaint, this.nameWidth, TextUtils.TruncateAt.END);
            } else {
                str2 = str;
                nameStringFinal = nameStringFinal3;
            }
            try {
                StaticLayout staticLayout = new StaticLayout(nameStringFinal, Theme.chat_namePaint, this.nameWidth + AndroidUtilities.dp(2.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                this.nameLayout = staticLayout;
                if (staticLayout.getLineCount() > 0) {
                    this.nameWidth = (int) Math.ceil(this.nameLayout.getLineWidth(0));
                    if (!messageObject.isAnyKindOfSticker()) {
                        this.namesOffset += AndroidUtilities.dp(10.0f);
                    }
                    this.nameOffsetX = this.nameLayout.getLineLeft(0);
                } else {
                    this.nameWidth = 0;
                }
                if (adminString == null) {
                    this.adminLayout = null;
                } else {
                    StaticLayout staticLayout2 = new StaticLayout(adminString, Theme.chat_adminPaint, adminWidth + AndroidUtilities.dp(2.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                    this.adminLayout = staticLayout2;
                    this.nameWidth = (int) (this.nameWidth + staticLayout2.getLineWidth(0) + AndroidUtilities.dp(8.0f));
                }
            } catch (Exception e) {
                FileLog.e(e);
            }
            if (this.currentNameString.length() != 0) {
                r5 = 0;
            } else {
                r5 = 0;
                this.currentNameString = null;
            }
        } else {
            this.currentNameString = null;
            this.nameLayout = null;
            this.nameWidth = 0;
            r5 = 0;
            str2 = "%s %s %s";
        }
        this.currentForwardUser = r5;
        this.currentForwardNameString = r5;
        this.currentForwardChannel = r5;
        this.currentForwardName = r5;
        StaticLayout[] staticLayoutArr = this.forwardedNameLayout;
        staticLayoutArr[0] = r5;
        staticLayoutArr[1] = r5;
        this.forwardedNameWidth = 0;
        if (this.drawForwardedName && messageObject.needDrawForwarded() && ((groupedMessagePosition2 = this.currentPosition) == null || groupedMessagePosition2.minY == 0)) {
            if (messageObject.messageOwner.fwd_from.channel_id != 0) {
                this.currentForwardChannel = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(messageObject.messageOwner.fwd_from.channel_id));
            }
            if (messageObject.messageOwner.fwd_from.from_id != 0) {
                this.currentForwardUser = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(messageObject.messageOwner.fwd_from.from_id));
            }
            if (messageObject.messageOwner.fwd_from.from_name != null) {
                this.currentForwardName = messageObject.messageOwner.fwd_from.from_name;
            }
            TLRPC.User user3 = this.currentForwardUser;
            if (user3 != null || this.currentForwardChannel != null || this.currentForwardName != null) {
                TLRPC.Chat chat3 = this.currentForwardChannel;
                if (chat3 != null) {
                    if (user3 != null) {
                        this.currentForwardNameString = String.format("%s (%s)", chat3.title, UserObject.getName(this.currentForwardUser));
                    } else {
                        this.currentForwardNameString = chat3.title;
                    }
                } else if (user3 != null) {
                    this.currentForwardNameString = UserObject.getName(user3);
                } else {
                    String str3 = this.currentForwardName;
                    if (str3 != null) {
                        this.currentForwardNameString = str3;
                    }
                }
                this.forwardedNameWidth = getMaxNameWidth();
                String from = LocaleController.getString("From", R.string.From);
                String fromFormattedString = LocaleController.getString("FromFormatted", R.string.FromFormatted);
                int idx = fromFormattedString.indexOf("%1$s");
                int fromWidth = (int) Math.ceil(Theme.chat_forwardNamePaint.measureText(from + " "));
                CharSequence name3 = TextUtils.ellipsize(this.currentForwardNameString.replace('\n', ' '), Theme.chat_replyNamePaint, (this.forwardedNameWidth - fromWidth) - this.viaWidth, TextUtils.TruncateAt.END);
                try {
                    String fromString2 = String.format(fromFormattedString, name3);
                    fromString = fromString2;
                } catch (Exception e2) {
                    fromString = name3.toString();
                }
                if (viaString != null) {
                    SpannableStringBuilder stringBuilder4 = new SpannableStringBuilder(String.format(str2, fromString, LocaleController.getString("ViaBot", R.string.ViaBot), viaUsername));
                    this.viaNameWidth = (int) Math.ceil(Theme.chat_forwardNamePaint.measureText(fromString));
                    stringBuilder4.setSpan(new TypefaceSpan(AndroidUtilities.getTypeface("fonts/rmedium.ttf")), (stringBuilder4.length() - viaUsername.length()) - 1, stringBuilder4.length(), 33);
                    stringBuilder = stringBuilder4;
                    i = 0;
                } else {
                    i = 0;
                    stringBuilder = new SpannableStringBuilder(String.format(fromFormattedString, name3));
                }
                this.forwardNameCenterX = (((int) Math.ceil(Theme.chat_forwardNamePaint.measureText(name3, i, name3.length()))) / 2) + fromWidth;
                if (idx >= 0 && (this.currentForwardName == null || messageObject.messageOwner.fwd_from.from_id != 0)) {
                    stringBuilder.setSpan(new TypefaceSpan(AndroidUtilities.getTypeface("fonts/rmedium.ttf")), idx, name3.length() + idx, 33);
                }
                CharSequence lastLine = stringBuilder;
                try {
                    this.forwardedNameLayout[1] = new StaticLayout(TextUtils.ellipsize(lastLine, Theme.chat_forwardNamePaint, this.forwardedNameWidth, TextUtils.TruncateAt.END), Theme.chat_forwardNamePaint, this.forwardedNameWidth + AndroidUtilities.dp(2.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                    CharSequence lastLine2 = TextUtils.ellipsize(AndroidUtilities.replaceTags(LocaleController.getString("ForwardedMessage", R.string.ForwardedMessage)), Theme.chat_forwardNamePaint, this.forwardedNameWidth, TextUtils.TruncateAt.END);
                    try {
                        this.forwardedNameLayout[0] = new StaticLayout(lastLine2, Theme.chat_forwardNamePaint, this.forwardedNameWidth + AndroidUtilities.dp(2.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                        this.forwardedNameWidth = Math.max((int) Math.ceil(this.forwardedNameLayout[0].getLineWidth(0)), (int) Math.ceil(this.forwardedNameLayout[1].getLineWidth(0)));
                        this.forwardNameOffsetX[0] = this.forwardedNameLayout[0].getLineLeft(0);
                        this.forwardNameOffsetX[1] = this.forwardedNameLayout[1].getLineLeft(0);
                        if (messageObject.type != 5) {
                            this.namesOffset += AndroidUtilities.dp(36.0f);
                        }
                    } catch (Exception e3) {
                        e = e3;
                        FileLog.e(e);
                        if (messageObject.hasValidReplyMessageObject()) {
                            if (!messageObject.isAnyKindOfSticker()) {
                                this.namesOffset += AndroidUtilities.dp(42.0f);
                                if (messageObject.type != 0) {
                                }
                            }
                            maxWidth = getMaxNameWidth();
                            if (messageObject.shouldDrawWithoutBackground()) {
                            }
                            int cacheType = 1;
                            int size = 0;
                            photoSize = FileLoader.getClosestPhotoSizeWithSize(messageObject.replyMessageObject.photoThumbs2, 320);
                            thumbPhotoSize = FileLoader.getClosestPhotoSizeWithSize(messageObject.replyMessageObject.photoThumbs2, 40);
                            TLObject photoObject = messageObject.replyMessageObject.photoThumbsObject2;
                            if (photoSize == null) {
                            }
                            if (thumbPhotoSize == photoSize) {
                            }
                            if (photoSize != null) {
                            }
                            this.replyImageReceiver.setImageBitmap((Drawable) null);
                            this.needReplyImage = false;
                            maxWidth2 = maxWidth;
                            name = null;
                            if (messageObject.customReplyName == null) {
                            }
                            if (name == null) {
                            }
                            stringFinalName = TextUtils.ellipsize(name2.replace('\n', ' '), Theme.chat_replyNamePaint, maxWidth2, TextUtils.TruncateAt.END);
                            if (!(messageObject.replyMessageObject.messageOwner.media instanceof TLRPC.TL_messageMediaGame)) {
                            }
                            try {
                                this.replyNameWidth = AndroidUtilities.dp((!this.needReplyImage ? 44 : 0) + 4);
                                if (stringFinalName != null) {
                                }
                            } catch (Exception e4) {
                                FileLog.e(e4);
                            }
                            try {
                                this.replyTextWidth = AndroidUtilities.dp(4 + (!this.needReplyImage ? 44 : 0));
                                if (stringFinalText != null) {
                                }
                            } catch (Exception e5) {
                                FileLog.e(e5);
                            }
                        }
                        requestLayout();
                    }
                } catch (Exception e6) {
                    e = e6;
                }
            }
        }
        if (messageObject.hasValidReplyMessageObject() && ((groupedMessagePosition = this.currentPosition) == null || groupedMessagePosition.minY == 0)) {
            if (!messageObject.isAnyKindOfSticker() && messageObject.type != 5) {
                this.namesOffset += AndroidUtilities.dp(42.0f);
                if (messageObject.type != 0) {
                    this.namesOffset += AndroidUtilities.dp(5.0f);
                }
            }
            maxWidth = getMaxNameWidth();
            if (messageObject.shouldDrawWithoutBackground()) {
                maxWidth -= AndroidUtilities.dp(10.0f);
            } else if (messageObject.type == 5) {
                maxWidth += AndroidUtilities.dp(13.0f);
            }
            int cacheType2 = 1;
            int size2 = 0;
            photoSize = FileLoader.getClosestPhotoSizeWithSize(messageObject.replyMessageObject.photoThumbs2, 320);
            thumbPhotoSize = FileLoader.getClosestPhotoSizeWithSize(messageObject.replyMessageObject.photoThumbs2, 40);
            TLObject photoObject2 = messageObject.replyMessageObject.photoThumbsObject2;
            if (photoSize == null) {
                if (messageObject.replyMessageObject.mediaExists) {
                    if (messageObject.replyMessageObject.type == 9 || messageObject.replyMessageObject.type == 1) {
                        TLRPC.Document documentAttach = messageObject.replyMessageObject.getDocument();
                        int iSide = AndroidUtilities.getPhotoSize();
                        if (documentAttach != null) {
                            if (MessageObject.isVoiceDocument(documentAttach) || MessageObject.isMusicDocument(documentAttach) || ((documentAttach.mime_type != null && documentAttach.mime_type.toLowerCase().startsWith("video/")) || MessageObject.isGifDocument(documentAttach))) {
                                iSide = AndroidUtilities.getPhotoSize();
                            } else if ((documentAttach.mime_type != null && documentAttach.mime_type.toLowerCase().startsWith("image/")) || MessageObject.isDocumentHasThumb(documentAttach)) {
                                iSide = 80000;
                            }
                        }
                        photoSize = FileLoader.getClosestPhotoSizeWithSize(messageObject.replyMessageObject.photoThumbs, iSide);
                    } else {
                        photoSize = FileLoader.getClosestPhotoSizeWithSize(messageObject.replyMessageObject.photoThumbs, AndroidUtilities.getPhotoSize());
                    }
                    if (photoSize != null) {
                        size2 = photoSize.size;
                    }
                    cacheType2 = 0;
                } else {
                    photoSize = FileLoader.getClosestPhotoSizeWithSize(messageObject.replyMessageObject.photoThumbs, 320);
                }
                thumbPhotoSize = FileLoader.getClosestPhotoSizeWithSize(messageObject.replyMessageObject.photoThumbs, 40);
                photoObject2 = messageObject.replyMessageObject.photoThumbsObject;
            }
            if (thumbPhotoSize == photoSize) {
                thumbPhotoSize = null;
            }
            if (photoSize != null || messageObject.replyMessageObject.isAnyKindOfSticker() || ((messageObject.isAnyKindOfSticker() && !AndroidUtilities.isTablet()) || messageObject.replyMessageObject.isSecretMedia())) {
                this.replyImageReceiver.setImageBitmap((Drawable) null);
                this.needReplyImage = false;
                maxWidth2 = maxWidth;
            } else {
                if (messageObject.replyMessageObject.isRoundVideo()) {
                    this.replyImageReceiver.setRoundRadius(AndroidUtilities.dp(22.0f));
                } else {
                    this.replyImageReceiver.setRoundRadius(0);
                }
                this.currentReplyPhoto = photoSize;
                this.replyImageReceiver.setImage(ImageLocation.getForObject(photoSize, photoObject2), "50_50", ImageLocation.getForObject(thumbPhotoSize, photoObject2), "50_50_b", size2, null, messageObject.replyMessageObject, cacheType2);
                this.needReplyImage = true;
                maxWidth2 = maxWidth - AndroidUtilities.dp(44.0f);
            }
            name = null;
            if (messageObject.customReplyName == null) {
                name = messageObject.customReplyName;
            } else if (messageObject.replyMessageObject.isFromUser()) {
                TLRPC.User user4 = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(messageObject.replyMessageObject.messageOwner.from_id));
                if (user4 != null) {
                    name = UserObject.getName(user4);
                }
            } else if (messageObject.replyMessageObject.messageOwner.from_id < 0) {
                TLRPC.Chat chat4 = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(-messageObject.replyMessageObject.messageOwner.from_id));
                if (chat4 != null) {
                    name = chat4.title;
                }
            } else {
                TLRPC.Chat chat5 = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(messageObject.replyMessageObject.messageOwner.to_id.channel_id));
                if (chat5 != null) {
                    name = chat5.title;
                }
            }
            if (name == null) {
                name2 = name;
            } else {
                name2 = LocaleController.getString("Loading", R.string.Loading);
            }
            stringFinalName = TextUtils.ellipsize(name2.replace('\n', ' '), Theme.chat_replyNamePaint, maxWidth2, TextUtils.TruncateAt.END);
            if (!(messageObject.replyMessageObject.messageOwner.media instanceof TLRPC.TL_messageMediaGame)) {
                CharSequence stringFinalText2 = Emoji.replaceEmoji(messageObject.replyMessageObject.messageOwner.media.game.title, Theme.chat_replyTextPaint.getFontMetricsInt(), AndroidUtilities.dp(14.0f), false);
                stringFinalText = TextUtils.ellipsize(stringFinalText2, Theme.chat_replyTextPaint, maxWidth2, TextUtils.TruncateAt.END);
            } else if (messageObject.replyMessageObject.messageOwner.media instanceof TLRPC.TL_messageMediaInvoice) {
                CharSequence stringFinalText3 = Emoji.replaceEmoji(messageObject.replyMessageObject.messageOwner.media.title, Theme.chat_replyTextPaint.getFontMetricsInt(), AndroidUtilities.dp(14.0f), false);
                stringFinalText = TextUtils.ellipsize(stringFinalText3, Theme.chat_replyTextPaint, maxWidth2, TextUtils.TruncateAt.END);
            } else if (messageObject.replyMessageObject.messageText != null && messageObject.replyMessageObject.messageText.length() > 0) {
                String mess = messageObject.replyMessageObject.messageText.toString();
                if (mess.length() > 150) {
                    mess = mess.substring(0, 150);
                }
                CharSequence stringFinalText4 = Emoji.replaceEmoji(mess.replace('\n', ' '), Theme.chat_replyTextPaint.getFontMetricsInt(), AndroidUtilities.dp(14.0f), false);
                stringFinalText = TextUtils.ellipsize(stringFinalText4, Theme.chat_replyTextPaint, maxWidth2, TextUtils.TruncateAt.END);
            } else {
                stringFinalText = null;
            }
            this.replyNameWidth = AndroidUtilities.dp((!this.needReplyImage ? 44 : 0) + 4);
            if (stringFinalName != null) {
                StaticLayout staticLayout3 = new StaticLayout(stringFinalName, Theme.chat_replyNamePaint, maxWidth2 + AndroidUtilities.dp(6.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                this.replyNameLayout = staticLayout3;
                if (staticLayout3.getLineCount() > 0) {
                    this.replyNameWidth += ((int) Math.ceil(this.replyNameLayout.getLineWidth(0))) + AndroidUtilities.dp(8.0f);
                    this.replyNameOffset = this.replyNameLayout.getLineLeft(0);
                }
            }
            this.replyTextWidth = AndroidUtilities.dp(4 + (!this.needReplyImage ? 44 : 0));
            if (stringFinalText != null) {
                StaticLayout staticLayout4 = new StaticLayout(stringFinalText, Theme.chat_replyTextPaint, maxWidth2 + AndroidUtilities.dp(10.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                this.replyTextLayout = staticLayout4;
                if (staticLayout4.getLineCount() > 0) {
                    this.replyTextWidth += ((int) Math.ceil(this.replyTextLayout.getLineWidth(0))) + AndroidUtilities.dp(8.0f);
                    this.replyTextOffset = this.replyTextLayout.getLineLeft(0);
                }
            }
        }
        requestLayout();
    }

    public int getCaptionHeight() {
        return this.addedCaptionHeight;
    }

    public ImageReceiver getAvatarImage() {
        if (this.isAvatarVisible) {
            return this.avatarImage;
        }
        return null;
    }

    public float getCheckBoxTranslation() {
        return this.checkBoxTranslation;
    }

    public void drawCheckBox(Canvas canvas) {
        MessageObject messageObject = this.currentMessageObject;
        if (messageObject == null || messageObject.isSending() || this.currentMessageObject.isSendError() || this.checkBox == null) {
            return;
        }
        if (this.checkBoxVisible || this.checkBoxAnimationInProgress) {
            MessageObject.GroupedMessagePosition groupedMessagePosition = this.currentPosition;
            if (groupedMessagePosition == null || ((groupedMessagePosition.flags & 8) != 0 && (this.currentPosition.flags & 1) != 0)) {
                canvas.save();
                canvas.translate(0.0f, getTop());
                this.checkBox.draw(canvas);
                canvas.restore();
            }
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:695:0x0356  */
    /* JADX WARN: Removed duplicated region for block: B:698:0x03f1  */
    @Override // android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    protected void onDraw(Canvas canvas) {
        Drawable currentBackgroundSelectedDrawable;
        Drawable currentBackgroundShadowDrawable;
        MessageObject.GroupedMessagePosition groupedMessagePosition;
        int offsetBottom;
        Drawable currentBackgroundSelectedDrawable2;
        MessageObject.GroupedMessagePosition groupedMessagePosition2;
        int i;
        Drawable drawable;
        Drawable drawable2;
        int left;
        int top;
        Drawable cloud;
        int offsetBottom2;
        int backgroundTop;
        MessageObject.GroupedMessagePosition groupedMessagePosition3;
        MessageObject.GroupedMessagePosition groupedMessagePosition4;
        MessageObject messageObject = this.currentMessageObject;
        if (messageObject == null) {
            return;
        }
        if (!this.wasLayout) {
            requestLayout();
            return;
        }
        if (messageObject.isOutOwner()) {
            Theme.chat_msgTextPaint.setColor(Theme.getColor(Theme.key_chat_messageTextOut));
            Theme.chat_msgTextPaint.linkColor = Theme.getColor(Theme.key_chat_messageLinkOut);
            Theme.chat_msgGameTextPaint.setColor(Theme.getColor(Theme.key_chat_messageTextOut));
            Theme.chat_msgGameTextPaint.linkColor = Theme.getColor(Theme.key_chat_messageLinkOut);
            Theme.chat_replyTextPaint.linkColor = Theme.getColor(Theme.key_chat_messageLinkOut);
        } else {
            Theme.chat_msgTextPaint.setColor(Theme.getColor(Theme.key_chat_messageTextIn));
            Theme.chat_msgTextPaint.linkColor = Theme.getColor(Theme.key_chat_messageLinkIn);
            Theme.chat_msgGameTextPaint.setColor(Theme.getColor(Theme.key_chat_messageTextIn));
            Theme.chat_msgGameTextPaint.linkColor = Theme.getColor(Theme.key_chat_messageLinkIn);
            Theme.chat_replyTextPaint.linkColor = Theme.getColor(Theme.key_chat_messageLinkIn);
        }
        if (this.documentAttach != null) {
            int i2 = this.documentAttachType;
            if (i2 == 3) {
                if (this.currentMessageObject.isOutOwner()) {
                    this.seekBarWaveform.setColors(Theme.getColor(Theme.key_chat_outVoiceSeekbar), Theme.getColor(Theme.key_chat_outVoiceSeekbarFill), Theme.getColor(Theme.key_chat_outVoiceSeekbarSelected));
                    this.seekBar.setColors(Theme.getColor(Theme.key_chat_outAudioSeekbar), Theme.getColor(Theme.key_chat_outAudioCacheSeekbar), Theme.getColor(Theme.key_chat_outAudioSeekbarFill), Theme.getColor(Theme.key_chat_outAudioSeekbarFill), Theme.getColor(Theme.key_chat_outAudioSeekbarSelected));
                } else {
                    this.seekBarWaveform.setColors(Theme.getColor(Theme.key_chat_inVoiceSeekbar), Theme.getColor(Theme.key_chat_inVoiceSeekbarFill), Theme.getColor(Theme.key_chat_inVoiceSeekbarSelected));
                    this.seekBar.setColors(Theme.getColor(Theme.key_chat_inAudioSeekbar), Theme.getColor(Theme.key_chat_inAudioCacheSeekbar), Theme.getColor(Theme.key_chat_inAudioSeekbarFill), Theme.getColor(Theme.key_chat_inAudioSeekbarFill), Theme.getColor(Theme.key_chat_inAudioSeekbarSelected));
                }
            } else if (i2 == 5) {
                this.documentAttachType = 5;
                if (this.currentMessageObject.isOutOwner()) {
                    this.seekBar.setColors(Theme.getColor(Theme.key_chat_outAudioSeekbar), Theme.getColor(Theme.key_chat_outAudioCacheSeekbar), Theme.getColor(Theme.key_chat_outAudioSeekbarFill), Theme.getColor(Theme.key_chat_outAudioSeekbarFill), Theme.getColor(Theme.key_chat_outAudioSeekbarSelected));
                } else {
                    this.seekBar.setColors(Theme.getColor(Theme.key_chat_inAudioSeekbar), Theme.getColor(Theme.key_chat_inAudioCacheSeekbar), Theme.getColor(Theme.key_chat_inAudioSeekbarFill), Theme.getColor(Theme.key_chat_inAudioSeekbarFill), Theme.getColor(Theme.key_chat_inAudioSeekbarSelected));
                }
            }
        }
        if (this.currentMessageObject.type == 5) {
            Theme.chat_timePaint.setColor(Theme.getColor(Theme.key_chat_mediaTimeText));
        } else if (this.mediaBackground) {
            if (this.currentMessageObject.shouldDrawWithoutBackground()) {
                Theme.chat_timePaint.setColor(Theme.getColor(Theme.key_chat_serviceText));
            } else {
                Theme.chat_timePaint.setColor(Theme.getColor(Theme.key_chat_mediaTimeText));
            }
        } else if (this.currentMessageObject.isOutOwner()) {
            Theme.chat_timePaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_outTimeSelectedText : Theme.key_chat_outTimeText));
        } else {
            Theme.chat_timePaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_inTimeSelectedText : Theme.key_chat_inTimeText));
        }
        int additionalTop = 0;
        int additionalBottom = 0;
        if (this.currentMessageObject.isOutOwner()) {
            if (this.currentMessageObject.type == 101 || this.currentMessageObject.type == 102 || this.documentAttachType == 1 || this.currentMessageObject.type == 103) {
                if (!this.mediaBackground && !this.drawPinnedBottom) {
                    this.currentBackgroundDrawable = Theme.chat_msgRedpkgOutDrawable;
                    currentBackgroundSelectedDrawable2 = Theme.chat_msgRedpkgOutSelectedDrawable;
                    currentBackgroundShadowDrawable = Theme.chat_msgOutMediaShadowDrawable;
                } else {
                    Drawable currentBackgroundSelectedDrawable3 = Theme.chat_msgRedpkgOutMediaDrawable;
                    this.currentBackgroundDrawable = currentBackgroundSelectedDrawable3;
                    currentBackgroundSelectedDrawable2 = Theme.chat_msgRedpkgOutMediaSelectedDrawable;
                    if (this.currentMessageObject.type == 103) {
                        currentBackgroundShadowDrawable = Theme.chat_msgInMediaShadowDrawable;
                    } else {
                        currentBackgroundShadowDrawable = Theme.chat_msgOutMediaShadowDrawable;
                    }
                }
            } else if (!this.mediaBackground && !this.drawPinnedBottom) {
                this.currentBackgroundDrawable = Theme.chat_msgOutDrawable;
                currentBackgroundSelectedDrawable2 = Theme.chat_msgOutSelectedDrawable;
                currentBackgroundShadowDrawable = Theme.chat_msgOutShadowDrawable;
            } else {
                Drawable currentBackgroundSelectedDrawable4 = Theme.chat_msgOutMediaDrawable;
                this.currentBackgroundDrawable = currentBackgroundSelectedDrawable4;
                currentBackgroundSelectedDrawable2 = Theme.chat_msgOutMediaSelectedDrawable;
                currentBackgroundShadowDrawable = Theme.chat_msgOutMediaShadowDrawable;
            }
            this.backgroundDrawableLeft = ((this.layoutWidth - this.backgroundWidth) - AndroidUtilities.dp(!this.mediaBackground ? 6.0f : 9.0f)) - AndroidUtilities.dp((this.isAvatarVisible || ((groupedMessagePosition4 = this.currentPosition) != null && groupedMessagePosition4.edge)) ? 48.0f : 0.0f);
            this.backgroundDrawableRight = this.backgroundWidth - (this.mediaBackground ? 0 : AndroidUtilities.dp(3.0f));
            if (this.currentMessagesGroup != null && !this.currentPosition.edge) {
                this.backgroundDrawableRight += AndroidUtilities.dp(10.0f);
            }
            int backgroundLeft = this.backgroundDrawableLeft;
            if (!this.mediaBackground && this.drawPinnedBottom) {
                this.backgroundDrawableRight -= AndroidUtilities.dp(6.0f);
            }
            MessageObject.GroupedMessagePosition groupedMessagePosition5 = this.currentPosition;
            if (groupedMessagePosition5 != null) {
                if ((groupedMessagePosition5.flags & 2) == 0) {
                    this.backgroundDrawableRight += AndroidUtilities.dp(8.0f);
                }
                if ((this.currentPosition.flags & 1) == 0) {
                    backgroundLeft -= AndroidUtilities.dp(8.0f);
                    this.backgroundDrawableRight += AndroidUtilities.dp(8.0f);
                }
                if ((this.currentPosition.flags & 4) == 0) {
                    additionalTop = 0 - AndroidUtilities.dp(9.0f);
                    additionalBottom = 0 + AndroidUtilities.dp(9.0f);
                }
                if ((this.currentPosition.flags & 8) == 0) {
                    additionalBottom += AndroidUtilities.dp(9.0f);
                }
                if ((this.currentPosition.flags & 4) != 0) {
                    additionalTop += mOffset;
                }
                if ((this.currentPosition.flags & 8) != 0) {
                    additionalBottom -= mOffset;
                }
            } else {
                int i3 = mOffset;
                additionalTop = 0 + i3;
                additionalBottom = 0 - (i3 * 2);
            }
            boolean z = this.drawPinnedBottom;
            if (z && this.drawPinnedTop) {
                offsetBottom2 = 0;
            } else if (z) {
                offsetBottom2 = AndroidUtilities.dp(1.0f);
            } else {
                offsetBottom2 = AndroidUtilities.dp(2.0f);
            }
            if (this.currentMessageObject.transHeight != 0) {
                additionalBottom -= this.currentMessageObject.transHeight + AndroidUtilities.dp(35.0f);
            }
            boolean z2 = this.drawPinnedTop;
            int backgroundTop2 = additionalTop + ((z2 || (z2 && this.drawPinnedBottom)) ? 0 : AndroidUtilities.dp(1.0f));
            if (this.currentMessageObject.type == 105) {
                TLRPCContacts.TL_messageMediaSysNotify sysNotify = (TLRPCContacts.TL_messageMediaSysNotify) this.currentMessageObject.messageOwner.media;
                if (sysNotify.business_code >= 4 && sysNotify.business_code != 10) {
                    offsetBottom2 = 0;
                    additionalBottom = 0;
                    backgroundTop = 0;
                    if (BuildVars.DEBUG_VERSION) {
                        Log.i("CMCell", "onDraw() sender ===>  , isAvatarVisible=" + this.isAvatarVisible + " , bLeft=" + this.backgroundDrawableLeft + " , bRight=" + this.backgroundDrawableRight + " , w=" + this.backgroundWidth + " , h=" + ((this.layoutHeight - offsetBottom2) + additionalBottom) + " , layoutHeight=" + this.layoutHeight + " , offsetBottom=" + offsetBottom2 + " , additionalBottom=" + additionalBottom + " , mediaBackground=" + this.mediaBackground);
                    }
                    setDrawableBounds(this.currentBackgroundDrawable, backgroundLeft, backgroundTop, this.backgroundDrawableRight, (this.layoutHeight - offsetBottom2) + additionalBottom);
                    setDrawableBounds(currentBackgroundSelectedDrawable2, backgroundLeft, backgroundTop, this.backgroundDrawableRight, (this.layoutHeight - offsetBottom2) + additionalBottom);
                    setDrawableBounds(currentBackgroundShadowDrawable, backgroundLeft, backgroundTop, this.backgroundDrawableRight, (this.layoutHeight - offsetBottom2) + additionalBottom);
                    if (this.currentMessageObject.transHeight != 0) {
                        this.transDrawable = Theme.chat_msgOutMediaDrawable;
                        int transWidth = Math.max(AndroidUtilities.dp(120.0f), this.currentMessageObject.transWidth + AndroidUtilities.dp(20.0f));
                        int transLeft = ((this.layoutWidth - transWidth) - AndroidUtilities.dp((this.isAvatarVisible || ((groupedMessagePosition3 = this.currentPosition) != null && groupedMessagePosition3.edge)) ? 48.0f : 0.0f)) - AndroidUtilities.dp(9.0f);
                        setDrawableBounds(this.transDrawable, transLeft, (this.layoutHeight - offsetBottom2) + additionalBottom + AndroidUtilities.dp(5.0f), transWidth, this.currentMessageObject.transHeight + AndroidUtilities.dp(30.0f));
                    }
                }
            }
            backgroundTop = backgroundTop2;
            if (BuildVars.DEBUG_VERSION) {
            }
            setDrawableBounds(this.currentBackgroundDrawable, backgroundLeft, backgroundTop, this.backgroundDrawableRight, (this.layoutHeight - offsetBottom2) + additionalBottom);
            setDrawableBounds(currentBackgroundSelectedDrawable2, backgroundLeft, backgroundTop, this.backgroundDrawableRight, (this.layoutHeight - offsetBottom2) + additionalBottom);
            setDrawableBounds(currentBackgroundShadowDrawable, backgroundLeft, backgroundTop, this.backgroundDrawableRight, (this.layoutHeight - offsetBottom2) + additionalBottom);
            if (this.currentMessageObject.transHeight != 0) {
            }
        } else {
            if (this.currentMessageObject.type == 101 || this.currentMessageObject.type == 102 || this.documentAttachType == 1 || this.currentMessageObject.type == 103) {
                if (!this.mediaBackground && !this.drawPinnedBottom) {
                    this.currentBackgroundDrawable = Theme.chat_msgRedpkgInDrawable;
                    currentBackgroundSelectedDrawable = Theme.chat_msgRedpkgInSelectedDrawable;
                    currentBackgroundShadowDrawable = Theme.chat_msgInShadowDrawable;
                } else {
                    Drawable currentBackgroundSelectedDrawable5 = Theme.chat_msgRedpkgInMediaDrawable;
                    this.currentBackgroundDrawable = currentBackgroundSelectedDrawable5;
                    currentBackgroundSelectedDrawable = Theme.chat_msgRedpkgInMediaSelectedDrawable;
                    currentBackgroundShadowDrawable = Theme.chat_msgInMediaShadowDrawable;
                }
            } else if (!this.mediaBackground && !this.drawPinnedBottom) {
                this.currentBackgroundDrawable = Theme.chat_msgInDrawable;
                currentBackgroundSelectedDrawable = Theme.chat_msgInSelectedDrawable;
                currentBackgroundShadowDrawable = Theme.chat_msgInShadowDrawable;
            } else {
                Drawable currentBackgroundSelectedDrawable6 = Theme.chat_msgInMediaDrawable;
                this.currentBackgroundDrawable = currentBackgroundSelectedDrawable6;
                currentBackgroundSelectedDrawable = Theme.chat_msgInMediaSelectedDrawable;
                currentBackgroundShadowDrawable = Theme.chat_msgInMediaShadowDrawable;
            }
            updateCurrentUserAndChat();
            if (ChatObject.isChannel(this.currentChat)) {
                this.backgroundDrawableLeft = AndroidUtilities.dp(((this.isChat && this.isAvatarVisible) ? 48 : 0) + 9);
            } else {
                this.backgroundDrawableLeft = AndroidUtilities.dp(((this.isAvatarVisible || ((groupedMessagePosition = this.currentPosition) != null && groupedMessagePosition.edge)) ? 48 : 0) + 9);
            }
            this.backgroundDrawableRight = this.backgroundWidth - (this.mediaBackground ? 0 : AndroidUtilities.dp(9.0f));
            if (this.currentMessagesGroup != null) {
                if (!this.currentPosition.edge) {
                    this.backgroundDrawableLeft -= AndroidUtilities.dp(10.0f);
                    this.backgroundDrawableRight += AndroidUtilities.dp(10.0f);
                }
                if (this.currentPosition.leftSpanOffset != 0) {
                    this.backgroundDrawableLeft += (int) Math.ceil((this.currentPosition.leftSpanOffset / 1000.0f) * getGroupPhotosWidth());
                }
            }
            if (!this.mediaBackground && this.drawPinnedBottom) {
                this.backgroundDrawableRight -= AndroidUtilities.dp(6.0f);
                this.backgroundDrawableLeft += AndroidUtilities.dp(6.0f);
            }
            MessageObject.GroupedMessagePosition groupedMessagePosition6 = this.currentPosition;
            if (groupedMessagePosition6 != null) {
                if ((groupedMessagePosition6.flags & 2) == 0) {
                    this.backgroundDrawableRight += AndroidUtilities.dp(8.0f);
                }
                if ((this.currentPosition.flags & 1) == 0) {
                    this.backgroundDrawableLeft -= AndroidUtilities.dp(8.0f);
                    this.backgroundDrawableRight += AndroidUtilities.dp(8.0f);
                }
                if ((this.currentPosition.flags & 4) == 0) {
                    additionalTop = 0 - AndroidUtilities.dp(9.0f);
                    additionalBottom = 0 + AndroidUtilities.dp(9.0f);
                }
                if ((this.currentPosition.flags & 8) == 0) {
                    additionalBottom += AndroidUtilities.dp(10.0f);
                }
                if ((this.currentPosition.flags & 4) != 0) {
                    additionalTop += mOffset;
                }
                if ((this.currentPosition.flags & 8) != 0) {
                    additionalBottom -= mOffset;
                }
            } else {
                int i4 = mOffset;
                additionalTop = 0 + i4;
                additionalBottom = 0 - (i4 * 2);
            }
            boolean z3 = this.drawPinnedBottom;
            if (z3 && this.drawPinnedTop) {
                offsetBottom = 0;
            } else if (z3) {
                offsetBottom = AndroidUtilities.dp(1.0f);
            } else {
                offsetBottom = AndroidUtilities.dp(2.0f);
            }
            if (this.drawName) {
                additionalTop += AndroidUtilities.dp(10.0f);
                offsetBottom += AndroidUtilities.dp(10.0f);
            }
            if (this.currentMessageObject.transHeight != 0) {
                offsetBottom += this.currentMessageObject.transHeight + AndroidUtilities.dp(35.0f);
            }
            boolean z4 = this.drawPinnedTop;
            int backgroundTop3 = ((z4 || (z4 && this.drawPinnedBottom)) ? 0 : AndroidUtilities.dp(1.0f)) + additionalTop;
            if (BuildVars.DEBUG_VERSION) {
                Log.i("CMCell", "onDraw() receiver ===>  , isAvatarVisible=" + this.isAvatarVisible + " , bLeft=" + this.backgroundDrawableLeft + " , bRight=" + this.backgroundDrawableRight + " , w=" + this.backgroundWidth + " , h=" + ((this.layoutHeight - offsetBottom) + additionalBottom) + " , mediaBackground=" + this.mediaBackground);
            }
            if (this.currentMessageObject.type != 105) {
                setDrawableBounds(this.currentBackgroundDrawable, this.backgroundDrawableLeft, backgroundTop3, this.backgroundDrawableRight, (this.layoutHeight - offsetBottom) + additionalBottom);
                setDrawableBounds(currentBackgroundSelectedDrawable, this.backgroundDrawableLeft, backgroundTop3, this.backgroundDrawableRight, (this.layoutHeight - offsetBottom) + additionalBottom);
                setDrawableBounds(currentBackgroundShadowDrawable, this.backgroundDrawableLeft, backgroundTop3, this.backgroundDrawableRight, (this.layoutHeight - offsetBottom) + additionalBottom);
                currentBackgroundSelectedDrawable2 = currentBackgroundSelectedDrawable;
            } else {
                TLRPCContacts.TL_messageMediaSysNotify sysNotify2 = (TLRPCContacts.TL_messageMediaSysNotify) this.currentMessageObject.messageOwner.media;
                if (sysNotify2.business_code < 4 || sysNotify2.business_code == 10) {
                    setDrawableBounds(this.currentBackgroundDrawable, this.backgroundDrawableLeft, backgroundTop3, this.backgroundDrawableRight, (this.layoutHeight - offsetBottom) + additionalBottom);
                    setDrawableBounds(currentBackgroundSelectedDrawable, this.backgroundDrawableLeft, backgroundTop3, this.backgroundDrawableRight, (this.layoutHeight - offsetBottom) + additionalBottom);
                    setDrawableBounds(currentBackgroundShadowDrawable, this.backgroundDrawableLeft, backgroundTop3, this.backgroundDrawableRight, (this.layoutHeight - offsetBottom) + additionalBottom);
                } else {
                    offsetBottom = 0;
                    additionalBottom = 0;
                    boolean z5 = this.isFirst;
                    if (z5 && this.isLast) {
                        this.line.setVisibility(4);
                        this.currentBackgroundDrawable = Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), -1);
                    } else if (z5) {
                        this.line.setVisibility(0);
                        this.currentBackgroundDrawable = Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f, -1);
                    } else if (!this.isLast) {
                        this.line.setVisibility(0);
                        this.currentBackgroundDrawable = Theme.createRoundRectDrawable(0.0f, -1);
                    } else {
                        this.line.setVisibility(4);
                        this.currentBackgroundDrawable = Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), -1);
                    }
                    currentBackgroundSelectedDrawable = this.currentBackgroundDrawable;
                    setDrawableBounds(this.currentBackgroundDrawable, this.backgroundDrawableLeft, 0, this.backgroundDrawableRight, this.layoutHeight);
                    setDrawableBounds(currentBackgroundSelectedDrawable, this.backgroundDrawableLeft, 0, this.backgroundDrawableRight, (this.layoutHeight - 0) + 0);
                }
                currentBackgroundSelectedDrawable2 = currentBackgroundSelectedDrawable;
            }
            if (this.currentMessageObject.transHeight != 0) {
                this.transDrawable = Theme.chat_msgInMediaDrawable;
                int transRight = this.currentMessageObject.transWidth + AndroidUtilities.dp(20.0f);
                setDrawableBounds(this.transDrawable, this.backgroundDrawableLeft, (this.layoutHeight - offsetBottom) + additionalBottom + AndroidUtilities.dp((this.drawName ? 10 : 0) + 5), Math.max(transRight, AndroidUtilities.dp(120.0f)), this.currentMessageObject.transHeight + AndroidUtilities.dp(30.0f));
            }
        }
        boolean z6 = this.checkBoxVisible;
        if (z6 || this.checkBoxAnimationInProgress) {
            if ((z6 && this.checkBoxAnimationProgress == 1.0f) || (!z6 && this.checkBoxAnimationProgress == 0.0f)) {
                this.checkBoxAnimationInProgress = false;
            }
            Interpolator interpolator = z6 ? CubicBezierInterpolator.EASE_OUT : CubicBezierInterpolator.EASE_IN;
            this.checkBoxTranslation = (int) Math.ceil(interpolator.getInterpolation(this.checkBoxAnimationProgress) * AndroidUtilities.dp(35.0f));
            if (!this.currentMessageObject.isOutOwner()) {
                setTranslationX(this.checkBoxTranslation);
            }
            int size = AndroidUtilities.dp(21.0f);
            this.checkBox.setBounds(AndroidUtilities.dp(-27.0f) + this.checkBoxTranslation, (this.currentBackgroundDrawable.getBounds().bottom - AndroidUtilities.dp(8.0f)) - size, size, size);
            if (this.checkBoxAnimationInProgress) {
                long newTime = SystemClock.uptimeMillis();
                long dt = newTime - this.lastCheckBoxAnimationTime;
                this.lastCheckBoxAnimationTime = newTime;
                if (this.checkBoxVisible) {
                    float f = this.checkBoxAnimationProgress + (((float) dt) / 200.0f);
                    this.checkBoxAnimationProgress = f;
                    if (f > 1.0f) {
                        this.checkBoxAnimationProgress = 1.0f;
                    }
                    invalidate();
                    ((View) getParent()).invalidate();
                } else {
                    float f2 = this.checkBoxAnimationProgress - (((float) dt) / 200.0f);
                    this.checkBoxAnimationProgress = f2;
                    if (f2 <= 0.0f) {
                        this.checkBoxAnimationProgress = 0.0f;
                    }
                    invalidate();
                    ((View) getParent()).invalidate();
                }
            }
        }
        if (this.drawBackground && (drawable2 = this.currentBackgroundDrawable) != null) {
            if (this.isHighlightedAnimated) {
                drawable2.draw(canvas);
                int i5 = this.highlightProgress;
                float alpha = i5 >= 300 ? 1.0f : i5 / 300.0f;
                if (this.currentPosition == null) {
                    currentBackgroundSelectedDrawable2.setAlpha((int) (255.0f * alpha));
                    currentBackgroundSelectedDrawable2.draw(canvas);
                }
            } else if (isDrawSelectionBackground() && (this.currentPosition == null || getBackground() != null)) {
                currentBackgroundSelectedDrawable2.setAlpha(255);
                currentBackgroundSelectedDrawable2.draw(canvas);
            } else {
                this.currentBackgroundDrawable.draw(canvas);
            }
            if (this.currentMessageObject.type != 101) {
                if (this.currentMessageObject.type == 102) {
                    TLRPCRedpacket.CL_messagesRpkTransferMedia media = (TLRPCRedpacket.CL_messagesRpkTransferMedia) this.currentMessageObject.messageOwner.media;
                    TransferResponse bean = null;
                    if (media.data != null) {
                        TransferResponse bean2 = TLJsonResolve.parse(media.data, TransferResponse.class).model;
                        bean = bean2;
                    }
                    if (bean != null && bean.getState() != TransferResponse.Status.WAITING) {
                        Theme.chat_redpkgBackgoundPaint.setColor(-138813);
                    } else {
                        Theme.chat_redpkgBackgoundPaint.setColor(-92152);
                    }
                    Path path = new Path();
                    float radiusHand = AndroidUtilities.dp(6.0f);
                    if (this.currentMessageObject.isOutOwner()) {
                        int left2 = this.backgroundDrawableLeft + AndroidUtilities.dp(3.0f);
                        int right = (this.backgroundDrawableLeft + this.backgroundDrawableRight) - AndroidUtilities.dp(3.0f);
                        int top2 = AndroidUtilities.dp(this.drawPinnedTop ? 12.0f : 13.0f) - mOffset;
                        path.addRoundRect(left2, top2, right, AndroidUtilities.dp(75.0f), new float[]{radiusHand, radiusHand, 0.0f, 0.0f, 0.0f, 0.0f, 0.0f, 0.0f}, Path.Direction.CCW);
                    } else {
                        int left3 = this.backgroundDrawableLeft + AndroidUtilities.dp(3.0f);
                        int right2 = (this.backgroundDrawableLeft + this.backgroundDrawableRight) - AndroidUtilities.dp(3.0f);
                        int top3 = (AndroidUtilities.dp(this.drawPinnedTop ? 12.0f : 13.0f) + this.namesOffset) - mOffset;
                        path.addRoundRect(left3, top3, right2, AndroidUtilities.dp(75.0f) + this.namesOffset, new float[]{0.0f, 0.0f, radiusHand, radiusHand, 0.0f, 0.0f, 0.0f, 0.0f}, Path.Direction.CCW);
                    }
                    canvas.drawPath(path, Theme.chat_redpkgBackgoundPaint);
                }
            } else {
                TLRPCRedpacket.CL_messagesRpkTransferMedia media2 = (TLRPCRedpacket.CL_messagesRpkTransferMedia) this.currentMessageObject.messageOwner.media;
                if (media2.data != null) {
                    TLApiModel<RedpacketResponse> parse = TLJsonResolve.parse(media2.data, RedpacketResponse.class);
                    if (parse.model != 0) {
                        RedpacketResponse bean3 = (RedpacketResponse) parse.model;
                        if (bean3.getRed() != null) {
                            RedpacketBean red = bean3.getRed();
                            boolean isRecieved = bean3.isReceived();
                            if (red != null && red.getStatus() != null && !TextUtils.isEmpty(red.getStatus())) {
                                String status = bean3.getRed().getStatus();
                                if ("0".equals(status)) {
                                    if (isRecieved) {
                                        Theme.chat_redpkgBackgoundPaint.setColor(-25712);
                                    } else {
                                        Theme.chat_redpkgBackgoundPaint.setColor(-762548);
                                    }
                                } else {
                                    Theme.chat_redpkgBackgoundPaint.setColor(-25712);
                                }
                            }
                        }
                        Path path2 = new Path();
                        float radiusHand2 = AndroidUtilities.dp(6.0f);
                        if (this.currentMessageObject.isOutOwner()) {
                            left = this.backgroundDrawableLeft + AndroidUtilities.dp(3.0f);
                            int right3 = (this.backgroundDrawableLeft + this.backgroundDrawableRight) - AndroidUtilities.dp(3.0f);
                            top = AndroidUtilities.dp(this.drawPinnedTop ? 12.0f : 13.0f) - mOffset;
                            path2.addRoundRect(left, top, right3, AndroidUtilities.dp(75.0f), new float[]{radiusHand2, radiusHand2, 0.0f, 0.0f, 0.0f, 0.0f, 0.0f, 0.0f}, Path.Direction.CCW);
                        } else {
                            left = this.backgroundDrawableLeft + AndroidUtilities.dp(3.0f);
                            int right4 = (this.backgroundDrawableLeft + this.backgroundDrawableRight) - AndroidUtilities.dp(3.0f);
                            top = (AndroidUtilities.dp(this.drawPinnedTop ? 12.0f : 13.0f) + this.namesOffset) - mOffset;
                            path2.addRoundRect(left, top, right4, AndroidUtilities.dp(75.0f) + this.namesOffset, new float[]{0.0f, 0.0f, radiusHand2, radiusHand2, 0.0f, 0.0f, 0.0f, 0.0f}, Path.Direction.CCW);
                        }
                        canvas.drawPath(path2, Theme.chat_redpkgBackgoundPaint);
                        if (this.currentMessageObject.isOutOwner()) {
                            cloud = Theme.chat_gameOutThunderBackground;
                            setDrawableBounds(cloud, left, top, cloud.getIntrinsicWidth(), cloud.getIntrinsicHeight());
                        } else {
                            cloud = Theme.chat_gameInThunderBackground;
                            setDrawableBounds(cloud, left, top, cloud.getIntrinsicWidth(), cloud.getIntrinsicHeight());
                        }
                        cloud.draw(canvas);
                    }
                }
            }
            MessageObject.GroupedMessagePosition groupedMessagePosition7 = this.currentPosition;
            if (groupedMessagePosition7 == null || groupedMessagePosition7.flags != 0) {
                currentBackgroundShadowDrawable.draw(canvas);
            }
        }
        if (this.currentMessageObject.transHeight != 0 && (drawable = this.transDrawable) != null) {
            drawable.draw(canvas);
        }
        if (this.isHighlightedAnimated) {
            long newTime2 = System.currentTimeMillis();
            long dt2 = Math.abs(newTime2 - this.lastHighlightProgressTime);
            if (dt2 > 17) {
                dt2 = 17;
            }
            int i6 = (int) (this.highlightProgress - dt2);
            this.highlightProgress = i6;
            this.lastHighlightProgressTime = newTime2;
            if (i6 <= 0) {
                this.highlightProgress = 0;
                this.isHighlightedAnimated = false;
            }
            invalidate();
            if (getParent() != null) {
                ((View) getParent()).invalidate();
            }
        }
        drawContent(canvas);
        if (this.drawShareButton) {
            if (this.sharePressed) {
                if (!Theme.isCustomTheme() || Theme.hasThemeKey(Theme.key_chat_shareBackgroundSelected)) {
                    Theme.chat_shareDrawable.setColorFilter(Theme.getShareColorFilter(Theme.getColor(Theme.key_chat_shareBackgroundSelected), true));
                } else {
                    Theme.chat_shareDrawable.setColorFilter(Theme.colorPressedFilter2);
                }
            } else if (!Theme.isCustomTheme() || Theme.hasThemeKey(Theme.key_chat_shareBackground)) {
                Theme.chat_shareDrawable.setColorFilter(Theme.getShareColorFilter(Theme.getColor(Theme.key_chat_shareBackground), false));
            } else {
                Theme.chat_shareDrawable.setColorFilter(Theme.colorFilter2);
            }
            if (this.currentMessageObject.isOutOwner()) {
                this.shareStartX = (this.currentBackgroundDrawable.getBounds().left - AndroidUtilities.dp(8.0f)) - Theme.chat_shareDrawable.getIntrinsicWidth();
            } else {
                this.shareStartX = this.currentBackgroundDrawable.getBounds().right + AndroidUtilities.dp(8.0f);
            }
            Drawable drawable3 = Theme.chat_shareDrawable;
            int i7 = this.shareStartX;
            int dp = this.layoutHeight - AndroidUtilities.dp(41.0f);
            this.shareStartY = dp;
            setDrawableBounds(drawable3, i7, dp);
            Theme.chat_shareDrawable.draw(canvas);
            if (this.drwaShareGoIcon) {
                setDrawableBounds(Theme.chat_goIconDrawable, this.shareStartX + AndroidUtilities.dp(12.0f), this.shareStartY + AndroidUtilities.dp(9.0f));
                Theme.chat_goIconDrawable.draw(canvas);
            } else {
                setDrawableBounds(Theme.chat_shareIconDrawable, this.shareStartX + AndroidUtilities.dp(8.0f), this.shareStartY + AndroidUtilities.dp(9.0f));
                Theme.chat_shareIconDrawable.draw(canvas);
            }
        }
        if (this.replyNameLayout != null) {
            if (this.currentMessageObject.shouldDrawWithoutBackground()) {
                if (this.currentMessageObject.isOutOwner()) {
                    this.replyStartX = AndroidUtilities.dp(23.0f);
                } else if (this.currentMessageObject.type == 5) {
                    this.replyStartX = this.backgroundDrawableLeft + this.backgroundDrawableRight + AndroidUtilities.dp(4.0f);
                } else {
                    this.replyStartX = this.backgroundDrawableLeft + this.backgroundDrawableRight + AndroidUtilities.dp(17.0f);
                }
                this.replyStartY = AndroidUtilities.dp(12.0f);
            } else {
                float f3 = 12.0f;
                if (this.currentMessageObject.isOutOwner()) {
                    this.replyStartX = this.backgroundDrawableLeft + AndroidUtilities.dp(12.0f);
                } else {
                    boolean z7 = this.mediaBackground;
                    if (z7) {
                        this.replyStartX = this.backgroundDrawableLeft + AndroidUtilities.dp(12.0f);
                    } else {
                        this.replyStartX = this.backgroundDrawableLeft + AndroidUtilities.dp((z7 || !this.drawPinnedBottom) ? 18.0f : 18.0f);
                    }
                }
                if (this.drawForwardedName && this.forwardedNameLayout[0] != null) {
                    i = 36;
                    this.replyStartY = AndroidUtilities.dp(12 + i + ((this.drawNameLayout || this.nameLayout == null) ? 0 : 20));
                }
                i = 0;
                this.replyStartY = AndroidUtilities.dp(12 + i + ((this.drawNameLayout || this.nameLayout == null) ? 0 : 20));
            }
        }
        if (this.currentPosition == null) {
            drawNamesLayout(canvas);
        }
        if (!this.autoPlayingMedia || !MediaController.getInstance().isPlayingMessageAndReadyToDraw(this.currentMessageObject)) {
            drawOverlays(canvas);
        }
        if ((this.drawTime || !this.mediaBackground) && !this.forceNotDrawTime) {
            drawTime(canvas);
        }
        if ((this.controlsAlpha != 1.0f || this.timeAlpha != 1.0f) && this.currentMessageObject.type != 5) {
            long newTime3 = System.currentTimeMillis();
            long dt3 = Math.abs(this.lastControlsAlphaChangeTime - newTime3);
            if (dt3 > 17) {
                dt3 = 17;
            }
            long j = this.totalChangeTime + dt3;
            this.totalChangeTime = j;
            if (j > 100) {
                this.totalChangeTime = 100L;
            }
            this.lastControlsAlphaChangeTime = newTime3;
            if (this.controlsAlpha != 1.0f) {
                this.controlsAlpha = AndroidUtilities.decelerateInterpolator.getInterpolation(((float) this.totalChangeTime) / 100.0f);
            }
            if (this.timeAlpha != 1.0f) {
                this.timeAlpha = AndroidUtilities.decelerateInterpolator.getInterpolation(((float) this.totalChangeTime) / 100.0f);
            }
            invalidate();
            if (this.forceNotDrawTime && (groupedMessagePosition2 = this.currentPosition) != null && groupedMessagePosition2.last && getParent() != null) {
                View parent = (View) getParent();
                parent.invalidate();
            }
        }
    }

    public void setTimeAlpha(float value) {
        this.timeAlpha = value;
    }

    public float getTimeAlpha() {
        return this.timeAlpha;
    }

    public int getBackgroundDrawableLeft() {
        MessageObject.GroupedMessagePosition groupedMessagePosition;
        if (this.currentMessageObject.isOutOwner()) {
            return ((this.layoutWidth - this.backgroundWidth) - (this.mediaBackground ? AndroidUtilities.dp(9.0f) : 0)) - AndroidUtilities.dp((this.isAvatarVisible || ((groupedMessagePosition = this.currentPosition) != null && groupedMessagePosition.edge)) ? 48.0f : 0.0f);
        }
        if (this.isChat && this.isAvatarVisible) {
            r1 = 48;
        }
        return AndroidUtilities.dp(r1 + (!this.mediaBackground ? 3 : 9));
    }

    public boolean hasNameLayout() {
        if (!this.drawNameLayout || this.nameLayout == null) {
            if (this.drawForwardedName) {
                StaticLayout[] staticLayoutArr = this.forwardedNameLayout;
                if (staticLayoutArr[0] != null && staticLayoutArr[1] != null) {
                    MessageObject.GroupedMessagePosition groupedMessagePosition = this.currentPosition;
                    if (groupedMessagePosition == null) {
                        return true;
                    }
                    if (groupedMessagePosition.minY == 0 && this.currentPosition.minX == 0) {
                        return true;
                    }
                }
            }
            return this.replyNameLayout != null;
        }
        return true;
    }

    public boolean isDrawNameLayout() {
        return this.drawNameLayout && this.nameLayout != null;
    }

    public void drawNamesLayout(Canvas canvas) {
        MessageObject.GroupedMessagePosition groupedMessagePosition;
        float f = 11.0f;
        if (this.drawNameLayout && this.nameLayout != null) {
            canvas.save();
            if (this.currentMessageObject.shouldDrawWithoutBackground()) {
                if (this.currentMessageObject.isOutOwner()) {
                    this.nameX = (this.backgroundDrawableLeft + AndroidUtilities.dp(11.0f)) - this.nameOffsetX;
                } else {
                    this.nameX = (this.backgroundDrawableLeft + AndroidUtilities.dp(5.0f)) - this.nameOffsetX;
                }
                if (this.currentUser != null) {
                    Theme.chat_namePaint.setColor(Theme.getColor(Theme.key_chat_adminText));
                } else {
                    TLRPC.Chat chat = this.currentChat;
                    if (chat != null) {
                        if (ChatObject.isChannel(chat) && !this.currentChat.megagroup) {
                            Theme.chat_namePaint.setColor(Theme.changeColorAccent(AvatarDrawable.getNameColorForId(5)));
                        } else {
                            Theme.chat_namePaint.setColor(AvatarDrawable.getNameColorForId(this.currentChat.id));
                        }
                    } else {
                        Theme.chat_namePaint.setColor(AvatarDrawable.getNameColorForId(0));
                    }
                }
                this.nameY = AndroidUtilities.dp(this.drawPinnedTop ? 9.0f : 10.0f) - mOffset;
            } else {
                if (this.currentMessageObject.isOutOwner()) {
                    this.nameX = (this.backgroundDrawableLeft + AndroidUtilities.dp(11.0f)) - this.nameOffsetX;
                } else {
                    this.nameX = (this.backgroundDrawableLeft + AndroidUtilities.dp(5.0f)) - this.nameOffsetX;
                }
                if (this.currentUser != null) {
                    Theme.chat_namePaint.setColor(Theme.getColor(Theme.key_chat_adminText));
                } else {
                    TLRPC.Chat chat2 = this.currentChat;
                    if (chat2 != null) {
                        if (ChatObject.isChannel(chat2) && !this.currentChat.megagroup) {
                            Theme.chat_namePaint.setColor(Theme.changeColorAccent(AvatarDrawable.getNameColorForId(5)));
                        } else {
                            Theme.chat_namePaint.setColor(AvatarDrawable.getNameColorForId(this.currentChat.id));
                        }
                    } else {
                        Theme.chat_namePaint.setColor(AvatarDrawable.getNameColorForId(0));
                    }
                }
                this.nameY = AndroidUtilities.dp(this.drawPinnedTop ? 9.0f : 10.0f) - mOffset;
            }
            canvas.translate(this.nameX, this.nameY);
            this.nameLayout.draw(canvas);
            canvas.restore();
        }
        if (this.drawForwardedName) {
            StaticLayout[] staticLayoutArr = this.forwardedNameLayout;
            if (staticLayoutArr[0] != null && staticLayoutArr[1] != null && ((groupedMessagePosition = this.currentPosition) == null || (groupedMessagePosition.minY == 0 && this.currentPosition.minX == 0))) {
                if (this.currentMessageObject.type == 5) {
                    Theme.chat_forwardNamePaint.setColor(Theme.getColor(Theme.key_chat_stickerReplyNameText));
                    if (this.currentMessageObject.isOutOwner()) {
                        this.forwardNameX = AndroidUtilities.dp(23.0f);
                    } else {
                        this.forwardNameX = this.backgroundDrawableLeft + this.backgroundDrawableRight + AndroidUtilities.dp(17.0f);
                    }
                    this.forwardNameY = AndroidUtilities.dp(12.0f);
                    int backWidth = this.forwardedNameWidth + AndroidUtilities.dp(14.0f);
                    Theme.chat_systemDrawable.setColorFilter(Theme.colorFilter);
                    Theme.chat_systemDrawable.setBounds(this.forwardNameX - AndroidUtilities.dp(7.0f), this.forwardNameY - AndroidUtilities.dp(6.0f), (this.forwardNameX - AndroidUtilities.dp(7.0f)) + backWidth, this.forwardNameY + AndroidUtilities.dp(38.0f));
                    Theme.chat_systemDrawable.draw(canvas);
                } else {
                    this.forwardNameY = AndroidUtilities.dp((this.drawNameLayout ? 19 : 0) + 10);
                    if (this.currentMessageObject.isOutOwner()) {
                        Theme.chat_forwardNamePaint.setColor(Theme.getColor(Theme.key_chat_outForwardedNameText));
                        this.forwardNameX = this.backgroundDrawableLeft + AndroidUtilities.dp(11.0f);
                    } else {
                        Theme.chat_forwardNamePaint.setColor(Theme.getColor(Theme.key_chat_inForwardedNameText));
                        boolean z = this.mediaBackground;
                        if (z) {
                            this.forwardNameX = this.backgroundDrawableLeft + AndroidUtilities.dp(11.0f);
                        } else {
                            this.forwardNameX = this.backgroundDrawableLeft + AndroidUtilities.dp((z || !this.drawPinnedBottom) ? 17.0f : 17.0f);
                        }
                    }
                }
                for (int a2 = 0; a2 < 2; a2++) {
                    canvas.save();
                    canvas.translate(this.forwardNameX - this.forwardNameOffsetX[a2], this.forwardNameY + (AndroidUtilities.dp(16.0f) * a2));
                    this.forwardedNameLayout[a2].draw(canvas);
                    canvas.restore();
                }
            }
        }
        if (this.replyNameLayout != null) {
            if (this.currentMessageObject.shouldDrawWithoutBackground()) {
                Theme.chat_replyLinePaint.setColor(Theme.getColor(Theme.key_chat_stickerReplyLine));
                Theme.chat_replyNamePaint.setColor(Theme.getColor(Theme.key_chat_stickerReplyNameText));
                Theme.chat_replyTextPaint.setColor(Theme.getColor(Theme.key_chat_stickerReplyMessageText));
                int backWidth2 = Math.max(this.replyNameWidth, this.replyTextWidth) + AndroidUtilities.dp(14.0f);
                Theme.chat_systemDrawable.setColorFilter(Theme.colorFilter);
                Theme.chat_systemDrawable.setBounds(this.replyStartX - AndroidUtilities.dp(7.0f), this.replyStartY - AndroidUtilities.dp(6.0f), (this.replyStartX - AndroidUtilities.dp(7.0f)) + backWidth2, this.replyStartY + AndroidUtilities.dp(41.0f));
                Theme.chat_systemDrawable.draw(canvas);
            } else if (this.currentMessageObject.isOutOwner()) {
                Theme.chat_replyLinePaint.setColor(Theme.getColor(Theme.key_chat_outReplyLine));
                Theme.chat_replyNamePaint.setColor(Theme.getColor(Theme.key_chat_outReplyNameText));
                if (this.currentMessageObject.hasValidReplyMessageObject() && this.currentMessageObject.replyMessageObject.type == 0 && !(this.currentMessageObject.replyMessageObject.messageOwner.media instanceof TLRPC.TL_messageMediaGame) && !(this.currentMessageObject.replyMessageObject.messageOwner.media instanceof TLRPC.TL_messageMediaInvoice)) {
                    Theme.chat_replyTextPaint.setColor(Theme.getColor(Theme.key_chat_outReplyMessageText));
                } else {
                    Theme.chat_replyTextPaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_outReplyMediaMessageSelectedText : Theme.key_chat_outReplyMediaMessageText));
                }
            } else {
                Theme.chat_replyLinePaint.setColor(Theme.getColor(Theme.key_chat_inReplyLine));
                Theme.chat_replyNamePaint.setColor(Theme.getColor(Theme.key_chat_inReplyNameText));
                if (this.currentMessageObject.hasValidReplyMessageObject() && this.currentMessageObject.replyMessageObject.type == 0 && !(this.currentMessageObject.replyMessageObject.messageOwner.media instanceof TLRPC.TL_messageMediaGame) && !(this.currentMessageObject.replyMessageObject.messageOwner.media instanceof TLRPC.TL_messageMediaInvoice)) {
                    Theme.chat_replyTextPaint.setColor(Theme.getColor(Theme.key_chat_inReplyMessageText));
                } else {
                    Theme.chat_replyTextPaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_inReplyMediaMessageSelectedText : Theme.key_chat_inReplyMediaMessageText));
                }
            }
            MessageObject.GroupedMessagePosition groupedMessagePosition2 = this.currentPosition;
            if (groupedMessagePosition2 == null || (groupedMessagePosition2.minY == 0 && this.currentPosition.minX == 0)) {
                int i = this.replyStartX;
                canvas.drawRect(i, this.replyStartY, i + AndroidUtilities.dp(2.0f), this.replyStartY + AndroidUtilities.dp(35.0f), Theme.chat_replyLinePaint);
                if (this.needReplyImage) {
                    this.replyImageReceiver.setImageCoords(this.replyStartX + AndroidUtilities.dp(6.0f), this.replyStartY + AndroidUtilities.dp(1.0f), AndroidUtilities.dp(33.0f), AndroidUtilities.dp(33.0f));
                    this.replyImageReceiver.draw(canvas);
                }
                if (this.replyNameLayout != null) {
                    canvas.save();
                    canvas.translate((this.replyStartX - this.replyNameOffset) + AndroidUtilities.dp((this.needReplyImage ? 44 : 0) + 6), this.replyStartY);
                    this.replyNameLayout.draw(canvas);
                    canvas.restore();
                }
                if (this.replyTextLayout != null) {
                    canvas.save();
                    canvas.translate((this.replyStartX - this.replyTextOffset) + AndroidUtilities.dp((this.needReplyImage ? 44 : 0) + 6), this.replyStartY + AndroidUtilities.dp(19.0f));
                    this.replyTextLayout.draw(canvas);
                    canvas.restore();
                }
            }
        }
    }

    public boolean hasCaptionLayout() {
        return this.captionLayout != null;
    }

    public void setDrawSelectionBackground(boolean value) {
        this.drawSelectionBackground = value;
        invalidate();
    }

    public boolean isDrawingSelectionBackground() {
        return this.drawSelectionBackground || this.isHighlightedAnimated || this.isHighlighted;
    }

    public float getHightlightAlpha() {
        int i;
        if (this.drawSelectionBackground || !this.isHighlightedAnimated || (i = this.highlightProgress) >= 300) {
            return 1.0f;
        }
        return i / 300.0f;
    }

    public void setCheckBoxVisible(boolean visible, boolean animated) {
        MessageObject.GroupedMessages groupedMessages;
        if (visible && this.checkBox == null) {
            CheckBoxBase checkBoxBase = new CheckBoxBase(this, 21);
            this.checkBox = checkBoxBase;
            if (this.attachedToWindow) {
                checkBoxBase.onAttachedToWindow();
            }
        }
        if (visible && this.photoCheckBox == null && (groupedMessages = this.currentMessagesGroup) != null && groupedMessages.messages.size() > 1) {
            CheckBoxBase checkBoxBase2 = new CheckBoxBase(this, 21);
            this.photoCheckBox = checkBoxBase2;
            checkBoxBase2.setUseDefaultCheck(true);
            if (this.attachedToWindow) {
                this.photoCheckBox.onAttachedToWindow();
            }
        }
        if (this.checkBoxVisible == visible) {
            if (animated != this.checkBoxAnimationInProgress && !animated) {
                this.checkBoxAnimationProgress = visible ? 1.0f : 0.0f;
                invalidate();
                return;
            }
            return;
        }
        this.checkBoxAnimationInProgress = animated;
        this.checkBoxVisible = visible;
        if (animated) {
            this.lastCheckBoxAnimationTime = SystemClock.uptimeMillis();
        } else {
            this.checkBoxAnimationProgress = visible ? 1.0f : 0.0f;
        }
        invalidate();
    }

    public void setChecked(boolean checked, boolean allChecked, boolean animated) {
        CheckBoxBase checkBoxBase = this.checkBox;
        if (checkBoxBase != null) {
            checkBoxBase.setChecked(allChecked, animated);
        }
        CheckBoxBase checkBoxBase2 = this.photoCheckBox;
        if (checkBoxBase2 != null) {
            checkBoxBase2.setChecked(checked, animated);
        }
    }

    public void drawCaptionLayout(Canvas canvas, boolean selectionOnly) {
        if (this.captionLayout != null) {
            if (selectionOnly && this.pressedLink == null) {
                return;
            }
            if (this.currentMessageObject.isOutOwner()) {
                if (this.documentAttachType == 1) {
                    Theme.chat_msgTextPaint.setColor(Theme.getColor(Theme.key_chat_messageTextIn));
                    Theme.chat_msgTextPaint.linkColor = Theme.getColor(Theme.key_chat_messageLinkIn);
                } else {
                    Theme.chat_msgTextPaint.setColor(Theme.getColor(Theme.key_chat_messageTextOut));
                    Theme.chat_msgTextPaint.linkColor = Theme.getColor(Theme.key_chat_messageLinkOut);
                }
            } else {
                Theme.chat_msgTextPaint.setColor(Theme.getColor(Theme.key_chat_messageTextIn));
                Theme.chat_msgTextPaint.linkColor = Theme.getColor(Theme.key_chat_messageLinkIn);
            }
            canvas.save();
            canvas.translate(this.captionX, this.captionY);
            if (this.pressedLink != null) {
                for (int b = 0; b < this.urlPath.size(); b++) {
                    canvas.drawPath(this.urlPath.get(b), Theme.chat_urlPaint);
                }
            }
            if (!this.urlPathSelection.isEmpty()) {
                for (int b2 = 0; b2 < this.urlPathSelection.size(); b2++) {
                    canvas.drawPath(this.urlPathSelection.get(b2), Theme.chat_textSearchSelectionPaint);
                }
            }
            if (!selectionOnly) {
                try {
                    this.captionLayout.draw(canvas);
                } catch (Exception e) {
                    FileLog.e(e);
                }
            }
            canvas.restore();
        }
    }

    public boolean needDrawTime() {
        return !this.forceNotDrawTime;
    }

    public void drawTime(Canvas canvas) {
        int additionOffset;
        int i;
        boolean isBroadcast;
        Drawable drawable;
        Drawable drawable2;
        Drawable drawable3;
        Drawable drawable4;
        int x;
        int y;
        int x2;
        int y2;
        Paint paint;
        int y1;
        int oldAlpha;
        Paint paint2;
        int i2;
        Drawable viewsDrawable;
        if (((!this.drawTime || this.groupPhotoInvisible) && this.mediaBackground && this.captionLayout == null) || this.timeLayout == null) {
            return;
        }
        if (this.currentMessageObject.type == 5) {
            Theme.chat_timePaint.setColor(Theme.getColor(Theme.key_chat_mediaTimeText));
        } else if (this.mediaBackground && this.captionLayout == null) {
            if (this.currentMessageObject.shouldDrawWithoutBackground()) {
                Theme.chat_timePaint.setColor(Theme.getColor(Theme.key_chat_serviceText));
            } else {
                Theme.chat_timePaint.setColor(Theme.getColor(Theme.key_chat_mediaTimeText));
            }
        } else if (this.currentMessageObject.isOutOwner()) {
            Theme.chat_timePaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_outTimeSelectedText : Theme.key_chat_outTimeText));
        } else {
            Theme.chat_timePaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_inTimeSelectedText : Theme.key_chat_inTimeText));
        }
        if (this.drawPinnedBottom) {
            canvas.translate(0.0f, AndroidUtilities.dp(2.0f));
        }
        if (this.currentMessageObject.transHeight == 0) {
            additionOffset = 0;
        } else {
            int additionOffset2 = this.currentMessageObject.transHeight + AndroidUtilities.dp(35.0f);
            additionOffset = additionOffset2;
        }
        if (!this.mediaBackground || this.captionLayout != null) {
            i = 207;
            int additionalX = (int) (-this.timeLayout.getLineLeft(0));
            if ((ChatObject.isChannel(this.currentChat) && !this.currentChat.megagroup) || (this.currentMessageObject.messageOwner.flags & 1024) != 0) {
                isBroadcast = false;
                additionalX += (int) (this.timeWidth - this.timeLayout.getLineWidth(0));
                if (this.currentMessageObject.isSending() || this.currentMessageObject.isEditing()) {
                    if (!this.currentMessageObject.isOutOwner()) {
                        Drawable clockDrawable = isDrawSelectionBackground() ? Theme.chat_msgInSelectedClockDrawable : Theme.chat_msgInClockDrawable;
                        setDrawableBounds(clockDrawable, this.timeX + (this.currentMessageObject.scheduled ? 0 : AndroidUtilities.dp(11.0f)), (this.layoutHeight - AndroidUtilities.dp(8.5f)) - clockDrawable.getIntrinsicHeight());
                        clockDrawable.draw(canvas);
                    }
                } else if (this.currentMessageObject.isSendError()) {
                    if (!this.currentMessageObject.isOutOwner()) {
                        int x3 = this.timeX + (this.currentMessageObject.scheduled ? 0 : AndroidUtilities.dp(11.0f));
                        int y3 = this.layoutHeight - AndroidUtilities.dp(20.5f);
                        this.rect.set(x3, y3, AndroidUtilities.dp(14.0f) + x3, AndroidUtilities.dp(14.0f) + y3);
                        canvas.drawRoundRect(this.rect, AndroidUtilities.dp(1.0f), AndroidUtilities.dp(1.0f), Theme.chat_msgErrorPaint);
                        setDrawableBounds(Theme.chat_msgErrorDrawable, AndroidUtilities.dp(6.0f) + x3, AndroidUtilities.dp(2.0f) + y3);
                        Theme.chat_msgErrorDrawable.draw(canvas);
                    }
                } else if (this.viewsLayout != null) {
                    if (!this.currentMessageObject.isOutOwner()) {
                        Drawable viewsDrawable2 = isDrawSelectionBackground() ? Theme.chat_msgInViewsSelectedDrawable : Theme.chat_msgInViewsDrawable;
                        setDrawableBounds(viewsDrawable2, this.timeX, ((this.layoutHeight - AndroidUtilities.dp(4.5f)) - mOffset) - this.timeLayout.getHeight());
                        viewsDrawable2.draw(canvas);
                    } else {
                        Drawable viewsDrawable3 = isDrawSelectionBackground() ? Theme.chat_msgOutViewsSelectedDrawable : Theme.chat_msgOutViewsDrawable;
                        setDrawableBounds(viewsDrawable3, this.timeX, (this.layoutHeight - AndroidUtilities.dp(4.5f)) - this.timeLayout.getHeight());
                        viewsDrawable3.draw(canvas);
                    }
                    canvas.save();
                    if (!this.currentMessageObject.isOutOwner()) {
                        canvas.translate(this.timeX + Theme.chat_msgInViewsDrawable.getIntrinsicWidth() + AndroidUtilities.dp(3.0f), ((this.layoutHeight - AndroidUtilities.dp(6.5f)) - mOffset) - this.timeLayout.getHeight());
                    } else {
                        canvas.translate(this.timeX + Theme.chat_msgInViewsDrawable.getIntrinsicWidth() + AndroidUtilities.dp(3.0f), (this.layoutHeight - AndroidUtilities.dp(6.5f)) - this.timeLayout.getHeight());
                    }
                    this.viewsLayout.draw(canvas);
                    canvas.restore();
                }
            } else {
                isBroadcast = false;
            }
            canvas.save();
            if (this.currentMessageObject.type == 101 || this.currentMessageObject.type == 102) {
                Theme.chat_timePaint.setColor(-5197648);
                canvas.translate(this.timeX + additionalX, ((this.layoutHeight - AndroidUtilities.dp(6.5f)) - mOffset) - this.timeLayout.getHeight());
            } else if (this.currentMessageObject.type != 9) {
                canvas.translate(this.timeX + additionalX, (((this.layoutHeight - AndroidUtilities.dp(6.5f)) - mOffset) - this.timeLayout.getHeight()) - additionOffset);
            } else {
                Theme.chat_timePaint.setColor(-5197648);
                canvas.translate(this.timeX + additionalX, ((this.layoutHeight - AndroidUtilities.dp(6.5f)) - mOffset) - this.timeLayout.getHeight());
            }
            if (this.currentMessageObject.type != 105) {
                this.timeLayout.draw(canvas);
                canvas.restore();
            }
        } else {
            if (this.currentMessageObject.shouldDrawWithoutBackground()) {
                paint = Theme.chat_actionBackgroundPaint;
            } else {
                Paint paint3 = Theme.chat_timeBackgroundPaint;
                paint = paint3;
            }
            int oldAlpha2 = paint.getAlpha();
            paint.setAlpha((int) (oldAlpha2 * this.timeAlpha));
            Theme.chat_timePaint.setAlpha((int) (this.timeAlpha * 255.0f));
            int x1 = this.timeX - AndroidUtilities.dp(4.0f);
            int y12 = this.layoutHeight - AndroidUtilities.dp(28.0f);
            if (this.currentMessageObject.type == 5) {
                y1 = y12;
            } else {
                y1 = y12 - mOffset;
            }
            this.rect.set(x1, y1, this.timeWidth + x1 + AndroidUtilities.dp((this.currentMessageObject.isOutOwner() ? 20 : 0) + 8), AndroidUtilities.dp(17.0f) + y1);
            if (this.currentMessageObject.type != 103 && this.currentMessageObject.type != 207) {
                canvas.drawRoundRect(this.rect, AndroidUtilities.dp(4.0f), AndroidUtilities.dp(4.0f), paint);
                oldAlpha = oldAlpha2;
                paint2 = paint;
                i2 = 0;
                i = 207;
            } else if (this.currentMessageObject.type == 103) {
                oldAlpha = oldAlpha2;
                paint2 = paint;
                i2 = 0;
                i = 207;
                canvas.drawLine(this.photoImage.getImageX(), this.photoImage.getImageY() + this.photoImage.getImageHeight() + AndroidUtilities.dp(10.0f), this.timeWidth + x1 + AndroidUtilities.dp(this.currentMessageObject.isOutOwner() ? 18 : 0), this.photoImage.getImageY() + this.photoImage.getImageHeight() + AndroidUtilities.dp(10.0f), paint2);
            } else {
                oldAlpha = oldAlpha2;
                paint2 = paint;
                i2 = 0;
                i = 207;
                if (this.currentMessageObject.type == 207) {
                    canvas.drawLine(this.photoImage.getImageX(), this.photoImage.getImageY() + this.photoImage.getImageHeight() + AndroidUtilities.dp(10.0f), x1 + this.timeWidth + AndroidUtilities.dp(this.currentMessageObject.isOutOwner() ? 18 : 0), this.photoImage.getImageY() + this.photoImage.getImageHeight() + AndroidUtilities.dp(10.0f), paint2);
                }
            }
            paint2.setAlpha(oldAlpha);
            int additionalX2 = (int) (-this.timeLayout.getLineLeft(i2));
            if ((ChatObject.isChannel(this.currentChat) && !this.currentChat.megagroup) || (this.currentMessageObject.messageOwner.flags & 1024) != 0) {
                additionalX2 += (int) (this.timeWidth - this.timeLayout.getLineWidth(i2));
                if (this.currentMessageObject.isSending() || this.currentMessageObject.isEditing()) {
                    if (!this.currentMessageObject.isOutOwner()) {
                        setDrawableBounds(Theme.chat_msgMediaClockDrawable, this.timeX + (this.currentMessageObject.scheduled ? 0 : AndroidUtilities.dp(11.0f)), (this.layoutHeight - AndroidUtilities.dp(14.0f)) - Theme.chat_msgMediaClockDrawable.getIntrinsicHeight());
                        Theme.chat_msgMediaClockDrawable.draw(canvas);
                    }
                } else if (this.currentMessageObject.isSendError()) {
                    if (!this.currentMessageObject.isOutOwner()) {
                        int x4 = this.timeX + (this.currentMessageObject.scheduled ? 0 : AndroidUtilities.dp(11.0f));
                        int y4 = this.layoutHeight - AndroidUtilities.dp(26.5f);
                        this.rect.set(x4, y4, x4 + AndroidUtilities.dp(14.0f), y4 + AndroidUtilities.dp(14.0f));
                        canvas.drawRoundRect(this.rect, AndroidUtilities.dp(1.0f), AndroidUtilities.dp(1.0f), Theme.chat_msgErrorPaint);
                        setDrawableBounds(Theme.chat_msgErrorDrawable, AndroidUtilities.dp(6.0f) + x4, AndroidUtilities.dp(2.0f) + y4);
                        Theme.chat_msgErrorDrawable.draw(canvas);
                    }
                } else if (this.viewsLayout != null) {
                    if (this.currentMessageObject.shouldDrawWithoutBackground()) {
                        viewsDrawable = Theme.chat_msgStickerViewsDrawable;
                    } else {
                        viewsDrawable = Theme.chat_msgMediaViewsDrawable;
                    }
                    int oldAlpha3 = ((BitmapDrawable) viewsDrawable).getPaint().getAlpha();
                    viewsDrawable.setAlpha((int) (this.timeAlpha * oldAlpha3));
                    if (this.currentMessageObject.type == 5) {
                        setDrawableBounds(viewsDrawable, this.timeX, (this.layoutHeight - AndroidUtilities.dp(10.5f)) - this.timeLayout.getHeight());
                    } else {
                        setDrawableBounds(viewsDrawable, this.timeX, ((this.layoutHeight - AndroidUtilities.dp(10.5f)) - mOffset) - this.timeLayout.getHeight());
                    }
                    viewsDrawable.draw(canvas);
                    viewsDrawable.setAlpha(oldAlpha3);
                    canvas.save();
                    if (this.currentMessageObject.type == 5) {
                        canvas.translate(this.timeX + viewsDrawable.getIntrinsicWidth() + AndroidUtilities.dp(3.0f), (this.layoutHeight - AndroidUtilities.dp(12.3f)) - this.timeLayout.getHeight());
                    } else {
                        canvas.translate(this.timeX + viewsDrawable.getIntrinsicWidth() + AndroidUtilities.dp(3.0f), ((this.layoutHeight - AndroidUtilities.dp(12.3f)) - mOffset) - this.timeLayout.getHeight());
                    }
                    this.viewsLayout.draw(canvas);
                    canvas.restore();
                }
            }
            if (this.currentMessageObject.type != 103 || this.currentMessageObject.type != 105) {
                canvas.save();
                if (this.currentMessageObject.type == 5) {
                    canvas.translate(this.timeX + additionalX2, (this.layoutHeight - AndroidUtilities.dp(12.3f)) - this.timeLayout.getHeight());
                } else if (this.currentMessageObject.type != i) {
                    canvas.translate(this.timeX + additionalX2, ((this.layoutHeight - AndroidUtilities.dp(12.3f)) - mOffset) - this.timeLayout.getHeight());
                } else {
                    Theme.chat_timePaint.setColor(Color.parseColor("#B3B3B3"));
                    canvas.translate(this.timeX + additionalX2, ((this.layoutHeight - AndroidUtilities.dp(12.3f)) - mOffset) - this.timeLayout.getHeight());
                }
                this.timeLayout.draw(canvas);
                canvas.restore();
            }
            Theme.chat_timePaint.setAlpha(255);
            isBroadcast = false;
        }
        if (this.currentMessageObject.isOutOwner()) {
            boolean drawCheck1 = false;
            boolean drawCheck2 = false;
            boolean drawClock = false;
            boolean drawError = false;
            if (((int) (this.currentMessageObject.getDialogId() >> 32)) == 1) {
                isBroadcast = true;
            }
            if (this.currentMessageObject.isSending() || this.currentMessageObject.isEditing()) {
                drawCheck1 = false;
                drawCheck2 = false;
                drawClock = true;
                drawError = false;
            } else if (this.currentMessageObject.isSendError()) {
                drawCheck1 = false;
                drawCheck2 = false;
                drawClock = false;
                drawError = true;
            } else if (this.currentMessageObject.isSent()) {
                if (!this.currentMessageObject.scheduled && !this.currentMessageObject.isUnread()) {
                    drawCheck1 = true;
                    drawCheck2 = true;
                } else {
                    drawCheck1 = false;
                    drawCheck2 = true;
                }
                drawClock = false;
                drawError = false;
            }
            if (drawClock) {
                if (this.mediaBackground && this.captionLayout == null) {
                    if (this.currentMessageObject.shouldDrawWithoutBackground()) {
                        Theme.chat_msgStickerClockDrawable.setAlpha((int) (this.timeAlpha * 255.0f));
                        setDrawableBounds(Theme.chat_msgStickerClockDrawable, ((this.layoutWidth - AndroidUtilities.dp(22.0f)) - AndroidUtilities.dp(50.0f)) - Theme.chat_msgStickerClockDrawable.getIntrinsicWidth(), (this.layoutHeight - AndroidUtilities.dp(13.5f)) - Theme.chat_msgStickerClockDrawable.getIntrinsicHeight());
                        Theme.chat_msgStickerClockDrawable.draw(canvas);
                        Theme.chat_msgStickerClockDrawable.setAlpha(255);
                    } else {
                        setDrawableBounds(Theme.chat_msgMediaClockDrawable, (this.layoutWidth - AndroidUtilities.dp(70.0f)) - Theme.chat_msgMediaClockDrawable.getIntrinsicWidth(), ((this.layoutHeight - AndroidUtilities.dp(13.5f)) - mOffset) - Theme.chat_msgMediaClockDrawable.getIntrinsicHeight());
                        Theme.chat_msgMediaClockDrawable.draw(canvas);
                    }
                } else {
                    setDrawableBounds(Theme.chat_msgOutClockDrawable, ((this.layoutWidth - AndroidUtilities.dp(18.5f)) - AndroidUtilities.dp(50.0f)) - Theme.chat_msgOutClockDrawable.getIntrinsicWidth(), ((this.layoutHeight - AndroidUtilities.dp(8.5f)) - mOffset) - Theme.chat_msgOutClockDrawable.getIntrinsicHeight());
                    Theme.chat_msgOutClockDrawable.draw(canvas);
                }
            }
            if (isBroadcast) {
                if (drawCheck1 || drawCheck2) {
                    if (this.mediaBackground && this.captionLayout == null) {
                        setDrawableBounds(Theme.chat_msgBroadcastMediaDrawable, (this.layoutWidth - AndroidUtilities.dp(24.0f)) - Theme.chat_msgBroadcastMediaDrawable.getIntrinsicWidth(), (this.layoutHeight - AndroidUtilities.dp(14.0f)) - Theme.chat_msgBroadcastMediaDrawable.getIntrinsicHeight());
                        Theme.chat_msgBroadcastMediaDrawable.draw(canvas);
                    } else {
                        setDrawableBounds(Theme.chat_msgBroadcastDrawable, (this.layoutWidth - AndroidUtilities.dp(20.5f)) - Theme.chat_msgBroadcastDrawable.getIntrinsicWidth(), (this.layoutHeight - AndroidUtilities.dp(8.0f)) - Theme.chat_msgBroadcastDrawable.getIntrinsicHeight());
                        Theme.chat_msgBroadcastDrawable.draw(canvas);
                    }
                }
            } else {
                if (drawCheck2) {
                    if (this.mediaBackground && this.captionLayout == null) {
                        if (this.currentMessageObject.shouldDrawWithoutBackground()) {
                            if (drawCheck1) {
                                setDrawableBounds(Theme.chat_msgStickerCheckDrawable, ((this.layoutWidth - AndroidUtilities.dp(26.3f)) - AndroidUtilities.dp(48.0f)) - Theme.chat_msgStickerCheckDrawable.getIntrinsicWidth(), (this.layoutHeight - AndroidUtilities.dp(13.5f)) - Theme.chat_msgStickerCheckDrawable.getIntrinsicHeight());
                            } else {
                                setDrawableBounds(Theme.chat_msgStickerCheckDrawable, ((this.layoutWidth - AndroidUtilities.dp(21.5f)) - AndroidUtilities.dp(48.0f)) - Theme.chat_msgStickerCheckDrawable.getIntrinsicWidth(), (this.layoutHeight - AndroidUtilities.dp(13.5f)) - Theme.chat_msgStickerCheckDrawable.getIntrinsicHeight());
                            }
                            Theme.chat_msgStickerCheckDrawable.draw(canvas);
                        } else {
                            if (this.currentMessageObject.type == i) {
                                drawable4 = isDrawSelectionBackground() ? Theme.chat_msgOutCheckReadGraySelectedDrawable : Theme.chat_msgOutCheckReadGrayDrawable;
                            } else {
                                drawable4 = Theme.chat_msgMediaCheckDrawable;
                            }
                            if (drawCheck1) {
                                setDrawableBounds(drawable4, ((this.layoutWidth - AndroidUtilities.dp(26.3f)) - AndroidUtilities.dp(48.0f)) - drawable4.getIntrinsicWidth(), ((this.layoutHeight - AndroidUtilities.dp(13.5f)) - mOffset) - drawable4.getIntrinsicHeight());
                            } else {
                                setDrawableBounds(drawable4, ((this.layoutWidth - AndroidUtilities.dp(21.5f)) - AndroidUtilities.dp(48.0f)) - drawable4.getIntrinsicWidth(), ((this.layoutHeight - AndroidUtilities.dp(13.5f)) - mOffset) - drawable4.getIntrinsicHeight());
                            }
                            drawable4.setAlpha((int) (this.timeAlpha * 255.0f));
                            drawable4.draw(canvas);
                            drawable4.setAlpha(255);
                        }
                    } else {
                        if (drawCheck1) {
                            if (this.currentMessageObject.type == 101 || this.currentMessageObject.type == 102 || this.currentMessageObject.type == 9) {
                                drawable3 = isDrawSelectionBackground() ? Theme.chat_msgOutCheckReadGraySelectedDrawable : Theme.chat_msgOutCheckReadGrayDrawable;
                            } else {
                                drawable3 = isDrawSelectionBackground() ? Theme.chat_msgOutCheckReadSelectedDrawable : Theme.chat_msgOutCheckReadDrawable;
                            }
                            setDrawableBounds(drawable3, ((this.layoutWidth - AndroidUtilities.dp(22.5f)) - AndroidUtilities.dp(48.0f)) - drawable3.getIntrinsicWidth(), (((this.layoutHeight - AndroidUtilities.dp(8.0f)) - mOffset) - drawable3.getIntrinsicHeight()) - additionOffset);
                        } else {
                            if (this.currentMessageObject.type == 101 || this.currentMessageObject.type == 102 || this.currentMessageObject.type == 9) {
                                drawable3 = isDrawSelectionBackground() ? Theme.chat_msgOutCheckGraySelectedDrawable : Theme.chat_msgOutCheckGrayDrawable;
                            } else {
                                drawable3 = isDrawSelectionBackground() ? Theme.chat_msgOutCheckSelectedDrawable : Theme.chat_msgOutCheckDrawable;
                            }
                            setDrawableBounds(drawable3, ((this.layoutWidth - AndroidUtilities.dp(18.5f)) - AndroidUtilities.dp(48.0f)) - drawable3.getIntrinsicWidth(), (((this.layoutHeight - AndroidUtilities.dp(8.0f)) - mOffset) - drawable3.getIntrinsicHeight()) - additionOffset);
                        }
                        drawable3.draw(canvas);
                    }
                }
                if (drawCheck1) {
                    if (this.mediaBackground && this.captionLayout == null) {
                        if (this.currentMessageObject.shouldDrawWithoutBackground()) {
                            setDrawableBounds(Theme.chat_msgStickerHalfCheckDrawable, ((this.layoutWidth - AndroidUtilities.dp(21.5f)) - AndroidUtilities.dp(48.0f)) - Theme.chat_msgStickerHalfCheckDrawable.getIntrinsicWidth(), (this.layoutHeight - AndroidUtilities.dp(13.5f)) - Theme.chat_msgStickerHalfCheckDrawable.getIntrinsicHeight());
                            Theme.chat_msgStickerHalfCheckDrawable.draw(canvas);
                        } else {
                            if (this.currentMessageObject.type == i) {
                                drawable2 = isDrawSelectionBackground() ? Theme.chat_msgOutHalfCheckSelectedDrawable : Theme.chat_msgOutHalfCheckDrawable;
                            } else {
                                drawable2 = Theme.chat_msgMediaHalfCheckDrawable;
                            }
                            setDrawableBounds(drawable2, ((this.layoutWidth - AndroidUtilities.dp(21.5f)) - AndroidUtilities.dp(48.0f)) - drawable2.getIntrinsicWidth(), ((this.layoutHeight - AndroidUtilities.dp(13.5f)) - mOffset) - drawable2.getIntrinsicHeight());
                            drawable2.setAlpha((int) (this.timeAlpha * 255.0f));
                            drawable2.draw(canvas);
                            drawable2.setAlpha(255);
                        }
                    } else {
                        if (this.currentMessageObject.type == 101 || this.currentMessageObject.type == 102 || this.currentMessageObject.type == 9) {
                            drawable = isDrawSelectionBackground() ? Theme.chat_msgOutHalfGrayCheckSelectedDrawable : Theme.chat_msgOutHalfGrayCheckDrawable;
                        } else {
                            drawable = isDrawSelectionBackground() ? Theme.chat_msgOutHalfCheckSelectedDrawable : Theme.chat_msgOutHalfCheckDrawable;
                        }
                        setDrawableBounds(drawable, ((this.layoutWidth - AndroidUtilities.dp(18.0f)) - AndroidUtilities.dp(48.0f)) - drawable.getIntrinsicWidth(), (((this.layoutHeight - AndroidUtilities.dp(8.0f)) - mOffset) - drawable.getIntrinsicHeight()) - additionOffset);
                        drawable.draw(canvas);
                    }
                }
            }
            if (drawError) {
                if (this.currentPosition != null) {
                    if (!this.mediaBackground || this.captionLayout != null) {
                        x2 = (AndroidUtilities.displaySize.x - this.currentMessagesGroup.getMaxSizeWidth()) - AndroidUtilities.dp(120.0f);
                        y2 = this.layoutHeight - AndroidUtilities.dp(21.0f);
                    } else {
                        x2 = (this.layoutWidth - this.currentMessagesGroup.getMaxSizeWidth()) - AndroidUtilities.dp(46.0f);
                        y2 = this.layoutHeight - AndroidUtilities.dp(26.5f);
                    }
                    int y5 = y2 - (mOffset * 2);
                    canvas.drawCircle(AndroidUtilities.dp(9.0f) + x2, AndroidUtilities.dp(9.0f) + y5, AndroidUtilities.dp(9.0f), Theme.chat_msgErrorPaint);
                    setDrawableBounds(Theme.chat_msgErrorDrawable, AndroidUtilities.dp(7.5f) + x2, AndroidUtilities.dp(3.0f) + y5);
                    Theme.chat_msgErrorDrawable.draw(canvas);
                    return;
                }
                if (this.mediaBackground && this.captionLayout == null) {
                    x = this.currentBackgroundDrawable.getBounds().left - AndroidUtilities.dp(23.0f);
                    y = this.layoutHeight - AndroidUtilities.dp(26.5f);
                } else {
                    x = this.currentBackgroundDrawable.getBounds().left - AndroidUtilities.dp(23.0f);
                    y = this.layoutHeight - AndroidUtilities.dp(21.0f);
                }
                int y6 = y - (mOffset + AndroidUtilities.dp(3.0f));
                canvas.drawCircle(AndroidUtilities.dp(9.0f) + x, AndroidUtilities.dp(9.0f) + y6, AndroidUtilities.dp(9.0f), Theme.chat_msgErrorPaint);
                setDrawableBounds(Theme.chat_msgErrorDrawable, AndroidUtilities.dp(7.5f) + x, AndroidUtilities.dp(3.0f) + y6);
                Theme.chat_msgErrorDrawable.draw(canvas);
            }
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:1261:0x1653  */
    /* JADX WARN: Removed duplicated region for block: B:1271:0x1675  */
    /* JADX WARN: Removed duplicated region for block: B:1275:0x1683  */
    /* JADX WARN: Removed duplicated region for block: B:1291:? A[RETURN, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void drawOverlays(Canvas canvas) {
        long animationDt;
        float f;
        float f2;
        int imageW;
        int i;
        Drawable menuDrawable;
        int x;
        float f3;
        int a2;
        int N;
        PollButton button;
        int N2;
        int x2;
        int a3;
        long newAnimationTime;
        float f4;
        float f5;
        StaticLayout staticLayout;
        int x3;
        Drawable phone;
        int i2;
        AnimatedFileDrawable animation;
        long newAnimationTime2 = SystemClock.uptimeMillis();
        long animationDt2 = newAnimationTime2 - this.lastAnimationTime;
        if (animationDt2 <= 17) {
            animationDt = animationDt2;
        } else {
            animationDt = 17;
        }
        this.lastAnimationTime = newAnimationTime2;
        int N3 = 0;
        int i3 = 1;
        if (this.currentMessageObject.hadAnimationNotReadyLoading && this.photoImage.getVisible() && !this.currentMessageObject.needDrawBluredPreview() && (((i2 = this.documentAttachType) == 7 || i2 == 4 || i2 == 2) && (animation = this.photoImage.getAnimation()) != null && animation.hasBitmap())) {
            this.currentMessageObject.hadAnimationNotReadyLoading = false;
            updateButtonState(false, true, false);
        }
        if (this.currentMessageObject.type != 1 && (i = this.documentAttachType) != 4) {
            if (i != 2) {
                if (this.currentMessageObject.type != 4) {
                    float f6 = 16.0f;
                    if (this.currentMessageObject.type != 16) {
                        float f7 = 40.0f;
                        if (this.currentMessageObject.type != 17) {
                            int i4 = this.currentMessageObject.type;
                            String str = Theme.key_chat_outContactPhoneSelectedText;
                            String str2 = Theme.key_chat_inContactPhoneSelectedText;
                            if (i4 != 12) {
                                if (this.currentMessageObject.type == 101 || this.currentMessageObject.type == 102) {
                                    if (this.currentMessageObject.isOutOwner()) {
                                        Theme.chat_contactNamePaint.setColor(Theme.getColor(Theme.key_chat_outContactNameText));
                                        TextPaint textPaint = Theme.chat_contactPhonePaint;
                                        if (!isDrawSelectionBackground()) {
                                            str = Theme.key_chat_outContactPhoneText;
                                        }
                                        textPaint.setColor(Theme.getColor(str));
                                    } else {
                                        Theme.chat_contactNamePaint.setColor(Theme.getColor(Theme.key_chat_inContactNameText));
                                        TextPaint textPaint2 = Theme.chat_contactPhonePaint;
                                        if (!isDrawSelectionBackground()) {
                                            str2 = Theme.key_chat_inContactPhoneText;
                                        }
                                        textPaint2.setColor(Theme.getColor(str2));
                                    }
                                    if (this.currentMessageObject.type == 101 || this.currentMessageObject.type == 102) {
                                        Theme.chat_redpkgTextPaint.setColor(-1);
                                    }
                                    if (this.titleLayout != null) {
                                        Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(14.0f));
                                        canvas.save();
                                        canvas.translate(this.photoImage.getImageX() + this.photoImage.getImageWidth() + AndroidUtilities.dp(9.0f), AndroidUtilities.dp(26.0f) + this.namesOffset);
                                        this.titleLayout.draw(canvas);
                                        canvas.restore();
                                    }
                                    if (this.docTitleLayout != null) {
                                        Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(12.0f));
                                        canvas.save();
                                        canvas.translate(this.photoImage.getImageX() + this.photoImage.getImageWidth() + AndroidUtilities.dp(9.0f), AndroidUtilities.dp(49.0f) + this.namesOffset);
                                        this.docTitleLayout.draw(canvas);
                                        canvas.restore();
                                    }
                                    if (this.descriptionLayout != null) {
                                        Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(12.0f));
                                        if (this.currentMessageObject.type == 101 || this.currentMessageObject.type == 102) {
                                            Theme.chat_redpkgTextPaint.setColor(-5197648);
                                        }
                                        canvas.save();
                                        canvas.translate(this.photoImage.getImageX(), AndroidUtilities.dp(79.0f) + this.namesOffset);
                                        this.descriptionLayout.draw(canvas);
                                        canvas.restore();
                                    }
                                } else if (this.currentMessageObject.type == 103) {
                                    if (this.currentMessageObject.isOutOwner()) {
                                        Theme.chat_contactNamePaint.setColor(Theme.getColor(Theme.key_chat_outContactNameText));
                                        TextPaint textPaint3 = Theme.chat_contactPhonePaint;
                                        if (!isDrawSelectionBackground()) {
                                            str = Theme.key_chat_outContactPhoneText;
                                        }
                                        textPaint3.setColor(Theme.getColor(str));
                                    } else {
                                        Theme.chat_contactNamePaint.setColor(Theme.getColor(Theme.key_chat_inContactNameText));
                                        TextPaint textPaint4 = Theme.chat_contactPhonePaint;
                                        if (!isDrawSelectionBackground()) {
                                            str2 = Theme.key_chat_inContactPhoneText;
                                        }
                                        textPaint4.setColor(Theme.getColor(str2));
                                    }
                                    Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#333333"));
                                    if (this.titleLayout != null) {
                                        Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(18.0f));
                                        canvas.save();
                                        canvas.translate(this.photoImage.getImageX() + this.photoImage.getImageWidth() + AndroidUtilities.dp(9.0f), this.photoImage.getImageY() + AndroidUtilities.dp(16.0f));
                                        this.titleLayout.draw(canvas);
                                        canvas.restore();
                                    }
                                    if (this.descriptionLayout != null) {
                                        Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(12.0f));
                                        Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#B0B0B0"));
                                        canvas.save();
                                        canvas.translate(this.photoImage.getImageX(), AndroidUtilities.dp(81.0f) + (this.namesOffset * 2));
                                        this.descriptionLayout.draw(canvas);
                                        canvas.restore();
                                    }
                                } else if (this.currentMessageObject.type == 105) {
                                    if (this.currentMessageObject.isOutOwner()) {
                                        Theme.chat_contactNamePaint.setColor(Theme.getColor(Theme.key_chat_outContactNameText));
                                        TextPaint textPaint5 = Theme.chat_contactPhonePaint;
                                        if (!isDrawSelectionBackground()) {
                                            str = Theme.key_chat_outContactPhoneText;
                                        }
                                        textPaint5.setColor(Theme.getColor(str));
                                    } else {
                                        Theme.chat_contactNamePaint.setColor(Theme.getColor(Theme.key_chat_inContactNameText));
                                        TextPaint textPaint6 = Theme.chat_contactPhonePaint;
                                        if (!isDrawSelectionBackground()) {
                                            str2 = Theme.key_chat_inContactPhoneText;
                                        }
                                        textPaint6.setColor(Theme.getColor(str2));
                                    }
                                    TLRPCContacts.TL_messageMediaSysNotify sysNotify = (TLRPCContacts.TL_messageMediaSysNotify) this.currentMessageObject.messageOwner.media;
                                    String data = TLJsonResolve.getData(sysNotify.data);
                                    ChatFCAttentionBean chatFCAttentionBean = (ChatFCAttentionBean) GsonUtils.fromJson(data, (Class<Object>) ChatFCAttentionBean.class);
                                    if (sysNotify.business_code == 10) {
                                        ImageReceiver imageReceiver = this.photoFCImage;
                                        if (imageReceiver != null) {
                                            imageReceiver.draw(canvas);
                                        }
                                        if (this.descriptionLayout != null && this.photoFCImage != null) {
                                            Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(15.0f));
                                            Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#B0B0B0"));
                                            canvas.save();
                                            int descriptionLayoutHeight = (this.photoFCImage.getImageY() + (this.photoFCImage.getImageHeight() / 2)) - (this.descriptionLayout.getHeight() / 2);
                                            int descriptionLayoutWidth = (this.photoFCImage.getImageX() + (this.photoFCImage.getImageWidth() / 2)) - (this.descriptionLayout.getWidth() / 2);
                                            canvas.translate(descriptionLayoutWidth, descriptionLayoutHeight);
                                            this.descriptionLayout.draw(canvas);
                                            canvas.restore();
                                        }
                                        Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#333333"));
                                        Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(16.0f));
                                        canvas.save();
                                        if (this.textInfoLayout1 != null) {
                                            canvas.translate(AndroidUtilities.dp(40.0f), AndroidUtilities.dp(95.0f));
                                            this.textInfoLayout1.draw(canvas);
                                        }
                                        canvas.restore();
                                    } else if (sysNotify.business_code <= 3) {
                                        ImageReceiver imageReceiver2 = this.photoImage1;
                                        if (imageReceiver2 != null) {
                                            imageReceiver2.draw(canvas);
                                        }
                                        ImageReceiver imageReceiver3 = this.photoImage2;
                                        if (imageReceiver3 != null) {
                                            imageReceiver3.draw(canvas);
                                        }
                                        ImageReceiver imageReceiver4 = this.photoImage3;
                                        if (imageReceiver4 != null) {
                                            imageReceiver4.draw(canvas);
                                        }
                                        ImageReceiver imageReceiver5 = this.photoImage4;
                                        if (imageReceiver5 != null) {
                                            imageReceiver5.draw(canvas);
                                        }
                                        ImageReceiver imageReceiver6 = this.photoImage5;
                                        if (imageReceiver6 != null) {
                                            imageReceiver6.draw(canvas);
                                        }
                                        ImageReceiver imageReceiver7 = this.photoFCImage;
                                        if (imageReceiver7 != null) {
                                            imageReceiver7.draw(canvas);
                                        }
                                        if (this.descriptionLayout != null && this.photoFCImage != null) {
                                            Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(15.0f));
                                            Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#B0B0B0"));
                                            canvas.save();
                                            int descriptionLayoutHeight2 = (this.photoFCImage.getImageY() + (this.photoFCImage.getImageHeight() / 2)) - (this.descriptionLayout.getHeight() / 2);
                                            int descriptionLayoutWidth2 = (this.photoFCImage.getImageX() + (this.photoFCImage.getImageWidth() / 2)) - (this.descriptionLayout.getWidth() / 2);
                                            canvas.translate(descriptionLayoutWidth2, descriptionLayoutHeight2);
                                            this.descriptionLayout.draw(canvas);
                                            canvas.restore();
                                        }
                                        int m = 0;
                                        int n = 0;
                                        int spacingHeight = AndroidUtilities.dp(15.0f);
                                        int i5 = 0;
                                        while (i5 < this.mSysNotifyData.size()) {
                                            TLRPCContacts.NotifyMsg msgData = this.mSysNotifyData.get(Integer.valueOf(i5));
                                            if (msgData instanceof TLRPCContacts.NotifyMsgText) {
                                                if (i5 == 0) {
                                                    Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#333333"));
                                                    Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(f6));
                                                    canvas.save();
                                                    if (this.textInfoLayout1 != null) {
                                                        canvas.translate(AndroidUtilities.dp(f7), AndroidUtilities.dp(95.0f));
                                                        this.textInfoLayout1.draw(canvas);
                                                    }
                                                    canvas.restore();
                                                    m++;
                                                } else {
                                                    TLRPCContacts.NotifyMsg lastData = this.mSysNotifyData.get(Integer.valueOf(i5 - 1));
                                                    if (lastData instanceof TLRPCContacts.NotifyMsgText) {
                                                        switch (m) {
                                                            case 1:
                                                                Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#333333"));
                                                                Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(16.0f));
                                                                canvas.save();
                                                                int height2 = this.textInfoLayout1.getHeight() + AndroidUtilities.dp(110.0f);
                                                                canvas.translate(AndroidUtilities.dp(40.0f), height2);
                                                                this.textInfoLayout2.draw(canvas);
                                                                canvas.restore();
                                                                break;
                                                            case 2:
                                                                Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#333333"));
                                                                Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(16.0f));
                                                                canvas.save();
                                                                int height3 = this.textInfoLayout2.getHeight() + this.textInfoLayout1.getHeight() + AndroidUtilities.dp(125.0f);
                                                                canvas.translate(AndroidUtilities.dp(40.0f), height3);
                                                                this.textInfoLayout3.draw(canvas);
                                                                canvas.restore();
                                                                break;
                                                            case 3:
                                                                Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#333333"));
                                                                Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(16.0f));
                                                                canvas.save();
                                                                int height4 = this.textInfoLayout3.getHeight() + this.textInfoLayout2.getHeight() + this.textInfoLayout1.getHeight() + AndroidUtilities.dp(140.0f);
                                                                canvas.translate(AndroidUtilities.dp(40.0f), height4);
                                                                this.textInfoLayout4.draw(canvas);
                                                                canvas.restore();
                                                                break;
                                                            case 4:
                                                                Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#333333"));
                                                                Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(f6));
                                                                canvas.save();
                                                                int height5 = this.textInfoLayout4.getHeight() + this.textInfoLayout3.getHeight() + this.textInfoLayout2.getHeight() + this.textInfoLayout1.getHeight() + AndroidUtilities.dp(155.0f);
                                                                canvas.translate(AndroidUtilities.dp(40.0f), height5);
                                                                this.textInfoLayout5.draw(canvas);
                                                                canvas.restore();
                                                                break;
                                                        }
                                                        m++;
                                                    } else if (lastData instanceof TLRPCContacts.NotifyMsgMedia) {
                                                        switch (m) {
                                                            case 0:
                                                                Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#333333"));
                                                                Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(16.0f));
                                                                canvas.save();
                                                                switch (n) {
                                                                    case 1:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage1.getImageY() + this.photo1Height + spacingHeight);
                                                                        break;
                                                                    case 2:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage2.getImageY() + this.photo2Height + spacingHeight);
                                                                        break;
                                                                    case 3:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage3.getImageY() + this.photo3Height + spacingHeight);
                                                                        break;
                                                                    case 4:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage4.getImageY() + this.photo4Height + spacingHeight);
                                                                        break;
                                                                    case 5:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage5.getImageY() + this.photo5Height + spacingHeight);
                                                                        break;
                                                                }
                                                                this.textInfoLayout1.draw(canvas);
                                                                canvas.restore();
                                                                break;
                                                            case 1:
                                                                Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#333333"));
                                                                Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(16.0f));
                                                                canvas.save();
                                                                switch (n) {
                                                                    case 1:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage1.getImageY() + this.photo1Height + spacingHeight);
                                                                        break;
                                                                    case 2:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage2.getImageY() + this.photo2Height + spacingHeight);
                                                                        break;
                                                                    case 3:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage3.getImageY() + this.photo3Height + spacingHeight);
                                                                        break;
                                                                    case 4:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage4.getImageY() + this.photo4Height + spacingHeight);
                                                                        break;
                                                                    case 5:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage5.getImageY() + this.photo5Height + spacingHeight);
                                                                        break;
                                                                }
                                                                this.textInfoLayout2.draw(canvas);
                                                                canvas.restore();
                                                                break;
                                                            case 2:
                                                                Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#333333"));
                                                                Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(16.0f));
                                                                canvas.save();
                                                                switch (n) {
                                                                    case 1:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage1.getImageY() + this.photo1Height + spacingHeight);
                                                                        break;
                                                                    case 2:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage2.getImageY() + this.photo2Height + spacingHeight);
                                                                        break;
                                                                    case 3:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage3.getImageY() + this.photo3Height + spacingHeight);
                                                                        break;
                                                                    case 4:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage4.getImageY() + this.photo4Height + spacingHeight);
                                                                        break;
                                                                    case 5:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage5.getImageY() + this.photo5Height + spacingHeight);
                                                                        break;
                                                                }
                                                                this.textInfoLayout3.draw(canvas);
                                                                canvas.restore();
                                                                break;
                                                            case 3:
                                                                Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#333333"));
                                                                Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(16.0f));
                                                                canvas.save();
                                                                switch (n) {
                                                                    case 1:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage1.getImageY() + this.photo1Height + spacingHeight);
                                                                        break;
                                                                    case 2:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage2.getImageY() + this.photo2Height + spacingHeight);
                                                                        break;
                                                                    case 3:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage3.getImageY() + this.photo3Height + spacingHeight);
                                                                        break;
                                                                    case 4:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage4.getImageY() + this.photo4Height + spacingHeight);
                                                                        break;
                                                                    case 5:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage5.getImageY() + this.photo5Height + spacingHeight);
                                                                        break;
                                                                }
                                                                this.textInfoLayout4.draw(canvas);
                                                                canvas.restore();
                                                                break;
                                                            case 4:
                                                                Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#333333"));
                                                                Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(16.0f));
                                                                canvas.save();
                                                                switch (n) {
                                                                    case 1:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage1.getImageY() + this.photoImage1.getImageHeight() + spacingHeight);
                                                                        break;
                                                                    case 2:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage2.getImageY() + this.photoImage2.getImageHeight() + spacingHeight);
                                                                        break;
                                                                    case 3:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage3.getImageY() + this.photoImage3.getImageHeight() + spacingHeight);
                                                                        break;
                                                                    case 4:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage4.getImageY() + this.photoImage4.getImageHeight() + spacingHeight);
                                                                        break;
                                                                    case 5:
                                                                        canvas.translate(AndroidUtilities.dp(40.0f), this.photoImage5.getImageY() + this.photoImage5.getImageHeight() + spacingHeight);
                                                                        break;
                                                                }
                                                                this.textInfoLayout5.draw(canvas);
                                                                canvas.restore();
                                                                break;
                                                        }
                                                        m++;
                                                    }
                                                }
                                            } else if (msgData instanceof TLRPCContacts.NotifyMsgMedia) {
                                                n++;
                                            }
                                            i5++;
                                            f7 = 40.0f;
                                            f6 = 16.0f;
                                        }
                                    } else {
                                        Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#333333"));
                                        if (this.titleLayout != null) {
                                            Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(16.0f));
                                            canvas.save();
                                            canvas.translate(AndroidUtilities.dp(40.0f), AndroidUtilities.dp(95.0f));
                                            this.titleLayout.draw(canvas);
                                            canvas.restore();
                                        }
                                        ImageReceiver imageReceiver8 = this.photoFCImage;
                                        if (imageReceiver8 != null) {
                                            imageReceiver8.draw(canvas);
                                        }
                                        if (this.descriptionLayout != null && this.photoFCImage != null) {
                                            Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(15.0f));
                                            Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#B0B0B0"));
                                            canvas.save();
                                            int descriptionLayoutHeight3 = (this.photoFCImage.getImageY() + (this.photoFCImage.getImageHeight() / 2)) - (this.descriptionLayout.getHeight() / 2);
                                            int descriptionLayoutWidth3 = (this.photoFCImage.getImageX() + (this.photoFCImage.getImageWidth() / 2)) - (this.descriptionLayout.getWidth() / 2);
                                            canvas.translate(descriptionLayoutWidth3, descriptionLayoutHeight3);
                                            this.descriptionLayout.draw(canvas);
                                            canvas.restore();
                                        }
                                    }
                                } else if (this.currentMessageObject.type == 207) {
                                    if (this.currentMessageObject.isOutOwner()) {
                                        Theme.chat_contactNamePaint.setColor(Theme.getColor(Theme.key_chat_outContactNameText));
                                        TextPaint textPaint7 = Theme.chat_contactPhonePaint;
                                        if (!isDrawSelectionBackground()) {
                                            str = Theme.key_chat_outContactPhoneText;
                                        }
                                        textPaint7.setColor(Theme.getColor(str));
                                    } else {
                                        Theme.chat_contactNamePaint.setColor(Theme.getColor(Theme.key_chat_inContactNameText));
                                        TextPaint textPaint8 = Theme.chat_contactPhonePaint;
                                        if (!isDrawSelectionBackground()) {
                                            str2 = Theme.key_chat_inContactPhoneText;
                                        }
                                        textPaint8.setColor(Theme.getColor(str2));
                                    }
                                    Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#333333"));
                                    if (this.titleLayout != null) {
                                        Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(12.0f));
                                        canvas.save();
                                        canvas.translate(this.photoImage.getImageX() + AndroidUtilities.dp(20.0f), AndroidUtilities.dp(20.0f) + this.namesOffset);
                                        this.titleLayout.draw(canvas);
                                        canvas.restore();
                                    }
                                    if (this.docTitleLayout != null) {
                                        Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(10.0f));
                                        canvas.save();
                                        canvas.translate(this.photoImage.getImageX(), AndroidUtilities.dp(41.0f) + this.namesOffset);
                                        this.docTitleLayout.draw(canvas);
                                        canvas.restore();
                                    }
                                    canvas.save();
                                    this.photoImage.draw(canvas);
                                    Drawable drawable = getContext().getResources().getDrawable(R.mipmap.ic_live_msg);
                                    canvas.translate(this.photoImage.getImageX(), this.photoImage.getImageY() + this.photoImage.getImageHeight() + AndroidUtilities.dp(23.0f));
                                    drawable.setBounds(0, 0, this.descriptionLayout.getHeight() - 2, this.descriptionLayout.getHeight() - 2);
                                    drawable.draw(canvas);
                                    canvas.restore();
                                    if (this.descriptionLayout != null) {
                                        Theme.chat_redpkgTextPaint.setTextSize(AndroidUtilities.dp(12.0f));
                                        Theme.chat_redpkgTextPaint.setColor(Color.parseColor("#B0B0B0"));
                                        canvas.save();
                                        canvas.translate(this.photoImage.getImageX() + AndroidUtilities.dp(20.0f), this.photoImage.getImageY() + this.photoImage.getImageHeight() + AndroidUtilities.dp(23.0f));
                                        this.descriptionLayout.draw(canvas);
                                        canvas.restore();
                                    }
                                }
                            } else {
                                if (this.currentMessageObject.isOutOwner()) {
                                    Theme.chat_contactNamePaint.setColor(Theme.getColor(Theme.key_chat_outContactNameText));
                                    TextPaint textPaint9 = Theme.chat_contactPhonePaint;
                                    if (!isDrawSelectionBackground()) {
                                        str = Theme.key_chat_outContactPhoneText;
                                    }
                                    textPaint9.setColor(Theme.getColor(str));
                                } else {
                                    Theme.chat_contactNamePaint.setColor(Theme.getColor(Theme.key_chat_inContactNameText));
                                    TextPaint textPaint10 = Theme.chat_contactPhonePaint;
                                    if (!isDrawSelectionBackground()) {
                                        str2 = Theme.key_chat_inContactPhoneText;
                                    }
                                    textPaint10.setColor(Theme.getColor(str2));
                                }
                                if (this.titleLayout != null) {
                                    canvas.save();
                                    canvas.translate(this.photoImage.getImageX() + this.photoImage.getImageWidth() + AndroidUtilities.dp(9.0f), AndroidUtilities.dp(16.0f) + this.namesOffset);
                                    this.titleLayout.draw(canvas);
                                    canvas.restore();
                                }
                                if (this.docTitleLayout != null) {
                                    canvas.save();
                                    canvas.translate(this.photoImage.getImageX() + this.photoImage.getImageWidth() + AndroidUtilities.dp(9.0f), AndroidUtilities.dp(39.0f) + this.namesOffset);
                                    this.docTitleLayout.draw(canvas);
                                    canvas.restore();
                                }
                                if (this.currentMessageObject.isOutOwner()) {
                                    menuDrawable = isDrawSelectionBackground() ? Theme.chat_msgOutMenuSelectedDrawable : Theme.chat_msgOutMenuDrawable;
                                } else {
                                    menuDrawable = isDrawSelectionBackground() ? Theme.chat_msgInMenuSelectedDrawable : Theme.chat_msgInMenuDrawable;
                                }
                                int imageX = (this.photoImage.getImageX() + this.backgroundWidth) - AndroidUtilities.dp(48.0f);
                                this.otherX = imageX;
                                int imageY = this.photoImage.getImageY() - AndroidUtilities.dp(5.0f);
                                this.otherY = imageY;
                                setDrawableBounds(menuDrawable, imageX, imageY);
                                menuDrawable.draw(canvas);
                                if (this.drawInstantView) {
                                    int textX = this.photoImage.getImageX() - AndroidUtilities.dp(2.0f);
                                    int instantY = getMeasuredHeight() - AndroidUtilities.dp(64.0f);
                                    Paint backPaint = Theme.chat_instantViewRectPaint;
                                    if (this.currentMessageObject.isOutOwner()) {
                                        Theme.chat_instantViewPaint.setColor(Theme.getColor(Theme.key_chat_outPreviewInstantText));
                                        backPaint.setColor(Theme.getColor(Theme.key_chat_outPreviewInstantText));
                                    } else {
                                        Theme.chat_instantViewPaint.setColor(Theme.getColor(Theme.key_chat_inPreviewInstantText));
                                        backPaint.setColor(Theme.getColor(Theme.key_chat_inPreviewInstantText));
                                    }
                                    this.selectorDrawableMaskType = 0;
                                    this.selectorDrawable.setBounds(textX, instantY, this.instantWidth + textX, AndroidUtilities.dp(36.0f) + instantY);
                                    this.selectorDrawable.draw(canvas);
                                    this.instantButtonRect.set(textX, instantY, this.instantWidth + textX, AndroidUtilities.dp(36.0f) + instantY);
                                    canvas.drawRoundRect(this.instantButtonRect, AndroidUtilities.dp(6.0f), AndroidUtilities.dp(6.0f), backPaint);
                                    if (this.instantViewLayout != null) {
                                        canvas.save();
                                        canvas.translate(this.instantTextX + textX, AndroidUtilities.dp(10.5f) + instantY);
                                        this.instantViewLayout.draw(canvas);
                                        canvas.restore();
                                    }
                                }
                            }
                        } else {
                            if (this.currentMessageObject.isOutOwner()) {
                                int color = Theme.getColor(Theme.key_chat_messageTextOut);
                                Theme.chat_audioTitlePaint.setColor(color);
                                Theme.chat_audioPerformerPaint.setColor(color);
                                Theme.chat_instantViewPaint.setColor(color);
                                int color2 = Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_outTimeSelectedText : Theme.key_chat_outTimeText);
                                Theme.chat_timePaint.setColor(color2);
                                Theme.chat_livePaint.setColor(color2);
                            } else {
                                int color3 = Theme.getColor(Theme.key_chat_messageTextIn);
                                Theme.chat_audioTitlePaint.setColor(color3);
                                Theme.chat_audioPerformerPaint.setColor(color3);
                                Theme.chat_instantViewPaint.setColor(color3);
                                int color4 = Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_inTimeSelectedText : Theme.key_chat_inTimeText);
                                Theme.chat_timePaint.setColor(color4);
                                Theme.chat_livePaint.setColor(color4);
                            }
                            if (this.currentMessageObject.isOutOwner()) {
                                if (this.isChat && this.currentMessageObject.needDrawAvatar()) {
                                    x = (this.layoutWidth - this.backgroundWidth) - AndroidUtilities.dp(40.0f);
                                } else {
                                    int x4 = this.layoutWidth;
                                    x = (x4 - this.backgroundWidth) + AndroidUtilities.dp(11.0f);
                                }
                            } else if (this.isChat && this.currentMessageObject.needDrawAvatar()) {
                                x = AndroidUtilities.dp(68.0f);
                            } else {
                                int x5 = AndroidUtilities.dp(20.0f);
                                x = x5;
                            }
                            if (this.titleLayout != null) {
                                canvas.save();
                                canvas.translate(x, AndroidUtilities.dp(15.0f) + this.namesOffset);
                                this.titleLayout.draw(canvas);
                                canvas.restore();
                            }
                            if (this.docTitleLayout != null) {
                                canvas.save();
                                canvas.translate(this.docTitleOffsetX + x, (this.titleLayout != null ? staticLayout.getHeight() : 0) + AndroidUtilities.dp(20.0f) + this.namesOffset);
                                this.docTitleLayout.draw(canvas);
                                canvas.restore();
                            }
                            Drawable drawable2 = this.selectorDrawable;
                            if (drawable2 != null) {
                                this.selectorDrawableMaskType = 1;
                                drawable2.draw(canvas);
                            }
                            int N4 = this.pollButtons.size();
                            int lastVoteY = 0;
                            int a4 = 0;
                            while (a4 < N4) {
                                PollButton button2 = this.pollButtons.get(a4);
                                button2.x = x;
                                canvas.save();
                                canvas.translate(AndroidUtilities.dp(34.0f) + x, button2.y + this.namesOffset);
                                button2.title.draw(canvas);
                                if (this.animatePollAnswerAlpha) {
                                    if (this.pollUnvoteInProgress) {
                                        f4 = 1.0f;
                                        f5 = 1.0f - this.pollAnimationProgress;
                                    } else {
                                        f4 = 1.0f;
                                        f5 = this.pollAnimationProgress;
                                    }
                                    f3 = Math.min(f5 / 0.3f, f4) * 255.0f;
                                } else {
                                    f3 = 255.0f;
                                }
                                int alpha = (int) f3;
                                if (this.pollVoted || this.pollClosed || this.animatePollAnswerAlpha) {
                                    Theme.chat_docBackPaint.setColor(Theme.getColor(this.currentMessageObject.isOutOwner() ? Theme.key_chat_outAudioSeekbarFill : Theme.key_chat_inAudioSeekbarFill));
                                    if (this.animatePollAnswerAlpha) {
                                        Theme.chat_instantViewPaint.setAlpha((int) (alpha * (Theme.chat_instantViewPaint.getAlpha() / 255.0f)));
                                        Theme.chat_docBackPaint.setAlpha((int) (alpha * (Theme.chat_docBackPaint.getAlpha() / 255.0f)));
                                    }
                                    int currentPercent = (int) Math.ceil(button2.prevPercent + ((button2.percent - button2.prevPercent) * this.pollAnimationProgress));
                                    Object[] objArr = new Object[i3];
                                    objArr[N3] = Integer.valueOf(currentPercent);
                                    String text = String.format("%d%%", objArr);
                                    int width = (int) Math.ceil(Theme.chat_instantViewPaint.measureText(text));
                                    canvas.drawText(text, (-AndroidUtilities.dp(7.0f)) - width, AndroidUtilities.dp(14.0f), Theme.chat_instantViewPaint);
                                    int width2 = this.backgroundWidth - AndroidUtilities.dp(76.0f);
                                    float currentPercentProgress = button2.prevPercentProgress + ((button2.percentProgress - button2.prevPercentProgress) * this.pollAnimationProgress);
                                    a2 = a4;
                                    int width3 = button2.height + AndroidUtilities.dp(11.0f);
                                    N = N4;
                                    this.instantButtonRect.set(0.0f, button2.height + AndroidUtilities.dp(6.0f), width2 * currentPercentProgress, width3);
                                    canvas.drawRoundRect(this.instantButtonRect, AndroidUtilities.dp(2.0f), AndroidUtilities.dp(2.0f), Theme.chat_docBackPaint);
                                } else {
                                    a2 = a4;
                                    N = N4;
                                }
                                if ((this.pollVoted || this.pollClosed) && !this.animatePollAnswerAlpha) {
                                    button = button2;
                                    N2 = N;
                                    long j = newAnimationTime2;
                                    x2 = x;
                                    a3 = a2;
                                    newAnimationTime = j;
                                } else {
                                    if (isDrawSelectionBackground()) {
                                        Theme.chat_replyLinePaint.setColor(Theme.getColor(this.currentMessageObject.isOutOwner() ? Theme.key_chat_outVoiceSeekbarSelected : Theme.key_chat_inVoiceSeekbarSelected));
                                    } else {
                                        Theme.chat_replyLinePaint.setColor(Theme.getColor(this.currentMessageObject.isOutOwner() ? Theme.key_chat_outVoiceSeekbar : Theme.key_chat_inVoiceSeekbar));
                                    }
                                    if (this.animatePollAnswerAlpha) {
                                        Theme.chat_replyLinePaint.setAlpha((int) ((255 - alpha) * (Theme.chat_replyLinePaint.getAlpha() / 255.0f)));
                                    }
                                    button = button2;
                                    int a5 = a2;
                                    N2 = N;
                                    newAnimationTime = newAnimationTime2;
                                    a3 = a5;
                                    x2 = x;
                                    canvas.drawLine(-AndroidUtilities.dp(2.0f), button2.height + AndroidUtilities.dp(13.0f), this.backgroundWidth - AndroidUtilities.dp(56.0f), button2.height + AndroidUtilities.dp(13.0f), Theme.chat_replyLinePaint);
                                    if (this.pollVoteInProgress && a3 == this.pollVoteInProgressNum) {
                                        Theme.chat_instantViewRectPaint.setColor(Theme.getColor(this.currentMessageObject.isOutOwner() ? Theme.key_chat_outAudioSeekbarFill : Theme.key_chat_inAudioSeekbarFill));
                                        if (this.animatePollAnswerAlpha) {
                                            Theme.chat_instantViewRectPaint.setAlpha((int) ((255 - alpha) * (Theme.chat_instantViewRectPaint.getAlpha() / 255.0f)));
                                        }
                                        this.instantButtonRect.set((-AndroidUtilities.dp(23.0f)) - AndroidUtilities.dp(8.5f), AndroidUtilities.dp(9.0f) - AndroidUtilities.dp(8.5f), (-AndroidUtilities.dp(23.0f)) + AndroidUtilities.dp(8.5f), AndroidUtilities.dp(9.0f) + AndroidUtilities.dp(8.5f));
                                        canvas.drawArc(this.instantButtonRect, this.voteRadOffset, this.voteCurrentCircleLength, false, Theme.chat_instantViewRectPaint);
                                    } else {
                                        if (this.currentMessageObject.isOutOwner()) {
                                            Theme.chat_instantViewRectPaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_outMenuSelected : Theme.key_chat_outMenu));
                                        } else {
                                            Theme.chat_instantViewRectPaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_inMenuSelected : Theme.key_chat_inMenu));
                                        }
                                        if (this.animatePollAnswerAlpha) {
                                            Theme.chat_instantViewRectPaint.setAlpha((int) ((255 - alpha) * (Theme.chat_instantViewRectPaint.getAlpha() / 255.0f)));
                                        }
                                        canvas.drawCircle(-AndroidUtilities.dp(23.0f), AndroidUtilities.dp(9.0f), AndroidUtilities.dp(8.5f), Theme.chat_instantViewRectPaint);
                                    }
                                }
                                canvas.restore();
                                if (a3 == N2 - 1) {
                                    lastVoteY = button.y + this.namesOffset + button.height;
                                }
                                a4 = a3 + 1;
                                x = x2;
                                N4 = N2;
                                newAnimationTime2 = newAnimationTime;
                                N3 = 0;
                                i3 = 1;
                            }
                            int x6 = x;
                            if (this.infoLayout != null) {
                                canvas.save();
                                canvas.translate(x6 + this.infoX, lastVoteY + AndroidUtilities.dp(22.0f));
                                this.infoLayout.draw(canvas);
                                canvas.restore();
                            }
                            updatePollAnimations();
                        }
                    } else {
                        if (this.currentMessageObject.isOutOwner()) {
                            Theme.chat_audioTitlePaint.setColor(Theme.getColor(Theme.key_chat_messageTextOut));
                            Theme.chat_contactPhonePaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_outTimeSelectedText : Theme.key_chat_outTimeText));
                        } else {
                            Theme.chat_audioTitlePaint.setColor(Theme.getColor(Theme.key_chat_messageTextIn));
                            Theme.chat_contactPhonePaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_inTimeSelectedText : Theme.key_chat_inTimeText));
                        }
                        this.forceNotDrawTime = true;
                        if (this.currentMessageObject.isOutOwner()) {
                            int x7 = (this.layoutWidth - this.backgroundWidth) + AndroidUtilities.dp(16.0f);
                            x3 = x7 - AndroidUtilities.dp(48.0f);
                        } else if (this.isChat && this.currentMessageObject.needDrawAvatar()) {
                            x3 = AndroidUtilities.dp(74.0f);
                        } else {
                            x3 = AndroidUtilities.dp(74.0f);
                        }
                        this.otherX = x3;
                        if (this.titleLayout != null) {
                            canvas.save();
                            canvas.translate(AndroidUtilities.dp(32.0f) + x3, AndroidUtilities.dp(17.0f) + this.namesOffset + mOffset);
                            this.titleLayout.draw(canvas);
                            canvas.restore();
                        }
                        if (this.docTitleLayout != null) {
                            canvas.save();
                            canvas.translate(AndroidUtilities.dp(50.0f) + x3 + this.titleLayout.getWidth(), AndroidUtilities.dp(19.0f) + this.namesOffset + mOffset);
                            this.docTitleLayout.draw(canvas);
                            canvas.restore();
                        }
                        if (this.currentMessageObject.isOutOwner()) {
                            if (this.currentMessageObject.messageOwner.action instanceof TLRPC.TL_messageActionPhoneCall) {
                                TLRPC.TL_messageActionPhoneCall phoneCall = (TLRPC.TL_messageActionPhoneCall) this.currentMessageObject.messageOwner.action;
                                if ((4 & phoneCall.flags) != 0) {
                                    phone = Theme.chat_msgOutVideoCallDrawable;
                                } else {
                                    phone = Theme.chat_msgOutVoiceCallDrawable;
                                }
                            } else {
                                phone = (isDrawSelectionBackground() || this.otherPressed) ? Theme.chat_msgOutCallSelectedDrawable : Theme.chat_msgOutCallDrawable;
                            }
                        } else {
                            TLRPC.PhoneCallDiscardReason reason = this.currentMessageObject.messageOwner.action.reason;
                            if (!(reason instanceof TLRPC.TL_phoneCallDiscardReasonMissed)) {
                                boolean z = reason instanceof TLRPC.TL_phoneCallDiscardReasonBusy;
                            }
                            if (this.currentMessageObject.messageOwner.action instanceof TLRPC.TL_messageActionPhoneCall) {
                                TLRPC.TL_messageActionPhoneCall phoneCall2 = (TLRPC.TL_messageActionPhoneCall) this.currentMessageObject.messageOwner.action;
                                if ((4 & phoneCall2.flags) != 0) {
                                    phone = Theme.chat_msgVideoCallDrawable;
                                } else {
                                    phone = Theme.chat_msgVoiceCallDrawable;
                                }
                            } else {
                                phone = (isDrawSelectionBackground() || this.otherPressed) ? Theme.chat_msgInCallSelectedDrawable : Theme.chat_msgInCallDrawable;
                            }
                        }
                        if (phone == Theme.chat_msgVoiceCallDrawable) {
                            int dp = AndroidUtilities.dp(22.0f) + mOffset;
                            this.otherY = dp;
                            setDrawableBounds(phone, x3, dp);
                        } else {
                            int dp2 = AndroidUtilities.dp(20.0f) + mOffset;
                            this.otherY = dp2;
                            setDrawableBounds(phone, x3, dp2);
                        }
                        phone.draw(canvas);
                    }
                } else if (this.docTitleLayout != null) {
                    if (this.currentMessageObject.isOutOwner()) {
                        Theme.chat_locationTitlePaint.setColor(Theme.getColor(Theme.key_chat_messageTextOut));
                        Theme.chat_locationAddressPaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_outVenueInfoSelectedText : Theme.key_chat_outVenueInfoText));
                    } else {
                        Theme.chat_locationTitlePaint.setColor(Theme.getColor(Theme.key_chat_messageTextIn));
                        Theme.chat_locationAddressPaint.setColor(Theme.getColor(isDrawSelectionBackground() ? Theme.key_chat_inVenueInfoSelectedText : Theme.key_chat_inVenueInfoText));
                    }
                    if (!(this.currentMessageObject.messageOwner.media instanceof TLRPC.TL_messageMediaGeoLive)) {
                        canvas.save();
                        canvas.translate(this.photoImage.getImageX() + AndroidUtilities.dp(6.0f), this.photoImage.getImageY2() + AndroidUtilities.dp(8.0f));
                        this.docTitleLayout.draw(canvas);
                        if (this.infoLayout != null) {
                            canvas.translate(0.0f, AndroidUtilities.dp(21.0f));
                            this.infoLayout.draw(canvas);
                        }
                        canvas.restore();
                    } else {
                        int cy = this.photoImage.getImageY2() + AndroidUtilities.dp(30.0f);
                        if (!this.locationExpired) {
                            this.forceNotDrawTime = true;
                            float progress = 1.0f - (Math.abs(ConnectionsManager.getInstance(this.currentAccount).getCurrentTime() - this.currentMessageObject.messageOwner.date) / this.currentMessageObject.messageOwner.media.period);
                            this.rect.set(this.photoImage.getImageX2() - AndroidUtilities.dp(43.0f), cy - AndroidUtilities.dp(15.0f), this.photoImage.getImageX2() - AndroidUtilities.dp(13.0f), cy + AndroidUtilities.dp(15.0f));
                            if (this.currentMessageObject.isOutOwner()) {
                                Theme.chat_radialProgress2Paint.setColor(Theme.getColor(Theme.key_chat_outInstant));
                                Theme.chat_livePaint.setColor(Theme.getColor(Theme.key_chat_outInstant));
                            } else {
                                Theme.chat_radialProgress2Paint.setColor(Theme.getColor(Theme.key_chat_inInstant));
                                Theme.chat_livePaint.setColor(Theme.getColor(Theme.key_chat_inInstant));
                            }
                            Theme.chat_radialProgress2Paint.setAlpha(50);
                            canvas.drawCircle(this.rect.centerX(), this.rect.centerY(), AndroidUtilities.dp(15.0f), Theme.chat_radialProgress2Paint);
                            Theme.chat_radialProgress2Paint.setAlpha(255);
                            canvas.drawArc(this.rect, -90.0f, progress * (-360.0f), false, Theme.chat_radialProgress2Paint);
                            String text2 = LocaleController.formatLocationLeftTime(Math.abs(this.currentMessageObject.messageOwner.media.period - (ConnectionsManager.getInstance(this.currentAccount).getCurrentTime() - this.currentMessageObject.messageOwner.date)));
                            float w = Theme.chat_livePaint.measureText(text2);
                            canvas.drawText(text2, this.rect.centerX() - (w / 2.0f), AndroidUtilities.dp(4.0f) + cy, Theme.chat_livePaint);
                            canvas.save();
                            canvas.translate(this.photoImage.getImageX() + AndroidUtilities.dp(10.0f), this.photoImage.getImageY2() + AndroidUtilities.dp(10.0f));
                            this.docTitleLayout.draw(canvas);
                            canvas.translate(0.0f, AndroidUtilities.dp(23.0f));
                            this.infoLayout.draw(canvas);
                            canvas.restore();
                        }
                        int cx = (this.photoImage.getImageX() + (this.photoImage.getImageWidth() / 2)) - AndroidUtilities.dp(31.0f);
                        int cy2 = (this.photoImage.getImageY() + (this.photoImage.getImageHeight() / 2)) - AndroidUtilities.dp(38.0f);
                        setDrawableBounds(Theme.chat_msgAvatarLiveLocationDrawable, cx, cy2);
                        Theme.chat_msgAvatarLiveLocationDrawable.draw(canvas);
                        this.locationImageReceiver.setImageCoords(AndroidUtilities.dp(5.0f) + cx, AndroidUtilities.dp(5.0f) + cy2, AndroidUtilities.dp(52.0f), AndroidUtilities.dp(52.0f));
                        this.locationImageReceiver.draw(canvas);
                    }
                }
                if (this.drawImageButton && this.photoImage.getVisible()) {
                    f2 = this.controlsAlpha;
                    if (f2 != 1.0f) {
                        this.radialProgress.setOverrideAlpha(f2);
                    }
                    this.radialProgress.draw(canvas);
                }
                if ((!this.drawVideoImageButton || this.animatingDrawVideoImageButton != 0) && this.photoImage.getVisible()) {
                    f = this.controlsAlpha;
                    if (f != 1.0f) {
                        this.videoRadialProgress.setOverrideAlpha(f);
                    }
                    this.videoRadialProgress.draw(canvas);
                }
                if (!this.drawPhotoCheckBox) {
                    int size = AndroidUtilities.dp(21.0f);
                    this.photoCheckBox.setColor(null, null, this.currentMessageObject.isOutOwner() ? Theme.key_chat_outBubbleSelected : Theme.key_chat_inBubbleSelected);
                    this.photoCheckBox.setBounds(this.photoImage.getImageX2() - AndroidUtilities.dp(25.0f), this.photoImage.getImageY() + AndroidUtilities.dp(4.0f), size, size);
                    this.photoCheckBox.draw(canvas);
                    return;
                }
                return;
            }
        }
        if (this.photoImage.getVisible()) {
            boolean playing = MediaController.getInstance().isPlayingMessage(this.currentMessageObject);
            if (this.animatingNoSoundPlaying != playing) {
                this.animatingNoSoundPlaying = playing;
                this.animatingNoSound = playing ? 1 : 2;
                this.animatingNoSoundProgress = playing ? 1.0f : 0.0f;
            }
            int i6 = this.buttonState;
            if (i6 == 1 || i6 == 2 || i6 == 0 || i6 == 3 || i6 == -1 || this.currentMessageObject.needDrawBluredPreview()) {
                if (this.autoPlayingMedia) {
                    updatePlayingMessageProgress();
                }
                if (this.infoLayout != null && (!this.forceNotDrawTime || this.autoPlayingMedia || this.drawVideoImageButton)) {
                    float alpha2 = (this.currentMessageObject.needDrawBluredPreview() && this.docTitleLayout == null) ? 0.0f : this.animatingDrawVideoImageButtonProgress;
                    Theme.chat_infoPaint.setColor(Theme.getColor(Theme.key_chat_mediaInfoText));
                    int x1 = this.photoImage.getImageX() + AndroidUtilities.dp(4.0f);
                    int y1 = this.photoImage.getImageY() + AndroidUtilities.dp(4.0f);
                    if (this.autoPlayingMedia && (!playing || this.animatingNoSound != 0)) {
                        imageW = (int) ((Theme.chat_msgNoSoundDrawable.getIntrinsicWidth() + AndroidUtilities.dp(4.0f)) * this.animatingNoSoundProgress);
                    } else {
                        imageW = 0;
                    }
                    int w2 = (int) Math.ceil(this.infoWidth + AndroidUtilities.dp(8.0f) + imageW + ((((Math.max(this.infoWidth + imageW, this.docTitleWidth) + (this.canStreamVideo ? AndroidUtilities.dp(32.0f) : 0)) - this.infoWidth) - imageW) * alpha2));
                    if (alpha2 != 0.0f && this.docTitleLayout == null) {
                        alpha2 = 0.0f;
                    }
                    this.rect.set(x1, y1, x1 + w2, AndroidUtilities.dp((15.5f * alpha2) + 16.5f) + y1);
                    int oldAlpha = Theme.chat_timeBackgroundPaint.getAlpha();
                    Theme.chat_timeBackgroundPaint.setAlpha((int) (oldAlpha * this.controlsAlpha));
                    canvas.drawRoundRect(this.rect, AndroidUtilities.dp(4.0f), AndroidUtilities.dp(4.0f), Theme.chat_timeBackgroundPaint);
                    Theme.chat_timeBackgroundPaint.setAlpha(oldAlpha);
                    Theme.chat_infoPaint.setAlpha((int) (this.controlsAlpha * 255.0f));
                    canvas.save();
                    int imageX2 = this.photoImage.getImageX() + AndroidUtilities.dp((this.canStreamVideo ? 30.0f * alpha2 : 0.0f) + 8.0f);
                    this.noSoundCenterX = imageX2;
                    canvas.translate(imageX2, this.photoImage.getImageY() + AndroidUtilities.dp((0.2f * alpha2) + 5.5f));
                    StaticLayout staticLayout2 = this.infoLayout;
                    if (staticLayout2 != null) {
                        staticLayout2.draw(canvas);
                    }
                    if (alpha2 > 0.0f && this.docTitleLayout != null) {
                        canvas.save();
                        Theme.chat_infoPaint.setAlpha((int) (this.controlsAlpha * 255.0f * alpha2));
                        canvas.translate(0.0f, AndroidUtilities.dp(14.3f * alpha2));
                        this.docTitleLayout.draw(canvas);
                        canvas.restore();
                    }
                    if (imageW != 0) {
                        Drawable drawable3 = Theme.chat_msgNoSoundDrawable;
                        float f8 = this.animatingNoSoundProgress;
                        drawable3.setAlpha((int) (this.controlsAlpha * 255.0f * f8 * f8));
                        canvas.translate(this.infoWidth + AndroidUtilities.dp(4.0f), 0.0f);
                        int size2 = AndroidUtilities.dp(this.animatingNoSoundProgress * 14.0f);
                        int y = (AndroidUtilities.dp(14.0f) - size2) / 2;
                        Theme.chat_msgNoSoundDrawable.setBounds(0, y, size2, y + size2);
                        Theme.chat_msgNoSoundDrawable.draw(canvas);
                        this.noSoundCenterX += this.infoWidth + AndroidUtilities.dp(4.0f) + (size2 / 2);
                    }
                    canvas.restore();
                    Theme.chat_infoPaint.setAlpha(255);
                }
            }
            int i7 = this.animatingDrawVideoImageButton;
            if (i7 == 1) {
                float f9 = this.animatingDrawVideoImageButtonProgress - (((float) animationDt) / 160.0f);
                this.animatingDrawVideoImageButtonProgress = f9;
                if (f9 <= 0.0f) {
                    this.animatingDrawVideoImageButtonProgress = 0.0f;
                    this.animatingDrawVideoImageButton = 0;
                }
                invalidate();
            } else if (i7 == 2) {
                float f10 = this.animatingDrawVideoImageButtonProgress + (((float) animationDt) / 160.0f);
                this.animatingDrawVideoImageButtonProgress = f10;
                if (f10 >= 1.0f) {
                    this.animatingDrawVideoImageButtonProgress = 1.0f;
                    this.animatingDrawVideoImageButton = 0;
                }
                invalidate();
            }
            int i8 = this.animatingNoSound;
            if (i8 == 1) {
                float f11 = this.animatingNoSoundProgress - (((float) animationDt) / 180.0f);
                this.animatingNoSoundProgress = f11;
                if (f11 <= 0.0f) {
                    this.animatingNoSoundProgress = 0.0f;
                    this.animatingNoSound = 0;
                }
                invalidate();
            } else if (i8 == 2) {
                float f12 = this.animatingNoSoundProgress + (((float) animationDt) / 180.0f);
                this.animatingNoSoundProgress = f12;
                if (f12 >= 1.0f) {
                    this.animatingNoSoundProgress = 1.0f;
                    this.animatingNoSound = 0;
                }
                invalidate();
            }
        }
        if (this.drawImageButton) {
            f2 = this.controlsAlpha;
            if (f2 != 1.0f) {
            }
            this.radialProgress.draw(canvas);
        }
        if (!this.drawVideoImageButton) {
        }
        f = this.controlsAlpha;
        if (f != 1.0f) {
        }
        this.videoRadialProgress.draw(canvas);
        if (!this.drawPhotoCheckBox) {
        }
    }

    @Override // im.uecahxyvjd.messenger.DownloadController.FileDownloadProgressListener
    public int getObserverTag() {
        return this.TAG;
    }

    public MessageObject getMessageObject() {
        MessageObject messageObject = this.messageObjectToSet;
        return messageObject != null ? messageObject : this.currentMessageObject;
    }

    public TLRPC.Document getStreamingMedia() {
        int i = this.documentAttachType;
        if (i == 4 || i == 7 || i == 2) {
            return this.documentAttach;
        }
        return null;
    }

    public boolean isPinnedBottom() {
        return this.pinnedBottom;
    }

    public boolean isPinnedTop() {
        return this.pinnedTop;
    }

    public MessageObject.GroupedMessages getCurrentMessagesGroup() {
        return this.currentMessagesGroup;
    }

    public MessageObject.GroupedMessagePosition getCurrentPosition() {
        return this.currentPosition;
    }

    public int getLayoutHeight() {
        return this.layoutHeight;
    }

    @Override // android.view.View
    public boolean performAccessibilityAction(int action, Bundle arguments) {
        if (action == 16) {
            int icon = getIconForCurrentState();
            if (icon != 4) {
                didPressButton(true, false);
            } else if (this.currentMessageObject.type == 16) {
                this.delegate.didPressOther(this, this.otherX, this.otherY);
            } else {
                didClickedImage();
            }
            return true;
        }
        if (action == R.id.acc_action_small_button) {
            didPressMiniButton(true);
        } else if (action == R.id.acc_action_msg_options && this.delegate != null) {
            if (this.currentMessageObject.type == 16) {
                this.delegate.didLongPress(this, 0.0f, 0.0f);
            } else {
                this.delegate.didPressOther(this, this.otherX, this.otherY);
            }
        }
        return super.performAccessibilityAction(action, arguments);
    }

    @Override // android.view.View
    public boolean onHoverEvent(MotionEvent event) {
        int x = (int) event.getX();
        int y = (int) event.getY();
        if (event.getAction() == 9 || event.getAction() == 7) {
            for (int i = 0; i < this.accessibilityVirtualViewBounds.size(); i++) {
                Rect rect = this.accessibilityVirtualViewBounds.valueAt(i);
                if (rect.contains(x, y)) {
                    int id = this.accessibilityVirtualViewBounds.keyAt(i);
                    if (id != this.currentFocusedVirtualView) {
                        this.currentFocusedVirtualView = id;
                        sendAccessibilityEventForVirtualView(id, 32768);
                        return true;
                    }
                    return true;
                }
            }
        } else if (event.getAction() == 10) {
            this.currentFocusedVirtualView = 0;
        }
        return super.onHoverEvent(event);
    }

    @Override // android.view.View
    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo info) {
        super.onInitializeAccessibilityNodeInfo(info);
    }

    @Override // android.view.View
    public AccessibilityNodeProvider getAccessibilityNodeProvider() {
        return new MessageAccessibilityNodeProvider();
    }

    public void sendAccessibilityEventForVirtualView(int viewId, int eventType) {
        AccessibilityManager am = (AccessibilityManager) getContext().getSystemService("accessibility");
        if (am.isTouchExplorationEnabled()) {
            AccessibilityEvent event = AccessibilityEvent.obtain(eventType);
            event.setPackageName(getContext().getPackageName());
            event.setSource(this, viewId);
            getParent().requestSendAccessibilityEvent(this, event);
        }
    }

    /* loaded from: classes9.dex */
    private class MessageAccessibilityNodeProvider extends AccessibilityNodeProvider {
        private final int BOT_BUTTONS_START;
        private final int INSTANT_VIEW;
        private final int LINK_IDS_START;
        private final int POLL_BUTTONS_START;
        private final int REPLY;
        private final int SHARE;
        private Path linkPath;
        private Rect rect;
        private RectF rectF;

        private MessageAccessibilityNodeProvider() {
            ChatMessageCell.this = r1;
            this.LINK_IDS_START = 2000;
            this.BOT_BUTTONS_START = 1000;
            this.POLL_BUTTONS_START = 500;
            this.INSTANT_VIEW = 499;
            this.SHARE = 498;
            this.REPLY = 497;
            this.linkPath = new Path();
            this.rectF = new RectF();
            this.rect = new Rect();
        }

        @Override // android.view.accessibility.AccessibilityNodeProvider
        public AccessibilityNodeInfo createAccessibilityNodeInfo(int virtualViewId) {
            boolean z;
            String str;
            int i;
            int[] pos = {0, 0};
            ChatMessageCell.this.getLocationOnScreen(pos);
            if (virtualViewId == -1) {
                AccessibilityNodeInfo info = AccessibilityNodeInfo.obtain(ChatMessageCell.this);
                ChatMessageCell.this.onInitializeAccessibilityNodeInfo(info);
                StringBuilder sb = new StringBuilder();
                if (ChatMessageCell.this.isChat && ChatMessageCell.this.currentUser != null && !ChatMessageCell.this.currentMessageObject.isOut()) {
                    sb.append(UserObject.getName(ChatMessageCell.this.currentUser));
                    sb.append('\n');
                }
                if (!TextUtils.isEmpty(ChatMessageCell.this.currentMessageObject.messageText)) {
                    sb.append(ChatMessageCell.this.currentMessageObject.messageText);
                }
                if (!ChatMessageCell.this.currentMessageObject.isMusic()) {
                    if (ChatMessageCell.this.currentMessageObject.isVoice() || ChatMessageCell.this.currentMessageObject.isRoundVideo()) {
                        sb.append(", ");
                        sb.append(LocaleController.formatCallDuration(ChatMessageCell.this.currentMessageObject.getDuration()));
                        if (ChatMessageCell.this.currentMessageObject.isContentUnread()) {
                            sb.append(", ");
                            sb.append(LocaleController.getString("AccDescrMsgNotPlayed", R.string.AccDescrMsgNotPlayed));
                        }
                    }
                } else {
                    sb.append("\n");
                    sb.append(LocaleController.formatString("AccDescrMusicInfo", R.string.AccDescrMusicInfo, ChatMessageCell.this.currentMessageObject.getMusicAuthor(), ChatMessageCell.this.currentMessageObject.getMusicTitle()));
                }
                if (ChatMessageCell.this.lastPoll != null) {
                    sb.append(", ");
                    sb.append(ChatMessageCell.this.lastPoll.question);
                    sb.append(", ");
                    sb.append(LocaleController.getString("AnonymousPoll", R.string.AnonymousPoll));
                }
                if (ChatMessageCell.this.currentMessageObject.messageOwner.media != null && !TextUtils.isEmpty(ChatMessageCell.this.currentMessageObject.caption)) {
                    sb.append("\n");
                    sb.append(ChatMessageCell.this.currentMessageObject.caption);
                }
                sb.append("\n");
                CharSequence time = LocaleController.getString("TodayAt", R.string.TodayAt) + " " + ChatMessageCell.this.currentTimeString;
                if (ChatMessageCell.this.currentMessageObject.isOut()) {
                    sb.append(LocaleController.formatString("AccDescrSentDate", R.string.AccDescrSentDate, time));
                    sb.append(", ");
                    if (ChatMessageCell.this.currentMessageObject.isUnread()) {
                        str = "AccDescrMsgUnread";
                        i = R.string.AccDescrMsgUnread;
                    } else {
                        str = "AccDescrMsgRead";
                        i = R.string.AccDescrMsgRead;
                    }
                    sb.append(LocaleController.getString(str, i));
                } else {
                    sb.append(LocaleController.formatString("AccDescrReceivedDate", R.string.AccDescrReceivedDate, time));
                }
                info.setContentDescription(sb.toString());
                info.setEnabled(true);
                AccessibilityNodeInfo.CollectionItemInfo itemInfo = info.getCollectionItemInfo();
                if (itemInfo != null) {
                    info.setCollectionItemInfo(AccessibilityNodeInfo.CollectionItemInfo.obtain(itemInfo.getRowIndex(), 1, 0, 1, false));
                }
                info.addAction(new AccessibilityNodeInfo.AccessibilityAction(R.id.acc_action_msg_options, LocaleController.getString("AccActionMessageOptions", R.string.AccActionMessageOptions)));
                int icon = ChatMessageCell.this.getIconForCurrentState();
                CharSequence actionLabel = null;
                switch (icon) {
                    case 0:
                        actionLabel = LocaleController.getString("AccActionPlay", R.string.AccActionPlay);
                        break;
                    case 1:
                        actionLabel = LocaleController.getString("AccActionPause", R.string.AccActionPause);
                        break;
                    case 2:
                        actionLabel = LocaleController.getString("AccActionDownload", R.string.AccActionDownload);
                        break;
                    case 3:
                        actionLabel = LocaleController.getString("AccActionCancelDownload", R.string.AccActionCancelDownload);
                        break;
                    case 4:
                    default:
                        if (ChatMessageCell.this.currentMessageObject.type == 16) {
                            actionLabel = LocaleController.getString("CallAgain", R.string.CallAgain);
                            break;
                        }
                        break;
                    case 5:
                        actionLabel = LocaleController.getString("AccActionOpenFile", R.string.AccActionOpenFile);
                        break;
                }
                info.addAction(new AccessibilityNodeInfo.AccessibilityAction(16, actionLabel));
                info.addAction(new AccessibilityNodeInfo.AccessibilityAction(32, LocaleController.getString("AccActionEnterSelectionMode", R.string.AccActionEnterSelectionMode)));
                int smallIcon = ChatMessageCell.this.getMiniIconForCurrentState();
                if (smallIcon == 2) {
                    info.addAction(new AccessibilityNodeInfo.AccessibilityAction(R.id.acc_action_small_button, LocaleController.getString("AccActionDownload", R.string.AccActionDownload)));
                }
                if (ChatMessageCell.this.currentMessageObject.messageText instanceof Spannable) {
                    Spannable buffer = (Spannable) ChatMessageCell.this.currentMessageObject.messageText;
                    CharacterStyle[] links = (CharacterStyle[]) buffer.getSpans(0, buffer.length(), ClickableSpan.class);
                    int i2 = 0;
                    for (CharacterStyle characterStyle : links) {
                        info.addChild(ChatMessageCell.this, i2 + 2000);
                        i2++;
                    }
                }
                int i3 = 0;
                Iterator it = ChatMessageCell.this.botButtons.iterator();
                while (it.hasNext()) {
                    BotButton botButton = (BotButton) it.next();
                    info.addChild(ChatMessageCell.this, i3 + 1000);
                    i3++;
                }
                int i4 = 0;
                Iterator it2 = ChatMessageCell.this.pollButtons.iterator();
                while (it2.hasNext()) {
                    PollButton pollButton = (PollButton) it2.next();
                    info.addChild(ChatMessageCell.this, i4 + 500);
                    i4++;
                }
                if (ChatMessageCell.this.drawInstantView) {
                    info.addChild(ChatMessageCell.this, 499);
                }
                if (ChatMessageCell.this.drawShareButton) {
                    info.addChild(ChatMessageCell.this, 498);
                }
                if (ChatMessageCell.this.replyNameLayout != null) {
                    info.addChild(ChatMessageCell.this, 497);
                }
                if (ChatMessageCell.this.drawSelectionBackground || ChatMessageCell.this.getBackground() != null) {
                    info.setSelected(true);
                }
                return info;
            }
            AccessibilityNodeInfo info2 = AccessibilityNodeInfo.obtain();
            info2.setSource(ChatMessageCell.this, virtualViewId);
            info2.setParent(ChatMessageCell.this);
            info2.setPackageName(ChatMessageCell.this.getContext().getPackageName());
            if (virtualViewId >= 2000) {
                Spannable buffer2 = (Spannable) ChatMessageCell.this.currentMessageObject.messageText;
                ClickableSpan link = getLinkById(virtualViewId);
                if (link == null) {
                    return null;
                }
                int[] linkPos = ChatMessageCell.this.getRealSpanStartAndEnd(buffer2, link);
                String content = buffer2.subSequence(linkPos[0], linkPos[1]).toString();
                info2.setText(content);
                Iterator<MessageObject.TextLayoutBlock> it3 = ChatMessageCell.this.currentMessageObject.textLayoutBlocks.iterator();
                while (true) {
                    if (!it3.hasNext()) {
                        break;
                    }
                    MessageObject.TextLayoutBlock block = it3.next();
                    int length = block.textLayout.getText().length();
                    if (block.charactersOffset <= linkPos[0] && block.charactersOffset + length >= linkPos[1]) {
                        block.textLayout.getSelectionPath(linkPos[0] - block.charactersOffset, linkPos[1] - block.charactersOffset, this.linkPath);
                        this.linkPath.computeBounds(this.rectF, true);
                        this.rect.set((int) this.rectF.left, (int) this.rectF.top, (int) this.rectF.right, (int) this.rectF.bottom);
                        this.rect.offset(0, (int) block.textYOffset);
                        this.rect.offset(ChatMessageCell.this.textX, ChatMessageCell.this.textY);
                        info2.setBoundsInParent(this.rect);
                        if (ChatMessageCell.this.accessibilityVirtualViewBounds.get(virtualViewId) == null) {
                            ChatMessageCell.this.accessibilityVirtualViewBounds.put(virtualViewId, new Rect(this.rect));
                        }
                        this.rect.offset(pos[0], pos[1]);
                        info2.setBoundsInScreen(this.rect);
                    }
                }
                info2.setClassName("android.widget.TextView");
                info2.setEnabled(true);
                info2.setClickable(true);
                info2.setLongClickable(true);
                info2.addAction(16);
                info2.addAction(32);
                z = true;
            } else if (virtualViewId >= 1000) {
                int buttonIndex = virtualViewId - 1000;
                if (buttonIndex >= ChatMessageCell.this.botButtons.size()) {
                    return null;
                }
                BotButton button = (BotButton) ChatMessageCell.this.botButtons.get(buttonIndex);
                info2.setText(button.title.getText());
                info2.setClassName("android.widget.Button");
                info2.setEnabled(true);
                info2.setClickable(true);
                info2.addAction(16);
                this.rect.set(button.x, button.y, button.x + button.width, button.y + button.height);
                this.rect.offset(ChatMessageCell.this.currentMessageObject.isOutOwner() ? (ChatMessageCell.this.getMeasuredWidth() - ChatMessageCell.this.widthForButtons) - AndroidUtilities.dp(10.0f) : AndroidUtilities.dp(ChatMessageCell.this.mediaBackground ? 1.0f : 7.0f) + ChatMessageCell.this.backgroundDrawableLeft, ChatMessageCell.this.layoutHeight);
                info2.setBoundsInParent(this.rect);
                if (ChatMessageCell.this.accessibilityVirtualViewBounds.get(virtualViewId) == null) {
                    ChatMessageCell.this.accessibilityVirtualViewBounds.put(virtualViewId, new Rect(this.rect));
                }
                this.rect.offset(pos[0], pos[1]);
                info2.setBoundsInScreen(this.rect);
                z = true;
            } else if (virtualViewId >= 500) {
                int buttonIndex2 = virtualViewId - 500;
                if (buttonIndex2 >= ChatMessageCell.this.pollButtons.size()) {
                    return null;
                }
                PollButton button2 = (PollButton) ChatMessageCell.this.pollButtons.get(buttonIndex2);
                info2.setText(button2.title.getText());
                if (ChatMessageCell.this.pollVoted) {
                    info2.setText(((Object) info2.getText()) + ", " + button2.percent + "%");
                } else {
                    info2.setClassName("android.widget.Button");
                }
                info2.setEnabled(true);
                info2.addAction(16);
                int width = ChatMessageCell.this.backgroundWidth - AndroidUtilities.dp(76.0f);
                this.rect.set(button2.x, button2.y, button2.x + width, button2.y + button2.height);
                info2.setBoundsInParent(this.rect);
                if (ChatMessageCell.this.accessibilityVirtualViewBounds.get(virtualViewId) == null) {
                    ChatMessageCell.this.accessibilityVirtualViewBounds.put(virtualViewId, new Rect(this.rect));
                }
                this.rect.offset(pos[0], pos[1]);
                info2.setBoundsInScreen(this.rect);
                info2.setClickable(true);
                z = true;
            } else if (virtualViewId == 499) {
                info2.setClassName("android.widget.Button");
                info2.setEnabled(true);
                if (ChatMessageCell.this.instantViewLayout != null) {
                    info2.setText(ChatMessageCell.this.instantViewLayout.getText());
                }
                info2.addAction(16);
                int textX = ChatMessageCell.this.photoImage.getImageX();
                int instantY = ChatMessageCell.this.getMeasuredHeight() - AndroidUtilities.dp(64.0f);
                int addX = ChatMessageCell.this.currentMessageObject.isOutOwner() ? (ChatMessageCell.this.getMeasuredWidth() - ChatMessageCell.this.widthForButtons) - AndroidUtilities.dp(10.0f) : AndroidUtilities.dp(ChatMessageCell.this.mediaBackground ? 1.0f : 7.0f) + ChatMessageCell.this.backgroundDrawableLeft;
                this.rect.set(textX + addX, instantY, ChatMessageCell.this.instantWidth + textX + addX, AndroidUtilities.dp(38.0f) + instantY);
                info2.setBoundsInParent(this.rect);
                if (ChatMessageCell.this.accessibilityVirtualViewBounds.get(virtualViewId) == null || !((Rect) ChatMessageCell.this.accessibilityVirtualViewBounds.get(virtualViewId)).equals(this.rect)) {
                    ChatMessageCell.this.accessibilityVirtualViewBounds.put(virtualViewId, new Rect(this.rect));
                }
                this.rect.offset(pos[0], pos[1]);
                info2.setBoundsInScreen(this.rect);
                info2.setClickable(true);
                z = true;
            } else if (virtualViewId == 498) {
                info2.setClassName("android.widget.ImageButton");
                info2.setEnabled(true);
                ChatMessageCell chatMessageCell = ChatMessageCell.this;
                if (chatMessageCell.isOpenChatByShare(chatMessageCell.currentMessageObject)) {
                    info2.setContentDescription(LocaleController.getString("AccDescrOpenChat", R.string.AccDescrOpenChat));
                } else {
                    info2.setContentDescription(LocaleController.getString("ShareFile", R.string.ShareFile));
                }
                info2.addAction(16);
                this.rect.set(ChatMessageCell.this.shareStartX, ChatMessageCell.this.shareStartY, ChatMessageCell.this.shareStartX + AndroidUtilities.dp(40.0f), ChatMessageCell.this.shareStartY + AndroidUtilities.dp(32.0f));
                info2.setBoundsInParent(this.rect);
                if (ChatMessageCell.this.accessibilityVirtualViewBounds.get(virtualViewId) == null || !((Rect) ChatMessageCell.this.accessibilityVirtualViewBounds.get(virtualViewId)).equals(this.rect)) {
                    ChatMessageCell.this.accessibilityVirtualViewBounds.put(virtualViewId, new Rect(this.rect));
                }
                this.rect.offset(pos[0], pos[1]);
                info2.setBoundsInScreen(this.rect);
                info2.setClickable(true);
                z = true;
            } else if (virtualViewId != 497) {
                z = true;
            } else {
                info2.setEnabled(true);
                StringBuilder sb2 = new StringBuilder();
                sb2.append(LocaleController.getString("Reply", R.string.Reply));
                sb2.append(", ");
                if (ChatMessageCell.this.replyNameLayout != null) {
                    sb2.append(ChatMessageCell.this.replyNameLayout.getText());
                    sb2.append(", ");
                }
                if (ChatMessageCell.this.replyTextLayout != null) {
                    sb2.append(ChatMessageCell.this.replyTextLayout.getText());
                }
                info2.setContentDescription(sb2.toString());
                info2.addAction(16);
                this.rect.set(ChatMessageCell.this.replyStartX, ChatMessageCell.this.replyStartY, ChatMessageCell.this.replyStartX + Math.max(ChatMessageCell.this.replyNameWidth, ChatMessageCell.this.replyTextWidth), ChatMessageCell.this.replyStartY + AndroidUtilities.dp(35.0f));
                info2.setBoundsInParent(this.rect);
                if (ChatMessageCell.this.accessibilityVirtualViewBounds.get(virtualViewId) == null || !((Rect) ChatMessageCell.this.accessibilityVirtualViewBounds.get(virtualViewId)).equals(this.rect)) {
                    ChatMessageCell.this.accessibilityVirtualViewBounds.put(virtualViewId, new Rect(this.rect));
                }
                z = true;
                this.rect.offset(pos[0], pos[1]);
                info2.setBoundsInScreen(this.rect);
                info2.setClickable(true);
            }
            info2.setFocusable(z);
            info2.setVisibleToUser(z);
            return info2;
        }

        @Override // android.view.accessibility.AccessibilityNodeProvider
        public boolean performAction(int virtualViewId, int action, Bundle arguments) {
            ClickableSpan link;
            if (virtualViewId == -1) {
                ChatMessageCell.this.performAccessibilityAction(action, arguments);
            } else if (action == 64) {
                ChatMessageCell.this.sendAccessibilityEventForVirtualView(virtualViewId, 32768);
            } else if (action == 16) {
                if (virtualViewId >= 2000) {
                    ClickableSpan link2 = getLinkById(virtualViewId);
                    if (link2 != null) {
                        ChatMessageCell.this.delegate.didPressUrl(ChatMessageCell.this, link2, false);
                        ChatMessageCell.this.sendAccessibilityEventForVirtualView(virtualViewId, 1);
                    }
                } else if (virtualViewId >= 1000) {
                    int buttonIndex = virtualViewId - 1000;
                    if (buttonIndex >= ChatMessageCell.this.botButtons.size()) {
                        return false;
                    }
                    BotButton button = (BotButton) ChatMessageCell.this.botButtons.get(buttonIndex);
                    if (ChatMessageCell.this.delegate != null) {
                        if (button.button != null) {
                            ChatMessageCell.this.delegate.didPressBotButton(ChatMessageCell.this, button.button);
                        } else if (button.reaction != null) {
                            ChatMessageCell.this.delegate.didPressReaction(ChatMessageCell.this, button.reaction);
                        }
                    }
                    ChatMessageCell.this.sendAccessibilityEventForVirtualView(virtualViewId, 1);
                } else if (virtualViewId >= 500) {
                    int buttonIndex2 = virtualViewId - 500;
                    if (buttonIndex2 >= ChatMessageCell.this.pollButtons.size()) {
                        return false;
                    }
                    PollButton button2 = (PollButton) ChatMessageCell.this.pollButtons.get(buttonIndex2);
                    if (ChatMessageCell.this.delegate != null) {
                        ChatMessageCell.this.delegate.didPressVoteButton(ChatMessageCell.this, button2.answer);
                    }
                    ChatMessageCell.this.sendAccessibilityEventForVirtualView(virtualViewId, 1);
                } else if (virtualViewId == 499) {
                    if (ChatMessageCell.this.delegate != null) {
                        ChatMessageCellDelegate chatMessageCellDelegate = ChatMessageCell.this.delegate;
                        ChatMessageCell chatMessageCell = ChatMessageCell.this;
                        chatMessageCellDelegate.didPressInstantButton(chatMessageCell, chatMessageCell.drawInstantViewType);
                    }
                } else if (virtualViewId == 498) {
                    if (ChatMessageCell.this.delegate != null) {
                        ChatMessageCell.this.delegate.didPressShare(ChatMessageCell.this);
                    }
                } else if (virtualViewId == 497 && ChatMessageCell.this.delegate != null) {
                    ChatMessageCellDelegate chatMessageCellDelegate2 = ChatMessageCell.this.delegate;
                    ChatMessageCell chatMessageCell2 = ChatMessageCell.this;
                    chatMessageCellDelegate2.didPressReplyMessage(chatMessageCell2, chatMessageCell2.currentMessageObject.messageOwner.reply_to_msg_id);
                }
            } else if (action == 32 && (link = getLinkById(virtualViewId)) != null) {
                ChatMessageCell.this.delegate.didPressUrl(ChatMessageCell.this, link, true);
                ChatMessageCell.this.sendAccessibilityEventForVirtualView(virtualViewId, 2);
            }
            return true;
        }

        private ClickableSpan getLinkById(int id) {
            int id2 = id - 2000;
            if (ChatMessageCell.this.currentMessageObject.messageText instanceof Spannable) {
                Spannable buffer = (Spannable) ChatMessageCell.this.currentMessageObject.messageText;
                ClickableSpan[] links = (ClickableSpan[]) buffer.getSpans(0, buffer.length(), ClickableSpan.class);
                if (links.length <= id2) {
                    return null;
                }
                return links[id2];
            }
            return null;
        }
    }

    private void setTransValues() {
    }

    private String getLiveState(int iState) {
        switch (iState) {
            case 1:
            case 2:
            case 3:
            case 4:
            case 5:
            case 6:
                return "直播中";
            case 7:
            case 8:
            case 9:
                return "已结束";
            default:
                return "直播中";
        }
    }

    /* loaded from: classes9.dex */
    private class MyTypeEvaluator implements TypeEvaluator {
        private MyTypeEvaluator() {
            ChatMessageCell.this = r1;
        }

        @Override // android.animation.TypeEvaluator
        public Object evaluate(float fraction, Object startValue, Object endValue) {
            return null;
        }
    }
}
