package im.uecahxyvjd.ui.cells;

import android.content.Context;
import android.graphics.Canvas;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextUtils;
import android.view.MotionEvent;
import android.view.View;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.animation.AccelerateInterpolator;
import com.google.android.exoplayer2.util.MimeTypes;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.DownloadController;
import im.uecahxyvjd.messenger.Emoji;
import im.uecahxyvjd.messenger.FileLoader;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.ImageLoader;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.ImageReceiver;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MediaController;
import im.uecahxyvjd.messenger.MessageObject;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.Utilities;
import im.uecahxyvjd.messenger.WebFile;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.PhotoViewer;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.LetterDrawable;
import im.uecahxyvjd.ui.components.RadialProgress2;
import java.io.File;
import java.util.ArrayList;
import java.util.Locale;
/* loaded from: classes9.dex */
public class ContextLinkCell extends View implements DownloadController.FileDownloadProgressListener {
    private static final int DOCUMENT_ATTACH_TYPE_AUDIO = 3;
    private static final int DOCUMENT_ATTACH_TYPE_DOCUMENT = 1;
    private static final int DOCUMENT_ATTACH_TYPE_GEO = 8;
    private static final int DOCUMENT_ATTACH_TYPE_GIF = 2;
    private static final int DOCUMENT_ATTACH_TYPE_MUSIC = 5;
    private static final int DOCUMENT_ATTACH_TYPE_NONE = 0;
    private static final int DOCUMENT_ATTACH_TYPE_PHOTO = 7;
    private static final int DOCUMENT_ATTACH_TYPE_STICKER = 6;
    private static final int DOCUMENT_ATTACH_TYPE_VIDEO = 4;
    private static AccelerateInterpolator interpolator = new AccelerateInterpolator(0.5f);
    private int TAG;
    private boolean buttonPressed;
    private int buttonState;
    private boolean canPreviewGif;
    private int currentAccount;
    private MessageObject currentMessageObject;
    private TLRPC.PhotoSize currentPhotoObject;
    private ContextLinkCellDelegate delegate;
    private StaticLayout descriptionLayout;
    private int descriptionY;
    private TLRPC.Document documentAttach;
    private int documentAttachType;
    private boolean drawLinkImageView;
    private TLRPC.BotInlineResult inlineResult;
    private long lastUpdateTime;
    private LetterDrawable letterDrawable;
    private ImageReceiver linkImageView;
    private StaticLayout linkLayout;
    private int linkY;
    private boolean mediaWebpage;
    private boolean needDivider;
    private boolean needShadow;
    private Object parentObject;
    private TLRPC.Photo photoAttach;
    private RadialProgress2 radialProgress;
    private float scale;
    private boolean scaled;
    private StaticLayout titleLayout;
    private int titleY;

    /* loaded from: classes9.dex */
    public interface ContextLinkCellDelegate {
        void didPressedImage(ContextLinkCell contextLinkCell);
    }

    public ContextLinkCell(Context context) {
        super(context);
        this.currentAccount = UserConfig.selectedAccount;
        this.titleY = AndroidUtilities.dp(7.0f);
        this.descriptionY = AndroidUtilities.dp(27.0f);
        ImageReceiver imageReceiver = new ImageReceiver(this);
        this.linkImageView = imageReceiver;
        imageReceiver.setLayerNum(1);
        this.linkImageView.setUseSharedAnimationQueue(true);
        this.letterDrawable = new LetterDrawable();
        this.radialProgress = new RadialProgress2(this);
        this.TAG = DownloadController.getInstance(this.currentAccount).generateObserverTag();
        setFocusable(true);
    }

    /* JADX WARN: Removed duplicated region for block: B:112:0x02bf  */
    /* JADX WARN: Removed duplicated region for block: B:123:0x02e7 A[ADDED_TO_REGION] */
    /* JADX WARN: Removed duplicated region for block: B:126:0x02ed  */
    /* JADX WARN: Removed duplicated region for block: B:129:0x02fb  */
    /* JADX WARN: Removed duplicated region for block: B:134:0x030c A[ADDED_TO_REGION] */
    /* JADX WARN: Removed duplicated region for block: B:138:0x0318  */
    /* JADX WARN: Removed duplicated region for block: B:144:0x0326  */
    /* JADX WARN: Removed duplicated region for block: B:148:0x0387  */
    /* JADX WARN: Removed duplicated region for block: B:151:0x0390  */
    /* JADX WARN: Removed duplicated region for block: B:152:0x0392  */
    /* JADX WARN: Removed duplicated region for block: B:155:0x039a  */
    /* JADX WARN: Removed duplicated region for block: B:161:0x040d  */
    /* JADX WARN: Removed duplicated region for block: B:176:0x04e0  */
    /* JADX WARN: Removed duplicated region for block: B:180:0x051e  */
    /* JADX WARN: Removed duplicated region for block: B:205:0x0140 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:53:0x0186  */
    /* JADX WARN: Removed duplicated region for block: B:57:0x0194  */
    /* JADX WARN: Removed duplicated region for block: B:70:0x01d6  */
    /* JADX WARN: Removed duplicated region for block: B:79:0x01f6  */
    /* JADX WARN: Type inference failed for: r2v1 */
    /* JADX WARN: Type inference failed for: r2v10 */
    /* JADX WARN: Type inference failed for: r2v12 */
    /* JADX WARN: Type inference failed for: r2v13 */
    /* JADX WARN: Type inference failed for: r2v2, types: [boolean, int] */
    @Override // android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        ArrayList<TLRPC.PhotoSize> photoThumbs;
        ArrayList<TLRPC.PhotoSize> photoThumbs2;
        ?? r2;
        TLRPC.Document document;
        TLRPC.BotInlineResult botInlineResult;
        int w;
        int h;
        String currentPhotoFilter;
        float f;
        int x;
        TLRPC.BotInlineResult botInlineResult2;
        char c;
        char c2;
        boolean z;
        CharSequence linkFinal;
        this.drawLinkImageView = false;
        this.descriptionLayout = null;
        this.titleLayout = null;
        this.linkLayout = null;
        this.currentPhotoObject = null;
        this.linkY = AndroidUtilities.dp(27.0f);
        if (this.inlineResult == null && this.documentAttach == null) {
            setMeasuredDimension(AndroidUtilities.dp(100.0f), AndroidUtilities.dp(100.0f));
            return;
        }
        int viewWidth = View.MeasureSpec.getSize(widthMeasureSpec);
        int maxWidth = (viewWidth - AndroidUtilities.dp(AndroidUtilities.leftBaseline)) - AndroidUtilities.dp(8.0f);
        TLRPC.PhotoSize currentPhotoObjectThumb = null;
        WebFile webFile = null;
        TLRPC.TL_webDocument webDocument = null;
        String urlLocation = null;
        if (this.documentAttach != null) {
            ArrayList<TLRPC.PhotoSize> photoThumbs3 = new ArrayList<>(this.documentAttach.thumbs);
            photoThumbs = photoThumbs3;
        } else {
            TLRPC.BotInlineResult botInlineResult3 = this.inlineResult;
            if (botInlineResult3 != null && botInlineResult3.photo != null) {
                ArrayList<TLRPC.PhotoSize> photoThumbs4 = new ArrayList<>(this.inlineResult.photo.sizes);
                photoThumbs = photoThumbs4;
            } else {
                photoThumbs = null;
            }
        }
        if (this.mediaWebpage || (botInlineResult2 = this.inlineResult) == null) {
            photoThumbs2 = photoThumbs;
            r2 = 1;
        } else {
            if (botInlineResult2.title != null) {
                try {
                    CharSequence titleFinal = TextUtils.ellipsize(Emoji.replaceEmoji(this.inlineResult.title.replace('\n', ' '), Theme.chat_contextResult_titleTextPaint.getFontMetricsInt(), AndroidUtilities.dp(15.0f), false), Theme.chat_contextResult_titleTextPaint, Math.min((int) Math.ceil(Theme.chat_contextResult_titleTextPaint.measureText(this.inlineResult.title)), maxWidth), TextUtils.TruncateAt.END);
                    this.titleLayout = new StaticLayout(titleFinal, Theme.chat_contextResult_titleTextPaint, maxWidth + AndroidUtilities.dp(4.0f), Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                } catch (Exception e) {
                    FileLog.e(e);
                }
                this.letterDrawable.setTitle(this.inlineResult.title);
            }
            if (this.inlineResult.description == null) {
                c = ' ';
                c2 = '\n';
            } else {
                try {
                    c2 = '\n';
                    c = ' ';
                } catch (Exception e2) {
                    e = e2;
                    c = ' ';
                    c2 = '\n';
                }
                try {
                    StaticLayout generateStaticLayout = ChatMessageCell.generateStaticLayout(Emoji.replaceEmoji(this.inlineResult.description, Theme.chat_contextResult_descriptionTextPaint.getFontMetricsInt(), AndroidUtilities.dp(13.0f), false), Theme.chat_contextResult_descriptionTextPaint, maxWidth, maxWidth, 0, 3);
                    this.descriptionLayout = generateStaticLayout;
                    if (generateStaticLayout.getLineCount() > 0) {
                        int i = this.descriptionY;
                        StaticLayout staticLayout = this.descriptionLayout;
                        this.linkY = i + staticLayout.getLineBottom(staticLayout.getLineCount() - 1) + AndroidUtilities.dp(1.0f);
                    }
                } catch (Exception e3) {
                    e = e3;
                    FileLog.e(e);
                    if (this.inlineResult.url != null) {
                    }
                    String ext = null;
                    document = this.documentAttach;
                    if (document != null) {
                    }
                    botInlineResult = this.inlineResult;
                    if (botInlineResult != null) {
                    }
                    w = 0;
                    h = 0;
                    if (this.documentAttach != null) {
                    }
                    if (w != 0) {
                    }
                    if (this.currentPhotoObject != null) {
                    }
                    if (w != 0) {
                    }
                    int dp = AndroidUtilities.dp(80.0f);
                    h = dp;
                    w = dp;
                    if (this.documentAttach == null) {
                    }
                    String currentPhotoFilterThumb = "52_52_b";
                    if (this.mediaWebpage) {
                    }
                    this.linkImageView.setAspectFit(this.documentAttachType == 6);
                    if (this.documentAttachType == 2) {
                    }
                    this.drawLinkImageView = r2;
                    if (this.mediaWebpage) {
                    }
                }
            }
            if (this.inlineResult.url != null) {
                photoThumbs2 = photoThumbs;
                r2 = 1;
            } else {
                try {
                    linkFinal = TextUtils.ellipsize(this.inlineResult.url.replace(c2, c), Theme.chat_contextResult_descriptionTextPaint, Math.min((int) Math.ceil(Theme.chat_contextResult_descriptionTextPaint.measureText(this.inlineResult.url)), maxWidth), TextUtils.TruncateAt.MIDDLE);
                    z = true;
                    r2 = 1;
                    photoThumbs2 = photoThumbs;
                } catch (Exception e4) {
                    e = e4;
                    photoThumbs2 = photoThumbs;
                    z = true;
                }
                try {
                    this.linkLayout = new StaticLayout(linkFinal, Theme.chat_contextResult_descriptionTextPaint, maxWidth, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                } catch (Exception e5) {
                    e = e5;
                    FileLog.e(e);
                    r2 = z;
                    String ext2 = null;
                    document = this.documentAttach;
                    if (document != null) {
                    }
                    botInlineResult = this.inlineResult;
                    if (botInlineResult != null) {
                    }
                    w = 0;
                    h = 0;
                    if (this.documentAttach != null) {
                    }
                    if (w != 0) {
                    }
                    if (this.currentPhotoObject != null) {
                    }
                    if (w != 0) {
                    }
                    int dp2 = AndroidUtilities.dp(80.0f);
                    h = dp2;
                    w = dp2;
                    if (this.documentAttach == null) {
                    }
                    String currentPhotoFilterThumb2 = "52_52_b";
                    if (this.mediaWebpage) {
                    }
                    this.linkImageView.setAspectFit(this.documentAttachType == 6);
                    if (this.documentAttachType == 2) {
                    }
                    this.drawLinkImageView = r2;
                    if (this.mediaWebpage) {
                    }
                }
            }
        }
        String ext22 = null;
        document = this.documentAttach;
        if (document != null) {
            if (MessageObject.isGifDocument(document)) {
                this.currentPhotoObject = FileLoader.getClosestPhotoSizeWithSize(this.documentAttach.thumbs, 90);
            } else if (MessageObject.isStickerDocument(this.documentAttach) || MessageObject.isAnimatedStickerDocument(this.documentAttach)) {
                this.currentPhotoObject = FileLoader.getClosestPhotoSizeWithSize(this.documentAttach.thumbs, 90);
                ext22 = "webp";
            } else {
                int i2 = this.documentAttachType;
                if (i2 != 5 && i2 != 3) {
                    this.currentPhotoObject = FileLoader.getClosestPhotoSizeWithSize(this.documentAttach.thumbs, 90);
                }
            }
        } else {
            TLRPC.BotInlineResult botInlineResult4 = this.inlineResult;
            if (botInlineResult4 != null && botInlineResult4.photo != null) {
                this.currentPhotoObject = FileLoader.getClosestPhotoSizeWithSize(photoThumbs2, AndroidUtilities.getPhotoSize(), r2);
                currentPhotoObjectThumb = FileLoader.getClosestPhotoSizeWithSize(photoThumbs2, 80);
                if (currentPhotoObjectThumb == this.currentPhotoObject) {
                    currentPhotoObjectThumb = null;
                }
            }
        }
        botInlineResult = this.inlineResult;
        if (botInlineResult != null) {
            if ((botInlineResult.content instanceof TLRPC.TL_webDocument) && this.inlineResult.type != null) {
                if (this.inlineResult.type.startsWith("gif")) {
                    webDocument = (TLRPC.TL_webDocument) this.inlineResult.content;
                    this.documentAttachType = 2;
                } else if (this.inlineResult.type.equals("photo")) {
                    webDocument = this.inlineResult.thumb instanceof TLRPC.TL_webDocument ? (TLRPC.TL_webDocument) this.inlineResult.thumb : (TLRPC.TL_webDocument) this.inlineResult.content;
                }
            }
            if (webDocument == null && (this.inlineResult.thumb instanceof TLRPC.TL_webDocument)) {
                webDocument = (TLRPC.TL_webDocument) this.inlineResult.thumb;
            }
            if (webDocument == null && this.currentPhotoObject == null && currentPhotoObjectThumb == null && ((this.inlineResult.send_message instanceof TLRPC.TL_botInlineMessageMediaVenue) || (this.inlineResult.send_message instanceof TLRPC.TL_botInlineMessageMediaGeo))) {
                double lat = this.inlineResult.send_message.geo.lat;
                double lon = this.inlineResult.send_message.geo._long;
                if (MessagesController.getInstance(this.currentAccount).mapProvider == 2) {
                    webFile = WebFile.createWithGeoPoint(this.inlineResult.send_message.geo, 72, 72, 15, Math.min(2, (int) Math.ceil(AndroidUtilities.density)));
                } else {
                    urlLocation = AndroidUtilities.formapMapUrl(this.currentAccount, lat, lon, 72, 72, true, 15);
                }
            }
            if (webDocument != null) {
                webFile = WebFile.createWithWebDocument(webDocument);
            }
        }
        w = 0;
        h = 0;
        if (this.documentAttach != null) {
            for (int b = 0; b < this.documentAttach.attributes.size(); b++) {
                TLRPC.DocumentAttribute attribute = this.documentAttach.attributes.get(b);
                if ((attribute instanceof TLRPC.TL_documentAttributeImageSize) || (attribute instanceof TLRPC.TL_documentAttributeVideo)) {
                    w = attribute.w;
                    h = attribute.h;
                    break;
                }
            }
        }
        if (w != 0 || h == 0) {
            if (this.currentPhotoObject != null) {
                if (currentPhotoObjectThumb != null) {
                    currentPhotoObjectThumb.size = -1;
                }
                w = this.currentPhotoObject.w;
                h = this.currentPhotoObject.h;
            } else {
                TLRPC.BotInlineResult botInlineResult5 = this.inlineResult;
                if (botInlineResult5 != null) {
                    int[] result = MessageObject.getInlineResultWidthAndHeight(botInlineResult5);
                    w = result[0];
                    h = result[r2];
                }
            }
        }
        if (w != 0 || h == 0) {
            int dp22 = AndroidUtilities.dp(80.0f);
            h = dp22;
            w = dp22;
        }
        if (this.documentAttach == null || this.currentPhotoObject != null || webFile != null || urlLocation != null) {
            String currentPhotoFilterThumb22 = "52_52_b";
            if (this.mediaWebpage) {
                int width = (int) (w / (h / AndroidUtilities.dp(80.0f)));
                if (this.documentAttachType == 2) {
                    Locale locale = Locale.US;
                    Object[] objArr = new Object[2];
                    objArr[0] = Integer.valueOf((int) (width / AndroidUtilities.density));
                    objArr[r2] = 80;
                    String format = String.format(locale, "%d_%d_b", objArr);
                    currentPhotoFilter = format;
                    currentPhotoFilterThumb22 = format;
                } else {
                    Locale locale2 = Locale.US;
                    Object[] objArr2 = new Object[2];
                    objArr2[0] = Integer.valueOf((int) (width / AndroidUtilities.density));
                    objArr2[r2] = 80;
                    currentPhotoFilter = String.format(locale2, "%d_%d", objArr2);
                    currentPhotoFilterThumb22 = currentPhotoFilter + "_b";
                }
            } else {
                currentPhotoFilter = "52_52";
            }
            this.linkImageView.setAspectFit(this.documentAttachType == 6);
            if (this.documentAttachType == 2) {
                TLRPC.Document document2 = this.documentAttach;
                if (document2 != null) {
                    this.linkImageView.setImage(ImageLocation.getForDocument(document2), null, ImageLocation.getForDocument(this.currentPhotoObject, this.documentAttach), currentPhotoFilter, this.documentAttach.size, ext22, this.parentObject, 0);
                } else if (webFile != null) {
                    this.linkImageView.setImage(ImageLocation.getForWebFile(webFile), null, ImageLocation.getForPhoto(this.currentPhotoObject, this.photoAttach), currentPhotoFilter, -1, ext22, this.parentObject, 1);
                } else {
                    this.linkImageView.setImage(ImageLocation.getForPath(urlLocation), null, ImageLocation.getForPhoto(this.currentPhotoObject, this.photoAttach), currentPhotoFilter, -1, ext22, this.parentObject, 1);
                }
            } else if (this.currentPhotoObject != null) {
                if (MessageObject.canAutoplayAnimatedSticker(this.documentAttach)) {
                    this.linkImageView.setImage(ImageLocation.getForDocument(this.documentAttach), "80_80", ImageLocation.getForDocument(this.currentPhotoObject, this.documentAttach), currentPhotoFilterThumb22, this.currentPhotoObject.size, null, this.parentObject, 0);
                } else {
                    TLRPC.Document document3 = this.documentAttach;
                    if (document3 != null) {
                        this.linkImageView.setImage(ImageLocation.getForDocument(this.currentPhotoObject, document3), currentPhotoFilter, ImageLocation.getForPhoto(currentPhotoObjectThumb, this.photoAttach), currentPhotoFilterThumb22, this.currentPhotoObject.size, ext22, this.parentObject, 0);
                    } else {
                        this.linkImageView.setImage(ImageLocation.getForPhoto(this.currentPhotoObject, this.photoAttach), currentPhotoFilter, ImageLocation.getForPhoto(currentPhotoObjectThumb, this.photoAttach), currentPhotoFilterThumb22, this.currentPhotoObject.size, ext22, this.parentObject, 0);
                    }
                }
            } else if (webFile != null) {
                this.linkImageView.setImage(ImageLocation.getForWebFile(webFile), currentPhotoFilter, ImageLocation.getForPhoto(currentPhotoObjectThumb, this.photoAttach), currentPhotoFilterThumb22, -1, ext22, this.parentObject, 1);
            } else {
                this.linkImageView.setImage(ImageLocation.getForPath(urlLocation), currentPhotoFilter, ImageLocation.getForPhoto(currentPhotoObjectThumb, this.photoAttach), currentPhotoFilterThumb22, -1, ext22, this.parentObject, 1);
            }
            this.drawLinkImageView = r2;
        }
        if (this.mediaWebpage) {
            int height = View.MeasureSpec.getSize(heightMeasureSpec);
            if (height == 0) {
                height = AndroidUtilities.dp(100.0f);
            }
            setMeasuredDimension(viewWidth, height);
            int x2 = (viewWidth - AndroidUtilities.dp(24.0f)) / 2;
            int y = (height - AndroidUtilities.dp(24.0f)) / 2;
            this.radialProgress.setProgressRect(x2, y, AndroidUtilities.dp(24.0f) + x2, AndroidUtilities.dp(24.0f) + y);
            this.radialProgress.setCircleRadius(AndroidUtilities.dp(12.0f));
            this.linkImageView.setImageCoords(0, 0, viewWidth, height);
            return;
        }
        int height2 = 0;
        StaticLayout staticLayout2 = this.titleLayout;
        if (staticLayout2 != null && staticLayout2.getLineCount() != 0) {
            StaticLayout staticLayout3 = this.titleLayout;
            height2 = 0 + staticLayout3.getLineBottom(staticLayout3.getLineCount() - r2);
        }
        StaticLayout staticLayout4 = this.descriptionLayout;
        if (staticLayout4 != null && staticLayout4.getLineCount() != 0) {
            StaticLayout staticLayout5 = this.descriptionLayout;
            height2 += staticLayout5.getLineBottom(staticLayout5.getLineCount() - r2);
        }
        StaticLayout staticLayout6 = this.linkLayout;
        if (staticLayout6 != null && staticLayout6.getLineCount() > 0) {
            StaticLayout staticLayout7 = this.linkLayout;
            height2 += staticLayout7.getLineBottom(staticLayout7.getLineCount() - r2);
        }
        setMeasuredDimension(View.MeasureSpec.getSize(widthMeasureSpec), Math.max(AndroidUtilities.dp(68.0f), AndroidUtilities.dp(16.0f) + Math.max(AndroidUtilities.dp(52.0f), height2)) + (this.needDivider ? 1 : 0));
        int maxPhotoWidth = AndroidUtilities.dp(52.0f);
        if (LocaleController.isRTL) {
            f = 8.0f;
            x = (View.MeasureSpec.getSize(widthMeasureSpec) - AndroidUtilities.dp(8.0f)) - maxPhotoWidth;
        } else {
            f = 8.0f;
            x = AndroidUtilities.dp(8.0f);
        }
        this.letterDrawable.setBounds(x, AndroidUtilities.dp(f), x + maxPhotoWidth, AndroidUtilities.dp(60.0f));
        this.linkImageView.setImageCoords(x, AndroidUtilities.dp(f), maxPhotoWidth, maxPhotoWidth);
        int i3 = this.documentAttachType;
        if (i3 == 3 || i3 == 5) {
            this.radialProgress.setCircleRadius(AndroidUtilities.dp(24.0f));
            this.radialProgress.setProgressRect(AndroidUtilities.dp(4.0f) + x, AndroidUtilities.dp(12.0f), AndroidUtilities.dp(48.0f) + x, AndroidUtilities.dp(56.0f));
        }
    }

    private void setAttachType() {
        this.currentMessageObject = null;
        this.documentAttachType = 0;
        TLRPC.Document document = this.documentAttach;
        if (document != null) {
            if (MessageObject.isGifDocument(document)) {
                this.documentAttachType = 2;
            } else if (MessageObject.isStickerDocument(this.documentAttach) || MessageObject.isAnimatedStickerDocument(this.documentAttach)) {
                this.documentAttachType = 6;
            } else if (MessageObject.isMusicDocument(this.documentAttach)) {
                this.documentAttachType = 5;
            } else if (MessageObject.isVoiceDocument(this.documentAttach)) {
                this.documentAttachType = 3;
            }
        } else {
            TLRPC.BotInlineResult botInlineResult = this.inlineResult;
            if (botInlineResult != null) {
                if (botInlineResult.photo != null) {
                    this.documentAttachType = 7;
                } else if (this.inlineResult.type.equals(MimeTypes.BASE_TYPE_AUDIO)) {
                    this.documentAttachType = 5;
                } else if (this.inlineResult.type.equals("voice")) {
                    this.documentAttachType = 3;
                }
            }
        }
        int i = this.documentAttachType;
        if (i == 3 || i == 5) {
            TLRPC.TL_message message = new TLRPC.TL_message();
            message.out = true;
            message.id = -Utilities.random.nextInt();
            message.to_id = new TLRPC.TL_peerUser();
            TLRPC.Peer peer = message.to_id;
            int clientUserId = UserConfig.getInstance(this.currentAccount).getClientUserId();
            message.from_id = clientUserId;
            peer.user_id = clientUserId;
            message.date = (int) (System.currentTimeMillis() / 1000);
            message.message = "";
            message.media = new TLRPC.TL_messageMediaDocument();
            message.media.flags |= 3;
            message.media.document = new TLRPC.TL_document();
            message.media.document.file_reference = new byte[0];
            message.flags |= 768;
            if (this.documentAttach != null) {
                message.media.document = this.documentAttach;
                message.attachPath = "";
            } else {
                String ext = ImageLoader.getHttpUrlExtension(this.inlineResult.content.url, this.documentAttachType == 5 ? "mp3" : "ogg");
                message.media.document.id = 0L;
                message.media.document.access_hash = 0L;
                message.media.document.date = message.date;
                message.media.document.mime_type = "audio/" + ext;
                message.media.document.size = 0;
                message.media.document.dc_id = 0;
                TLRPC.TL_documentAttributeAudio attributeAudio = new TLRPC.TL_documentAttributeAudio();
                attributeAudio.duration = MessageObject.getInlineResultDuration(this.inlineResult);
                attributeAudio.title = this.inlineResult.title != null ? this.inlineResult.title : "";
                attributeAudio.performer = this.inlineResult.description != null ? this.inlineResult.description : "";
                attributeAudio.flags |= 3;
                if (this.documentAttachType == 3) {
                    attributeAudio.voice = true;
                }
                message.media.document.attributes.add(attributeAudio);
                TLRPC.TL_documentAttributeFilename fileName = new TLRPC.TL_documentAttributeFilename();
                fileName.file_name = Utilities.MD5(this.inlineResult.content.url) + "." + ImageLoader.getHttpUrlExtension(this.inlineResult.content.url, this.documentAttachType == 5 ? "mp3" : "ogg");
                message.media.document.attributes.add(fileName);
                message.attachPath = new File(FileLoader.getDirectory(4), Utilities.MD5(this.inlineResult.content.url) + "." + ImageLoader.getHttpUrlExtension(this.inlineResult.content.url, this.documentAttachType != 5 ? "ogg" : "mp3")).getAbsolutePath();
            }
            this.currentMessageObject = new MessageObject(this.currentAccount, message, false);
        }
    }

    public void setLink(TLRPC.BotInlineResult contextResult, boolean media, boolean divider, boolean shadow) {
        this.needDivider = divider;
        this.needShadow = shadow;
        this.inlineResult = contextResult;
        this.parentObject = contextResult;
        if (contextResult != null) {
            this.documentAttach = contextResult.document;
            this.photoAttach = this.inlineResult.photo;
        } else {
            this.documentAttach = null;
            this.photoAttach = null;
        }
        this.mediaWebpage = media;
        setAttachType();
        requestLayout();
        updateButtonState(false, false);
    }

    public void setGif(TLRPC.Document document, boolean divider) {
        this.needDivider = divider;
        this.needShadow = false;
        this.inlineResult = null;
        this.parentObject = "gif" + document;
        this.documentAttach = document;
        this.photoAttach = null;
        this.mediaWebpage = true;
        setAttachType();
        requestLayout();
        updateButtonState(false, false);
    }

    public boolean isSticker() {
        return this.documentAttachType == 6;
    }

    public boolean isGif() {
        return this.documentAttachType == 2 && this.canPreviewGif;
    }

    public boolean showingBitmap() {
        return this.linkImageView.getBitmap() != null;
    }

    public TLRPC.Document getDocument() {
        return this.documentAttach;
    }

    public TLRPC.BotInlineResult getBotInlineResult() {
        return this.inlineResult;
    }

    public ImageReceiver getPhotoImage() {
        return this.linkImageView;
    }

    public void setScaled(boolean value) {
        this.scaled = value;
        this.lastUpdateTime = System.currentTimeMillis();
        invalidate();
    }

    public void setCanPreviewGif(boolean value) {
        this.canPreviewGif = value;
    }

    public boolean isCanPreviewGif() {
        return this.canPreviewGif;
    }

    @Override // android.view.View
    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        if (this.drawLinkImageView) {
            this.linkImageView.onDetachedFromWindow();
        }
        this.radialProgress.onDetachedFromWindow();
        DownloadController.getInstance(this.currentAccount).removeLoadingFileObserver(this);
    }

    @Override // android.view.View
    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        if (this.drawLinkImageView && this.linkImageView.onAttachedToWindow()) {
            updateButtonState(false, false);
        }
        this.radialProgress.onAttachedToWindow();
    }

    public MessageObject getMessageObject() {
        return this.currentMessageObject;
    }

    @Override // android.view.View
    public boolean onTouchEvent(MotionEvent event) {
        if (this.mediaWebpage || this.delegate == null || this.inlineResult == null) {
            return super.onTouchEvent(event);
        }
        int x = (int) event.getX();
        int y = (int) event.getY();
        boolean result = false;
        AndroidUtilities.dp(48.0f);
        int i = this.documentAttachType;
        if (i == 3 || i == 5) {
            boolean area = this.letterDrawable.getBounds().contains(x, y);
            if (event.getAction() == 0) {
                if (area) {
                    this.buttonPressed = true;
                    this.radialProgress.setPressed(true, false);
                    invalidate();
                    result = true;
                }
            } else if (this.buttonPressed) {
                if (event.getAction() == 1) {
                    this.buttonPressed = false;
                    playSoundEffect(0);
                    didPressedButton();
                    invalidate();
                } else if (event.getAction() == 3) {
                    this.buttonPressed = false;
                    invalidate();
                } else if (event.getAction() == 2 && !area) {
                    this.buttonPressed = false;
                    invalidate();
                }
                this.radialProgress.setPressed(this.buttonPressed, false);
            }
        } else {
            TLRPC.BotInlineResult botInlineResult = this.inlineResult;
            if (botInlineResult != null && botInlineResult.content != null && !TextUtils.isEmpty(this.inlineResult.content.url)) {
                if (event.getAction() == 0) {
                    if (this.letterDrawable.getBounds().contains(x, y)) {
                        this.buttonPressed = true;
                        result = true;
                    }
                } else if (this.buttonPressed) {
                    if (event.getAction() == 1) {
                        this.buttonPressed = false;
                        playSoundEffect(0);
                        this.delegate.didPressedImage(this);
                    } else if (event.getAction() == 3) {
                        this.buttonPressed = false;
                    } else if (event.getAction() == 2 && !this.letterDrawable.getBounds().contains(x, y)) {
                        this.buttonPressed = false;
                    }
                }
            }
        }
        if (!result) {
            return super.onTouchEvent(event);
        }
        return result;
    }

    private void didPressedButton() {
        int i = this.documentAttachType;
        if (i == 3 || i == 5) {
            int i2 = this.buttonState;
            if (i2 == 0) {
                if (MediaController.getInstance().playMessage(this.currentMessageObject)) {
                    this.buttonState = 1;
                    this.radialProgress.setIcon(getIconForCurrentState(), false, true);
                    invalidate();
                }
            } else if (i2 == 1) {
                boolean result = MediaController.getInstance().m320lambda$startAudioAgain$5$imuecahxyvjdmessengerMediaController(this.currentMessageObject);
                if (result) {
                    this.buttonState = 0;
                    this.radialProgress.setIcon(getIconForCurrentState(), false, true);
                    invalidate();
                }
            } else if (i2 == 2) {
                this.radialProgress.setProgress(0.0f, false);
                if (this.documentAttach != null) {
                    FileLoader.getInstance(this.currentAccount).loadFile(this.documentAttach, this.inlineResult, 1, 0);
                } else if (this.inlineResult.content instanceof TLRPC.TL_webDocument) {
                    FileLoader.getInstance(this.currentAccount).loadFile(WebFile.createWithWebDocument(this.inlineResult.content), 1, 1);
                }
                this.buttonState = 4;
                this.radialProgress.setIcon(getIconForCurrentState(), false, true);
                invalidate();
            } else if (i2 == 4) {
                if (this.documentAttach != null) {
                    FileLoader.getInstance(this.currentAccount).cancelLoadFile(this.documentAttach);
                } else if (this.inlineResult.content instanceof TLRPC.TL_webDocument) {
                    FileLoader.getInstance(this.currentAccount).cancelLoadFile(WebFile.createWithWebDocument(this.inlineResult.content));
                }
                this.buttonState = 2;
                this.radialProgress.setIcon(getIconForCurrentState(), false, true);
                invalidate();
            }
        }
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        int i;
        if (this.titleLayout != null) {
            canvas.save();
            canvas.translate(AndroidUtilities.dp(LocaleController.isRTL ? 8.0f : AndroidUtilities.leftBaseline), this.titleY);
            this.titleLayout.draw(canvas);
            canvas.restore();
        }
        if (this.descriptionLayout != null) {
            Theme.chat_contextResult_descriptionTextPaint.setColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText2));
            canvas.save();
            canvas.translate(AndroidUtilities.dp(LocaleController.isRTL ? 8.0f : AndroidUtilities.leftBaseline), this.descriptionY);
            this.descriptionLayout.draw(canvas);
            canvas.restore();
        }
        if (this.linkLayout != null) {
            Theme.chat_contextResult_descriptionTextPaint.setColor(Theme.getColor(Theme.key_windowBackgroundWhiteLinkText));
            canvas.save();
            canvas.translate(AndroidUtilities.dp(LocaleController.isRTL ? 8.0f : AndroidUtilities.leftBaseline), this.linkY);
            this.linkLayout.draw(canvas);
            canvas.restore();
        }
        if (!this.mediaWebpage) {
            if (this.drawLinkImageView && !PhotoViewer.isShowingImage(this.inlineResult)) {
                this.letterDrawable.setAlpha((int) ((1.0f - this.linkImageView.getCurrentAlpha()) * 255.0f));
            } else {
                this.letterDrawable.setAlpha(255);
            }
            int i2 = this.documentAttachType;
            if (i2 == 3 || i2 == 5) {
                this.radialProgress.setProgressColor(Theme.getColor(this.buttonPressed ? Theme.key_chat_inAudioSelectedProgress : Theme.key_chat_inAudioProgress));
                this.radialProgress.draw(canvas);
            } else {
                TLRPC.BotInlineResult botInlineResult = this.inlineResult;
                if (botInlineResult == null || !botInlineResult.type.equals("file")) {
                    TLRPC.BotInlineResult botInlineResult2 = this.inlineResult;
                    if (botInlineResult2 == null || !(botInlineResult2.type.equals(MimeTypes.BASE_TYPE_AUDIO) || this.inlineResult.type.equals("voice"))) {
                        TLRPC.BotInlineResult botInlineResult3 = this.inlineResult;
                        if (botInlineResult3 != null && (botInlineResult3.type.equals("venue") || this.inlineResult.type.equals("geo"))) {
                            int w = Theme.chat_inlineResultLocation.getIntrinsicWidth();
                            int h = Theme.chat_inlineResultLocation.getIntrinsicHeight();
                            int x = this.linkImageView.getImageX() + ((AndroidUtilities.dp(52.0f) - w) / 2);
                            int y = this.linkImageView.getImageY() + ((AndroidUtilities.dp(52.0f) - h) / 2);
                            canvas.drawRect(this.linkImageView.getImageX(), this.linkImageView.getImageY(), this.linkImageView.getImageX() + AndroidUtilities.dp(52.0f), this.linkImageView.getImageY() + AndroidUtilities.dp(52.0f), LetterDrawable.paint);
                            Theme.chat_inlineResultLocation.setBounds(x, y, x + w, y + h);
                            Theme.chat_inlineResultLocation.draw(canvas);
                        } else {
                            this.letterDrawable.draw(canvas);
                        }
                    } else {
                        int w2 = Theme.chat_inlineResultAudio.getIntrinsicWidth();
                        int h2 = Theme.chat_inlineResultAudio.getIntrinsicHeight();
                        int x2 = this.linkImageView.getImageX() + ((AndroidUtilities.dp(52.0f) - w2) / 2);
                        int y2 = this.linkImageView.getImageY() + ((AndroidUtilities.dp(52.0f) - h2) / 2);
                        canvas.drawRect(this.linkImageView.getImageX(), this.linkImageView.getImageY(), this.linkImageView.getImageX() + AndroidUtilities.dp(52.0f), this.linkImageView.getImageY() + AndroidUtilities.dp(52.0f), LetterDrawable.paint);
                        Theme.chat_inlineResultAudio.setBounds(x2, y2, x2 + w2, y2 + h2);
                        Theme.chat_inlineResultAudio.draw(canvas);
                    }
                } else {
                    int w3 = Theme.chat_inlineResultFile.getIntrinsicWidth();
                    int h3 = Theme.chat_inlineResultFile.getIntrinsicHeight();
                    int x3 = this.linkImageView.getImageX() + ((AndroidUtilities.dp(52.0f) - w3) / 2);
                    int y3 = this.linkImageView.getImageY() + ((AndroidUtilities.dp(52.0f) - h3) / 2);
                    canvas.drawRect(this.linkImageView.getImageX(), this.linkImageView.getImageY(), this.linkImageView.getImageX() + AndroidUtilities.dp(52.0f), this.linkImageView.getImageY() + AndroidUtilities.dp(52.0f), LetterDrawable.paint);
                    Theme.chat_inlineResultFile.setBounds(x3, y3, x3 + w3, y3 + h3);
                    Theme.chat_inlineResultFile.draw(canvas);
                }
            }
        } else {
            TLRPC.BotInlineResult botInlineResult4 = this.inlineResult;
            if (botInlineResult4 != null && ((botInlineResult4.send_message instanceof TLRPC.TL_botInlineMessageMediaGeo) || (this.inlineResult.send_message instanceof TLRPC.TL_botInlineMessageMediaVenue))) {
                int w4 = Theme.chat_inlineResultLocation.getIntrinsicWidth();
                int h4 = Theme.chat_inlineResultLocation.getIntrinsicHeight();
                int x4 = this.linkImageView.getImageX() + ((this.linkImageView.getImageWidth() - w4) / 2);
                int y4 = this.linkImageView.getImageY() + ((this.linkImageView.getImageHeight() - h4) / 2);
                canvas.drawRect(this.linkImageView.getImageX(), this.linkImageView.getImageY(), this.linkImageView.getImageX() + this.linkImageView.getImageWidth(), this.linkImageView.getImageY() + this.linkImageView.getImageHeight(), LetterDrawable.paint);
                Theme.chat_inlineResultLocation.setBounds(x4, y4, x4 + w4, y4 + h4);
                Theme.chat_inlineResultLocation.draw(canvas);
            }
        }
        if (this.drawLinkImageView) {
            TLRPC.BotInlineResult botInlineResult5 = this.inlineResult;
            if (botInlineResult5 != null) {
                this.linkImageView.setVisible(!PhotoViewer.isShowingImage(botInlineResult5), false);
            }
            canvas.save();
            boolean z = this.scaled;
            if ((z && this.scale != 0.8f) || (!z && this.scale != 1.0f)) {
                long newTime = System.currentTimeMillis();
                long dt = newTime - this.lastUpdateTime;
                this.lastUpdateTime = newTime;
                if (this.scaled) {
                    float f = this.scale;
                    if (f != 0.8f) {
                        float f2 = f - (((float) dt) / 400.0f);
                        this.scale = f2;
                        if (f2 < 0.8f) {
                            this.scale = 0.8f;
                        }
                        invalidate();
                    }
                }
                float f3 = this.scale + (((float) dt) / 400.0f);
                this.scale = f3;
                if (f3 > 1.0f) {
                    this.scale = 1.0f;
                }
                invalidate();
            }
            float f4 = this.scale;
            canvas.scale(f4, f4, getMeasuredWidth() / 2, getMeasuredHeight() / 2);
            this.linkImageView.draw(canvas);
            canvas.restore();
        }
        if (this.mediaWebpage && ((i = this.documentAttachType) == 7 || i == 2)) {
            this.radialProgress.draw(canvas);
        }
        if (this.needDivider && !this.mediaWebpage) {
            if (LocaleController.isRTL) {
                canvas.drawLine(0.0f, getMeasuredHeight() - 1, getMeasuredWidth() - AndroidUtilities.dp(AndroidUtilities.leftBaseline), getMeasuredHeight() - 1, Theme.dividerPaint);
            } else {
                canvas.drawLine(AndroidUtilities.dp(AndroidUtilities.leftBaseline), getMeasuredHeight() - 1, getMeasuredWidth(), getMeasuredHeight() - 1, Theme.dividerPaint);
            }
        }
        if (this.needShadow) {
            Theme.chat_contextResult_shadowUnderSwitchDrawable.setBounds(0, 0, getMeasuredWidth(), AndroidUtilities.dp(3.0f));
            Theme.chat_contextResult_shadowUnderSwitchDrawable.draw(canvas);
        }
    }

    private int getIconForCurrentState() {
        int i = this.documentAttachType;
        if (i == 3 || i == 5) {
            this.radialProgress.setColors(Theme.key_chat_inLoader, Theme.key_chat_inLoaderSelected, Theme.key_chat_inMediaIcon, Theme.key_chat_inMediaIconSelected);
            int i2 = this.buttonState;
            if (i2 == 1) {
                return 1;
            }
            if (i2 == 2) {
                return 2;
            }
            return i2 == 4 ? 3 : 0;
        }
        this.radialProgress.setColors(Theme.key_chat_mediaLoaderPhoto, Theme.key_chat_mediaLoaderPhotoSelected, Theme.key_chat_mediaLoaderPhotoIcon, Theme.key_chat_mediaLoaderPhotoIconSelected);
        return this.buttonState == 1 ? 10 : 4;
    }

    public void updateButtonState(boolean ifSame, boolean animated) {
        boolean isLoading;
        String fileName = null;
        File cacheFile = null;
        int i = this.documentAttachType;
        if (i == 5 || i == 3) {
            TLRPC.Document document = this.documentAttach;
            if (document != null) {
                fileName = FileLoader.getAttachFileName(document);
                cacheFile = FileLoader.getPathToAttach(this.documentAttach);
            } else if (this.inlineResult.content instanceof TLRPC.TL_webDocument) {
                fileName = Utilities.MD5(this.inlineResult.content.url) + "." + ImageLoader.getHttpUrlExtension(this.inlineResult.content.url, this.documentAttachType == 5 ? "mp3" : "ogg");
                cacheFile = new File(FileLoader.getDirectory(4), fileName);
            }
        } else if (this.mediaWebpage) {
            TLRPC.BotInlineResult botInlineResult = this.inlineResult;
            if (botInlineResult != null) {
                if (botInlineResult.document instanceof TLRPC.TL_document) {
                    fileName = FileLoader.getAttachFileName(this.inlineResult.document);
                    cacheFile = FileLoader.getPathToAttach(this.inlineResult.document);
                } else if (this.inlineResult.photo instanceof TLRPC.TL_photo) {
                    TLRPC.PhotoSize closestPhotoSizeWithSize = FileLoader.getClosestPhotoSizeWithSize(this.inlineResult.photo.sizes, AndroidUtilities.getPhotoSize(), true);
                    this.currentPhotoObject = closestPhotoSizeWithSize;
                    fileName = FileLoader.getAttachFileName(closestPhotoSizeWithSize);
                    cacheFile = FileLoader.getPathToAttach(this.currentPhotoObject);
                } else if (this.inlineResult.content instanceof TLRPC.TL_webDocument) {
                    fileName = Utilities.MD5(this.inlineResult.content.url) + "." + ImageLoader.getHttpUrlExtension(this.inlineResult.content.url, "jpg");
                    cacheFile = new File(FileLoader.getDirectory(4), fileName);
                } else if (this.inlineResult.thumb instanceof TLRPC.TL_webDocument) {
                    fileName = Utilities.MD5(this.inlineResult.thumb.url) + "." + ImageLoader.getHttpUrlExtension(this.inlineResult.thumb.url, "jpg");
                    cacheFile = new File(FileLoader.getDirectory(4), fileName);
                }
            } else {
                TLRPC.Document document2 = this.documentAttach;
                if (document2 != null) {
                    fileName = FileLoader.getAttachFileName(document2);
                    cacheFile = FileLoader.getPathToAttach(this.documentAttach);
                }
            }
        }
        if (TextUtils.isEmpty(fileName)) {
            return;
        }
        if (!cacheFile.exists()) {
            DownloadController.getInstance(this.currentAccount).addLoadingFileObserver(fileName, this);
            int i2 = this.documentAttachType;
            if (i2 == 5 || i2 == 3) {
                if (this.documentAttach != null) {
                    isLoading = FileLoader.getInstance(this.currentAccount).isLoadingFile(fileName);
                } else {
                    isLoading = ImageLoader.getInstance().isLoadingHttpFile(fileName);
                }
                if (!isLoading) {
                    this.buttonState = 2;
                    this.radialProgress.setIcon(getIconForCurrentState(), ifSame, animated);
                } else {
                    this.buttonState = 4;
                    Float progress = ImageLoader.getInstance().getFileProgress(fileName);
                    if (progress != null) {
                        this.radialProgress.setProgress(progress.floatValue(), animated);
                    } else {
                        this.radialProgress.setProgress(0.0f, animated);
                    }
                    this.radialProgress.setIcon(getIconForCurrentState(), ifSame, animated);
                }
            } else {
                this.buttonState = 1;
                Float progress2 = ImageLoader.getInstance().getFileProgress(fileName);
                float setProgress = progress2 != null ? progress2.floatValue() : 0.0f;
                this.radialProgress.setProgress(setProgress, false);
                this.radialProgress.setIcon(getIconForCurrentState(), ifSame, animated);
            }
            invalidate();
            return;
        }
        DownloadController.getInstance(this.currentAccount).removeLoadingFileObserver(this);
        int i3 = this.documentAttachType;
        if (i3 == 5 || i3 == 3) {
            boolean playing = MediaController.getInstance().isPlayingMessage(this.currentMessageObject);
            if (!playing || (playing && MediaController.getInstance().isMessagePaused())) {
                this.buttonState = 0;
            } else {
                this.buttonState = 1;
            }
            this.radialProgress.setProgress(1.0f, animated);
        } else {
            this.buttonState = -1;
        }
        this.radialProgress.setIcon(getIconForCurrentState(), ifSame, animated);
        invalidate();
    }

    public void setDelegate(ContextLinkCellDelegate contextLinkCellDelegate) {
        this.delegate = contextLinkCellDelegate;
    }

    public TLRPC.BotInlineResult getResult() {
        return this.inlineResult;
    }

    @Override // im.uecahxyvjd.messenger.DownloadController.FileDownloadProgressListener
    public void onFailedDownload(String fileName, boolean canceled) {
        updateButtonState(true, canceled);
    }

    @Override // im.uecahxyvjd.messenger.DownloadController.FileDownloadProgressListener
    public void onSuccessDownload(String fileName) {
        this.radialProgress.setProgress(1.0f, true);
        updateButtonState(false, true);
    }

    @Override // im.uecahxyvjd.messenger.DownloadController.FileDownloadProgressListener
    public void onProgressDownload(String fileName, float progress) {
        this.radialProgress.setProgress(progress, true);
        int i = this.documentAttachType;
        if (i == 3 || i == 5) {
            if (this.buttonState != 4) {
                updateButtonState(false, true);
            }
        } else if (this.buttonState != 1) {
            updateButtonState(false, true);
        }
    }

    @Override // im.uecahxyvjd.messenger.DownloadController.FileDownloadProgressListener
    public void onProgressUpload(String fileName, float progress, boolean isEncrypted) {
    }

    @Override // im.uecahxyvjd.messenger.DownloadController.FileDownloadProgressListener
    public int getObserverTag() {
        return this.TAG;
    }

    @Override // android.view.View
    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo info) {
        super.onInitializeAccessibilityNodeInfo(info);
        StringBuilder sbuf = new StringBuilder();
        switch (this.documentAttachType) {
            case 1:
                sbuf.append(LocaleController.getString("AttachDocument", R.string.AttachDocument));
                break;
            case 2:
                sbuf.append(LocaleController.getString("AttachGif", R.string.AttachGif));
                break;
            case 3:
                sbuf.append(LocaleController.getString("AttachAudio", R.string.AttachAudio));
                break;
            case 4:
                sbuf.append(LocaleController.getString("AttachVideo", R.string.AttachVideo));
                break;
            case 5:
                sbuf.append(LocaleController.getString("AttachMusic", R.string.AttachMusic));
                if (this.descriptionLayout != null && this.titleLayout != null) {
                    sbuf.append(", ");
                    sbuf.append(LocaleController.formatString("AccDescrMusicInfo", R.string.AccDescrMusicInfo, this.descriptionLayout.getText(), this.titleLayout.getText()));
                    break;
                }
                break;
            case 6:
                sbuf.append(LocaleController.getString("AttachSticker", R.string.AttachSticker));
                break;
            case 7:
                sbuf.append(LocaleController.getString("AttachPhoto", R.string.AttachPhoto));
                break;
            case 8:
                sbuf.append(LocaleController.getString("AttachLocation", R.string.AttachLocation));
                break;
            default:
                StaticLayout staticLayout = this.titleLayout;
                if (staticLayout != null && !TextUtils.isEmpty(staticLayout.getText())) {
                    sbuf.append(this.titleLayout.getText());
                }
                StaticLayout staticLayout2 = this.descriptionLayout;
                if (staticLayout2 != null && !TextUtils.isEmpty(staticLayout2.getText())) {
                    if (sbuf.length() > 0) {
                        sbuf.append(", ");
                    }
                    sbuf.append(this.descriptionLayout.getText());
                    break;
                }
                break;
        }
        info.setText(sbuf);
    }
}
