package im.uecahxyvjd.ui.cells;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.SystemClock;
import android.text.Layout;
import android.text.SpannableStringBuilder;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.style.ForegroundColorSpan;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.animation.Interpolator;
import com.google.android.exoplayer2.util.Log;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ChatObject;
import im.uecahxyvjd.messenger.ContactsController;
import im.uecahxyvjd.messenger.DialogObject;
import im.uecahxyvjd.messenger.Emoji;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.ImageReceiver;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MediaDataController;
import im.uecahxyvjd.messenger.MessageObject;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.SharedConfig;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.DialogsActivity;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.CheckBoxBase;
import im.uecahxyvjd.ui.components.CubicBezierInterpolator;
import im.uecahxyvjd.ui.components.RLottieDrawable;
import im.uecahxyvjd.ui.components.StaticLayoutEx;
import im.uecahxyvjd.ui.components.TypefaceSpan;
import java.math.BigDecimal;
import java.util.ArrayList;
/* loaded from: classes9.dex */
public class DialogCell extends BaseCell {
    private boolean animatingArchiveAvatar;
    private float animatingArchiveAvatarProgress;
    private float archiveBackgroundProgress;
    private boolean archiveHidden;
    private boolean attachedToWindow;
    private AvatarDrawable avatarDrawable;
    private ImageReceiver avatarImage;
    private int avatarLeft;
    private int bottomClip;
    private TLRPC.Chat chat;
    private CheckBoxBase checkBox;
    private boolean checkBoxAnimationInProgress;
    private float checkBoxAnimationProgress;
    private int checkBoxTranslation;
    private boolean checkBoxVisible;
    private boolean clearingDialog;
    private float clipProgress;
    private int clockDrawLeft;
    private int clockDrawTop;
    private float cornerProgress;
    private boolean countIsBiggerThanTen;
    private StaticLayout countLayout;
    private int countLeft;
    private int countTop;
    private int countWidth;
    private int currentAccount;
    private int currentDialogFolderDialogsCount;
    private int currentDialogFolderId;
    private long currentDialogId;
    private int currentEditDate;
    private float currentRevealBounceProgress;
    private float currentRevealProgress;
    private CustomDialog customDialog;
    private boolean dialogMuted;
    private int dialogsType;
    private TLRPC.DraftMessage draftMessage;
    private boolean drawBotIcon;
    private boolean drawBroadcastIcon;
    private boolean drawCheck1;
    private boolean drawCheck2;
    private boolean drawClockIcon;
    private boolean drawCount;
    private boolean drawErrorIcon;
    private boolean drawGroupIcon;
    private boolean drawMentionIcon;
    private boolean drawPinBackground;
    private boolean drawPinIcon;
    private boolean drawReorder;
    private boolean drawRevealBackground;
    private boolean drawScam;
    private boolean drawSecretLockIcon;
    private boolean drawVerifiedIcon;
    private TLRPC.EncryptedChat encryptedChat;
    private int errorLeft;
    private int errorTop;
    private int folderId;
    public boolean fullSeparator;
    public boolean fullSeparator2;
    private int index;
    private BounceInterpolator interpolator;
    private boolean isDialogCell;
    private boolean isSelected;
    private boolean isSliding;
    private long lastCheckBoxAnimationTime;
    private int lastMessageDate;
    private CharSequence lastMessageString;
    private CharSequence lastPrintString;
    private int lastSendState;
    private boolean lastUnreadState;
    private long lastUpdateTime;
    private boolean markUnread;
    private int mentionCount;
    private StaticLayout mentionLayout;
    private int mentionLeft;
    private int mentionWidth;
    private MessageObject message;
    private int messageId;
    private StaticLayout messageLayout;
    private int messageLeft;
    private StaticLayout messageNameLayout;
    private int messageNameLeft;
    private int messageNameTop;
    private int messageTop;
    private StaticLayout nameLayout;
    private int nameLeft;
    private int nameMuteLeft;
    private float onlineProgress;
    private int pinLeft;
    private int pinTop;
    private int position;
    private int recorderLeft;
    private int recorderTop;
    private RectF rect;
    private float reorderIconProgress;
    private StaticLayout timeLayout;
    private int timeLeft;
    private int timeTop;
    private int topClip;
    private float topOffset;
    private boolean translationAnimationStarted;
    private RLottieDrawable translationDrawable;
    private float translationX;
    private int unreadCount;
    public boolean useForceThreeLines;
    public boolean useSeparator;
    private TLRPC.User user;

    /* loaded from: classes9.dex */
    public static class CustomDialog {
        public int date;
        public int id;
        public boolean isMedia;
        public String message;
        public boolean muted;
        public String name;
        public boolean pinned;
        public boolean sent;
        public int type;
        public int unread_count;
        public boolean verified;
    }

    /* loaded from: classes9.dex */
    public class BounceInterpolator implements Interpolator {
        public BounceInterpolator() {
        }

        @Override // android.animation.TimeInterpolator
        public float getInterpolation(float t) {
            if (t < 0.33f) {
                return (t / 0.33f) * 0.1f;
            }
            float t2 = t - 0.33f;
            if (t2 < 0.33f) {
                return 0.1f - ((t2 / 0.34f) * 0.15f);
            }
            return (((t2 - 0.34f) / 0.33f) * 0.05f) - 0.05f;
        }
    }

    public DialogCell(Context context, boolean forceThreeLines) {
        this(context, false, forceThreeLines);
    }

    public DialogCell(Context context, boolean needCheck, boolean forceThreeLines) {
        super(context);
        this.currentAccount = UserConfig.selectedAccount;
        this.avatarImage = new ImageReceiver(this);
        this.avatarDrawable = new AvatarDrawable();
        this.interpolator = new BounceInterpolator();
        this.rect = new RectF();
        this.checkBoxVisible = needCheck;
        Theme.createDialogsResources(context);
        this.avatarImage.setRoundRadius(AndroidUtilities.dp(7.5f));
        this.useForceThreeLines = forceThreeLines;
        setClipChildren(false);
    }

    public void setDialog(CustomDialog dialog) {
        this.customDialog = dialog;
        this.messageId = 0;
        update(0);
        checkOnline();
    }

    public void setDialog(TLRPC.Dialog dialog, int type, int folder) {
        this.currentDialogId = dialog.id;
        this.isDialogCell = true;
        if (dialog instanceof TLRPC.TL_dialogFolder) {
            TLRPC.TL_dialogFolder dialogFolder = (TLRPC.TL_dialogFolder) dialog;
            this.currentDialogFolderId = dialogFolder.folder.id;
        } else {
            this.currentDialogFolderId = 0;
        }
        this.dialogsType = type;
        this.folderId = folder;
        this.messageId = 0;
        update(0);
        checkOnline();
    }

    public void setDialog(long dialog_id, MessageObject messageObject, int date) {
        this.currentDialogId = dialog_id;
        this.message = messageObject;
        this.isDialogCell = false;
        this.lastMessageDate = date;
        this.currentEditDate = messageObject != null ? messageObject.messageOwner.edit_date : 0;
        this.unreadCount = 0;
        this.markUnread = false;
        this.messageId = messageObject != null ? messageObject.getId() : 0;
        this.mentionCount = 0;
        this.lastUnreadState = messageObject != null && messageObject.isUnread();
        MessageObject messageObject2 = this.message;
        if (messageObject2 != null) {
            this.lastSendState = messageObject2.messageOwner.send_state;
        }
        update(0);
    }

    public void setCheckBoxVisible(boolean visible, boolean animated, int position) {
        this.position = position;
        if (visible && this.checkBox == null) {
            CheckBoxBase checkBoxBase = new CheckBoxBase(this, 21);
            this.checkBox = checkBoxBase;
            if (this.attachedToWindow) {
                checkBoxBase.onAttachedToWindow();
            }
        }
        this.checkBoxVisible = visible;
        this.checkBoxAnimationInProgress = animated;
        if (animated) {
            this.lastCheckBoxAnimationTime = SystemClock.uptimeMillis();
        } else {
            this.checkBoxAnimationProgress = visible ? 1.0f : 0.0f;
        }
        invalidate();
    }

    public void setChecked(boolean checked, boolean animated) {
        CheckBoxBase checkBoxBase = this.checkBox;
        if (checkBoxBase == null) {
            return;
        }
        checkBoxBase.setChecked(checked, animated);
    }

    @Override // android.view.View
    public void setScrollX(int value) {
        super.setScrollX(value);
    }

    private void checkOnline() {
        TLRPC.User user = this.user;
        boolean isOnline = (user == null || user.self || ((this.user.status == null || this.user.status.expires <= ConnectionsManager.getInstance(this.currentAccount).getCurrentTime()) && !MessagesController.getInstance(this.currentAccount).onlinePrivacy.containsKey(Integer.valueOf(this.user.id)))) ? false : true;
        this.onlineProgress = isOnline ? 1.0f : 0.0f;
    }

    public void setDialogIndex(int i) {
        this.index = i;
    }

    public int getDialogIndex() {
        return this.index;
    }

    public long getDialogId() {
        return this.currentDialogId;
    }

    public int getMessageId() {
        return this.messageId;
    }

    public boolean isUnread() {
        return (this.unreadCount != 0 || this.markUnread) && !this.dialogMuted;
    }

    public boolean isPinned() {
        return this.drawPinIcon;
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.isSliding = false;
        this.drawRevealBackground = false;
        this.currentRevealProgress = 0.0f;
        this.attachedToWindow = false;
        this.reorderIconProgress = (this.drawPinIcon && this.drawReorder) ? 1.0f : 0.0f;
        this.avatarImage.onDetachedFromWindow();
        RLottieDrawable rLottieDrawable = this.translationDrawable;
        if (rLottieDrawable != null) {
            rLottieDrawable.stop();
            this.translationDrawable.setProgress(0.0f);
            this.translationDrawable.setCallback(null);
            this.translationDrawable = null;
            this.translationAnimationStarted = false;
        }
        CheckBoxBase checkBoxBase = this.checkBox;
        if (checkBoxBase != null) {
            checkBoxBase.onDetachedFromWindow();
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.avatarImage.onAttachedToWindow();
        CheckBoxBase checkBoxBase = this.checkBox;
        if (checkBoxBase != null) {
            checkBoxBase.onAttachedToWindow();
        }
        boolean z = SharedConfig.archiveHidden;
        this.archiveHidden = z;
        float f = 1.0f;
        float f2 = z ? 0.0f : 1.0f;
        this.archiveBackgroundProgress = f2;
        this.avatarDrawable.setArchivedAvatarHiddenProgress(f2);
        this.clipProgress = 0.0f;
        this.isSliding = false;
        this.reorderIconProgress = (this.drawPinIcon && this.drawReorder) ? 0.0f : 0.0f;
        this.attachedToWindow = true;
        this.cornerProgress = 0.0f;
        setTranslationX(0.0f);
        setTranslationY(0.0f);
    }

    @Override // android.view.View
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        setMeasuredDimension(View.MeasureSpec.getSize(widthMeasureSpec), AndroidUtilities.dp((this.useForceThreeLines || SharedConfig.useThreeLinesLayout) ? 77.0f : 71.0f) + (this.useSeparator ? 1 : 0));
        this.topClip = 0;
        this.bottomClip = getMeasuredHeight();
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onLayout(boolean changed, int left, int top, int right, int bottom) {
        if ((this.currentDialogId != 0 || this.customDialog != null) && changed) {
            try {
                buildLayout();
            } catch (Exception e) {
                FileLog.e(e);
            }
        }
    }

    private CharSequence formatArchivedDialogNames() {
        String title;
        ArrayList<TLRPC.Dialog> dialogs = MessagesController.getInstance(this.currentAccount).getDialogs(this.currentDialogFolderId);
        this.currentDialogFolderDialogsCount = dialogs.size();
        SpannableStringBuilder builder = new SpannableStringBuilder();
        int N = dialogs.size();
        for (int a2 = 0; a2 < N; a2++) {
            TLRPC.Dialog dialog = dialogs.get(a2);
            TLRPC.User currentUser = null;
            TLRPC.Chat currentChat = null;
            if (DialogObject.isSecretDialogId(dialog.id)) {
                TLRPC.EncryptedChat encryptedChat = MessagesController.getInstance(this.currentAccount).getEncryptedChat(Integer.valueOf((int) (dialog.id >> 32)));
                if (encryptedChat != null) {
                    currentUser = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(encryptedChat.user_id));
                }
            } else {
                int lowerId = (int) dialog.id;
                if (lowerId > 0) {
                    currentUser = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(lowerId));
                } else {
                    currentChat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(-lowerId));
                }
            }
            if (currentChat != null) {
                title = currentChat.title.replace('\n', ' ');
            } else if (currentUser == null) {
                continue;
            } else {
                title = UserObject.isDeleted(currentUser) ? LocaleController.getString("HiddenName", R.string.HiddenName) : ContactsController.formatName(currentUser.first_name, currentUser.last_name).replace('\n', ' ');
            }
            if (builder.length() > 0) {
                builder.append((CharSequence) ", ");
            }
            int boldStart = builder.length();
            int boldEnd = title.length() + boldStart;
            builder.append((CharSequence) title);
            if (dialog.unread_count > 0) {
                builder.setSpan(new TypefaceSpan(AndroidUtilities.getTypeface("fonts/rmedium.ttf"), 0, Theme.getColor(Theme.key_chats_nameArchived)), boldStart, boldEnd, 33);
            }
            if (builder.length() > 150) {
                break;
            }
        }
        return Emoji.replaceEmoji(builder, Theme.dialogs_messagePaint.getFontMetricsInt(), AndroidUtilities.dp(17.0f), false);
    }

    /* JADX WARN: Can't wrap try/catch for region: R(57:1|(1:810)(1:5)|6|(1:8)|9|(1:809)(1:13)|14|(1:16)(1:806)|17|(9:19|(2:21|(2:347|(1:349))(2:25|(1:27)))(2:350|(2:364|(2:372|(1:374)(1:375))(2:368|(1:370)(1:371)))(2:354|(2:361|(1:363))(2:358|(1:360))))|28|(3:30|(1:32)(5:333|(1:335)|336|(2:338|(1:340)(1:342))(1:343)|341)|33)(2:344|(1:346))|34|(1:36)(1:332)|37|(1:39)(1:331)|40)(17:376|(2:802|(1:804)(1:805))(2:380|(1:382)(1:801))|383|(2:385|(2:387|(2:394|(1:396))(2:391|(1:393))))(2:741|(2:743|(4:745|(1:747)(1:780)|748|(2:750|(5:767|(2:769|(3:778|775|(1:777))(1:773))(1:779)|774|775|(0))(5:754|(2:756|(3:765|762|(1:764))(1:760))(1:766)|761|762|(0))))(2:781|(4:783|(1:785)(1:800)|786|(2:790|(2:797|(1:799))(2:794|(1:796)))))))|397|(1:401)|402|(3:404|(2:732|(2:734|(1:738))(1:739))|410)(1:740)|(1:412)(2:503|(2:505|(3:507|(1:513)|512)(6:515|(1:517)|518|(2:520|(1:522)(2:525|524))(1:526)|523|524))(2:527|(1:529)(2:530|(2:532|(2:534|(1:536)(2:537|(2:539|(1:544)(1:543))(2:545|(1:547)(2:548|(1:559)(2:550|(2:552|(1:557)(1:556))(1:558))))))(1:560))(6:561|(1:563)(1:717)|564|(2:572|(2:579|(3:581|(1:589)(1:587)|588)(2:590|(2:674|(2:681|(2:688|(3:690|(1:692)(2:694|(1:696)(2:697|(1:699)(2:700|(1:702)(1:703))))|693)(4:704|(1:706)(2:713|(1:715)(1:716))|707|(1:712)(1:711)))(1:687))(1:680))(7:595|(1:597)(2:660|(2:662|(2:667|(1:669)(1:670))(1:666))(1:(1:672)(1:673)))|598|(5:600|(1:602)|603|(1:605)(2:621|(1:623)(2:624|(1:626)(2:627|(1:629)(1:630))))|606)(2:631|(2:652|(3:654|(1:656)(1:658)|657)(1:659))(7:635|(1:637)(2:648|(1:650)(1:651))|638|639|640|(1:642)(1:645)|643))|607|(2:611|612)|613)))(1:578))(1:568)|569|(1:571)))))|413|(1:415)(2:496|(1:498)(2:499|(1:501)(1:502)))|416|(1:418)(4:442|(2:444|(1:(1:447)(1:473))(1:474))(4:475|(1:477)(2:482|(2:492|(1:494)(1:495))(1:491))|478|(1:480)(1:481))|448|(1:472)(2:455|(1:457)(2:458|(1:460)(2:461|(3:463|(1:471)(1:469)|470)))))|419|(1:441)(1:423)|424|(1:426)(4:427|(1:429)(2:434|(2:436|(1:438)(1:439))(1:440))|430|(1:432)(1:433)))|(3:42|(1:44)(1:329)|45)(1:330)|46|(1:48)(1:328)|49|(2:314|(3:316|(1:318)(1:320)|319)(2:321|(3:323|(1:325)(1:327)|326)))(3:55|(1:57)(1:313)|58)|59|60|61|62|63|64|65|(1:67)|68|(26:301|(1:303)(1:305)|304|77|(2:79|(1:81)(1:82))|83|(3:85|(1:87)(1:291)|88)(2:292|(3:294|(1:296)(1:298)|297)(1:299))|(2:(9:273|274|(1:276)(1:288)|277|278|(1:280)(1:286)|281|(1:283)(1:285)|284)(1:250)|(7:252|(1:254)(1:272)|255|(1:257)(1:271)|258|(3:260|(1:262)(1:265)|263)(3:266|(1:268)(1:270)|269)|264))|(6:(1:93)|94|(1:96)|97|(1:101)|102)|104|(3:243|244|245)(2:108|(1:237)(1:112))|113|114|(10:119|120|(1:228)(1:124)|125|(3:130|131|(6:133|(1:188)(4:137|(2:182|(1:184)(2:185|(1:187)))(1:143)|144|(1:148))|149|(4:153|(1:(2:155|(1:157)(2:158|159))(2:178|179))|160|(1:162))|163|(1:176)(2:167|(2:169|(2:171|172)(1:174))(1:175)))(6:189|(4:193|(2:195|(1:197))|198|(1:204))|205|(4:209|(1:211)|212|213)|214|(1:220)(2:218|219)))|222|(1:224)(1:226)|225|131|(0)(0))|229|(8:233|125|(4:127|130|131|(0)(0))|222|(0)(0)|225|131|(0)(0))|120|(1:122)|228|125|(0)|222|(0)(0)|225|131|(0)(0))|73|(1:75)(1:300)|76|77|(0)|83|(0)(0)|(0)|(0)(0)|(0)|(0)|104|(1:106)|239|243|244|245|113|114|(12:116|119|120|(0)|228|125|(0)|222|(0)(0)|225|131|(0)(0))|229|(1:234)(9:231|233|125|(0)|222|(0)(0)|225|131|(0)(0))|120|(0)|228|125|(0)|222|(0)(0)|225|131|(0)(0)) */
    /* JADX WARN: Code restructure failed: missing block: B:695:0x0fea, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:696:0x0feb, code lost:
        im.uecahxyvjd.messenger.FileLog.e(r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:736:0x10a1, code lost:
        r0 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:737:0x10a2, code lost:
        im.uecahxyvjd.messenger.FileLog.e(r0);
     */
    /* JADX WARN: Removed duplicated region for block: B:158:0x032d  */
    /* JADX WARN: Removed duplicated region for block: B:172:0x0357  */
    /* JADX WARN: Removed duplicated region for block: B:590:0x0c5a  */
    /* JADX WARN: Removed duplicated region for block: B:598:0x0ccc  */
    /* JADX WARN: Removed duplicated region for block: B:599:0x0cdd  */
    /* JADX WARN: Removed duplicated region for block: B:604:0x0d55  */
    /* JADX WARN: Removed duplicated region for block: B:605:0x0d66  */
    /* JADX WARN: Removed duplicated region for block: B:609:0x0d97  */
    /* JADX WARN: Removed duplicated region for block: B:615:0x0def  */
    /* JADX WARN: Removed duplicated region for block: B:620:0x0e13  */
    /* JADX WARN: Removed duplicated region for block: B:629:0x0e3e A[ADDED_TO_REGION] */
    /* JADX WARN: Removed duplicated region for block: B:648:0x0ee4  */
    /* JADX WARN: Removed duplicated region for block: B:650:0x0ee9  */
    /* JADX WARN: Removed duplicated region for block: B:672:0x0f7a  */
    /* JADX WARN: Removed duplicated region for block: B:686:0x0fc0  */
    /* JADX WARN: Removed duplicated region for block: B:707:0x1027 A[Catch: Exception -> 0x10a1, TryCatch #6 {Exception -> 0x10a1, blocks: (B:705:0x1023, B:707:0x1027, B:717:0x103e, B:719:0x1042, B:722:0x1048, B:724:0x1059, B:726:0x105d, B:729:0x1062, B:730:0x107a, B:734:0x1090, B:711:0x102e, B:713:0x1032, B:715:0x1037), top: B:830:0x1023 }] */
    /* JADX WARN: Removed duplicated region for block: B:713:0x1032 A[Catch: Exception -> 0x10a1, TryCatch #6 {Exception -> 0x10a1, blocks: (B:705:0x1023, B:707:0x1027, B:717:0x103e, B:719:0x1042, B:722:0x1048, B:724:0x1059, B:726:0x105d, B:729:0x1062, B:730:0x107a, B:734:0x1090, B:711:0x102e, B:713:0x1032, B:715:0x1037), top: B:830:0x1023 }] */
    /* JADX WARN: Removed duplicated region for block: B:716:0x103d A[ADDED_TO_REGION] */
    /* JADX WARN: Removed duplicated region for block: B:719:0x1042 A[Catch: Exception -> 0x10a1, TryCatch #6 {Exception -> 0x10a1, blocks: (B:705:0x1023, B:707:0x1027, B:717:0x103e, B:719:0x1042, B:722:0x1048, B:724:0x1059, B:726:0x105d, B:729:0x1062, B:730:0x107a, B:734:0x1090, B:711:0x102e, B:713:0x1032, B:715:0x1037), top: B:830:0x1023 }] */
    /* JADX WARN: Removed duplicated region for block: B:726:0x105d A[Catch: Exception -> 0x10a1, TryCatch #6 {Exception -> 0x10a1, blocks: (B:705:0x1023, B:707:0x1027, B:717:0x103e, B:719:0x1042, B:722:0x1048, B:724:0x1059, B:726:0x105d, B:729:0x1062, B:730:0x107a, B:734:0x1090, B:711:0x102e, B:713:0x1032, B:715:0x1037), top: B:830:0x1023 }] */
    /* JADX WARN: Removed duplicated region for block: B:732:0x108b  */
    /* JADX WARN: Removed duplicated region for block: B:733:0x108e  */
    /* JADX WARN: Removed duplicated region for block: B:740:0x10a9  */
    /* JADX WARN: Removed duplicated region for block: B:788:0x11c4  */
    /* JADX WARN: Removed duplicated region for block: B:824:0x0e42 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void buildLayout() {
        String messageFormat;
        boolean hasNameInMessage;
        boolean z;
        boolean z2;
        CharSequence charSequence;
        String mentionString;
        CharSequence messageString;
        String emoji;
        String messageNameString;
        SpannableStringBuilder stringBuilder;
        char c;
        char c2;
        CharSequence innerMessage;
        String emoji2;
        CharSequence messageString2;
        boolean z3;
        SpannableStringBuilder stringBuilder2;
        TLRPC.DraftMessage draftMessage;
        MessageObject messageObject;
        String timeString;
        boolean z4;
        boolean z5;
        String countString;
        String timeString2;
        String nameString;
        String nameString2;
        CharSequence messageString3;
        MessageObject messageObject2;
        boolean showChecks;
        int timeWidth;
        int nameWidth;
        int nameWidth2;
        int nameWidth3;
        int messageWidth;
        int w;
        int messageWidth2;
        int lineCount;
        int lineCount2;
        CharSequence messageStringFinal;
        int nameWidth4;
        String countString2;
        CharSequence messageString4;
        boolean z6;
        int i;
        boolean z7;
        char c3;
        SpannableStringBuilder stringBuilder3;
        if (this.useForceThreeLines || SharedConfig.useThreeLinesLayout) {
            Theme.dialogs_namePaint.setTextSize(AndroidUtilities.dp(14.0f));
            Theme.dialogs_nameEncryptedPaint.setTextSize(AndroidUtilities.dp(14.0f));
            Theme.dialogs_messagePaint.setTextSize(AndroidUtilities.dp(12.0f));
            Theme.dialogs_messagePrintingPaint.setTextSize(AndroidUtilities.dp(12.0f));
            TextPaint textPaint = Theme.dialogs_messagePaint;
            TextPaint textPaint2 = Theme.dialogs_messagePaint;
            int color = Theme.getColor(Theme.key_chats_message_threeLines);
            textPaint2.linkColor = color;
            textPaint.setColor(color);
        } else {
            Theme.dialogs_namePaint.setTextSize(AndroidUtilities.dp(14.0f));
            Theme.dialogs_nameEncryptedPaint.setTextSize(AndroidUtilities.dp(14.0f));
            Theme.dialogs_messagePaint.setTextSize(AndroidUtilities.dp(13.0f));
            Theme.dialogs_messagePrintingPaint.setTextSize(AndroidUtilities.dp(13.0f));
            TextPaint textPaint3 = Theme.dialogs_messagePaint;
            TextPaint textPaint4 = Theme.dialogs_messagePaint;
            int color2 = Theme.getColor(Theme.key_chats_message);
            textPaint4.linkColor = color2;
            textPaint3.setColor(color2);
        }
        this.currentDialogFolderDialogsCount = 0;
        String mentionString2 = null;
        CharSequence messageString5 = "";
        CharSequence messageNameString2 = null;
        CharSequence printingString = null;
        if (this.isDialogCell) {
            CharSequence printingString2 = MessagesController.getInstance(this.currentAccount).printingStrings.get(this.currentDialogId);
            printingString = printingString2;
        }
        TextPaint currentMessagePaint = Theme.dialogs_messagePaint;
        boolean checkMessage = true;
        this.drawGroupIcon = false;
        this.drawBroadcastIcon = false;
        this.drawSecretLockIcon = false;
        this.drawBotIcon = false;
        this.drawVerifiedIcon = false;
        this.drawScam = false;
        this.drawPinBackground = false;
        boolean showChecks2 = !UserObject.isUserSelf(this.user);
        boolean drawTime = true;
        if ((!this.useForceThreeLines && !SharedConfig.useThreeLinesLayout) || this.currentDialogFolderId != 0) {
            messageFormat = "%2$s: \u2068%1$s\u2069";
            hasNameInMessage = true;
        } else {
            messageFormat = "\u2068%s\u2069";
            hasNameInMessage = false;
        }
        MessageObject messageObject3 = this.message;
        this.lastMessageString = messageObject3 != null ? messageObject3.messageText : null;
        CustomDialog customDialog = this.customDialog;
        if (customDialog == null) {
            if (this.useForceThreeLines || SharedConfig.useThreeLinesLayout) {
                if (!LocaleController.isRTL) {
                    this.nameLeft = AndroidUtilities.dp(78.0f);
                } else {
                    this.nameLeft = AndroidUtilities.dp(22.0f);
                }
            } else if (!LocaleController.isRTL) {
                this.nameLeft = AndroidUtilities.dp(76.0f);
            } else {
                this.nameLeft = AndroidUtilities.dp(18.0f);
            }
            if (this.encryptedChat != null) {
                if (this.currentDialogFolderId == 0) {
                    this.drawSecretLockIcon = true;
                    if (this.useForceThreeLines || SharedConfig.useThreeLinesLayout) {
                        if (LocaleController.isRTL) {
                            this.nameLeft = AndroidUtilities.dp(22.0f);
                        }
                    } else if (LocaleController.isRTL) {
                        this.nameLeft = AndroidUtilities.dp(18.0f);
                    }
                }
            } else if (this.currentDialogFolderId == 0) {
                TLRPC.Chat chat = this.chat;
                if (chat != null) {
                    if (chat.scam) {
                        this.drawScam = true;
                        Theme.dialogs_scamDrawable.checkText();
                    } else {
                        this.drawVerifiedIcon = this.chat.verified;
                    }
                    if (SharedConfig.drawDialogIcons) {
                        if (this.useForceThreeLines || SharedConfig.useThreeLinesLayout) {
                            if (this.chat.id >= 0) {
                                if (!ChatObject.isChannel(this.chat) || this.chat.megagroup) {
                                    this.drawGroupIcon = true;
                                    if (LocaleController.isRTL) {
                                        this.nameLeft = AndroidUtilities.dp(22.0f);
                                    }
                                } else {
                                    z = true;
                                }
                            } else {
                                z = true;
                            }
                            this.drawBroadcastIcon = z;
                            if (LocaleController.isRTL) {
                            }
                        } else {
                            if (this.chat.id >= 0) {
                                if (!ChatObject.isChannel(this.chat) || this.chat.megagroup) {
                                    this.drawGroupIcon = true;
                                    if (LocaleController.isRTL) {
                                        this.nameLeft = AndroidUtilities.dp(18.0f);
                                    }
                                } else {
                                    z2 = true;
                                }
                            } else {
                                z2 = true;
                            }
                            this.drawBroadcastIcon = z2;
                            if (LocaleController.isRTL) {
                            }
                        }
                    }
                } else {
                    TLRPC.User user = this.user;
                    if (user != null) {
                        if (user.scam) {
                            this.drawScam = true;
                            Theme.dialogs_scamDrawable.checkText();
                        } else {
                            this.drawVerifiedIcon = this.user.verified;
                        }
                        if (SharedConfig.drawDialogIcons && this.user.bot) {
                            this.drawBotIcon = true;
                            if (this.useForceThreeLines || SharedConfig.useThreeLinesLayout) {
                                if (LocaleController.isRTL) {
                                    this.nameLeft = AndroidUtilities.dp(22.0f);
                                }
                            } else if (LocaleController.isRTL) {
                                this.nameLeft = AndroidUtilities.dp(18.0f);
                            }
                        }
                    }
                }
            }
            int lastDate = this.lastMessageDate;
            if (this.lastMessageDate == 0 && (messageObject2 = this.message) != null) {
                lastDate = messageObject2.messageOwner.date;
            }
            if (this.isDialogCell) {
                TLRPC.DraftMessage draft = MediaDataController.getInstance(this.currentAccount).getDraft(this.currentDialogId);
                this.draftMessage = draft;
                if ((draft == null || ((!TextUtils.isEmpty(draft.message) || this.draftMessage.reply_to_msg_id != 0) && (lastDate <= this.draftMessage.date || this.unreadCount == 0))) && (!ChatObject.isChannel(this.chat) || this.chat.megagroup || this.chat.creator || (this.chat.admin_rights != null && this.chat.admin_rights.post_messages))) {
                    TLRPC.Chat chat2 = this.chat;
                    if (chat2 != null) {
                        if (!chat2.left && !this.chat.kicked) {
                            charSequence = null;
                        }
                    } else {
                        charSequence = null;
                    }
                }
                charSequence = null;
                this.draftMessage = null;
            } else {
                charSequence = null;
                this.draftMessage = null;
            }
            if (printingString != null) {
                messageString5 = printingString;
                this.lastPrintString = printingString;
                currentMessagePaint = Theme.dialogs_messagePrintingPaint;
                mentionString = null;
            } else {
                this.lastPrintString = charSequence;
                if (this.draftMessage == null) {
                    mentionString = null;
                    if (this.clearingDialog) {
                        currentMessagePaint = Theme.dialogs_messagePrintingPaint;
                        messageString5 = LocaleController.getString("HistoryCleared", R.string.HistoryCleared);
                    } else {
                        MessageObject messageObject4 = this.message;
                        if (messageObject4 == null) {
                            if (this.encryptedChat != null) {
                                currentMessagePaint = Theme.dialogs_messagePrintingPaint;
                                TLRPC.EncryptedChat encryptedChat = this.encryptedChat;
                                if (encryptedChat instanceof TLRPC.TL_encryptedChatRequested) {
                                    messageString5 = LocaleController.getString("EncryptionProcessing", R.string.EncryptionProcessing);
                                } else if (encryptedChat instanceof TLRPC.TL_encryptedChatWaiting) {
                                    TLRPC.User user2 = this.user;
                                    messageString5 = (user2 == null || user2.first_name == null) ? LocaleController.formatString("AwaitingEncryption", R.string.AwaitingEncryption, "") : LocaleController.formatString("AwaitingEncryption", R.string.AwaitingEncryption, this.user.first_name);
                                } else if (encryptedChat instanceof TLRPC.TL_encryptedChatDiscarded) {
                                    messageString5 = LocaleController.getString("EncryptionRejected", R.string.EncryptionRejected);
                                } else if (encryptedChat instanceof TLRPC.TL_encryptedChat) {
                                    if (encryptedChat.admin_id == UserConfig.getInstance(this.currentAccount).getClientUserId()) {
                                        TLRPC.User user3 = this.user;
                                        messageString5 = (user3 == null || user3.first_name == null) ? LocaleController.formatString("EncryptedChatStartedOutgoing", R.string.EncryptedChatStartedOutgoing, "") : LocaleController.formatString("EncryptedChatStartedOutgoing", R.string.EncryptedChatStartedOutgoing, this.user.first_name);
                                    } else {
                                        messageString5 = LocaleController.getString("EncryptedChatStartedIncoming", R.string.EncryptedChatStartedIncoming);
                                    }
                                }
                            } else {
                                messageString5 = "";
                            }
                        } else {
                            TLRPC.User fromUser = null;
                            TLRPC.Chat fromChat = null;
                            if (messageObject4.isFromUser()) {
                                fromUser = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.message.messageOwner.from_id));
                            } else {
                                fromChat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(this.message.messageOwner.to_id.channel_id));
                            }
                            if (this.dialogsType == 3 && UserObject.isUserSelf(this.user)) {
                                CharSequence messageString6 = LocaleController.getString("SavedMessagesInfo", R.string.SavedMessagesInfo);
                                drawTime = false;
                                messageString5 = messageString6;
                                showChecks2 = false;
                            } else if (!this.useForceThreeLines && !SharedConfig.useThreeLinesLayout && this.currentDialogFolderId != 0) {
                                checkMessage = false;
                                messageString5 = formatArchivedDialogNames();
                            } else if (this.message.messageOwner instanceof TLRPC.TL_messageService) {
                                if (ChatObject.isChannel(this.chat) && ((this.message.messageOwner.action instanceof TLRPC.TL_messageActionHistoryClear) || (this.message.messageOwner.action instanceof TLRPC.TL_messageActionChannelMigrateFrom))) {
                                    messageString2 = "";
                                    showChecks2 = false;
                                } else {
                                    messageString2 = this.message.messageText;
                                }
                                currentMessagePaint = Theme.dialogs_messagePrintingPaint;
                                messageString5 = messageString2;
                            } else {
                                TLRPC.Chat chat3 = this.chat;
                                if (chat3 != null && chat3.id > 0 && fromChat == null) {
                                    if (this.message.isOutOwner()) {
                                        messageNameString = LocaleController.getString("FromYou", R.string.FromYou);
                                    } else if (fromUser != null) {
                                        if (!this.useForceThreeLines && !SharedConfig.useThreeLinesLayout) {
                                            messageNameString = UserObject.getFirstName(fromUser).replace("\n", "");
                                        } else {
                                            messageNameString = UserObject.isDeleted(fromUser) ? LocaleController.getString("HiddenName", R.string.HiddenName) : ContactsController.formatName(fromUser.first_name, fromUser.last_name).replace("\n", "");
                                        }
                                    } else {
                                        messageNameString = fromChat != null ? fromChat.title.replace("\n", "") : "DELETED";
                                    }
                                    checkMessage = false;
                                    if (this.message.caption == null) {
                                        if (this.message.messageOwner.media == null || this.message.isMediaEmpty()) {
                                            if (this.message.messageOwner.message != null) {
                                                String mess = this.message.messageOwner.message;
                                                if (mess.length() <= 150) {
                                                    c = 0;
                                                } else {
                                                    c = 0;
                                                    mess = mess.substring(0, 150);
                                                }
                                                Object[] objArr = new Object[2];
                                                objArr[c] = mess.replace('\n', ' ');
                                                objArr[1] = messageNameString;
                                                SpannableStringBuilder stringBuilder4 = SpannableStringBuilder.valueOf(String.format(messageFormat, objArr));
                                                stringBuilder = stringBuilder4;
                                            } else {
                                                SpannableStringBuilder stringBuilder5 = SpannableStringBuilder.valueOf("");
                                                stringBuilder = stringBuilder5;
                                            }
                                        } else {
                                            currentMessagePaint = Theme.dialogs_messagePrintingPaint;
                                            if (this.message.messageOwner.media instanceof TLRPC.TL_messageMediaGame) {
                                                innerMessage = String.format("🎮 \u2068%s\u2069", this.message.messageOwner.media.game.title);
                                                c2 = 1;
                                            } else if (this.message.type == 14) {
                                                c2 = 1;
                                                innerMessage = String.format("🎧 \u2068%s - %s\u2069", this.message.getMusicAuthor(), this.message.getMusicTitle());
                                            } else {
                                                c2 = 1;
                                                innerMessage = this.message.messageText;
                                            }
                                            Object[] objArr2 = new Object[2];
                                            objArr2[0] = innerMessage;
                                            objArr2[c2] = messageNameString;
                                            stringBuilder = SpannableStringBuilder.valueOf(String.format(messageFormat, objArr2));
                                            try {
                                                stringBuilder.setSpan(new ForegroundColorSpan(Theme.getColor(Theme.key_chats_attachMessage)), hasNameInMessage ? messageNameString.length() + 2 : 0, stringBuilder.length(), 33);
                                            } catch (Exception e) {
                                                FileLog.e(e);
                                            }
                                        }
                                    } else {
                                        String mess2 = this.message.caption.toString();
                                        if (mess2.length() > 150) {
                                            mess2 = mess2.substring(0, 150);
                                        }
                                        if (this.message.isVideo()) {
                                            emoji2 = "📹 ";
                                        } else if (this.message.isVoice()) {
                                            emoji2 = "🎤 ";
                                        } else if (this.message.isMusic()) {
                                            emoji2 = "🎧 ";
                                        } else if (this.message.isPhoto()) {
                                            emoji2 = "🖼 ";
                                        } else {
                                            emoji2 = "📎 ";
                                        }
                                        SpannableStringBuilder stringBuilder6 = SpannableStringBuilder.valueOf(String.format(messageFormat, emoji2 + mess2.replace('\n', ' '), messageNameString));
                                        stringBuilder = stringBuilder6;
                                    }
                                    if ((!this.useForceThreeLines && !SharedConfig.useThreeLinesLayout) || (this.currentDialogFolderId != 0 && stringBuilder.length() > 0)) {
                                        try {
                                            stringBuilder.setSpan(new ForegroundColorSpan(Theme.getColor(Theme.key_chats_nameMessage)), 0, messageNameString.length() + 1, 33);
                                        } catch (Exception e2) {
                                            FileLog.e(e2);
                                        }
                                    }
                                    CharSequence messageString7 = Emoji.replaceEmoji(stringBuilder, Theme.dialogs_messagePaint.getFontMetricsInt(), AndroidUtilities.dp(20.0f), false);
                                    messageString5 = messageString7;
                                    messageNameString2 = messageNameString;
                                } else if ((this.message.messageOwner.media instanceof TLRPC.TL_messageMediaPhoto) && (this.message.messageOwner.media.photo instanceof TLRPC.TL_photoEmpty) && this.message.messageOwner.media.ttl_seconds != 0) {
                                    messageString5 = LocaleController.getString("AttachPhotoExpired", R.string.AttachPhotoExpired);
                                } else if ((this.message.messageOwner.media instanceof TLRPC.TL_messageMediaDocument) && (this.message.messageOwner.media.document instanceof TLRPC.TL_documentEmpty) && this.message.messageOwner.media.ttl_seconds != 0) {
                                    messageString5 = LocaleController.getString("AttachVideoExpired", R.string.AttachVideoExpired);
                                } else if (this.message.caption != null) {
                                    if (this.message.isVideo()) {
                                        emoji = "📹 ";
                                    } else if (this.message.isVoice()) {
                                        emoji = "🎤 ";
                                    } else if (this.message.isMusic()) {
                                        emoji = "🎧 ";
                                    } else if (this.message.isPhoto()) {
                                        emoji = "🖼 ";
                                    } else {
                                        emoji = "📎 ";
                                    }
                                    messageString5 = emoji + ((Object) this.message.caption);
                                } else {
                                    if (this.message.messageOwner.media instanceof TLRPC.TL_messageMediaGame) {
                                        messageString = "🎮 " + this.message.messageOwner.media.game.title;
                                    } else {
                                        messageString = this.message.type == 14 ? String.format("🎧 %s - %s", this.message.getMusicAuthor(), this.message.getMusicTitle()) : this.message.messageText;
                                    }
                                    if (this.message.messageOwner.media != null && !this.message.isMediaEmpty()) {
                                        currentMessagePaint = Theme.dialogs_messagePrintingPaint;
                                        messageString5 = messageString;
                                    } else {
                                        messageString5 = messageString;
                                    }
                                }
                            }
                            if (this.currentDialogFolderId != 0) {
                                messageNameString2 = formatArchivedDialogNames();
                            }
                        }
                    }
                } else {
                    checkMessage = false;
                    messageNameString2 = LocaleController.getString("Draft", R.string.Draft);
                    if (!TextUtils.isEmpty(this.draftMessage.message)) {
                        String mess3 = this.draftMessage.message;
                        if (mess3.length() > 150) {
                            mess3 = mess3.substring(0, 150);
                        }
                        if (this.useForceThreeLines) {
                            mentionString = null;
                            z3 = false;
                        } else if (SharedConfig.useThreeLinesLayout) {
                            mentionString = null;
                            z3 = false;
                        } else {
                            stringBuilder2 = SpannableStringBuilder.valueOf(String.format(messageFormat, mess3.replace('\n', ' '), messageNameString2));
                            mentionString = null;
                            z3 = false;
                            stringBuilder2.setSpan(new ForegroundColorSpan(Theme.getColor(Theme.key_chats_draft)), 0, messageNameString2.length() + 1, 33);
                            messageString5 = Emoji.replaceEmoji(stringBuilder2, Theme.dialogs_messagePaint.getFontMetricsInt(), AndroidUtilities.dp(20.0f), z3);
                        }
                        Object[] objArr3 = new Object[2];
                        objArr3[z3 ? 1 : 0] = mess3.replace('\n', ' ');
                        objArr3[1] = messageNameString2;
                        stringBuilder2 = SpannableStringBuilder.valueOf(String.format(messageFormat, objArr3));
                        messageString5 = Emoji.replaceEmoji(stringBuilder2, Theme.dialogs_messagePaint.getFontMetricsInt(), AndroidUtilities.dp(20.0f), z3);
                    } else {
                        if (!this.useForceThreeLines && !SharedConfig.useThreeLinesLayout) {
                            SpannableStringBuilder stringBuilder7 = SpannableStringBuilder.valueOf(messageNameString2);
                            stringBuilder7.setSpan(new ForegroundColorSpan(Theme.getColor(Theme.key_chats_draft)), 0, messageNameString2.length(), 33);
                            messageString5 = stringBuilder7;
                            mentionString = null;
                        }
                        messageString5 = "";
                        mentionString = null;
                    }
                }
            }
            if (this.draftMessage != null) {
                timeString = LocaleController.stringForMessageListDate(draftMessage.date);
            } else {
                int i2 = this.lastMessageDate;
                if (i2 != 0) {
                    timeString = LocaleController.stringForMessageListDate(i2);
                } else {
                    if (this.message == null) {
                        timeString = "";
                    } else {
                        timeString = LocaleController.stringForMessageListDate(messageObject.messageOwner.date);
                    }
                }
            }
            MessageObject messageObject5 = this.message;
            if (messageObject5 == null) {
                this.drawCheck1 = false;
                this.drawCheck2 = false;
                this.drawClockIcon = false;
                this.drawCount = false;
                this.drawMentionIcon = false;
                this.drawErrorIcon = false;
                countString = null;
                mentionString2 = mentionString;
            } else {
                if (this.currentDialogFolderId == 0) {
                    if (this.clearingDialog) {
                        this.drawCount = false;
                        showChecks2 = false;
                        countString = null;
                        z4 = true;
                        z5 = false;
                    } else {
                        int i3 = this.unreadCount;
                        if (i3 != 0 && (i3 != 1 || i3 != this.mentionCount || messageObject5 == null || !messageObject5.messageOwner.mentioned)) {
                            this.drawCount = true;
                            countString = String.format("%d", Integer.valueOf(this.unreadCount));
                            z4 = true;
                            z5 = false;
                        } else if (this.markUnread) {
                            z4 = true;
                            this.drawCount = true;
                            countString = "";
                            z5 = false;
                        } else {
                            z4 = true;
                            z5 = false;
                            this.drawCount = false;
                            countString = null;
                        }
                    }
                    if (this.mentionCount != 0) {
                        this.drawMentionIcon = z4;
                        mentionString2 = "@";
                    } else {
                        this.drawMentionIcon = z5;
                        mentionString2 = mentionString;
                    }
                } else {
                    int i4 = this.unreadCount;
                    int i5 = this.mentionCount;
                    if (i4 + i5 <= 0) {
                        this.drawCount = false;
                        this.drawMentionIcon = false;
                        countString = null;
                        mentionString2 = mentionString;
                    } else if (i4 > i5) {
                        this.drawCount = true;
                        this.drawMentionIcon = false;
                        countString = String.format("%d", Integer.valueOf(i4 + i5));
                        mentionString2 = mentionString;
                    } else {
                        this.drawCount = false;
                        this.drawMentionIcon = true;
                        mentionString2 = String.format("%d", Integer.valueOf(i4 + i5));
                        countString = null;
                    }
                }
                if (!this.message.isOut() || this.draftMessage != null || !showChecks2 || (this.message.messageOwner.action instanceof TLRPC.TL_messageActionHistoryClear)) {
                    this.drawCheck1 = false;
                    this.drawCheck2 = false;
                    this.drawClockIcon = false;
                    this.drawErrorIcon = false;
                } else if (this.message.isSending()) {
                    this.drawCheck1 = false;
                    this.drawCheck2 = false;
                    this.drawClockIcon = true;
                    this.drawErrorIcon = false;
                } else if (this.message.isSendError()) {
                    this.drawCheck1 = false;
                    this.drawCheck2 = false;
                    this.drawClockIcon = false;
                    this.drawErrorIcon = true;
                    this.drawCount = false;
                    this.drawMentionIcon = false;
                } else if (this.message.isSent()) {
                    this.drawCheck1 = !this.message.isUnread() || (ChatObject.isChannel(this.chat) && !this.chat.megagroup);
                    this.drawCheck2 = true;
                    this.drawClockIcon = false;
                    this.drawErrorIcon = false;
                }
            }
            if (this.dialogsType == 0 && MessagesController.getInstance(this.currentAccount).isProxyDialog(this.currentDialogId, true)) {
                this.drawPinBackground = true;
                timeString2 = LocaleController.getString("UseProxySponsor", R.string.UseProxySponsor);
            } else {
                timeString2 = timeString;
            }
            if (this.currentDialogFolderId != 0) {
                nameString2 = LocaleController.getString("ArchivedChats", R.string.ArchivedChats);
                messageString3 = messageNameString2;
            } else {
                TLRPC.Chat chat4 = this.chat;
                if (chat4 != null) {
                    nameString = chat4.title;
                } else {
                    TLRPC.User user4 = this.user;
                    if (user4 == null) {
                        nameString = "";
                    } else if (UserObject.isUserSelf(user4)) {
                        nameString = LocaleController.getString("SavedMessages", R.string.SavedMessages);
                    } else {
                        nameString = UserObject.getName(this.user);
                    }
                }
                if (nameString.length() != 0) {
                    nameString2 = nameString;
                    messageString3 = messageNameString2;
                } else {
                    nameString2 = LocaleController.getString("HiddenName", R.string.HiddenName);
                    messageString3 = messageNameString2;
                }
            }
        } else {
            if (customDialog.type == 2) {
                this.drawSecretLockIcon = true;
                if (this.useForceThreeLines || SharedConfig.useThreeLinesLayout) {
                    if (LocaleController.isRTL) {
                        this.nameLeft = AndroidUtilities.dp(22.0f);
                    }
                } else if (LocaleController.isRTL) {
                    this.nameLeft = AndroidUtilities.dp(18.0f);
                }
            } else {
                this.drawVerifiedIcon = this.customDialog.verified;
                if (SharedConfig.drawDialogIcons && this.customDialog.type == 1) {
                    this.drawGroupIcon = true;
                    if (this.useForceThreeLines || SharedConfig.useThreeLinesLayout) {
                        if (LocaleController.isRTL) {
                            this.nameLeft = AndroidUtilities.dp(22.0f);
                        }
                    } else if (LocaleController.isRTL) {
                        this.nameLeft = AndroidUtilities.dp(18.0f);
                    }
                } else if (this.useForceThreeLines || SharedConfig.useThreeLinesLayout) {
                    if (!LocaleController.isRTL) {
                        this.nameLeft = AndroidUtilities.dp(78.0f);
                    } else {
                        this.nameLeft = AndroidUtilities.dp(22.0f);
                    }
                } else if (!LocaleController.isRTL) {
                    this.nameLeft = AndroidUtilities.dp(76.0f);
                } else {
                    this.nameLeft = AndroidUtilities.dp(18.0f);
                }
            }
            if (this.customDialog.type != 1) {
                countString2 = null;
                messageString4 = this.customDialog.message;
                if (this.customDialog.isMedia) {
                    currentMessagePaint = Theme.dialogs_messagePrintingPaint;
                }
            } else {
                messageNameString2 = LocaleController.getString("FromYou", R.string.FromYou);
                checkMessage = false;
                if (!this.customDialog.isMedia) {
                    countString2 = null;
                    String mess4 = this.customDialog.message;
                    if (mess4.length() > 150) {
                        mess4 = mess4.substring(0, 150);
                    }
                    if (this.useForceThreeLines) {
                        i = 2;
                        z7 = false;
                        c3 = 1;
                    } else if (SharedConfig.useThreeLinesLayout) {
                        i = 2;
                        z7 = false;
                        c3 = 1;
                    } else {
                        z7 = false;
                        stringBuilder3 = SpannableStringBuilder.valueOf(String.format(messageFormat, mess4.replace('\n', ' '), messageNameString2));
                    }
                    Object[] objArr4 = new Object[i];
                    objArr4[z7 ? 1 : 0] = mess4;
                    objArr4[c3] = messageNameString2;
                    stringBuilder3 = SpannableStringBuilder.valueOf(String.format(messageFormat, objArr4));
                } else {
                    currentMessagePaint = Theme.dialogs_messagePrintingPaint;
                    stringBuilder3 = SpannableStringBuilder.valueOf(String.format(messageFormat, this.message.messageText));
                    countString2 = null;
                    z7 = false;
                    stringBuilder3.setSpan(new ForegroundColorSpan(Theme.getColor(Theme.key_chats_attachMessage)), 0, stringBuilder3.length(), 33);
                }
                messageString4 = Emoji.replaceEmoji(stringBuilder3, Theme.dialogs_messagePaint.getFontMetricsInt(), AndroidUtilities.dp(20.0f), z7);
            }
            timeString2 = LocaleController.stringForMessageListDate(this.customDialog.date);
            if (this.customDialog.unread_count != 0) {
                this.drawCount = true;
                z6 = false;
                countString = String.format("%d", Integer.valueOf(this.customDialog.unread_count));
            } else {
                z6 = false;
                this.drawCount = false;
                countString = countString2;
            }
            if (this.customDialog.sent) {
                this.drawCheck1 = true;
                this.drawCheck2 = true;
                this.drawClockIcon = z6;
                this.drawErrorIcon = z6;
            } else {
                this.drawCheck1 = z6;
                this.drawCheck2 = z6;
                this.drawClockIcon = z6;
                this.drawErrorIcon = z6;
            }
            nameString2 = this.customDialog.name;
            messageString5 = messageString4;
            messageString3 = messageNameString2;
        }
        if (drawTime) {
            showChecks = showChecks2;
            int timeWidth2 = (int) Math.ceil(Theme.dialogs_timePaint.measureText(timeString2));
            this.timeLayout = new StaticLayout(timeString2, Theme.dialogs_timePaint, timeWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
            if (!LocaleController.isRTL) {
                this.timeLeft = (getMeasuredWidth() - AndroidUtilities.dp(15.0f)) - timeWidth2;
            } else {
                this.timeLeft = AndroidUtilities.dp(15.0f);
            }
            timeWidth = timeWidth2;
        } else {
            showChecks = showChecks2;
            this.timeLayout = null;
            this.timeLeft = 0;
            timeWidth = 0;
        }
        if (!LocaleController.isRTL) {
            nameWidth = ((getMeasuredWidth() - this.nameLeft) - AndroidUtilities.dp(14.0f)) - timeWidth;
        } else {
            int nameWidth5 = getMeasuredWidth();
            nameWidth = ((nameWidth5 - this.nameLeft) - AndroidUtilities.dp(77.0f)) - timeWidth;
            this.nameLeft += timeWidth;
        }
        if (!this.dialogMuted || this.drawVerifiedIcon || this.drawScam) {
            if (!this.drawVerifiedIcon) {
                if (this.drawScam) {
                    int w2 = AndroidUtilities.dp(6.0f) + Theme.dialogs_scamDrawable.getIntrinsicWidth();
                    int nameWidth6 = nameWidth - w2;
                    if (!LocaleController.isRTL) {
                        nameWidth2 = nameWidth6;
                    } else {
                        nameWidth2 = nameWidth6;
                        int nameWidth7 = this.nameLeft;
                        this.nameLeft = nameWidth7 + w2;
                    }
                    nameWidth = nameWidth2;
                }
            } else {
                int w3 = AndroidUtilities.dp(6.0f) + Theme.dialogs_verifiedDrawable.getIntrinsicWidth();
                int nameWidth8 = nameWidth - w3;
                if (!LocaleController.isRTL) {
                    nameWidth3 = nameWidth8;
                } else {
                    nameWidth3 = nameWidth8;
                    int nameWidth9 = this.nameLeft;
                    this.nameLeft = nameWidth9 + w3;
                }
                nameWidth = nameWidth3;
            }
        } else {
            int w4 = AndroidUtilities.dp(6.0f) + Theme.dialogs_muteDrawable.getIntrinsicWidth();
            int nameWidth10 = nameWidth - w4;
            if (!LocaleController.isRTL) {
                nameWidth4 = nameWidth10;
            } else {
                nameWidth4 = nameWidth10;
                int nameWidth11 = this.nameLeft;
                this.nameLeft = nameWidth11 + w4;
            }
            nameWidth = nameWidth4;
        }
        int nameWidth12 = Math.max(AndroidUtilities.dp(12.0f), nameWidth);
        try {
        } catch (Exception e3) {
            e = e3;
        }
        try {
            CharSequence nameStringFinal = TextUtils.ellipsize(nameString2.replace('\n', ' '), Theme.dialogs_namePaint, nameWidth12 - AndroidUtilities.dp(12.0f), TextUtils.TruncateAt.END);
            this.nameLayout = new StaticLayout(nameStringFinal, Theme.dialogs_namePaint, nameWidth12, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
        } catch (Exception e4) {
            e = e4;
            FileLog.e(e);
            if (this.topOffset == 0.0f) {
            }
            if (!this.useForceThreeLines) {
                float f = this.topOffset;
                this.messageNameTop = (int) (AndroidUtilities.dp(10.0f) + f);
                this.timeTop = (int) f;
                this.errorTop = getMeasuredHeight() - AndroidUtilities.dp(25.0f);
                this.recorderTop = getMeasuredHeight() - AndroidUtilities.dp(28.0f);
                this.countTop = getMeasuredHeight() - AndroidUtilities.dp(31.0f);
                this.clockDrawTop = getMeasuredHeight() - AndroidUtilities.dp(25.0f);
                int messageWidth3 = getMeasuredWidth() - AndroidUtilities.dp(72.0f);
                if (LocaleController.isRTL) {
                }
                this.avatarImage.setImageCoords(this.avatarLeft, (int) this.topOffset, AndroidUtilities.dp(49.0f), AndroidUtilities.dp(49.0f));
                messageWidth = messageWidth3;
                if (this.drawPinIcon) {
                }
                if (!this.drawErrorIcon) {
                }
                if (countString == null) {
                }
                if (countString == null) {
                }
                if (mentionString2 != null) {
                }
                if (checkMessage) {
                }
                messageWidth2 = Math.max(AndroidUtilities.dp(12.0f), w);
                if (!this.useForceThreeLines) {
                }
                this.messageNameLayout = StaticLayoutEx.createStaticLayout(messageString3, Theme.dialogs_messageNamePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false, TextUtils.TruncateAt.END, messageWidth2, 1);
                this.messageTop = (int) (AndroidUtilities.dp(36.0f) + this.topOffset);
                if (!this.useForceThreeLines) {
                }
                if (this.currentDialogFolderId != 0) {
                }
                if (this.useForceThreeLines) {
                }
                messageStringFinal = messageString5;
                if (!this.useForceThreeLines) {
                }
                this.messageLayout = StaticLayoutEx.createStaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false, TextUtils.TruncateAt.END, messageWidth2, messageString3 == null ? 1 : 2);
                if (LocaleController.isRTL) {
                }
            }
            float f2 = this.topOffset;
            this.messageNameTop = (int) (AndroidUtilities.dp(20.0f) + f2);
            this.timeTop = (int) f2;
            this.errorTop = getMeasuredHeight() - AndroidUtilities.dp(31.0f);
            this.recorderTop = AndroidUtilities.dp(this.topOffset + 28.0f);
            this.countTop = getMeasuredHeight() - AndroidUtilities.dp(31.0f);
            this.clockDrawTop = getMeasuredHeight() - AndroidUtilities.dp(31.0f);
            int messageWidth4 = getMeasuredWidth() - AndroidUtilities.dp(72.0f);
            if (LocaleController.isRTL) {
            }
            this.avatarImage.setImageCoords(this.avatarLeft, (int) this.topOffset, AndroidUtilities.dp(49.0f), AndroidUtilities.dp(49.0f));
            messageWidth = messageWidth4;
            if (this.drawPinIcon) {
            }
            if (!this.drawErrorIcon) {
            }
            if (countString == null) {
            }
            if (countString == null) {
            }
            if (mentionString2 != null) {
            }
            if (checkMessage) {
            }
            messageWidth2 = Math.max(AndroidUtilities.dp(12.0f), w);
            if (!this.useForceThreeLines) {
            }
            this.messageNameLayout = StaticLayoutEx.createStaticLayout(messageString3, Theme.dialogs_messageNamePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false, TextUtils.TruncateAt.END, messageWidth2, 1);
            this.messageTop = (int) (AndroidUtilities.dp(36.0f) + this.topOffset);
            if (!this.useForceThreeLines) {
            }
            if (this.currentDialogFolderId != 0) {
            }
            if (this.useForceThreeLines) {
            }
            messageStringFinal = messageString5;
            if (!this.useForceThreeLines) {
            }
            this.messageLayout = StaticLayoutEx.createStaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false, TextUtils.TruncateAt.END, messageWidth2, messageString3 == null ? 1 : 2);
            if (LocaleController.isRTL) {
            }
        }
        if (this.topOffset == 0.0f) {
            this.topOffset = (getMeasuredHeight() - AndroidUtilities.dp(48.0f)) / 2.0f;
        }
        if (!this.useForceThreeLines && !SharedConfig.useThreeLinesLayout) {
            float f3 = this.topOffset;
            this.messageNameTop = (int) (AndroidUtilities.dp(10.0f) + f3);
            this.timeTop = (int) f3;
            this.errorTop = getMeasuredHeight() - AndroidUtilities.dp(25.0f);
            this.recorderTop = getMeasuredHeight() - AndroidUtilities.dp(28.0f);
            this.countTop = getMeasuredHeight() - AndroidUtilities.dp(31.0f);
            this.clockDrawTop = getMeasuredHeight() - AndroidUtilities.dp(25.0f);
            int messageWidth32 = getMeasuredWidth() - AndroidUtilities.dp(72.0f);
            if (LocaleController.isRTL) {
                int dp = AndroidUtilities.dp(72.0f);
                this.messageNameLeft = dp;
                this.messageLeft = dp;
                this.avatarLeft = AndroidUtilities.dp(12.0f);
            } else {
                int dp2 = AndroidUtilities.dp(22.0f);
                this.messageNameLeft = dp2;
                this.messageLeft = dp2;
                this.avatarLeft = getMeasuredWidth() - AndroidUtilities.dp(64.0f);
            }
            this.avatarImage.setImageCoords(this.avatarLeft, (int) this.topOffset, AndroidUtilities.dp(49.0f), AndroidUtilities.dp(49.0f));
            messageWidth = messageWidth32;
            if (this.drawPinIcon) {
                int w5 = Theme.dialogs_pinnedDrawable.getIntrinsicWidth() + AndroidUtilities.dp(6.0f);
                messageWidth -= w5;
                this.pinTop = getMeasuredHeight() - AndroidUtilities.dp(30.0f);
                if (!LocaleController.isRTL) {
                    this.recorderLeft = (getMeasuredWidth() - Theme.dialogs_pinnedDrawable.getIntrinsicWidth()) - AndroidUtilities.dp(14.0f);
                    this.pinLeft = getMeasuredWidth() - AndroidUtilities.dp(30.0f);
                } else {
                    this.recorderLeft = AndroidUtilities.dp(14.0f);
                    this.pinLeft = 0;
                    this.messageLeft += w5;
                    this.messageNameLeft += w5;
                }
            }
            if (!this.drawErrorIcon) {
                int w6 = AndroidUtilities.dp(18.0f);
                int messageWidth5 = messageWidth - w6;
                if (!LocaleController.isRTL) {
                    this.errorLeft = AndroidUtilities.dp(72.0f);
                } else {
                    this.errorLeft = AndroidUtilities.dp(11.0f);
                }
                this.messageLeft += w6;
                this.messageNameLeft += w6;
                w = messageWidth5;
            } else if (!this.drawClockIcon) {
                w = messageWidth;
            } else {
                int w7 = AndroidUtilities.dp(18.0f);
                int messageWidth6 = messageWidth - w7;
                if (!LocaleController.isRTL) {
                    this.clockDrawLeft = AndroidUtilities.dp(72.0f);
                } else {
                    this.clockDrawLeft = AndroidUtilities.dp(11.0f);
                }
                this.messageLeft += w7;
                this.messageNameLeft += w7;
                w = messageWidth6;
            }
            if (countString == null || mentionString2 != null) {
                if (countString == null) {
                    try {
                        this.countIsBiggerThanTen = new BigDecimal(countString).compareTo(new BigDecimal("10")) > 0;
                    } catch (Exception e5) {
                        FileLog.e("FmtDialogCell ----> buildLayout countIsBiggerThanTen e: " + e5.toString());
                    }
                    this.countTop += this.countIsBiggerThanTen ? AndroidUtilities.dp(3.0f) : 0;
                    this.countWidth = Math.max(AndroidUtilities.dp(10.0f), (int) Math.ceil(Theme.dialogs_countTextPaint.measureText(countString)));
                    this.countLayout = new StaticLayout(countString, Theme.dialogs_countTextPaint, this.countWidth, Layout.Alignment.ALIGN_CENTER, 1.0f, 0.0f, false);
                    int w8 = this.countWidth + AndroidUtilities.dp(20.0f);
                    w -= w8;
                    if (!LocaleController.isRTL) {
                        this.countLeft = (getMeasuredWidth() - this.countWidth) - AndroidUtilities.dp(20.0f);
                    } else {
                        this.countLeft = AndroidUtilities.dp(20.0f);
                        this.messageLeft += w8;
                        this.messageNameLeft += w8;
                    }
                    this.drawCount = true;
                } else {
                    this.countWidth = 0;
                }
                if (mentionString2 != null) {
                    if (this.currentDialogFolderId != 0) {
                        this.mentionWidth = Math.max(AndroidUtilities.dp(9.5f), (int) Math.ceil(Theme.dialogs_countTextPaint.measureText(mentionString2)));
                        this.mentionLayout = new StaticLayout(mentionString2, Theme.dialogs_countTextPaint, this.mentionWidth, Layout.Alignment.ALIGN_CENTER, 1.0f, 0.0f, false);
                    } else {
                        this.mentionWidth = AndroidUtilities.dp(9.5f);
                    }
                    int w9 = this.mentionWidth + (countString != null ? AndroidUtilities.dp(10.0f) : AndroidUtilities.dp(20.0f));
                    w -= w9;
                    if (!LocaleController.isRTL) {
                        int measuredWidth = (getMeasuredWidth() - this.mentionWidth) - AndroidUtilities.dp(10.0f);
                        int i6 = this.countWidth;
                        this.mentionLeft = measuredWidth - (i6 != 0 ? i6 + AndroidUtilities.dp(26.0f) : 0);
                    } else {
                        int dp3 = AndroidUtilities.dp(10.0f);
                        int i7 = this.countWidth;
                        this.mentionLeft = dp3 + (i7 != 0 ? i7 + AndroidUtilities.dp(5.0f) : 0);
                        this.messageLeft += w9;
                        this.messageNameLeft += w9;
                    }
                    this.drawMentionIcon = true;
                }
            }
            if (checkMessage) {
                if (messageString5 == null) {
                    messageString5 = "";
                }
                String mess5 = messageString5.toString();
                if (mess5.length() > 150) {
                    mess5 = mess5.substring(0, 150);
                }
                if ((!this.useForceThreeLines && !SharedConfig.useThreeLinesLayout) || messageString3 != null) {
                    mess5 = mess5.replace('\n', ' ');
                }
                messageString5 = Emoji.replaceEmoji(mess5, Theme.dialogs_messagePaint.getFontMetricsInt(), AndroidUtilities.dp(17.0f), false);
            }
            messageWidth2 = Math.max(AndroidUtilities.dp(12.0f), w);
            if ((!this.useForceThreeLines || SharedConfig.useThreeLinesLayout) && messageString3 != null && (this.currentDialogFolderId == 0 || this.currentDialogFolderDialogsCount == 1)) {
                this.messageNameLayout = StaticLayoutEx.createStaticLayout(messageString3, Theme.dialogs_messageNamePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false, TextUtils.TruncateAt.END, messageWidth2, 1);
                this.messageTop = (int) (AndroidUtilities.dp(36.0f) + this.topOffset);
            } else {
                this.messageNameLayout = null;
                if (this.useForceThreeLines || SharedConfig.useThreeLinesLayout) {
                    this.messageTop = (int) (AndroidUtilities.dp(32.0f) + this.topOffset);
                } else {
                    this.messageTop = (int) (AndroidUtilities.dp(34.0f) + this.topOffset);
                }
            }
            if (!this.useForceThreeLines && !SharedConfig.useThreeLinesLayout) {
                if ((this.useForceThreeLines && !SharedConfig.useThreeLinesLayout) || messageString3 != null) {
                    messageStringFinal = TextUtils.ellipsize(messageString5, currentMessagePaint, messageWidth2 - AndroidUtilities.dp(12.0f), TextUtils.TruncateAt.END);
                } else {
                    messageStringFinal = messageString5;
                }
                if (!this.useForceThreeLines && !SharedConfig.useThreeLinesLayout) {
                    this.messageLayout = new StaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                    if (LocaleController.isRTL) {
                        StaticLayout staticLayout = this.nameLayout;
                        if (staticLayout != null && staticLayout.getLineCount() > 0) {
                            float left = this.nameLayout.getLineRight(0);
                            if (left == nameWidth12) {
                                double widthpx = Math.ceil(this.nameLayout.getLineWidth(0));
                                if (widthpx < nameWidth12) {
                                    this.nameLeft = (int) (this.nameLeft - (nameWidth12 - widthpx));
                                }
                            }
                            if (this.dialogMuted || this.drawVerifiedIcon || this.drawScam) {
                                this.nameMuteLeft = (int) (this.nameLeft + left + AndroidUtilities.dp(6.0f));
                            }
                        }
                        StaticLayout staticLayout2 = this.messageLayout;
                        if (staticLayout2 != null && (lineCount = staticLayout2.getLineCount()) > 0) {
                            float left2 = 2.14748365E9f;
                            for (int a2 = 0; a2 < lineCount; a2++) {
                                left2 = Math.min(left2, this.messageLayout.getLineLeft(a2));
                            }
                            int a3 = this.messageLeft;
                            this.messageLeft = (int) (a3 - left2);
                        }
                        StaticLayout staticLayout3 = this.messageNameLayout;
                        if (staticLayout3 != null && staticLayout3.getLineCount() > 0) {
                            this.messageNameLeft = (int) (this.messageNameLeft - this.messageNameLayout.getLineLeft(0));
                            return;
                        }
                        return;
                    }
                    StaticLayout staticLayout4 = this.nameLayout;
                    if (staticLayout4 != null && staticLayout4.getLineCount() > 0) {
                        float left3 = this.nameLayout.getLineLeft(0);
                        double widthpx2 = Math.ceil(this.nameLayout.getLineWidth(0));
                        if (this.dialogMuted && !this.drawVerifiedIcon && !this.drawScam) {
                            this.nameMuteLeft = (int) (((this.nameLeft + (nameWidth12 - widthpx2)) - AndroidUtilities.dp(6.0f)) - Theme.dialogs_muteDrawable.getIntrinsicWidth());
                        } else if (this.drawVerifiedIcon) {
                            this.nameMuteLeft = (int) (((this.nameLeft + (nameWidth12 - widthpx2)) - AndroidUtilities.dp(6.0f)) - Theme.dialogs_verifiedDrawable.getIntrinsicWidth());
                        } else if (this.drawScam) {
                            this.nameMuteLeft = (int) (((this.nameLeft + (nameWidth12 - widthpx2)) - AndroidUtilities.dp(6.0f)) - Theme.dialogs_scamDrawable.getIntrinsicWidth());
                        }
                        if (left3 == 0.0f && widthpx2 < nameWidth12) {
                            this.nameLeft = (int) (this.nameLeft + (nameWidth12 - widthpx2));
                        }
                    }
                    StaticLayout staticLayout5 = this.messageLayout;
                    if (staticLayout5 != null && (lineCount2 = staticLayout5.getLineCount()) > 0) {
                        int w10 = Integer.MAX_VALUE;
                        int a4 = 0;
                        while (true) {
                            if (a4 >= lineCount2) {
                                break;
                            }
                            float left4 = this.messageLayout.getLineLeft(a4);
                            if (left4 != 0.0f) {
                                w10 = 0;
                                break;
                            }
                            w10 = Math.min(w10, (int) (messageWidth2 - Math.ceil(this.messageLayout.getLineWidth(a4))));
                            a4++;
                            currentMessagePaint = currentMessagePaint;
                        }
                        if (w10 != Integer.MAX_VALUE) {
                            this.messageLeft += w10;
                        }
                    }
                    StaticLayout staticLayout6 = this.messageNameLayout;
                    if (staticLayout6 != null && staticLayout6.getLineCount() > 0) {
                        float left5 = this.messageNameLayout.getLineLeft(0);
                        if (left5 == 0.0f) {
                            double widthpx3 = Math.ceil(this.messageNameLayout.getLineWidth(0));
                            if (widthpx3 < messageWidth2) {
                                this.messageNameLeft = (int) (this.messageNameLeft + (messageWidth2 - widthpx3));
                                return;
                            }
                            return;
                        }
                        return;
                    }
                    return;
                }
                this.messageLayout = StaticLayoutEx.createStaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false, TextUtils.TruncateAt.END, messageWidth2, messageString3 == null ? 1 : 2);
                if (LocaleController.isRTL) {
                }
            }
            if (this.currentDialogFolderId != 0 && this.currentDialogFolderDialogsCount > 1) {
                messageStringFinal = messageString3;
                messageString3 = null;
                currentMessagePaint = Theme.dialogs_messagePaint;
                if (!this.useForceThreeLines) {
                    this.messageLayout = new StaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
                    if (LocaleController.isRTL) {
                    }
                }
                this.messageLayout = StaticLayoutEx.createStaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false, TextUtils.TruncateAt.END, messageWidth2, messageString3 == null ? 1 : 2);
                if (LocaleController.isRTL) {
                }
            }
            if (this.useForceThreeLines) {
            }
            messageStringFinal = messageString5;
            if (!this.useForceThreeLines) {
            }
            this.messageLayout = StaticLayoutEx.createStaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false, TextUtils.TruncateAt.END, messageWidth2, messageString3 == null ? 1 : 2);
            if (LocaleController.isRTL) {
            }
        }
        float f22 = this.topOffset;
        this.messageNameTop = (int) (AndroidUtilities.dp(20.0f) + f22);
        this.timeTop = (int) f22;
        this.errorTop = getMeasuredHeight() - AndroidUtilities.dp(31.0f);
        this.recorderTop = AndroidUtilities.dp(this.topOffset + 28.0f);
        this.countTop = getMeasuredHeight() - AndroidUtilities.dp(31.0f);
        this.clockDrawTop = getMeasuredHeight() - AndroidUtilities.dp(31.0f);
        int messageWidth42 = getMeasuredWidth() - AndroidUtilities.dp(72.0f);
        if (LocaleController.isRTL) {
            int dp4 = AndroidUtilities.dp(72.0f);
            this.messageNameLeft = dp4;
            this.messageLeft = dp4;
            this.avatarLeft = AndroidUtilities.dp(16.0f);
        } else {
            int dp5 = AndroidUtilities.dp(16.0f);
            this.messageNameLeft = dp5;
            this.messageLeft = dp5;
            this.avatarLeft = getMeasuredWidth() - AndroidUtilities.dp(66.0f);
        }
        this.avatarImage.setImageCoords(this.avatarLeft, (int) this.topOffset, AndroidUtilities.dp(49.0f), AndroidUtilities.dp(49.0f));
        messageWidth = messageWidth42;
        if (this.drawPinIcon) {
        }
        if (!this.drawErrorIcon) {
        }
        if (countString == null) {
        }
        if (countString == null) {
        }
        if (mentionString2 != null) {
        }
        if (checkMessage) {
        }
        messageWidth2 = Math.max(AndroidUtilities.dp(12.0f), w);
        if (!this.useForceThreeLines) {
        }
        this.messageNameLayout = StaticLayoutEx.createStaticLayout(messageString3, Theme.dialogs_messageNamePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false, TextUtils.TruncateAt.END, messageWidth2, 1);
        this.messageTop = (int) (AndroidUtilities.dp(36.0f) + this.topOffset);
        if (!this.useForceThreeLines) {
            if (this.useForceThreeLines) {
            }
            messageStringFinal = messageString5;
            if (!this.useForceThreeLines) {
            }
            this.messageLayout = StaticLayoutEx.createStaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false, TextUtils.TruncateAt.END, messageWidth2, messageString3 == null ? 1 : 2);
            if (LocaleController.isRTL) {
            }
        }
        if (this.currentDialogFolderId != 0) {
            messageStringFinal = messageString3;
            messageString3 = null;
            currentMessagePaint = Theme.dialogs_messagePaint;
            if (!this.useForceThreeLines) {
            }
            this.messageLayout = StaticLayoutEx.createStaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false, TextUtils.TruncateAt.END, messageWidth2, messageString3 == null ? 1 : 2);
            if (LocaleController.isRTL) {
            }
        }
        if (this.useForceThreeLines) {
        }
        messageStringFinal = messageString5;
        if (!this.useForceThreeLines) {
        }
        this.messageLayout = StaticLayoutEx.createStaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, AndroidUtilities.dp(1.0f), false, TextUtils.TruncateAt.END, messageWidth2, messageString3 == null ? 1 : 2);
        if (LocaleController.isRTL) {
        }
    }

    public boolean isPointInsideAvatar(float x, float y) {
        return !LocaleController.isRTL ? x >= 0.0f && x < ((float) AndroidUtilities.dp(60.0f)) : x >= ((float) (getMeasuredWidth() - AndroidUtilities.dp(60.0f))) && x < ((float) getMeasuredWidth());
    }

    public void setDialogSelected(boolean value) {
        if (this.isSelected != value) {
            invalidate();
        }
        this.isSelected = value;
    }

    public void checkCurrentDialogIndex(boolean frozen) {
        MessageObject newMessageObject;
        MessageObject messageObject;
        MessageObject messageObject2;
        ArrayList<TLRPC.Dialog> dialogsArray = DialogsActivity.getDialogsArray(this.currentAccount, this.dialogsType, this.folderId, frozen);
        if (this.index < dialogsArray.size()) {
            TLRPC.Dialog dialog = dialogsArray.get(this.index);
            boolean z = true;
            TLRPC.Dialog nextDialog = this.index + 1 < dialogsArray.size() ? dialogsArray.get(this.index + 1) : null;
            TLRPC.DraftMessage newDraftMessage = MediaDataController.getInstance(this.currentAccount).getDraft(this.currentDialogId);
            if (this.currentDialogFolderId != 0) {
                newMessageObject = findFolderTopMessage();
            } else {
                newMessageObject = MessagesController.getInstance(this.currentAccount).dialogMessage.get(dialog.id);
            }
            if (this.currentDialogId != dialog.id || (((messageObject = this.message) != null && messageObject.getId() != dialog.top_message) || ((newMessageObject != null && newMessageObject.messageOwner.edit_date != this.currentEditDate) || this.unreadCount != dialog.unread_count || this.mentionCount != dialog.unread_mentions_count || this.markUnread != dialog.unread_mark || (messageObject2 = this.message) != newMessageObject || ((messageObject2 == null && newMessageObject != null) || newDraftMessage != this.draftMessage || this.drawPinIcon != dialog.pinned)))) {
                boolean dialogChanged = this.currentDialogId != dialog.id;
                this.currentDialogId = dialog.id;
                if (dialog instanceof TLRPC.TL_dialogFolder) {
                    TLRPC.TL_dialogFolder dialogFolder = (TLRPC.TL_dialogFolder) dialog;
                    this.currentDialogFolderId = dialogFolder.folder.id;
                } else {
                    this.currentDialogFolderId = 0;
                }
                this.fullSeparator = (dialog instanceof TLRPC.TL_dialog) && dialog.pinned && nextDialog != null && !nextDialog.pinned;
                this.fullSeparator2 = (!(dialog instanceof TLRPC.TL_dialogFolder) || nextDialog == null || nextDialog.pinned) ? false : false;
                update(0);
                if (dialogChanged) {
                    this.reorderIconProgress = (this.drawPinIcon && this.drawReorder) ? 1.0f : 0.0f;
                }
                checkOnline();
            }
        }
    }

    public void animateArchiveAvatar() {
        if (this.avatarDrawable.getAvatarType() != 3) {
            return;
        }
        this.animatingArchiveAvatar = true;
        this.animatingArchiveAvatarProgress = 0.0f;
        Theme.dialogs_archiveAvatarDrawable.setProgress(0.0f);
        Theme.dialogs_archiveAvatarDrawable.start();
        invalidate();
    }

    private MessageObject findFolderTopMessage() {
        ArrayList<TLRPC.Dialog> dialogs = DialogsActivity.getDialogsArray(this.currentAccount, this.dialogsType, this.currentDialogFolderId, false);
        MessageObject maxMessage = null;
        if (!dialogs.isEmpty()) {
            int N = dialogs.size();
            for (int a2 = 0; a2 < N; a2++) {
                TLRPC.Dialog dialog = dialogs.get(a2);
                MessageObject object = MessagesController.getInstance(this.currentAccount).dialogMessage.get(dialog.id);
                if (object != null && (maxMessage == null || object.messageOwner.date > maxMessage.messageOwner.date)) {
                    maxMessage = object;
                }
                if (dialog.pinnedNum == 0) {
                    break;
                }
            }
        }
        return maxMessage;
    }

    public void update(int mask) {
        long dialogId;
        TLRPC.Chat chat2;
        MessageObject messageObject;
        TLRPC.Dialog dialog;
        MessageObject messageObject2;
        CustomDialog customDialog = this.customDialog;
        if (customDialog != null) {
            this.lastMessageDate = customDialog.date;
            this.lastUnreadState = this.customDialog.unread_count != 0;
            this.unreadCount = this.customDialog.unread_count;
            this.drawPinIcon = this.customDialog.pinned;
            this.dialogMuted = this.customDialog.muted;
            this.avatarDrawable.setInfo(this.customDialog.id, this.customDialog.name, null);
            this.avatarImage.setImage(null, "50_50", this.avatarDrawable, null, 0);
        } else {
            if (this.isDialogCell) {
                TLRPC.Dialog dialog2 = MessagesController.getInstance(this.currentAccount).dialogs_dict.get(this.currentDialogId);
                if (dialog2 != null) {
                    if (mask == 0) {
                        this.clearingDialog = MessagesController.getInstance(this.currentAccount).isClearingDialog(dialog2.id);
                        MessageObject messageObject3 = MessagesController.getInstance(this.currentAccount).dialogMessage.get(dialog2.id);
                        this.message = messageObject3;
                        this.lastUnreadState = messageObject3 != null && messageObject3.isUnread();
                        this.unreadCount = dialog2.unread_count;
                        this.markUnread = dialog2.unread_mark;
                        this.mentionCount = dialog2.unread_mentions_count;
                        MessageObject messageObject4 = this.message;
                        this.currentEditDate = messageObject4 != null ? messageObject4.messageOwner.edit_date : 0;
                        this.lastMessageDate = dialog2.last_message_date;
                        this.drawPinIcon = this.currentDialogFolderId == 0 && dialog2.pinned;
                        MessageObject messageObject5 = this.message;
                        if (messageObject5 != null) {
                            this.lastSendState = messageObject5.messageOwner.send_state;
                        }
                    }
                } else {
                    this.unreadCount = 0;
                    this.mentionCount = 0;
                    this.currentEditDate = 0;
                    this.lastMessageDate = 0;
                    this.clearingDialog = false;
                }
            } else {
                this.drawPinIcon = false;
            }
            if (mask != 0) {
                boolean continueUpdate = false;
                if (this.user != null && (mask & 4) != 0) {
                    this.user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.user.id));
                    invalidate();
                }
                if (this.isDialogCell && (mask & 64) != 0) {
                    CharSequence printString = MessagesController.getInstance(this.currentAccount).printingStrings.get(this.currentDialogId);
                    CharSequence charSequence = this.lastPrintString;
                    if ((charSequence != null && printString == null) || ((charSequence == null && printString != null) || (charSequence != null && printString != null && !charSequence.equals(printString)))) {
                        continueUpdate = true;
                    }
                }
                if (!continueUpdate && (32768 & mask) != 0 && (messageObject2 = this.message) != null && messageObject2.messageText != this.lastMessageString) {
                    continueUpdate = true;
                }
                if (!continueUpdate && (mask & 2) != 0 && this.chat == null) {
                    continueUpdate = true;
                }
                if (!continueUpdate && (mask & 1) != 0 && this.chat == null) {
                    continueUpdate = true;
                }
                if (!continueUpdate && (mask & 8) != 0 && this.user == null) {
                    continueUpdate = true;
                }
                if (!continueUpdate && (mask & 16) != 0 && this.user == null) {
                    continueUpdate = true;
                }
                if (!continueUpdate && (mask & 256) != 0) {
                    MessageObject messageObject6 = this.message;
                    if (messageObject6 != null && this.lastUnreadState != messageObject6.isUnread()) {
                        this.lastUnreadState = this.message.isUnread();
                        continueUpdate = true;
                    } else if (this.isDialogCell && (dialog = MessagesController.getInstance(this.currentAccount).dialogs_dict.get(this.currentDialogId)) != null && (this.unreadCount != dialog.unread_count || this.markUnread != dialog.unread_mark || this.mentionCount != dialog.unread_mentions_count)) {
                        this.unreadCount = dialog.unread_count;
                        this.mentionCount = dialog.unread_mentions_count;
                        this.markUnread = dialog.unread_mark;
                        continueUpdate = true;
                    }
                }
                if (!continueUpdate && (mask & 4096) != 0 && (messageObject = this.message) != null && this.lastSendState != messageObject.messageOwner.send_state) {
                    this.lastSendState = this.message.messageOwner.send_state;
                    continueUpdate = true;
                }
                if (!continueUpdate) {
                    invalidate();
                    return;
                }
            }
            this.user = null;
            this.chat = null;
            this.encryptedChat = null;
            if (this.currentDialogFolderId == 0) {
                this.dialogMuted = this.isDialogCell && MessagesController.getInstance(this.currentAccount).isDialogMuted(this.currentDialogId);
                dialogId = this.currentDialogId;
            } else {
                this.dialogMuted = false;
                MessageObject findFolderTopMessage = findFolderTopMessage();
                this.message = findFolderTopMessage;
                if (findFolderTopMessage != null) {
                    dialogId = findFolderTopMessage.getDialogId();
                } else {
                    dialogId = 0;
                }
            }
            if (dialogId != 0) {
                int lower_id = (int) dialogId;
                int high_id = (int) (dialogId >> 32);
                if (lower_id != 0) {
                    if (lower_id >= 0) {
                        this.user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(lower_id));
                    } else {
                        TLRPC.Chat chat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(-lower_id));
                        this.chat = chat;
                        if (!this.isDialogCell && chat != null && chat.migrated_to != null && (chat2 = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(this.chat.migrated_to.channel_id))) != null) {
                            this.chat = chat2;
                        }
                    }
                } else {
                    TLRPC.EncryptedChat encryptedChat = MessagesController.getInstance(this.currentAccount).getEncryptedChat(Integer.valueOf(high_id));
                    this.encryptedChat = encryptedChat;
                    if (encryptedChat != null) {
                        this.user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.encryptedChat.user_id));
                    }
                }
            }
            if (this.currentDialogFolderId != 0) {
                Theme.dialogs_archiveAvatarDrawable.setCallback(this);
                this.avatarDrawable.setAvatarType(3);
                this.avatarImage.setImage(null, null, this.avatarDrawable, null, this.user, 0);
            } else {
                TLRPC.User user = this.user;
                if (user != null) {
                    this.avatarDrawable.setInfo(user);
                    if (!UserObject.isUserSelf(this.user)) {
                        this.avatarImage.setImage(ImageLocation.getForUser(this.user, false), "50_50", this.avatarDrawable, null, this.user, 0);
                    } else {
                        this.avatarDrawable.setAvatarType(1);
                        this.avatarImage.setImage(null, null, this.avatarDrawable, null, this.user, 0);
                    }
                } else {
                    TLRPC.Chat chat3 = this.chat;
                    if (chat3 != null) {
                        this.avatarDrawable.setInfo(chat3);
                        this.avatarImage.setImage(ImageLocation.getForChat(this.chat, false), "50_50", this.avatarDrawable, null, this.chat, 0);
                    }
                }
            }
        }
        if (getMeasuredWidth() != 0 || getMeasuredHeight() != 0) {
            buildLayout();
        } else {
            requestLayout();
        }
        invalidate();
    }

    public void drawCheckBox(Canvas canvas) {
        if (this.checkBox != null) {
            if (this.checkBoxVisible || this.checkBoxAnimationInProgress) {
                canvas.save();
                canvas.translate(0.0f, getTop());
                this.checkBox.draw(canvas);
                canvas.restore();
            }
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:309:0x08b9  */
    /* JADX WARN: Removed duplicated region for block: B:312:0x08c0  */
    /* JADX WARN: Removed duplicated region for block: B:318:0x090d  */
    /* JADX WARN: Removed duplicated region for block: B:327:0x0961  */
    /* JADX WARN: Removed duplicated region for block: B:333:0x0978  */
    /* JADX WARN: Removed duplicated region for block: B:341:0x0991  */
    /* JADX WARN: Removed duplicated region for block: B:350:0x09b9  */
    /* JADX WARN: Removed duplicated region for block: B:361:0x09e5  */
    /* JADX WARN: Removed duplicated region for block: B:367:0x09fb  */
    /* JADX WARN: Removed duplicated region for block: B:378:0x0a26  */
    /* JADX WARN: Removed duplicated region for block: B:389:0x0a4a  */
    /* JADX WARN: Removed duplicated region for block: B:395:? A[RETURN, SYNTHETIC] */
    @Override // android.view.View
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    protected void onDraw(Canvas canvas) {
        long dt;
        float f;
        Canvas canvas2;
        boolean needInvalidate;
        boolean isOnline;
        boolean z;
        float f2;
        int left;
        int i;
        CustomDialog customDialog;
        if (this.currentDialogId == 0) {
            return;
        }
        boolean needInvalidate2 = false;
        long newTime = SystemClock.uptimeMillis();
        long dt2 = newTime - this.lastUpdateTime;
        if (dt2 <= 17) {
            dt = dt2;
        } else {
            dt = 17;
        }
        this.lastUpdateTime = newTime;
        if (this.clipProgress != 0.0f && Build.VERSION.SDK_INT != 24) {
            canvas.save();
            canvas.clipRect(0.0f, this.topClip * this.clipProgress, getMeasuredWidth(), getMeasuredHeight() - ((int) (this.bottomClip * this.clipProgress)));
        }
        RLottieDrawable rLottieDrawable = this.translationDrawable;
        if (rLottieDrawable != null) {
            rLottieDrawable.stop();
            this.translationDrawable.setProgress(0.0f);
            this.translationDrawable.setCallback(null);
            this.translationDrawable = null;
            this.translationAnimationStarted = false;
        }
        if (this.translationX != 0.0f) {
            canvas.save();
            canvas.translate(this.translationX, 0.0f);
        }
        if (this.checkBox != null && (this.checkBoxVisible || this.checkBoxAnimationInProgress)) {
            canvas.save();
            canvas.translate(0.0f, getTop());
            this.checkBox.draw(canvas);
            canvas.restore();
            int size = AndroidUtilities.dp(20.0f);
            boolean z2 = this.checkBoxVisible;
            if ((z2 && this.checkBoxAnimationProgress == 1.0f) || (!z2 && this.checkBoxAnimationProgress == 0.0f)) {
                this.checkBoxAnimationInProgress = false;
            }
            Interpolator interpolator = z2 ? CubicBezierInterpolator.EASE_OUT : CubicBezierInterpolator.EASE_IN;
            int ceil = (int) Math.ceil(interpolator.getInterpolation(this.checkBoxAnimationProgress) * AndroidUtilities.dp(25.0f));
            this.checkBoxTranslation = ceil;
            setTranslationX(ceil);
            int x = AndroidUtilities.dp(-30.0f) + this.checkBoxTranslation;
            if (this.position == 2) {
                Log.i("mmm", "checkBoxAnimationProgress = " + this.checkBoxAnimationProgress + " , checkBoxTranslation = " + this.checkBoxTranslation + " , x = " + x);
            }
            this.checkBox.setBounds(AndroidUtilities.dp(-40.0f) + this.checkBoxTranslation, (getMeasuredHeight() / 2) - (size / 2), size, size);
            if (this.checkBoxAnimationInProgress) {
                long newTime1 = SystemClock.uptimeMillis();
                long dt1 = newTime1 - this.lastCheckBoxAnimationTime;
                this.lastCheckBoxAnimationTime = newTime1;
                if (this.checkBoxVisible) {
                    float f3 = this.checkBoxAnimationProgress + (((float) dt1) / 200.0f);
                    this.checkBoxAnimationProgress = f3;
                    if (f3 > 1.0f) {
                        this.checkBoxAnimationProgress = 1.0f;
                    }
                    needInvalidate2 = true;
                } else {
                    float f4 = this.checkBoxAnimationProgress - (((float) dt) / 200.0f);
                    this.checkBoxAnimationProgress = f4;
                    if (f4 <= 0.0f) {
                        this.checkBoxAnimationProgress = 0.0f;
                    }
                    needInvalidate2 = true;
                }
            }
        }
        if (this.currentDialogFolderId != 0) {
            if (SharedConfig.archiveHidden && this.archiveBackgroundProgress == 0.0f) {
                f = 1.0f;
            } else {
                Theme.dialogs_pinnedPaint.setColor(AndroidUtilities.getOffsetColor(0, Theme.getColor(Theme.key_chats_pinnedOverlay), this.archiveBackgroundProgress, 1.0f));
                f = 1.0f;
                canvas.drawRect(0.0f, 0.0f, getMeasuredWidth(), getMeasuredHeight(), Theme.dialogs_pinnedPaint);
            }
        } else {
            f = 1.0f;
        }
        if (this.translationX == 0.0f && this.cornerProgress == 0.0f) {
            canvas2 = canvas;
        } else {
            canvas.save();
            Theme.dialogs_pinnedPaint.setColor(Theme.getColor(Theme.key_windowBackgroundWhite));
            this.rect.set(getMeasuredWidth() - AndroidUtilities.dp(64.0f), 0.0f, getMeasuredWidth(), getMeasuredHeight());
            canvas2 = canvas;
            canvas2.drawRoundRect(this.rect, AndroidUtilities.dp(8.0f) * this.cornerProgress, AndroidUtilities.dp(8.0f) * this.cornerProgress, Theme.dialogs_pinnedPaint);
            if (this.currentDialogFolderId != 0 && (!SharedConfig.archiveHidden || this.archiveBackgroundProgress != 0.0f)) {
                Theme.dialogs_pinnedPaint.setColor(AndroidUtilities.getOffsetColor(0, Theme.getColor(Theme.key_chats_pinnedOverlay), this.archiveBackgroundProgress, f));
                canvas2.drawRoundRect(this.rect, AndroidUtilities.dp(8.0f) * this.cornerProgress, AndroidUtilities.dp(8.0f) * this.cornerProgress, Theme.dialogs_pinnedPaint);
            } else if (this.drawPinIcon || this.drawPinBackground) {
                Theme.dialogs_pinnedPaint.setColor(Theme.getColor(Theme.key_chats_pinnedOverlay));
                canvas2.drawRoundRect(this.rect, AndroidUtilities.dp(8.0f) * this.cornerProgress, AndroidUtilities.dp(8.0f) * this.cornerProgress, Theme.dialogs_pinnedPaint);
            }
            canvas.restore();
        }
        if (this.translationX != 0.0f) {
            float f5 = this.cornerProgress;
            if (f5 < f) {
                float f6 = f5 + (((float) dt) / 150.0f);
                this.cornerProgress = f6;
                if (f6 > f) {
                    this.cornerProgress = f;
                }
                needInvalidate = true;
            }
            needInvalidate = needInvalidate2;
        } else {
            float f7 = this.cornerProgress;
            if (f7 > 0.0f) {
                float f8 = f7 - (((float) dt) / 150.0f);
                this.cornerProgress = f8;
                if (f8 < 0.0f) {
                    this.cornerProgress = 0.0f;
                }
                needInvalidate = true;
            }
            needInvalidate = needInvalidate2;
        }
        if (this.nameLayout != null) {
            if (this.currentDialogFolderId != 0) {
                TextPaint textPaint = Theme.dialogs_namePaint;
                TextPaint textPaint2 = Theme.dialogs_namePaint;
                int color = Theme.getColor(Theme.key_chats_nameArchived);
                textPaint2.linkColor = color;
                textPaint.setColor(color);
            } else if (this.encryptedChat != null || ((customDialog = this.customDialog) != null && customDialog.type == 2)) {
                TextPaint textPaint3 = Theme.dialogs_namePaint;
                TextPaint textPaint4 = Theme.dialogs_namePaint;
                int color2 = Theme.getColor(Theme.key_chats_secretName);
                textPaint4.linkColor = color2;
                textPaint3.setColor(color2);
            } else {
                TextPaint textPaint5 = Theme.dialogs_namePaint;
                TextPaint textPaint6 = Theme.dialogs_namePaint;
                int color3 = Theme.getColor(Theme.key_chats_name);
                textPaint6.linkColor = color3;
                textPaint5.setColor(color3);
            }
            canvas.save();
            canvas2.translate(this.nameLeft, this.topOffset);
            this.nameLayout.draw(canvas2);
            canvas.restore();
        }
        if (this.timeLayout != null && this.currentDialogFolderId == 0) {
            canvas.save();
            canvas2.translate(this.timeLeft, this.timeTop);
            this.timeLayout.draw(canvas2);
            canvas.restore();
        }
        if (this.messageNameLayout != null) {
            if (this.currentDialogFolderId != 0) {
                TextPaint textPaint7 = Theme.dialogs_messageNamePaint;
                TextPaint textPaint8 = Theme.dialogs_messageNamePaint;
                int color4 = Theme.getColor(Theme.key_chats_nameMessageArchived_threeLines);
                textPaint8.linkColor = color4;
                textPaint7.setColor(color4);
            } else if (this.draftMessage != null) {
                TextPaint textPaint9 = Theme.dialogs_messageNamePaint;
                TextPaint textPaint10 = Theme.dialogs_messageNamePaint;
                int color5 = Theme.getColor(Theme.key_chats_draft);
                textPaint10.linkColor = color5;
                textPaint9.setColor(color5);
            } else {
                TextPaint textPaint11 = Theme.dialogs_messageNamePaint;
                TextPaint textPaint12 = Theme.dialogs_messageNamePaint;
                int color6 = Theme.getColor(Theme.key_chats_nameMessage_threeLines);
                textPaint12.linkColor = color6;
                textPaint11.setColor(color6);
            }
            canvas.save();
            canvas2.translate(this.messageNameLeft, this.messageNameTop);
            try {
                this.messageNameLayout.draw(canvas2);
            } catch (Exception e) {
                FileLog.e(e);
            }
            canvas.restore();
        }
        if (this.messageLayout != null) {
            if (this.currentDialogFolderId != 0) {
                if (this.chat != null) {
                    TextPaint textPaint13 = Theme.dialogs_messagePaint;
                    TextPaint textPaint14 = Theme.dialogs_messagePaint;
                    int color7 = Theme.getColor(Theme.key_chats_nameMessageArchived);
                    textPaint14.linkColor = color7;
                    textPaint13.setColor(color7);
                } else {
                    TextPaint textPaint15 = Theme.dialogs_messagePaint;
                    TextPaint textPaint16 = Theme.dialogs_messagePaint;
                    int color8 = Theme.getColor(Theme.key_chats_messageArchived);
                    textPaint16.linkColor = color8;
                    textPaint15.setColor(color8);
                }
            } else {
                TextPaint textPaint17 = Theme.dialogs_messagePaint;
                TextPaint textPaint18 = Theme.dialogs_messagePaint;
                int color9 = Theme.getColor(Theme.key_chats_message);
                textPaint18.linkColor = color9;
                textPaint17.setColor(color9);
            }
            canvas.save();
            canvas2.translate(this.messageLeft, this.messageTop);
            try {
                this.messageLayout.draw(canvas2);
            } catch (Exception e2) {
                FileLog.e(e2);
            }
            canvas.restore();
        }
        if (this.currentDialogFolderId == 0) {
            if (this.drawClockIcon) {
                int w = AndroidUtilities.dp(13.0f);
                setDrawableBounds(Theme.dialogs_clockDrawable, this.clockDrawLeft, this.clockDrawTop, w, w);
                Theme.dialogs_clockDrawable.draw(canvas2);
            }
            if (this.drawCheck2 && !this.dialogMuted) {
                if (this.drawCheck1) {
                    setDrawableBounds(Theme.dialogs_checkReadDrawable1, getMeasuredWidth() - AndroidUtilities.dp(14.0f), AndroidUtilities.dp(3.5f), AndroidUtilities.dp(10.5f), AndroidUtilities.dp(10.5f));
                    Theme.dialogs_checkReadDrawable1.draw(canvas2);
                } else {
                    setDrawableBounds(Theme.dialogs_halfCheckDrawable1, getMeasuredWidth() - AndroidUtilities.dp(14.0f), AndroidUtilities.dp(3.5f), AndroidUtilities.dp(10.5f), AndroidUtilities.dp(10.5f));
                    Theme.dialogs_halfCheckDrawable1.draw(canvas2);
                }
            }
        }
        if (this.dialogMuted && !this.drawVerifiedIcon && !this.drawScam) {
            setDrawableBounds(Theme.dialogs_muteDrawable, getMeasuredWidth() - AndroidUtilities.dp(13.5f), AndroidUtilities.dp(3.5f), AndroidUtilities.dp(10.0f), AndroidUtilities.dp(10.0f));
            Theme.dialogs_muteDrawable.draw(canvas2);
        } else if (this.drawVerifiedIcon) {
            setDrawableBounds(Theme.dialogs_verifiedDrawable, this.nameMuteLeft, this.topOffset + 2.0f);
            setDrawableBounds(Theme.dialogs_verifiedCheckDrawable, this.nameMuteLeft, this.topOffset + 2.0f);
            Theme.dialogs_verifiedDrawable.draw(canvas2);
            Theme.dialogs_verifiedCheckDrawable.draw(canvas2);
        } else if (this.drawScam) {
            setDrawableBounds(Theme.dialogs_scamDrawable, this.nameMuteLeft, this.topOffset + 2.0f);
            Theme.dialogs_scamDrawable.draw(canvas2);
        }
        if (this.drawReorder || this.reorderIconProgress != 0.0f) {
            Theme.dialogs_reorderDrawable.setAlpha((int) (this.reorderIconProgress * 255.0f));
            setDrawableBounds(Theme.dialogs_reorderDrawable, this.recorderLeft, this.recorderTop);
            Theme.dialogs_reorderDrawable.draw(canvas2);
        }
        if (this.drawPinIcon) {
            Theme.dialogs_pinnedDrawable.setAlpha((int) ((f - this.reorderIconProgress) * 255.0f));
            setDrawableBounds(Theme.dialogs_pinnedDrawable, this.pinLeft, this.pinTop, AndroidUtilities.dp(30.0f), AndroidUtilities.dp(30.0f));
            Theme.dialogs_pinnedDrawable.draw(canvas2);
        }
        if (this.drawErrorIcon) {
            Theme.dialogs_errorDrawable.setAlpha((int) ((f - this.reorderIconProgress) * 255.0f));
            this.rect.set(this.errorLeft, this.errorTop, i + AndroidUtilities.dp(13.0f), this.errorTop + AndroidUtilities.dp(13.0f));
            canvas2.drawRoundRect(this.rect, AndroidUtilities.density * 6.5f, AndroidUtilities.density * 6.5f, Theme.dialogs_errorPaint);
            setDrawableBounds(Theme.dialogs_errorDrawable, this.errorLeft + AndroidUtilities.dp(5.2f), this.errorTop + AndroidUtilities.dp(2.0f), AndroidUtilities.dp(2.6f), AndroidUtilities.dp(9.0f));
            Theme.dialogs_errorDrawable.draw(canvas2);
        } else {
            boolean z3 = this.drawCount;
            if (z3 || this.drawMentionIcon) {
                if (z3) {
                    Paint paint = (this.dialogMuted || this.currentDialogFolderId != 0) ? Theme.dialogs_countGrayPaint : Theme.dialogs_countPaint;
                    paint.setAlpha((int) ((f - this.reorderIconProgress) * 255.0f));
                    Theme.dialogs_countTextPaint.setAlpha((int) ((f - this.reorderIconProgress) * 255.0f));
                    if (!this.countIsBiggerThanTen) {
                        int x2 = this.countLeft - AndroidUtilities.dp(4.0f);
                        float w2 = this.countWidth + AndroidUtilities.dp(8.0f);
                        int i2 = this.countTop;
                        this.rect.set(x2, i2, x2 + w2, i2 + w2);
                        canvas2.drawRoundRect(this.rect, w2 / 2.0f, w2 / 2.0f, paint);
                    } else {
                        int x3 = this.countLeft - AndroidUtilities.dp(6.0f);
                        float radius = AndroidUtilities.dp(8.0f);
                        this.rect.set(x3, this.countTop, this.countWidth + x3 + AndroidUtilities.dp(10.0f), this.countTop + AndroidUtilities.dp(16.0f));
                        canvas2.drawRoundRect(this.rect, radius, radius, paint);
                    }
                    if (this.countLayout != null) {
                        canvas.save();
                        canvas2.translate(this.countLeft - AndroidUtilities.dp(this.countIsBiggerThanTen ? 1.0f : 0.5f), this.countTop + AndroidUtilities.dp(this.countIsBiggerThanTen ? 2.0f : 3.0f));
                        this.countLayout.draw(canvas2);
                        canvas.restore();
                    }
                }
                if (this.drawMentionIcon) {
                    Theme.dialogs_countPaint.setAlpha((int) ((1.0f - this.reorderIconProgress) * 255.0f));
                    int x4 = this.mentionLeft - AndroidUtilities.dp(5.5f);
                    float w3 = this.mentionWidth + AndroidUtilities.dp(8.0f);
                    int i3 = this.countTop;
                    this.rect.set(x4, i3, x4 + w3, i3 + w3);
                    canvas2.drawRoundRect(this.rect, w3 / 2.0f, w3 / 2.0f, (!this.dialogMuted || this.folderId == 0) ? Theme.dialogs_countPaint : Theme.dialogs_countGrayPaint);
                    if (this.mentionLayout != null) {
                        Theme.dialogs_countTextPaint.setAlpha((int) ((1.0f - this.reorderIconProgress) * 255.0f));
                        canvas.save();
                        canvas2.translate(this.mentionLeft, this.countTop + AndroidUtilities.dp(4.0f));
                        this.mentionLayout.draw(canvas2);
                        canvas.restore();
                    } else {
                        Theme.dialogs_mentionDrawable.setAlpha((int) ((1.0f - this.reorderIconProgress) * 255.0f));
                        setDrawableBounds(Theme.dialogs_mentionDrawable, this.mentionLeft - AndroidUtilities.dp(2.0f), this.countTop + AndroidUtilities.dp(3.2f), AndroidUtilities.dp(11.0f), AndroidUtilities.dp(11.0f));
                        Theme.dialogs_mentionDrawable.draw(canvas2);
                    }
                }
            }
        }
        if (this.animatingArchiveAvatar) {
            canvas.save();
            float scale = this.interpolator.getInterpolation(this.animatingArchiveAvatarProgress / 170.0f) + 1.0f;
            canvas2.scale(scale, scale, this.avatarImage.getCenterX(), this.avatarImage.getCenterY());
        }
        this.avatarImage.draw(canvas2);
        if (this.animatingArchiveAvatar) {
            canvas.restore();
        }
        if (this.drawSecretLockIcon) {
            int height = Theme.dialogs_lockDrawable.getIntrinsicHeight();
            setDrawableBounds(Theme.dialogs_lockDrawable, this.avatarLeft, (int) ((this.topOffset + this.avatarImage.getImageHeight()) - height), Theme.dialogs_lockDrawable.getIntrinsicWidth(), height);
            Theme.dialogs_lockDrawable.draw(canvas2);
        } else if (this.drawGroupIcon) {
            setDrawableBounds(Theme.dialogs_groupDrawable, this.avatarLeft, (int) ((this.topOffset + this.avatarImage.getImageHeight()) - AndroidUtilities.dp(7.5f)), AndroidUtilities.dp(19.0f), AndroidUtilities.dp(7.5f));
            Theme.dialogs_groupDrawable.draw(canvas2);
        } else if (this.drawBroadcastIcon) {
            int height2 = Theme.dialogs_broadcastDrawable.getIntrinsicHeight();
            setDrawableBounds(Theme.dialogs_broadcastDrawable, this.avatarLeft, (int) ((this.topOffset + this.avatarImage.getImageHeight()) - height2), Theme.dialogs_broadcastDrawable.getIntrinsicWidth(), height2);
            Theme.dialogs_broadcastDrawable.draw(canvas2);
        } else if (this.drawBotIcon) {
            int height3 = Theme.dialogs_botDrawable.getIntrinsicHeight();
            setDrawableBounds(Theme.dialogs_botDrawable, this.avatarLeft, (int) ((this.topOffset + this.avatarImage.getImageHeight()) - height3), Theme.dialogs_botDrawable.getIntrinsicWidth(), height3);
            Theme.dialogs_botDrawable.draw(canvas2);
        }
        TLRPC.User user = this.user;
        if (user != null && this.isDialogCell && this.currentDialogFolderId == 0 && !MessagesController.isSupportUser(user) && !this.user.bot) {
            boolean isOnline2 = !this.user.self && ((this.user.status != null && this.user.status.expires > ConnectionsManager.getInstance(this.currentAccount).getCurrentTime()) || MessagesController.getInstance(this.currentAccount).onlinePrivacy.containsKey(Integer.valueOf(this.user.id)));
            if (isOnline2 || this.onlineProgress != 0.0f) {
                int top = this.avatarImage.getImageY2() - AndroidUtilities.dp((this.useForceThreeLines || SharedConfig.useThreeLinesLayout) ? 6.0f : 8.0f);
                if (LocaleController.isRTL) {
                    left = this.avatarImage.getImageX() + AndroidUtilities.dp((this.useForceThreeLines || SharedConfig.useThreeLinesLayout) ? 10.0f : 6.0f);
                } else {
                    left = this.avatarImage.getImageX2() - AndroidUtilities.dp((this.useForceThreeLines || SharedConfig.useThreeLinesLayout) ? 10.0f : 6.0f);
                }
                Theme.dialogs_onlineCirclePaint.setColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                canvas2.drawCircle(left, top, AndroidUtilities.dp(7.0f) * this.onlineProgress, Theme.dialogs_onlineCirclePaint);
                Theme.dialogs_onlineCirclePaint.setColor(Theme.getColor(Theme.key_chats_onlineCircle));
                canvas2.drawCircle(left, top, AndroidUtilities.dp(5.0f) * this.onlineProgress, Theme.dialogs_onlineCirclePaint);
                if (isOnline2) {
                    float f9 = this.onlineProgress;
                    if (f9 < 1.0f) {
                        float f10 = f9 + (((float) dt) / 150.0f);
                        this.onlineProgress = f10;
                        if (f10 > 1.0f) {
                            this.onlineProgress = 1.0f;
                        }
                        isOnline = true;
                    }
                } else {
                    float f11 = this.onlineProgress;
                    if (f11 > 0.0f) {
                        float f12 = f11 - (((float) dt) / 150.0f);
                        this.onlineProgress = f12;
                        if (f12 < 0.0f) {
                            this.onlineProgress = 0.0f;
                        }
                        isOnline = true;
                    }
                }
                if (this.translationX != 0.0f) {
                    canvas.restore();
                }
                if (this.useSeparator) {
                    int left2 = AndroidUtilities.dp(72.0f);
                    if (LocaleController.isRTL) {
                        canvas.drawLine(0.0f, getMeasuredHeight() - 1, getMeasuredWidth() - left2, getMeasuredHeight() - 1, Theme.dividerPaint);
                    } else {
                        canvas.drawLine(left2, getMeasuredHeight() - 1, getMeasuredWidth(), getMeasuredHeight() - 1, Theme.dividerPaint);
                    }
                }
                if (this.clipProgress != 0.0f) {
                    if (Build.VERSION.SDK_INT != 24) {
                        canvas.restore();
                    } else {
                        Theme.dialogs_pinnedPaint.setColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                        canvas.drawRect(0.0f, 0.0f, getMeasuredWidth(), this.clipProgress * this.topClip, Theme.dialogs_pinnedPaint);
                        canvas.drawRect(0.0f, getMeasuredHeight() - ((int) (this.bottomClip * this.clipProgress)), getMeasuredWidth(), getMeasuredHeight(), Theme.dialogs_pinnedPaint);
                    }
                }
                z = this.drawReorder;
                if (!z || this.reorderIconProgress != 0.0f) {
                    if (!z) {
                        float f13 = this.reorderIconProgress;
                        if (f13 < 1.0f) {
                            float f14 = f13 + (((float) dt) / 170.0f);
                            this.reorderIconProgress = f14;
                            if (f14 > 1.0f) {
                                this.reorderIconProgress = 1.0f;
                            }
                            isOnline = true;
                        }
                    } else {
                        float f15 = this.reorderIconProgress;
                        if (f15 > 0.0f) {
                            float f16 = f15 - (((float) dt) / 170.0f);
                            this.reorderIconProgress = f16;
                            if (f16 < 0.0f) {
                                this.reorderIconProgress = 0.0f;
                            }
                            isOnline = true;
                        }
                    }
                }
                if (!this.archiveHidden) {
                    float f17 = this.archiveBackgroundProgress;
                    if (f17 > 0.0f) {
                        this.archiveBackgroundProgress = f17 - (((float) dt) / 170.0f);
                        if (this.currentRevealBounceProgress < 0.0f) {
                            this.currentRevealBounceProgress = 0.0f;
                        }
                        if (this.avatarDrawable.getAvatarType() == 3) {
                            this.avatarDrawable.setArchivedAvatarHiddenProgress(this.archiveBackgroundProgress);
                        }
                        isOnline = true;
                    }
                } else {
                    float f18 = this.archiveBackgroundProgress;
                    if (f18 < 1.0f) {
                        this.archiveBackgroundProgress = f18 + (((float) dt) / 170.0f);
                        if (this.currentRevealBounceProgress > 1.0f) {
                            this.currentRevealBounceProgress = 1.0f;
                        }
                        if (this.avatarDrawable.getAvatarType() == 3) {
                            this.avatarDrawable.setArchivedAvatarHiddenProgress(this.archiveBackgroundProgress);
                        }
                        isOnline = true;
                    }
                }
                if (this.animatingArchiveAvatar) {
                    float f19 = this.animatingArchiveAvatarProgress + ((float) dt);
                    this.animatingArchiveAvatarProgress = f19;
                    if (f19 >= 170.0f) {
                        this.animatingArchiveAvatarProgress = 170.0f;
                        this.animatingArchiveAvatar = false;
                    }
                    isOnline = true;
                }
                if (!this.drawRevealBackground) {
                    float f20 = this.currentRevealBounceProgress;
                    if (f20 < 1.0f) {
                        float f21 = f20 + (((float) dt) / 170.0f);
                        this.currentRevealBounceProgress = f21;
                        if (f21 > 1.0f) {
                            this.currentRevealBounceProgress = 1.0f;
                            isOnline = true;
                        }
                    }
                    float f22 = this.currentRevealProgress;
                    if (f22 < 1.0f) {
                        float f23 = f22 + (((float) dt) / 300.0f);
                        this.currentRevealProgress = f23;
                        if (f23 > 1.0f) {
                            this.currentRevealProgress = 1.0f;
                        }
                        isOnline = true;
                    }
                } else {
                    if (this.currentRevealBounceProgress != 1.0f) {
                        f2 = 0.0f;
                    } else {
                        f2 = 0.0f;
                        this.currentRevealBounceProgress = 0.0f;
                        isOnline = true;
                    }
                    float f24 = this.currentRevealProgress;
                    if (f24 > f2) {
                        float f25 = f24 - (((float) dt) / 300.0f);
                        this.currentRevealProgress = f25;
                        if (f25 < f2) {
                            this.currentRevealProgress = f2;
                        }
                        isOnline = true;
                    }
                }
                if (!isOnline) {
                    invalidate();
                    return;
                }
                return;
            }
        }
        isOnline = needInvalidate;
        if (this.translationX != 0.0f) {
        }
        if (this.useSeparator) {
        }
        if (this.clipProgress != 0.0f) {
        }
        z = this.drawReorder;
        if (!z) {
        }
        if (!z) {
        }
        if (!this.archiveHidden) {
        }
        if (this.animatingArchiveAvatar) {
        }
        if (!this.drawRevealBackground) {
        }
        if (!isOnline) {
        }
    }

    public void onReorderStateChanged(boolean reordering, boolean animated) {
        boolean z = this.drawPinIcon;
        if ((!z && reordering) || this.drawReorder == reordering) {
            if (!z) {
                this.drawReorder = false;
                return;
            }
            return;
        }
        this.drawReorder = reordering;
        if (animated) {
            this.reorderIconProgress = reordering ? 0.0f : 1.0f;
        } else {
            this.reorderIconProgress = reordering ? 1.0f : 0.0f;
        }
        invalidate();
    }

    public void setSliding(boolean value) {
        this.isSliding = value;
    }

    @Override // android.view.View, android.graphics.drawable.Drawable.Callback
    public void invalidateDrawable(Drawable who) {
        if (who == this.translationDrawable || who == Theme.dialogs_archiveAvatarDrawable) {
            invalidate(who.getBounds());
        } else {
            super.invalidateDrawable(who);
        }
    }

    @Override // im.uecahxyvjd.ui.cells.BaseCell, android.view.View
    public boolean hasOverlappingRendering() {
        return false;
    }

    @Override // android.view.View
    public void onInitializeAccessibilityNodeInfo(AccessibilityNodeInfo info) {
        super.onInitializeAccessibilityNodeInfo(info);
        info.addAction(16);
        info.addAction(32);
    }

    @Override // android.view.View
    public void onPopulateAccessibilityEvent(AccessibilityEvent event) {
        TLRPC.User fromUser;
        super.onPopulateAccessibilityEvent(event);
        StringBuilder sb = new StringBuilder();
        if (this.currentDialogFolderId == 1) {
            sb.append(LocaleController.getString("ArchivedChats", R.string.ArchivedChats));
            sb.append(". ");
        } else {
            if (this.encryptedChat != null) {
                sb.append(LocaleController.getString("AccDescrSecretChat", R.string.AccDescrSecretChat));
                sb.append(". ");
            }
            TLRPC.User user = this.user;
            if (user != null) {
                if (user.bot) {
                    sb.append(LocaleController.getString("Bot", R.string.Bot));
                    sb.append(". ");
                }
                if (this.user.self) {
                    sb.append(LocaleController.getString("SavedMessages", R.string.SavedMessages));
                } else {
                    sb.append(ContactsController.formatName(this.user.first_name, this.user.last_name));
                }
                sb.append(". ");
            } else {
                TLRPC.Chat chat = this.chat;
                if (chat != null) {
                    if (chat.broadcast) {
                        sb.append(LocaleController.getString("AccDescrChannel", R.string.AccDescrChannel));
                    } else {
                        sb.append(LocaleController.getString("AccDescrGroup", R.string.AccDescrGroup));
                    }
                    sb.append(". ");
                    sb.append(this.chat.title);
                    sb.append(". ");
                }
            }
        }
        int i = this.unreadCount;
        if (i > 0) {
            sb.append(LocaleController.formatPluralString("NewMessages", i));
            sb.append(". ");
        }
        MessageObject messageObject = this.message;
        if (messageObject == null || this.currentDialogFolderId != 0) {
            event.setContentDescription(sb.toString());
            return;
        }
        int lastDate = this.lastMessageDate;
        if (this.lastMessageDate == 0 && messageObject != null) {
            lastDate = messageObject.messageOwner.date;
        }
        String date = LocaleController.formatDateAudio(lastDate);
        if (this.message.isOut()) {
            sb.append(LocaleController.formatString("AccDescrSentDate", R.string.AccDescrSentDate, date));
        } else {
            sb.append(LocaleController.formatString("AccDescrReceivedDate", R.string.AccDescrReceivedDate, date));
        }
        sb.append(". ");
        if (this.chat != null && !this.message.isOut() && this.message.isFromUser() && this.message.messageOwner.action == null && (fromUser = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.message.messageOwner.from_id))) != null) {
            sb.append(ContactsController.formatName(fromUser.first_name, fromUser.last_name));
            sb.append(". ");
        }
        if (this.encryptedChat == null) {
            sb.append(this.message.messageText);
            if (!this.message.isMediaEmpty() && !TextUtils.isEmpty(this.message.caption)) {
                sb.append(". ");
                sb.append(this.message.caption);
            }
        }
        event.setContentDescription(sb.toString());
    }

    public void setClipProgress(float value) {
        this.clipProgress = value;
        invalidate();
    }

    public float getClipProgress() {
        return this.clipProgress;
    }

    public void setTopClip(int value) {
        this.topClip = value;
    }

    public void setBottomClip(int value) {
        this.bottomClip = value;
    }
}
