package im.uecahxyvjd.ui.cells;

import android.content.Context;
import android.graphics.Canvas;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextPaint;
import android.text.TextUtils;
import android.view.View;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ChatObject;
import im.uecahxyvjd.messenger.FileLoader;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.ImageReceiver;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.AvatarDrawable;
/* loaded from: classes9.dex */
public class DialogMeUrlCell extends BaseCell {
    private AvatarDrawable avatarDrawable;
    private ImageReceiver avatarImage;
    private int avatarTop;
    private int currentAccount;
    private boolean drawNameBot;
    private boolean drawNameBroadcast;
    private boolean drawNameGroup;
    private boolean drawNameLock;
    private boolean drawVerified;
    private boolean isSelected;
    private StaticLayout messageLayout;
    private int messageLeft;
    private int messageTop;
    private StaticLayout nameLayout;
    private int nameLeft;
    private int nameLockLeft;
    private int nameLockTop;
    private int nameMuteLeft;
    private TLRPC.RecentMeUrl recentMeUrl;
    public boolean useSeparator;

    public DialogMeUrlCell(Context context) {
        super(context);
        this.avatarImage = new ImageReceiver(this);
        this.avatarDrawable = new AvatarDrawable();
        this.messageTop = AndroidUtilities.dp(40.0f);
        this.avatarTop = AndroidUtilities.dp(10.0f);
        this.currentAccount = UserConfig.selectedAccount;
        Theme.createDialogsResources(context);
        this.avatarImage.setRoundRadius(AndroidUtilities.dp(7.5f));
    }

    public void setRecentMeUrl(TLRPC.RecentMeUrl url) {
        this.recentMeUrl = url;
        requestLayout();
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        this.avatarImage.onDetachedFromWindow();
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.avatarImage.onAttachedToWindow();
    }

    @Override // android.view.View
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        setMeasuredDimension(View.MeasureSpec.getSize(widthMeasureSpec), AndroidUtilities.dp(72.0f) + (this.useSeparator ? 1 : 0));
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onLayout(boolean changed, int left, int top, int right, int bottom) {
        if (changed) {
            buildLayout();
        }
    }

    /* JADX WARN: Can't wrap try/catch for region: R(23:1|(5:3|(1:140)(1:9)|10|(3:12|(1:14)(1:134)|15)(3:135|(1:137)(1:139)|138)|16)(2:141|(4:143|(1:145)(1:155)|(3:147|(2:149|(1:151)(1:152))|153)|154)(2:156|(3:158|(1:160)(1:162)|161)(2:163|(6:165|(1:167)(1:198)|168|(3:170|(1:190)(1:176)|177)(3:191|(1:197)(1:195)|196)|178|(3:180|(1:182)(1:184)|183)(3:185|(1:187)(1:189)|188))(2:199|(3:201|(1:203)(1:205)|204)(1:206)))))|17|(1:19)(1:133)|20|(1:22)(1:132)|23|(1:25)(2:123|(1:125)(2:126|(1:128)(2:129|(1:131))))|26|(2:28|(1:30))|31|(3:32|33|34)|(2:35|36)|37|(3:39|(1:41)(1:111)|42)(3:112|(1:114)(1:116)|115)|43|44|45|46|47|48|49|(4:51|(4:55|(1:57)|58|(1:62))|63|(2:77|78)(2:67|(2:69|(2:71|72)(1:74))(2:75|76)))(4:79|(4:83|(2:85|(1:87))|88|(1:90))|91|(1:102)(2:97|(2:99|100)(1:101)))) */
    /* JADX WARN: Code restructure failed: missing block: B:146:0x0489, code lost:
        r0 = e;
     */
    /* JADX WARN: Code restructure failed: missing block: B:148:0x048b, code lost:
        r0 = e;
     */
    /* JADX WARN: Code restructure failed: missing block: B:149:0x048c, code lost:
        r20 = r8;
     */
    /* JADX WARN: Code restructure failed: missing block: B:150:0x0490, code lost:
        im.uecahxyvjd.messenger.FileLog.e(r0);
     */
    /* JADX WARN: Removed duplicated region for block: B:131:0x040f  */
    /* JADX WARN: Removed duplicated region for block: B:136:0x0429  */
    /* JADX WARN: Removed duplicated region for block: B:153:0x0497  */
    /* JADX WARN: Removed duplicated region for block: B:176:0x051a  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void buildLayout() {
        String nameString;
        int nameWidth;
        int nameWidth2;
        int avatarLeft;
        CharSequence nameStringFinal;
        String nameString2 = "";
        TextPaint currentNamePaint = Theme.dialogs_namePaint;
        TextPaint currentMessagePaint = Theme.dialogs_messagePaint;
        this.drawNameGroup = false;
        this.drawNameBroadcast = false;
        this.drawNameLock = false;
        this.drawNameBot = false;
        this.drawVerified = false;
        TLRPC.RecentMeUrl recentMeUrl = this.recentMeUrl;
        if (recentMeUrl instanceof TLRPC.TL_recentMeUrlChat) {
            TLRPC.Chat chat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(this.recentMeUrl.chat_id));
            if (chat.id < 0 || (ChatObject.isChannel(chat) && !chat.megagroup)) {
                this.drawNameBroadcast = true;
                this.nameLockTop = AndroidUtilities.dp(16.5f);
            } else {
                this.drawNameGroup = true;
                this.nameLockTop = AndroidUtilities.dp(17.5f);
            }
            this.drawVerified = chat.verified;
            if (!LocaleController.isRTL) {
                this.nameLockLeft = AndroidUtilities.dp(AndroidUtilities.leftBaseline);
                this.nameLeft = AndroidUtilities.dp(AndroidUtilities.leftBaseline + 4) + (this.drawNameGroup ? Theme.dialogs_groupDrawable : Theme.dialogs_broadcastDrawable).getIntrinsicWidth();
            } else {
                this.nameLockLeft = (getMeasuredWidth() - AndroidUtilities.dp(AndroidUtilities.leftBaseline)) - (this.drawNameGroup ? Theme.dialogs_groupDrawable : Theme.dialogs_broadcastDrawable).getIntrinsicWidth();
                this.nameLeft = AndroidUtilities.dp(14.0f);
            }
            nameString2 = chat.title;
            this.avatarDrawable.setInfo(chat);
            this.avatarImage.setImage(ImageLocation.getForChat(chat, false), "50_50", this.avatarDrawable, null, this.recentMeUrl, 0);
        } else if (recentMeUrl instanceof TLRPC.TL_recentMeUrlUser) {
            TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.recentMeUrl.user_id));
            if (!LocaleController.isRTL) {
                this.nameLeft = AndroidUtilities.dp(AndroidUtilities.leftBaseline);
            } else {
                this.nameLeft = AndroidUtilities.dp(14.0f);
            }
            if (user != null) {
                if (user.bot) {
                    this.drawNameBot = true;
                    this.nameLockTop = AndroidUtilities.dp(16.5f);
                    if (!LocaleController.isRTL) {
                        this.nameLockLeft = AndroidUtilities.dp(AndroidUtilities.leftBaseline);
                        this.nameLeft = AndroidUtilities.dp(AndroidUtilities.leftBaseline + 4) + Theme.dialogs_botDrawable.getIntrinsicWidth();
                    } else {
                        this.nameLockLeft = (getMeasuredWidth() - AndroidUtilities.dp(AndroidUtilities.leftBaseline)) - Theme.dialogs_botDrawable.getIntrinsicWidth();
                        this.nameLeft = AndroidUtilities.dp(14.0f);
                    }
                }
                this.drawVerified = user.verified;
            }
            nameString2 = UserObject.getName(user);
            this.avatarDrawable.setInfo(user);
            this.avatarImage.setImage(ImageLocation.getForUser(user, false), "50_50", this.avatarDrawable, null, this.recentMeUrl, 0);
        } else if (recentMeUrl instanceof TLRPC.TL_recentMeUrlStickerSet) {
            if (!LocaleController.isRTL) {
                this.nameLeft = AndroidUtilities.dp(AndroidUtilities.leftBaseline);
            } else {
                this.nameLeft = AndroidUtilities.dp(14.0f);
            }
            nameString2 = this.recentMeUrl.set.set.title;
            this.avatarDrawable.setInfo(5, this.recentMeUrl.set.set.title, null);
            this.avatarImage.setImage(ImageLocation.getForDocument(this.recentMeUrl.set.cover), null, this.avatarDrawable, null, this.recentMeUrl, 0);
        } else if (recentMeUrl instanceof TLRPC.TL_recentMeUrlChatInvite) {
            if (!LocaleController.isRTL) {
                this.nameLeft = AndroidUtilities.dp(AndroidUtilities.leftBaseline);
            } else {
                this.nameLeft = AndroidUtilities.dp(14.0f);
            }
            if (this.recentMeUrl.chat_invite.chat != null) {
                this.avatarDrawable.setInfo(this.recentMeUrl.chat_invite.chat);
                nameString2 = this.recentMeUrl.chat_invite.chat.title;
                if (this.recentMeUrl.chat_invite.chat.id < 0 || (ChatObject.isChannel(this.recentMeUrl.chat_invite.chat) && !this.recentMeUrl.chat_invite.chat.megagroup)) {
                    this.drawNameBroadcast = true;
                    this.nameLockTop = AndroidUtilities.dp(16.5f);
                } else {
                    this.drawNameGroup = true;
                    this.nameLockTop = AndroidUtilities.dp(17.5f);
                }
                this.drawVerified = this.recentMeUrl.chat_invite.chat.verified;
                this.avatarImage.setImage(ImageLocation.getForChat(this.recentMeUrl.chat_invite.chat, false), "50_50", this.avatarDrawable, null, this.recentMeUrl, 0);
            } else {
                nameString2 = this.recentMeUrl.chat_invite.title;
                this.avatarDrawable.setInfo(5, this.recentMeUrl.chat_invite.title, null);
                if (this.recentMeUrl.chat_invite.broadcast || this.recentMeUrl.chat_invite.channel) {
                    this.drawNameBroadcast = true;
                    this.nameLockTop = AndroidUtilities.dp(16.5f);
                } else {
                    this.drawNameGroup = true;
                    this.nameLockTop = AndroidUtilities.dp(17.5f);
                }
                TLRPC.PhotoSize size = FileLoader.getClosestPhotoSizeWithSize(this.recentMeUrl.chat_invite.photo.sizes, 50);
                this.avatarImage.setImage(ImageLocation.getForPhoto(size, this.recentMeUrl.chat_invite.photo), "50_50", this.avatarDrawable, null, this.recentMeUrl, 0);
            }
            if (!LocaleController.isRTL) {
                this.nameLockLeft = AndroidUtilities.dp(AndroidUtilities.leftBaseline);
                this.nameLeft = AndroidUtilities.dp(AndroidUtilities.leftBaseline + 4) + (this.drawNameGroup ? Theme.dialogs_groupDrawable : Theme.dialogs_broadcastDrawable).getIntrinsicWidth();
            } else {
                this.nameLockLeft = (getMeasuredWidth() - AndroidUtilities.dp(AndroidUtilities.leftBaseline)) - (this.drawNameGroup ? Theme.dialogs_groupDrawable : Theme.dialogs_broadcastDrawable).getIntrinsicWidth();
                this.nameLeft = AndroidUtilities.dp(14.0f);
            }
        } else if (!(recentMeUrl instanceof TLRPC.TL_recentMeUrlUnknown)) {
            this.avatarImage.setImage(null, null, this.avatarDrawable, null, recentMeUrl, 0);
        } else {
            if (!LocaleController.isRTL) {
                this.nameLeft = AndroidUtilities.dp(AndroidUtilities.leftBaseline);
            } else {
                this.nameLeft = AndroidUtilities.dp(14.0f);
            }
            nameString2 = "Url";
            this.avatarImage.setImage(null, null, this.avatarDrawable, null, this.recentMeUrl, 0);
        }
        CharSequence messageString = MessagesController.getInstance(this.currentAccount).linkPrefix + "/" + this.recentMeUrl.url;
        if (!TextUtils.isEmpty(nameString2)) {
            nameString = nameString2;
        } else {
            String nameString3 = LocaleController.getString("HiddenName", R.string.HiddenName);
            nameString = nameString3;
        }
        if (!LocaleController.isRTL) {
            nameWidth = (getMeasuredWidth() - this.nameLeft) - AndroidUtilities.dp(14.0f);
        } else {
            int nameWidth3 = getMeasuredWidth();
            nameWidth = (nameWidth3 - this.nameLeft) - AndroidUtilities.dp(AndroidUtilities.leftBaseline);
        }
        if (this.drawNameLock) {
            nameWidth -= AndroidUtilities.dp(4.0f) + Theme.dialogs_lockDrawable.getIntrinsicWidth();
        } else if (this.drawNameGroup) {
            nameWidth -= AndroidUtilities.dp(4.0f) + Theme.dialogs_groupDrawable.getIntrinsicWidth();
        } else if (this.drawNameBroadcast) {
            nameWidth -= AndroidUtilities.dp(4.0f) + Theme.dialogs_broadcastDrawable.getIntrinsicWidth();
        } else if (this.drawNameBot) {
            nameWidth -= AndroidUtilities.dp(4.0f) + Theme.dialogs_botDrawable.getIntrinsicWidth();
        }
        if (this.drawVerified) {
            int w = AndroidUtilities.dp(6.0f) + Theme.dialogs_verifiedDrawable.getIntrinsicWidth();
            nameWidth -= w;
            if (LocaleController.isRTL) {
                this.nameLeft += w;
            }
        }
        int nameWidth4 = Math.max(AndroidUtilities.dp(12.0f), nameWidth);
        try {
            nameStringFinal = TextUtils.ellipsize(nameString.replace('\n', ' '), currentNamePaint, nameWidth4 - AndroidUtilities.dp(12.0f), TextUtils.TruncateAt.END);
            nameWidth2 = nameWidth4;
        } catch (Exception e) {
            e = e;
            nameWidth2 = nameWidth4;
        }
        try {
            this.nameLayout = new StaticLayout(nameStringFinal, currentNamePaint, nameWidth4, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
        } catch (Exception e2) {
            e = e2;
            FileLog.e(e);
            int messageWidth = getMeasuredWidth() - AndroidUtilities.dp(AndroidUtilities.leftBaseline + 16);
            if (LocaleController.isRTL) {
            }
            this.avatarImage.setImageCoords(avatarLeft, this.avatarTop, AndroidUtilities.dp(52.0f), AndroidUtilities.dp(52.0f));
            int messageWidth2 = Math.max(AndroidUtilities.dp(12.0f), messageWidth);
            int messageWidth3 = AndroidUtilities.dp(12.0f);
            CharSequence messageStringFinal = TextUtils.ellipsize(messageString, currentMessagePaint, messageWidth2 - messageWidth3, TextUtils.TruncateAt.END);
            int messageWidth4 = messageWidth2;
            this.messageLayout = new StaticLayout(messageStringFinal, currentMessagePaint, messageWidth2, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
            if (LocaleController.isRTL) {
            }
        }
        int messageWidth5 = getMeasuredWidth() - AndroidUtilities.dp(AndroidUtilities.leftBaseline + 16);
        if (LocaleController.isRTL) {
            this.messageLeft = AndroidUtilities.dp(AndroidUtilities.leftBaseline);
            avatarLeft = AndroidUtilities.dp(AndroidUtilities.isTablet() ? 13.0f : 9.0f);
        } else {
            this.messageLeft = AndroidUtilities.dp(16.0f);
            avatarLeft = getMeasuredWidth() - AndroidUtilities.dp(AndroidUtilities.isTablet() ? 65.0f : 61.0f);
        }
        this.avatarImage.setImageCoords(avatarLeft, this.avatarTop, AndroidUtilities.dp(52.0f), AndroidUtilities.dp(52.0f));
        int messageWidth22 = Math.max(AndroidUtilities.dp(12.0f), messageWidth5);
        int messageWidth32 = AndroidUtilities.dp(12.0f);
        CharSequence messageStringFinal2 = TextUtils.ellipsize(messageString, currentMessagePaint, messageWidth22 - messageWidth32, TextUtils.TruncateAt.END);
        int messageWidth42 = messageWidth22;
        this.messageLayout = new StaticLayout(messageStringFinal2, currentMessagePaint, messageWidth22, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);
        if (LocaleController.isRTL) {
            StaticLayout staticLayout = this.nameLayout;
            if (staticLayout != null && staticLayout.getLineCount() > 0) {
                float left = this.nameLayout.getLineLeft(0);
                double widthpx = Math.ceil(this.nameLayout.getLineWidth(0));
                if (this.drawVerified) {
                    this.nameMuteLeft = (int) (((this.nameLeft + (nameWidth2 - widthpx)) - AndroidUtilities.dp(6.0f)) - Theme.dialogs_verifiedDrawable.getIntrinsicWidth());
                }
                if (left == 0.0f && widthpx < nameWidth2) {
                    this.nameLeft = (int) (this.nameLeft + (nameWidth2 - widthpx));
                }
            }
            StaticLayout staticLayout2 = this.messageLayout;
            if (staticLayout2 != null && staticLayout2.getLineCount() > 0) {
                if (this.messageLayout.getLineLeft(0) == 0.0f) {
                    double widthpx2 = Math.ceil(this.messageLayout.getLineWidth(0));
                    int messageWidth6 = messageWidth42;
                    if (widthpx2 < messageWidth6) {
                        this.messageLeft = (int) (this.messageLeft + (messageWidth6 - widthpx2));
                        return;
                    }
                    return;
                }
                return;
            }
            return;
        }
        int messageWidth7 = messageWidth42;
        StaticLayout staticLayout3 = this.nameLayout;
        if (staticLayout3 != null && staticLayout3.getLineCount() > 0) {
            float left2 = this.nameLayout.getLineRight(0);
            if (left2 == nameWidth2) {
                double widthpx3 = Math.ceil(this.nameLayout.getLineWidth(0));
                if (widthpx3 < nameWidth2) {
                    this.nameLeft = (int) (this.nameLeft - (nameWidth2 - widthpx3));
                }
            }
            if (this.drawVerified) {
                this.nameMuteLeft = (int) (this.nameLeft + left2 + AndroidUtilities.dp(6.0f));
            }
        }
        StaticLayout staticLayout4 = this.messageLayout;
        if (staticLayout4 != null && staticLayout4.getLineCount() > 0 && this.messageLayout.getLineRight(0) == messageWidth7) {
            double widthpx4 = Math.ceil(this.messageLayout.getLineWidth(0));
            if (widthpx4 < messageWidth7) {
                this.messageLeft = (int) (this.messageLeft - (messageWidth7 - widthpx4));
            }
        }
    }

    public void setDialogSelected(boolean value) {
        if (this.isSelected != value) {
            invalidate();
        }
        this.isSelected = value;
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        if (this.isSelected) {
            canvas.drawRect(0.0f, 0.0f, getMeasuredWidth(), getMeasuredHeight(), Theme.dialogs_tabletSeletedPaint);
        }
        if (this.drawNameLock) {
            setDrawableBounds(Theme.dialogs_lockDrawable, this.nameLockLeft, this.nameLockTop);
            Theme.dialogs_lockDrawable.draw(canvas);
        } else if (this.drawNameGroup) {
            setDrawableBounds(Theme.dialogs_groupDrawable, this.nameLockLeft, this.nameLockTop);
            Theme.dialogs_groupDrawable.draw(canvas);
        } else if (this.drawNameBroadcast) {
            setDrawableBounds(Theme.dialogs_broadcastDrawable, this.nameLockLeft, this.nameLockTop);
            Theme.dialogs_broadcastDrawable.draw(canvas);
        } else if (this.drawNameBot) {
            setDrawableBounds(Theme.dialogs_botDrawable, this.nameLockLeft, this.nameLockTop);
            Theme.dialogs_botDrawable.draw(canvas);
        }
        if (this.nameLayout != null) {
            canvas.save();
            canvas.translate(this.nameLeft, AndroidUtilities.dp(13.0f));
            this.nameLayout.draw(canvas);
            canvas.restore();
        }
        if (this.messageLayout != null) {
            canvas.save();
            canvas.translate(this.messageLeft, this.messageTop);
            try {
                this.messageLayout.draw(canvas);
            } catch (Exception e) {
                FileLog.e(e);
            }
            canvas.restore();
        }
        if (this.drawVerified) {
            setDrawableBounds(Theme.dialogs_verifiedDrawable, this.nameMuteLeft, AndroidUtilities.dp(16.5f));
            setDrawableBounds(Theme.dialogs_verifiedCheckDrawable, this.nameMuteLeft, AndroidUtilities.dp(16.5f));
            Theme.dialogs_verifiedDrawable.draw(canvas);
            Theme.dialogs_verifiedCheckDrawable.draw(canvas);
        }
        if (this.useSeparator) {
            if (LocaleController.isRTL) {
                canvas.drawLine(0.0f, getMeasuredHeight() - 1, getMeasuredWidth() - AndroidUtilities.dp(AndroidUtilities.leftBaseline), getMeasuredHeight() - 1, Theme.dividerPaint);
            } else {
                canvas.drawLine(AndroidUtilities.dp(AndroidUtilities.leftBaseline), getMeasuredHeight() - 1, getMeasuredWidth(), getMeasuredHeight() - 1, Theme.dividerPaint);
            }
        }
        this.avatarImage.draw(canvas);
    }

    @Override // im.uecahxyvjd.ui.cells.BaseCell, android.view.View
    public boolean hasOverlappingRendering() {
        return false;
    }
}
