package im.uecahxyvjd.ui.components;

import android.graphics.Paint;
import android.graphics.drawable.ColorDrawable;
import android.util.Property;
import im.uecahxyvjd.ui.PhotoViewer;
import im.uecahxyvjd.ui.cells.DialogCell;
/* loaded from: classes10.dex */
public class AnimationProperties {
    public static final Property<Paint, Integer> PAINT_ALPHA = new IntProperty<Paint>("alpha") { // from class: im.uecahxyvjd.ui.components.AnimationProperties.1
        @Override // im.uecahxyvjd.ui.components.AnimationProperties.IntProperty
        public void setValue(Paint object, int value) {
            object.setAlpha(value);
        }

        @Override // android.util.Property
        public Integer get(Paint object) {
            return Integer.valueOf(object.getAlpha());
        }
    };
    public static final Property<ColorDrawable, Integer> COLOR_DRAWABLE_ALPHA = new IntProperty<ColorDrawable>("alpha") { // from class: im.uecahxyvjd.ui.components.AnimationProperties.2
        @Override // im.uecahxyvjd.ui.components.AnimationProperties.IntProperty
        public void setValue(ColorDrawable object, int value) {
            object.setAlpha(value);
        }

        @Override // android.util.Property
        public Integer get(ColorDrawable object) {
            return Integer.valueOf(object.getAlpha());
        }
    };
    public static final Property<ClippingImageView, Float> CLIPPING_IMAGE_VIEW_PROGRESS = new FloatProperty<ClippingImageView>("animationProgress") { // from class: im.uecahxyvjd.ui.components.AnimationProperties.3
        @Override // im.uecahxyvjd.ui.components.AnimationProperties.FloatProperty
        public void setValue(ClippingImageView object, float value) {
            object.setAnimationProgress(value);
        }

        @Override // android.util.Property
        public Float get(ClippingImageView object) {
            return Float.valueOf(object.getAnimationProgress());
        }
    };
    public static final Property<PhotoViewer, Float> PHOTO_VIEWER_ANIMATION_VALUE = new FloatProperty<PhotoViewer>("animationValue") { // from class: im.uecahxyvjd.ui.components.AnimationProperties.4
        @Override // im.uecahxyvjd.ui.components.AnimationProperties.FloatProperty
        public void setValue(PhotoViewer object, float value) {
            object.setAnimationValue(value);
        }

        @Override // android.util.Property
        public Float get(PhotoViewer object) {
            return Float.valueOf(object.getAnimationValue());
        }
    };
    public static final Property<DialogCell, Float> CLIP_DIALOG_CELL_PROGRESS = new FloatProperty<DialogCell>("clipProgress") { // from class: im.uecahxyvjd.ui.components.AnimationProperties.5
        @Override // im.uecahxyvjd.ui.components.AnimationProperties.FloatProperty
        public void setValue(DialogCell object, float value) {
            object.setClipProgress(value);
        }

        @Override // android.util.Property
        public Float get(DialogCell object) {
            return Float.valueOf(object.getClipProgress());
        }
    };

    /* loaded from: classes10.dex */
    public static abstract class FloatProperty<T> extends Property<T, Float> {
        public abstract void setValue(T t, float f);

        /* JADX WARN: Multi-variable type inference failed */
        @Override // android.util.Property
        public /* bridge */ /* synthetic */ void set(Object obj, Float f) {
            set2((FloatProperty<T>) obj, f);
        }

        public FloatProperty(String name) {
            super(Float.class, name);
        }

        /* renamed from: set  reason: avoid collision after fix types in other method */
        public final void set2(T object, Float value) {
            setValue(object, value.floatValue());
        }
    }

    /* loaded from: classes10.dex */
    public static abstract class IntProperty<T> extends Property<T, Integer> {
        public abstract void setValue(T t, int i);

        /* JADX WARN: Multi-variable type inference failed */
        @Override // android.util.Property
        public /* bridge */ /* synthetic */ void set(Object obj, Integer num) {
            set2((IntProperty<T>) obj, num);
        }

        public IntProperty(String name) {
            super(Integer.class, name);
        }

        /* renamed from: set  reason: avoid collision after fix types in other method */
        public final void set2(T object, Integer value) {
            setValue(object, value.intValue());
        }
    }
}
