package im.uecahxyvjd.ui.components;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.widget.TextView;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.ui.actionbar.Theme;
/* loaded from: classes10.dex */
public class ColorTextView extends TextView {
    public ColorTextView(Context context) {
        super(context);
    }

    public ColorTextView(Context context, AttributeSet attrs) {
        super(context, attrs);
        setCustomTextColor(context, attrs);
    }

    public ColorTextView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        setCustomTextColor(context, attrs);
    }

    private void setCustomTextColor(Context context, AttributeSet attrs) {
        TypedArray a2 = context.obtainStyledAttributes(attrs, R.styleable.ColorTextView);
        int indexCount = a2.getIndexCount();
        String strType = "";
        String strKey = "";
        for (int i = 0; i < indexCount; i++) {
            int attr = a2.getIndex(i);
            switch (attr) {
                case 0:
                    strKey = a2.getString(attr);
                    break;
                case 1:
                    strType = a2.getString(attr);
                    break;
            }
        }
        if (strType.equals("title")) {
            setTextColor(Theme.getColor(Theme.key_graySectionText));
        } else if (strType.equals("label")) {
            setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText));
        } else if (strType.equals("value")) {
            setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText2));
        }
        if (!"".equals(strKey)) {
            setText(LocaleController.getString(strKey, getResources().getIdentifier(strKey, "string", context.getPackageName())));
        }
        a2.recycle();
    }
}
