package im.uecahxyvjd.ui.components;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.StateListAnimator;
import android.content.Context;
import android.content.DialogInterface;
import android.database.DataSetObserver;
import android.graphics.Canvas;
import android.graphics.Outline;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.ShapeDrawable;
import android.text.Editable;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.LongSparseArray;
import android.util.Property;
import android.util.SparseArray;
import android.util.SparseIntArray;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewOutlineProvider;
import android.view.ViewTreeObserver;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.PopupWindow;
import android.widget.TextView;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.viewpager.widget.PagerAdapter;
import androidx.viewpager.widget.ViewPager;
import com.google.android.exoplayer2.DefaultRenderersFactory;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ChatObject;
import im.uecahxyvjd.messenger.Emoji;
import im.uecahxyvjd.messenger.EmojiData;
import im.uecahxyvjd.messenger.FileLoader;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.ImageReceiver;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MediaDataController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.browser.Browser;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.ContentPreviewViewer;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BottomSheet;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.cells.ContextLinkCell;
import im.uecahxyvjd.ui.cells.EmptyCell;
import im.uecahxyvjd.ui.cells.FeaturedStickerSetInfoCell;
import im.uecahxyvjd.ui.cells.StickerEmojiCell;
import im.uecahxyvjd.ui.cells.StickerSetGroupInfoCell;
import im.uecahxyvjd.ui.cells.StickerSetNameCell;
import im.uecahxyvjd.ui.components.EmojiView;
import im.uecahxyvjd.ui.components.PagerSlidingTabStrip;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.ScrollSlidingTabStrip;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
/* loaded from: classes10.dex */
public class EmojiView extends FrameLayout implements NotificationCenter.NotificationCenterDelegate {
    private static final ViewTreeObserver.OnScrollChangedListener NOP;
    private static final Field superListenerField;
    private ImageView backspaceButton;
    private AnimatorSet backspaceButtonAnimation;
    private boolean backspaceOnce;
    private boolean backspacePressed;
    private FrameLayout bottomTabContainer;
    private AnimatorSet bottomTabContainerAnimation;
    private View bottomTabContainerBackground;
    private ContentPreviewViewer.ContentPreviewViewerDelegate contentPreviewViewerDelegate;
    private int currentAccount;
    private int currentBackgroundType;
    private int currentChatId;
    private int currentPage;
    private EmojiViewDelegate delegate;
    private Paint dotPaint;
    private DragListener dragListener;
    private EmojiGridAdapter emojiAdapter;
    private FrameLayout emojiContainer;
    private RecyclerListView emojiGridView;
    private Drawable[] emojiIcons;
    private float emojiLastX;
    private float emojiLastY;
    private GridLayoutManager emojiLayoutManager;
    private int emojiMinusDy;
    private EmojiSearchAdapter emojiSearchAdapter;
    private SearchField emojiSearchField;
    private int emojiSize;
    private AnimatorSet emojiTabShadowAnimator;
    private ScrollSlidingTabStrip emojiTabs;
    private View emojiTabsShadow;
    private String[] emojiTitles;
    private ImageViewEmoji emojiTouchedView;
    private float emojiTouchedX;
    private float emojiTouchedY;
    private int favTabBum;
    private ArrayList<TLRPC.Document> favouriteStickers;
    private int featuredStickersHash;
    private boolean firstEmojiAttach;
    private boolean firstGifAttach;
    private boolean firstStickersAttach;
    private ImageView floatingButton;
    private boolean forseMultiwindowLayout;
    private GifAdapter gifAdapter;
    private FrameLayout gifContainer;
    private RecyclerListView gifGridView;
    private ExtendedGridLayoutManager gifLayoutManager;
    private RecyclerListView.OnItemClickListener gifOnItemClickListener;
    private GifSearchAdapter gifSearchAdapter;
    private SearchField gifSearchField;
    private int groupStickerPackNum;
    private int groupStickerPackPosition;
    private TLRPC.TL_messages_stickerSet groupStickerSet;
    private boolean groupStickersHidden;
    private int hasRecentEmoji;
    private TLRPC.ChatFull info;
    private LongSparseArray<TLRPC.StickerSetCovered> installingStickerSets;
    private boolean isLayout;
    private float lastBottomScrollDy;
    private int lastNotifyHeight;
    private int lastNotifyHeight2;
    private int lastNotifyWidth;
    private String[] lastSearchKeyboardLanguage;
    private int[] location;
    private TextView mediaBanTooltip;
    private boolean needEmojiSearch;
    private Object outlineProvider;
    private ViewPager pager;
    private EmojiColorPickerView pickerView;
    private EmojiPopupWindow pickerViewPopup;
    private int popupHeight;
    private int popupWidth;
    private ArrayList<TLRPC.Document> recentGifs;
    private ArrayList<TLRPC.Document> recentStickers;
    private int recentTabBum;
    private LongSparseArray<TLRPC.StickerSetCovered> removingStickerSets;
    private int scrolledToTrending;
    private AnimatorSet searchAnimation;
    private ImageView searchButton;
    private int searchFieldHeight;
    private View shadowLine;
    private boolean showGifs;
    private Drawable[] stickerIcons;
    private ArrayList<TLRPC.TL_messages_stickerSet> stickerSets;
    private ImageView stickerSettingsButton;
    private AnimatorSet stickersButtonAnimation;
    private FrameLayout stickersContainer;
    private TextView stickersCounter;
    private StickersGridAdapter stickersGridAdapter;
    private RecyclerListView stickersGridView;
    private GridLayoutManager stickersLayoutManager;
    private int stickersMinusDy;
    private RecyclerListView.OnItemClickListener stickersOnItemClickListener;
    private SearchField stickersSearchField;
    private StickersSearchGridAdapter stickersSearchGridAdapter;
    private ScrollSlidingTabStrip stickersTab;
    private int stickersTabOffset;
    private Drawable[] tabIcons;
    private View topShadow;
    private TrendingGridAdapter trendingGridAdapter;
    private RecyclerListView trendingGridView;
    private GridLayoutManager trendingLayoutManager;
    private boolean trendingLoaded;
    private int trendingTabNum;
    private PagerSlidingTabStrip typeTabs;
    private ArrayList<View> views;

    /* loaded from: classes10.dex */
    public interface DragListener {
        void onDrag(int i);

        void onDragCancel();

        void onDragEnd(float f);

        void onDragStart();
    }

    /* loaded from: classes10.dex */
    public interface EmojiViewDelegate {
        boolean canSchedule();

        boolean isExpanded();

        boolean isInScheduleMode();

        boolean isSearchOpened();

        boolean onBackspace();

        void onClearEmojiRecent();

        void onEmojiSelected(String str);

        void onGifSelected(View view, Object obj, Object obj2, boolean z, int i);

        void onSearchOpenClose(int i);

        void onShowStickerSet(TLRPC.StickerSet stickerSet, TLRPC.InputStickerSet inputStickerSet);

        void onStickerSelected(View view, TLRPC.Document document, Object obj, boolean z, int i);

        void onStickerSetAdd(TLRPC.StickerSetCovered stickerSetCovered);

        void onStickerSetRemove(TLRPC.StickerSetCovered stickerSetCovered);

        void onStickersGroupClick(int i);

        void onStickersSettingsClick();

        void onTabOpened(int i);

        /* renamed from: im.uecahxyvjd.ui.components.EmojiView$EmojiViewDelegate$-CC */
        /* loaded from: classes10.dex */
        public final /* synthetic */ class CC {
            public static boolean $default$onBackspace(EmojiViewDelegate _this) {
                return false;
            }

            public static void $default$onEmojiSelected(EmojiViewDelegate _this, String emoji) {
            }

            public static void $default$onStickerSelected(EmojiViewDelegate _this, View view, TLRPC.Document sticker, Object parent, boolean notify, int scheduleDate) {
            }

            public static void $default$onStickersSettingsClick(EmojiViewDelegate _this) {
            }

            public static void $default$onStickersGroupClick(EmojiViewDelegate _this, int chatId) {
            }

            public static void $default$onGifSelected(EmojiViewDelegate _this, View view, Object gif, Object parent, boolean notify, int scheduleDate) {
            }

            public static void $default$onTabOpened(EmojiViewDelegate _this, int type) {
            }

            public static void $default$onClearEmojiRecent(EmojiViewDelegate _this) {
            }

            public static void $default$onShowStickerSet(EmojiViewDelegate _this, TLRPC.StickerSet stickerSet, TLRPC.InputStickerSet inputStickerSet) {
            }

            public static void $default$onStickerSetAdd(EmojiViewDelegate _this, TLRPC.StickerSetCovered stickerSet) {
            }

            public static void $default$onStickerSetRemove(EmojiViewDelegate _this, TLRPC.StickerSetCovered stickerSet) {
            }

            public static void $default$onSearchOpenClose(EmojiViewDelegate _this, int type) {
            }

            public static boolean $default$isSearchOpened(EmojiViewDelegate _this) {
                return false;
            }

            public static boolean $default$isExpanded(EmojiViewDelegate _this) {
                return false;
            }

            public static boolean $default$canSchedule(EmojiViewDelegate _this) {
                return false;
            }

            public static boolean $default$isInScheduleMode(EmojiViewDelegate _this) {
                return false;
            }
        }
    }

    static {
        Field f = null;
        try {
            f = PopupWindow.class.getDeclaredField("mOnScrollChangedListener");
            f.setAccessible(true);
        } catch (NoSuchFieldException e) {
        }
        superListenerField = f;
        NOP = new ViewTreeObserver.OnScrollChangedListener() { // from class: im.uecahxyvjd.ui.components.EmojiView$$ExternalSyntheticLambda7
            @Override // android.view.ViewTreeObserver.OnScrollChangedListener
            public final void onScrollChanged() {
                EmojiView.lambda$static$0();
            }
        };
    }

    public static /* synthetic */ void lambda$static$0() {
    }

    /* loaded from: classes10.dex */
    public class SearchField extends FrameLayout {
        private View backgroundView;
        private ImageView clearSearchImageView;
        private CloseProgressDrawable2 progressDrawable;
        private View searchBackground;
        private EditTextBoldCursor searchEditText;
        private ImageView searchIconImageView;
        private AnimatorSet shadowAnimator;
        private View shadowView;

        /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
        public SearchField(Context context, final int type) {
            super(context);
            EmojiView.this = r13;
            View view = new View(context);
            this.shadowView = view;
            view.setAlpha(0.0f);
            this.shadowView.setTag(1);
            this.shadowView.setBackgroundColor(Theme.getColor(Theme.key_chat_emojiPanelShadowLine));
            addView(this.shadowView, new FrameLayout.LayoutParams(-1, AndroidUtilities.getShadowHeight(), 83));
            View view2 = new View(context);
            this.backgroundView = view2;
            view2.setBackgroundColor(Theme.getColor(Theme.key_chat_emojiPanelBackground));
            addView(this.backgroundView, new FrameLayout.LayoutParams(-1, r13.searchFieldHeight));
            View view3 = new View(context);
            this.searchBackground = view3;
            view3.setBackgroundDrawable(Theme.createRoundRectDrawable(AndroidUtilities.dp(18.0f), Theme.getColor(Theme.key_chat_emojiSearchBackground)));
            addView(this.searchBackground, LayoutHelper.createFrame(-1.0f, 36.0f, 51, 14.0f, 14.0f, 14.0f, 0.0f));
            ImageView imageView = new ImageView(context);
            this.searchIconImageView = imageView;
            imageView.setScaleType(ImageView.ScaleType.CENTER);
            this.searchIconImageView.setImageResource(R.drawable.smiles_inputsearch);
            this.searchIconImageView.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_chat_emojiSearchIcon), PorterDuff.Mode.MULTIPLY));
            addView(this.searchIconImageView, LayoutHelper.createFrame(36.0f, 36.0f, 51, 16.0f, 14.0f, 0.0f, 0.0f));
            ImageView imageView2 = new ImageView(context);
            this.clearSearchImageView = imageView2;
            imageView2.setScaleType(ImageView.ScaleType.CENTER);
            ImageView imageView3 = this.clearSearchImageView;
            CloseProgressDrawable2 closeProgressDrawable2 = new CloseProgressDrawable2();
            this.progressDrawable = closeProgressDrawable2;
            imageView3.setImageDrawable(closeProgressDrawable2);
            this.progressDrawable.setSide(AndroidUtilities.dp(7.0f));
            this.clearSearchImageView.setScaleX(0.1f);
            this.clearSearchImageView.setScaleY(0.1f);
            this.clearSearchImageView.setAlpha(0.0f);
            this.clearSearchImageView.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_chat_emojiSearchIcon), PorterDuff.Mode.MULTIPLY));
            addView(this.clearSearchImageView, LayoutHelper.createFrame(36.0f, 36.0f, 53, 14.0f, 14.0f, 14.0f, 0.0f));
            this.clearSearchImageView.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.components.EmojiView$SearchField$$ExternalSyntheticLambda0
                @Override // android.view.View.OnClickListener
                public final void onClick(View view4) {
                    EmojiView.SearchField.this.m2682lambda$new$0$imuecahxyvjduicomponentsEmojiView$SearchField(view4);
                }
            });
            EditTextBoldCursor editTextBoldCursor = new EditTextBoldCursor(context) { // from class: im.uecahxyvjd.ui.components.EmojiView.SearchField.1
                {
                    SearchField.this = this;
                }

                @Override // android.widget.TextView, android.view.View
                public boolean onTouchEvent(MotionEvent event) {
                    if (event.getAction() == 0) {
                        if (!EmojiView.this.delegate.isSearchOpened()) {
                            EmojiView.this.openSearch(SearchField.this);
                        }
                        EmojiView.this.delegate.onSearchOpenClose(type == 1 ? 2 : 1);
                        SearchField.this.searchEditText.requestFocus();
                        AndroidUtilities.showKeyboard(SearchField.this.searchEditText);
                        if (EmojiView.this.trendingGridView != null && EmojiView.this.trendingGridView.getVisibility() == 0) {
                            EmojiView.this.showTrendingTab(false);
                        }
                    }
                    return super.onTouchEvent(event);
                }
            };
            this.searchEditText = editTextBoldCursor;
            editTextBoldCursor.setTextSize(1, 16.0f);
            this.searchEditText.setHintTextColor(Theme.getColor(Theme.key_chat_emojiSearchIcon));
            this.searchEditText.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText));
            this.searchEditText.setBackgroundDrawable(null);
            this.searchEditText.setPadding(0, 0, 0, 0);
            this.searchEditText.setMaxLines(1);
            this.searchEditText.setLines(1);
            this.searchEditText.setSingleLine(true);
            this.searchEditText.setImeOptions(268435459);
            if (type == 0) {
                this.searchEditText.setHint(LocaleController.getString("SearchStickersHint", R.string.SearchStickersHint));
            } else if (type == 1) {
                this.searchEditText.setHint(LocaleController.getString("SearchEmojiHint", R.string.SearchEmojiHint));
            } else if (type == 2) {
                this.searchEditText.setHint(LocaleController.getString("SearchGifsTitle", R.string.SearchGifsTitle));
            }
            this.searchEditText.setCursorColor(Theme.getColor(Theme.key_featuredStickers_addedIcon));
            this.searchEditText.setCursorSize(AndroidUtilities.dp(20.0f));
            this.searchEditText.setCursorWidth(1.5f);
            addView(this.searchEditText, LayoutHelper.createFrame(-1.0f, 40.0f, 51, 54.0f, 12.0f, 46.0f, 0.0f));
            this.searchEditText.addTextChangedListener(new TextWatcher() { // from class: im.uecahxyvjd.ui.components.EmojiView.SearchField.2
                {
                    SearchField.this = this;
                }

                @Override // android.text.TextWatcher
                public void beforeTextChanged(CharSequence s, int start, int count, int after) {
                }

                @Override // android.text.TextWatcher
                public void onTextChanged(CharSequence s, int start, int before, int count) {
                }

                @Override // android.text.TextWatcher
                public void afterTextChanged(Editable s) {
                    boolean show = SearchField.this.searchEditText.length() > 0;
                    boolean showed = SearchField.this.clearSearchImageView.getAlpha() != 0.0f;
                    if (show != showed) {
                        SearchField.this.clearSearchImageView.animate().alpha(show ? 1.0f : 0.0f).setDuration(150L).scaleX(show ? 1.0f : 0.1f).scaleY(show ? 1.0f : 0.1f).start();
                    }
                    int i = type;
                    if (i == 0) {
                        EmojiView.this.stickersSearchGridAdapter.search(SearchField.this.searchEditText.getText().toString());
                    } else if (i == 1) {
                        EmojiView.this.emojiSearchAdapter.search(SearchField.this.searchEditText.getText().toString());
                    } else if (i == 2) {
                        EmojiView.this.gifSearchAdapter.search(SearchField.this.searchEditText.getText().toString());
                    }
                }
            });
        }

        /* renamed from: lambda$new$0$im-uecahxyvjd-ui-components-EmojiView$SearchField */
        public /* synthetic */ void m2682lambda$new$0$imuecahxyvjduicomponentsEmojiView$SearchField(View v) {
            this.searchEditText.setText("");
            AndroidUtilities.showKeyboard(this.searchEditText);
        }

        public void hideKeyboard() {
            AndroidUtilities.hideKeyboard(this.searchEditText);
        }

        public void showShadow(boolean show, boolean animated) {
            if (show && this.shadowView.getTag() == null) {
                return;
            }
            if (!show && this.shadowView.getTag() != null) {
                return;
            }
            AnimatorSet animatorSet = this.shadowAnimator;
            if (animatorSet != null) {
                animatorSet.cancel();
                this.shadowAnimator = null;
            }
            this.shadowView.setTag(show ? null : 1);
            if (animated) {
                AnimatorSet animatorSet2 = new AnimatorSet();
                this.shadowAnimator = animatorSet2;
                Animator[] animatorArr = new Animator[1];
                View view = this.shadowView;
                Property property = View.ALPHA;
                float[] fArr = new float[1];
                fArr[0] = show ? 1.0f : 0.0f;
                animatorArr[0] = ObjectAnimator.ofFloat(view, property, fArr);
                animatorSet2.playTogether(animatorArr);
                this.shadowAnimator.setDuration(200L);
                this.shadowAnimator.setInterpolator(CubicBezierInterpolator.EASE_OUT);
                this.shadowAnimator.addListener(new AnimatorListenerAdapter() { // from class: im.uecahxyvjd.ui.components.EmojiView.SearchField.3
                    {
                        SearchField.this = this;
                    }

                    @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                    public void onAnimationEnd(Animator animation) {
                        SearchField.this.shadowAnimator = null;
                    }
                });
                this.shadowAnimator.start();
                return;
            }
            this.shadowView.setAlpha(show ? 1.0f : 0.0f);
        }
    }

    /* loaded from: classes10.dex */
    private class ImageViewEmoji extends ImageView {
        private boolean isRecent;

        /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
        public ImageViewEmoji(Context context) {
            super(context);
            EmojiView.this = r1;
            setScaleType(ImageView.ScaleType.CENTER);
        }

        public void sendEmoji(String override) {
            String color;
            EmojiView.this.showBottomTab(true, true);
            String code = override != null ? override : (String) getTag();
            SpannableStringBuilder builder = new SpannableStringBuilder();
            builder.append((CharSequence) code);
            if (override != null) {
                if (EmojiView.this.delegate != null) {
                    EmojiView.this.delegate.onEmojiSelected(Emoji.fixEmoji(override));
                    return;
                }
                return;
            }
            if (!this.isRecent && (color = Emoji.emojiColor.get(code)) != null) {
                code = EmojiView.addColorToCode(code, color);
            }
            EmojiView.this.addEmojiToRecent(code);
            if (EmojiView.this.delegate != null) {
                EmojiView.this.delegate.onEmojiSelected(Emoji.fixEmoji(code));
            }
        }

        public void setImageDrawable(Drawable drawable, boolean recent) {
            super.setImageDrawable(drawable);
            this.isRecent = recent;
        }

        @Override // android.widget.ImageView, android.view.View
        public void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
            setMeasuredDimension(View.MeasureSpec.getSize(widthMeasureSpec), View.MeasureSpec.getSize(widthMeasureSpec));
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes10.dex */
    public class EmojiPopupWindow extends PopupWindow {
        private ViewTreeObserver.OnScrollChangedListener mSuperScrollListener;
        private ViewTreeObserver mViewTreeObserver;

        public EmojiPopupWindow() {
            EmojiView.this = r1;
            init();
        }

        /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
        public EmojiPopupWindow(Context context) {
            super(context);
            EmojiView.this = r1;
            init();
        }

        /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
        public EmojiPopupWindow(int width, int height) {
            super(width, height);
            EmojiView.this = r1;
            init();
        }

        /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
        public EmojiPopupWindow(View contentView) {
            super(contentView);
            EmojiView.this = r1;
            init();
        }

        /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
        public EmojiPopupWindow(View contentView, int width, int height, boolean focusable) {
            super(contentView, width, height, focusable);
            EmojiView.this = r1;
            init();
        }

        /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
        public EmojiPopupWindow(View contentView, int width, int height) {
            super(contentView, width, height);
            EmojiView.this = r1;
            init();
        }

        private void init() {
            if (EmojiView.superListenerField != null) {
                try {
                    this.mSuperScrollListener = (ViewTreeObserver.OnScrollChangedListener) EmojiView.superListenerField.get(this);
                    EmojiView.superListenerField.set(this, EmojiView.NOP);
                } catch (Exception e) {
                    this.mSuperScrollListener = null;
                }
            }
        }

        private void unregisterListener() {
            ViewTreeObserver viewTreeObserver;
            if (this.mSuperScrollListener != null && (viewTreeObserver = this.mViewTreeObserver) != null) {
                if (viewTreeObserver.isAlive()) {
                    this.mViewTreeObserver.removeOnScrollChangedListener(this.mSuperScrollListener);
                }
                this.mViewTreeObserver = null;
            }
        }

        private void registerListener(View anchor) {
            if (this.mSuperScrollListener != null) {
                ViewTreeObserver vto = anchor.getWindowToken() != null ? anchor.getViewTreeObserver() : null;
                ViewTreeObserver viewTreeObserver = this.mViewTreeObserver;
                if (vto != viewTreeObserver) {
                    if (viewTreeObserver != null && viewTreeObserver.isAlive()) {
                        this.mViewTreeObserver.removeOnScrollChangedListener(this.mSuperScrollListener);
                    }
                    this.mViewTreeObserver = vto;
                    if (vto != null) {
                        vto.addOnScrollChangedListener(this.mSuperScrollListener);
                    }
                }
            }
        }

        @Override // android.widget.PopupWindow
        public void showAsDropDown(View anchor, int xoff, int yoff) {
            try {
                super.showAsDropDown(anchor, xoff, yoff);
                registerListener(anchor);
            } catch (Exception e) {
                FileLog.e(e);
            }
        }

        @Override // android.widget.PopupWindow
        public void update(View anchor, int xoff, int yoff, int width, int height) {
            super.update(anchor, xoff, yoff, width, height);
            registerListener(anchor);
        }

        @Override // android.widget.PopupWindow
        public void update(View anchor, int width, int height) {
            super.update(anchor, width, height);
            registerListener(anchor);
        }

        @Override // android.widget.PopupWindow
        public void showAtLocation(View parent, int gravity, int x, int y) {
            super.showAtLocation(parent, gravity, x, y);
            unregisterListener();
        }

        @Override // android.widget.PopupWindow
        public void dismiss() {
            setFocusable(false);
            try {
                super.dismiss();
            } catch (Exception e) {
            }
            unregisterListener();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes10.dex */
    public class EmojiColorPickerView extends View {
        private Drawable arrowDrawable;
        private int arrowX;
        private Drawable backgroundDrawable;
        private String currentEmoji;
        private RectF rect;
        private Paint rectPaint;
        private int selection;

        public void setEmoji(String emoji, int arrowPosition) {
            this.currentEmoji = emoji;
            this.arrowX = arrowPosition;
            this.rectPaint.setColor(Theme.ACTION_BAR_AUDIO_SELECTOR_COLOR);
            invalidate();
        }

        public String getEmoji() {
            return this.currentEmoji;
        }

        public void setSelection(int position) {
            if (this.selection == position) {
                return;
            }
            this.selection = position;
            invalidate();
        }

        public int getSelection() {
            return this.selection;
        }

        /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
        public EmojiColorPickerView(Context context) {
            super(context);
            EmojiView.this = r2;
            this.rectPaint = new Paint(1);
            this.rect = new RectF();
            this.backgroundDrawable = getResources().getDrawable(R.drawable.stickers_back_all);
            this.arrowDrawable = getResources().getDrawable(R.drawable.stickers_back_arrow);
        }

        @Override // android.view.View
        protected void onDraw(Canvas canvas) {
            String color;
            this.backgroundDrawable.setBounds(0, 0, getMeasuredWidth(), AndroidUtilities.dp(AndroidUtilities.isTablet() ? 60.0f : 52.0f));
            this.backgroundDrawable.draw(canvas);
            this.arrowDrawable.setBounds(this.arrowX - AndroidUtilities.dp(9.0f), AndroidUtilities.dp(AndroidUtilities.isTablet() ? 55.5f : 47.5f), this.arrowX + AndroidUtilities.dp(9.0f), AndroidUtilities.dp((AndroidUtilities.isTablet() ? 55.5f : 47.5f) + 8.0f));
            this.arrowDrawable.draw(canvas);
            if (this.currentEmoji != null) {
                for (int a2 = 0; a2 < 6; a2++) {
                    int x = (EmojiView.this.emojiSize * a2) + AndroidUtilities.dp((a2 * 4) + 5);
                    int y = AndroidUtilities.dp(9.0f);
                    if (this.selection == a2) {
                        this.rect.set(x, y - ((int) AndroidUtilities.dpf2(3.5f)), EmojiView.this.emojiSize + x, EmojiView.this.emojiSize + y + AndroidUtilities.dp(3.0f));
                        canvas.drawRoundRect(this.rect, AndroidUtilities.dp(4.0f), AndroidUtilities.dp(4.0f), this.rectPaint);
                    }
                    String code = this.currentEmoji;
                    if (a2 != 0) {
                        switch (a2) {
                            case 1:
                                color = "🏻";
                                break;
                            case 2:
                                color = "🏼";
                                break;
                            case 3:
                                color = "🏽";
                                break;
                            case 4:
                                color = "🏾";
                                break;
                            case 5:
                                color = "🏿";
                                break;
                            default:
                                color = "";
                                break;
                        }
                        code = EmojiView.addColorToCode(code, color);
                    }
                    Drawable drawable = Emoji.getEmojiBigDrawable(code);
                    if (drawable != null) {
                        drawable.setBounds(x, y, EmojiView.this.emojiSize + x, EmojiView.this.emojiSize + y);
                        drawable.draw(canvas);
                    }
                }
            }
        }
    }

    public EmojiView(boolean needStickers, boolean needGif, Context context, boolean needSearch, TLRPC.ChatFull chatFull) {
        super(context);
        this.views = new ArrayList<>();
        this.firstEmojiAttach = true;
        this.hasRecentEmoji = -1;
        this.firstGifAttach = true;
        this.firstStickersAttach = true;
        this.currentAccount = UserConfig.selectedAccount;
        this.stickerSets = new ArrayList<>();
        this.recentGifs = new ArrayList<>();
        this.recentStickers = new ArrayList<>();
        this.favouriteStickers = new ArrayList<>();
        this.installingStickerSets = new LongSparseArray<>();
        this.removingStickerSets = new LongSparseArray<>();
        this.location = new int[2];
        this.recentTabBum = -2;
        this.favTabBum = -2;
        this.trendingTabNum = -2;
        this.currentBackgroundType = -1;
        this.contentPreviewViewerDelegate = new ContentPreviewViewer.ContentPreviewViewerDelegate() { // from class: im.uecahxyvjd.ui.components.EmojiView.1
            @Override // im.uecahxyvjd.ui.ContentPreviewViewer.ContentPreviewViewerDelegate
            public /* synthetic */ boolean needOpen() {
                return ContentPreviewViewer.ContentPreviewViewerDelegate.CC.$default$needOpen(this);
            }

            {
                EmojiView.this = this;
            }

            @Override // im.uecahxyvjd.ui.ContentPreviewViewer.ContentPreviewViewerDelegate
            public void sendSticker(TLRPC.Document sticker, Object parent, boolean notify, int scheduleDate) {
                EmojiView.this.delegate.onStickerSelected(null, sticker, parent, notify, scheduleDate);
            }

            @Override // im.uecahxyvjd.ui.ContentPreviewViewer.ContentPreviewViewerDelegate
            public boolean needSend() {
                return true;
            }

            @Override // im.uecahxyvjd.ui.ContentPreviewViewer.ContentPreviewViewerDelegate
            public boolean canSchedule() {
                return EmojiView.this.delegate.canSchedule();
            }

            @Override // im.uecahxyvjd.ui.ContentPreviewViewer.ContentPreviewViewerDelegate
            public boolean isInScheduleMode() {
                return EmojiView.this.delegate.isInScheduleMode();
            }

            @Override // im.uecahxyvjd.ui.ContentPreviewViewer.ContentPreviewViewerDelegate
            public void openSet(TLRPC.InputStickerSet set, boolean clearsInputField) {
                if (set != null) {
                    EmojiView.this.delegate.onShowStickerSet(null, set);
                }
            }

            @Override // im.uecahxyvjd.ui.ContentPreviewViewer.ContentPreviewViewerDelegate
            public void sendGif(Object gif, boolean notify, int scheduleDate) {
                if (EmojiView.this.gifGridView.getAdapter() == EmojiView.this.gifAdapter) {
                    EmojiView.this.delegate.onGifSelected(null, gif, "gif", notify, scheduleDate);
                } else if (EmojiView.this.gifGridView.getAdapter() != EmojiView.this.gifSearchAdapter) {
                } else {
                    EmojiView.this.delegate.onGifSelected(null, gif, EmojiView.this.gifSearchAdapter.bot, notify, scheduleDate);
                }
            }

            @Override // im.uecahxyvjd.ui.ContentPreviewViewer.ContentPreviewViewerDelegate
            public void gifAddedOrDeleted() {
                EmojiView emojiView = EmojiView.this;
                emojiView.recentGifs = MediaDataController.getInstance(emojiView.currentAccount).getRecentGifs();
                if (EmojiView.this.gifAdapter != null) {
                    EmojiView.this.gifAdapter.notifyDataSetChanged();
                }
            }
        };
        this.searchFieldHeight = AndroidUtilities.dp(64.0f);
        this.needEmojiSearch = needSearch;
        this.tabIcons = new Drawable[]{Theme.createEmojiIconSelectorDrawable(context, R.drawable.smiles_tab_smiles, Theme.getColor(Theme.key_chat_emojiBottomPanelIcon), Theme.getColor(Theme.key_chat_emojiPanelIconSelected)), Theme.createEmojiIconSelectorDrawable(context, R.drawable.smiles_tab_gif, Theme.getColor(Theme.key_chat_emojiBottomPanelIcon), Theme.getColor(Theme.key_chat_emojiPanelIconSelected)), Theme.createEmojiIconSelectorDrawable(context, R.drawable.smiles_tab_stickers, Theme.getColor(Theme.key_chat_emojiBottomPanelIcon), Theme.getColor(Theme.key_chat_emojiPanelIconSelected))};
        this.emojiIcons = new Drawable[]{Theme.createEmojiIconSelectorDrawable(context, R.drawable.smiles_panel_recent, Theme.getColor(Theme.key_chat_emojiPanelIcon), Theme.getColor(Theme.key_chat_emojiPanelIconSelected)), Theme.createEmojiIconSelectorDrawable(context, R.drawable.smiles_panel_smiles, Theme.getColor(Theme.key_chat_emojiPanelIcon), Theme.getColor(Theme.key_chat_emojiPanelIconSelected)), Theme.createEmojiIconSelectorDrawable(context, R.drawable.smiles_panel_cat, Theme.getColor(Theme.key_chat_emojiPanelIcon), Theme.getColor(Theme.key_chat_emojiPanelIconSelected)), Theme.createEmojiIconSelectorDrawable(context, R.drawable.smiles_panel_food, Theme.getColor(Theme.key_chat_emojiPanelIcon), Theme.getColor(Theme.key_chat_emojiPanelIconSelected)), Theme.createEmojiIconSelectorDrawable(context, R.drawable.smiles_panel_activities, Theme.getColor(Theme.key_chat_emojiPanelIcon), Theme.getColor(Theme.key_chat_emojiPanelIconSelected)), Theme.createEmojiIconSelectorDrawable(context, R.drawable.smiles_panel_travel, Theme.getColor(Theme.key_chat_emojiPanelIcon), Theme.getColor(Theme.key_chat_emojiPanelIconSelected)), Theme.createEmojiIconSelectorDrawable(context, R.drawable.smiles_panel_objects, Theme.getColor(Theme.key_chat_emojiPanelIcon), Theme.getColor(Theme.key_chat_emojiPanelIconSelected)), Theme.createEmojiIconSelectorDrawable(context, R.drawable.smiles_panel_other, Theme.getColor(Theme.key_chat_emojiPanelIcon), Theme.getColor(Theme.key_chat_emojiPanelIconSelected)), Theme.createEmojiIconSelectorDrawable(context, R.drawable.smiles_panel_flags, Theme.getColor(Theme.key_chat_emojiPanelIcon), Theme.getColor(Theme.key_chat_emojiPanelIconSelected))};
        this.stickerIcons = new Drawable[]{Theme.createEmojiIconSelectorDrawable(context, R.drawable.smiles_panel_recent, Theme.getColor(Theme.key_chat_emojiBottomPanelIcon), Theme.getColor(Theme.key_chat_emojiPanelIconSelected)), Theme.createEmojiIconSelectorDrawable(context, R.drawable.smiles_panel_faves, Theme.getColor(Theme.key_chat_emojiBottomPanelIcon), Theme.getColor(Theme.key_chat_emojiPanelIconSelected)), Theme.createEmojiIconSelectorDrawable(context, R.drawable.smiles_panel_trending, Theme.getColor(Theme.key_chat_emojiBottomPanelIcon), Theme.getColor(Theme.key_chat_emojiPanelIconSelected))};
        this.emojiTitles = new String[]{LocaleController.getString("Emoji1", R.string.Emoji1), LocaleController.getString("Emoji2", R.string.Emoji2), LocaleController.getString("Emoji3", R.string.Emoji3), LocaleController.getString("Emoji4", R.string.Emoji4), LocaleController.getString("Emoji5", R.string.Emoji5), LocaleController.getString("Emoji6", R.string.Emoji6), LocaleController.getString("Emoji7", R.string.Emoji7), LocaleController.getString("Emoji8", R.string.Emoji8)};
        this.showGifs = needGif;
        this.info = chatFull;
        Paint paint = new Paint(1);
        this.dotPaint = paint;
        paint.setColor(Theme.getColor(Theme.key_chat_emojiPanelNewTrending));
        this.outlineProvider = new ViewOutlineProvider() { // from class: im.uecahxyvjd.ui.components.EmojiView.2
            {
                EmojiView.this = this;
            }

            @Override // android.view.ViewOutlineProvider
            public void getOutline(View view, Outline outline) {
                outline.setRoundRect(view.getPaddingLeft(), view.getPaddingTop(), view.getMeasuredWidth() - view.getPaddingRight(), view.getMeasuredHeight() - view.getPaddingBottom(), AndroidUtilities.dp(6.0f));
            }
        };
        FrameLayout frameLayout = new FrameLayout(context);
        this.emojiContainer = frameLayout;
        this.views.add(frameLayout);
        RecyclerListView recyclerListView = new RecyclerListView(context) { // from class: im.uecahxyvjd.ui.components.EmojiView.3
            private boolean ignoreLayout;

            {
                EmojiView.this = this;
            }

            @Override // im.uecahxyvjd.ui.components.RecyclerListView, androidx.recyclerview.widget.RecyclerView, android.view.View
            public void onMeasure(int widthSpec, int heightSpec) {
                this.ignoreLayout = true;
                int width = View.MeasureSpec.getSize(widthSpec);
                try {
                    EmojiView.this.emojiLayoutManager.setSpanCount(width / AndroidUtilities.dp(AndroidUtilities.isTablet() ? 60.0f : 45.0f));
                    this.ignoreLayout = false;
                } catch (Exception e) {
                    e.printStackTrace();
                }
                super.onMeasure(widthSpec, heightSpec);
            }

            @Override // im.uecahxyvjd.ui.components.RecyclerListView, androidx.recyclerview.widget.RecyclerView, android.view.ViewGroup, android.view.View
            public void onLayout(boolean changed, int l, int t, int r, int b) {
                if (EmojiView.this.needEmojiSearch && EmojiView.this.firstEmojiAttach) {
                    this.ignoreLayout = true;
                    EmojiView.this.emojiLayoutManager.scrollToPositionWithOffset(1, 0);
                    EmojiView.this.firstEmojiAttach = false;
                    this.ignoreLayout = false;
                }
                super.onLayout(changed, l, t, r, b);
                EmojiView.this.checkEmojiSearchFieldScroll(true);
            }

            @Override // androidx.recyclerview.widget.RecyclerView, android.view.View, android.view.ViewParent
            public void requestLayout() {
                if (this.ignoreLayout) {
                    return;
                }
                super.requestLayout();
            }

            @Override // androidx.recyclerview.widget.RecyclerView, android.view.View
            public boolean onTouchEvent(MotionEvent event) {
                if (EmojiView.this.emojiTouchedView != null) {
                    if (event.getAction() == 1 || event.getAction() == 3) {
                        if (EmojiView.this.pickerViewPopup != null && EmojiView.this.pickerViewPopup.isShowing()) {
                            EmojiView.this.pickerViewPopup.dismiss();
                            String color = null;
                            switch (EmojiView.this.pickerView.getSelection()) {
                                case 1:
                                    color = "🏻";
                                    break;
                                case 2:
                                    color = "🏼";
                                    break;
                                case 3:
                                    color = "🏽";
                                    break;
                                case 4:
                                    color = "🏾";
                                    break;
                                case 5:
                                    color = "🏿";
                                    break;
                            }
                            String code = (String) EmojiView.this.emojiTouchedView.getTag();
                            if (!EmojiView.this.emojiTouchedView.isRecent) {
                                if (color != null) {
                                    Emoji.emojiColor.put(code, color);
                                    code = EmojiView.addColorToCode(code, color);
                                } else {
                                    Emoji.emojiColor.remove(code);
                                }
                                EmojiView.this.emojiTouchedView.setImageDrawable(Emoji.getEmojiBigDrawable(code), EmojiView.this.emojiTouchedView.isRecent);
                                EmojiView.this.emojiTouchedView.sendEmoji(null);
                                Emoji.saveEmojiColors();
                            } else {
                                String code2 = code.replace("🏻", "").replace("🏼", "").replace("🏽", "").replace("🏾", "").replace("🏿", "");
                                if (color != null) {
                                    EmojiView.this.emojiTouchedView.sendEmoji(EmojiView.addColorToCode(code2, color));
                                } else {
                                    EmojiView.this.emojiTouchedView.sendEmoji(code2);
                                }
                            }
                        }
                        EmojiView.this.emojiTouchedView = null;
                        EmojiView.this.emojiTouchedX = -10000.0f;
                        EmojiView.this.emojiTouchedY = -10000.0f;
                    } else if (event.getAction() == 2) {
                        boolean ignore = false;
                        if (EmojiView.this.emojiTouchedX != -10000.0f) {
                            if (Math.abs(EmojiView.this.emojiTouchedX - event.getX()) > AndroidUtilities.getPixelsInCM(0.2f, true) || Math.abs(EmojiView.this.emojiTouchedY - event.getY()) > AndroidUtilities.getPixelsInCM(0.2f, false)) {
                                EmojiView.this.emojiTouchedX = -10000.0f;
                                EmojiView.this.emojiTouchedY = -10000.0f;
                            } else {
                                ignore = true;
                            }
                        }
                        if (!ignore) {
                            getLocationOnScreen(EmojiView.this.location);
                            float x = EmojiView.this.location[0] + event.getX();
                            EmojiView.this.pickerView.getLocationOnScreen(EmojiView.this.location);
                            int position = (int) ((x - (EmojiView.this.location[0] + AndroidUtilities.dp(3.0f))) / (EmojiView.this.emojiSize + AndroidUtilities.dp(4.0f)));
                            if (position < 0) {
                                position = 0;
                            } else if (position > 5) {
                                position = 5;
                            }
                            EmojiView.this.pickerView.setSelection(position);
                        }
                    }
                    return true;
                }
                EmojiView.this.emojiLastX = event.getX();
                EmojiView.this.emojiLastY = event.getY();
                return super.onTouchEvent(event);
            }
        };
        this.emojiGridView = recyclerListView;
        recyclerListView.setInstantClick(true);
        RecyclerListView recyclerListView2 = this.emojiGridView;
        GridLayoutManager gridLayoutManager = new GridLayoutManager(context, 8);
        this.emojiLayoutManager = gridLayoutManager;
        recyclerListView2.setLayoutManager(gridLayoutManager);
        this.emojiGridView.setTopGlowOffset(AndroidUtilities.dp(38.0f));
        this.emojiGridView.setBottomGlowOffset(AndroidUtilities.dp(48.0f));
        this.emojiGridView.setPadding(0, AndroidUtilities.dp(38.0f), 0, 0);
        this.emojiGridView.setGlowColor(Theme.getColor(Theme.key_chat_emojiPanelBackground));
        this.emojiGridView.setClipToPadding(false);
        this.emojiLayoutManager.setSpanSizeLookup(new GridLayoutManager.SpanSizeLookup() { // from class: im.uecahxyvjd.ui.components.EmojiView.4
            {
                EmojiView.this = this;
            }

            @Override // androidx.recyclerview.widget.GridLayoutManager.SpanSizeLookup
            public int getSpanSize(int position) {
                if (EmojiView.this.emojiGridView.getAdapter() != EmojiView.this.emojiSearchAdapter) {
                    if ((EmojiView.this.needEmojiSearch && position == 0) || EmojiView.this.emojiAdapter.positionToSection.indexOfKey(position) >= 0) {
                        return EmojiView.this.emojiLayoutManager.getSpanCount();
                    }
                } else if (position == 0 || (position == 1 && EmojiView.this.emojiSearchAdapter.searchWas && EmojiView.this.emojiSearchAdapter.result.isEmpty())) {
                    return EmojiView.this.emojiLayoutManager.getSpanCount();
                }
                return 1;
            }
        });
        RecyclerListView recyclerListView3 = this.emojiGridView;
        EmojiGridAdapter emojiGridAdapter = new EmojiGridAdapter();
        this.emojiAdapter = emojiGridAdapter;
        recyclerListView3.setAdapter(emojiGridAdapter);
        this.emojiSearchAdapter = new EmojiSearchAdapter();
        this.emojiContainer.addView(this.emojiGridView, LayoutHelper.createFrame(-1, -1.0f));
        this.emojiGridView.setOnScrollListener(new RecyclerView.OnScrollListener() { // from class: im.uecahxyvjd.ui.components.EmojiView.5
            {
                EmojiView.this = this;
            }

            @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
            public void onScrollStateChanged(RecyclerView recyclerView, int newState) {
                if (newState == 1 && EmojiView.this.emojiSearchField != null) {
                    EmojiView.this.emojiSearchField.hideKeyboard();
                }
            }

            @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
            public void onScrolled(RecyclerView recyclerView, int dx, int dy) {
                int position = EmojiView.this.emojiLayoutManager.findFirstVisibleItemPosition();
                if (position != -1) {
                    int tab = 0;
                    int count = Emoji.recentEmoji.size() + (EmojiView.this.needEmojiSearch ? 1 : 0);
                    if (position >= count) {
                        int a2 = 0;
                        while (true) {
                            if (a2 >= EmojiData.dataColored.length) {
                                break;
                            }
                            int size = EmojiData.dataColored[a2].length + 1;
                            if (position < count + size) {
                                tab = a2 + (!Emoji.recentEmoji.isEmpty() ? 1 : 0);
                                break;
                            } else {
                                count += size;
                                a2++;
                            }
                        }
                    }
                    EmojiView.this.emojiTabs.onPageScrolled(tab, 0);
                }
                EmojiView.this.checkEmojiTabY(recyclerView, dy);
                EmojiView.this.checkEmojiSearchFieldScroll(false);
                EmojiView.this.checkBottomTabScroll(dy);
            }
        });
        this.emojiGridView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.components.EmojiView.6
            {
                EmojiView.this = this;
            }

            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public void onItemClick(View view, int position) {
                if (view instanceof ImageViewEmoji) {
                    ImageViewEmoji viewEmoji = (ImageViewEmoji) view;
                    viewEmoji.sendEmoji(null);
                }
            }
        });
        this.emojiGridView.setOnItemLongClickListener(new RecyclerListView.OnItemLongClickListener() { // from class: im.uecahxyvjd.ui.components.EmojiView.7
            {
                EmojiView.this = this;
            }

            /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemLongClickListener
            public boolean onItemClick(View view, int position) {
                char c;
                if (view instanceof ImageViewEmoji) {
                    ImageViewEmoji viewEmoji = (ImageViewEmoji) view;
                    String code = (String) viewEmoji.getTag();
                    String color = null;
                    String toCheck = code.replace("🏻", "");
                    if (toCheck != code) {
                        color = "🏻";
                    }
                    if (color == null && (toCheck = code.replace("🏼", "")) != code) {
                        color = "🏼";
                    }
                    if (color == null && (toCheck = code.replace("🏽", "")) != code) {
                        color = "🏽";
                    }
                    if (color == null && (toCheck = code.replace("🏾", "")) != code) {
                        color = "🏾";
                    }
                    if (color == null && (toCheck = code.replace("🏿", "")) != code) {
                        color = "🏿";
                    }
                    if (EmojiData.emojiColoredMap.containsKey(toCheck)) {
                        EmojiView.this.emojiTouchedView = viewEmoji;
                        EmojiView emojiView = EmojiView.this;
                        emojiView.emojiTouchedX = emojiView.emojiLastX;
                        EmojiView emojiView2 = EmojiView.this;
                        emojiView2.emojiTouchedY = emojiView2.emojiLastY;
                        if (color == null && !viewEmoji.isRecent) {
                            String color2 = Emoji.emojiColor.get(toCheck);
                            color = color2;
                        }
                        if (color == null) {
                            EmojiView.this.pickerView.setSelection(0);
                        } else {
                            switch (color.hashCode()) {
                                case 1773375:
                                    if (color.equals("🏻")) {
                                        c = 0;
                                        break;
                                    }
                                    c = 65535;
                                    break;
                                case 1773376:
                                    if (color.equals("🏼")) {
                                        c = 1;
                                        break;
                                    }
                                    c = 65535;
                                    break;
                                case 1773377:
                                    if (color.equals("🏽")) {
                                        c = 2;
                                        break;
                                    }
                                    c = 65535;
                                    break;
                                case 1773378:
                                    if (color.equals("🏾")) {
                                        c = 3;
                                        break;
                                    }
                                    c = 65535;
                                    break;
                                case 1773379:
                                    if (color.equals("🏿")) {
                                        c = 4;
                                        break;
                                    }
                                    c = 65535;
                                    break;
                                default:
                                    c = 65535;
                                    break;
                            }
                            switch (c) {
                                case 0:
                                    EmojiView.this.pickerView.setSelection(1);
                                    break;
                                case 1:
                                    EmojiView.this.pickerView.setSelection(2);
                                    break;
                                case 2:
                                    EmojiView.this.pickerView.setSelection(3);
                                    break;
                                case 3:
                                    EmojiView.this.pickerView.setSelection(4);
                                    break;
                                case 4:
                                    EmojiView.this.pickerView.setSelection(5);
                                    break;
                            }
                        }
                        viewEmoji.getLocationOnScreen(EmojiView.this.location);
                        int x = (EmojiView.this.emojiSize * EmojiView.this.pickerView.getSelection()) + AndroidUtilities.dp((EmojiView.this.pickerView.getSelection() * 4) - (AndroidUtilities.isTablet() ? 5 : 1));
                        if (EmojiView.this.location[0] - x < AndroidUtilities.dp(5.0f)) {
                            x += (EmojiView.this.location[0] - x) - AndroidUtilities.dp(5.0f);
                        } else if ((EmojiView.this.location[0] - x) + EmojiView.this.popupWidth > AndroidUtilities.displaySize.x - AndroidUtilities.dp(5.0f)) {
                            x += ((EmojiView.this.location[0] - x) + EmojiView.this.popupWidth) - (AndroidUtilities.displaySize.x - AndroidUtilities.dp(5.0f));
                        }
                        int xOffset = -x;
                        int yOffset = viewEmoji.getTop() < 0 ? viewEmoji.getTop() : 0;
                        EmojiView.this.pickerView.setEmoji(toCheck, (AndroidUtilities.dp(AndroidUtilities.isTablet() ? 30.0f : 22.0f) - xOffset) + ((int) AndroidUtilities.dpf2(0.5f)));
                        EmojiView.this.pickerViewPopup.setFocusable(true);
                        EmojiView.this.pickerViewPopup.showAsDropDown(view, xOffset, (((-view.getMeasuredHeight()) - EmojiView.this.popupHeight) + ((view.getMeasuredHeight() - EmojiView.this.emojiSize) / 2)) - yOffset);
                        EmojiView.this.pager.requestDisallowInterceptTouchEvent(true);
                        EmojiView.this.emojiGridView.hideSelector();
                        return true;
                    } else if (viewEmoji.isRecent) {
                        RecyclerView.ViewHolder holder = EmojiView.this.emojiGridView.findContainingViewHolder(view);
                        if (holder != null && holder.getAdapterPosition() <= Emoji.recentEmoji.size()) {
                            EmojiView.this.delegate.onClearEmojiRecent();
                        }
                        return true;
                    } else {
                        return false;
                    }
                }
                return false;
            }
        });
        this.emojiTabs = new ScrollSlidingTabStrip(context);
        if (needSearch) {
            SearchField searchField = new SearchField(context, 1);
            this.emojiSearchField = searchField;
            this.emojiContainer.addView(searchField, new FrameLayout.LayoutParams(-1, this.searchFieldHeight + AndroidUtilities.getShadowHeight()));
            this.emojiSearchField.searchEditText.setOnFocusChangeListener(new View.OnFocusChangeListener() { // from class: im.uecahxyvjd.ui.components.EmojiView.8
                {
                    EmojiView.this = this;
                }

                @Override // android.view.View.OnFocusChangeListener
                public void onFocusChange(View v, boolean hasFocus) {
                    if (hasFocus) {
                        EmojiView.this.lastSearchKeyboardLanguage = AndroidUtilities.getCurrentKeyboardLanguage();
                        MediaDataController.getInstance(EmojiView.this.currentAccount).fetchNewEmojiKeywords(EmojiView.this.lastSearchKeyboardLanguage);
                    }
                }
            });
        }
        this.emojiTabs.setShouldExpand(true);
        this.emojiTabs.setIndicatorHeight(-1);
        this.emojiTabs.setUnderlineHeight(-1);
        this.emojiTabs.setBackgroundColor(Theme.getColor(Theme.key_chat_emojiPanelBackground));
        this.emojiContainer.addView(this.emojiTabs, LayoutHelper.createFrame(-1, 38.0f));
        this.emojiTabs.setDelegate(new ScrollSlidingTabStrip.ScrollSlidingTabStripDelegate() { // from class: im.uecahxyvjd.ui.components.EmojiView.9
            {
                EmojiView.this = this;
            }

            @Override // im.uecahxyvjd.ui.components.ScrollSlidingTabStrip.ScrollSlidingTabStripDelegate
            public void onPageSelected(int page) {
                if (!Emoji.recentEmoji.isEmpty()) {
                    if (page == 0) {
                        EmojiView.this.emojiLayoutManager.scrollToPositionWithOffset(EmojiView.this.needEmojiSearch ? 1 : 0, 0);
                        return;
                    }
                    page--;
                }
                EmojiView.this.emojiGridView.stopScroll();
                EmojiView.this.emojiLayoutManager.scrollToPositionWithOffset(EmojiView.this.emojiAdapter.sectionToPosition.get(page), 0);
                EmojiView.this.checkEmojiTabY(null, 0);
            }
        });
        View view = new View(context);
        this.emojiTabsShadow = view;
        view.setAlpha(0.0f);
        this.emojiTabsShadow.setTag(1);
        this.emojiTabsShadow.setBackgroundColor(Theme.getColor(Theme.key_chat_emojiPanelShadowLine));
        FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(-1, AndroidUtilities.getShadowHeight(), 51);
        layoutParams.topMargin = AndroidUtilities.dp(38.0f);
        this.emojiContainer.addView(this.emojiTabsShadow, layoutParams);
        if (needStickers) {
            if (needGif) {
                FrameLayout frameLayout2 = new FrameLayout(context);
                this.gifContainer = frameLayout2;
                this.views.add(frameLayout2);
                RecyclerListView recyclerListView4 = new RecyclerListView(context) { // from class: im.uecahxyvjd.ui.components.EmojiView.10
                    private boolean ignoreLayout;

                    {
                        EmojiView.this = this;
                    }

                    @Override // im.uecahxyvjd.ui.components.RecyclerListView, androidx.recyclerview.widget.RecyclerView, android.view.ViewGroup
                    public boolean onInterceptTouchEvent(MotionEvent event) {
                        boolean result = ContentPreviewViewer.getInstance().onInterceptTouchEvent(event, EmojiView.this.gifGridView, 0, EmojiView.this.contentPreviewViewerDelegate);
                        return super.onInterceptTouchEvent(event) || result;
                    }

                    @Override // im.uecahxyvjd.ui.components.RecyclerListView, androidx.recyclerview.widget.RecyclerView, android.view.ViewGroup, android.view.View
                    public void onLayout(boolean changed, int l, int t, int r, int b) {
                        if (EmojiView.this.firstGifAttach && EmojiView.this.gifAdapter.getItemCount() > 1) {
                            this.ignoreLayout = true;
                            EmojiView.this.gifLayoutManager.scrollToPositionWithOffset(1, 0);
                            EmojiView.this.firstGifAttach = false;
                            this.ignoreLayout = false;
                        }
                        super.onLayout(changed, l, t, r, b);
                        EmojiView.this.checkGifSearchFieldScroll(true);
                    }

                    @Override // androidx.recyclerview.widget.RecyclerView, android.view.View, android.view.ViewParent
                    public void requestLayout() {
                        if (this.ignoreLayout) {
                            return;
                        }
                        super.requestLayout();
                    }
                };
                this.gifGridView = recyclerListView4;
                recyclerListView4.setClipToPadding(false);
                RecyclerListView recyclerListView5 = this.gifGridView;
                ExtendedGridLayoutManager extendedGridLayoutManager = new ExtendedGridLayoutManager(context, 100) { // from class: im.uecahxyvjd.ui.components.EmojiView.11
                    private Size size = new Size();

                    {
                        EmojiView.this = this;
                    }

                    @Override // im.uecahxyvjd.ui.components.ExtendedGridLayoutManager
                    protected Size getSizeForItem(int i) {
                        TLRPC.Document document;
                        ArrayList<TLRPC.DocumentAttribute> attributes;
                        ArrayList<TLRPC.DocumentAttribute> attributes2;
                        TLRPC.PhotoSize thumb;
                        if (EmojiView.this.gifGridView.getAdapter() == EmojiView.this.gifAdapter) {
                            document = (TLRPC.Document) EmojiView.this.recentGifs.get(i);
                            attributes = document.attributes;
                        } else if (EmojiView.this.gifSearchAdapter.results.isEmpty()) {
                            document = null;
                            attributes = null;
                        } else {
                            TLRPC.BotInlineResult result = (TLRPC.BotInlineResult) EmojiView.this.gifSearchAdapter.results.get(i);
                            TLRPC.Document document2 = result.document;
                            if (document2 != null) {
                                attributes2 = document2.attributes;
                            } else if (result.content != null) {
                                attributes2 = result.content.attributes;
                            } else if (result.thumb != null) {
                                attributes2 = result.thumb.attributes;
                            } else {
                                attributes2 = null;
                            }
                            document = document2;
                            attributes = attributes2;
                        }
                        Size size = this.size;
                        size.height = 100.0f;
                        size.width = 100.0f;
                        if (document != null && (thumb = FileLoader.getClosestPhotoSizeWithSize(document.thumbs, 90)) != null && thumb.w != 0 && thumb.h != 0) {
                            this.size.width = thumb.w;
                            this.size.height = thumb.h;
                        }
                        if (attributes != null) {
                            for (int b = 0; b < attributes.size(); b++) {
                                TLRPC.DocumentAttribute attribute = attributes.get(b);
                                if ((attribute instanceof TLRPC.TL_documentAttributeImageSize) || (attribute instanceof TLRPC.TL_documentAttributeVideo)) {
                                    this.size.width = attribute.w;
                                    this.size.height = attribute.h;
                                    break;
                                }
                            }
                        }
                        return this.size;
                    }

                    @Override // im.uecahxyvjd.ui.components.ExtendedGridLayoutManager
                    public int getFlowItemCount() {
                        if (EmojiView.this.gifGridView.getAdapter() == EmojiView.this.gifSearchAdapter && EmojiView.this.gifSearchAdapter.results.isEmpty()) {
                            return 0;
                        }
                        return getItemCount() - 1;
                    }
                };
                this.gifLayoutManager = extendedGridLayoutManager;
                recyclerListView5.setLayoutManager(extendedGridLayoutManager);
                this.gifLayoutManager.setSpanSizeLookup(new GridLayoutManager.SpanSizeLookup() { // from class: im.uecahxyvjd.ui.components.EmojiView.12
                    {
                        EmojiView.this = this;
                    }

                    @Override // androidx.recyclerview.widget.GridLayoutManager.SpanSizeLookup
                    public int getSpanSize(int position) {
                        return (position == 0 || (EmojiView.this.gifGridView.getAdapter() == EmojiView.this.gifSearchAdapter && EmojiView.this.gifSearchAdapter.results.isEmpty())) ? EmojiView.this.gifLayoutManager.getSpanCount() : EmojiView.this.gifLayoutManager.getSpanSizeForItem(position - 1);
                    }
                });
                this.gifGridView.addItemDecoration(new RecyclerView.ItemDecoration() { // from class: im.uecahxyvjd.ui.components.EmojiView.13
                    {
                        EmojiView.this = this;
                    }

                    @Override // androidx.recyclerview.widget.RecyclerView.ItemDecoration
                    public void getItemOffsets(android.graphics.Rect outRect, View view2, RecyclerView parent, RecyclerView.State state) {
                        int position = parent.getChildAdapterPosition(view2);
                        if (position != 0) {
                            outRect.left = 0;
                            outRect.bottom = 0;
                            if (!EmojiView.this.gifLayoutManager.isFirstRow(position - 1)) {
                                outRect.top = AndroidUtilities.dp(2.0f);
                            } else {
                                outRect.top = 0;
                            }
                            outRect.right = EmojiView.this.gifLayoutManager.isLastInRow(position + (-1)) ? 0 : AndroidUtilities.dp(2.0f);
                            return;
                        }
                        outRect.left = 0;
                        outRect.top = 0;
                        outRect.bottom = 0;
                        outRect.right = 0;
                    }
                });
                this.gifGridView.setOverScrollMode(2);
                RecyclerListView recyclerListView6 = this.gifGridView;
                GifAdapter gifAdapter = new GifAdapter(context);
                this.gifAdapter = gifAdapter;
                recyclerListView6.setAdapter(gifAdapter);
                this.gifSearchAdapter = new GifSearchAdapter(context);
                this.gifGridView.setOnScrollListener(new RecyclerView.OnScrollListener() { // from class: im.uecahxyvjd.ui.components.EmojiView.14
                    {
                        EmojiView.this = this;
                    }

                    @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
                    public void onScrollStateChanged(RecyclerView recyclerView, int newState) {
                        if (newState == 1) {
                            EmojiView.this.gifSearchField.hideKeyboard();
                        }
                    }

                    @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
                    public void onScrolled(RecyclerView recyclerView, int dx, int dy) {
                        EmojiView.this.checkGifSearchFieldScroll(false);
                        EmojiView.this.checkBottomTabScroll(dy);
                    }
                });
                this.gifGridView.setOnTouchListener(new View.OnTouchListener() { // from class: im.uecahxyvjd.ui.components.EmojiView$$ExternalSyntheticLambda0
                    @Override // android.view.View.OnTouchListener
                    public final boolean onTouch(View view2, MotionEvent motionEvent) {
                        return EmojiView.this.m2664lambda$new$1$imuecahxyvjduicomponentsEmojiView(view2, motionEvent);
                    }
                });
                RecyclerListView.OnItemClickListener onItemClickListener = new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.components.EmojiView$$ExternalSyntheticLambda1
                    @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
                    public final void onItemClick(View view2, int i) {
                        EmojiView.this.m2665lambda$new$2$imuecahxyvjduicomponentsEmojiView(view2, i);
                    }
                };
                this.gifOnItemClickListener = onItemClickListener;
                this.gifGridView.setOnItemClickListener(onItemClickListener);
                this.gifContainer.addView(this.gifGridView, LayoutHelper.createFrame(-1, -1.0f));
                SearchField searchField2 = new SearchField(context, 2);
                this.gifSearchField = searchField2;
                this.gifContainer.addView(searchField2, new FrameLayout.LayoutParams(-1, this.searchFieldHeight + AndroidUtilities.getShadowHeight()));
            }
            this.stickersContainer = new FrameLayout(context);
            MediaDataController.getInstance(this.currentAccount).checkStickers(0);
            MediaDataController.getInstance(this.currentAccount).checkFeaturedStickers();
            RecyclerListView recyclerListView7 = new RecyclerListView(context) { // from class: im.uecahxyvjd.ui.components.EmojiView.15
                boolean ignoreLayout;

                {
                    EmojiView.this = this;
                }

                @Override // im.uecahxyvjd.ui.components.RecyclerListView, androidx.recyclerview.widget.RecyclerView, android.view.ViewGroup
                public boolean onInterceptTouchEvent(MotionEvent event) {
                    boolean result = ContentPreviewViewer.getInstance().onInterceptTouchEvent(event, EmojiView.this.stickersGridView, EmojiView.this.getMeasuredHeight(), EmojiView.this.contentPreviewViewerDelegate);
                    return super.onInterceptTouchEvent(event) || result;
                }

                @Override // im.uecahxyvjd.ui.components.RecyclerListView, android.view.View
                public void setVisibility(int visibility) {
                    if (EmojiView.this.trendingGridView != null && EmojiView.this.trendingGridView.getVisibility() == 0) {
                        super.setVisibility(8);
                    } else {
                        super.setVisibility(visibility);
                    }
                }

                @Override // im.uecahxyvjd.ui.components.RecyclerListView, androidx.recyclerview.widget.RecyclerView, android.view.ViewGroup, android.view.View
                public void onLayout(boolean changed, int l, int t, int r, int b) {
                    if (EmojiView.this.firstStickersAttach && EmojiView.this.stickersGridAdapter.getItemCount() > 0) {
                        this.ignoreLayout = true;
                        EmojiView.this.stickersLayoutManager.scrollToPositionWithOffset(1, 0);
                        EmojiView.this.firstStickersAttach = false;
                        this.ignoreLayout = false;
                    }
                    super.onLayout(changed, l, t, r, b);
                    EmojiView.this.checkStickersSearchFieldScroll(true);
                }

                @Override // androidx.recyclerview.widget.RecyclerView, android.view.View, android.view.ViewParent
                public void requestLayout() {
                    if (this.ignoreLayout) {
                        return;
                    }
                    super.requestLayout();
                }
            };
            this.stickersGridView = recyclerListView7;
            GridLayoutManager gridLayoutManager2 = new GridLayoutManager(context, 5);
            this.stickersLayoutManager = gridLayoutManager2;
            recyclerListView7.setLayoutManager(gridLayoutManager2);
            this.stickersLayoutManager.setSpanSizeLookup(new GridLayoutManager.SpanSizeLookup() { // from class: im.uecahxyvjd.ui.components.EmojiView.16
                {
                    EmojiView.this = this;
                }

                @Override // androidx.recyclerview.widget.GridLayoutManager.SpanSizeLookup
                public int getSpanSize(int position) {
                    if (EmojiView.this.stickersGridView.getAdapter() == EmojiView.this.stickersGridAdapter) {
                        if (position == 0) {
                            return EmojiView.this.stickersGridAdapter.stickersPerRow;
                        }
                        if (position != EmojiView.this.stickersGridAdapter.totalItems) {
                            Object object = EmojiView.this.stickersGridAdapter.cache.get(position);
                            if (object == null || (EmojiView.this.stickersGridAdapter.cache.get(position) instanceof TLRPC.Document)) {
                                return 1;
                            }
                        }
                        return EmojiView.this.stickersGridAdapter.stickersPerRow;
                    }
                    if (position != EmojiView.this.stickersSearchGridAdapter.totalItems) {
                        Object object2 = EmojiView.this.stickersSearchGridAdapter.cache.get(position);
                        if (object2 == null || (EmojiView.this.stickersSearchGridAdapter.cache.get(position) instanceof TLRPC.Document)) {
                            return 1;
                        }
                    }
                    return EmojiView.this.stickersGridAdapter.stickersPerRow;
                }
            });
            this.stickersGridView.setPadding(0, AndroidUtilities.dp(52.0f), 0, 0);
            this.stickersGridView.setClipToPadding(false);
            this.views.add(this.stickersContainer);
            this.stickersSearchGridAdapter = new StickersSearchGridAdapter(context);
            RecyclerListView recyclerListView8 = this.stickersGridView;
            StickersGridAdapter stickersGridAdapter = new StickersGridAdapter(context);
            this.stickersGridAdapter = stickersGridAdapter;
            recyclerListView8.setAdapter(stickersGridAdapter);
            this.stickersGridView.setOnTouchListener(new View.OnTouchListener() { // from class: im.uecahxyvjd.ui.components.EmojiView$$ExternalSyntheticLambda2
                @Override // android.view.View.OnTouchListener
                public final boolean onTouch(View view2, MotionEvent motionEvent) {
                    return EmojiView.this.m2666lambda$new$3$imuecahxyvjduicomponentsEmojiView(view2, motionEvent);
                }
            });
            RecyclerListView.OnItemClickListener onItemClickListener2 = new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.components.EmojiView$$ExternalSyntheticLambda3
                @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
                public final void onItemClick(View view2, int i) {
                    EmojiView.this.m2667lambda$new$4$imuecahxyvjduicomponentsEmojiView(view2, i);
                }
            };
            this.stickersOnItemClickListener = onItemClickListener2;
            this.stickersGridView.setOnItemClickListener(onItemClickListener2);
            this.stickersGridView.setGlowColor(Theme.getColor(Theme.key_chat_emojiPanelBackground));
            this.stickersContainer.addView(this.stickersGridView);
            this.stickersTab = new ScrollSlidingTabStrip(context) { // from class: im.uecahxyvjd.ui.components.EmojiView.17
                float downX;
                float downY;
                boolean draggingHorizontally;
                boolean draggingVertically;
                float lastTranslateX;
                float lastX;
                boolean startedScroll;
                VelocityTracker vTracker;
                boolean first = true;
                final int touchslop = ViewConfiguration.get(getContext()).getScaledTouchSlop();

                {
                    EmojiView.this = this;
                }

                @Override // android.widget.HorizontalScrollView, android.view.ViewGroup
                public boolean onInterceptTouchEvent(MotionEvent ev) {
                    if (getParent() != null) {
                        getParent().requestDisallowInterceptTouchEvent(true);
                    }
                    if (ev.getAction() == 0) {
                        this.draggingHorizontally = false;
                        this.draggingVertically = false;
                        this.downX = ev.getRawX();
                        this.downY = ev.getRawY();
                    } else if (!this.draggingVertically && !this.draggingHorizontally && EmojiView.this.dragListener != null && Math.abs(ev.getRawY() - this.downY) >= this.touchslop) {
                        this.draggingVertically = true;
                        this.downY = ev.getRawY();
                        EmojiView.this.dragListener.onDragStart();
                        if (this.startedScroll) {
                            EmojiView.this.pager.endFakeDrag();
                            this.startedScroll = false;
                        }
                        return true;
                    }
                    return super.onInterceptTouchEvent(ev);
                }

                @Override // android.widget.HorizontalScrollView, android.view.View
                public boolean onTouchEvent(MotionEvent ev) {
                    if (this.first) {
                        this.first = false;
                        this.lastX = ev.getX();
                    }
                    if (ev.getAction() == 0) {
                        this.draggingHorizontally = false;
                        this.draggingVertically = false;
                        this.downX = ev.getRawX();
                        this.downY = ev.getRawY();
                    } else if (!this.draggingVertically && !this.draggingHorizontally && EmojiView.this.dragListener != null) {
                        if (Math.abs(ev.getRawX() - this.downX) >= this.touchslop) {
                            this.draggingHorizontally = true;
                        } else if (Math.abs(ev.getRawY() - this.downY) >= this.touchslop) {
                            this.draggingVertically = true;
                            this.downY = ev.getRawY();
                            EmojiView.this.dragListener.onDragStart();
                            if (this.startedScroll) {
                                EmojiView.this.pager.endFakeDrag();
                                this.startedScroll = false;
                            }
                        }
                    }
                    if (!this.draggingVertically) {
                        float newTranslationX = EmojiView.this.stickersTab.getTranslationX();
                        if (EmojiView.this.stickersTab.getScrollX() == 0 && newTranslationX == 0.0f) {
                            if (!this.startedScroll && this.lastX - ev.getX() < 0.0f) {
                                if (EmojiView.this.pager.beginFakeDrag()) {
                                    this.startedScroll = true;
                                    this.lastTranslateX = EmojiView.this.stickersTab.getTranslationX();
                                }
                            } else if (this.startedScroll && this.lastX - ev.getX() > 0.0f && EmojiView.this.pager.isFakeDragging()) {
                                EmojiView.this.pager.endFakeDrag();
                                this.startedScroll = false;
                            }
                        }
                        if (this.startedScroll) {
                            int x = (int) (((ev.getX() - this.lastX) + newTranslationX) - this.lastTranslateX);
                            try {
                                this.lastTranslateX = newTranslationX;
                            } catch (Exception e) {
                                try {
                                    EmojiView.this.pager.endFakeDrag();
                                } catch (Exception e2) {
                                }
                                this.startedScroll = false;
                                FileLog.e(e);
                            }
                        }
                        this.lastX = ev.getX();
                        if (ev.getAction() == 3 || ev.getAction() == 1) {
                            this.first = true;
                            this.draggingHorizontally = false;
                            this.draggingVertically = false;
                            if (this.startedScroll) {
                                EmojiView.this.pager.endFakeDrag();
                                this.startedScroll = false;
                            }
                        }
                        return this.startedScroll || super.onTouchEvent(ev);
                    }
                    if (this.vTracker == null) {
                        this.vTracker = VelocityTracker.obtain();
                    }
                    this.vTracker.addMovement(ev);
                    if (ev.getAction() != 1 && ev.getAction() != 3) {
                        EmojiView.this.dragListener.onDrag(Math.round(ev.getRawY() - this.downY));
                    } else {
                        this.vTracker.computeCurrentVelocity(1000);
                        float velocity = this.vTracker.getYVelocity();
                        this.vTracker.recycle();
                        this.vTracker = null;
                        if (ev.getAction() == 1) {
                            EmojiView.this.dragListener.onDragEnd(velocity);
                        } else {
                            EmojiView.this.dragListener.onDragCancel();
                        }
                        this.first = true;
                        this.draggingHorizontally = false;
                        this.draggingVertically = false;
                    }
                    return true;
                }
            };
            SearchField searchField3 = new SearchField(context, 0);
            this.stickersSearchField = searchField3;
            this.stickersContainer.addView(searchField3, new FrameLayout.LayoutParams(-1, this.searchFieldHeight + AndroidUtilities.getShadowHeight()));
            RecyclerListView recyclerListView9 = new RecyclerListView(context);
            this.trendingGridView = recyclerListView9;
            recyclerListView9.setItemAnimator(null);
            this.trendingGridView.setLayoutAnimation(null);
            RecyclerListView recyclerListView10 = this.trendingGridView;
            GridLayoutManager gridLayoutManager3 = new GridLayoutManager(context, 5) { // from class: im.uecahxyvjd.ui.components.EmojiView.18
                {
                    EmojiView.this = this;
                }

                @Override // androidx.recyclerview.widget.GridLayoutManager, androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.LayoutManager
                public boolean supportsPredictiveItemAnimations() {
                    return false;
                }
            };
            this.trendingLayoutManager = gridLayoutManager3;
            recyclerListView10.setLayoutManager(gridLayoutManager3);
            this.trendingLayoutManager.setSpanSizeLookup(new GridLayoutManager.SpanSizeLookup() { // from class: im.uecahxyvjd.ui.components.EmojiView.19
                {
                    EmojiView.this = this;
                }

                @Override // androidx.recyclerview.widget.GridLayoutManager.SpanSizeLookup
                public int getSpanSize(int position) {
                    if (!(EmojiView.this.trendingGridAdapter.cache.get(position) instanceof Integer) && position != EmojiView.this.trendingGridAdapter.totalItems) {
                        return 1;
                    }
                    return EmojiView.this.trendingGridAdapter.stickersPerRow;
                }
            });
            this.trendingGridView.setOnScrollListener(new RecyclerView.OnScrollListener() { // from class: im.uecahxyvjd.ui.components.EmojiView.20
                {
                    EmojiView.this = this;
                }

                @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
                public void onScrolled(RecyclerView recyclerView, int dx, int dy) {
                    EmojiView.this.checkStickersTabY(recyclerView, dy);
                    EmojiView.this.checkBottomTabScroll(dy);
                }
            });
            this.trendingGridView.setClipToPadding(false);
            this.trendingGridView.setPadding(0, AndroidUtilities.dp(48.0f), 0, 0);
            RecyclerListView recyclerListView11 = this.trendingGridView;
            TrendingGridAdapter trendingGridAdapter = new TrendingGridAdapter(context);
            this.trendingGridAdapter = trendingGridAdapter;
            recyclerListView11.setAdapter(trendingGridAdapter);
            this.trendingGridView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.components.EmojiView$$ExternalSyntheticLambda4
                @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
                public final void onItemClick(View view2, int i) {
                    EmojiView.this.m2668lambda$new$5$imuecahxyvjduicomponentsEmojiView(view2, i);
                }
            });
            this.trendingGridAdapter.notifyDataSetChanged();
            this.trendingGridView.setGlowColor(Theme.getColor(Theme.key_chat_emojiPanelBackground));
            this.trendingGridView.setVisibility(8);
            this.stickersContainer.addView(this.trendingGridView);
            this.stickersTab.setUnderlineHeight(AndroidUtilities.getShadowHeight());
            this.stickersTab.setIndicatorHeight(AndroidUtilities.dp(2.0f));
            this.stickersTab.setIndicatorColor(Theme.getColor(Theme.key_chat_emojiPanelStickerPackSelectorLine));
            this.stickersTab.setUnderlineColor(Theme.getColor(Theme.key_chat_emojiPanelShadowLine));
            this.stickersTab.setBackgroundColor(Theme.getColor(Theme.key_chat_emojiPanelBackground));
            this.stickersContainer.addView(this.stickersTab, LayoutHelper.createFrame(-1, 48, 51));
            updateStickerTabs();
            this.stickersTab.setDelegate(new ScrollSlidingTabStrip.ScrollSlidingTabStripDelegate() { // from class: im.uecahxyvjd.ui.components.EmojiView$$ExternalSyntheticLambda5
                @Override // im.uecahxyvjd.ui.components.ScrollSlidingTabStrip.ScrollSlidingTabStripDelegate
                public final void onPageSelected(int i) {
                    EmojiView.this.m2669lambda$new$6$imuecahxyvjduicomponentsEmojiView(i);
                }
            });
            this.stickersGridView.setOnScrollListener(new RecyclerView.OnScrollListener() { // from class: im.uecahxyvjd.ui.components.EmojiView.21
                {
                    EmojiView.this = this;
                }

                @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
                public void onScrollStateChanged(RecyclerView recyclerView, int newState) {
                    if (newState == 1) {
                        EmojiView.this.stickersSearchField.hideKeyboard();
                    }
                }

                @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
                public void onScrolled(RecyclerView recyclerView, int dx, int dy) {
                    EmojiView.this.checkScroll();
                    EmojiView.this.checkStickersTabY(recyclerView, dy);
                    EmojiView.this.checkStickersSearchFieldScroll(false);
                    EmojiView.this.checkBottomTabScroll(dy);
                }
            });
        }
        ViewPager viewPager = new ViewPager(context) { // from class: im.uecahxyvjd.ui.components.EmojiView.22
            {
                EmojiView.this = this;
            }

            @Override // androidx.viewpager.widget.ViewPager, android.view.ViewGroup
            public boolean onInterceptTouchEvent(MotionEvent ev) {
                if (getParent() != null) {
                    getParent().requestDisallowInterceptTouchEvent(true);
                }
                return super.onInterceptTouchEvent(ev);
            }

            @Override // androidx.viewpager.widget.ViewPager
            public void setCurrentItem(int item, boolean smoothScroll) {
                EmojiView.this.startStopVisibleGifs(item == 1);
                if (item == getCurrentItem()) {
                    if (item == 0) {
                        EmojiView.this.emojiGridView.smoothScrollToPosition(EmojiView.this.needEmojiSearch ? 1 : 0);
                        return;
                    } else if (item == 1) {
                        EmojiView.this.gifGridView.smoothScrollToPosition(1);
                        return;
                    } else {
                        EmojiView.this.stickersGridView.smoothScrollToPosition(1);
                        return;
                    }
                }
                super.setCurrentItem(item, smoothScroll);
            }
        };
        this.pager = viewPager;
        viewPager.setAdapter(new EmojiPagesAdapter());
        View view2 = new View(context);
        this.topShadow = view2;
        view2.setBackgroundDrawable(Theme.getThemedDrawable(context, (int) R.drawable.greydivider_bottom, -1907225));
        addView(this.topShadow, LayoutHelper.createFrame(-1, 6.0f));
        ImageView imageView = new ImageView(context) { // from class: im.uecahxyvjd.ui.components.EmojiView.23
            {
                EmojiView.this = this;
            }

            @Override // android.view.View
            public boolean onTouchEvent(MotionEvent event) {
                if (event.getAction() == 0) {
                    EmojiView.this.backspacePressed = true;
                    EmojiView.this.backspaceOnce = false;
                    EmojiView.this.postBackspaceRunnable(350);
                } else if (event.getAction() == 3 || event.getAction() == 1) {
                    EmojiView.this.backspacePressed = false;
                    if (!EmojiView.this.backspaceOnce && EmojiView.this.delegate != null && EmojiView.this.delegate.onBackspace()) {
                        EmojiView.this.backspaceButton.performHapticFeedback(3);
                    }
                }
                super.onTouchEvent(event);
                return true;
            }
        };
        this.backspaceButton = imageView;
        imageView.setImageResource(R.drawable.smiles_tab_clear);
        this.backspaceButton.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_chat_emojiPanelBackspace), PorterDuff.Mode.MULTIPLY));
        this.backspaceButton.setScaleType(ImageView.ScaleType.CENTER);
        this.backspaceButton.setContentDescription(LocaleController.getString("AccDescrBackspace", R.string.AccDescrBackspace));
        this.backspaceButton.setFocusable(true);
        this.bottomTabContainer = new FrameLayout(context) { // from class: im.uecahxyvjd.ui.components.EmojiView.24
            {
                EmojiView.this = this;
            }

            @Override // android.view.ViewGroup
            public boolean onInterceptTouchEvent(MotionEvent ev) {
                if (getParent() != null) {
                    getParent().requestDisallowInterceptTouchEvent(true);
                }
                return super.onInterceptTouchEvent(ev);
            }
        };
        View view3 = new View(context);
        this.shadowLine = view3;
        view3.setBackgroundColor(Theme.getColor(Theme.key_chat_emojiPanelShadowLine));
        this.bottomTabContainer.addView(this.shadowLine, new FrameLayout.LayoutParams(-1, AndroidUtilities.getShadowHeight()));
        View view4 = new View(context);
        this.bottomTabContainerBackground = view4;
        this.bottomTabContainer.addView(view4, new FrameLayout.LayoutParams(-1, AndroidUtilities.dp(44.0f), 83));
        if (needSearch) {
            addView(this.bottomTabContainer, new FrameLayout.LayoutParams(-1, AndroidUtilities.dp(44.0f) + AndroidUtilities.getShadowHeight(), 83));
            this.bottomTabContainer.addView(this.backspaceButton, LayoutHelper.createFrame(52, 44, 85));
            ImageView imageView2 = new ImageView(context);
            this.stickerSettingsButton = imageView2;
            imageView2.setImageResource(R.drawable.smiles_tab_settings);
            this.stickerSettingsButton.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_chat_emojiPanelBackspace), PorterDuff.Mode.MULTIPLY));
            this.stickerSettingsButton.setScaleType(ImageView.ScaleType.CENTER);
            this.stickerSettingsButton.setFocusable(true);
            this.stickerSettingsButton.setContentDescription(LocaleController.getString("Settings", R.string.Settings));
            this.bottomTabContainer.addView(this.stickerSettingsButton, LayoutHelper.createFrame(52, 44, 85));
            this.stickerSettingsButton.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.components.EmojiView.25
                {
                    EmojiView.this = this;
                }

                @Override // android.view.View.OnClickListener
                public void onClick(View v) {
                    if (EmojiView.this.delegate != null) {
                        EmojiView.this.delegate.onStickersSettingsClick();
                    }
                }
            });
            PagerSlidingTabStrip pagerSlidingTabStrip = new PagerSlidingTabStrip(context);
            this.typeTabs = pagerSlidingTabStrip;
            pagerSlidingTabStrip.setViewPager(this.pager);
            this.typeTabs.setShouldExpand(false);
            this.typeTabs.setIndicatorHeight(0);
            this.typeTabs.setUnderlineHeight(0);
            this.typeTabs.setTabPaddingLeftRight(AndroidUtilities.dp(10.0f));
            this.bottomTabContainer.addView(this.typeTabs, LayoutHelper.createFrame(-2, 44, 81));
            this.typeTabs.setOnPageChangeListener(new ViewPager.OnPageChangeListener() { // from class: im.uecahxyvjd.ui.components.EmojiView.26
                {
                    EmojiView.this = this;
                }

                @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
                public void onPageScrolled(int position, float positionOffset, int positionOffsetPixels) {
                    SearchField currentField;
                    SearchField field;
                    EmojiView emojiView = EmojiView.this;
                    emojiView.onPageScrolled(position, (emojiView.getMeasuredWidth() - EmojiView.this.getPaddingLeft()) - EmojiView.this.getPaddingRight(), positionOffsetPixels);
                    boolean z = true;
                    EmojiView.this.showBottomTab(true, true);
                    int p = EmojiView.this.pager.getCurrentItem();
                    if (p == 0) {
                        currentField = EmojiView.this.emojiSearchField;
                    } else {
                        currentField = p == 1 ? EmojiView.this.gifSearchField : EmojiView.this.stickersSearchField;
                    }
                    String currentFieldText = currentField.searchEditText.getText().toString();
                    int a2 = 0;
                    while (a2 < 3) {
                        if (a2 == 0) {
                            field = EmojiView.this.emojiSearchField;
                        } else {
                            field = a2 == 1 ? EmojiView.this.gifSearchField : EmojiView.this.stickersSearchField;
                        }
                        if (field != null && field != currentField && field.searchEditText != null && !field.searchEditText.getText().toString().equals(currentFieldText)) {
                            field.searchEditText.setText(currentFieldText);
                            field.searchEditText.setSelection(currentFieldText.length());
                        }
                        a2++;
                    }
                    EmojiView emojiView2 = EmojiView.this;
                    if ((position != 0 || positionOffset <= 0.0f) && position != 1) {
                        z = false;
                    }
                    emojiView2.startStopVisibleGifs(z);
                }

                @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
                public void onPageSelected(int position) {
                    EmojiView.this.saveNewPage();
                    EmojiView.this.showBackspaceButton(position == 0, true);
                    EmojiView.this.showStickerSettingsButton(position == 2, true);
                    if (EmojiView.this.delegate.isSearchOpened()) {
                        if (position == 0) {
                            if (EmojiView.this.emojiSearchField != null) {
                                EmojiView.this.emojiSearchField.searchEditText.requestFocus();
                            }
                        } else if (position == 1) {
                            if (EmojiView.this.gifSearchField != null) {
                                EmojiView.this.gifSearchField.searchEditText.requestFocus();
                            }
                        } else if (EmojiView.this.stickersSearchField != null) {
                            EmojiView.this.stickersSearchField.searchEditText.requestFocus();
                        }
                    }
                }

                @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
                public void onPageScrollStateChanged(int state) {
                }
            });
            ImageView imageView3 = new ImageView(context);
            this.searchButton = imageView3;
            imageView3.setImageResource(R.drawable.smiles_tab_search);
            this.searchButton.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_chat_emojiPanelBackspace), PorterDuff.Mode.MULTIPLY));
            this.searchButton.setScaleType(ImageView.ScaleType.CENTER);
            this.searchButton.setContentDescription(LocaleController.getString("Search", R.string.Search));
            this.searchButton.setFocusable(true);
            this.bottomTabContainer.addView(this.searchButton, LayoutHelper.createFrame(52, 44, 83));
            this.searchButton.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.components.EmojiView.27
                {
                    EmojiView.this = this;
                }

                @Override // android.view.View.OnClickListener
                public void onClick(View v) {
                    SearchField currentField;
                    int currentItem = EmojiView.this.pager.getCurrentItem();
                    if (currentItem == 0) {
                        currentField = EmojiView.this.emojiSearchField;
                    } else {
                        currentField = currentItem == 1 ? EmojiView.this.gifSearchField : EmojiView.this.stickersSearchField;
                    }
                    if (currentField != null) {
                        currentField.searchEditText.requestFocus();
                        MotionEvent event = MotionEvent.obtain(0L, 0L, 0, 0.0f, 0.0f, 0);
                        currentField.searchEditText.onTouchEvent(event);
                        event.recycle();
                        MotionEvent event2 = MotionEvent.obtain(0L, 0L, 1, 0.0f, 0.0f, 0);
                        currentField.searchEditText.onTouchEvent(event2);
                        event2.recycle();
                    }
                }
            });
        } else {
            addView(this.bottomTabContainer, LayoutHelper.createFrame(40 + 20, 40 + 12, (LocaleController.isRTL ? 3 : 5) | 80, 0.0f, 0.0f, 2.0f, 0.0f));
            Drawable drawable = Theme.createSimpleSelectorCircleDrawable(AndroidUtilities.dp(56.0f), Theme.getColor(Theme.key_chat_emojiPanelBackground), Theme.getColor(Theme.key_chat_emojiPanelBackground));
            StateListAnimator animator = new StateListAnimator();
            animator.addState(new int[]{16842919}, ObjectAnimator.ofFloat(this.floatingButton, View.TRANSLATION_Z, AndroidUtilities.dp(2.0f), AndroidUtilities.dp(4.0f)).setDuration(200L));
            animator.addState(new int[0], ObjectAnimator.ofFloat(this.floatingButton, View.TRANSLATION_Z, AndroidUtilities.dp(4.0f), AndroidUtilities.dp(2.0f)).setDuration(200L));
            this.backspaceButton.setStateListAnimator(animator);
            this.backspaceButton.setOutlineProvider(new ViewOutlineProvider() { // from class: im.uecahxyvjd.ui.components.EmojiView.28
                {
                    EmojiView.this = this;
                }

                @Override // android.view.ViewOutlineProvider
                public void getOutline(View view5, Outline outline) {
                    outline.setOval(0, 0, AndroidUtilities.dp(40.0f), AndroidUtilities.dp(40.0f));
                }
            });
            this.backspaceButton.setPadding(0, 0, AndroidUtilities.dp(2.0f), 0);
            this.backspaceButton.setBackgroundDrawable(drawable);
            this.backspaceButton.setContentDescription(LocaleController.getString("AccDescrBackspace", R.string.AccDescrBackspace));
            this.backspaceButton.setFocusable(true);
            this.bottomTabContainer.addView(this.backspaceButton, LayoutHelper.createFrame(40, 40, 51, 10.0f, 0.0f, 10.0f, 0.0f));
            this.shadowLine.setVisibility(8);
            this.bottomTabContainerBackground.setVisibility(8);
        }
        addView(this.pager, 0, LayoutHelper.createFrame(-1, -1, 51));
        CorrectlyMeasuringTextView correctlyMeasuringTextView = new CorrectlyMeasuringTextView(context);
        this.mediaBanTooltip = correctlyMeasuringTextView;
        correctlyMeasuringTextView.setBackgroundDrawable(Theme.createRoundRectDrawable(AndroidUtilities.dp(3.0f), Theme.getColor(Theme.key_chat_gifSaveHintBackground)));
        this.mediaBanTooltip.setTextColor(Theme.getColor(Theme.key_chat_gifSaveHintText));
        this.mediaBanTooltip.setPadding(AndroidUtilities.dp(8.0f), AndroidUtilities.dp(7.0f), AndroidUtilities.dp(8.0f), AndroidUtilities.dp(7.0f));
        this.mediaBanTooltip.setGravity(16);
        this.mediaBanTooltip.setTextSize(1, 14.0f);
        this.mediaBanTooltip.setVisibility(4);
        addView(this.mediaBanTooltip, LayoutHelper.createFrame(-2.0f, -2.0f, 81, 5.0f, 0.0f, 5.0f, 53.0f));
        this.emojiSize = AndroidUtilities.dp(AndroidUtilities.isTablet() ? 40.0f : 32.0f);
        this.pickerView = new EmojiColorPickerView(context);
        EmojiColorPickerView emojiColorPickerView = this.pickerView;
        int dp = AndroidUtilities.dp(((AndroidUtilities.isTablet() ? 40 : 32) * 6) + 10 + 20);
        this.popupWidth = dp;
        int dp2 = AndroidUtilities.dp(AndroidUtilities.isTablet() ? 64.0f : 56.0f);
        this.popupHeight = dp2;
        EmojiPopupWindow emojiPopupWindow = new EmojiPopupWindow(emojiColorPickerView, dp, dp2);
        this.pickerViewPopup = emojiPopupWindow;
        emojiPopupWindow.setOutsideTouchable(true);
        this.pickerViewPopup.setClippingEnabled(true);
        this.pickerViewPopup.setInputMethodMode(2);
        this.pickerViewPopup.setSoftInputMode(0);
        this.pickerViewPopup.getContentView().setFocusableInTouchMode(true);
        this.pickerViewPopup.getContentView().setOnKeyListener(new View.OnKeyListener() { // from class: im.uecahxyvjd.ui.components.EmojiView$$ExternalSyntheticLambda6
            @Override // android.view.View.OnKeyListener
            public final boolean onKey(View view5, int i, KeyEvent keyEvent) {
                return EmojiView.this.m2670lambda$new$7$imuecahxyvjduicomponentsEmojiView(view5, i, keyEvent);
            }
        });
        this.currentPage = MessagesController.getGlobalEmojiSettings().getInt("selected_page", 0);
        Emoji.loadRecentEmoji();
        this.emojiAdapter.notifyDataSetChanged();
        if (this.typeTabs != null) {
            if (this.views.size() == 1 && this.typeTabs.getVisibility() == 0) {
                this.typeTabs.setVisibility(4);
            } else if (this.views.size() != 1 && this.typeTabs.getVisibility() != 0) {
                this.typeTabs.setVisibility(0);
            }
        }
    }

    /* renamed from: lambda$new$1$im-uecahxyvjd-ui-components-EmojiView */
    public /* synthetic */ boolean m2664lambda$new$1$imuecahxyvjduicomponentsEmojiView(View v, MotionEvent event) {
        return ContentPreviewViewer.getInstance().onTouch(event, this.gifGridView, 0, this.gifOnItemClickListener, this.contentPreviewViewerDelegate);
    }

    /* renamed from: lambda$new$2$im-uecahxyvjd-ui-components-EmojiView */
    public /* synthetic */ void m2665lambda$new$2$imuecahxyvjduicomponentsEmojiView(View view, int position) {
        if (this.delegate == null) {
            return;
        }
        int position2 = position - 1;
        if (this.gifGridView.getAdapter() == this.gifAdapter) {
            if (position2 < 0 || position2 >= this.recentGifs.size()) {
                return;
            }
            this.delegate.onGifSelected(view, this.recentGifs.get(position2), "gif", true, 0);
            return;
        }
        RecyclerView.Adapter adapter = this.gifGridView.getAdapter();
        GifSearchAdapter gifSearchAdapter = this.gifSearchAdapter;
        if (adapter != gifSearchAdapter || position2 < 0 || position2 >= gifSearchAdapter.results.size()) {
            return;
        }
        this.delegate.onGifSelected(view, this.gifSearchAdapter.results.get(position2), this.gifSearchAdapter.bot, true, 0);
        this.recentGifs = MediaDataController.getInstance(this.currentAccount).getRecentGifs();
        GifAdapter gifAdapter = this.gifAdapter;
        if (gifAdapter != null) {
            gifAdapter.notifyDataSetChanged();
        }
    }

    /* renamed from: lambda$new$3$im-uecahxyvjd-ui-components-EmojiView */
    public /* synthetic */ boolean m2666lambda$new$3$imuecahxyvjduicomponentsEmojiView(View v, MotionEvent event) {
        return ContentPreviewViewer.getInstance().onTouch(event, this.stickersGridView, getMeasuredHeight(), this.stickersOnItemClickListener, this.contentPreviewViewerDelegate);
    }

    /* renamed from: lambda$new$4$im-uecahxyvjd-ui-components-EmojiView */
    public /* synthetic */ void m2667lambda$new$4$imuecahxyvjduicomponentsEmojiView(View view, int position) {
        TLRPC.StickerSetCovered pack;
        RecyclerView.Adapter adapter = this.stickersGridView.getAdapter();
        StickersSearchGridAdapter stickersSearchGridAdapter = this.stickersSearchGridAdapter;
        if (adapter == stickersSearchGridAdapter && (pack = (TLRPC.StickerSetCovered) stickersSearchGridAdapter.positionsToSets.get(position)) != null) {
            this.delegate.onShowStickerSet(pack.set, null);
        } else if (!(view instanceof StickerEmojiCell)) {
        } else {
            ContentPreviewViewer.getInstance().reset();
            StickerEmojiCell cell = (StickerEmojiCell) view;
            if (cell.isDisabled()) {
                return;
            }
            cell.disable();
            this.delegate.onStickerSelected(cell, cell.getSticker(), cell.getParentObject(), true, 0);
        }
    }

    /* renamed from: lambda$new$5$im-uecahxyvjd-ui-components-EmojiView */
    public /* synthetic */ void m2668lambda$new$5$imuecahxyvjduicomponentsEmojiView(View view, int position) {
        TLRPC.StickerSetCovered pack = (TLRPC.StickerSetCovered) this.trendingGridAdapter.positionsToSets.get(position);
        if (pack != null) {
            this.delegate.onShowStickerSet(pack.set, null);
        }
    }

    /* renamed from: lambda$new$6$im-uecahxyvjd-ui-components-EmojiView */
    public /* synthetic */ void m2669lambda$new$6$imuecahxyvjduicomponentsEmojiView(int page) {
        if (page == this.trendingTabNum) {
            if (this.trendingGridView.getVisibility() != 0) {
                showTrendingTab(true);
            }
        } else if (this.trendingGridView.getVisibility() == 0) {
            showTrendingTab(false);
            saveNewPage();
        }
        if (page == this.trendingTabNum) {
            return;
        }
        if (page == this.recentTabBum) {
            this.stickersGridView.stopScroll();
            this.stickersLayoutManager.scrollToPositionWithOffset(this.stickersGridAdapter.getPositionForPack("recent"), 0);
            checkStickersTabY(null, 0);
            ScrollSlidingTabStrip scrollSlidingTabStrip = this.stickersTab;
            int i = this.recentTabBum;
            scrollSlidingTabStrip.onPageScrolled(i, i > 0 ? i : this.stickersTabOffset);
        } else if (page == this.favTabBum) {
            this.stickersGridView.stopScroll();
            this.stickersLayoutManager.scrollToPositionWithOffset(this.stickersGridAdapter.getPositionForPack("fav"), 0);
            checkStickersTabY(null, 0);
            ScrollSlidingTabStrip scrollSlidingTabStrip2 = this.stickersTab;
            int i2 = this.favTabBum;
            scrollSlidingTabStrip2.onPageScrolled(i2, i2 > 0 ? i2 : this.stickersTabOffset);
        } else {
            int index = page - this.stickersTabOffset;
            if (index >= this.stickerSets.size()) {
                return;
            }
            if (index >= this.stickerSets.size()) {
                index = this.stickerSets.size() - 1;
            }
            this.firstStickersAttach = false;
            this.stickersGridView.stopScroll();
            this.stickersLayoutManager.scrollToPositionWithOffset(this.stickersGridAdapter.getPositionForPack(this.stickerSets.get(index)), 0);
            checkStickersTabY(null, 0);
            checkScroll();
        }
    }

    /* renamed from: lambda$new$7$im-uecahxyvjd-ui-components-EmojiView */
    public /* synthetic */ boolean m2670lambda$new$7$imuecahxyvjduicomponentsEmojiView(View v, int keyCode, KeyEvent event) {
        EmojiPopupWindow emojiPopupWindow;
        if (keyCode == 82 && event.getRepeatCount() == 0 && event.getAction() == 1 && (emojiPopupWindow = this.pickerViewPopup) != null && emojiPopupWindow.isShowing()) {
            this.pickerViewPopup.dismiss();
            return true;
        }
        return false;
    }

    public static String addColorToCode(String code, String color) {
        String end = null;
        int length = code.length();
        if (length > 2 && code.charAt(code.length() - 2) == 8205) {
            end = code.substring(code.length() - 2);
            code = code.substring(0, code.length() - 2);
        } else if (length > 3 && code.charAt(code.length() - 3) == 8205) {
            end = code.substring(code.length() - 3);
            code = code.substring(0, code.length() - 3);
        }
        String code2 = code + color;
        if (end != null) {
            return code2 + end;
        }
        return code2;
    }

    @Override // android.view.View
    public void setTranslationY(float translationY) {
        View parent;
        super.setTranslationY(translationY);
        if (this.bottomTabContainer.getTag() == null) {
            EmojiViewDelegate emojiViewDelegate = this.delegate;
            if ((emojiViewDelegate == null || !emojiViewDelegate.isSearchOpened()) && (parent = (View) getParent()) != null) {
                float y = (getY() + getMeasuredHeight()) - parent.getHeight();
                this.bottomTabContainer.setTranslationY(-y);
            }
        }
    }

    public void startStopVisibleGifs(boolean start) {
        RecyclerListView recyclerListView = this.gifGridView;
        if (recyclerListView == null) {
            return;
        }
        int count = recyclerListView.getChildCount();
        for (int a2 = 0; a2 < count; a2++) {
            View child = this.gifGridView.getChildAt(a2);
            if (child instanceof ContextLinkCell) {
                ContextLinkCell cell = (ContextLinkCell) child;
                ImageReceiver imageReceiver = cell.getPhotoImage();
                if (start) {
                    imageReceiver.setAllowStartAnimation(true);
                    imageReceiver.startAnimation();
                } else {
                    imageReceiver.setAllowStartAnimation(false);
                    imageReceiver.stopAnimation();
                }
            }
        }
    }

    public void addEmojiToRecent(String code) {
        if (!Emoji.isValidEmoji(code)) {
            return;
        }
        Emoji.recentEmoji.size();
        Emoji.addRecentEmoji(code);
        if (getVisibility() != 0 || this.pager.getCurrentItem() != 0) {
            Emoji.sortEmoji();
            this.emojiAdapter.notifyDataSetChanged();
        }
        Emoji.saveRecentEmoji();
    }

    public void showSearchField(boolean show) {
        GridLayoutManager layoutManager;
        ScrollSlidingTabStrip tabStrip;
        for (int a2 = 0; a2 < 3; a2++) {
            if (a2 == 0) {
                layoutManager = this.emojiLayoutManager;
                tabStrip = this.emojiTabs;
            } else if (a2 == 1) {
                layoutManager = this.gifLayoutManager;
                tabStrip = null;
            } else {
                layoutManager = this.stickersLayoutManager;
                tabStrip = this.stickersTab;
            }
            if (layoutManager != null) {
                int position = layoutManager.findFirstVisibleItemPosition();
                if (show) {
                    if (position == 1 || position == 2) {
                        layoutManager.scrollToPosition(0);
                        if (tabStrip != null) {
                            tabStrip.setTranslationY(0.0f);
                        }
                    }
                } else if (position == 0) {
                    layoutManager.scrollToPositionWithOffset(1, 0);
                }
            }
        }
    }

    public void hideSearchKeyboard() {
        SearchField searchField = this.stickersSearchField;
        if (searchField != null) {
            searchField.hideKeyboard();
        }
        SearchField searchField2 = this.gifSearchField;
        if (searchField2 != null) {
            searchField2.hideKeyboard();
        }
        SearchField searchField3 = this.emojiSearchField;
        if (searchField3 != null) {
            searchField3.hideKeyboard();
        }
    }

    public void openSearch(SearchField searchField) {
        SearchField currentField;
        final RecyclerListView gridView;
        ScrollSlidingTabStrip tabStrip;
        GridLayoutManager layoutManager;
        EmojiViewDelegate emojiViewDelegate;
        AnimatorSet animatorSet = this.searchAnimation;
        if (animatorSet != null) {
            animatorSet.cancel();
            this.searchAnimation = null;
        }
        this.firstStickersAttach = false;
        this.firstGifAttach = false;
        this.firstEmojiAttach = false;
        for (int a2 = 0; a2 < 3; a2++) {
            if (a2 == 0) {
                currentField = this.emojiSearchField;
                gridView = this.emojiGridView;
                tabStrip = this.emojiTabs;
                layoutManager = this.emojiLayoutManager;
            } else if (a2 == 1) {
                currentField = this.gifSearchField;
                gridView = this.gifGridView;
                tabStrip = null;
                layoutManager = this.gifLayoutManager;
            } else {
                currentField = this.stickersSearchField;
                gridView = this.stickersGridView;
                tabStrip = this.stickersTab;
                layoutManager = this.stickersLayoutManager;
            }
            if (currentField != null) {
                if (currentField != this.gifSearchField && searchField == currentField && (emojiViewDelegate = this.delegate) != null && emojiViewDelegate.isExpanded()) {
                    AnimatorSet animatorSet2 = new AnimatorSet();
                    this.searchAnimation = animatorSet2;
                    if (tabStrip != null) {
                        animatorSet2.playTogether(ObjectAnimator.ofFloat(tabStrip, View.TRANSLATION_Y, -AndroidUtilities.dp(48.0f)), ObjectAnimator.ofFloat(gridView, View.TRANSLATION_Y, -AndroidUtilities.dp(48.0f)), ObjectAnimator.ofFloat(currentField, View.TRANSLATION_Y, AndroidUtilities.dp(0.0f)));
                    } else {
                        animatorSet2.playTogether(ObjectAnimator.ofFloat(gridView, View.TRANSLATION_Y, -AndroidUtilities.dp(48.0f)), ObjectAnimator.ofFloat(currentField, View.TRANSLATION_Y, AndroidUtilities.dp(0.0f)));
                    }
                    this.searchAnimation.setDuration(200L);
                    this.searchAnimation.setInterpolator(CubicBezierInterpolator.EASE_OUT_QUINT);
                    this.searchAnimation.addListener(new AnimatorListenerAdapter() { // from class: im.uecahxyvjd.ui.components.EmojiView.29
                        {
                            EmojiView.this = this;
                        }

                        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                        public void onAnimationEnd(Animator animation) {
                            if (animation.equals(EmojiView.this.searchAnimation)) {
                                gridView.setTranslationY(0.0f);
                                if (gridView != EmojiView.this.stickersGridView) {
                                    if (gridView == EmojiView.this.emojiGridView) {
                                        gridView.setPadding(0, 0, 0, 0);
                                    }
                                } else {
                                    gridView.setPadding(0, AndroidUtilities.dp(4.0f), 0, 0);
                                }
                                EmojiView.this.searchAnimation = null;
                            }
                        }

                        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                        public void onAnimationCancel(Animator animation) {
                            if (animation.equals(EmojiView.this.searchAnimation)) {
                                EmojiView.this.searchAnimation = null;
                            }
                        }
                    });
                    this.searchAnimation.start();
                }
                currentField.setTranslationY(AndroidUtilities.dp(0.0f));
                if (tabStrip != null) {
                    tabStrip.setTranslationY(-AndroidUtilities.dp(48.0f));
                }
                if (gridView == this.stickersGridView) {
                    gridView.setPadding(0, AndroidUtilities.dp(4.0f), 0, 0);
                } else if (gridView == this.emojiGridView) {
                    gridView.setPadding(0, 0, 0, 0);
                }
                layoutManager.scrollToPositionWithOffset(0, 0);
            }
        }
    }

    private void showEmojiShadow(boolean show, boolean animated) {
        if (show && this.emojiTabsShadow.getTag() == null) {
            return;
        }
        if (!show && this.emojiTabsShadow.getTag() != null) {
            return;
        }
        AnimatorSet animatorSet = this.emojiTabShadowAnimator;
        if (animatorSet != null) {
            animatorSet.cancel();
            this.emojiTabShadowAnimator = null;
        }
        this.emojiTabsShadow.setTag(show ? null : 1);
        if (animated) {
            AnimatorSet animatorSet2 = new AnimatorSet();
            this.emojiTabShadowAnimator = animatorSet2;
            Animator[] animatorArr = new Animator[1];
            View view = this.emojiTabsShadow;
            Property property = View.ALPHA;
            float[] fArr = new float[1];
            fArr[0] = show ? 1.0f : 0.0f;
            animatorArr[0] = ObjectAnimator.ofFloat(view, property, fArr);
            animatorSet2.playTogether(animatorArr);
            this.emojiTabShadowAnimator.setDuration(200L);
            this.emojiTabShadowAnimator.setInterpolator(CubicBezierInterpolator.EASE_OUT);
            this.emojiTabShadowAnimator.addListener(new AnimatorListenerAdapter() { // from class: im.uecahxyvjd.ui.components.EmojiView.30
                {
                    EmojiView.this = this;
                }

                @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                public void onAnimationEnd(Animator animation) {
                    EmojiView.this.emojiTabShadowAnimator = null;
                }
            });
            this.emojiTabShadowAnimator.start();
            return;
        }
        this.emojiTabsShadow.setAlpha(show ? 1.0f : 0.0f);
    }

    public void closeSearch(boolean animated) {
        closeSearch(animated, -1L);
    }

    public void closeSearch(boolean animated, long scrollToSet) {
        SearchField currentField;
        final RecyclerListView gridView;
        final GridLayoutManager layoutManager;
        ScrollSlidingTabStrip tabStrip;
        TLRPC.TL_messages_stickerSet set;
        int pos;
        AnimatorSet animatorSet = this.searchAnimation;
        if (animatorSet != null) {
            animatorSet.cancel();
            this.searchAnimation = null;
        }
        int currentItem = this.pager.getCurrentItem();
        if (currentItem == 2 && scrollToSet != -1 && (set = MediaDataController.getInstance(this.currentAccount).getStickerSetById(scrollToSet)) != null && (pos = this.stickersGridAdapter.getPositionForPack(set)) >= 0) {
            this.stickersLayoutManager.scrollToPositionWithOffset(pos, AndroidUtilities.dp(60.0f));
        }
        for (int a2 = 0; a2 < 3; a2++) {
            if (a2 == 0) {
                currentField = this.emojiSearchField;
                gridView = this.emojiGridView;
                layoutManager = this.emojiLayoutManager;
                tabStrip = this.emojiTabs;
            } else if (a2 == 1) {
                currentField = this.gifSearchField;
                gridView = this.gifGridView;
                layoutManager = this.gifLayoutManager;
                tabStrip = null;
            } else {
                currentField = this.stickersSearchField;
                gridView = this.stickersGridView;
                layoutManager = this.stickersLayoutManager;
                tabStrip = this.stickersTab;
            }
            if (currentField != null) {
                currentField.searchEditText.setText("");
                if (a2 == currentItem && animated) {
                    AnimatorSet animatorSet2 = new AnimatorSet();
                    this.searchAnimation = animatorSet2;
                    if (tabStrip != null) {
                        animatorSet2.playTogether(ObjectAnimator.ofFloat(tabStrip, View.TRANSLATION_Y, 0.0f), ObjectAnimator.ofFloat(gridView, View.TRANSLATION_Y, AndroidUtilities.dp(48.0f) - this.searchFieldHeight), ObjectAnimator.ofFloat(currentField, View.TRANSLATION_Y, AndroidUtilities.dp(48.0f) - this.searchFieldHeight));
                    } else {
                        animatorSet2.playTogether(ObjectAnimator.ofFloat(gridView, View.TRANSLATION_Y, -this.searchFieldHeight), ObjectAnimator.ofFloat(currentField, View.TRANSLATION_Y, -this.searchFieldHeight));
                    }
                    this.searchAnimation.setDuration(200L);
                    this.searchAnimation.setInterpolator(CubicBezierInterpolator.EASE_OUT_QUINT);
                    this.searchAnimation.addListener(new AnimatorListenerAdapter() { // from class: im.uecahxyvjd.ui.components.EmojiView.31
                        {
                            EmojiView.this = this;
                        }

                        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                        public void onAnimationEnd(Animator animation) {
                            if (animation.equals(EmojiView.this.searchAnimation)) {
                                layoutManager.findFirstVisibleItemPosition();
                                int firstVisPos = layoutManager.findFirstVisibleItemPosition();
                                int top = 0;
                                if (firstVisPos != -1) {
                                    View firstVisView = layoutManager.findViewByPosition(firstVisPos);
                                    top = (int) (firstVisView.getTop() + gridView.getTranslationY());
                                }
                                gridView.setTranslationY(0.0f);
                                if (gridView != EmojiView.this.stickersGridView) {
                                    if (gridView == EmojiView.this.emojiGridView) {
                                        gridView.setPadding(0, AndroidUtilities.dp(38.0f), 0, 0);
                                    }
                                } else {
                                    gridView.setPadding(0, AndroidUtilities.dp(52.0f), 0, 0);
                                }
                                if (gridView == EmojiView.this.gifGridView) {
                                    layoutManager.scrollToPositionWithOffset(1, 0);
                                } else if (firstVisPos != -1) {
                                    layoutManager.scrollToPositionWithOffset(firstVisPos, top - gridView.getPaddingTop());
                                }
                                EmojiView.this.searchAnimation = null;
                            }
                        }

                        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                        public void onAnimationCancel(Animator animation) {
                            if (animation.equals(EmojiView.this.searchAnimation)) {
                                EmojiView.this.searchAnimation = null;
                            }
                        }
                    });
                    this.searchAnimation.start();
                } else {
                    layoutManager.scrollToPositionWithOffset(1, 0);
                    currentField.setTranslationY(AndroidUtilities.dp(48.0f) - this.searchFieldHeight);
                    if (tabStrip != null) {
                        tabStrip.setTranslationY(0.0f);
                    }
                    if (gridView == this.stickersGridView) {
                        gridView.setPadding(0, AndroidUtilities.dp(52.0f), 0, 0);
                    } else if (gridView == this.emojiGridView) {
                        gridView.setPadding(0, AndroidUtilities.dp(38.0f), 0, 0);
                    }
                }
            }
        }
        if (!animated) {
            this.delegate.onSearchOpenClose(0);
        }
        showBottomTab(true, animated);
    }

    public void checkStickersSearchFieldScroll(boolean isLayout) {
        RecyclerListView recyclerListView;
        EmojiViewDelegate emojiViewDelegate = this.delegate;
        if (emojiViewDelegate != null && emojiViewDelegate.isSearchOpened()) {
            RecyclerView.ViewHolder holder = this.stickersGridView.findViewHolderForAdapterPosition(0);
            if (holder == null) {
                this.stickersSearchField.showShadow(true, !isLayout);
            } else {
                this.stickersSearchField.showShadow(holder.itemView.getTop() < this.stickersGridView.getPaddingTop(), !isLayout);
            }
        } else if (this.stickersSearchField == null || (recyclerListView = this.stickersGridView) == null) {
        } else {
            RecyclerView.ViewHolder holder2 = recyclerListView.findViewHolderForAdapterPosition(0);
            if (holder2 != null) {
                this.stickersSearchField.setTranslationY(holder2.itemView.getTop());
            } else {
                this.stickersSearchField.setTranslationY(-this.searchFieldHeight);
            }
            this.stickersSearchField.showShadow(false, !isLayout);
        }
    }

    public void checkBottomTabScroll(float dy) {
        int offset;
        this.lastBottomScrollDy += dy;
        if (this.pager.getCurrentItem() == 0) {
            offset = AndroidUtilities.dp(38.0f);
        } else {
            offset = AndroidUtilities.dp(48.0f);
        }
        float f = this.lastBottomScrollDy;
        if (f >= offset) {
            showBottomTab(false, true);
        } else if (f <= (-offset)) {
            showBottomTab(true, true);
        } else if ((this.bottomTabContainer.getTag() == null && this.lastBottomScrollDy < 0.0f) || (this.bottomTabContainer.getTag() != null && this.lastBottomScrollDy > 0.0f)) {
            this.lastBottomScrollDy = 0.0f;
        }
    }

    public void showBackspaceButton(final boolean show, boolean animated) {
        if (show && this.backspaceButton.getTag() == null) {
            return;
        }
        if (!show && this.backspaceButton.getTag() != null) {
            return;
        }
        AnimatorSet animatorSet = this.backspaceButtonAnimation;
        if (animatorSet != null) {
            animatorSet.cancel();
            this.backspaceButtonAnimation = null;
        }
        this.backspaceButton.setTag(show ? null : 1);
        if (animated) {
            if (show) {
                this.backspaceButton.setVisibility(0);
            }
            AnimatorSet animatorSet2 = new AnimatorSet();
            this.backspaceButtonAnimation = animatorSet2;
            Animator[] animatorArr = new Animator[3];
            ImageView imageView = this.backspaceButton;
            Property property = View.ALPHA;
            float[] fArr = new float[1];
            fArr[0] = show ? 1.0f : 0.0f;
            animatorArr[0] = ObjectAnimator.ofFloat(imageView, property, fArr);
            ImageView imageView2 = this.backspaceButton;
            Property property2 = View.SCALE_X;
            float[] fArr2 = new float[1];
            fArr2[0] = show ? 1.0f : 0.0f;
            animatorArr[1] = ObjectAnimator.ofFloat(imageView2, property2, fArr2);
            ImageView imageView3 = this.backspaceButton;
            Property property3 = View.SCALE_Y;
            float[] fArr3 = new float[1];
            fArr3[0] = show ? 1.0f : 0.0f;
            animatorArr[2] = ObjectAnimator.ofFloat(imageView3, property3, fArr3);
            animatorSet2.playTogether(animatorArr);
            this.backspaceButtonAnimation.setDuration(200L);
            this.backspaceButtonAnimation.setInterpolator(CubicBezierInterpolator.EASE_OUT);
            this.backspaceButtonAnimation.addListener(new AnimatorListenerAdapter() { // from class: im.uecahxyvjd.ui.components.EmojiView.32
                {
                    EmojiView.this = this;
                }

                @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                public void onAnimationEnd(Animator animation) {
                    if (!show) {
                        EmojiView.this.backspaceButton.setVisibility(4);
                    }
                }
            });
            this.backspaceButtonAnimation.start();
            return;
        }
        this.backspaceButton.setAlpha(show ? 1.0f : 0.0f);
        this.backspaceButton.setScaleX(show ? 1.0f : 0.0f);
        this.backspaceButton.setScaleY(show ? 1.0f : 0.0f);
        this.backspaceButton.setVisibility(show ? 0 : 4);
    }

    public void showStickerSettingsButton(final boolean show, boolean animated) {
        ImageView imageView = this.stickerSettingsButton;
        if (imageView == null) {
            return;
        }
        if (show && imageView.getTag() == null) {
            return;
        }
        if (!show && this.stickerSettingsButton.getTag() != null) {
            return;
        }
        AnimatorSet animatorSet = this.stickersButtonAnimation;
        if (animatorSet != null) {
            animatorSet.cancel();
            this.stickersButtonAnimation = null;
        }
        this.stickerSettingsButton.setTag(show ? null : 1);
        if (animated) {
            if (show) {
                this.stickerSettingsButton.setVisibility(0);
            }
            AnimatorSet animatorSet2 = new AnimatorSet();
            this.stickersButtonAnimation = animatorSet2;
            Animator[] animatorArr = new Animator[3];
            ImageView imageView2 = this.stickerSettingsButton;
            Property property = View.ALPHA;
            float[] fArr = new float[1];
            fArr[0] = show ? 1.0f : 0.0f;
            animatorArr[0] = ObjectAnimator.ofFloat(imageView2, property, fArr);
            ImageView imageView3 = this.stickerSettingsButton;
            Property property2 = View.SCALE_X;
            float[] fArr2 = new float[1];
            fArr2[0] = show ? 1.0f : 0.0f;
            animatorArr[1] = ObjectAnimator.ofFloat(imageView3, property2, fArr2);
            ImageView imageView4 = this.stickerSettingsButton;
            Property property3 = View.SCALE_Y;
            float[] fArr3 = new float[1];
            fArr3[0] = show ? 1.0f : 0.0f;
            animatorArr[2] = ObjectAnimator.ofFloat(imageView4, property3, fArr3);
            animatorSet2.playTogether(animatorArr);
            this.stickersButtonAnimation.setDuration(200L);
            this.stickersButtonAnimation.setInterpolator(CubicBezierInterpolator.EASE_OUT);
            this.stickersButtonAnimation.addListener(new AnimatorListenerAdapter() { // from class: im.uecahxyvjd.ui.components.EmojiView.33
                {
                    EmojiView.this = this;
                }

                @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                public void onAnimationEnd(Animator animation) {
                    if (!show) {
                        EmojiView.this.stickerSettingsButton.setVisibility(4);
                    }
                }
            });
            this.stickersButtonAnimation.start();
            return;
        }
        this.stickerSettingsButton.setAlpha(show ? 1.0f : 0.0f);
        this.stickerSettingsButton.setScaleX(show ? 1.0f : 0.0f);
        this.stickerSettingsButton.setScaleY(show ? 1.0f : 0.0f);
        this.stickerSettingsButton.setVisibility(show ? 0 : 4);
    }

    public void showBottomTab(boolean show, boolean animated) {
        float dp;
        float dp2;
        this.lastBottomScrollDy = 0.0f;
        if (show && this.bottomTabContainer.getTag() == null) {
            return;
        }
        if (show || this.bottomTabContainer.getTag() == null) {
            EmojiViewDelegate emojiViewDelegate = this.delegate;
            if (emojiViewDelegate != null && emojiViewDelegate.isSearchOpened()) {
                return;
            }
            AnimatorSet animatorSet = this.bottomTabContainerAnimation;
            if (animatorSet != null) {
                animatorSet.cancel();
                this.bottomTabContainerAnimation = null;
            }
            this.bottomTabContainer.setTag(show ? null : 1);
            if (animated) {
                AnimatorSet animatorSet2 = new AnimatorSet();
                this.bottomTabContainerAnimation = animatorSet2;
                Animator[] animatorArr = new Animator[2];
                FrameLayout frameLayout = this.bottomTabContainer;
                Property property = View.TRANSLATION_Y;
                float[] fArr = new float[1];
                if (show) {
                    dp2 = 0.0f;
                } else {
                    dp2 = AndroidUtilities.dp(this.needEmojiSearch ? 49.0f : 54.0f);
                }
                fArr[0] = dp2;
                animatorArr[0] = ObjectAnimator.ofFloat(frameLayout, property, fArr);
                View view = this.shadowLine;
                Property property2 = View.TRANSLATION_Y;
                float[] fArr2 = new float[1];
                fArr2[0] = show ? 0.0f : AndroidUtilities.dp(49.0f);
                animatorArr[1] = ObjectAnimator.ofFloat(view, property2, fArr2);
                animatorSet2.playTogether(animatorArr);
                this.bottomTabContainerAnimation.setDuration(200L);
                this.bottomTabContainerAnimation.setInterpolator(CubicBezierInterpolator.EASE_OUT);
                this.bottomTabContainerAnimation.start();
                return;
            }
            FrameLayout frameLayout2 = this.bottomTabContainer;
            if (show) {
                dp = 0.0f;
            } else {
                dp = AndroidUtilities.dp(this.needEmojiSearch ? 49.0f : 54.0f);
            }
            frameLayout2.setTranslationY(dp);
            this.shadowLine.setTranslationY(show ? 0.0f : AndroidUtilities.dp(49.0f));
        }
    }

    public void checkStickersTabY(View list, int dy) {
        RecyclerListView recyclerListView;
        RecyclerView.ViewHolder holder;
        if (list == null) {
            ScrollSlidingTabStrip scrollSlidingTabStrip = this.stickersTab;
            this.stickersMinusDy = 0;
            scrollSlidingTabStrip.setTranslationY(0);
        } else if (list.getVisibility() != 0) {
        } else {
            EmojiViewDelegate emojiViewDelegate = this.delegate;
            if (emojiViewDelegate != null && emojiViewDelegate.isSearchOpened()) {
                return;
            }
            if (dy > 0 && (recyclerListView = this.stickersGridView) != null && recyclerListView.getVisibility() == 0 && (holder = this.stickersGridView.findViewHolderForAdapterPosition(0)) != null && holder.itemView.getTop() + this.searchFieldHeight >= this.stickersGridView.getPaddingTop()) {
                return;
            }
            int i = this.stickersMinusDy - dy;
            this.stickersMinusDy = i;
            if (i > 0) {
                this.stickersMinusDy = 0;
            } else if (i < (-AndroidUtilities.dp(288.0f))) {
                this.stickersMinusDy = -AndroidUtilities.dp(288.0f);
            }
            this.stickersTab.setTranslationY(Math.max(-AndroidUtilities.dp(48.0f), this.stickersMinusDy));
        }
    }

    public void checkEmojiSearchFieldScroll(boolean isLayout) {
        RecyclerListView recyclerListView;
        EmojiViewDelegate emojiViewDelegate = this.delegate;
        boolean z = false;
        if (emojiViewDelegate != null && emojiViewDelegate.isSearchOpened()) {
            RecyclerView.ViewHolder holder = this.emojiGridView.findViewHolderForAdapterPosition(0);
            if (holder == null) {
                this.emojiSearchField.showShadow(true, !isLayout);
            } else {
                this.emojiSearchField.showShadow(holder.itemView.getTop() < this.emojiGridView.getPaddingTop(), !isLayout);
            }
            showEmojiShadow(false, !isLayout);
        } else if (this.emojiSearchField == null || (recyclerListView = this.emojiGridView) == null) {
        } else {
            RecyclerView.ViewHolder holder2 = recyclerListView.findViewHolderForAdapterPosition(0);
            if (holder2 != null) {
                this.emojiSearchField.setTranslationY(holder2.itemView.getTop());
            } else {
                this.emojiSearchField.setTranslationY(-this.searchFieldHeight);
            }
            this.emojiSearchField.showShadow(false, !isLayout);
            showEmojiShadow((holder2 == null || ((float) holder2.itemView.getTop()) < ((float) (AndroidUtilities.dp(38.0f) - this.searchFieldHeight)) + this.emojiTabs.getTranslationY()) ? true : true, !isLayout);
        }
    }

    public void checkEmojiTabY(View list, int dy) {
        RecyclerListView recyclerListView;
        RecyclerView.ViewHolder holder;
        if (list == null) {
            ScrollSlidingTabStrip scrollSlidingTabStrip = this.emojiTabs;
            this.emojiMinusDy = 0;
            scrollSlidingTabStrip.setTranslationY(0);
            this.emojiTabsShadow.setTranslationY(this.emojiMinusDy);
        } else if (list.getVisibility() != 0) {
        } else {
            EmojiViewDelegate emojiViewDelegate = this.delegate;
            if (emojiViewDelegate != null && emojiViewDelegate.isSearchOpened()) {
                return;
            }
            if (dy > 0 && (recyclerListView = this.emojiGridView) != null && recyclerListView.getVisibility() == 0 && (holder = this.emojiGridView.findViewHolderForAdapterPosition(0)) != null) {
                if (holder.itemView.getTop() + (this.needEmojiSearch ? this.searchFieldHeight : 0) >= this.emojiGridView.getPaddingTop()) {
                    return;
                }
            }
            int i = this.emojiMinusDy - dy;
            this.emojiMinusDy = i;
            if (i > 0) {
                this.emojiMinusDy = 0;
            } else if (i < (-AndroidUtilities.dp(288.0f))) {
                this.emojiMinusDy = -AndroidUtilities.dp(288.0f);
            }
            this.emojiTabs.setTranslationY(Math.max(-AndroidUtilities.dp(38.0f), this.emojiMinusDy));
            this.emojiTabsShadow.setTranslationY(this.emojiTabs.getTranslationY());
        }
    }

    public void checkGifSearchFieldScroll(boolean isLayout) {
        RecyclerListView recyclerListView;
        int position;
        RecyclerListView recyclerListView2 = this.gifGridView;
        if (recyclerListView2 != null) {
            RecyclerView.Adapter adapter = recyclerListView2.getAdapter();
            GifSearchAdapter gifSearchAdapter = this.gifSearchAdapter;
            if (adapter == gifSearchAdapter && !gifSearchAdapter.searchEndReached && this.gifSearchAdapter.reqId == 0 && !this.gifSearchAdapter.results.isEmpty() && (position = this.gifLayoutManager.findLastVisibleItemPosition()) != -1 && position > this.gifLayoutManager.getItemCount() - 5) {
                GifSearchAdapter gifSearchAdapter2 = this.gifSearchAdapter;
                gifSearchAdapter2.search(gifSearchAdapter2.lastSearchImageString, this.gifSearchAdapter.nextSearchOffset, true);
            }
        }
        EmojiViewDelegate emojiViewDelegate = this.delegate;
        if (emojiViewDelegate != null && emojiViewDelegate.isSearchOpened()) {
            RecyclerView.ViewHolder holder = this.gifGridView.findViewHolderForAdapterPosition(0);
            if (holder == null) {
                this.gifSearchField.showShadow(true, !isLayout);
            } else {
                this.gifSearchField.showShadow(holder.itemView.getTop() < this.gifGridView.getPaddingTop(), !isLayout);
            }
        } else if (this.gifSearchField == null || (recyclerListView = this.gifGridView) == null) {
        } else {
            RecyclerView.ViewHolder holder2 = recyclerListView.findViewHolderForAdapterPosition(0);
            if (holder2 != null) {
                this.gifSearchField.setTranslationY(holder2.itemView.getTop());
            } else {
                this.gifSearchField.setTranslationY(-this.searchFieldHeight);
            }
            this.gifSearchField.showShadow(false, !isLayout);
        }
    }

    public void checkScroll() {
        int firstTab;
        int firstVisibleItem = this.stickersLayoutManager.findFirstVisibleItemPosition();
        if (firstVisibleItem == -1 || this.stickersGridView == null) {
            return;
        }
        if (this.favTabBum > 0) {
            firstTab = this.favTabBum;
        } else {
            int firstTab2 = this.recentTabBum;
            if (firstTab2 > 0) {
                firstTab = this.recentTabBum;
            } else {
                firstTab = this.stickersTabOffset;
            }
        }
        this.stickersTab.onPageScrolled(this.stickersGridAdapter.getTabForPosition(firstVisibleItem), firstTab);
    }

    public void saveNewPage() {
        int newPage;
        ViewPager viewPager = this.pager;
        if (viewPager == null) {
            return;
        }
        int currentItem = viewPager.getCurrentItem();
        if (currentItem == 2) {
            newPage = 1;
        } else if (currentItem == 1) {
            newPage = 2;
        } else {
            newPage = 0;
        }
        if (this.currentPage != newPage) {
            this.currentPage = newPage;
            MessagesController.getGlobalEmojiSettings().edit().putInt("selected_page", newPage).commit();
        }
    }

    public void clearRecentEmoji() {
        Emoji.clearRecentEmoji();
        this.emojiAdapter.notifyDataSetChanged();
    }

    public void showTrendingTab(boolean show) {
        if (show) {
            this.trendingGridView.setVisibility(0);
            this.stickersGridView.setVisibility(8);
            this.stickersSearchField.setVisibility(8);
            ScrollSlidingTabStrip scrollSlidingTabStrip = this.stickersTab;
            int i = this.trendingTabNum;
            int i2 = this.recentTabBum;
            if (i2 <= 0) {
                i2 = this.stickersTabOffset;
            }
            scrollSlidingTabStrip.onPageScrolled(i, i2);
            saveNewPage();
            return;
        }
        this.trendingGridView.setVisibility(8);
        this.stickersGridView.setVisibility(0);
        this.stickersSearchField.setVisibility(0);
    }

    public void onPageScrolled(int position, int width, int positionOffsetPixels) {
        EmojiViewDelegate emojiViewDelegate = this.delegate;
        if (emojiViewDelegate == null) {
            return;
        }
        if (position == 1) {
            emojiViewDelegate.onTabOpened(positionOffsetPixels != 0 ? 2 : 0);
        } else if (position == 2) {
            emojiViewDelegate.onTabOpened(3);
        } else {
            emojiViewDelegate.onTabOpened(0);
        }
    }

    public void postBackspaceRunnable(final int time) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.components.EmojiView$$ExternalSyntheticLambda8
            @Override // java.lang.Runnable
            public final void run() {
                EmojiView.this.m2672xc4ce056d(time);
            }
        }, time);
    }

    /* renamed from: lambda$postBackspaceRunnable$8$im-uecahxyvjd-ui-components-EmojiView */
    public /* synthetic */ void m2672xc4ce056d(int time) {
        if (!this.backspacePressed) {
            return;
        }
        EmojiViewDelegate emojiViewDelegate = this.delegate;
        if (emojiViewDelegate != null && emojiViewDelegate.onBackspace()) {
            this.backspaceButton.performHapticFeedback(3);
        }
        this.backspaceOnce = true;
        postBackspaceRunnable(Math.max(50, time - 100));
    }

    public void switchToGifRecent() {
        showBackspaceButton(false, false);
        showStickerSettingsButton(false, false);
        this.pager.setCurrentItem(1, false);
    }

    public void updateEmojiTabs() {
        int newHas = !Emoji.recentEmoji.isEmpty() ? 1 : 0;
        int i = this.hasRecentEmoji;
        if (i != -1 && i == newHas) {
            return;
        }
        this.hasRecentEmoji = newHas;
        this.emojiTabs.removeTabs();
        String[] descriptions = {LocaleController.getString("RecentStickers", R.string.RecentStickers), LocaleController.getString("Emoji1", R.string.Emoji1), LocaleController.getString("Emoji2", R.string.Emoji2), LocaleController.getString("Emoji3", R.string.Emoji3), LocaleController.getString("Emoji4", R.string.Emoji4), LocaleController.getString("Emoji5", R.string.Emoji5), LocaleController.getString("Emoji6", R.string.Emoji6), LocaleController.getString("Emoji7", R.string.Emoji7), LocaleController.getString("Emoji8", R.string.Emoji8)};
        for (int a2 = 0; a2 < this.emojiIcons.length; a2++) {
            if (a2 != 0 || !Emoji.recentEmoji.isEmpty()) {
                this.emojiTabs.addIconTab(this.emojiIcons[a2]).setContentDescription(descriptions[a2]);
            }
        }
        this.emojiTabs.updateTabStyles();
    }

    public void updateStickerTabs() {
        TLObject thumb;
        ScrollSlidingTabStrip scrollSlidingTabStrip = this.stickersTab;
        if (scrollSlidingTabStrip == null) {
            return;
        }
        this.recentTabBum = -2;
        this.favTabBum = -2;
        this.trendingTabNum = -2;
        this.stickersTabOffset = 0;
        int lastPosition = scrollSlidingTabStrip.getCurrentPosition();
        this.stickersTab.removeTabs();
        ArrayList<Long> unread = MediaDataController.getInstance(this.currentAccount).getUnreadStickerSets();
        boolean hasStickers = false;
        TrendingGridAdapter trendingGridAdapter = this.trendingGridAdapter;
        if (trendingGridAdapter != null && trendingGridAdapter.getItemCount() != 0 && !unread.isEmpty()) {
            TextView addIconTabWithCounter = this.stickersTab.addIconTabWithCounter(this.stickerIcons[2]);
            this.stickersCounter = addIconTabWithCounter;
            int i = this.stickersTabOffset;
            this.trendingTabNum = i;
            this.stickersTabOffset = i + 1;
            addIconTabWithCounter.setText(String.format("%d", Integer.valueOf(unread.size())));
        }
        if (!this.favouriteStickers.isEmpty()) {
            int i2 = this.stickersTabOffset;
            this.favTabBum = i2;
            this.stickersTabOffset = i2 + 1;
            this.stickersTab.addIconTab(this.stickerIcons[1]).setContentDescription(LocaleController.getString("FavoriteStickers", R.string.FavoriteStickers));
            hasStickers = true;
        }
        if (!this.recentStickers.isEmpty()) {
            int i3 = this.stickersTabOffset;
            this.recentTabBum = i3;
            this.stickersTabOffset = i3 + 1;
            this.stickersTab.addIconTab(this.stickerIcons[0]).setContentDescription(LocaleController.getString("RecentStickers", R.string.RecentStickers));
            hasStickers = true;
        }
        this.stickerSets.clear();
        this.groupStickerSet = null;
        this.groupStickerPackPosition = -1;
        this.groupStickerPackNum = -10;
        ArrayList<TLRPC.TL_messages_stickerSet> packs = MediaDataController.getInstance(this.currentAccount).getStickerSets(0);
        for (int a2 = 0; a2 < packs.size(); a2++) {
            TLRPC.TL_messages_stickerSet pack = packs.get(a2);
            if (!pack.set.archived && pack.documents != null && !pack.documents.isEmpty()) {
                this.stickerSets.add(pack);
                hasStickers = true;
            }
        }
        if (this.info != null) {
            long hiddenStickerSetId = MessagesController.getEmojiSettings(this.currentAccount).getLong("group_hide_stickers_" + this.info.id, -1L);
            TLRPC.Chat chat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(this.info.id));
            if (chat == null || this.info.stickerset == null || !ChatObject.hasAdminRights(chat)) {
                this.groupStickersHidden = hiddenStickerSetId != -1;
            } else if (this.info.stickerset != null) {
                this.groupStickersHidden = hiddenStickerSetId == this.info.stickerset.id;
            }
            if (this.info.stickerset != null) {
                TLRPC.TL_messages_stickerSet pack2 = MediaDataController.getInstance(this.currentAccount).getGroupStickerSetById(this.info.stickerset);
                if (pack2 != null && pack2.documents != null && !pack2.documents.isEmpty() && pack2.set != null) {
                    TLRPC.TL_messages_stickerSet set = new TLRPC.TL_messages_stickerSet();
                    set.documents = pack2.documents;
                    set.packs = pack2.packs;
                    set.set = pack2.set;
                    if (this.groupStickersHidden) {
                        this.groupStickerPackNum = this.stickerSets.size();
                        this.stickerSets.add(set);
                    } else {
                        this.groupStickerPackNum = 0;
                        this.stickerSets.add(0, set);
                    }
                    this.groupStickerSet = this.info.can_set_stickers ? set : null;
                }
            } else if (this.info.can_set_stickers) {
                TLRPC.TL_messages_stickerSet pack3 = new TLRPC.TL_messages_stickerSet();
                if (this.groupStickersHidden) {
                    this.groupStickerPackNum = this.stickerSets.size();
                    this.stickerSets.add(pack3);
                } else {
                    this.groupStickerPackNum = 0;
                    this.stickerSets.add(0, pack3);
                }
            }
        }
        int a3 = 0;
        while (a3 < this.stickerSets.size()) {
            if (a3 == this.groupStickerPackNum) {
                TLRPC.Chat chat2 = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(this.info.id));
                if (chat2 == null) {
                    this.stickerSets.remove(0);
                    a3--;
                } else {
                    this.stickersTab.addStickerTab(chat2);
                    hasStickers = true;
                }
            } else {
                TLRPC.TL_messages_stickerSet stickerSet = this.stickerSets.get(a3);
                TLRPC.Document document = stickerSet.documents.get(0);
                if (stickerSet.set.thumb instanceof TLRPC.TL_photoSize) {
                    thumb = stickerSet.set.thumb;
                } else {
                    thumb = document;
                }
                this.stickersTab.addStickerTab(thumb, document, stickerSet).setContentDescription(stickerSet.set.title + ", " + LocaleController.getString("AccDescrStickerSet", R.string.AccDescrStickerSet));
                hasStickers = true;
            }
            a3++;
        }
        TrendingGridAdapter trendingGridAdapter2 = this.trendingGridAdapter;
        if (trendingGridAdapter2 != null && trendingGridAdapter2.getItemCount() != 0 && unread.isEmpty()) {
            this.trendingTabNum = this.stickersTabOffset + this.stickerSets.size();
            this.stickersTab.addIconTab(this.stickerIcons[2]).setContentDescription(LocaleController.getString("FeaturedStickers", R.string.FeaturedStickers));
        }
        this.stickersTab.updateTabStyles();
        if (lastPosition != 0) {
            this.stickersTab.onPageScrolled(lastPosition, lastPosition);
        }
        checkPanels();
        if ((!hasStickers || (this.trendingTabNum == 0 && MediaDataController.getInstance(this.currentAccount).areAllTrendingStickerSetsUnread())) && this.trendingTabNum >= 0) {
            if (this.scrolledToTrending == 0) {
                showTrendingTab(true);
                this.scrolledToTrending = hasStickers ? 2 : 1;
            }
        } else if (this.scrolledToTrending == 1) {
            showTrendingTab(false);
            checkScroll();
            this.stickersTab.cancelPositionAnimation();
        }
    }

    private void checkPanels() {
        int firstTab;
        RecyclerListView recyclerListView;
        if (this.stickersTab == null) {
            return;
        }
        if (this.trendingTabNum == -2 && (recyclerListView = this.trendingGridView) != null && recyclerListView.getVisibility() == 0) {
            this.trendingGridView.setVisibility(8);
            this.stickersGridView.setVisibility(0);
            this.stickersSearchField.setVisibility(0);
        }
        RecyclerListView recyclerListView2 = this.trendingGridView;
        if (recyclerListView2 != null && recyclerListView2.getVisibility() == 0) {
            ScrollSlidingTabStrip scrollSlidingTabStrip = this.stickersTab;
            int i = this.trendingTabNum;
            int i2 = this.recentTabBum;
            if (i2 <= 0) {
                i2 = this.stickersTabOffset;
            }
            scrollSlidingTabStrip.onPageScrolled(i, i2);
            return;
        }
        int position = this.stickersLayoutManager.findFirstVisibleItemPosition();
        if (position != -1) {
            if (this.favTabBum > 0) {
                firstTab = this.favTabBum;
            } else {
                int firstTab2 = this.recentTabBum;
                if (firstTab2 > 0) {
                    firstTab = this.recentTabBum;
                } else {
                    firstTab = this.stickersTabOffset;
                }
            }
            this.stickersTab.onPageScrolled(this.stickersGridAdapter.getTabForPosition(position), firstTab);
        }
    }

    public void addRecentSticker(TLRPC.Document document) {
        if (document == null) {
            return;
        }
        MediaDataController.getInstance(this.currentAccount).addRecentSticker(0, null, document, (int) (System.currentTimeMillis() / 1000), false);
        boolean wasEmpty = this.recentStickers.isEmpty();
        this.recentStickers = MediaDataController.getInstance(this.currentAccount).getRecentStickers(0);
        StickersGridAdapter stickersGridAdapter = this.stickersGridAdapter;
        if (stickersGridAdapter != null) {
            stickersGridAdapter.notifyDataSetChanged();
        }
        if (wasEmpty) {
            updateStickerTabs();
        }
    }

    public void addRecentGif(TLRPC.Document document) {
        if (document == null) {
            return;
        }
        boolean wasEmpty = this.recentGifs.isEmpty();
        this.recentGifs = MediaDataController.getInstance(this.currentAccount).getRecentGifs();
        GifAdapter gifAdapter = this.gifAdapter;
        if (gifAdapter != null) {
            gifAdapter.notifyDataSetChanged();
        }
        if (wasEmpty) {
            updateStickerTabs();
        }
    }

    public void removeRecentGif(TLRPC.Document document) {
        if (document == null) {
            return;
        }
        boolean wasEmpty = this.recentGifs.isEmpty();
        this.recentGifs = MediaDataController.getInstance(this.currentAccount).getRecentGifs();
        GifAdapter gifAdapter = this.gifAdapter;
        if (gifAdapter != null) {
            gifAdapter.notifyDataSetChanged();
        }
        if (wasEmpty) {
            updateStickerTabs();
        }
    }

    @Override // android.view.View, android.view.ViewParent
    public void requestLayout() {
        if (this.isLayout) {
            return;
        }
        super.requestLayout();
    }

    public void updateColors() {
        SearchField searchField;
        if (AndroidUtilities.isInMultiwindow || this.forseMultiwindowLayout) {
            Drawable background = getBackground();
            if (background != null) {
                background.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_chat_emojiPanelBackground), PorterDuff.Mode.MULTIPLY));
            }
        } else {
            setBackgroundColor(Theme.getColor(Theme.key_chat_emojiPanelBackground));
            if (this.needEmojiSearch) {
                this.bottomTabContainerBackground.setBackgroundColor(Theme.getColor(Theme.key_chat_emojiPanelBackground));
            }
        }
        ScrollSlidingTabStrip scrollSlidingTabStrip = this.emojiTabs;
        if (scrollSlidingTabStrip != null) {
            scrollSlidingTabStrip.setBackgroundColor(Theme.getColor(Theme.key_chat_emojiPanelBackground));
            this.emojiTabsShadow.setBackgroundColor(Theme.getColor(Theme.key_chat_emojiPanelShadowLine));
        }
        for (int a2 = 0; a2 < 3; a2++) {
            if (a2 == 0) {
                searchField = this.stickersSearchField;
            } else if (a2 == 1) {
                searchField = this.emojiSearchField;
            } else {
                searchField = this.gifSearchField;
            }
            if (searchField != null) {
                searchField.backgroundView.setBackgroundColor(Theme.getColor(Theme.key_chat_emojiPanelBackground));
                searchField.shadowView.setBackgroundColor(Theme.getColor(Theme.key_chat_emojiPanelShadowLine));
                searchField.clearSearchImageView.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_chat_emojiSearchIcon), PorterDuff.Mode.MULTIPLY));
                searchField.searchIconImageView.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_chat_emojiSearchIcon), PorterDuff.Mode.MULTIPLY));
                Theme.setDrawableColorByKey(searchField.searchBackground.getBackground(), Theme.key_chat_emojiSearchBackground);
                searchField.searchBackground.invalidate();
                searchField.searchEditText.setHintTextColor(Theme.getColor(Theme.key_chat_emojiSearchIcon));
                searchField.searchEditText.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText));
            }
        }
        Paint paint = this.dotPaint;
        if (paint != null) {
            paint.setColor(Theme.getColor(Theme.key_chat_emojiPanelNewTrending));
        }
        RecyclerListView recyclerListView = this.emojiGridView;
        if (recyclerListView != null) {
            recyclerListView.setGlowColor(Theme.getColor(Theme.key_chat_emojiPanelBackground));
        }
        RecyclerListView recyclerListView2 = this.stickersGridView;
        if (recyclerListView2 != null) {
            recyclerListView2.setGlowColor(Theme.getColor(Theme.key_chat_emojiPanelBackground));
        }
        RecyclerListView recyclerListView3 = this.trendingGridView;
        if (recyclerListView3 != null) {
            recyclerListView3.setGlowColor(Theme.getColor(Theme.key_chat_emojiPanelBackground));
        }
        ScrollSlidingTabStrip scrollSlidingTabStrip2 = this.stickersTab;
        if (scrollSlidingTabStrip2 != null) {
            scrollSlidingTabStrip2.setIndicatorColor(Theme.getColor(Theme.key_chat_emojiPanelStickerPackSelectorLine));
            this.stickersTab.setUnderlineColor(Theme.getColor(Theme.key_chat_emojiPanelShadowLine));
            this.stickersTab.setBackgroundColor(Theme.getColor(Theme.key_chat_emojiPanelBackground));
        }
        ImageView imageView = this.backspaceButton;
        if (imageView != null) {
            imageView.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_chat_emojiPanelBackspace), PorterDuff.Mode.MULTIPLY));
            Theme.setSelectorDrawableColor(this.backspaceButton.getBackground(), Theme.getColor(Theme.key_chat_emojiPanelBackground), false);
            Theme.setSelectorDrawableColor(this.backspaceButton.getBackground(), Theme.getColor(Theme.key_chat_emojiPanelBackground), true);
        }
        ImageView imageView2 = this.stickerSettingsButton;
        if (imageView2 != null) {
            imageView2.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_chat_emojiPanelBackspace), PorterDuff.Mode.MULTIPLY));
        }
        ImageView imageView3 = this.searchButton;
        if (imageView3 != null) {
            imageView3.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_chat_emojiPanelBackspace), PorterDuff.Mode.MULTIPLY));
        }
        View view = this.shadowLine;
        if (view != null) {
            view.setBackgroundColor(Theme.getColor(Theme.key_chat_emojiPanelShadowLine));
        }
        TextView textView = this.mediaBanTooltip;
        if (textView != null) {
            ((ShapeDrawable) textView.getBackground()).getPaint().setColor(Theme.getColor(Theme.key_chat_gifSaveHintBackground));
            this.mediaBanTooltip.setTextColor(Theme.getColor(Theme.key_chat_gifSaveHintText));
        }
        TextView textView2 = this.stickersCounter;
        if (textView2 != null) {
            textView2.setTextColor(Theme.getColor(Theme.key_chat_emojiPanelBadgeText));
            Theme.setDrawableColor(this.stickersCounter.getBackground(), Theme.getColor(Theme.key_chat_emojiPanelBadgeBackground));
            this.stickersCounter.invalidate();
        }
        int a3 = 0;
        while (true) {
            Drawable[] drawableArr = this.tabIcons;
            if (a3 >= drawableArr.length) {
                break;
            }
            Theme.setEmojiDrawableColor(drawableArr[a3], Theme.getColor(Theme.key_chat_emojiBottomPanelIcon), false);
            Theme.setEmojiDrawableColor(this.tabIcons[a3], Theme.getColor(Theme.key_chat_emojiPanelIconSelected), true);
            a3++;
        }
        int a4 = 0;
        while (true) {
            Drawable[] drawableArr2 = this.emojiIcons;
            if (a4 >= drawableArr2.length) {
                break;
            }
            Theme.setEmojiDrawableColor(drawableArr2[a4], Theme.getColor(Theme.key_chat_emojiPanelIcon), false);
            Theme.setEmojiDrawableColor(this.emojiIcons[a4], Theme.getColor(Theme.key_chat_emojiPanelIconSelected), true);
            a4++;
        }
        int a5 = 0;
        while (true) {
            Drawable[] drawableArr3 = this.stickerIcons;
            if (a5 < drawableArr3.length) {
                Theme.setEmojiDrawableColor(drawableArr3[a5], Theme.getColor(Theme.key_chat_emojiPanelIcon), false);
                Theme.setEmojiDrawableColor(this.stickerIcons[a5], Theme.getColor(Theme.key_chat_emojiPanelIconSelected), true);
                a5++;
            } else {
                return;
            }
        }
    }

    @Override // android.widget.FrameLayout, android.view.View
    public void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        this.isLayout = true;
        if (AndroidUtilities.isInMultiwindow || this.forseMultiwindowLayout) {
            if (this.currentBackgroundType != 1) {
                setOutlineProvider((ViewOutlineProvider) this.outlineProvider);
                setClipToOutline(true);
                setElevation(AndroidUtilities.dp(2.0f));
                setBackgroundResource(R.drawable.smiles_popup);
                getBackground().setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_chat_emojiPanelBackground), PorterDuff.Mode.MULTIPLY));
                if (this.needEmojiSearch) {
                    this.bottomTabContainerBackground.setBackgroundDrawable(null);
                }
                this.currentBackgroundType = 1;
            }
        } else if (this.currentBackgroundType != 0) {
            setOutlineProvider(null);
            setClipToOutline(false);
            setElevation(0.0f);
            setBackgroundColor(Theme.getColor(Theme.key_chat_emojiPanelBackground));
            if (this.needEmojiSearch) {
                this.bottomTabContainerBackground.setBackgroundColor(Theme.getColor(Theme.key_chat_emojiPanelBackground));
            }
            this.currentBackgroundType = 0;
        }
        super.onMeasure(View.MeasureSpec.makeMeasureSpec(View.MeasureSpec.getSize(widthMeasureSpec), 1073741824), View.MeasureSpec.makeMeasureSpec(View.MeasureSpec.getSize(heightMeasureSpec), 1073741824));
        this.isLayout = false;
    }

    @Override // android.widget.FrameLayout, android.view.ViewGroup, android.view.View
    protected void onLayout(boolean changed, int left, int top, int right, int bottom) {
        if (this.lastNotifyWidth != right - left) {
            this.lastNotifyWidth = right - left;
            reloadStickersAdapter();
        }
        View parent = (View) getParent();
        if (parent != null) {
            int newHeight = bottom - top;
            int newHeight2 = parent.getHeight();
            if (this.lastNotifyHeight != newHeight || this.lastNotifyHeight2 != newHeight2) {
                EmojiViewDelegate emojiViewDelegate = this.delegate;
                if (emojiViewDelegate != null && emojiViewDelegate.isSearchOpened()) {
                    this.bottomTabContainer.setTranslationY(AndroidUtilities.dp(49.0f));
                } else if (this.bottomTabContainer.getTag() == null) {
                    if (newHeight < this.lastNotifyHeight) {
                        this.bottomTabContainer.setTranslationY(0.0f);
                    } else {
                        float y = (getY() + getMeasuredHeight()) - parent.getHeight();
                        this.bottomTabContainer.setTranslationY(-y);
                    }
                }
                this.lastNotifyHeight = newHeight;
                this.lastNotifyHeight2 = newHeight2;
            }
        }
        super.onLayout(changed, left, top, right, bottom);
    }

    private void reloadStickersAdapter() {
        StickersGridAdapter stickersGridAdapter = this.stickersGridAdapter;
        if (stickersGridAdapter != null) {
            stickersGridAdapter.notifyDataSetChanged();
        }
        TrendingGridAdapter trendingGridAdapter = this.trendingGridAdapter;
        if (trendingGridAdapter != null) {
            trendingGridAdapter.notifyDataSetChanged();
        }
        StickersSearchGridAdapter stickersSearchGridAdapter = this.stickersSearchGridAdapter;
        if (stickersSearchGridAdapter != null) {
            stickersSearchGridAdapter.notifyDataSetChanged();
        }
        if (ContentPreviewViewer.getInstance().isVisible()) {
            ContentPreviewViewer.getInstance().close();
        }
        ContentPreviewViewer.getInstance().reset();
    }

    public void setDelegate(EmojiViewDelegate emojiViewDelegate) {
        this.delegate = emojiViewDelegate;
    }

    public void setDragListener(DragListener listener) {
        this.dragListener = listener;
    }

    public void setChatInfo(TLRPC.ChatFull chatInfo) {
        this.info = chatInfo;
        updateStickerTabs();
    }

    public void invalidateViews() {
        this.emojiGridView.invalidateViews();
    }

    public void setForseMultiwindowLayout(boolean value) {
        this.forseMultiwindowLayout = value;
    }

    public void onOpen(boolean forceEmoji) {
        if (this.currentPage != 0 && this.currentChatId != 0) {
            this.currentPage = 0;
        }
        if (this.currentPage == 0 || forceEmoji || this.views.size() == 1) {
            showBackspaceButton(true, false);
            showStickerSettingsButton(false, false);
            if (this.pager.getCurrentItem() != 0) {
                this.pager.setCurrentItem(0, !forceEmoji);
                return;
            }
            return;
        }
        int i = this.currentPage;
        if (i == 1) {
            showBackspaceButton(false, false);
            showStickerSettingsButton(true, false);
            if (this.pager.getCurrentItem() != 2) {
                this.pager.setCurrentItem(2, false);
            }
            if (this.stickersTab != null) {
                if (this.trendingTabNum == 0 && MediaDataController.getInstance(this.currentAccount).areAllTrendingStickerSetsUnread()) {
                    showTrendingTab(true);
                    return;
                }
                int i2 = this.recentTabBum;
                if (i2 >= 0) {
                    this.stickersTab.selectTab(i2);
                    return;
                }
                int i3 = this.favTabBum;
                if (i3 >= 0) {
                    this.stickersTab.selectTab(i3);
                } else {
                    this.stickersTab.selectTab(this.stickersTabOffset);
                }
            }
        } else if (i == 2) {
            showBackspaceButton(false, false);
            showStickerSettingsButton(false, false);
            if (this.pager.getCurrentItem() != 1) {
                this.pager.setCurrentItem(1, false);
            }
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onAttachedToWindow() {
        super.onAttachedToWindow();
        NotificationCenter.getGlobalInstance().addObserver(this, NotificationCenter.emojiDidLoad);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.newEmojiSuggestionsAvailable);
        if (this.stickersGridAdapter != null) {
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.stickersDidLoad);
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.recentImagesDidLoad);
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.featuredStickersDidLoad);
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.groupStickersDidLoad);
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.components.EmojiView$$ExternalSyntheticLambda9
                @Override // java.lang.Runnable
                public final void run() {
                    EmojiView.this.m2671x1b1575da();
                }
            });
        }
    }

    /* renamed from: lambda$onAttachedToWindow$9$im-uecahxyvjd-ui-components-EmojiView */
    public /* synthetic */ void m2671x1b1575da() {
        updateStickerTabs();
        reloadStickersAdapter();
    }

    @Override // android.view.View
    public void setVisibility(int visibility) {
        super.setVisibility(visibility);
        if (visibility != 8) {
            Emoji.sortEmoji();
            this.emojiAdapter.notifyDataSetChanged();
            if (this.stickersGridAdapter != null) {
                NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.stickersDidLoad);
                NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.recentDocumentsDidLoad);
                updateStickerTabs();
                reloadStickersAdapter();
            }
            TrendingGridAdapter trendingGridAdapter = this.trendingGridAdapter;
            if (trendingGridAdapter != null) {
                this.trendingLoaded = false;
                trendingGridAdapter.notifyDataSetChanged();
            }
            checkDocuments(true);
            checkDocuments(false);
            MediaDataController.getInstance(this.currentAccount).loadRecents(0, true, true, false);
            MediaDataController.getInstance(this.currentAccount).loadRecents(0, false, true, false);
            MediaDataController.getInstance(this.currentAccount).loadRecents(2, false, true, false);
        }
    }

    public int getCurrentPage() {
        return this.currentPage;
    }

    public void onDestroy() {
        NotificationCenter.getGlobalInstance().removeObserver(this, NotificationCenter.emojiDidLoad);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.newEmojiSuggestionsAvailable);
        if (this.stickersGridAdapter != null) {
            NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.stickersDidLoad);
            NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.recentDocumentsDidLoad);
            NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.featuredStickersDidLoad);
            NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.groupStickersDidLoad);
        }
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        EmojiPopupWindow emojiPopupWindow = this.pickerViewPopup;
        if (emojiPopupWindow != null && emojiPopupWindow.isShowing()) {
            this.pickerViewPopup.dismiss();
        }
    }

    private void checkDocuments(boolean isGif) {
        if (isGif) {
            this.recentGifs = MediaDataController.getInstance(this.currentAccount).getRecentGifs();
            GifAdapter gifAdapter = this.gifAdapter;
            if (gifAdapter != null) {
                gifAdapter.notifyDataSetChanged();
                return;
            }
            return;
        }
        int previousCount = this.recentStickers.size();
        int previousCount2 = this.favouriteStickers.size();
        this.recentStickers = MediaDataController.getInstance(this.currentAccount).getRecentStickers(0);
        this.favouriteStickers = MediaDataController.getInstance(this.currentAccount).getRecentStickers(2);
        for (int a2 = 0; a2 < this.favouriteStickers.size(); a2++) {
            TLRPC.Document favSticker = this.favouriteStickers.get(a2);
            int b = 0;
            while (true) {
                if (b < this.recentStickers.size()) {
                    TLRPC.Document recSticker = this.recentStickers.get(b);
                    if (recSticker.dc_id != favSticker.dc_id || recSticker.id != favSticker.id) {
                        b++;
                    } else {
                        this.recentStickers.remove(b);
                        break;
                    }
                }
            }
        }
        if (previousCount != this.recentStickers.size() || previousCount2 != this.favouriteStickers.size()) {
            updateStickerTabs();
        }
        StickersGridAdapter stickersGridAdapter = this.stickersGridAdapter;
        if (stickersGridAdapter != null) {
            stickersGridAdapter.notifyDataSetChanged();
        }
        checkPanels();
    }

    public void setStickersBanned(boolean value, int chatId) {
        PagerSlidingTabStrip pagerSlidingTabStrip = this.typeTabs;
        if (pagerSlidingTabStrip == null) {
            return;
        }
        if (value) {
            this.currentChatId = chatId;
        } else {
            this.currentChatId = 0;
        }
        View view = pagerSlidingTabStrip.getTab(2);
        if (view != null) {
            view.setAlpha(this.currentChatId != 0 ? 0.5f : 1.0f);
            if (this.currentChatId != 0 && this.pager.getCurrentItem() != 0) {
                showBackspaceButton(true, true);
                showStickerSettingsButton(false, true);
                this.pager.setCurrentItem(0, false);
            }
        }
    }

    public void showStickerBanHint(boolean gif) {
        TLRPC.Chat chat;
        if (this.mediaBanTooltip.getVisibility() == 0 || (chat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(this.currentChatId))) == null) {
            return;
        }
        if (!ChatObject.hasAdminRights(chat) && chat.default_banned_rights != null && chat.default_banned_rights.send_stickers) {
            if (gif) {
                this.mediaBanTooltip.setText(LocaleController.getString("GlobalAttachGifRestricted", R.string.GlobalAttachGifRestricted));
            } else {
                this.mediaBanTooltip.setText(LocaleController.getString("GlobalAttachStickersRestricted", R.string.GlobalAttachStickersRestricted));
            }
        } else if (chat.banned_rights == null) {
            return;
        } else {
            if (AndroidUtilities.isBannedForever(chat.banned_rights)) {
                if (gif) {
                    this.mediaBanTooltip.setText(LocaleController.getString("AttachGifRestrictedForever", R.string.AttachGifRestrictedForever));
                } else {
                    this.mediaBanTooltip.setText(LocaleController.getString("AttachStickersRestrictedForever", R.string.AttachStickersRestrictedForever));
                }
            } else if (gif) {
                this.mediaBanTooltip.setText(LocaleController.formatString("AttachGifRestricted", R.string.AttachGifRestricted, LocaleController.formatDateForBan(chat.banned_rights.until_date)));
            } else {
                this.mediaBanTooltip.setText(LocaleController.formatString("AttachStickersRestricted", R.string.AttachStickersRestricted, LocaleController.formatDateForBan(chat.banned_rights.until_date)));
            }
        }
        this.mediaBanTooltip.setVisibility(0);
        AnimatorSet AnimatorSet = new AnimatorSet();
        AnimatorSet.playTogether(ObjectAnimator.ofFloat(this.mediaBanTooltip, View.ALPHA, 0.0f, 1.0f));
        AnimatorSet.addListener(new AnonymousClass34());
        AnimatorSet.setDuration(300L);
        AnimatorSet.start();
    }

    /* renamed from: im.uecahxyvjd.ui.components.EmojiView$34 */
    /* loaded from: classes10.dex */
    public class AnonymousClass34 extends AnimatorListenerAdapter {
        AnonymousClass34() {
            EmojiView.this = this$0;
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationEnd(Animator animation) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.components.EmojiView$34$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    EmojiView.AnonymousClass34.this.m2673lambda$onAnimationEnd$0$imuecahxyvjduicomponentsEmojiView$34();
                }
            }, DefaultRenderersFactory.DEFAULT_ALLOWED_VIDEO_JOINING_TIME_MS);
        }

        /* renamed from: lambda$onAnimationEnd$0$im-uecahxyvjd-ui-components-EmojiView$34 */
        public /* synthetic */ void m2673lambda$onAnimationEnd$0$imuecahxyvjduicomponentsEmojiView$34() {
            if (EmojiView.this.mediaBanTooltip == null) {
                return;
            }
            AnimatorSet AnimatorSet1 = new AnimatorSet();
            AnimatorSet1.playTogether(ObjectAnimator.ofFloat(EmojiView.this.mediaBanTooltip, View.ALPHA, 0.0f));
            AnimatorSet1.addListener(new AnimatorListenerAdapter() { // from class: im.uecahxyvjd.ui.components.EmojiView.34.1
                {
                    AnonymousClass34.this = this;
                }

                @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                public void onAnimationEnd(Animator animation1) {
                    if (EmojiView.this.mediaBanTooltip != null) {
                        EmojiView.this.mediaBanTooltip.setVisibility(4);
                    }
                }
            });
            AnimatorSet1.setDuration(300L);
            AnimatorSet1.start();
        }
    }

    private void updateVisibleTrendingSets() {
        RecyclerListView gridView;
        boolean z;
        TrendingGridAdapter trendingGridAdapter = this.trendingGridAdapter;
        if (trendingGridAdapter == null || trendingGridAdapter == null) {
            return;
        }
        for (int b = 0; b < 2; b++) {
            if (b == 0) {
                try {
                    gridView = this.trendingGridView;
                } catch (Exception e) {
                    FileLog.e(e);
                    return;
                }
            } else {
                gridView = this.stickersGridView;
            }
            int count = gridView.getChildCount();
            for (int a2 = 0; a2 < count; a2++) {
                View child = gridView.getChildAt(a2);
                if (child instanceof FeaturedStickerSetInfoCell) {
                    RecyclerListView.Holder holder = (RecyclerListView.Holder) gridView.getChildViewHolder(child);
                    if (holder != null) {
                        FeaturedStickerSetInfoCell cell = (FeaturedStickerSetInfoCell) child;
                        ArrayList<Long> unreadStickers = MediaDataController.getInstance(this.currentAccount).getUnreadStickerSets();
                        TLRPC.StickerSetCovered stickerSetCovered = cell.getStickerSet();
                        boolean unread = unreadStickers != null && unreadStickers.contains(Long.valueOf(stickerSetCovered.set.id));
                        cell.setStickerSet(stickerSetCovered, unread);
                        if (unread) {
                            MediaDataController.getInstance(this.currentAccount).markFaturedStickersByIdAsRead(stickerSetCovered.set.id);
                        }
                        boolean installing = this.installingStickerSets.indexOfKey(stickerSetCovered.set.id) >= 0;
                        boolean removing = this.removingStickerSets.indexOfKey(stickerSetCovered.set.id) >= 0;
                        if (installing || removing) {
                            if (installing && cell.isInstalled()) {
                                this.installingStickerSets.remove(stickerSetCovered.set.id);
                                installing = false;
                            } else if (removing && !cell.isInstalled()) {
                                this.removingStickerSets.remove(stickerSetCovered.set.id);
                                removing = false;
                            }
                        }
                        if (!installing && !removing) {
                            z = false;
                            cell.setDrawProgress(z);
                        }
                        z = true;
                        cell.setDrawProgress(z);
                    }
                }
            }
        }
    }

    public boolean areThereAnyStickers() {
        StickersGridAdapter stickersGridAdapter = this.stickersGridAdapter;
        return stickersGridAdapter != null && stickersGridAdapter.getItemCount() > 0;
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        if (id == NotificationCenter.stickersDidLoad) {
            if (((Integer) args[0]).intValue() == 0) {
                TrendingGridAdapter trendingGridAdapter = this.trendingGridAdapter;
                if (trendingGridAdapter != null) {
                    if (this.trendingLoaded) {
                        updateVisibleTrendingSets();
                    } else {
                        trendingGridAdapter.notifyDataSetChanged();
                    }
                }
                updateStickerTabs();
                reloadStickersAdapter();
                checkPanels();
            }
        } else if (id == NotificationCenter.recentDocumentsDidLoad) {
            boolean isGif = ((Boolean) args[0]).booleanValue();
            int type = ((Integer) args[1]).intValue();
            if (isGif || type == 0 || type == 2) {
                checkDocuments(isGif);
            }
        } else if (id == NotificationCenter.featuredStickersDidLoad) {
            if (this.trendingGridAdapter != null) {
                if (this.featuredStickersHash != MediaDataController.getInstance(this.currentAccount).getFeaturesStickersHashWithoutUnread()) {
                    this.trendingLoaded = false;
                }
                if (this.trendingLoaded) {
                    updateVisibleTrendingSets();
                } else {
                    this.trendingGridAdapter.notifyDataSetChanged();
                }
            }
            PagerSlidingTabStrip pagerSlidingTabStrip = this.typeTabs;
            if (pagerSlidingTabStrip != null) {
                int count = pagerSlidingTabStrip.getChildCount();
                for (int a2 = 0; a2 < count; a2++) {
                    this.typeTabs.getChildAt(a2).invalidate();
                }
            }
            updateStickerTabs();
        } else if (id == NotificationCenter.groupStickersDidLoad) {
            TLRPC.ChatFull chatFull = this.info;
            if (chatFull != null && chatFull.stickerset != null && this.info.stickerset.id == ((Long) args[0]).longValue()) {
                updateStickerTabs();
            }
        } else if (id == NotificationCenter.emojiDidLoad) {
            RecyclerListView recyclerListView = this.stickersGridView;
            if (recyclerListView != null) {
                int count2 = recyclerListView.getChildCount();
                for (int a3 = 0; a3 < count2; a3++) {
                    View child = this.stickersGridView.getChildAt(a3);
                    if ((child instanceof StickerSetNameCell) || (child instanceof StickerEmojiCell)) {
                        child.invalidate();
                    }
                }
            }
        } else if (id == NotificationCenter.newEmojiSuggestionsAvailable && this.emojiGridView != null && this.needEmojiSearch) {
            if ((this.emojiSearchField.progressDrawable.isAnimating() || this.emojiGridView.getAdapter() == this.emojiSearchAdapter) && !TextUtils.isEmpty(this.emojiSearchAdapter.lastSearchEmojiString)) {
                EmojiSearchAdapter emojiSearchAdapter = this.emojiSearchAdapter;
                emojiSearchAdapter.search(emojiSearchAdapter.lastSearchEmojiString);
            }
        }
    }

    /* loaded from: classes10.dex */
    public class TrendingGridAdapter extends RecyclerListView.SelectionAdapter {
        private Context context;
        private int stickersPerRow;
        private int totalItems;
        private SparseArray<Object> cache = new SparseArray<>();
        private ArrayList<TLRPC.StickerSetCovered> sets = new ArrayList<>();
        private SparseArray<TLRPC.StickerSetCovered> positionsToSets = new SparseArray<>();

        public TrendingGridAdapter(Context context) {
            EmojiView.this = r1;
            this.context = context;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return this.totalItems;
        }

        public Object getItem(int i) {
            return this.cache.get(i);
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return false;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            Object object = this.cache.get(position);
            if (object != null) {
                if (object instanceof TLRPC.Document) {
                    return 0;
                }
                return 2;
            }
            return 1;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view = null;
            switch (viewType) {
                case 0:
                    view = new StickerEmojiCell(this.context) { // from class: im.uecahxyvjd.ui.components.EmojiView.TrendingGridAdapter.1
                        {
                            TrendingGridAdapter.this = this;
                        }

                        @Override // android.widget.FrameLayout, android.view.View
                        public void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
                            super.onMeasure(widthMeasureSpec, View.MeasureSpec.makeMeasureSpec(AndroidUtilities.dp(82.0f), 1073741824));
                        }
                    };
                    break;
                case 1:
                    view = new EmptyCell(this.context);
                    break;
                case 2:
                    view = new FeaturedStickerSetInfoCell(this.context, 17);
                    ((FeaturedStickerSetInfoCell) view).setAddOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.components.EmojiView$TrendingGridAdapter$$ExternalSyntheticLambda0
                        @Override // android.view.View.OnClickListener
                        public final void onClick(View view2) {
                            EmojiView.TrendingGridAdapter.this.m2690x69e1d7cf(view2);
                        }
                    });
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        /* renamed from: lambda$onCreateViewHolder$0$im-uecahxyvjd-ui-components-EmojiView$TrendingGridAdapter */
        public /* synthetic */ void m2690x69e1d7cf(View v) {
            FeaturedStickerSetInfoCell parent1 = (FeaturedStickerSetInfoCell) v.getParent();
            TLRPC.StickerSetCovered pack = parent1.getStickerSet();
            if (EmojiView.this.installingStickerSets.indexOfKey(pack.set.id) >= 0 || EmojiView.this.removingStickerSets.indexOfKey(pack.set.id) >= 0) {
                return;
            }
            if (parent1.isInstalled()) {
                EmojiView.this.removingStickerSets.put(pack.set.id, pack);
                EmojiView.this.delegate.onStickerSetRemove(parent1.getStickerSet());
                return;
            }
            EmojiView.this.installingStickerSets.put(pack.set.id, pack);
            EmojiView.this.delegate.onStickerSetAdd(parent1.getStickerSet());
            parent1.setDrawProgress(true);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            boolean z = false;
            switch (holder.getItemViewType()) {
                case 0:
                    TLRPC.Document sticker = (TLRPC.Document) this.cache.get(position);
                    ((StickerEmojiCell) holder.itemView).setSticker(sticker, this.positionsToSets.get(position), false);
                    return;
                case 1:
                    ((EmptyCell) holder.itemView).setHeight(AndroidUtilities.dp(82.0f));
                    return;
                case 2:
                    ArrayList<Long> unreadStickers = MediaDataController.getInstance(EmojiView.this.currentAccount).getUnreadStickerSets();
                    TLRPC.StickerSetCovered stickerSetCovered = this.sets.get(((Integer) this.cache.get(position)).intValue());
                    boolean unread = unreadStickers != null && unreadStickers.contains(Long.valueOf(stickerSetCovered.set.id));
                    FeaturedStickerSetInfoCell cell = (FeaturedStickerSetInfoCell) holder.itemView;
                    cell.setStickerSet(stickerSetCovered, unread);
                    if (unread) {
                        MediaDataController.getInstance(EmojiView.this.currentAccount).markFaturedStickersByIdAsRead(stickerSetCovered.set.id);
                    }
                    boolean installing = EmojiView.this.installingStickerSets.indexOfKey(stickerSetCovered.set.id) >= 0;
                    boolean removing = EmojiView.this.removingStickerSets.indexOfKey(stickerSetCovered.set.id) >= 0;
                    if (installing || removing) {
                        if (installing && cell.isInstalled()) {
                            EmojiView.this.installingStickerSets.remove(stickerSetCovered.set.id);
                            installing = false;
                        } else if (removing && !cell.isInstalled()) {
                            EmojiView.this.removingStickerSets.remove(stickerSetCovered.set.id);
                            removing = false;
                        }
                    }
                    cell.setDrawProgress((installing || removing) ? true : true);
                    return;
                default:
                    return;
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void notifyDataSetChanged() {
            int count;
            int i;
            int width = EmojiView.this.getMeasuredWidth();
            if (width == 0) {
                if (AndroidUtilities.isTablet()) {
                    int smallSide = AndroidUtilities.displaySize.x;
                    int leftSide = (smallSide * 35) / 100;
                    if (leftSide < AndroidUtilities.dp(320.0f)) {
                        leftSide = AndroidUtilities.dp(320.0f);
                    }
                    width = smallSide - leftSide;
                } else {
                    width = AndroidUtilities.displaySize.x;
                }
                if (width == 0) {
                    width = 1080;
                }
            }
            this.stickersPerRow = Math.max(5, width / AndroidUtilities.dp(72.0f));
            EmojiView.this.trendingLayoutManager.setSpanCount(this.stickersPerRow);
            if (EmojiView.this.trendingLoaded) {
                return;
            }
            this.cache.clear();
            this.positionsToSets.clear();
            this.sets.clear();
            this.totalItems = 0;
            int startRow = 0;
            ArrayList<TLRPC.StickerSetCovered> packs = MediaDataController.getInstance(EmojiView.this.currentAccount).getFeaturedStickerSets();
            for (int a2 = 0; a2 < packs.size(); a2++) {
                TLRPC.StickerSetCovered pack = packs.get(a2);
                if (!MediaDataController.getInstance(EmojiView.this.currentAccount).isStickerPackInstalled(pack.set.id) && (!pack.covers.isEmpty() || pack.cover != null)) {
                    this.sets.add(pack);
                    this.positionsToSets.put(this.totalItems, pack);
                    SparseArray<Object> sparseArray = this.cache;
                    int i2 = this.totalItems;
                    this.totalItems = i2 + 1;
                    int num = startRow + 1;
                    sparseArray.put(i2, Integer.valueOf(startRow));
                    int i3 = this.totalItems / this.stickersPerRow;
                    if (!pack.covers.isEmpty()) {
                        count = (int) Math.ceil(pack.covers.size() / this.stickersPerRow);
                        for (int b = 0; b < pack.covers.size(); b++) {
                            this.cache.put(this.totalItems + b, pack.covers.get(b));
                        }
                    } else {
                        count = 1;
                        this.cache.put(this.totalItems, pack.cover);
                    }
                    int b2 = 0;
                    while (true) {
                        i = this.stickersPerRow;
                        if (b2 >= count * i) {
                            break;
                        }
                        this.positionsToSets.put(this.totalItems + b2, pack);
                        b2++;
                    }
                    int b3 = this.totalItems;
                    this.totalItems = b3 + (i * count);
                    startRow = num;
                }
            }
            int a3 = this.totalItems;
            if (a3 != 0) {
                EmojiView.this.trendingLoaded = true;
                EmojiView emojiView = EmojiView.this;
                emojiView.featuredStickersHash = MediaDataController.getInstance(emojiView.currentAccount).getFeaturesStickersHashWithoutUnread();
            }
            super.notifyDataSetChanged();
        }
    }

    /* loaded from: classes10.dex */
    public class StickersGridAdapter extends RecyclerListView.SelectionAdapter {
        private Context context;
        private int stickersPerRow;
        private int totalItems;
        private SparseArray<Object> rowStartPack = new SparseArray<>();
        private HashMap<Object, Integer> packStartPosition = new HashMap<>();
        private SparseArray<Object> cache = new SparseArray<>();
        private SparseArray<Object> cacheParents = new SparseArray<>();
        private SparseIntArray positionToRow = new SparseIntArray();

        public StickersGridAdapter(Context context) {
            EmojiView.this = r1;
            this.context = context;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return false;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            int i = this.totalItems;
            if (i != 0) {
                return i + 1;
            }
            return 0;
        }

        public Object getItem(int i) {
            return this.cache.get(i);
        }

        public int getPositionForPack(Object pack) {
            Integer pos = this.packStartPosition.get(pack);
            if (pos == null) {
                return -1;
            }
            return pos.intValue();
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            if (position == 0) {
                return 4;
            }
            Object object = this.cache.get(position);
            if (object != null) {
                if (object instanceof TLRPC.Document) {
                    return 0;
                }
                if (object instanceof String) {
                    return 3;
                }
                return 2;
            }
            return 1;
        }

        public int getTabForPosition(int position) {
            if (position == 0) {
                position = 1;
            }
            if (this.stickersPerRow == 0) {
                int width = EmojiView.this.getMeasuredWidth();
                if (width == 0) {
                    width = AndroidUtilities.displaySize.x;
                }
                this.stickersPerRow = width / AndroidUtilities.dp(72.0f);
            }
            int row = this.positionToRow.get(position, Integer.MIN_VALUE);
            if (row == Integer.MIN_VALUE) {
                return (EmojiView.this.stickerSets.size() - 1) + EmojiView.this.stickersTabOffset;
            }
            Object pack = this.rowStartPack.get(row);
            if (pack instanceof String) {
                return "recent".equals(pack) ? EmojiView.this.recentTabBum : EmojiView.this.favTabBum;
            }
            TLRPC.TL_messages_stickerSet set = (TLRPC.TL_messages_stickerSet) pack;
            int idx = EmojiView.this.stickerSets.indexOf(set);
            return EmojiView.this.stickersTabOffset + idx;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view = null;
            switch (viewType) {
                case 0:
                    view = new StickerEmojiCell(this.context) { // from class: im.uecahxyvjd.ui.components.EmojiView.StickersGridAdapter.1
                        {
                            StickersGridAdapter.this = this;
                        }

                        @Override // android.widget.FrameLayout, android.view.View
                        public void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
                            super.onMeasure(widthMeasureSpec, View.MeasureSpec.makeMeasureSpec(AndroidUtilities.dp(82.0f), 1073741824));
                        }
                    };
                    break;
                case 1:
                    view = new EmptyCell(this.context);
                    break;
                case 2:
                    view = new StickerSetNameCell(this.context, false);
                    ((StickerSetNameCell) view).setOnIconClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.components.EmojiView$StickersGridAdapter$$ExternalSyntheticLambda0
                        @Override // android.view.View.OnClickListener
                        public final void onClick(View view2) {
                            EmojiView.StickersGridAdapter.this.m2683xbaa6c57e(view2);
                        }
                    });
                    break;
                case 3:
                    view = new StickerSetGroupInfoCell(this.context);
                    ((StickerSetGroupInfoCell) view).setAddOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.components.EmojiView$StickersGridAdapter$$ExternalSyntheticLambda1
                        @Override // android.view.View.OnClickListener
                        public final void onClick(View view2) {
                            EmojiView.StickersGridAdapter.this.m2684xcb5c923f(view2);
                        }
                    });
                    view.setLayoutParams(new RecyclerView.LayoutParams(-1, -2));
                    break;
                case 4:
                    view = new View(this.context);
                    view.setLayoutParams(new RecyclerView.LayoutParams(-1, EmojiView.this.searchFieldHeight));
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        /* renamed from: lambda$onCreateViewHolder$0$im-uecahxyvjd-ui-components-EmojiView$StickersGridAdapter */
        public /* synthetic */ void m2683xbaa6c57e(View v) {
            if (EmojiView.this.groupStickerSet != null) {
                if (EmojiView.this.delegate != null) {
                    EmojiView.this.delegate.onStickersGroupClick(EmojiView.this.info.id);
                    return;
                }
                return;
            }
            MessagesController.getEmojiSettings(EmojiView.this.currentAccount).edit().putLong("group_hide_stickers_" + EmojiView.this.info.id, EmojiView.this.info.stickerset != null ? EmojiView.this.info.stickerset.id : 0L).commit();
            EmojiView.this.updateStickerTabs();
            if (EmojiView.this.stickersGridAdapter != null) {
                EmojiView.this.stickersGridAdapter.notifyDataSetChanged();
            }
        }

        /* renamed from: lambda$onCreateViewHolder$1$im-uecahxyvjd-ui-components-EmojiView$StickersGridAdapter */
        public /* synthetic */ void m2684xcb5c923f(View v) {
            if (EmojiView.this.delegate != null) {
                EmojiView.this.delegate.onStickersGroupClick(EmojiView.this.info.id);
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            ArrayList<TLRPC.Document> documents;
            int icon;
            switch (holder.getItemViewType()) {
                case 0:
                    TLRPC.Document sticker = (TLRPC.Document) this.cache.get(position);
                    StickerEmojiCell cell = (StickerEmojiCell) holder.itemView;
                    cell.setSticker(sticker, this.cacheParents.get(position), false);
                    cell.setRecent((EmojiView.this.recentStickers.contains(sticker) || EmojiView.this.favouriteStickers.contains(sticker)) ? true : true);
                    return;
                case 1:
                    EmptyCell cell2 = (EmptyCell) holder.itemView;
                    if (position == this.totalItems) {
                        int row = this.positionToRow.get(position - 1, Integer.MIN_VALUE);
                        if (row == Integer.MIN_VALUE) {
                            cell2.setHeight(1);
                            return;
                        }
                        Object pack = this.rowStartPack.get(row);
                        if (pack instanceof TLRPC.TL_messages_stickerSet) {
                            documents = ((TLRPC.TL_messages_stickerSet) pack).documents;
                        } else if (pack instanceof String) {
                            documents = "recent".equals(pack) ? EmojiView.this.recentStickers : EmojiView.this.favouriteStickers;
                        } else {
                            documents = null;
                        }
                        if (documents == null) {
                            cell2.setHeight(1);
                            return;
                        } else if (!documents.isEmpty()) {
                            int height = EmojiView.this.pager.getHeight() - (((int) Math.ceil(documents.size() / this.stickersPerRow)) * AndroidUtilities.dp(82.0f));
                            cell2.setHeight(height > 0 ? height : 1);
                            return;
                        } else {
                            cell2.setHeight(AndroidUtilities.dp(8.0f));
                            return;
                        }
                    }
                    cell2.setHeight(AndroidUtilities.dp(82.0f));
                    return;
                case 2:
                    StickerSetNameCell cell3 = (StickerSetNameCell) holder.itemView;
                    if (position == EmojiView.this.groupStickerPackPosition) {
                        if (!EmojiView.this.groupStickersHidden || EmojiView.this.groupStickerSet != null) {
                            icon = EmojiView.this.groupStickerSet != null ? R.drawable.stickersclose : R.drawable.stickerset_close;
                        } else {
                            icon = 0;
                        }
                        TLRPC.Chat chat = EmojiView.this.info != null ? MessagesController.getInstance(EmojiView.this.currentAccount).getChat(Integer.valueOf(EmojiView.this.info.id)) : null;
                        Object[] objArr = new Object[1];
                        objArr[0] = chat != null ? chat.title : "Group Stickers";
                        cell3.setText(LocaleController.formatString("CurrentGroupStickers", R.string.CurrentGroupStickers, objArr), icon);
                        return;
                    }
                    Object object = this.cache.get(position);
                    if (!(object instanceof TLRPC.TL_messages_stickerSet)) {
                        if (object != EmojiView.this.recentStickers) {
                            if (object == EmojiView.this.favouriteStickers) {
                                cell3.setText(LocaleController.getString("FavoriteStickers", R.string.FavoriteStickers), 0);
                                return;
                            }
                            return;
                        }
                        cell3.setText(LocaleController.getString("RecentStickers", R.string.RecentStickers), 0);
                        return;
                    }
                    TLRPC.TL_messages_stickerSet set = (TLRPC.TL_messages_stickerSet) object;
                    if (set.set != null) {
                        cell3.setText(set.set.title, 0);
                        return;
                    }
                    return;
                case 3:
                    ((StickerSetGroupInfoCell) holder.itemView).setIsLast(position == this.totalItems - 1);
                    return;
                default:
                    return;
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void notifyDataSetChanged() {
            String key;
            ArrayList<TLRPC.Document> documents;
            int width;
            int width2 = EmojiView.this.getMeasuredWidth();
            if (width2 == 0) {
                width2 = AndroidUtilities.displaySize.x;
            }
            this.stickersPerRow = width2 / AndroidUtilities.dp(72.0f);
            EmojiView.this.stickersLayoutManager.setSpanCount(this.stickersPerRow);
            this.rowStartPack.clear();
            this.packStartPosition.clear();
            this.positionToRow.clear();
            this.cache.clear();
            this.totalItems = 0;
            ArrayList<TLRPC.TL_messages_stickerSet> packs = EmojiView.this.stickerSets;
            int startRow = 0;
            int a2 = -3;
            while (a2 < packs.size()) {
                TLRPC.TL_messages_stickerSet pack = null;
                if (a2 == -3) {
                    SparseArray<Object> sparseArray = this.cache;
                    int i = this.totalItems;
                    this.totalItems = i + 1;
                    sparseArray.put(i, "search");
                    startRow++;
                    width = width2;
                } else {
                    if (a2 == -2) {
                        documents = EmojiView.this.favouriteStickers;
                        key = "fav";
                        this.packStartPosition.put("fav", Integer.valueOf(this.totalItems));
                    } else if (a2 == -1) {
                        documents = EmojiView.this.recentStickers;
                        key = "recent";
                        this.packStartPosition.put("recent", Integer.valueOf(this.totalItems));
                    } else {
                        key = null;
                        pack = packs.get(a2);
                        documents = pack.documents;
                        this.packStartPosition.put(pack, Integer.valueOf(this.totalItems));
                    }
                    if (a2 == EmojiView.this.groupStickerPackNum) {
                        EmojiView.this.groupStickerPackPosition = this.totalItems;
                        if (documents.isEmpty()) {
                            this.rowStartPack.put(startRow, pack);
                            int startRow2 = startRow + 1;
                            this.positionToRow.put(this.totalItems, startRow);
                            this.rowStartPack.put(startRow2, pack);
                            this.positionToRow.put(this.totalItems + 1, startRow2);
                            SparseArray<Object> sparseArray2 = this.cache;
                            int i2 = this.totalItems;
                            this.totalItems = i2 + 1;
                            sparseArray2.put(i2, pack);
                            SparseArray<Object> sparseArray3 = this.cache;
                            int i3 = this.totalItems;
                            this.totalItems = i3 + 1;
                            sparseArray3.put(i3, "group");
                            width = width2;
                            startRow = startRow2 + 1;
                        }
                    }
                    if (!documents.isEmpty()) {
                        int count = (int) Math.ceil(documents.size() / this.stickersPerRow);
                        if (pack != null) {
                            this.cache.put(this.totalItems, pack);
                        } else {
                            this.cache.put(this.totalItems, documents);
                        }
                        this.positionToRow.put(this.totalItems, startRow);
                        int b = 0;
                        while (b < documents.size()) {
                            int num = b + 1 + this.totalItems;
                            this.cache.put(num, documents.get(b));
                            if (pack != null) {
                                this.cacheParents.put(num, pack);
                            } else {
                                this.cacheParents.put(num, key);
                            }
                            this.positionToRow.put(b + 1 + this.totalItems, startRow + 1 + (b / this.stickersPerRow));
                            b++;
                            width2 = width2;
                        }
                        width = width2;
                        for (int b2 = 0; b2 < count + 1; b2++) {
                            if (pack != null) {
                                this.rowStartPack.put(startRow + b2, pack);
                            } else {
                                this.rowStartPack.put(startRow + b2, a2 == -1 ? "recent" : "fav");
                            }
                        }
                        int b3 = this.totalItems;
                        this.totalItems = b3 + (this.stickersPerRow * count) + 1;
                        startRow += count + 1;
                    } else {
                        width = width2;
                    }
                }
                a2++;
                width2 = width;
            }
            super.notifyDataSetChanged();
        }
    }

    /* loaded from: classes10.dex */
    public class EmojiGridAdapter extends RecyclerListView.SelectionAdapter {
        private int itemCount;
        private SparseIntArray positionToSection;
        private SparseIntArray sectionToPosition;

        private EmojiGridAdapter() {
            EmojiView.this = r1;
            this.positionToSection = new SparseIntArray();
            this.sectionToPosition = new SparseIntArray();
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return this.itemCount;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public long getItemId(int position) {
            return position;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return holder.getItemViewType() == 0;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view;
            switch (viewType) {
                case 0:
                    EmojiView emojiView = EmojiView.this;
                    view = new ImageViewEmoji(emojiView.getContext());
                    break;
                case 1:
                    view = new StickerSetNameCell(EmojiView.this.getContext(), true);
                    break;
                default:
                    view = new View(EmojiView.this.getContext());
                    view.setLayoutParams(new RecyclerView.LayoutParams(-1, EmojiView.this.searchFieldHeight));
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            String code;
            String coloredCode;
            boolean recent;
            switch (holder.getItemViewType()) {
                case 0:
                    ImageViewEmoji imageView = (ImageViewEmoji) holder.itemView;
                    if (EmojiView.this.needEmojiSearch) {
                        position--;
                    }
                    int count = Emoji.recentEmoji.size();
                    if (position < count) {
                        coloredCode = Emoji.recentEmoji.get(position);
                        code = coloredCode;
                        recent = true;
                    } else {
                        int a2 = 0;
                        while (true) {
                            if (a2 >= EmojiData.dataColored.length) {
                                code = null;
                                coloredCode = null;
                            } else {
                                int size = EmojiData.dataColored[a2].length + 1;
                                if (position < count + size) {
                                    String code2 = EmojiData.dataColored[a2][(position - count) - 1];
                                    String color = Emoji.emojiColor.get(code2);
                                    if (color != null) {
                                        String coloredCode2 = EmojiView.addColorToCode(code2, color);
                                        code = code2;
                                        coloredCode = coloredCode2;
                                    } else {
                                        code = code2;
                                        coloredCode = code2;
                                    }
                                } else {
                                    count += size;
                                    a2++;
                                }
                            }
                        }
                        recent = false;
                    }
                    imageView.setImageDrawable(Emoji.getEmojiBigDrawable(coloredCode), recent);
                    imageView.setTag(code);
                    imageView.setContentDescription(coloredCode);
                    return;
                case 1:
                    StickerSetNameCell cell = (StickerSetNameCell) holder.itemView;
                    cell.setText(EmojiView.this.emojiTitles[this.positionToSection.get(position)], 0);
                    return;
                default:
                    return;
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            if (EmojiView.this.needEmojiSearch && position == 0) {
                return 2;
            }
            if (this.positionToSection.indexOfKey(position) >= 0) {
                return 1;
            }
            return 0;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void notifyDataSetChanged() {
            this.positionToSection.clear();
            this.itemCount = Emoji.recentEmoji.size() + (EmojiView.this.needEmojiSearch ? 1 : 0);
            for (int a2 = 0; a2 < EmojiData.dataColored.length; a2++) {
                this.positionToSection.put(this.itemCount, a2);
                this.sectionToPosition.put(a2, this.itemCount);
                this.itemCount += EmojiData.dataColored[a2].length + 1;
            }
            EmojiView.this.updateEmojiTabs();
            super.notifyDataSetChanged();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes10.dex */
    public class EmojiSearchAdapter extends RecyclerListView.SelectionAdapter {
        private String lastSearchAlias;
        private String lastSearchEmojiString;
        private ArrayList<MediaDataController.KeywordResult> result;
        private Runnable searchRunnable;
        private boolean searchWas;

        private EmojiSearchAdapter() {
            EmojiView.this = r1;
            this.result = new ArrayList<>();
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            if (this.result.isEmpty() && !this.searchWas) {
                return Emoji.recentEmoji.size() + 1;
            }
            if (!this.result.isEmpty()) {
                return this.result.size() + 1;
            }
            return 2;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return holder.getItemViewType() == 0;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view;
            switch (viewType) {
                case 0:
                    EmojiView emojiView = EmojiView.this;
                    view = new ImageViewEmoji(emojiView.getContext());
                    break;
                case 1:
                    View view2 = new View(EmojiView.this.getContext());
                    view2.setLayoutParams(new RecyclerView.LayoutParams(-1, EmojiView.this.searchFieldHeight));
                    view = view2;
                    break;
                default:
                    FrameLayout frameLayout = new FrameLayout(EmojiView.this.getContext()) { // from class: im.uecahxyvjd.ui.components.EmojiView.EmojiSearchAdapter.1
                        {
                            EmojiSearchAdapter.this = this;
                        }

                        @Override // android.widget.FrameLayout, android.view.View
                        protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
                            int parentHeight;
                            View parent2 = (View) EmojiView.this.getParent();
                            if (parent2 != null) {
                                parentHeight = (int) (parent2.getMeasuredHeight() - EmojiView.this.getY());
                            } else {
                                parentHeight = AndroidUtilities.dp(120.0f);
                            }
                            super.onMeasure(widthMeasureSpec, View.MeasureSpec.makeMeasureSpec(parentHeight - EmojiView.this.searchFieldHeight, 1073741824));
                        }
                    };
                    TextView textView = new TextView(EmojiView.this.getContext());
                    textView.setText(LocaleController.getString("NoEmojiFound", R.string.NoEmojiFound));
                    textView.setTextSize(1, 16.0f);
                    textView.setTextColor(Theme.getColor(Theme.key_chat_emojiPanelEmptyText));
                    frameLayout.addView(textView, LayoutHelper.createFrame(-2.0f, -2.0f, 49, 0.0f, 10.0f, 0.0f, 0.0f));
                    ImageView imageView = new ImageView(EmojiView.this.getContext());
                    imageView.setScaleType(ImageView.ScaleType.CENTER);
                    imageView.setImageResource(R.drawable.smiles_panel_question);
                    imageView.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_chat_emojiPanelEmptyText), PorterDuff.Mode.MULTIPLY));
                    frameLayout.addView(imageView, LayoutHelper.createFrame(48, 48, 85));
                    imageView.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.components.EmojiView.EmojiSearchAdapter.2
                        {
                            EmojiSearchAdapter.this = this;
                        }

                        @Override // android.view.View.OnClickListener
                        public void onClick(View v) {
                            Object obj;
                            boolean[] loadingUrl = new boolean[1];
                            BottomSheet.Builder builder = new BottomSheet.Builder(EmojiView.this.getContext());
                            LinearLayout linearLayout = new LinearLayout(EmojiView.this.getContext());
                            linearLayout.setOrientation(1);
                            linearLayout.setPadding(AndroidUtilities.dp(21.0f), 0, AndroidUtilities.dp(21.0f), 0);
                            ImageView imageView1 = new ImageView(EmojiView.this.getContext());
                            imageView1.setImageResource(R.drawable.smiles_info);
                            linearLayout.addView(imageView1, LayoutHelper.createLinear(-2, -2, 49, 0, 15, 0, 0));
                            TextView textView2 = new TextView(EmojiView.this.getContext());
                            textView2.setText(LocaleController.getString("EmojiSuggestions", R.string.EmojiSuggestions));
                            textView2.setTextSize(1, 15.0f);
                            textView2.setTextColor(Theme.getColor(Theme.key_dialogTextBlue2));
                            textView2.setGravity(LocaleController.isRTL ? 5 : 3);
                            textView2.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
                            linearLayout.addView(textView2, LayoutHelper.createLinear(-2, -2, 51, 0, 24, 0, 0));
                            TextView textView3 = new TextView(EmojiView.this.getContext());
                            textView3.setText(AndroidUtilities.replaceTags(LocaleController.getString("EmojiSuggestionsInfo", R.string.EmojiSuggestionsInfo)));
                            textView3.setTextSize(1, 15.0f);
                            textView3.setTextColor(Theme.getColor(Theme.key_dialogTextBlack));
                            textView3.setGravity(LocaleController.isRTL ? 5 : 3);
                            linearLayout.addView(textView3, LayoutHelper.createLinear(-2, -2, 51, 0, 11, 0, 0));
                            TextView textView4 = new TextView(EmojiView.this.getContext());
                            Object[] objArr = new Object[1];
                            if (EmojiSearchAdapter.this.lastSearchAlias == null) {
                                obj = EmojiView.this.lastSearchKeyboardLanguage;
                            } else {
                                obj = EmojiSearchAdapter.this.lastSearchAlias;
                            }
                            objArr[0] = obj;
                            textView4.setText(LocaleController.formatString("EmojiSuggestionsUrl", R.string.EmojiSuggestionsUrl, objArr));
                            textView4.setTextSize(1, 15.0f);
                            textView4.setTextColor(Theme.getColor(Theme.key_dialogTextLink));
                            textView4.setGravity(LocaleController.isRTL ? 5 : 3);
                            linearLayout.addView(textView4, LayoutHelper.createLinear(-2, -2, 51, 0, 18, 0, 16));
                            textView4.setOnClickListener(new AnonymousClass1(loadingUrl, builder));
                            builder.setCustomView(linearLayout);
                            builder.show();
                        }

                        /* renamed from: im.uecahxyvjd.ui.components.EmojiView$EmojiSearchAdapter$2$1 */
                        /* loaded from: classes10.dex */
                        public class AnonymousClass1 implements View.OnClickListener {
                            final /* synthetic */ BottomSheet.Builder val$builder;
                            final /* synthetic */ boolean[] val$loadingUrl;

                            AnonymousClass1(boolean[] zArr, BottomSheet.Builder builder) {
                                AnonymousClass2.this = this$2;
                                this.val$loadingUrl = zArr;
                                this.val$builder = builder;
                            }

                            @Override // android.view.View.OnClickListener
                            public void onClick(View v) {
                                String str;
                                boolean[] zArr = this.val$loadingUrl;
                                if (zArr[0]) {
                                    return;
                                }
                                zArr[0] = true;
                                final AlertDialog[] progressDialog = {new AlertDialog(EmojiView.this.getContext(), 3)};
                                TLRPC.TL_messages_getEmojiURL req = new TLRPC.TL_messages_getEmojiURL();
                                if (EmojiSearchAdapter.this.lastSearchAlias == null) {
                                    str = EmojiView.this.lastSearchKeyboardLanguage[0];
                                } else {
                                    str = EmojiSearchAdapter.this.lastSearchAlias;
                                }
                                req.lang_code = str;
                                ConnectionsManager connectionsManager = ConnectionsManager.getInstance(EmojiView.this.currentAccount);
                                final BottomSheet.Builder builder = this.val$builder;
                                final int requestId = connectionsManager.sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.components.EmojiView$EmojiSearchAdapter$2$1$$ExternalSyntheticLambda0
                                    @Override // im.uecahxyvjd.tgnet.RequestDelegate
                                    public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                                        EmojiView.EmojiSearchAdapter.AnonymousClass2.AnonymousClass1.this.m2675x26265d0d(progressDialog, builder, tLObject, tL_error);
                                    }
                                });
                                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.components.EmojiView$EmojiSearchAdapter$2$1$$ExternalSyntheticLambda1
                                    @Override // java.lang.Runnable
                                    public final void run() {
                                        EmojiView.EmojiSearchAdapter.AnonymousClass2.AnonymousClass1.this.m2677x4ea33c4b(progressDialog, requestId);
                                    }
                                }, 1000L);
                            }

                            /* renamed from: lambda$onClick$1$im-uecahxyvjd-ui-components-EmojiView$EmojiSearchAdapter$2$1 */
                            public /* synthetic */ void m2675x26265d0d(final AlertDialog[] progressDialog, final BottomSheet.Builder builder, final TLObject response, TLRPC.TL_error error) {
                                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.components.EmojiView$EmojiSearchAdapter$2$1$$ExternalSyntheticLambda2
                                    @Override // java.lang.Runnable
                                    public final void run() {
                                        EmojiView.EmojiSearchAdapter.AnonymousClass2.AnonymousClass1.this.m2674x91e7ed6e(progressDialog, response, builder);
                                    }
                                });
                            }

                            /* renamed from: lambda$onClick$0$im-uecahxyvjd-ui-components-EmojiView$EmojiSearchAdapter$2$1 */
                            public /* synthetic */ void m2674x91e7ed6e(AlertDialog[] progressDialog, TLObject response, BottomSheet.Builder builder) {
                                try {
                                    progressDialog[0].dismiss();
                                } catch (Throwable th) {
                                }
                                progressDialog[0] = null;
                                if (response instanceof TLRPC.TL_emojiURL) {
                                    Browser.openUrl(EmojiView.this.getContext(), ((TLRPC.TL_emojiURL) response).url);
                                    builder.getDismissRunnable().run();
                                }
                            }

                            /* renamed from: lambda$onClick$3$im-uecahxyvjd-ui-components-EmojiView$EmojiSearchAdapter$2$1 */
                            public /* synthetic */ void m2677x4ea33c4b(AlertDialog[] progressDialog, final int requestId) {
                                if (progressDialog[0] == null) {
                                    return;
                                }
                                progressDialog[0].setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.components.EmojiView$EmojiSearchAdapter$2$1$$ExternalSyntheticLambda3
                                    @Override // android.content.DialogInterface.OnCancelListener
                                    public final void onCancel(DialogInterface dialogInterface) {
                                        EmojiView.EmojiSearchAdapter.AnonymousClass2.AnonymousClass1.this.m2676xba64ccac(requestId, dialogInterface);
                                    }
                                });
                                progressDialog[0].show();
                            }

                            /* renamed from: lambda$onClick$2$im-uecahxyvjd-ui-components-EmojiView$EmojiSearchAdapter$2$1 */
                            public /* synthetic */ void m2676xba64ccac(int requestId, DialogInterface dialog) {
                                ConnectionsManager.getInstance(EmojiView.this.currentAccount).cancelRequest(requestId, true);
                            }
                        }
                    });
                    frameLayout.setLayoutParams(new RecyclerView.LayoutParams(-1, -2));
                    view = frameLayout;
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            String coloredCode;
            String code;
            boolean recent;
            switch (holder.getItemViewType()) {
                case 0:
                    ImageViewEmoji imageView = (ImageViewEmoji) holder.itemView;
                    int position2 = position - 1;
                    if (this.result.isEmpty() && !this.searchWas) {
                        coloredCode = Emoji.recentEmoji.get(position2);
                        code = coloredCode;
                        recent = true;
                    } else {
                        coloredCode = this.result.get(position2).emoji;
                        code = coloredCode;
                        recent = false;
                    }
                    imageView.setImageDrawable(Emoji.getEmojiBigDrawable(coloredCode), recent);
                    imageView.setTag(code);
                    return;
                default:
                    return;
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            if (position == 0) {
                return 1;
            }
            if (position == 1 && this.searchWas && this.result.isEmpty()) {
                return 2;
            }
            return 0;
        }

        public void search(String text) {
            if (TextUtils.isEmpty(text)) {
                this.lastSearchEmojiString = null;
                if (EmojiView.this.emojiGridView.getAdapter() != EmojiView.this.emojiAdapter) {
                    EmojiView.this.emojiGridView.setAdapter(EmojiView.this.emojiAdapter);
                    this.searchWas = false;
                }
                notifyDataSetChanged();
            } else {
                this.lastSearchEmojiString = text.toLowerCase();
            }
            Runnable runnable = this.searchRunnable;
            if (runnable != null) {
                AndroidUtilities.cancelRunOnUIThread(runnable);
            }
            if (!TextUtils.isEmpty(this.lastSearchEmojiString)) {
                Runnable runnable2 = new Runnable() { // from class: im.uecahxyvjd.ui.components.EmojiView.EmojiSearchAdapter.3
                    {
                        EmojiSearchAdapter.this = this;
                    }

                    @Override // java.lang.Runnable
                    public void run() {
                        EmojiView.this.emojiSearchField.progressDrawable.startAnimation();
                        final String query = EmojiSearchAdapter.this.lastSearchEmojiString;
                        String[] newLanguage = AndroidUtilities.getCurrentKeyboardLanguage();
                        if (!Arrays.equals(EmojiView.this.lastSearchKeyboardLanguage, newLanguage)) {
                            MediaDataController.getInstance(EmojiView.this.currentAccount).fetchNewEmojiKeywords(newLanguage);
                        }
                        EmojiView.this.lastSearchKeyboardLanguage = newLanguage;
                        MediaDataController.getInstance(EmojiView.this.currentAccount).getEmojiSuggestions(EmojiView.this.lastSearchKeyboardLanguage, EmojiSearchAdapter.this.lastSearchEmojiString, false, new MediaDataController.KeywordResultCallback() { // from class: im.uecahxyvjd.ui.components.EmojiView.EmojiSearchAdapter.3.1
                            {
                                AnonymousClass3.this = this;
                            }

                            @Override // im.uecahxyvjd.messenger.MediaDataController.KeywordResultCallback
                            public void run(ArrayList<MediaDataController.KeywordResult> param, String alias) {
                                if (query.equals(EmojiSearchAdapter.this.lastSearchEmojiString)) {
                                    EmojiSearchAdapter.this.lastSearchAlias = alias;
                                    EmojiView.this.emojiSearchField.progressDrawable.stopAnimation();
                                    EmojiSearchAdapter.this.searchWas = true;
                                    if (EmojiView.this.emojiGridView.getAdapter() != EmojiView.this.emojiSearchAdapter) {
                                        EmojiView.this.emojiGridView.setAdapter(EmojiView.this.emojiSearchAdapter);
                                    }
                                    EmojiSearchAdapter.this.result = param;
                                    EmojiSearchAdapter.this.notifyDataSetChanged();
                                }
                            }
                        });
                    }
                };
                this.searchRunnable = runnable2;
                AndroidUtilities.runOnUIThread(runnable2, 300L);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes10.dex */
    public class EmojiPagesAdapter extends PagerAdapter implements PagerSlidingTabStrip.IconTabProvider {
        private EmojiPagesAdapter() {
            EmojiView.this = r1;
        }

        @Override // androidx.viewpager.widget.PagerAdapter
        public void destroyItem(ViewGroup viewGroup, int position, Object object) {
            viewGroup.removeView((View) EmojiView.this.views.get(position));
        }

        @Override // im.uecahxyvjd.ui.components.PagerSlidingTabStrip.IconTabProvider
        public boolean canScrollToTab(int position) {
            if ((position == 1 || position == 2) && EmojiView.this.currentChatId != 0) {
                EmojiView.this.showStickerBanHint(position == 1);
                return false;
            }
            return true;
        }

        @Override // androidx.viewpager.widget.PagerAdapter
        public int getCount() {
            return EmojiView.this.views.size();
        }

        @Override // im.uecahxyvjd.ui.components.PagerSlidingTabStrip.IconTabProvider
        public Drawable getPageIconDrawable(int position) {
            return EmojiView.this.tabIcons[position];
        }

        @Override // androidx.viewpager.widget.PagerAdapter
        public CharSequence getPageTitle(int position) {
            switch (position) {
                case 0:
                    return LocaleController.getString("Emoji", R.string.Emoji);
                case 1:
                    return LocaleController.getString("AccDescrGIFs", R.string.AccDescrGIFs);
                case 2:
                    return LocaleController.getString("AccDescrStickers", R.string.AccDescrStickers);
                default:
                    return null;
            }
        }

        @Override // im.uecahxyvjd.ui.components.PagerSlidingTabStrip.IconTabProvider
        public void customOnDraw(Canvas canvas, int position) {
            if (position == 2 && !MediaDataController.getInstance(EmojiView.this.currentAccount).getUnreadStickerSets().isEmpty() && EmojiView.this.dotPaint != null) {
                int x = (canvas.getWidth() / 2) + AndroidUtilities.dp(9.0f);
                int y = (canvas.getHeight() / 2) - AndroidUtilities.dp(8.0f);
                canvas.drawCircle(x, y, AndroidUtilities.dp(5.0f), EmojiView.this.dotPaint);
            }
        }

        @Override // androidx.viewpager.widget.PagerAdapter
        public Object instantiateItem(ViewGroup viewGroup, int position) {
            View view = (View) EmojiView.this.views.get(position);
            viewGroup.addView(view);
            return view;
        }

        @Override // androidx.viewpager.widget.PagerAdapter
        public boolean isViewFromObject(View view, Object object) {
            return view == object;
        }

        @Override // androidx.viewpager.widget.PagerAdapter
        public void unregisterDataSetObserver(DataSetObserver observer) {
            if (observer != null) {
                super.unregisterDataSetObserver(observer);
            }
        }
    }

    /* loaded from: classes10.dex */
    public class GifAdapter extends RecyclerListView.SelectionAdapter {
        private Context mContext;

        public GifAdapter(Context context) {
            EmojiView.this = r1;
            this.mContext = context;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return false;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return EmojiView.this.recentGifs.size() + 1;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public long getItemId(int i) {
            return i;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            if (position == 0) {
                return 1;
            }
            return 0;
        }

        /* JADX WARN: Multi-variable type inference failed */
        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view;
            switch (viewType) {
                case 0:
                    ContextLinkCell cell = new ContextLinkCell(this.mContext);
                    cell.setContentDescription(LocaleController.getString("AttachGif", R.string.AttachGif));
                    cell.setCanPreviewGif(true);
                    view = cell;
                    break;
                default:
                    view = new View(EmojiView.this.getContext());
                    view.setLayoutParams(new RecyclerView.LayoutParams(-1, EmojiView.this.searchFieldHeight));
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            switch (holder.getItemViewType()) {
                case 0:
                    TLRPC.Document document = (TLRPC.Document) EmojiView.this.recentGifs.get(position - 1);
                    if (document != null) {
                        ((ContextLinkCell) holder.itemView).setGif(document, false);
                        return;
                    }
                    return;
                default:
                    return;
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onViewAttachedToWindow(RecyclerView.ViewHolder holder) {
            if (holder.itemView instanceof ContextLinkCell) {
                ContextLinkCell cell = (ContextLinkCell) holder.itemView;
                ImageReceiver imageReceiver = cell.getPhotoImage();
                if (EmojiView.this.pager.getCurrentItem() == 1) {
                    imageReceiver.setAllowStartAnimation(true);
                    imageReceiver.startAnimation();
                    return;
                }
                imageReceiver.setAllowStartAnimation(false);
                imageReceiver.stopAnimation();
            }
        }
    }

    /* loaded from: classes10.dex */
    public class GifSearchAdapter extends RecyclerListView.SelectionAdapter {
        private TLRPC.User bot;
        private String lastSearchImageString;
        private Context mContext;
        private String nextSearchOffset;
        private int reqId;
        private ArrayList<TLRPC.BotInlineResult> results = new ArrayList<>();
        private HashMap<String, TLRPC.BotInlineResult> resultsMap = new HashMap<>();
        private boolean searchEndReached;
        private Runnable searchRunnable;
        private boolean searchingUser;

        public GifSearchAdapter(Context context) {
            EmojiView.this = r1;
            this.mContext = context;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return false;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return (this.results.isEmpty() ? 1 : this.results.size()) + 1;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            if (position == 0) {
                return 1;
            }
            if (this.results.isEmpty()) {
                return 2;
            }
            return 0;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view;
            switch (viewType) {
                case 0:
                    ContextLinkCell cell = new ContextLinkCell(this.mContext);
                    cell.setContentDescription(LocaleController.getString("AttachGif", R.string.AttachGif));
                    cell.setCanPreviewGif(true);
                    view = cell;
                    break;
                case 1:
                    view = new View(EmojiView.this.getContext());
                    view.setLayoutParams(new RecyclerView.LayoutParams(-1, EmojiView.this.searchFieldHeight));
                    break;
                default:
                    FrameLayout frameLayout = new FrameLayout(EmojiView.this.getContext()) { // from class: im.uecahxyvjd.ui.components.EmojiView.GifSearchAdapter.1
                        {
                            GifSearchAdapter.this = this;
                        }

                        @Override // android.widget.FrameLayout, android.view.View
                        protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
                            int height = EmojiView.this.gifGridView.getMeasuredHeight();
                            super.onMeasure(widthMeasureSpec, View.MeasureSpec.makeMeasureSpec((int) ((((height - EmojiView.this.searchFieldHeight) - AndroidUtilities.dp(8.0f)) / 3) * 1.7f), 1073741824));
                        }
                    };
                    ImageView imageView = new ImageView(EmojiView.this.getContext());
                    imageView.setScaleType(ImageView.ScaleType.CENTER);
                    imageView.setImageResource(R.drawable.gif_empty);
                    imageView.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_chat_emojiPanelEmptyText), PorterDuff.Mode.MULTIPLY));
                    frameLayout.addView(imageView, LayoutHelper.createFrame(-2.0f, -2.0f, 17, 0.0f, 0.0f, 0.0f, 59.0f));
                    TextView textView = new TextView(EmojiView.this.getContext());
                    textView.setText(LocaleController.getString("NoGIFsFound", R.string.NoGIFsFound));
                    textView.setTextSize(1, 16.0f);
                    textView.setTextColor(Theme.getColor(Theme.key_chat_emojiPanelEmptyText));
                    frameLayout.addView(textView, LayoutHelper.createFrame(-2.0f, -2.0f, 17, 0.0f, 0.0f, 0.0f, 9.0f));
                    view = frameLayout;
                    view.setLayoutParams(new RecyclerView.LayoutParams(-1, -2));
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            switch (holder.getItemViewType()) {
                case 0:
                    TLRPC.BotInlineResult result = this.results.get(position - 1);
                    ContextLinkCell cell = (ContextLinkCell) holder.itemView;
                    cell.setLink(result, true, false, false);
                    return;
                default:
                    return;
            }
        }

        public void search(final String text) {
            if (this.reqId != 0) {
                ConnectionsManager.getInstance(EmojiView.this.currentAccount).cancelRequest(this.reqId, true);
                this.reqId = 0;
            }
            if (TextUtils.isEmpty(text)) {
                this.lastSearchImageString = null;
                if (EmojiView.this.gifGridView.getAdapter() != EmojiView.this.gifAdapter) {
                    EmojiView.this.gifGridView.setAdapter(EmojiView.this.gifAdapter);
                }
                notifyDataSetChanged();
            } else {
                this.lastSearchImageString = text.toLowerCase();
            }
            Runnable runnable = this.searchRunnable;
            if (runnable != null) {
                AndroidUtilities.cancelRunOnUIThread(runnable);
            }
            if (!TextUtils.isEmpty(this.lastSearchImageString)) {
                Runnable runnable2 = new Runnable() { // from class: im.uecahxyvjd.ui.components.EmojiView.GifSearchAdapter.2
                    {
                        GifSearchAdapter.this = this;
                    }

                    @Override // java.lang.Runnable
                    public void run() {
                        GifSearchAdapter.this.search(text, "", true);
                    }
                };
                this.searchRunnable = runnable2;
                AndroidUtilities.runOnUIThread(runnable2, 300L);
            }
        }

        private void searchBotUser() {
            if (this.searchingUser) {
                return;
            }
            this.searchingUser = true;
            TLRPC.TL_contacts_resolveUsername req = new TLRPC.TL_contacts_resolveUsername();
            req.username = MessagesController.getInstance(EmojiView.this.currentAccount).gifSearchBot;
            ConnectionsManager.getInstance(EmojiView.this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.components.EmojiView$GifSearchAdapter$$ExternalSyntheticLambda3
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    EmojiView.GifSearchAdapter.this.m2681xe7463ed3(tLObject, tL_error);
                }
            });
        }

        /* renamed from: lambda$searchBotUser$1$im-uecahxyvjd-ui-components-EmojiView$GifSearchAdapter */
        public /* synthetic */ void m2681xe7463ed3(final TLObject response, TLRPC.TL_error error) {
            if (response != null) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.components.EmojiView$GifSearchAdapter$$ExternalSyntheticLambda1
                    @Override // java.lang.Runnable
                    public final void run() {
                        EmojiView.GifSearchAdapter.this.m2680xe60febf4(response);
                    }
                });
            }
        }

        /* renamed from: lambda$searchBotUser$0$im-uecahxyvjd-ui-components-EmojiView$GifSearchAdapter */
        public /* synthetic */ void m2680xe60febf4(TLObject response) {
            TLRPC.TL_contacts_resolvedPeer res = (TLRPC.TL_contacts_resolvedPeer) response;
            MessagesController.getInstance(EmojiView.this.currentAccount).putUsers(res.users, false);
            MessagesController.getInstance(EmojiView.this.currentAccount).putChats(res.chats, false);
            MessagesStorage.getInstance(EmojiView.this.currentAccount).putUsersAndChats(res.users, res.chats, true, true);
            String str = this.lastSearchImageString;
            this.lastSearchImageString = null;
            search(str, "", false);
        }

        public void search(String query, final String offset, boolean searchUser) {
            if (this.reqId != 0) {
                ConnectionsManager.getInstance(EmojiView.this.currentAccount).cancelRequest(this.reqId, true);
                this.reqId = 0;
            }
            this.lastSearchImageString = query;
            TLObject object = MessagesController.getInstance(EmojiView.this.currentAccount).getUserOrChat(MessagesController.getInstance(EmojiView.this.currentAccount).gifSearchBot);
            if (!(object instanceof TLRPC.User)) {
                if (searchUser) {
                    searchBotUser();
                    EmojiView.this.gifSearchField.progressDrawable.startAnimation();
                    return;
                }
                return;
            }
            if (TextUtils.isEmpty(offset)) {
                EmojiView.this.gifSearchField.progressDrawable.startAnimation();
            }
            this.bot = (TLRPC.User) object;
            final TLRPC.TL_messages_getInlineBotResults req = new TLRPC.TL_messages_getInlineBotResults();
            req.query = query == null ? "" : query;
            req.bot = MessagesController.getInstance(EmojiView.this.currentAccount).getInputUser(this.bot);
            req.offset = offset;
            req.peer = new TLRPC.TL_inputPeerEmpty();
            this.reqId = ConnectionsManager.getInstance(EmojiView.this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.components.EmojiView$GifSearchAdapter$$ExternalSyntheticLambda0
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    EmojiView.GifSearchAdapter.this.m2679x49ee8bb9(req, offset, tLObject, tL_error);
                }
            }, 2);
        }

        /* renamed from: lambda$search$3$im-uecahxyvjd-ui-components-EmojiView$GifSearchAdapter */
        public /* synthetic */ void m2679x49ee8bb9(final TLRPC.TL_messages_getInlineBotResults req, final String offset, final TLObject response, TLRPC.TL_error error) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.components.EmojiView$GifSearchAdapter$$ExternalSyntheticLambda2
                @Override // java.lang.Runnable
                public final void run() {
                    EmojiView.GifSearchAdapter.this.m2678x48b838da(req, offset, response);
                }
            });
        }

        /* renamed from: lambda$search$2$im-uecahxyvjd-ui-components-EmojiView$GifSearchAdapter */
        public /* synthetic */ void m2678x48b838da(TLRPC.TL_messages_getInlineBotResults req, String offset, TLObject response) {
            if (req.query.equals(this.lastSearchImageString)) {
                if (EmojiView.this.gifGridView.getAdapter() != EmojiView.this.gifSearchAdapter) {
                    EmojiView.this.gifGridView.setAdapter(EmojiView.this.gifSearchAdapter);
                }
                if (TextUtils.isEmpty(offset)) {
                    this.results.clear();
                    this.resultsMap.clear();
                    EmojiView.this.gifSearchField.progressDrawable.stopAnimation();
                }
                boolean z = false;
                this.reqId = 0;
                if (response instanceof TLRPC.messages_BotResults) {
                    int addedCount = 0;
                    int oldCount = this.results.size();
                    TLRPC.messages_BotResults res = (TLRPC.messages_BotResults) response;
                    this.nextSearchOffset = res.next_offset;
                    for (int a2 = 0; a2 < res.results.size(); a2++) {
                        TLRPC.BotInlineResult result = res.results.get(a2);
                        if (!this.resultsMap.containsKey(result.id)) {
                            result.query_id = res.query_id;
                            this.results.add(result);
                            this.resultsMap.put(result.id, result);
                            addedCount++;
                        }
                    }
                    this.searchEndReached = (oldCount == this.results.size() || TextUtils.isEmpty(this.nextSearchOffset)) ? true : true;
                    if (addedCount != 0) {
                        if (oldCount != 0) {
                            notifyItemChanged(oldCount);
                        }
                        notifyItemRangeInserted(oldCount + 1, addedCount);
                        return;
                    } else if (this.results.isEmpty()) {
                        notifyDataSetChanged();
                        return;
                    } else {
                        return;
                    }
                }
                notifyDataSetChanged();
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void notifyDataSetChanged() {
            super.notifyDataSetChanged();
        }
    }

    /* loaded from: classes10.dex */
    public class StickersSearchGridAdapter extends RecyclerListView.SelectionAdapter {
        boolean cleared;
        private Context context;
        private int emojiSearchId;
        private int reqId;
        private int reqId2;
        private String searchQuery;
        private int totalItems;
        private SparseArray<Object> rowStartPack = new SparseArray<>();
        private SparseArray<Object> cache = new SparseArray<>();
        private SparseArray<Object> cacheParent = new SparseArray<>();
        private SparseIntArray positionToRow = new SparseIntArray();
        private SparseArray<String> positionToEmoji = new SparseArray<>();
        private ArrayList<TLRPC.StickerSetCovered> serverPacks = new ArrayList<>();
        private ArrayList<TLRPC.TL_messages_stickerSet> localPacks = new ArrayList<>();
        private HashMap<TLRPC.TL_messages_stickerSet, Boolean> localPacksByShortName = new HashMap<>();
        private HashMap<TLRPC.TL_messages_stickerSet, Integer> localPacksByName = new HashMap<>();
        private HashMap<ArrayList<TLRPC.Document>, String> emojiStickers = new HashMap<>();
        private ArrayList<ArrayList<TLRPC.Document>> emojiArrays = new ArrayList<>();
        private SparseArray<TLRPC.StickerSetCovered> positionsToSets = new SparseArray<>();
        private Runnable searchRunnable = new AnonymousClass1();

        static /* synthetic */ int access$13304(StickersSearchGridAdapter x0) {
            int i = x0.emojiSearchId + 1;
            x0.emojiSearchId = i;
            return i;
        }

        /* renamed from: im.uecahxyvjd.ui.components.EmojiView$StickersSearchGridAdapter$1 */
        /* loaded from: classes10.dex */
        public class AnonymousClass1 implements Runnable {
            AnonymousClass1() {
                StickersSearchGridAdapter.this = this$1;
            }

            public void clear() {
                if (StickersSearchGridAdapter.this.cleared) {
                    return;
                }
                StickersSearchGridAdapter.this.cleared = true;
                StickersSearchGridAdapter.this.emojiStickers.clear();
                StickersSearchGridAdapter.this.emojiArrays.clear();
                StickersSearchGridAdapter.this.localPacks.clear();
                StickersSearchGridAdapter.this.serverPacks.clear();
                StickersSearchGridAdapter.this.localPacksByShortName.clear();
                StickersSearchGridAdapter.this.localPacksByName.clear();
            }

            @Override // java.lang.Runnable
            public void run() {
                int index;
                int index2;
                if (!TextUtils.isEmpty(StickersSearchGridAdapter.this.searchQuery)) {
                    EmojiView.this.stickersSearchField.progressDrawable.startAnimation();
                    StickersSearchGridAdapter.this.cleared = false;
                    final int lastId = StickersSearchGridAdapter.access$13304(StickersSearchGridAdapter.this);
                    final ArrayList<TLRPC.Document> emojiStickersArray = new ArrayList<>(0);
                    final LongSparseArray<TLRPC.Document> emojiStickersMap = new LongSparseArray<>(0);
                    final HashMap<String, ArrayList<TLRPC.Document>> allStickers = MediaDataController.getInstance(EmojiView.this.currentAccount).getAllStickers();
                    if (StickersSearchGridAdapter.this.searchQuery.length() <= 14) {
                        CharSequence emoji = StickersSearchGridAdapter.this.searchQuery;
                        int length = emoji.length();
                        int a2 = 0;
                        while (a2 < length) {
                            if (a2 < length - 1 && ((emoji.charAt(a2) == 55356 && emoji.charAt(a2 + 1) >= 57339 && emoji.charAt(a2 + 1) <= 57343) || (emoji.charAt(a2) == 8205 && (emoji.charAt(a2 + 1) == 9792 || emoji.charAt(a2 + 1) == 9794)))) {
                                emoji = TextUtils.concat(emoji.subSequence(0, a2), emoji.subSequence(a2 + 2, emoji.length()));
                                length -= 2;
                                a2--;
                            } else if (emoji.charAt(a2) == 65039) {
                                emoji = TextUtils.concat(emoji.subSequence(0, a2), emoji.subSequence(a2 + 1, emoji.length()));
                                length--;
                                a2--;
                            }
                            a2++;
                        }
                        ArrayList<TLRPC.Document> newStickers = allStickers != null ? allStickers.get(emoji.toString()) : null;
                        if (newStickers != null && !newStickers.isEmpty()) {
                            clear();
                            emojiStickersArray.addAll(newStickers);
                            int size = newStickers.size();
                            for (int a3 = 0; a3 < size; a3++) {
                                TLRPC.Document document = newStickers.get(a3);
                                emojiStickersMap.put(document.id, document);
                            }
                            StickersSearchGridAdapter.this.emojiStickers.put(emojiStickersArray, StickersSearchGridAdapter.this.searchQuery);
                            StickersSearchGridAdapter.this.emojiArrays.add(emojiStickersArray);
                        }
                    }
                    if (allStickers != null && !allStickers.isEmpty() && StickersSearchGridAdapter.this.searchQuery.length() > 1) {
                        String[] newLanguage = AndroidUtilities.getCurrentKeyboardLanguage();
                        if (!Arrays.equals(EmojiView.this.lastSearchKeyboardLanguage, newLanguage)) {
                            MediaDataController.getInstance(EmojiView.this.currentAccount).fetchNewEmojiKeywords(newLanguage);
                        }
                        EmojiView.this.lastSearchKeyboardLanguage = newLanguage;
                        MediaDataController.getInstance(EmojiView.this.currentAccount).getEmojiSuggestions(EmojiView.this.lastSearchKeyboardLanguage, StickersSearchGridAdapter.this.searchQuery, false, new MediaDataController.KeywordResultCallback() { // from class: im.uecahxyvjd.ui.components.EmojiView.StickersSearchGridAdapter.1.1
                            {
                                AnonymousClass1.this = this;
                            }

                            @Override // im.uecahxyvjd.messenger.MediaDataController.KeywordResultCallback
                            public void run(ArrayList<MediaDataController.KeywordResult> param, String alias) {
                                if (lastId != StickersSearchGridAdapter.this.emojiSearchId) {
                                    return;
                                }
                                boolean added = false;
                                int size2 = param.size();
                                for (int a4 = 0; a4 < size2; a4++) {
                                    String emoji2 = param.get(a4).emoji;
                                    HashMap hashMap = allStickers;
                                    ArrayList<TLRPC.Document> newStickers2 = hashMap != null ? (ArrayList) hashMap.get(emoji2) : null;
                                    if (newStickers2 != null && !newStickers2.isEmpty()) {
                                        AnonymousClass1.this.clear();
                                        if (!StickersSearchGridAdapter.this.emojiStickers.containsKey(newStickers2)) {
                                            StickersSearchGridAdapter.this.emojiStickers.put(newStickers2, emoji2);
                                            StickersSearchGridAdapter.this.emojiArrays.add(newStickers2);
                                            added = true;
                                        }
                                    }
                                }
                                if (added) {
                                    StickersSearchGridAdapter.this.notifyDataSetChanged();
                                }
                            }
                        });
                    }
                    ArrayList<TLRPC.TL_messages_stickerSet> local = MediaDataController.getInstance(EmojiView.this.currentAccount).getStickerSets(0);
                    int size2 = local.size();
                    for (int a4 = 0; a4 < size2; a4++) {
                        TLRPC.TL_messages_stickerSet set = local.get(a4);
                        int index3 = AndroidUtilities.indexOfIgnoreCase(set.set.title, StickersSearchGridAdapter.this.searchQuery);
                        if (index3 >= 0) {
                            if (index3 == 0 || set.set.title.charAt(index3 - 1) == ' ') {
                                clear();
                                StickersSearchGridAdapter.this.localPacks.add(set);
                                StickersSearchGridAdapter.this.localPacksByName.put(set, Integer.valueOf(index3));
                            }
                        } else if (set.set.short_name != null && (index2 = AndroidUtilities.indexOfIgnoreCase(set.set.short_name, StickersSearchGridAdapter.this.searchQuery)) >= 0 && (index2 == 0 || set.set.short_name.charAt(index2 - 1) == ' ')) {
                            clear();
                            StickersSearchGridAdapter.this.localPacks.add(set);
                            StickersSearchGridAdapter.this.localPacksByShortName.put(set, true);
                        }
                    }
                    ArrayList<TLRPC.TL_messages_stickerSet> local2 = MediaDataController.getInstance(EmojiView.this.currentAccount).getStickerSets(3);
                    int size3 = local2.size();
                    for (int a5 = 0; a5 < size3; a5++) {
                        TLRPC.TL_messages_stickerSet set2 = local2.get(a5);
                        int index4 = AndroidUtilities.indexOfIgnoreCase(set2.set.title, StickersSearchGridAdapter.this.searchQuery);
                        if (index4 >= 0) {
                            if (index4 == 0 || set2.set.title.charAt(index4 - 1) == ' ') {
                                clear();
                                StickersSearchGridAdapter.this.localPacks.add(set2);
                                StickersSearchGridAdapter.this.localPacksByName.put(set2, Integer.valueOf(index4));
                            }
                        } else if (set2.set.short_name != null && (index = AndroidUtilities.indexOfIgnoreCase(set2.set.short_name, StickersSearchGridAdapter.this.searchQuery)) >= 0 && (index == 0 || set2.set.short_name.charAt(index - 1) == ' ')) {
                            clear();
                            StickersSearchGridAdapter.this.localPacks.add(set2);
                            StickersSearchGridAdapter.this.localPacksByShortName.put(set2, true);
                        }
                    }
                    if ((!StickersSearchGridAdapter.this.localPacks.isEmpty() || !StickersSearchGridAdapter.this.emojiStickers.isEmpty()) && EmojiView.this.stickersGridView.getAdapter() != EmojiView.this.stickersSearchGridAdapter) {
                        EmojiView.this.stickersGridView.setAdapter(EmojiView.this.stickersSearchGridAdapter);
                    }
                    final TLRPC.TL_messages_searchStickerSets req = new TLRPC.TL_messages_searchStickerSets();
                    req.q = StickersSearchGridAdapter.this.searchQuery;
                    StickersSearchGridAdapter stickersSearchGridAdapter = StickersSearchGridAdapter.this;
                    stickersSearchGridAdapter.reqId = ConnectionsManager.getInstance(EmojiView.this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.components.EmojiView$StickersSearchGridAdapter$1$$ExternalSyntheticLambda0
                        @Override // im.uecahxyvjd.tgnet.RequestDelegate
                        public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                            EmojiView.StickersSearchGridAdapter.AnonymousClass1.this.m2687x706608a9(req, tLObject, tL_error);
                        }
                    });
                    if (Emoji.isValidEmoji(StickersSearchGridAdapter.this.searchQuery)) {
                        final TLRPC.TL_messages_getStickers req2 = new TLRPC.TL_messages_getStickers();
                        req2.emoticon = StickersSearchGridAdapter.this.searchQuery;
                        req2.hash = 0;
                        StickersSearchGridAdapter stickersSearchGridAdapter2 = StickersSearchGridAdapter.this;
                        stickersSearchGridAdapter2.reqId2 = ConnectionsManager.getInstance(EmojiView.this.currentAccount).sendRequest(req2, new RequestDelegate() { // from class: im.uecahxyvjd.ui.components.EmojiView$StickersSearchGridAdapter$1$$ExternalSyntheticLambda1
                            @Override // im.uecahxyvjd.tgnet.RequestDelegate
                            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                                EmojiView.StickersSearchGridAdapter.AnonymousClass1.this.m2689x27e9002b(req2, emojiStickersArray, emojiStickersMap, tLObject, tL_error);
                            }
                        });
                    }
                    StickersSearchGridAdapter.this.notifyDataSetChanged();
                }
            }

            /* renamed from: lambda$run$1$im-uecahxyvjd-ui-components-EmojiView$StickersSearchGridAdapter$1 */
            public /* synthetic */ void m2687x706608a9(final TLRPC.TL_messages_searchStickerSets req, final TLObject response, TLRPC.TL_error error) {
                if (response instanceof TLRPC.TL_messages_foundStickerSets) {
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.components.EmojiView$StickersSearchGridAdapter$1$$ExternalSyntheticLambda2
                        @Override // java.lang.Runnable
                        public final void run() {
                            EmojiView.StickersSearchGridAdapter.AnonymousClass1.this.m2686x94a48ce8(req, response);
                        }
                    });
                }
            }

            /* renamed from: lambda$run$0$im-uecahxyvjd-ui-components-EmojiView$StickersSearchGridAdapter$1 */
            public /* synthetic */ void m2686x94a48ce8(TLRPC.TL_messages_searchStickerSets req, TLObject response) {
                if (req.q.equals(StickersSearchGridAdapter.this.searchQuery)) {
                    clear();
                    EmojiView.this.stickersSearchField.progressDrawable.stopAnimation();
                    StickersSearchGridAdapter.this.reqId = 0;
                    if (EmojiView.this.stickersGridView.getAdapter() != EmojiView.this.stickersSearchGridAdapter) {
                        EmojiView.this.stickersGridView.setAdapter(EmojiView.this.stickersSearchGridAdapter);
                    }
                    TLRPC.TL_messages_foundStickerSets res = (TLRPC.TL_messages_foundStickerSets) response;
                    StickersSearchGridAdapter.this.serverPacks.addAll(res.sets);
                    StickersSearchGridAdapter.this.notifyDataSetChanged();
                }
            }

            /* renamed from: lambda$run$3$im-uecahxyvjd-ui-components-EmojiView$StickersSearchGridAdapter$1 */
            public /* synthetic */ void m2689x27e9002b(final TLRPC.TL_messages_getStickers req2, final ArrayList emojiStickersArray, final LongSparseArray emojiStickersMap, final TLObject response, TLRPC.TL_error error) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.components.EmojiView$StickersSearchGridAdapter$1$$ExternalSyntheticLambda3
                    @Override // java.lang.Runnable
                    public final void run() {
                        EmojiView.StickersSearchGridAdapter.AnonymousClass1.this.m2688x4c27846a(req2, response, emojiStickersArray, emojiStickersMap);
                    }
                });
            }

            /* renamed from: lambda$run$2$im-uecahxyvjd-ui-components-EmojiView$StickersSearchGridAdapter$1 */
            public /* synthetic */ void m2688x4c27846a(TLRPC.TL_messages_getStickers req2, TLObject response, ArrayList emojiStickersArray, LongSparseArray emojiStickersMap) {
                if (req2.emoticon.equals(StickersSearchGridAdapter.this.searchQuery)) {
                    StickersSearchGridAdapter.this.reqId2 = 0;
                    if (!(response instanceof TLRPC.TL_messages_stickers)) {
                        return;
                    }
                    TLRPC.TL_messages_stickers res = (TLRPC.TL_messages_stickers) response;
                    int oldCount = emojiStickersArray.size();
                    int size = res.stickers.size();
                    for (int a2 = 0; a2 < size; a2++) {
                        TLRPC.Document document = res.stickers.get(a2);
                        if (emojiStickersMap.indexOfKey(document.id) < 0) {
                            emojiStickersArray.add(document);
                        }
                    }
                    int newCount = emojiStickersArray.size();
                    if (oldCount != newCount) {
                        StickersSearchGridAdapter.this.emojiStickers.put(emojiStickersArray, StickersSearchGridAdapter.this.searchQuery);
                        if (oldCount == 0) {
                            StickersSearchGridAdapter.this.emojiArrays.add(emojiStickersArray);
                        }
                        StickersSearchGridAdapter.this.notifyDataSetChanged();
                    }
                }
            }
        }

        public StickersSearchGridAdapter(Context context) {
            EmojiView.this = r1;
            this.context = context;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return false;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            int i = this.totalItems;
            if (i != 1) {
                return i + 1;
            }
            return 2;
        }

        public Object getItem(int i) {
            return this.cache.get(i);
        }

        public void search(String text) {
            if (this.reqId != 0) {
                ConnectionsManager.getInstance(EmojiView.this.currentAccount).cancelRequest(this.reqId, true);
                this.reqId = 0;
            }
            if (this.reqId2 != 0) {
                ConnectionsManager.getInstance(EmojiView.this.currentAccount).cancelRequest(this.reqId2, true);
                this.reqId2 = 0;
            }
            if (TextUtils.isEmpty(text)) {
                this.searchQuery = null;
                this.localPacks.clear();
                this.emojiStickers.clear();
                this.serverPacks.clear();
                if (EmojiView.this.stickersGridView.getAdapter() != EmojiView.this.stickersGridAdapter) {
                    EmojiView.this.stickersGridView.setAdapter(EmojiView.this.stickersGridAdapter);
                }
                notifyDataSetChanged();
            } else {
                this.searchQuery = text.toLowerCase();
            }
            AndroidUtilities.cancelRunOnUIThread(this.searchRunnable);
            AndroidUtilities.runOnUIThread(this.searchRunnable, 300L);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            if (position == 0) {
                return 4;
            }
            if (position == 1 && this.totalItems == 1) {
                return 5;
            }
            Object object = this.cache.get(position);
            if (object == null) {
                return 1;
            }
            if (object instanceof TLRPC.Document) {
                return 0;
            }
            if (object instanceof TLRPC.StickerSetCovered) {
                return 3;
            }
            return 2;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view = null;
            switch (viewType) {
                case 0:
                    view = new StickerEmojiCell(this.context) { // from class: im.uecahxyvjd.ui.components.EmojiView.StickersSearchGridAdapter.2
                        {
                            StickersSearchGridAdapter.this = this;
                        }

                        @Override // android.widget.FrameLayout, android.view.View
                        public void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
                            super.onMeasure(widthMeasureSpec, View.MeasureSpec.makeMeasureSpec(AndroidUtilities.dp(82.0f), 1073741824));
                        }
                    };
                    break;
                case 1:
                    view = new EmptyCell(this.context);
                    break;
                case 2:
                    view = new StickerSetNameCell(this.context, false);
                    break;
                case 3:
                    view = new FeaturedStickerSetInfoCell(this.context, 17);
                    ((FeaturedStickerSetInfoCell) view).setAddOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.components.EmojiView$StickersSearchGridAdapter$$ExternalSyntheticLambda0
                        @Override // android.view.View.OnClickListener
                        public final void onClick(View view2) {
                            EmojiView.StickersSearchGridAdapter.this.m2685x18b71af6(view2);
                        }
                    });
                    break;
                case 4:
                    view = new View(this.context);
                    view.setLayoutParams(new RecyclerView.LayoutParams(-1, EmojiView.this.searchFieldHeight));
                    break;
                case 5:
                    FrameLayout frameLayout = new FrameLayout(this.context) { // from class: im.uecahxyvjd.ui.components.EmojiView.StickersSearchGridAdapter.3
                        {
                            StickersSearchGridAdapter.this = this;
                        }

                        @Override // android.widget.FrameLayout, android.view.View
                        protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
                            int height = EmojiView.this.stickersGridView.getMeasuredHeight();
                            super.onMeasure(widthMeasureSpec, View.MeasureSpec.makeMeasureSpec((int) ((((height - EmojiView.this.searchFieldHeight) - AndroidUtilities.dp(8.0f)) / 3) * 1.7f), 1073741824));
                        }
                    };
                    ImageView imageView = new ImageView(this.context);
                    imageView.setScaleType(ImageView.ScaleType.CENTER);
                    imageView.setImageResource(R.drawable.stickers_empty);
                    imageView.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_chat_emojiPanelEmptyText), PorterDuff.Mode.MULTIPLY));
                    frameLayout.addView(imageView, LayoutHelper.createFrame(-2.0f, -2.0f, 17, 0.0f, 0.0f, 0.0f, 59.0f));
                    TextView textView = new TextView(this.context);
                    textView.setText(LocaleController.getString("NoStickersFound", R.string.NoStickersFound));
                    textView.setTextSize(1, 16.0f);
                    textView.setTextColor(Theme.getColor(Theme.key_chat_emojiPanelEmptyText));
                    frameLayout.addView(textView, LayoutHelper.createFrame(-2.0f, -2.0f, 17, 0.0f, 0.0f, 0.0f, 9.0f));
                    view = frameLayout;
                    view.setLayoutParams(new RecyclerView.LayoutParams(-1, -2));
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        /* renamed from: lambda$onCreateViewHolder$0$im-uecahxyvjd-ui-components-EmojiView$StickersSearchGridAdapter */
        public /* synthetic */ void m2685x18b71af6(View v) {
            FeaturedStickerSetInfoCell parent1 = (FeaturedStickerSetInfoCell) v.getParent();
            TLRPC.StickerSetCovered pack = parent1.getStickerSet();
            if (EmojiView.this.installingStickerSets.indexOfKey(pack.set.id) >= 0 || EmojiView.this.removingStickerSets.indexOfKey(pack.set.id) >= 0) {
                return;
            }
            if (parent1.isInstalled()) {
                EmojiView.this.removingStickerSets.put(pack.set.id, pack);
                EmojiView.this.delegate.onStickerSetRemove(parent1.getStickerSet());
            } else {
                EmojiView.this.installingStickerSets.put(pack.set.id, pack);
                EmojiView.this.delegate.onStickerSetAdd(parent1.getStickerSet());
            }
            parent1.setDrawProgress(true);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            Integer count;
            boolean z = true;
            r1 = true;
            boolean z2 = true;
            z = true;
            switch (holder.getItemViewType()) {
                case 0:
                    TLRPC.Document sticker = (TLRPC.Document) this.cache.get(position);
                    StickerEmojiCell cell = (StickerEmojiCell) holder.itemView;
                    cell.setSticker(sticker, this.cacheParent.get(position), this.positionToEmoji.get(position), false);
                    if (!EmojiView.this.recentStickers.contains(sticker) && !EmojiView.this.favouriteStickers.contains(sticker)) {
                        z = false;
                    }
                    cell.setRecent(z);
                    return;
                case 1:
                    EmptyCell cell2 = (EmptyCell) holder.itemView;
                    if (position == this.totalItems) {
                        int row = this.positionToRow.get(position - 1, Integer.MIN_VALUE);
                        if (row == Integer.MIN_VALUE) {
                            cell2.setHeight(1);
                            return;
                        }
                        Object pack = this.rowStartPack.get(row);
                        if (pack instanceof TLRPC.TL_messages_stickerSet) {
                            count = Integer.valueOf(((TLRPC.TL_messages_stickerSet) pack).documents.size());
                        } else if (pack instanceof Integer) {
                            count = (Integer) pack;
                        } else {
                            count = null;
                        }
                        if (count == null) {
                            cell2.setHeight(1);
                            return;
                        } else if (count.intValue() != 0) {
                            int height = EmojiView.this.pager.getHeight() - (((int) Math.ceil(count.intValue() / EmojiView.this.stickersGridAdapter.stickersPerRow)) * AndroidUtilities.dp(82.0f));
                            cell2.setHeight(height > 0 ? height : 1);
                            return;
                        } else {
                            cell2.setHeight(AndroidUtilities.dp(8.0f));
                            return;
                        }
                    }
                    cell2.setHeight(AndroidUtilities.dp(82.0f));
                    return;
                case 2:
                    StickerSetNameCell cell3 = (StickerSetNameCell) holder.itemView;
                    Object object = this.cache.get(position);
                    if (object instanceof TLRPC.TL_messages_stickerSet) {
                        TLRPC.TL_messages_stickerSet set = (TLRPC.TL_messages_stickerSet) object;
                        if (!TextUtils.isEmpty(this.searchQuery) && this.localPacksByShortName.containsKey(set)) {
                            if (set.set != null) {
                                cell3.setText(set.set.title, 0);
                            }
                            cell3.setUrl(set.set.short_name, this.searchQuery.length());
                            return;
                        }
                        Integer start = this.localPacksByName.get(set);
                        if (set.set != null && start != null) {
                            cell3.setText(set.set.title, 0, start.intValue(), !TextUtils.isEmpty(this.searchQuery) ? this.searchQuery.length() : 0);
                        }
                        cell3.setUrl(null, 0);
                        return;
                    }
                    return;
                case 3:
                    TLRPC.StickerSetCovered stickerSetCovered = (TLRPC.StickerSetCovered) this.cache.get(position);
                    FeaturedStickerSetInfoCell cell4 = (FeaturedStickerSetInfoCell) holder.itemView;
                    boolean installing = EmojiView.this.installingStickerSets.indexOfKey(stickerSetCovered.set.id) >= 0;
                    boolean removing = EmojiView.this.removingStickerSets.indexOfKey(stickerSetCovered.set.id) >= 0;
                    if (installing || removing) {
                        if (installing && cell4.isInstalled()) {
                            EmojiView.this.installingStickerSets.remove(stickerSetCovered.set.id);
                            installing = false;
                        } else if (removing && !cell4.isInstalled()) {
                            EmojiView.this.removingStickerSets.remove(stickerSetCovered.set.id);
                            removing = false;
                        }
                    }
                    if (!installing && !removing) {
                        z2 = false;
                    }
                    cell4.setDrawProgress(z2);
                    int idx = TextUtils.isEmpty(this.searchQuery) ? -1 : AndroidUtilities.indexOfIgnoreCase(stickerSetCovered.set.title, this.searchQuery);
                    if (idx >= 0) {
                        cell4.setStickerSet(stickerSetCovered, false, idx, this.searchQuery.length());
                        return;
                    }
                    cell4.setStickerSet(stickerSetCovered, false);
                    if (!TextUtils.isEmpty(this.searchQuery) && AndroidUtilities.indexOfIgnoreCase(stickerSetCovered.set.short_name, this.searchQuery) == 0) {
                        cell4.setUrl(stickerSetCovered.set.short_name, this.searchQuery.length());
                        return;
                    }
                    return;
                default:
                    return;
            }
        }

        /* JADX WARN: Multi-variable type inference failed */
        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void notifyDataSetChanged() {
            int serverCount;
            ArrayList<TLRPC.Document> documents;
            Object pack;
            this.rowStartPack.clear();
            this.positionToRow.clear();
            this.cache.clear();
            this.positionsToSets.clear();
            this.positionToEmoji.clear();
            this.totalItems = 0;
            int startRow = 0;
            int a2 = -1;
            int serverCount2 = this.serverPacks.size();
            int localCount = this.localPacks.size();
            int emojiCount = !this.emojiArrays.isEmpty() ? 1 : 0;
            while (a2 < serverCount2 + localCount + emojiCount) {
                Object pack2 = null;
                if (a2 == -1) {
                    SparseArray<Object> sparseArray = this.cache;
                    int i = this.totalItems;
                    this.totalItems = i + 1;
                    sparseArray.put(i, "search");
                    startRow++;
                    serverCount = serverCount2;
                } else {
                    int idx = a2;
                    if (idx < localCount) {
                        TLRPC.TL_messages_stickerSet set = this.localPacks.get(idx);
                        documents = set.documents;
                        pack = set;
                        serverCount = serverCount2;
                    } else {
                        int idx2 = idx - localCount;
                        if (idx2 < emojiCount) {
                            int documentsCount = 0;
                            String lastEmoji = "";
                            int N = this.emojiArrays.size();
                            for (int i2 = 0; i2 < N; i2++) {
                                ArrayList<TLRPC.Document> documents2 = this.emojiArrays.get(i2);
                                String emoji = this.emojiStickers.get(documents2);
                                if (emoji != null && !lastEmoji.equals(emoji)) {
                                    lastEmoji = emoji;
                                    this.positionToEmoji.put(this.totalItems + documentsCount, lastEmoji);
                                }
                                int b = 0;
                                int size = documents2.size();
                                while (b < size) {
                                    int serverCount3 = serverCount2;
                                    int serverCount4 = this.totalItems;
                                    int num = serverCount4 + documentsCount;
                                    Object pack3 = pack2;
                                    int row = (documentsCount / EmojiView.this.stickersGridAdapter.stickersPerRow) + startRow;
                                    String lastEmoji2 = lastEmoji;
                                    TLRPC.Document document = documents2.get(b);
                                    int N2 = N;
                                    this.cache.put(num, document);
                                    ArrayList<TLRPC.Document> documents3 = documents2;
                                    String emoji2 = emoji;
                                    Object parent = MediaDataController.getInstance(EmojiView.this.currentAccount).getStickerSetById(MediaDataController.getStickerSetId(document));
                                    if (parent != null) {
                                        this.cacheParent.put(num, parent);
                                    }
                                    this.positionToRow.put(num, row);
                                    documentsCount++;
                                    b++;
                                    serverCount2 = serverCount3;
                                    pack2 = pack3;
                                    N = N2;
                                    lastEmoji = lastEmoji2;
                                    documents2 = documents3;
                                    emoji = emoji2;
                                }
                            }
                            serverCount = serverCount2;
                            int count = (int) Math.ceil(documentsCount / EmojiView.this.stickersGridAdapter.stickersPerRow);
                            for (int b2 = 0; b2 < count; b2++) {
                                this.rowStartPack.put(startRow + b2, Integer.valueOf(documentsCount));
                            }
                            int b3 = this.totalItems;
                            this.totalItems = b3 + (EmojiView.this.stickersGridAdapter.stickersPerRow * count);
                            startRow += count;
                        } else {
                            serverCount = serverCount2;
                            TLRPC.StickerSetCovered set2 = this.serverPacks.get(idx2 - emojiCount);
                            documents = set2.covers;
                            pack = set2;
                        }
                    }
                    if (!documents.isEmpty()) {
                        int count2 = (int) Math.ceil(documents.size() / EmojiView.this.stickersGridAdapter.stickersPerRow);
                        this.cache.put(this.totalItems, pack);
                        if (a2 >= localCount && (pack instanceof TLRPC.StickerSetCovered)) {
                            this.positionsToSets.put(this.totalItems, (TLRPC.StickerSetCovered) pack);
                        }
                        this.positionToRow.put(this.totalItems, startRow);
                        int size2 = documents.size();
                        for (int b4 = 0; b4 < size2; b4++) {
                            int num2 = b4 + 1 + this.totalItems;
                            int row2 = startRow + 1 + (b4 / EmojiView.this.stickersGridAdapter.stickersPerRow);
                            this.cache.put(num2, documents.get(b4));
                            if (pack != null) {
                                this.cacheParent.put(num2, pack);
                            }
                            this.positionToRow.put(num2, row2);
                            if (a2 >= localCount && (pack instanceof TLRPC.StickerSetCovered)) {
                                this.positionsToSets.put(num2, (TLRPC.StickerSetCovered) pack);
                            }
                        }
                        int N3 = count2 + 1;
                        for (int b5 = 0; b5 < N3; b5++) {
                            this.rowStartPack.put(startRow + b5, pack);
                        }
                        int b6 = this.totalItems;
                        this.totalItems = b6 + (EmojiView.this.stickersGridAdapter.stickersPerRow * count2) + 1;
                        startRow += count2 + 1;
                    }
                }
                a2++;
                serverCount2 = serverCount;
            }
            super.notifyDataSetChanged();
        }
    }
}
