package im.uecahxyvjd.ui.components;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.BitmapDrawable;
import android.os.Handler;
import android.os.Looper;
import android.os.SystemClock;
import android.view.View;
import im.uecahxyvjd.messenger.ApplicationLoader;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.ui.components.RLottieDrawable;
import java.io.File;
import java.io.InputStream;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
/* loaded from: classes10.dex */
public class RLottieDrawable extends BitmapDrawable implements Animatable {
    private static ThreadPoolExecutor lottieCacheGenerateQueue;
    private boolean applyTransformation;
    private boolean applyingLayerColors;
    private int autoRepeat;
    private int autoRepeatPlayCount;
    private volatile Bitmap backgroundBitmap;
    private Runnable cacheGenerateTask;
    private int currentFrame;
    private View currentParentView;
    private boolean decodeSingleFrame;
    private boolean destroyWhenDone;
    private final android.graphics.Rect dstRect;
    private boolean forceFrameRedraw;
    private int height;
    private volatile boolean isRecycled;
    private volatile boolean isRunning;
    private long lastFrameTime;
    private Runnable loadFrameRunnable;
    private Runnable loadFrameTask;
    private final int[] metaData;
    private volatile long nativePtr;
    private boolean needGenerateCache;
    private HashMap<String, Integer> newColorUpdates;
    private volatile boolean nextFrameIsLast;
    private volatile Bitmap nextRenderingBitmap;
    private ArrayList<WeakReference<View>> parentViews;
    private volatile HashMap<String, Integer> pendingColorUpdates;
    private volatile Bitmap renderingBitmap;
    private float scaleX;
    private float scaleY;
    private boolean shouldLimitFps;
    private boolean singleFrameDecoded;
    private int timeBetweenFrames;
    private Runnable uiRunnable;
    private Runnable uiRunnableCacheFinished;
    private Runnable uiRunnableGenerateCache;
    private Runnable uiRunnableLastFrame;
    private Runnable uiRunnableNoFrame;
    private HashMap<Integer, Integer> vibrationPattern;
    private int width;
    private static final Handler uiHandler = new Handler(Looper.getMainLooper());
    private static byte[] readBuffer = new byte[65536];
    private static byte[] buffer = new byte[4096];
    private static ExecutorService loadFrameRunnableQueue = Executors.newCachedThreadPool();

    private static native long create(String str, int[] iArr, boolean z, int[] iArr2);

    /* JADX INFO: Access modifiers changed from: private */
    public static native void createCache(long j, Bitmap bitmap, int i, int i2, int i3);

    private static native long createWithJson(String str, String str2, int[] iArr);

    private static native void destroy(long j);

    /* JADX INFO: Access modifiers changed from: private */
    public static native int getFrame(long j, int i, Bitmap bitmap, int i2, int i3, int i4);

    /* JADX INFO: Access modifiers changed from: private */
    public static native void setLayerColor(long j, String str, int i);

    static /* synthetic */ int access$2112(RLottieDrawable x0, int x1) {
        int i = x0.currentFrame + x1;
        x0.currentFrame = i;
        return i;
    }

    static /* synthetic */ int access$2808(RLottieDrawable x0) {
        int i = x0.autoRepeatPlayCount;
        x0.autoRepeatPlayCount = i + 1;
        return i;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: im.uecahxyvjd.ui.components.RLottieDrawable$5  reason: invalid class name */
    /* loaded from: classes10.dex */
    public class AnonymousClass5 implements Runnable {
        AnonymousClass5() {
        }

        @Override // java.lang.Runnable
        public void run() {
            if (!RLottieDrawable.this.isRecycled && !RLottieDrawable.this.destroyWhenDone && RLottieDrawable.this.nativePtr != 0) {
                RLottieDrawable.lottieCacheGenerateQueue.execute(RLottieDrawable.this.cacheGenerateTask = new Runnable() { // from class: im.uecahxyvjd.ui.components.RLottieDrawable$5$$ExternalSyntheticLambda0
                    @Override // java.lang.Runnable
                    public final void run() {
                        RLottieDrawable.AnonymousClass5.this.m2792lambda$run$0$imuecahxyvjduicomponentsRLottieDrawable$5();
                    }
                });
            }
            RLottieDrawable.this.loadFrameTask = null;
            RLottieDrawable.this.decodeFrameFinishedInternal();
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$run$0$im-uecahxyvjd-ui-components-RLottieDrawable$5  reason: not valid java name */
        public /* synthetic */ void m2792lambda$run$0$imuecahxyvjduicomponentsRLottieDrawable$5() {
            if (RLottieDrawable.this.cacheGenerateTask != null) {
                RLottieDrawable.createCache(RLottieDrawable.this.nativePtr, RLottieDrawable.this.backgroundBitmap, RLottieDrawable.this.width, RLottieDrawable.this.height, RLottieDrawable.this.backgroundBitmap.getRowBytes());
                RLottieDrawable.uiHandler.post(RLottieDrawable.this.uiRunnableCacheFinished);
            }
        }
    }

    private void checkRunningTasks() {
        Runnable runnable = this.cacheGenerateTask;
        if (runnable != null && lottieCacheGenerateQueue.remove(runnable)) {
            this.cacheGenerateTask = null;
        }
        if (!hasParentView() && this.nextRenderingBitmap != null && this.loadFrameTask != null) {
            this.loadFrameTask = null;
            this.nextRenderingBitmap = null;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void decodeFrameFinishedInternal() {
        if (this.destroyWhenDone) {
            checkRunningTasks();
            if (this.loadFrameTask == null && this.cacheGenerateTask == null && this.nativePtr != 0) {
                destroy(this.nativePtr);
                this.nativePtr = 0L;
            }
        }
        if (this.nativePtr == 0) {
            recycleResources();
            return;
        }
        if (!hasParentView()) {
            stop();
        }
        scheduleNextGetFrame();
    }

    private void recycleResources() {
        if (this.renderingBitmap != null) {
            this.renderingBitmap.recycle();
            this.renderingBitmap = null;
        }
        if (this.backgroundBitmap != null) {
            this.backgroundBitmap.recycle();
            this.backgroundBitmap = null;
        }
    }

    public RLottieDrawable(File file, int w, int h, boolean precache, boolean limitFps) {
        this(file, w, h, precache, limitFps, null);
    }

    public RLottieDrawable(File file, int w, int h, boolean precache, boolean limitFps, int[] colorReplacement) {
        int[] iArr = new int[3];
        this.metaData = iArr;
        this.newColorUpdates = new HashMap<>();
        this.pendingColorUpdates = new HashMap<>();
        this.autoRepeat = 1;
        this.scaleX = 1.0f;
        this.scaleY = 1.0f;
        this.dstRect = new android.graphics.Rect();
        this.parentViews = new ArrayList<>();
        this.uiRunnableNoFrame = new Runnable() { // from class: im.uecahxyvjd.ui.components.RLottieDrawable.1
            @Override // java.lang.Runnable
            public void run() {
                RLottieDrawable.this.loadFrameTask = null;
                RLottieDrawable.this.decodeFrameFinishedInternal();
            }
        };
        this.uiRunnableCacheFinished = new Runnable() { // from class: im.uecahxyvjd.ui.components.RLottieDrawable.2
            @Override // java.lang.Runnable
            public void run() {
                RLottieDrawable.this.cacheGenerateTask = null;
                RLottieDrawable.this.decodeFrameFinishedInternal();
            }
        };
        this.uiRunnable = new Runnable() { // from class: im.uecahxyvjd.ui.components.RLottieDrawable.3
            @Override // java.lang.Runnable
            public void run() {
                RLottieDrawable.this.singleFrameDecoded = true;
                RLottieDrawable.this.invalidateInternal();
                RLottieDrawable.this.decodeFrameFinishedInternal();
            }
        };
        this.uiRunnableLastFrame = new Runnable() { // from class: im.uecahxyvjd.ui.components.RLottieDrawable.4
            @Override // java.lang.Runnable
            public void run() {
                RLottieDrawable.this.singleFrameDecoded = true;
                RLottieDrawable.this.isRunning = false;
                RLottieDrawable.this.invalidateInternal();
                RLottieDrawable.this.decodeFrameFinishedInternal();
            }
        };
        this.uiRunnableGenerateCache = new AnonymousClass5();
        this.loadFrameRunnable = new Runnable() { // from class: im.uecahxyvjd.ui.components.RLottieDrawable.6
            @Override // java.lang.Runnable
            public void run() {
                if (!RLottieDrawable.this.isRecycled) {
                    if (RLottieDrawable.this.nativePtr == 0) {
                        RLottieDrawable.uiHandler.post(RLottieDrawable.this.uiRunnableNoFrame);
                        return;
                    }
                    if (RLottieDrawable.this.backgroundBitmap == null) {
                        try {
                            RLottieDrawable rLottieDrawable = RLottieDrawable.this;
                            rLottieDrawable.backgroundBitmap = Bitmap.createBitmap(rLottieDrawable.width, RLottieDrawable.this.height, Bitmap.Config.ARGB_8888);
                        } catch (Throwable e) {
                            FileLog.e(e);
                        }
                    }
                    if (RLottieDrawable.this.backgroundBitmap != null) {
                        if (RLottieDrawable.this.needGenerateCache) {
                            RLottieDrawable.uiHandler.post(RLottieDrawable.this.uiRunnableGenerateCache);
                            RLottieDrawable.this.needGenerateCache = false;
                            return;
                        }
                        try {
                            if (!RLottieDrawable.this.pendingColorUpdates.isEmpty()) {
                                for (Map.Entry<String, Integer> entry : RLottieDrawable.this.pendingColorUpdates.entrySet()) {
                                    RLottieDrawable.setLayerColor(RLottieDrawable.this.nativePtr, entry.getKey(), entry.getValue().intValue());
                                }
                                RLottieDrawable.this.pendingColorUpdates.clear();
                            }
                        } catch (Exception e2) {
                        }
                        RLottieDrawable.getFrame(RLottieDrawable.this.nativePtr, RLottieDrawable.this.currentFrame, RLottieDrawable.this.backgroundBitmap, RLottieDrawable.this.width, RLottieDrawable.this.height, RLottieDrawable.this.backgroundBitmap.getRowBytes());
                        if (RLottieDrawable.this.metaData[2] != 0) {
                            RLottieDrawable.this.needGenerateCache = true;
                            RLottieDrawable.this.metaData[2] = 0;
                        }
                        RLottieDrawable rLottieDrawable2 = RLottieDrawable.this;
                        rLottieDrawable2.nextRenderingBitmap = rLottieDrawable2.backgroundBitmap;
                        int framesPerUpdates = RLottieDrawable.this.shouldLimitFps ? 2 : 1;
                        if (RLottieDrawable.this.currentFrame + framesPerUpdates < RLottieDrawable.this.metaData[0]) {
                            if (RLottieDrawable.this.autoRepeat == 3) {
                                RLottieDrawable.this.nextFrameIsLast = true;
                                RLottieDrawable.access$2808(RLottieDrawable.this);
                            } else {
                                RLottieDrawable.access$2112(RLottieDrawable.this, framesPerUpdates);
                                RLottieDrawable.this.nextFrameIsLast = false;
                            }
                        } else if (RLottieDrawable.this.autoRepeat == 1) {
                            RLottieDrawable.this.currentFrame = 0;
                            RLottieDrawable.this.nextFrameIsLast = false;
                        } else if (RLottieDrawable.this.autoRepeat == 2) {
                            RLottieDrawable.this.currentFrame = 0;
                            RLottieDrawable.this.nextFrameIsLast = true;
                            RLottieDrawable.access$2808(RLottieDrawable.this);
                        } else {
                            RLottieDrawable.this.nextFrameIsLast = true;
                        }
                    }
                    RLottieDrawable.uiHandler.post(RLottieDrawable.this.uiRunnable);
                }
            }
        };
        this.width = w;
        this.height = h;
        this.shouldLimitFps = limitFps;
        getPaint().setFlags(2);
        this.nativePtr = create(file.getAbsolutePath(), iArr, precache, colorReplacement);
        if (precache && lottieCacheGenerateQueue == null) {
            lottieCacheGenerateQueue = new ThreadPoolExecutor(1, 1, 0L, TimeUnit.MILLISECONDS, new LinkedBlockingQueue());
        }
        if (this.nativePtr == 0) {
            file.delete();
        }
        if (this.shouldLimitFps && iArr[1] < 60) {
            this.shouldLimitFps = false;
        }
        this.timeBetweenFrames = Math.max(this.shouldLimitFps ? 33 : 16, (int) (1000.0f / iArr[1]));
    }

    public RLottieDrawable(int rawRes, String name, int w, int h) {
        this(rawRes, name, w, h, true);
    }

    public RLottieDrawable(int rawRes, String name, int w, int h, boolean startDecode) {
        this.metaData = new int[3];
        this.newColorUpdates = new HashMap<>();
        this.pendingColorUpdates = new HashMap<>();
        this.autoRepeat = 1;
        this.scaleX = 1.0f;
        this.scaleY = 1.0f;
        this.dstRect = new android.graphics.Rect();
        this.parentViews = new ArrayList<>();
        this.uiRunnableNoFrame = new Runnable() { // from class: im.uecahxyvjd.ui.components.RLottieDrawable.1
            @Override // java.lang.Runnable
            public void run() {
                RLottieDrawable.this.loadFrameTask = null;
                RLottieDrawable.this.decodeFrameFinishedInternal();
            }
        };
        this.uiRunnableCacheFinished = new Runnable() { // from class: im.uecahxyvjd.ui.components.RLottieDrawable.2
            @Override // java.lang.Runnable
            public void run() {
                RLottieDrawable.this.cacheGenerateTask = null;
                RLottieDrawable.this.decodeFrameFinishedInternal();
            }
        };
        this.uiRunnable = new Runnable() { // from class: im.uecahxyvjd.ui.components.RLottieDrawable.3
            @Override // java.lang.Runnable
            public void run() {
                RLottieDrawable.this.singleFrameDecoded = true;
                RLottieDrawable.this.invalidateInternal();
                RLottieDrawable.this.decodeFrameFinishedInternal();
            }
        };
        this.uiRunnableLastFrame = new Runnable() { // from class: im.uecahxyvjd.ui.components.RLottieDrawable.4
            @Override // java.lang.Runnable
            public void run() {
                RLottieDrawable.this.singleFrameDecoded = true;
                RLottieDrawable.this.isRunning = false;
                RLottieDrawable.this.invalidateInternal();
                RLottieDrawable.this.decodeFrameFinishedInternal();
            }
        };
        this.uiRunnableGenerateCache = new AnonymousClass5();
        this.loadFrameRunnable = new Runnable() { // from class: im.uecahxyvjd.ui.components.RLottieDrawable.6
            @Override // java.lang.Runnable
            public void run() {
                if (!RLottieDrawable.this.isRecycled) {
                    if (RLottieDrawable.this.nativePtr == 0) {
                        RLottieDrawable.uiHandler.post(RLottieDrawable.this.uiRunnableNoFrame);
                        return;
                    }
                    if (RLottieDrawable.this.backgroundBitmap == null) {
                        try {
                            RLottieDrawable rLottieDrawable = RLottieDrawable.this;
                            rLottieDrawable.backgroundBitmap = Bitmap.createBitmap(rLottieDrawable.width, RLottieDrawable.this.height, Bitmap.Config.ARGB_8888);
                        } catch (Throwable e) {
                            FileLog.e(e);
                        }
                    }
                    if (RLottieDrawable.this.backgroundBitmap != null) {
                        if (RLottieDrawable.this.needGenerateCache) {
                            RLottieDrawable.uiHandler.post(RLottieDrawable.this.uiRunnableGenerateCache);
                            RLottieDrawable.this.needGenerateCache = false;
                            return;
                        }
                        try {
                            if (!RLottieDrawable.this.pendingColorUpdates.isEmpty()) {
                                for (Map.Entry<String, Integer> entry : RLottieDrawable.this.pendingColorUpdates.entrySet()) {
                                    RLottieDrawable.setLayerColor(RLottieDrawable.this.nativePtr, entry.getKey(), entry.getValue().intValue());
                                }
                                RLottieDrawable.this.pendingColorUpdates.clear();
                            }
                        } catch (Exception e2) {
                        }
                        RLottieDrawable.getFrame(RLottieDrawable.this.nativePtr, RLottieDrawable.this.currentFrame, RLottieDrawable.this.backgroundBitmap, RLottieDrawable.this.width, RLottieDrawable.this.height, RLottieDrawable.this.backgroundBitmap.getRowBytes());
                        if (RLottieDrawable.this.metaData[2] != 0) {
                            RLottieDrawable.this.needGenerateCache = true;
                            RLottieDrawable.this.metaData[2] = 0;
                        }
                        RLottieDrawable rLottieDrawable2 = RLottieDrawable.this;
                        rLottieDrawable2.nextRenderingBitmap = rLottieDrawable2.backgroundBitmap;
                        int framesPerUpdates = RLottieDrawable.this.shouldLimitFps ? 2 : 1;
                        if (RLottieDrawable.this.currentFrame + framesPerUpdates < RLottieDrawable.this.metaData[0]) {
                            if (RLottieDrawable.this.autoRepeat == 3) {
                                RLottieDrawable.this.nextFrameIsLast = true;
                                RLottieDrawable.access$2808(RLottieDrawable.this);
                            } else {
                                RLottieDrawable.access$2112(RLottieDrawable.this, framesPerUpdates);
                                RLottieDrawable.this.nextFrameIsLast = false;
                            }
                        } else if (RLottieDrawable.this.autoRepeat == 1) {
                            RLottieDrawable.this.currentFrame = 0;
                            RLottieDrawable.this.nextFrameIsLast = false;
                        } else if (RLottieDrawable.this.autoRepeat == 2) {
                            RLottieDrawable.this.currentFrame = 0;
                            RLottieDrawable.this.nextFrameIsLast = true;
                            RLottieDrawable.access$2808(RLottieDrawable.this);
                        } else {
                            RLottieDrawable.this.nextFrameIsLast = true;
                        }
                    }
                    RLottieDrawable.uiHandler.post(RLottieDrawable.this.uiRunnable);
                }
            }
        };
        try {
            InputStream inputStream = ApplicationLoader.applicationContext.getResources().openRawResource(rawRes);
            int totalRead = 0;
            while (true) {
                byte[] bArr = buffer;
                int readLen = inputStream.read(bArr, 0, bArr.length);
                if (readLen <= 0) {
                    break;
                }
                byte[] bArr2 = readBuffer;
                if (bArr2.length < totalRead + readLen) {
                    byte[] newBuffer = new byte[bArr2.length * 2];
                    System.arraycopy(bArr2, 0, newBuffer, 0, totalRead);
                    readBuffer = newBuffer;
                }
                System.arraycopy(buffer, 0, readBuffer, totalRead, readLen);
                totalRead += readLen;
            }
            String jsonString = new String(readBuffer, 0, totalRead);
            inputStream.close();
            this.width = w;
            this.height = h;
            getPaint().setFlags(2);
            this.nativePtr = createWithJson(jsonString, name, this.metaData);
            this.timeBetweenFrames = Math.max(16, (int) (1000.0f / this.metaData[1]));
            this.autoRepeat = 0;
            if (startDecode) {
                setAllowDecodeSingleFrame(true);
            }
        } catch (Throwable e) {
            FileLog.e(e);
        }
    }

    public void addParentView(View view) {
        if (view == null) {
            return;
        }
        int a2 = 0;
        int N = this.parentViews.size();
        while (a2 < N) {
            if (this.parentViews.get(a2).get() == view) {
                return;
            }
            if (this.parentViews.get(a2).get() == null) {
                this.parentViews.remove(a2);
                N--;
                a2--;
            }
            a2++;
        }
        this.parentViews.add(0, new WeakReference<>(view));
    }

    public void removeParentView(View view) {
        if (view == null) {
            return;
        }
        int a2 = 0;
        int N = this.parentViews.size();
        while (a2 < N) {
            View v = this.parentViews.get(a2).get();
            if (v == view || v == null) {
                this.parentViews.remove(a2);
                N--;
                a2--;
            }
            a2++;
        }
    }

    private boolean hasParentView() {
        if (getCallback() != null) {
            return true;
        }
        int N = this.parentViews.size();
        for (int a2 = 0; a2 < N; a2 = (a2 - 1) + 1) {
            View view = this.parentViews.get(a2).get();
            if (view != null) {
                return true;
            }
            this.parentViews.remove(a2);
            N--;
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void invalidateInternal() {
        int a2 = 0;
        int N = this.parentViews.size();
        while (a2 < N) {
            View view = this.parentViews.get(a2).get();
            if (view != null) {
                view.invalidate();
            } else {
                this.parentViews.remove(a2);
                N--;
                a2--;
            }
            a2++;
        }
        if (getCallback() != null) {
            invalidateSelf();
        }
    }

    public void setAllowDecodeSingleFrame(boolean value) {
        this.decodeSingleFrame = value;
        if (value) {
            scheduleNextGetFrame();
        }
    }

    public void recycle() {
        this.isRunning = false;
        this.isRecycled = true;
        checkRunningTasks();
        if (this.loadFrameTask == null && this.cacheGenerateTask == null) {
            if (this.nativePtr != 0) {
                destroy(this.nativePtr);
                this.nativePtr = 0L;
            }
            recycleResources();
            return;
        }
        this.destroyWhenDone = true;
    }

    public void setAutoRepeat(int value) {
        if (this.autoRepeat == 2 && value == 3 && this.currentFrame != 0) {
            return;
        }
        this.autoRepeat = value;
    }

    protected void finalize() throws Throwable {
        try {
            recycle();
        } finally {
            super.finalize();
        }
    }

    @Override // android.graphics.drawable.BitmapDrawable, android.graphics.drawable.Drawable
    public int getOpacity() {
        return -2;
    }

    @Override // android.graphics.drawable.Animatable
    public void start() {
        if (this.isRunning) {
            return;
        }
        if (this.autoRepeat >= 2 && this.autoRepeatPlayCount != 0) {
            return;
        }
        this.isRunning = true;
        scheduleNextGetFrame();
        invalidateInternal();
    }

    public boolean restart() {
        if (this.autoRepeat < 2 || this.autoRepeatPlayCount == 0) {
            return false;
        }
        this.autoRepeatPlayCount = 0;
        this.autoRepeat = 2;
        start();
        return true;
    }

    public void setVibrationPattern(HashMap<Integer, Integer> pattern) {
        this.vibrationPattern = pattern;
    }

    public void beginApplyLayerColors() {
        this.applyingLayerColors = true;
    }

    public void commitApplyLayerColors() {
        if (!this.applyingLayerColors) {
            return;
        }
        this.applyingLayerColors = false;
        if (!this.isRunning && this.decodeSingleFrame) {
            if (this.currentFrame <= 2) {
                this.currentFrame = 0;
            }
            this.nextFrameIsLast = false;
            this.singleFrameDecoded = false;
            if (!scheduleNextGetFrame()) {
                this.forceFrameRedraw = true;
            }
        }
        invalidateInternal();
    }

    public void setLayerColor(String layerName, int color) {
        this.newColorUpdates.put(layerName, Integer.valueOf(color));
        if (!this.applyingLayerColors && !this.isRunning && this.decodeSingleFrame) {
            if (this.currentFrame <= 2) {
                this.currentFrame = 0;
            }
            this.nextFrameIsLast = false;
            this.singleFrameDecoded = false;
            if (!scheduleNextGetFrame()) {
                this.forceFrameRedraw = true;
            }
        }
        invalidateInternal();
    }

    private boolean scheduleNextGetFrame() {
        if (this.cacheGenerateTask != null || this.loadFrameTask != null || this.nextRenderingBitmap != null || this.nativePtr == 0 || this.destroyWhenDone) {
            return false;
        }
        if (!this.isRunning) {
            boolean z = this.decodeSingleFrame;
            if (!z) {
                return false;
            }
            if (z && this.singleFrameDecoded) {
                return false;
            }
        }
        if (!this.newColorUpdates.isEmpty()) {
            this.pendingColorUpdates.putAll(this.newColorUpdates);
            this.newColorUpdates.clear();
        }
        ExecutorService executorService = loadFrameRunnableQueue;
        Runnable runnable = this.loadFrameRunnable;
        this.loadFrameTask = runnable;
        executorService.execute(runnable);
        return true;
    }

    @Override // android.graphics.drawable.Animatable
    public void stop() {
        this.isRunning = false;
    }

    public void setProgress(float progress) {
        if (progress < 0.0f) {
            progress = 0.0f;
        } else if (progress > 1.0f) {
            progress = 1.0f;
        }
        this.currentFrame = (int) (this.metaData[0] * progress);
        this.nextFrameIsLast = false;
        invalidateSelf();
    }

    public void setCurrentFrame(int frame) {
        this.currentFrame = frame;
        this.nextFrameIsLast = false;
        invalidateSelf();
    }

    public void setCurrentParentView(View view) {
        this.currentParentView = view;
    }

    private boolean isCurrentParentViewMaster() {
        if (getCallback() != null) {
            return true;
        }
        int N = this.parentViews.size();
        for (int a2 = 0; a2 < N; a2 = (a2 - 1) + 1) {
            if (this.parentViews.get(a2).get() != null) {
                return this.parentViews.get(a2).get() == this.currentParentView;
            }
            this.parentViews.remove(a2);
            N--;
        }
        return true;
    }

    @Override // android.graphics.drawable.Animatable
    public boolean isRunning() {
        return this.isRunning;
    }

    @Override // android.graphics.drawable.BitmapDrawable, android.graphics.drawable.Drawable
    public int getIntrinsicHeight() {
        return this.height;
    }

    @Override // android.graphics.drawable.BitmapDrawable, android.graphics.drawable.Drawable
    public int getIntrinsicWidth() {
        return this.width;
    }

    @Override // android.graphics.drawable.BitmapDrawable, android.graphics.drawable.Drawable
    protected void onBoundsChange(android.graphics.Rect bounds) {
        super.onBoundsChange(bounds);
        this.applyTransformation = true;
    }

    @Override // android.graphics.drawable.BitmapDrawable, android.graphics.drawable.Drawable
    public void draw(Canvas canvas) {
        Integer force;
        if (this.nativePtr == 0 || this.destroyWhenDone) {
            return;
        }
        long now = SystemClock.uptimeMillis();
        long timeDiff = Math.abs(now - this.lastFrameTime);
        if (this.isRunning) {
            if (this.renderingBitmap == null && this.nextRenderingBitmap == null) {
                scheduleNextGetFrame();
            } else if (this.nextRenderingBitmap != null && ((this.renderingBitmap == null || timeDiff >= this.timeBetweenFrames - 6) && isCurrentParentViewMaster())) {
                HashMap<Integer, Integer> hashMap = this.vibrationPattern;
                if (hashMap != null && this.currentParentView != null && (force = hashMap.get(Integer.valueOf(this.currentFrame - 1))) != null) {
                    this.currentParentView.performHapticFeedback(force.intValue() == 1 ? 0 : 3, 2);
                }
                this.backgroundBitmap = this.renderingBitmap;
                this.renderingBitmap = this.nextRenderingBitmap;
                if (this.nextFrameIsLast) {
                    stop();
                }
                this.loadFrameTask = null;
                this.singleFrameDecoded = true;
                this.nextRenderingBitmap = null;
                this.lastFrameTime = now;
                scheduleNextGetFrame();
            }
        } else if (this.forceFrameRedraw || (this.decodeSingleFrame && timeDiff >= this.timeBetweenFrames - 6 && this.nextRenderingBitmap != null)) {
            this.backgroundBitmap = this.renderingBitmap;
            this.renderingBitmap = this.nextRenderingBitmap;
            this.loadFrameTask = null;
            this.singleFrameDecoded = true;
            this.nextRenderingBitmap = null;
            this.lastFrameTime = now;
            if (this.forceFrameRedraw) {
                this.singleFrameDecoded = false;
                this.forceFrameRedraw = false;
            }
            scheduleNextGetFrame();
        }
        if (this.renderingBitmap != null) {
            if (this.applyTransformation) {
                this.dstRect.set(getBounds());
                this.scaleX = this.dstRect.width() / this.width;
                this.scaleY = this.dstRect.height() / this.height;
                this.applyTransformation = false;
            }
            canvas.translate(this.dstRect.left, this.dstRect.top);
            canvas.scale(this.scaleX, this.scaleY);
            canvas.drawBitmap(this.renderingBitmap, 0.0f, 0.0f, getPaint());
            if (this.isRunning) {
                invalidateInternal();
            }
        }
    }

    @Override // android.graphics.drawable.Drawable
    public int getMinimumHeight() {
        return this.height;
    }

    @Override // android.graphics.drawable.Drawable
    public int getMinimumWidth() {
        return this.width;
    }

    public Bitmap getRenderingBitmap() {
        return this.renderingBitmap;
    }

    public Bitmap getNextRenderingBitmap() {
        return this.nextRenderingBitmap;
    }

    public Bitmap getBackgroundBitmap() {
        return this.backgroundBitmap;
    }

    public Bitmap getAnimatedBitmap() {
        if (this.renderingBitmap != null) {
            return this.renderingBitmap;
        }
        if (this.nextRenderingBitmap != null) {
            return this.nextRenderingBitmap;
        }
        return null;
    }

    public boolean hasBitmap() {
        return (this.nativePtr == 0 || (this.renderingBitmap == null && this.nextRenderingBitmap == null)) ? false : true;
    }
}
