package im.uecahxyvjd.ui.components;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.drawable.Drawable;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.R;
/* loaded from: classes10.dex */
public class ShareLocationDrawable extends Drawable {
    private int currentType;
    private Drawable drawable;
    private Drawable drawableLeft;
    private Drawable drawableRight;
    private long lastUpdateTime = 0;
    private float[] progress = {0.0f, -0.5f};

    public ShareLocationDrawable(Context context, int type) {
        this.currentType = type;
        if (type == 3) {
            this.drawable = context.getResources().getDrawable(R.drawable.nearby_l);
            this.drawableLeft = context.getResources().getDrawable(R.drawable.animationpinleft);
            this.drawableRight = context.getResources().getDrawable(R.drawable.animationpinright);
        } else if (type == 2) {
            this.drawable = context.getResources().getDrawable(R.drawable.nearby_m);
            this.drawableLeft = context.getResources().getDrawable(R.drawable.animationpinleft);
            this.drawableRight = context.getResources().getDrawable(R.drawable.animationpinright);
        } else if (type == 1) {
            this.drawable = context.getResources().getDrawable(R.drawable.smallanimationpin);
            this.drawableLeft = context.getResources().getDrawable(R.drawable.smallanimationpinleft);
            this.drawableRight = context.getResources().getDrawable(R.drawable.smallanimationpinright);
        } else {
            this.drawable = context.getResources().getDrawable(R.drawable.animationpin);
            this.drawableLeft = context.getResources().getDrawable(R.drawable.animationpinleft);
            this.drawableRight = context.getResources().getDrawable(R.drawable.animationpinright);
        }
    }

    private void update() {
        long newTime = System.currentTimeMillis();
        long dt = newTime - this.lastUpdateTime;
        this.lastUpdateTime = newTime;
        if (dt > 16) {
            dt = 16;
        }
        for (int a2 = 0; a2 < 2; a2++) {
            float[] fArr = this.progress;
            if (fArr[a2] >= 1.0f) {
                fArr[a2] = 0.0f;
            }
            float f = fArr[a2] + (((float) dt) / 1300.0f);
            fArr[a2] = f;
            if (f > 1.0f) {
                fArr[a2] = 1.0f;
            }
        }
        invalidateSelf();
    }

    @Override // android.graphics.drawable.Drawable
    public void draw(Canvas canvas) {
        int size;
        int w;
        int h;
        int cx;
        int cy;
        int cx2;
        float alpha;
        int size2;
        int y;
        int x;
        int size3 = this.currentType;
        int i = 1;
        int i2 = 2;
        int i3 = 3;
        if (size3 == 3) {
            size = AndroidUtilities.dp(44.0f);
        } else if (size3 == 2) {
            size = AndroidUtilities.dp(32.0f);
        } else if (size3 == 1) {
            size = AndroidUtilities.dp(30.0f);
        } else {
            size = AndroidUtilities.dp(120.0f);
        }
        int y2 = getBounds().top + ((getIntrinsicHeight() - size) / 2);
        int x2 = getBounds().left + ((getIntrinsicWidth() - size) / 2);
        Drawable drawable = this.drawable;
        drawable.setBounds(x2, y2, drawable.getIntrinsicWidth() + x2, this.drawable.getIntrinsicHeight() + y2);
        this.drawable.draw(canvas);
        int a2 = 0;
        while (a2 < i2) {
            float f = this.progress[a2];
            if (f < 0.0f) {
                size2 = size;
                y = y2;
                x = x2;
            } else {
                float scale = (f * 0.5f) + 0.5f;
                int w2 = this.currentType;
                if (w2 == i3) {
                    w = AndroidUtilities.dp(5.0f * scale);
                    h = AndroidUtilities.dp(18.0f * scale);
                    int tx = AndroidUtilities.dp(this.progress[a2] * 15.0f);
                    cx = (AndroidUtilities.dp(2.0f) + x2) - tx;
                    cy = ((this.drawable.getIntrinsicHeight() / i2) + y2) - AndroidUtilities.dp(7.0f);
                    cx2 = ((this.drawable.getIntrinsicWidth() + x2) - AndroidUtilities.dp(2.0f)) + tx;
                } else if (w2 == i2) {
                    w = AndroidUtilities.dp(5.0f * scale);
                    h = AndroidUtilities.dp(18.0f * scale);
                    int tx2 = AndroidUtilities.dp(this.progress[a2] * 15.0f);
                    cx = (AndroidUtilities.dp(2.0f) + x2) - tx2;
                    cy = (this.drawable.getIntrinsicHeight() / i2) + y2;
                    cx2 = ((this.drawable.getIntrinsicWidth() + x2) - AndroidUtilities.dp(2.0f)) + tx2;
                } else if (w2 == i) {
                    w = AndroidUtilities.dp(2.5f * scale);
                    h = AndroidUtilities.dp(6.5f * scale);
                    int tx3 = AndroidUtilities.dp(this.progress[a2] * 6.0f);
                    cx = (AndroidUtilities.dp(7.0f) + x2) - tx3;
                    cy = (this.drawable.getIntrinsicHeight() / i2) + y2;
                    cx2 = ((this.drawable.getIntrinsicWidth() + x2) - AndroidUtilities.dp(7.0f)) + tx3;
                } else {
                    w = AndroidUtilities.dp(5.0f * scale);
                    h = AndroidUtilities.dp(18.0f * scale);
                    int tx4 = AndroidUtilities.dp(this.progress[a2] * 15.0f);
                    cx = (AndroidUtilities.dp(42.0f) + x2) - tx4;
                    cy = ((this.drawable.getIntrinsicHeight() / i2) + y2) - AndroidUtilities.dp(7.0f);
                    cx2 = ((this.drawable.getIntrinsicWidth() + x2) - AndroidUtilities.dp(42.0f)) + tx4;
                }
                float alpha2 = this.progress[a2];
                if (alpha2 >= 0.5f) {
                    alpha = 1.0f - ((alpha2 - 0.5f) / 0.5f);
                } else {
                    alpha = alpha2 / 0.5f;
                }
                this.drawableLeft.setAlpha((int) (alpha * 255.0f));
                size2 = size;
                y = y2;
                x = x2;
                this.drawableLeft.setBounds(cx - w, cy - h, cx + w, cy + h);
                this.drawableLeft.draw(canvas);
                this.drawableRight.setAlpha((int) (alpha * 255.0f));
                this.drawableRight.setBounds(cx2 - w, cy - h, cx2 + w, cy + h);
                this.drawableRight.draw(canvas);
            }
            a2++;
            size = size2;
            y2 = y;
            x2 = x;
            i = 1;
            i2 = 2;
            i3 = 3;
        }
        update();
    }

    @Override // android.graphics.drawable.Drawable
    public void setAlpha(int alpha) {
    }

    @Override // android.graphics.drawable.Drawable
    public void setColorFilter(ColorFilter cf) {
        this.drawable.setColorFilter(cf);
        this.drawableLeft.setColorFilter(cf);
        this.drawableRight.setColorFilter(cf);
    }

    @Override // android.graphics.drawable.Drawable
    public int getOpacity() {
        return -2;
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicWidth() {
        int i = this.currentType;
        if (i == 3) {
            return AndroidUtilities.dp(100.0f);
        }
        if (i == 2) {
            return AndroidUtilities.dp(74.0f);
        }
        if (i == 1) {
            return AndroidUtilities.dp(40.0f);
        }
        return AndroidUtilities.dp(120.0f);
    }

    @Override // android.graphics.drawable.Drawable
    public int getIntrinsicHeight() {
        int i = this.currentType;
        if (i == 3) {
            return AndroidUtilities.dp(100.0f);
        }
        if (i == 2) {
            return AndroidUtilities.dp(74.0f);
        }
        if (i == 1) {
            return AndroidUtilities.dp(40.0f);
        }
        return AndroidUtilities.dp(180.0f);
    }
}
