package im.uecahxyvjd.ui.components;

import android.os.Build;
import android.text.Layout;
import android.text.SpannableStringBuilder;
import android.text.StaticLayout;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.TextUtils;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.FileLog;
import java.lang.reflect.Constructor;
/* loaded from: classes10.dex */
public class StaticLayoutEx {
    private static final String TEXT_DIRS_CLASS = "android.text.TextDirectionHeuristics";
    private static final String TEXT_DIR_CLASS = "android.text.TextDirectionHeuristic";
    private static final String TEXT_DIR_FIRSTSTRONG_LTR = "FIRSTSTRONG_LTR";
    public static Layout.Alignment[] alignments = Layout.Alignment.values();
    private static boolean initialized;
    private static Constructor<StaticLayout> sConstructor;
    private static Object[] sConstructorArgs;
    private static Object sTextDirection;

    public static Layout.Alignment ALIGN_RIGHT() {
        Layout.Alignment[] alignmentArr = alignments;
        return alignmentArr.length >= 5 ? alignmentArr[4] : Layout.Alignment.ALIGN_OPPOSITE;
    }

    public static Layout.Alignment ALIGN_LEFT() {
        Layout.Alignment[] alignmentArr = alignments;
        return alignmentArr.length >= 5 ? alignmentArr[3] : Layout.Alignment.ALIGN_NORMAL;
    }

    public static void init() {
        if (initialized) {
            return;
        }
        try {
            sTextDirection = TextDirectionHeuristics.FIRSTSTRONG_LTR;
            Class<?>[] signature = {CharSequence.class, Integer.TYPE, Integer.TYPE, TextPaint.class, Integer.TYPE, Layout.Alignment.class, TextDirectionHeuristic.class, Float.TYPE, Float.TYPE, Boolean.TYPE, TextUtils.TruncateAt.class, Integer.TYPE, Integer.TYPE};
            Constructor<StaticLayout> declaredConstructor = StaticLayout.class.getDeclaredConstructor(signature);
            sConstructor = declaredConstructor;
            declaredConstructor.setAccessible(true);
            sConstructorArgs = new Object[signature.length];
            initialized = true;
        } catch (Throwable e) {
            FileLog.e(e);
        }
    }

    public static StaticLayout createStaticLayout2(CharSequence source, TextPaint paint, int width, Layout.Alignment align, float spacingmult, float spacingadd, boolean includepad, TextUtils.TruncateAt ellipsize, int ellipsisWidth, int maxLines) {
        if (Build.VERSION.SDK_INT >= 23) {
            StaticLayout.Builder builder = StaticLayout.Builder.obtain(source, 0, source.length(), paint, ellipsisWidth).setAlignment(align).setLineSpacing(spacingadd, spacingmult).setIncludePad(includepad).setEllipsize(TextUtils.TruncateAt.END).setEllipsizedWidth(ellipsisWidth).setMaxLines(maxLines).setBreakStrategy(1).setHyphenationFrequency(0);
            return builder.build();
        }
        return createStaticLayout(source, 0, source.length(), paint, width, align, spacingmult, spacingadd, includepad, ellipsize, ellipsisWidth, maxLines, true);
    }

    public static StaticLayout createStaticLayout(CharSequence source, TextPaint paint, int width, Layout.Alignment align, float spacingmult, float spacingadd, boolean includepad, TextUtils.TruncateAt ellipsize, int ellipsisWidth, int maxLines) {
        return createStaticLayout(source, 0, source.length(), paint, width, align, spacingmult, spacingadd, includepad, ellipsize, ellipsisWidth, maxLines, true);
    }

    public static StaticLayout createStaticLayout(CharSequence source, TextPaint paint, int width, Layout.Alignment align, float spacingmult, float spacingadd, boolean includepad, TextUtils.TruncateAt ellipsize, int ellipsisWidth, int maxLines, boolean canContainUrl) {
        return createStaticLayout(source, 0, source.length(), paint, width, align, spacingmult, spacingadd, includepad, ellipsize, ellipsisWidth, maxLines, canContainUrl);
    }

    public static StaticLayout createStaticLayoutMiddle(CharSequence source, TextPaint paint, int width, Layout.Alignment align, float spacingmult, float spacingadd, boolean includepad, TextUtils.TruncateAt ellipsize, int ellipsisWidth, int maxLines, boolean canContainUrl) {
        return createStaticLayoutMiddle(source, 0, source.length(), paint, width, align, spacingmult, spacingadd, includepad, ellipsize, ellipsisWidth, maxLines, canContainUrl);
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r2v1 */
    /* JADX WARN: Type inference failed for: r2v13 */
    /* JADX WARN: Type inference failed for: r2v2 */
    /* JADX WARN: Type inference failed for: r2v4 */
    /* JADX WARN: Type inference failed for: r3v1 */
    /* JADX WARN: Type inference failed for: r3v2 */
    /* JADX WARN: Type inference failed for: r3v4 */
    /* JADX WARN: Type inference failed for: r3v5 */
    public static StaticLayout createStaticLayoutMiddle(CharSequence source, int bufstart, int bufend, TextPaint paint, int outerWidth, Layout.Alignment align, float spacingMult, float spacingAdd, boolean includePad, TextUtils.TruncateAt ellipsize, int ellipsisWidth, int maxLines, boolean canContainUrl) {
        int i;
        int i2;
        TextUtils.TruncateAt truncateAt;
        StaticLayout layout;
        int off;
        int off2;
        TextPaint textPaint = paint;
        boolean z = includePad;
        TextUtils.TruncateAt truncateAt2 = ellipsize;
        int i3 = ellipsisWidth;
        int i4 = 1;
        try {
            if (maxLines == 1) {
                CharSequence text = TextUtils.ellipsize(source, textPaint, i3, truncateAt2);
                return new StaticLayout(text, 0, text.length(), paint, outerWidth, align, spacingMult, spacingAdd, includePad);
            }
            try {
                if (Build.VERSION.SDK_INT >= 23) {
                    i = maxLines;
                    StaticLayout.Builder builder = StaticLayout.Builder.obtain(source, 0, source.length(), textPaint, outerWidth).setAlignment(align).setLineSpacing(spacingAdd, spacingMult).setIncludePad(z).setEllipsize(truncateAt2).setEllipsizedWidth(i3).setMaxLines(i).setBreakStrategy(1).setHyphenationFrequency(0);
                    layout = builder.build();
                    i2 = i3;
                    truncateAt = truncateAt2;
                    truncateAt2 = truncateAt2;
                    z = z;
                    textPaint = textPaint;
                } else {
                    i = maxLines;
                    i2 = i3;
                    truncateAt = truncateAt2;
                    CharSequence charSequence = source;
                    TextPaint textPaint2 = paint;
                    boolean z2 = includePad;
                    try {
                        layout = new StaticLayout(charSequence, textPaint2, outerWidth, align, spacingMult, spacingAdd, z2);
                        truncateAt2 = charSequence;
                        z = textPaint2;
                        textPaint = z2;
                    } catch (Exception e) {
                        e = e;
                        FileLog.e(e);
                        return null;
                    }
                }
                i3 = layout.getLineCount();
                if (i3 <= i) {
                    return layout;
                }
                float left = layout.getLineLeft(i - 1);
                float lineWidth = layout.getLineWidth(i - 1);
                if (left != 0.0f) {
                    off = layout.getOffsetForHorizontal(i - 1, left);
                } else {
                    int off3 = i - 1;
                    off = layout.getOffsetForHorizontal(off3, lineWidth);
                }
                if (lineWidth >= i2 - AndroidUtilities.dp(10.0f)) {
                    off2 = off;
                } else {
                    off2 = off + 3;
                }
                SpannableStringBuilder stringBuilder = new SpannableStringBuilder(source.subSequence(0, Math.max(0, off2 - 3)));
                stringBuilder.append((CharSequence) "…");
                try {
                    if (Build.VERSION.SDK_INT >= 23) {
                        try {
                        } catch (Exception e2) {
                            e = e2;
                        }
                        try {
                        } catch (Exception e3) {
                            e = e3;
                            FileLog.e(e);
                            return null;
                        }
                        try {
                        } catch (Exception e4) {
                            e = e4;
                            FileLog.e(e);
                            return null;
                        }
                        try {
                            StaticLayout.Builder maxLines2 = StaticLayout.Builder.obtain(stringBuilder, 0, stringBuilder.length(), paint, outerWidth).setAlignment(align).setLineSpacing(spacingAdd, spacingMult).setIncludePad(includePad).setEllipsize(truncateAt).setEllipsizedWidth(i2).setMaxLines(i);
                            if (!canContainUrl) {
                                i4 = 0;
                            }
                            StaticLayout.Builder builder2 = maxLines2.setBreakStrategy(i4).setHyphenationFrequency(0);
                            return builder2.build();
                        } catch (Exception e5) {
                            e = e5;
                            FileLog.e(e);
                            return null;
                        }
                    }
                    return new StaticLayout(stringBuilder, paint, outerWidth, align, spacingMult, spacingAdd, includePad);
                } catch (Exception e6) {
                    e = e6;
                    FileLog.e(e);
                    return null;
                }
            } catch (Exception e7) {
                e = e7;
                FileLog.e(e);
                return null;
            }
        } catch (Exception e8) {
            e = e8;
        }
    }

    public static StaticLayout createStaticLayout(CharSequence source, int bufstart, int bufend, TextPaint paint, int outerWidth, Layout.Alignment align, float spacingMult, float spacingAdd, boolean includePad, TextUtils.TruncateAt ellipsize, int ellipsisWidth, int maxLines, boolean canContainUrl) {
        StaticLayout layout;
        int i;
        int i2;
        boolean z;
        int off;
        int off2;
        try {
            if (maxLines == 1) {
                CharSequence text = TextUtils.ellipsize(source, paint, ellipsisWidth, TextUtils.TruncateAt.END);
                return new StaticLayout(text, 0, text.length(), paint, outerWidth, align, spacingMult, spacingAdd, includePad);
            }
            if (Build.VERSION.SDK_INT >= 23) {
                try {
                    StaticLayout.Builder builder = StaticLayout.Builder.obtain(source, 0, source.length(), paint, outerWidth).setAlignment(align).setLineSpacing(spacingAdd, spacingMult).setIncludePad(includePad).setEllipsize(null).setEllipsizedWidth(ellipsisWidth).setMaxLines(maxLines).setBreakStrategy(1).setHyphenationFrequency(0);
                    layout = builder.build();
                    i = maxLines;
                    i2 = ellipsisWidth;
                    z = includePad;
                } catch (Exception e) {
                    e = e;
                    FileLog.e(e);
                    return null;
                }
            } else {
                i = maxLines;
                i2 = ellipsisWidth;
                z = includePad;
                try {
                    layout = new StaticLayout(source, paint, outerWidth, align, spacingMult, spacingAdd, includePad);
                } catch (Exception e2) {
                    e = e2;
                    FileLog.e(e);
                    return null;
                }
            }
            if (layout.getLineCount() <= i) {
                return layout;
            }
            float left = layout.getLineLeft(i - 1);
            float lineWidth = layout.getLineWidth(i - 1);
            if (left != 0.0f) {
                off = layout.getOffsetForHorizontal(i - 1, left);
            } else {
                int off3 = i - 1;
                off = layout.getOffsetForHorizontal(off3, lineWidth);
            }
            if (lineWidth >= i2 - AndroidUtilities.dp(10.0f)) {
                off2 = off;
            } else {
                off2 = off + 3;
            }
            SpannableStringBuilder stringBuilder = new SpannableStringBuilder(source.subSequence(0, Math.max(0, off2 - 3)));
            stringBuilder.append((CharSequence) "…");
            try {
                if (Build.VERSION.SDK_INT < 23) {
                    return new StaticLayout(stringBuilder, paint, outerWidth, align, spacingMult, spacingAdd, includePad);
                }
                try {
                    try {
                    } catch (Exception e3) {
                        e = e3;
                        FileLog.e(e);
                        return null;
                    }
                    try {
                        StaticLayout.Builder builder2 = StaticLayout.Builder.obtain(stringBuilder, 0, stringBuilder.length(), paint, outerWidth).setAlignment(align).setLineSpacing(spacingAdd, spacingMult).setIncludePad(z).setEllipsize(TextUtils.TruncateAt.END).setEllipsizedWidth(i2).setMaxLines(i).setBreakStrategy(canContainUrl ? 1 : 0).setHyphenationFrequency(0);
                        return builder2.build();
                    } catch (Exception e4) {
                        e = e4;
                        FileLog.e(e);
                        return null;
                    }
                } catch (Exception e5) {
                    e = e5;
                }
            } catch (Exception e6) {
                e = e6;
            }
        } catch (Exception e7) {
            e = e7;
        }
    }
}
