package im.uecahxyvjd.ui.components.paint;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import im.uecahxyvjd.messenger.ApplicationLoader;
import im.uecahxyvjd.messenger.R;
/* loaded from: classes4.dex */
public interface Brush {
    float getAlpha();

    float getAngle();

    float getScale();

    float getSpacing();

    Bitmap getStamp();

    boolean isLightSaber();

    /* loaded from: classes4.dex */
    public static class Radial implements Brush {
        @Override // im.uecahxyvjd.ui.components.paint.Brush
        public float getSpacing() {
            return 0.15f;
        }

        @Override // im.uecahxyvjd.ui.components.paint.Brush
        public float getAlpha() {
            return 0.85f;
        }

        @Override // im.uecahxyvjd.ui.components.paint.Brush
        public float getAngle() {
            return 0.0f;
        }

        @Override // im.uecahxyvjd.ui.components.paint.Brush
        public float getScale() {
            return 1.0f;
        }

        @Override // im.uecahxyvjd.ui.components.paint.Brush
        public boolean isLightSaber() {
            return false;
        }

        @Override // im.uecahxyvjd.ui.components.paint.Brush
        public Bitmap getStamp() {
            BitmapFactory.Options options = new BitmapFactory.Options();
            options.inScaled = false;
            return BitmapFactory.decodeResource(ApplicationLoader.applicationContext.getResources(), R.drawable.paint_radial_brush, options);
        }
    }

    /* loaded from: classes4.dex */
    public static class Elliptical implements Brush {
        @Override // im.uecahxyvjd.ui.components.paint.Brush
        public float getSpacing() {
            return 0.04f;
        }

        @Override // im.uecahxyvjd.ui.components.paint.Brush
        public float getAlpha() {
            return 0.3f;
        }

        @Override // im.uecahxyvjd.ui.components.paint.Brush
        public float getAngle() {
            return (float) Math.toRadians(125.0d);
        }

        @Override // im.uecahxyvjd.ui.components.paint.Brush
        public float getScale() {
            return 1.5f;
        }

        @Override // im.uecahxyvjd.ui.components.paint.Brush
        public boolean isLightSaber() {
            return false;
        }

        @Override // im.uecahxyvjd.ui.components.paint.Brush
        public Bitmap getStamp() {
            BitmapFactory.Options options = new BitmapFactory.Options();
            options.inScaled = false;
            return BitmapFactory.decodeResource(ApplicationLoader.applicationContext.getResources(), R.drawable.paint_elliptical_brush, options);
        }
    }

    /* loaded from: classes4.dex */
    public static class Neon implements Brush {
        @Override // im.uecahxyvjd.ui.components.paint.Brush
        public float getSpacing() {
            return 0.07f;
        }

        @Override // im.uecahxyvjd.ui.components.paint.Brush
        public float getAlpha() {
            return 0.7f;
        }

        @Override // im.uecahxyvjd.ui.components.paint.Brush
        public float getAngle() {
            return 0.0f;
        }

        @Override // im.uecahxyvjd.ui.components.paint.Brush
        public float getScale() {
            return 1.45f;
        }

        @Override // im.uecahxyvjd.ui.components.paint.Brush
        public boolean isLightSaber() {
            return true;
        }

        @Override // im.uecahxyvjd.ui.components.paint.Brush
        public Bitmap getStamp() {
            BitmapFactory.Options options = new BitmapFactory.Options();
            options.inScaled = false;
            return BitmapFactory.decodeResource(ApplicationLoader.applicationContext.getResources(), R.drawable.paint_neon_brush, options);
        }
    }
}
