package im.uecahxyvjd.ui.components.recyclerview.manager;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
/* loaded from: classes16.dex */
public class FullyGridLayoutManager extends GridLayoutManager {
    private int[] mMeasuredDimension;
    private int mheight;
    private int mwidth;

    public FullyGridLayoutManager(Context context, int spanCount) {
        super(context, spanCount);
        this.mwidth = 0;
        this.mheight = 0;
        this.mMeasuredDimension = new int[2];
    }

    public FullyGridLayoutManager(Context context, int spanCount, int orientation, boolean reverseLayout) {
        super(context, spanCount, orientation, reverseLayout);
        this.mwidth = 0;
        this.mheight = 0;
        this.mMeasuredDimension = new int[2];
    }

    public int getMwidth() {
        return this.mwidth;
    }

    public void setMwidth(int mwidth) {
        this.mwidth = mwidth;
    }

    public int getMheight() {
        return this.mheight;
    }

    public void setMheight(int mheight) {
        this.mheight = mheight;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onMeasure(RecyclerView.Recycler recycler, RecyclerView.State state, int widthSpec, int heightSpec) {
        int widthMode = View.MeasureSpec.getMode(widthSpec);
        int heightMode = View.MeasureSpec.getMode(heightSpec);
        int widthSize = View.MeasureSpec.getSize(widthSpec);
        int heightSize = View.MeasureSpec.getSize(heightSpec);
        int count = getItemCount();
        int span = getSpanCount();
        int width = 0;
        int height = 0;
        for (int i = 0; i < count; i++) {
            measureScrapChild(recycler, i, View.MeasureSpec.makeMeasureSpec(i, 0), View.MeasureSpec.makeMeasureSpec(i, 0), this.mMeasuredDimension);
            if (getOrientation() == 0) {
                if (i % span == 0) {
                    width += this.mMeasuredDimension[0];
                }
                if (i == 0) {
                    height = this.mMeasuredDimension[1];
                }
            } else {
                int height2 = i % span;
                if (height2 == 0) {
                    height += this.mMeasuredDimension[1];
                }
                if (i == 0) {
                    width = this.mMeasuredDimension[0];
                }
            }
        }
        switch (widthMode) {
            case 1073741824:
                width = widthSize;
                break;
        }
        switch (heightMode) {
            case 1073741824:
                height = heightSize;
                break;
        }
        setMheight(height);
        setMwidth(width);
        setMeasuredDimension(width, height);
    }

    private void measureScrapChild(RecyclerView.Recycler recycler, int position, int widthSpec, int heightSpec, int[] measuredDimension) {
        if (position < getItemCount()) {
            try {
                View view = recycler.getViewForPosition(0);
                if (view != null) {
                    RecyclerView.LayoutParams p = (RecyclerView.LayoutParams) view.getLayoutParams();
                    int childWidthSpec = ViewGroup.getChildMeasureSpec(widthSpec, getPaddingLeft() + getPaddingRight(), p.width);
                    int childHeightSpec = ViewGroup.getChildMeasureSpec(heightSpec, getPaddingTop() + getPaddingBottom(), p.height);
                    view.measure(childWidthSpec, childHeightSpec);
                    measuredDimension[0] = view.getMeasuredWidth() + p.leftMargin + p.rightMargin;
                    measuredDimension[1] = view.getMeasuredHeight() + p.bottomMargin + p.topMargin;
                    recycler.recycleView(view);
                }
            } catch (Exception e) {
            }
        }
    }
}
