package im.uecahxyvjd.ui.dialogs;

import android.app.Activity;
import android.content.Context;
import android.text.TextUtils;
import android.view.Display;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.view.WindowManager;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.GridView;
import android.widget.ImageView;
import android.widget.ListAdapter;
import android.widget.TextView;
import com.google.android.material.bottomsheet.BottomSheetDialog;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.R;
import java.util.ArrayList;
import java.util.List;
/* loaded from: classes18.dex */
public class PayPasswordDialog extends BottomSheetDialog {
    private Context mContext;
    private GridView mGvBtn;
    private ImageView mIvBack;
    private List<Integer> mNumbers;
    private OnForgotClickListener mOnForgotClickListener;
    private OnInputDoneListener mOnInputDoneListener;
    private TextView mTvForgotPassword;
    private TextView[] mTvPasswords;
    private int notEmptyTvCount;

    /* loaded from: classes18.dex */
    public interface OnForgotClickListener {
        void onClick(View view);
    }

    /* loaded from: classes18.dex */
    public interface OnInputDoneListener {
        void onCompleteDelegate(String str);
    }

    public PayPasswordDialog(Context context) {
        super(context);
        this.mTvPasswords = new TextView[6];
        this.mNumbers = new ArrayList();
        this.mContext = context;
        init(context);
    }

    private void init(Context context) {
        View view = LayoutInflater.from(context).inflate(R.layout.layout_pay_password, (ViewGroup) null);
        setContentView(view);
        setCancelable(false);
        Window window = getWindow();
        window.findViewById(R.id.design_bottom_sheet).setBackgroundResource(17170445);
        window.setGravity(80);
        WindowManager wm = ((Activity) context).getWindowManager();
        Display display = wm.getDefaultDisplay();
        WindowManager.LayoutParams lp = window.getAttributes();
        lp.width = display.getWidth();
        window.setAttributes(lp);
        initView(window);
        initData();
    }

    private void initView(Window window) {
        ImageView imageView = (ImageView) window.findViewById(R.id.iv_back);
        this.mIvBack = imageView;
        imageView.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.dialogs.PayPasswordDialog$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                PayPasswordDialog.this.m2892lambda$initView$0$imuecahxyvjduidialogsPayPasswordDialog(view);
            }
        });
        TextView tvTitle = (TextView) window.findViewById(R.id.tv_title);
        tvTitle.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
        TextView textView = (TextView) window.findViewById(R.id.tv_forgot_password);
        this.mTvForgotPassword = textView;
        textView.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
        this.mTvForgotPassword.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.dialogs.PayPasswordDialog$$ExternalSyntheticLambda1
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                PayPasswordDialog.this.m2893lambda$initView$1$imuecahxyvjduidialogsPayPasswordDialog(view);
            }
        });
        this.mTvPasswords[0] = (TextView) window.findViewById(R.id.tv_password_1);
        this.mTvPasswords[1] = (TextView) window.findViewById(R.id.tv_password_2);
        this.mTvPasswords[2] = (TextView) window.findViewById(R.id.tv_password_3);
        this.mTvPasswords[3] = (TextView) window.findViewById(R.id.tv_password_4);
        this.mTvPasswords[4] = (TextView) window.findViewById(R.id.tv_password_5);
        this.mTvPasswords[5] = (TextView) window.findViewById(R.id.tv_password_6);
        GridView gridView = (GridView) window.findViewById(R.id.gv_btn);
        this.mGvBtn = gridView;
        gridView.setAdapter((ListAdapter) new MyAdapter());
        this.mGvBtn.setOnItemClickListener(new AdapterView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.dialogs.PayPasswordDialog$$ExternalSyntheticLambda2
            @Override // android.widget.AdapterView.OnItemClickListener
            public final void onItemClick(AdapterView adapterView, View view, int i, long j) {
                PayPasswordDialog.this.m2894lambda$initView$2$imuecahxyvjduidialogsPayPasswordDialog(adapterView, view, i, j);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initView$0$im-uecahxyvjd-ui-dialogs-PayPasswordDialog  reason: not valid java name */
    public /* synthetic */ void m2892lambda$initView$0$imuecahxyvjduidialogsPayPasswordDialog(View v) {
        dismiss();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initView$1$im-uecahxyvjd-ui-dialogs-PayPasswordDialog  reason: not valid java name */
    public /* synthetic */ void m2893lambda$initView$1$imuecahxyvjduidialogsPayPasswordDialog(View v) {
        OnForgotClickListener onForgotClickListener = this.mOnForgotClickListener;
        if (onForgotClickListener != null) {
            onForgotClickListener.onClick(v);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initView$2$im-uecahxyvjd-ui-dialogs-PayPasswordDialog  reason: not valid java name */
    public /* synthetic */ void m2894lambda$initView$2$imuecahxyvjduidialogsPayPasswordDialog(AdapterView parent, View view, int position, long id) {
        if (position < 9 || position == 10) {
            int i = this.notEmptyTvCount;
            TextView[] textViewArr = this.mTvPasswords;
            if (i == textViewArr.length) {
                return;
            }
            int length = textViewArr.length;
            int i2 = 0;
            while (true) {
                if (i2 >= length) {
                    break;
                }
                TextView textView = textViewArr[i2];
                if (!TextUtils.isEmpty(textView.getText())) {
                    i2++;
                } else {
                    textView.setText(String.valueOf(this.mNumbers.get(position)));
                    this.notEmptyTvCount++;
                    break;
                }
            }
            if (this.notEmptyTvCount == this.mTvPasswords.length) {
                StringBuilder password = new StringBuilder();
                for (TextView textView2 : this.mTvPasswords) {
                    String text = textView2.getText().toString();
                    if (!TextUtils.isEmpty(text)) {
                        password.append(text);
                    }
                }
                OnInputDoneListener onInputDoneListener = this.mOnInputDoneListener;
                if (onInputDoneListener != null) {
                    onInputDoneListener.onCompleteDelegate(password.toString());
                }
            }
        } else if (position == 11 && this.notEmptyTvCount != 0) {
            for (int i3 = this.mTvPasswords.length - 1; i3 >= 0; i3--) {
                if (!TextUtils.isEmpty(this.mTvPasswords[i3].getText())) {
                    this.mTvPasswords[i3].setText((CharSequence) null);
                    this.notEmptyTvCount--;
                    return;
                }
            }
        }
    }

    private void initData() {
        for (int i = 1; i < 10; i++) {
            this.mNumbers.add(Integer.valueOf(i));
        }
        this.mNumbers.add(-10);
        this.mNumbers.add(0);
        this.mNumbers.add(-11);
    }

    public void setOnInputDoneListener(OnInputDoneListener listener) {
        this.mOnInputDoneListener = listener;
    }

    public void setOnForgotClickListener(OnForgotClickListener listener) {
        this.mOnForgotClickListener = listener;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes18.dex */
    public class MyAdapter extends BaseAdapter {
        private MyAdapter() {
        }

        @Override // android.widget.Adapter
        public int getCount() {
            return PayPasswordDialog.this.mNumbers.size();
        }

        @Override // android.widget.Adapter
        public Integer getItem(int position) {
            return (Integer) PayPasswordDialog.this.mNumbers.get(position);
        }

        @Override // android.widget.Adapter
        public long getItemId(int position) {
            return position;
        }

        @Override // android.widget.Adapter
        public View getView(int position, View convertView, ViewGroup parent) {
            ViewHolder holder;
            if (convertView == null) {
                convertView = View.inflate(PayPasswordDialog.this.mContext, R.layout.item_password_number, null);
                holder = new ViewHolder();
                holder.tvNumber = (TextView) convertView.findViewById(R.id.btn_number);
                holder.ivDelete = (ImageView) convertView.findViewById(R.id.iv_delete);
                convertView.setTag(holder);
            } else {
                holder = (ViewHolder) convertView.getTag();
            }
            if (position < 9 || position == 10) {
                holder.tvNumber.setText(String.valueOf(PayPasswordDialog.this.mNumbers.get(position)));
                holder.tvNumber.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
            } else if (position == 9) {
                holder.tvNumber.setVisibility(4);
            } else if (position == 11) {
                holder.tvNumber.setVisibility(4);
                holder.ivDelete.setVisibility(0);
            }
            return convertView;
        }
    }

    /* loaded from: classes18.dex */
    class ViewHolder {
        ImageView ivDelete;
        TextView tvNumber;

        ViewHolder() {
        }
    }
}
