package im.uecahxyvjd.ui.fragments;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import androidx.recyclerview.widget.RecyclerView;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.ui.cells.DrawerAddCell;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.hcells.PopUserCell;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
/* loaded from: classes10.dex */
public class AccountsAdapter extends RecyclerListView.SelectionAdapter {
    private ArrayList<Integer> accountNumbers = new ArrayList<>();
    private Context mContext;

    public AccountsAdapter(Context context) {
        this.mContext = context;
        resetItems();
    }

    private void resetItems() {
        this.accountNumbers.clear();
        for (int a2 = 0; a2 < 3; a2++) {
            if (UserConfig.getInstance(a2).isClientActivated()) {
                this.accountNumbers.add(Integer.valueOf(a2));
            }
        }
        Collections.sort(this.accountNumbers, new Comparator() { // from class: im.uecahxyvjd.ui.fragments.AccountsAdapter$$ExternalSyntheticLambda0
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return AccountsAdapter.lambda$resetItems$0((Integer) obj, (Integer) obj2);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ int lambda$resetItems$0(Integer o1, Integer o2) {
        long l1 = UserConfig.getInstance(o1.intValue()).loginTime;
        long l2 = UserConfig.getInstance(o2.intValue()).loginTime;
        if (l1 > l2) {
            return 1;
        }
        if (l1 < l2) {
            return -1;
        }
        return 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        int count = 1 + this.accountNumbers.size();
        return count;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void notifyDataSetChanged() {
        super.notifyDataSetChanged();
    }

    @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
    public boolean isEnabled(RecyclerView.ViewHolder holder) {
        return true;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View view;
        switch (viewType) {
            case 0:
                view = new DrawerAddCell(this.mContext);
                break;
            default:
                view = new PopUserCell(this.mContext);
                break;
        }
        view.setLayoutParams(new RecyclerView.LayoutParams(-1, -2));
        return new RecyclerListView.Holder(view);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
        switch (holder.getItemViewType()) {
            case 0:
            default:
                return;
            case 1:
                PopUserCell drawerUserCell = (PopUserCell) holder.itemView;
                drawerUserCell.setAccount(this.accountNumbers.get(position - 1).intValue());
                return;
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemViewType(int i) {
        if (i == 0) {
            return 0;
        }
        return 1;
    }
}
