package im.uecahxyvjd.ui.fragments;

import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.graphics.Color;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.text.SpannableString;
import android.util.Log;
import android.util.SparseArray;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.socks.library.KLog;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ApplicationLoader;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessageObject;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.components.ColorRelativeLayout;
import im.uecahxyvjd.ui.components.ColorTextView;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.components.voip.VoIPHelper;
import im.uecahxyvjd.ui.dialogs.DialogCommonList;
import im.uecahxyvjd.ui.fragments.CallRecordsFragment;
import im.uecahxyvjd.ui.hcells.MryDividerCell;
import im.uecahxyvjd.ui.hui.chats.NewProfileActivity;
import im.uecahxyvjd.ui.hui.decoration.TopBottomDecoration;
import im.uecahxyvjd.ui.hui.visualcall.VisualCallActivity;
import im.uecahxyvjd.ui.hviews.MryEmptyTextProgressView;
import im.uecahxyvjd.ui.hviews.swipelist.SlidingItemMenuRecyclerView;
import im.uecahxyvjd.ui.newcall.AddNewCallActivity;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
/* loaded from: classes10.dex */
public class CallRecordsFragment extends BaseFmts implements NotificationCenter.NotificationCenterDelegate, View.OnClickListener {
    private static final int TYPE_IN = 1;
    private static final int TYPE_MISSED = 2;
    private static final int TYPE_OUT = 0;
    private MryEmptyTextProgressView emptyView;
    private boolean endReached;
    private boolean firstLoaded;
    private TLRPC.User lastCallUser;
    private LinearLayoutManager layoutManager;
    private SlidingItemMenuRecyclerView listView;
    private ListAdapter listViewAdapter;
    private boolean loading;
    private ImageView mIvAdd;
    private ImageView mIvBack;
    private RelativeLayout mRlBack;
    private TextView m_tvAll;
    private TextView m_tvCancel;
    private TextView m_tvCurrent;
    private View tabContainer;
    private ArrayList<CallLogRow> calls = new ArrayList<>();
    private ArrayList<CallLogRow> allCalls = new ArrayList<>();
    private ArrayList<CallLogRow> cancelCalls = new ArrayList<>();
    private View.OnClickListener callBtnClickListener = new View.OnClickListener() { // from class: im.uecahxyvjd.ui.fragments.CallRecordsFragment$$ExternalSyntheticLambda2
        @Override // android.view.View.OnClickListener
        public final void onClick(View view) {
            CallRecordsFragment.this.m2912lambda$new$6$imuecahxyvjduifragmentsCallRecordsFragment(view);
        }
    };

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes10.dex */
    public class CallLogRow {
        public List<TLRPC.Message> calls;
        public int type;
        public TLRPC.User user;

        private CallLogRow() {
        }

        /* synthetic */ CallLogRow(CallRecordsFragment x0, AnonymousClass1 x1) {
            this();
        }
    }

    @Override // im.uecahxyvjd.ui.fragments.BaseFmts, androidx.fragment.app.Fragment
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.didReceiveNewMessages);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.messagesDeleted);
    }

    @Override // im.uecahxyvjd.ui.fragments.BaseFmts, androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.didReceiveNewMessages);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.messagesDeleted);
    }

    @Override // im.uecahxyvjd.ui.fragments.BaseFmts, androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        this.fragmentView = LayoutInflater.from(this.context).inflate(R.layout.activity_new_call, (ViewGroup) null, false);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        initTitleBar();
        initView(this.context);
        return this.fragmentView;
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewCreated(View view, Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        getCalls(0, 50);
    }

    private void initTitleBar() {
        FrameLayout flTitleBarContainer = (FrameLayout) this.fragmentView.findViewById(R.id.fl_title_bar_container);
        flTitleBarContainer.setBackground(this.defaultActionBarBackgroundDrawable);
        LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) flTitleBarContainer.getLayoutParams();
        layoutParams.height = ActionBar.getCurrentActionBarHeight() + AndroidUtilities.statusBarHeight;
        flTitleBarContainer.setLayoutParams(layoutParams);
        flTitleBarContainer.setPadding(0, AndroidUtilities.statusBarHeight, 0, 0);
        this.mRlBack = (RelativeLayout) this.fragmentView.findViewById(R.id.rl_back);
        this.mIvBack = (ImageView) this.fragmentView.findViewById(R.id.iv_back);
        this.mIvAdd = (ImageView) this.fragmentView.findViewById(R.id.iv_add);
        this.mIvBack.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_actionBarDefaultIcon), PorterDuff.Mode.MULTIPLY));
        this.mIvBack.setBackground(Theme.createSelectorDrawable(Theme.getColor(Theme.key_actionBarDefaultSelector)));
        this.mIvAdd.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_actionBarDefaultIcon), PorterDuff.Mode.MULTIPLY));
        this.mIvAdd.setBackground(Theme.createSelectorDrawable(Theme.getColor(Theme.key_actionBarDefaultSelector)));
        this.m_tvAll = (TextView) this.fragmentView.findViewById(R.id.tv_all_call);
        this.m_tvCancel = (TextView) this.fragmentView.findViewById(R.id.tv_cancel_call);
        this.m_tvCurrent = this.m_tvAll;
    }

    private void initView(Context context) {
        this.tabContainer = this.fragmentView.findViewById(R.id.tabContainer);
        FrameLayout flContainer = (FrameLayout) this.fragmentView.findViewById(R.id.fl_container);
        flContainer.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        MryEmptyTextProgressView mryEmptyTextProgressView = new MryEmptyTextProgressView(context);
        this.emptyView = mryEmptyTextProgressView;
        mryEmptyTextProgressView.setText(LocaleController.getString("NoCallRecords", R.string.NoCallRecords));
        this.emptyView.setTopImage(R.mipmap.img_empty_default);
        flContainer.addView(this.emptyView, LayoutHelper.createFrame(-1, -1.0f));
        SlidingItemMenuRecyclerView slidingItemMenuRecyclerView = new SlidingItemMenuRecyclerView(context);
        this.listView = slidingItemMenuRecyclerView;
        slidingItemMenuRecyclerView.addItemDecoration(new TopBottomDecoration());
        this.listView.setEmptyView(this.emptyView);
        this.listView.setOverScrollMode(2);
        this.listView.setVerticalScrollBarEnabled(false);
        SlidingItemMenuRecyclerView slidingItemMenuRecyclerView2 = this.listView;
        ListAdapter listAdapter = new ListAdapter(context);
        this.listViewAdapter = listAdapter;
        slidingItemMenuRecyclerView2.setAdapter(listAdapter);
        SlidingItemMenuRecyclerView slidingItemMenuRecyclerView3 = this.listView;
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(context, 1, false);
        this.layoutManager = linearLayoutManager;
        slidingItemMenuRecyclerView3.setLayoutManager(linearLayoutManager);
        this.listView.setVerticalScrollbarPosition(LocaleController.isRTL ? 1 : 2);
        this.listView.setGlowColor(Theme.getColor(Theme.key_avatar_backgroundActionBarBlue));
        flContainer.addView(this.listView, LayoutHelper.createFrame(-1, -2.0f));
        this.listView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.fragments.CallRecordsFragment$$ExternalSyntheticLambda1
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                CallRecordsFragment.this.m2910lambda$initView$0$imuecahxyvjduifragmentsCallRecordsFragment(view, i);
            }
        });
        this.listView.setOnScrollListener(new AnonymousClass1());
        if (this.loading) {
            this.emptyView.showProgress();
        } else {
            this.emptyView.showTextView();
        }
        initListener();
        changeTabState(this.m_tvCurrent);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initView$0$im-uecahxyvjd-ui-fragments-CallRecordsFragment  reason: not valid java name */
    public /* synthetic */ void m2910lambda$initView$0$imuecahxyvjduifragmentsCallRecordsFragment(View view, int position) {
        Log.e("tag", "position-->" + position);
        if (position < 0 || position >= this.calls.size()) {
            return;
        }
        CallLogRow row = this.calls.get(position);
        showAlert(row.user);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: im.uecahxyvjd.ui.fragments.CallRecordsFragment$1  reason: invalid class name */
    /* loaded from: classes10.dex */
    public class AnonymousClass1 extends RecyclerView.OnScrollListener {
        AnonymousClass1() {
        }

        @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
        public void onScrolled(RecyclerView recyclerView, int dx, int dy) {
            int firstVisibleItem = CallRecordsFragment.this.layoutManager.findFirstVisibleItemPosition();
            int visibleItemCount = firstVisibleItem == -1 ? 0 : Math.abs(CallRecordsFragment.this.layoutManager.findLastVisibleItemPosition() - firstVisibleItem) + 1;
            if (visibleItemCount > 0) {
                int totalItemCount = CallRecordsFragment.this.listViewAdapter.getItemCount();
                if (!CallRecordsFragment.this.endReached && !CallRecordsFragment.this.loading && !CallRecordsFragment.this.calls.isEmpty() && firstVisibleItem + visibleItemCount >= totalItemCount - 5) {
                    final CallLogRow row = (CallLogRow) CallRecordsFragment.this.calls.get(CallRecordsFragment.this.calls.size() - 1);
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.fragments.CallRecordsFragment$1$$ExternalSyntheticLambda0
                        @Override // java.lang.Runnable
                        public final void run() {
                            CallRecordsFragment.AnonymousClass1.this.m2914x56abe7bd(row);
                        }
                    });
                }
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onScrolled$0$im-uecahxyvjd-ui-fragments-CallRecordsFragment$1  reason: not valid java name */
        public /* synthetic */ void m2914x56abe7bd(CallLogRow row) {
            CallRecordsFragment.this.getCalls(row.calls.get(row.calls.size() - 1).id, 100);
        }
    }

    private void initListener() {
        this.m_tvAll.setOnClickListener(this);
        this.m_tvCancel.setOnClickListener(this);
        this.mRlBack.setOnClickListener(this);
        this.mIvAdd.setOnClickListener(this);
    }

    @Override // android.view.View.OnClickListener
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.iv_add /* 2131296781 */:
                presentFragment(new AddNewCallActivity());
                return;
            case R.id.rl_back /* 2131297146 */:
            default:
                return;
            case R.id.tv_all_call /* 2131297715 */:
                if (this.m_tvCurrent.getId() != v.getId()) {
                    changeTabState(v);
                    this.m_tvCurrent = this.m_tvAll;
                    this.emptyView.setTopImage(R.mipmap.img_empty_default);
                    this.emptyView.setText(LocaleController.getString("NoCallRecords", R.string.NoCallRecords));
                    if (this.listViewAdapter != null) {
                        this.calls.clear();
                        this.calls.addAll(this.allCalls);
                        this.listViewAdapter.notifyDataSetChanged();
                        return;
                    }
                    return;
                }
                return;
            case R.id.tv_cancel_call /* 2131297729 */:
                if (this.m_tvCurrent.getId() != v.getId()) {
                    changeTabState(v);
                    this.m_tvCurrent = this.m_tvCancel;
                    this.emptyView.setText(LocaleController.getString("NoCancelCallLog", R.string.NoCancelCallLog));
                    ListAdapter listAdapter = this.listViewAdapter;
                    if (listAdapter != null && listAdapter != null) {
                        this.calls.clear();
                        this.calls.addAll(this.cancelCalls);
                        this.listViewAdapter.notifyDataSetChanged();
                        return;
                    }
                    return;
                }
                return;
        }
    }

    private void changeTabState(View view) {
        if (view.getId() == this.m_tvAll.getId()) {
            if (this.tabContainer.getBackground() != null) {
                this.tabContainer.getBackground().setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_windowBackgroundWhiteBlueText), PorterDuff.Mode.SRC_IN));
            }
            this.m_tvAll.setTextColor(-1);
            this.m_tvAll.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), 0.0f, AndroidUtilities.dp(5.0f), 0.0f, Theme.getColor(Theme.key_windowBackgroundWhiteBlueText)));
            this.m_tvCancel.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlueText));
            this.m_tvCancel.setBackground(Theme.createRoundRectDrawable(0.0f, AndroidUtilities.dp(5.0f), 0.0f, AndroidUtilities.dp(5.0f), 0));
            return;
        }
        if (this.tabContainer.getBackground() != null) {
            this.tabContainer.getBackground().setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_windowBackgroundWhiteBlueText), PorterDuff.Mode.SRC_IN));
        }
        this.m_tvCancel.setTextColor(-1);
        this.m_tvCancel.setBackground(Theme.createRoundRectDrawable(0.0f, AndroidUtilities.dp(5.0f), 0.0f, AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhiteBlueText)));
        this.m_tvAll.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlueText));
        this.m_tvAll.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), 0.0f, AndroidUtilities.dp(5.0f), 0.0f, 0));
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        ListAdapter listAdapter;
        if (id == NotificationCenter.didReceiveNewMessages && this.firstLoaded) {
            boolean scheduled = ((Boolean) args[2]).booleanValue();
            if (scheduled) {
                return;
            }
            ArrayList<MessageObject> arr = (ArrayList) args[1];
            Iterator<MessageObject> it = arr.iterator();
            while (it.hasNext()) {
                MessageObject msg = it.next();
                if (msg.messageOwner.action instanceof TLRPC.TL_messageActionPhoneCall) {
                    int userID = msg.messageOwner.from_id == UserConfig.getInstance(this.currentAccount).getClientUserId() ? msg.messageOwner.to_id.user_id : msg.messageOwner.from_id;
                    int callType = msg.messageOwner.from_id == UserConfig.getInstance(this.currentAccount).getClientUserId() ? 0 : 1;
                    TLRPC.PhoneCallDiscardReason reason = msg.messageOwner.action.reason;
                    if (callType == 1 && ((reason instanceof TLRPC.TL_phoneCallDiscardReasonMissed) || (reason instanceof TLRPC.TL_phoneCallDiscardReasonBusy) || msg.messageOwner.action.duration == -3 || msg.messageOwner.action.duration == -4 || msg.messageOwner.action.duration == -5)) {
                        callType = 2;
                    }
                    if (this.calls.size() > 0) {
                        CallLogRow topRow = this.calls.get(0);
                        if (topRow.user.id == userID && topRow.type == callType) {
                            if (this.m_tvCurrent == this.m_tvAll || topRow.type == 2) {
                                topRow.calls.add(0, msg.messageOwner);
                                this.listViewAdapter.notifyItemChanged(0);
                            }
                        }
                    }
                    CallLogRow row = new CallLogRow(this, null);
                    row.calls = new ArrayList();
                    row.calls.add(msg.messageOwner);
                    row.user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(userID));
                    row.type = callType;
                    if ((this.m_tvCurrent == this.m_tvAll || row.type == 2) && !this.calls.contains(row)) {
                        this.calls.add(0, row);
                        this.listViewAdapter.notifyItemInserted(0);
                    }
                    if (!this.allCalls.contains(row)) {
                        this.allCalls.add(0, row);
                    }
                    if (row.type == 2 && !this.cancelCalls.contains(row)) {
                        this.cancelCalls.add(0, row);
                    }
                }
            }
        } else if (id == NotificationCenter.messagesDeleted && this.firstLoaded) {
            boolean scheduled2 = ((Boolean) args[2]).booleanValue();
            if (scheduled2) {
                return;
            }
            boolean didChange = false;
            ArrayList<Integer> ids = (ArrayList) args[0];
            Iterator<CallLogRow> itrtr = this.calls.iterator();
            while (itrtr.hasNext()) {
                CallLogRow row2 = itrtr.next();
                Iterator<TLRPC.Message> msgs = row2.calls.iterator();
                while (msgs.hasNext()) {
                    if (ids.contains(Integer.valueOf(msgs.next().id))) {
                        didChange = true;
                        msgs.remove();
                    }
                }
                if (row2.calls.size() == 0) {
                    itrtr.remove();
                    this.allCalls.remove(row2);
                    if (this.m_tvCurrent == this.m_tvCancel) {
                        this.cancelCalls.remove(row2);
                    }
                }
            }
            if (didChange && (listAdapter = this.listViewAdapter) != null) {
                listAdapter.notifyDataSetChanged();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void getCalls(int max_id, int count) {
        if (this.loading) {
            return;
        }
        this.loading = true;
        MryEmptyTextProgressView mryEmptyTextProgressView = this.emptyView;
        if (mryEmptyTextProgressView != null && !this.firstLoaded) {
            mryEmptyTextProgressView.showProgress();
        }
        ListAdapter listAdapter = this.listViewAdapter;
        if (listAdapter != null) {
            listAdapter.notifyDataSetChanged();
        }
        TLRPC.TL_messages_search req = new TLRPC.TL_messages_search();
        req.limit = count;
        req.peer = new TLRPC.TL_inputPeerEmpty();
        req.filter = new TLRPC.TL_inputMessagesFilterPhoneCalls();
        req.q = "";
        req.offset_id = max_id;
        int reqId = ConnectionsManager.getInstance(this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.fragments.CallRecordsFragment$$ExternalSyntheticLambda5
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                CallRecordsFragment.this.m2909lambda$getCalls$2$imuecahxyvjduifragmentsCallRecordsFragment(tLObject, tL_error);
            }
        }, 2);
        ConnectionsManager.getInstance(this.currentAccount).bindRequestToGuid(reqId, this.classGuid);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getCalls$2$im-uecahxyvjd-ui-fragments-CallRecordsFragment  reason: not valid java name */
    public /* synthetic */ void m2909lambda$getCalls$2$imuecahxyvjduifragmentsCallRecordsFragment(final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.fragments.CallRecordsFragment$$ExternalSyntheticLambda6
            @Override // java.lang.Runnable
            public final void run() {
                CallRecordsFragment.this.m2908lambda$getCalls$1$imuecahxyvjduifragmentsCallRecordsFragment(error, response);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getCalls$1$im-uecahxyvjd-ui-fragments-CallRecordsFragment  reason: not valid java name */
    public /* synthetic */ void m2908lambda$getCalls$1$imuecahxyvjduifragmentsCallRecordsFragment(TLRPC.TL_error error, TLObject response) {
        CallLogRow currentRow;
        if (error == null) {
            SparseArray<TLRPC.User> users = new SparseArray<>();
            TLRPC.messages_Messages msgs = (TLRPC.messages_Messages) response;
            this.endReached = msgs.messages.isEmpty();
            for (int a2 = 0; a2 < msgs.users.size(); a2++) {
                TLRPC.User user = msgs.users.get(a2);
                users.put(user.id, user);
            }
            if (this.allCalls.size() > 0) {
                ArrayList<CallLogRow> arrayList = this.allCalls;
                currentRow = arrayList.get(arrayList.size() - 1);
            } else {
                currentRow = null;
            }
            for (int a3 = 0; a3 < msgs.messages.size(); a3++) {
                TLRPC.Message msg = msgs.messages.get(a3);
                if (msg.action != null && !(msg.action instanceof TLRPC.TL_messageActionHistoryClear)) {
                    int callType = msg.from_id == UserConfig.getInstance(this.currentAccount).getClientUserId() ? 0 : 1;
                    TLRPC.PhoneCallDiscardReason reason = msg.action.reason;
                    if (callType == 1 && ((reason instanceof TLRPC.TL_phoneCallDiscardReasonMissed) || (reason instanceof TLRPC.TL_phoneCallDiscardReasonBusy) || msg.action.duration == -3 || msg.action.duration == -4 || msg.action.duration == -5)) {
                        callType = 2;
                    }
                    int userID = msg.from_id == UserConfig.getInstance(this.currentAccount).getClientUserId() ? msg.to_id.user_id : msg.from_id;
                    if (currentRow == null || currentRow.user.id != userID || currentRow.type != callType) {
                        if (currentRow != null && !this.allCalls.contains(currentRow)) {
                            this.allCalls.add(currentRow);
                            if (currentRow.type == 2 && !this.cancelCalls.contains(currentRow)) {
                                this.cancelCalls.add(currentRow);
                            }
                        }
                        CallLogRow row = new CallLogRow(this, null);
                        row.calls = new ArrayList();
                        row.user = users.get(userID);
                        row.type = callType;
                        currentRow = row;
                    }
                    currentRow.calls.add(msg);
                }
            }
            if (currentRow != null && currentRow.calls.size() > 0 && !this.allCalls.contains(currentRow)) {
                this.allCalls.add(currentRow);
                if (currentRow.type == 2 && !this.cancelCalls.contains(currentRow)) {
                    this.cancelCalls.add(currentRow);
                }
            }
        } else {
            this.endReached = true;
        }
        this.loading = false;
        this.firstLoaded = true;
        MryEmptyTextProgressView mryEmptyTextProgressView = this.emptyView;
        if (mryEmptyTextProgressView != null) {
            mryEmptyTextProgressView.showTextView();
        }
        if (this.listViewAdapter != null) {
            this.calls.clear();
            if (this.m_tvCurrent == this.m_tvCancel) {
                this.calls.addAll(this.cancelCalls);
            } else {
                this.calls.addAll(this.allCalls);
            }
            this.listViewAdapter.notifyDataSetChanged();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void confirmAndDelete(final CallLogRow row) {
        if (getParentActivity() == null) {
            return;
        }
        new AlertDialog.Builder(getParentActivity()).setTitle(LocaleController.getString("AppName", R.string.AppName)).setMessage(LocaleController.getString("ConfirmDeleteCallLog", R.string.ConfirmDeleteCallLog)).setPositiveButton(LocaleController.getString("Delete", R.string.Delete), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.fragments.CallRecordsFragment$$ExternalSyntheticLambda4
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                CallRecordsFragment.this.m2907x179db16(row, dialogInterface, i);
            }
        }).setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null).show().setCanceledOnTouchOutside(true);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$confirmAndDelete$3$im-uecahxyvjd-ui-fragments-CallRecordsFragment  reason: not valid java name */
    public /* synthetic */ void m2907x179db16(CallLogRow row, DialogInterface dialog, int which) {
        ArrayList<Integer> ids = new ArrayList<>();
        for (TLRPC.Message msg : row.calls) {
            ids.add(Integer.valueOf(msg.id));
        }
        MessagesController.getInstance(this.currentAccount).deleteMessages(ids, null, null, 0L, 0, false, false);
    }

    @Override // androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        ListAdapter listAdapter = this.listViewAdapter;
        if (listAdapter != null) {
            listAdapter.notifyDataSetChanged();
        }
    }

    private void showAlert(final TLRPC.User user) {
        List<String> list = new ArrayList<>();
        list.add(LocaleController.getString("menu_voice_chat", R.string.menu_voice_chat));
        list.add(LocaleController.getString("menu_video_chat", R.string.menu_video_chat));
        List<Integer> list1 = new ArrayList<>();
        list1.add(Integer.valueOf((int) R.drawable.menu_voice_call));
        list1.add(Integer.valueOf((int) R.drawable.menu_video_call));
        DialogCommonList dialogCommonList = new DialogCommonList(getParentActivity(), list, list1, Color.parseColor("#222222"), new DialogCommonList.RecyclerviewItemClickCallBack() { // from class: im.uecahxyvjd.ui.fragments.CallRecordsFragment$$ExternalSyntheticLambda0
            @Override // im.uecahxyvjd.ui.dialogs.DialogCommonList.RecyclerviewItemClickCallBack
            public final void onRecyclerviewItemClick(int i) {
                CallRecordsFragment.this.m2913xeceed652(user, i);
            }
        }, 1);
        dialogCommonList.show();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$showAlert$4$im-uecahxyvjd-ui-fragments-CallRecordsFragment  reason: not valid java name */
    public /* synthetic */ void m2913xeceed652(TLRPC.User user, int position) {
        if (position == 0) {
            if (ApplicationLoader.mbytAVideoCallBusy == 0) {
                if (user.mutual_contact) {
                    int currentConnectionState = ConnectionsManager.getInstance(this.currentAccount).getConnectionState();
                    if (currentConnectionState == 2 || currentConnectionState == 1) {
                        ToastUtils.show((CharSequence) LocaleController.getString("visual_call_no_network", R.string.visual_call_no_network));
                        return;
                    }
                    Intent intent = new Intent();
                    intent.setClass(getParentActivity(), VisualCallActivity.class);
                    intent.putExtra("CallType", 1);
                    ArrayList<Integer> ArrInputPeers = new ArrayList<>();
                    ArrInputPeers.add(Integer.valueOf(user.id));
                    intent.putExtra("ArrayUser", ArrInputPeers);
                    intent.putExtra("channel", new ArrayList());
                    getParentActivity().startActivity(intent);
                    return;
                }
                ToastUtils.show((CharSequence) LocaleController.getString("visual_call_no_friend_tip", R.string.visual_call_no_friend_tip));
                return;
            }
            ToastUtils.show((CharSequence) LocaleController.getString("visual_call_busing_tip", R.string.visual_call_busing_tip));
        } else if (position == 1) {
            if (ApplicationLoader.mbytAVideoCallBusy == 0) {
                if (user.mutual_contact) {
                    int currentConnectionState2 = ConnectionsManager.getInstance(this.currentAccount).getConnectionState();
                    if (currentConnectionState2 == 2 || currentConnectionState2 == 1) {
                        ToastUtils.show((CharSequence) LocaleController.getString("visual_call_no_network", R.string.visual_call_no_network));
                        return;
                    }
                    Intent intent2 = new Intent();
                    intent2.setClass(getParentActivity(), VisualCallActivity.class);
                    intent2.putExtra("CallType", 2);
                    ArrayList<Integer> ArrInputPeers2 = new ArrayList<>();
                    ArrInputPeers2.add(Integer.valueOf(user.id));
                    intent2.putExtra("ArrayUser", ArrInputPeers2);
                    intent2.putExtra("channel", new ArrayList());
                    getParentActivity().startActivity(intent2);
                    return;
                }
                ToastUtils.show((CharSequence) LocaleController.getString("visual_call_no_friend_tip", R.string.visual_call_no_friend_tip));
                return;
            }
            ToastUtils.show((CharSequence) LocaleController.getString("visual_call_busing_tip", R.string.visual_call_busing_tip));
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes10.dex */
    public class ListAdapter extends RecyclerListView.SelectionAdapter {
        private Context mContext;

        public ListAdapter(Context context) {
            this.mContext = context;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return CallRecordsFragment.this.calls.size();
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, final int position) {
            Drawable drawable;
            Drawable drawable2;
            Drawable drawable3;
            ColorTextView tvCallType = (ColorTextView) holder.itemView.findViewById(R.id.tv_call_type);
            ColorTextView tvName = (ColorTextView) holder.itemView.findViewById(R.id.tv_nick_name);
            final CallLogRow row = (CallLogRow) CallRecordsFragment.this.calls.get(position);
            TLRPC.Message last = row.calls.get(0);
            String ldir = LocaleController.isRTL ? "\u202b" : "";
            SpannableString subtitle = new SpannableString(ldir + "  " + LocaleController.formatDateCallLog(last.date));
            KLog.d("onbindview = " + row.calls.get(0).date + " " + (row.calls.size() > 1 ? Integer.valueOf(row.calls.get(1).date) : ""));
            switch (row.type) {
                case 0:
                    if ((last.action.flags & 4) != 0) {
                        drawable = this.mContext.getResources().getDrawable(R.drawable.new_call_video_out);
                        drawable.setBounds(0, 0, 42, 42);
                        tvCallType.setText(LocaleController.getString("new_call_video_out", R.string.new_call_video_out));
                    } else {
                        drawable = this.mContext.getResources().getDrawable(R.mipmap.ic_new_call_out);
                        drawable.setBounds(0, 0, 42, 42);
                        tvCallType.setText(LocaleController.getString("new_call_voice_out", R.string.new_call_voice_out));
                    }
                    tvCallType.setCompoundDrawables(drawable, null, null, null);
                    tvName.setTextColor(Theme.ACTION_BAR_MEDIA_PICKER_COLOR);
                    break;
                case 1:
                    if (last.action.duration != -3 && last.action.duration != -4 && last.action.duration != -5) {
                        if ((last.action.flags & 4) != 0) {
                            drawable2 = this.mContext.getResources().getDrawable(R.drawable.new_call_video_in);
                            drawable2.setBounds(0, 0, 42, 42);
                            tvCallType.setText(LocaleController.getString("new_call_video_in", R.string.new_call_video_in));
                        } else {
                            drawable2 = this.mContext.getResources().getDrawable(R.mipmap.ic_new_call_in);
                            drawable2.setBounds(0, 0, 42, 42);
                            tvCallType.setText(LocaleController.getString("new_call_voice_in", R.string.new_call_voice_in));
                        }
                        tvName.setTextColor(Theme.ACTION_BAR_MEDIA_PICKER_COLOR);
                    } else {
                        if ((last.action.flags & 4) != 0) {
                            drawable2 = this.mContext.getResources().getDrawable(R.drawable.new_call_video_no_answer);
                            drawable2.setBounds(0, 0, 42, 42);
                            tvCallType.setText(LocaleController.getString("new_call_video_no_answer", R.string.new_call_video_no_answer));
                        } else {
                            drawable2 = this.mContext.getResources().getDrawable(R.mipmap.ic_new_call_cancel);
                            drawable2.setBounds(0, 0, 42, 42);
                            tvCallType.setText(LocaleController.getString("new_call_voice_no_answer", R.string.new_call_voice_no_answer));
                        }
                        tvName.setTextColor(-570319);
                    }
                    tvCallType.setCompoundDrawables(drawable2, null, null, null);
                    break;
                case 2:
                    if ((last.action.flags & 4) != 0) {
                        drawable3 = this.mContext.getResources().getDrawable(R.drawable.new_call_video_no_answer);
                        drawable3.setBounds(0, 0, 42, 42);
                        tvCallType.setText(LocaleController.getString("new_call_video_no_answer", R.string.new_call_video_no_answer));
                    } else {
                        drawable3 = this.mContext.getResources().getDrawable(R.mipmap.ic_new_call_cancel);
                        drawable3.setBounds(0, 0, 42, 42);
                        tvCallType.setText(LocaleController.getString("new_call_voice_no_answer", R.string.new_call_voice_no_answer));
                    }
                    tvName.setTextColor(-570319);
                    tvCallType.setCompoundDrawables(drawable3, null, null, null);
                    break;
            }
            ((ColorTextView) holder.itemView.findViewById(R.id.tv_date)).setText(subtitle);
            AvatarDrawable avatarDrawable = new AvatarDrawable();
            avatarDrawable.setInfo(row.user);
            BackupImageView iv_header = (BackupImageView) holder.itemView.findViewById(R.id.iv_head_img);
            iv_header.setImage(ImageLocation.getForUser(row.user, false), "50_50", avatarDrawable, row.user);
            iv_header.setRoundRadius(AndroidUtilities.dp(7.5f));
            holder.itemView.findViewById(R.id.iv_more).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.fragments.CallRecordsFragment$ListAdapter$$ExternalSyntheticLambda0
                @Override // android.view.View.OnClickListener
                public final void onClick(View view) {
                    CallRecordsFragment.ListAdapter.this.m2915x48fc74db(row, view);
                }
            });
            holder.itemView.findViewById(R.id.iv_more).setTag(row);
            tvName.setText(UserObject.getName(row.user));
            tvName.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText));
            ColorRelativeLayout rlContent = (ColorRelativeLayout) holder.itemView.findViewById(R.id.rl_content);
            MryDividerCell divider = (MryDividerCell) holder.itemView.findViewById(R.id.divider);
            if (getItemCount() == 1) {
                rlContent.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                divider.setVisibility(8);
            } else if (position == 0) {
                rlContent.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f, Theme.getColor(Theme.key_windowBackgroundWhite)));
            } else if (position == getItemCount() - 1) {
                divider.setVisibility(8);
                rlContent.setBackground(Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
            } else {
                rlContent.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                divider.setVisibility(0);
            }
            TextView btnDelete = (TextView) holder.itemView.findViewById(R.id.btnDelete);
            btnDelete.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.fragments.CallRecordsFragment$ListAdapter$$ExternalSyntheticLambda1
                @Override // android.view.View.OnClickListener
                public final void onClick(View view) {
                    CallRecordsFragment.ListAdapter.this.m2917x55040b99(position, row, view);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$0$im-uecahxyvjd-ui-fragments-CallRecordsFragment$ListAdapter  reason: not valid java name */
        public /* synthetic */ void m2915x48fc74db(CallLogRow row, View v) {
            Bundle bundle = new Bundle();
            bundle.putInt("user_id", row.user.id);
            CallRecordsFragment.this.presentFragment(new NewProfileActivity(bundle));
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$2$im-uecahxyvjd-ui-fragments-CallRecordsFragment$ListAdapter  reason: not valid java name */
        public /* synthetic */ void m2917x55040b99(int position, final CallLogRow row, View v) {
            if (position >= 0 && position < CallRecordsFragment.this.calls.size()) {
                final CallLogRow callLogRow = (CallLogRow) CallRecordsFragment.this.calls.get(position);
                ArrayList<String> items = new ArrayList<>();
                items.add(LocaleController.getString("Delete", R.string.Delete));
                if (VoIPHelper.canRateCall((TLRPC.TL_messageActionPhoneCall) callLogRow.calls.get(0).action)) {
                    items.add(LocaleController.getString("CallMessageReportProblem", R.string.CallMessageReportProblem));
                }
                new AlertDialog.Builder(CallRecordsFragment.this.getParentActivity()).setTitle(LocaleController.getString("Calls", R.string.Calls)).setItems((CharSequence[]) items.toArray(new String[0]), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.fragments.CallRecordsFragment$ListAdapter$$ExternalSyntheticLambda2
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        CallRecordsFragment.ListAdapter.this.m2916x4f00403a(row, callLogRow, dialogInterface, i);
                    }
                }).show();
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$1$im-uecahxyvjd-ui-fragments-CallRecordsFragment$ListAdapter  reason: not valid java name */
        public /* synthetic */ void m2916x4f00403a(CallLogRow row, CallLogRow callLogRow, DialogInterface dialog, int which) {
            switch (which) {
                case 0:
                    CallRecordsFragment.this.confirmAndDelete(row);
                    return;
                case 1:
                    VoIPHelper.showRateAlert(CallRecordsFragment.this.getParentActivity(), (TLRPC.TL_messageActionPhoneCall) callLogRow.calls.get(0).action);
                    return;
                default:
                    return;
            }
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return true;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            return position;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view = LayoutInflater.from(parent.getContext()).inflate(R.layout.item_new_call, parent, false);
            RecyclerView.LayoutParams layoutParams = new RecyclerView.LayoutParams(-1, AndroidUtilities.dp(71.0f));
            layoutParams.leftMargin = AndroidUtilities.dp(10.0f);
            layoutParams.rightMargin = AndroidUtilities.dp(10.0f);
            view.setLayoutParams(layoutParams);
            ((ImageView) view.findViewById(R.id.iv_more)).setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_featuredStickers_addButton), PorterDuff.Mode.MULTIPLY));
            ((BackupImageView) view.findViewById(R.id.iv_head_img)).setRoundRadius(AndroidUtilities.dp(7.5f));
            return new RecyclerListView.Holder(view);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$new$6$im-uecahxyvjd-ui-fragments-CallRecordsFragment  reason: not valid java name */
    public /* synthetic */ void m2912lambda$new$6$imuecahxyvjduifragmentsCallRecordsFragment(View v) {
        final CallLogRow row = (CallLogRow) v.getTag();
        List<String> list = new ArrayList<>();
        list.add(LocaleController.getString("menu_voice_chat", R.string.menu_voice_chat));
        list.add(LocaleController.getString("menu_video_chat", R.string.menu_video_chat));
        List<Integer> list1 = new ArrayList<>();
        list1.add(Integer.valueOf((int) R.drawable.menu_voice_call));
        list1.add(Integer.valueOf((int) R.drawable.menu_video_call));
        DialogCommonList dialogCommonList = new DialogCommonList(getParentActivity(), list, list1, Color.parseColor("#222222"), new DialogCommonList.RecyclerviewItemClickCallBack() { // from class: im.uecahxyvjd.ui.fragments.CallRecordsFragment$$ExternalSyntheticLambda3
            @Override // im.uecahxyvjd.ui.dialogs.DialogCommonList.RecyclerviewItemClickCallBack
            public final void onRecyclerviewItemClick(int i) {
                CallRecordsFragment.this.m2911lambda$new$5$imuecahxyvjduifragmentsCallRecordsFragment(row, i);
            }
        }, 1);
        dialogCommonList.show();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$new$5$im-uecahxyvjd-ui-fragments-CallRecordsFragment  reason: not valid java name */
    public /* synthetic */ void m2911lambda$new$5$imuecahxyvjduifragmentsCallRecordsFragment(CallLogRow row, int position) {
        if (position == 0) {
            if (ApplicationLoader.mbytAVideoCallBusy == 0) {
                if (row.user.mutual_contact) {
                    int currentConnectionState = ConnectionsManager.getInstance(this.currentAccount).getConnectionState();
                    if (currentConnectionState == 2 || currentConnectionState == 1) {
                        ToastUtils.show((CharSequence) LocaleController.getString("visual_call_no_network", R.string.visual_call_no_network));
                        return;
                    }
                    Intent intent = new Intent();
                    intent.setClass(getParentActivity(), VisualCallActivity.class);
                    intent.putExtra("CallType", 1);
                    ArrayList<Integer> ArrInputPeers = new ArrayList<>();
                    ArrInputPeers.add(Integer.valueOf(row.user.id));
                    intent.putExtra("ArrayUser", ArrInputPeers);
                    intent.putExtra("channel", new ArrayList());
                    getParentActivity().startActivity(intent);
                    return;
                }
                ToastUtils.show((CharSequence) LocaleController.getString("visual_call_no_friend_tip", R.string.visual_call_no_friend_tip));
                return;
            }
            ToastUtils.show((CharSequence) LocaleController.getString("visual_call_busing_tip", R.string.visual_call_busing_tip));
        } else if (position == 1) {
            if (ApplicationLoader.mbytAVideoCallBusy == 0) {
                if (row.user.mutual_contact) {
                    int currentConnectionState2 = ConnectionsManager.getInstance(this.currentAccount).getConnectionState();
                    if (currentConnectionState2 == 2 || currentConnectionState2 == 1) {
                        ToastUtils.show((CharSequence) LocaleController.getString("visual_call_no_network", R.string.visual_call_no_network));
                        return;
                    }
                    Intent intent2 = new Intent();
                    intent2.setClass(getParentActivity(), VisualCallActivity.class);
                    intent2.putExtra("CallType", 2);
                    ArrayList<Integer> ArrInputPeers2 = new ArrayList<>();
                    ArrInputPeers2.add(Integer.valueOf(row.user.id));
                    intent2.putExtra("ArrayUser", ArrInputPeers2);
                    intent2.putExtra("channel", new ArrayList());
                    getParentActivity().startActivity(intent2);
                    return;
                }
                ToastUtils.show((CharSequence) LocaleController.getString("visual_call_no_friend_tip", R.string.visual_call_no_friend_tip));
                return;
            }
            ToastUtils.show((CharSequence) LocaleController.getString("visual_call_busing_tip", R.string.visual_call_busing_tip));
        }
    }
}
