package im.uecahxyvjd.ui.fragments;

import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.graphics.Bitmap;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Base64;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.core.content.FileProvider;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.bjz.comm.net.SPConstant;
import com.bjz.comm.net.bean.RespFcUserStatisticsBean;
import com.blankj.utilcode.util.AppUtils;
import com.blankj.utilcode.util.ScreenUtils;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ApplicationLoader;
import im.uecahxyvjd.messenger.BuildVars;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessageObject;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.messenger.Utilities;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.SerializedData;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCContacts;
import im.uecahxyvjd.tgnet.TLRPCFriendsHub;
import im.uecahxyvjd.ui.ChatActivity;
import im.uecahxyvjd.ui.MediaActivity;
import im.uecahxyvjd.ui.PhotoViewer;
import im.uecahxyvjd.ui.StickersActivity;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.components.CombinedDrawable;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.dialogs.McShareDialog;
import im.uecahxyvjd.ui.fragments.MeFragmentV2;
import im.uecahxyvjd.ui.hcells.IndexTextCell2;
import im.uecahxyvjd.ui.hui.cdnvip.CdnVipCenterActivity;
import im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcAlbumActivity;
import im.uecahxyvjd.ui.hui.mine.AboutAppActivity;
import im.uecahxyvjd.ui.hui.mine.MryLanguageSelectActivity;
import im.uecahxyvjd.ui.hui.mine.MryThemeActivity;
import im.uecahxyvjd.ui.hui.mine.NewUserInfoActivity;
import im.uecahxyvjd.ui.hui.mine.PrivacyAndSafeActivity;
import im.uecahxyvjd.ui.hui.mine.QrCodeActivity;
import im.uecahxyvjd.ui.hviews.MryTextView;
import im.uecahxyvjd.ui.hviews.sliding.SlidingLayout;
import im.uecahxyvjd.ui.settings.DataAndStoreSettingActivity;
import im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity;
import im.uecahxyvjd.ui.wallet.WalletActivity;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.util.ArrayList;
import java.util.zip.ZipEntry;
import java.util.zip.ZipOutputStream;
import org.json.JSONObject;
/* loaded from: classes10.dex */
public class MeFragmentV2 extends BaseFmts implements NotificationCenter.NotificationCenterDelegate {
    private BackupImageView avatarImage;
    private RespFcUserStatisticsBean fcActionCountBean;
    private LinearLayoutManager layoutManager;
    private ListAdapter listAdapter;
    private RecyclerListView listView;
    private int pressCount;
    private int rowCount;
    private TLRPC.UserFull userFull;
    private int avatarRow = -1;
    private int avatarEmptyRow = -1;
    private int pcLoginRow = -1;
    private int digitalcurrency = -1;
    private int liveIncomeRow = -1;
    private int digitalcurrencyEmptyRow = -1;
    private int cdnVipRow = -1;
    private int cdnVipEmptyRow = -1;
    private int newWalletRow = -1;
    private int newWalletEmptyRow = -1;
    private int gamesCenterEmptyRow = -1;
    private int notifyRow = -1;
    private int privacyRow = -1;
    private int dataRow = -1;
    private int appearanceRow = -1;
    private int langRow = -1;
    private int dataEmptyRow = -1;
    private int faqRow = -1;
    private int aboutRow = -1;
    private int inviteFriends = -1;
    private int serviceRow = -1;
    private int serviceEmptyRow = -1;
    private String TAG = MeFragmentV2.class.getSimpleName();
    private boolean isRequestActionCount = false;
    private PhotoViewer.PhotoViewerProvider provider = new PhotoViewer.EmptyPhotoViewerProvider() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2.1
        @Override // im.uecahxyvjd.ui.PhotoViewer.EmptyPhotoViewerProvider, im.uecahxyvjd.ui.PhotoViewer.PhotoViewerProvider
        public PhotoViewer.PlaceProviderObject getPlaceForPhoto(MessageObject messageObject, TLRPC.FileLocation fileLocation, int index, boolean needPreview) {
            TLRPC.User user;
            if (fileLocation != null && (user = MessagesController.getInstance(MeFragmentV2.this.currentAccount).getUser(Integer.valueOf(UserConfig.getInstance(MeFragmentV2.this.currentAccount).getClientUserId()))) != null && user.photo != null && user.photo.photo_big != null) {
                TLRPC.FileLocation photoBig = user.photo.photo_big;
                if (photoBig.local_id == fileLocation.local_id && photoBig.volume_id == fileLocation.volume_id && photoBig.dc_id == fileLocation.dc_id) {
                    int[] coords = new int[2];
                    MeFragmentV2.this.avatarImage.getLocationInWindow(coords);
                    PhotoViewer.PlaceProviderObject object = new PhotoViewer.PlaceProviderObject();
                    object.viewX = coords[0];
                    object.viewY = coords[1] - 0;
                    object.parentView = MeFragmentV2.this.avatarImage;
                    object.imageReceiver = MeFragmentV2.this.avatarImage.getImageReceiver();
                    object.dialogId = UserConfig.getInstance(MeFragmentV2.this.currentAccount).getClientUserId();
                    object.thumb = object.imageReceiver.getBitmapSafe();
                    object.size = -1;
                    object.radius = MeFragmentV2.this.avatarImage.getImageReceiver().getRoundRadius();
                    object.scale = MeFragmentV2.this.avatarImage.getScaleX();
                    return object;
                }
            }
            return null;
        }

        @Override // im.uecahxyvjd.ui.PhotoViewer.EmptyPhotoViewerProvider, im.uecahxyvjd.ui.PhotoViewer.PhotoViewerProvider
        public void willHidePhotoViewer() {
            MeFragmentV2.this.avatarImage.getImageReceiver().setVisible(true, true);
        }
    };

    @Override // im.uecahxyvjd.ui.fragments.BaseFmts, androidx.fragment.app.Fragment
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        updateRows();
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.updateInterfaces);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.userFullInfoDidLoad);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.cdnVipBuySuccess);
    }

    @Override // im.uecahxyvjd.ui.fragments.BaseFmts, androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        final Context context = getContext();
        SlidingLayout root = new SlidingLayout(context);
        this.fragmentView = root;
        root.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        RecyclerListView recyclerListView = new RecyclerListView(context);
        this.listView = recyclerListView;
        recyclerListView.setHasFixedSize(true);
        this.listView.setNestedScrollingEnabled(false);
        this.listView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        this.listView.setVerticalScrollBarEnabled(false);
        RecyclerListView recyclerListView2 = this.listView;
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(context, 1, false);
        this.layoutManager = linearLayoutManager;
        recyclerListView2.setLayoutManager(linearLayoutManager);
        root.addView(this.listView, LayoutHelper.createFrame(-1, -1, 51));
        MryTextView tvVersion = new MryTextView(context);
        tvVersion.setTextSize(12.0f);
        tvVersion.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteHintText));
        tvVersion.setText(LocaleController.getString(R.string.AppName) + "Android Client v" + AppUtils.getAppVersionName());
        root.addView(tvVersion, LayoutHelper.createFrame(-2.0f, -2.0f, 81, 0.0f, 0.0f, 0.0f, AndroidUtilities.dp(10.0f)));
        tvVersion.setOnLongClickListener(new View.OnLongClickListener() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$$ExternalSyntheticLambda0
            @Override // android.view.View.OnLongClickListener
            public final boolean onLongClick(View view) {
                return MeFragmentV2.this.m2954lambda$onCreateView$1$imuecahxyvjduifragmentsMeFragmentV2(view);
            }
        });
        ListAdapter listAdapter = new ListAdapter(context);
        this.listAdapter = listAdapter;
        this.listView.setAdapter(listAdapter);
        this.listView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$$ExternalSyntheticLambda3
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                MeFragmentV2.this.m2955lambda$onCreateView$2$imuecahxyvjduifragmentsMeFragmentV2(context, view, i);
            }
        });
        return root;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onCreateView$1$im-uecahxyvjd-ui-fragments-MeFragmentV2  reason: not valid java name */
    public /* synthetic */ boolean m2954lambda$onCreateView$1$imuecahxyvjduifragmentsMeFragmentV2(View v) {
        String str;
        int i;
        int i2 = this.pressCount + 1;
        this.pressCount = i2;
        if (i2 >= 2) {
            AlertDialog.Builder builder = new AlertDialog.Builder(getParentActivity());
            builder.setTitle(LocaleController.getString("DebugMenu", R.string.DebugMenu));
            CharSequence[] items = new CharSequence[3];
            items[0] = LocaleController.getString("DebugSendLogs", R.string.DebugSendLogs);
            items[1] = LocaleController.getString("DebugClearLogs", R.string.DebugClearLogs);
            if (BuildVars.LOGS_ENABLED) {
                str = "DebugMenuDisableLogs";
                i = R.string.DebugMenuDisableLogs;
            } else {
                str = "DebugMenuEnableLogs";
                i = R.string.DebugMenuEnableLogs;
            }
            items[2] = LocaleController.getString(str, i);
            builder.setItems(items, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$$ExternalSyntheticLambda4
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i3) {
                    MeFragmentV2.this.m2953lambda$onCreateView$0$imuecahxyvjduifragmentsMeFragmentV2(dialogInterface, i3);
                }
            });
            builder.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
            showDialog(builder.create());
        }
        return true;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onCreateView$0$im-uecahxyvjd-ui-fragments-MeFragmentV2  reason: not valid java name */
    public /* synthetic */ void m2953lambda$onCreateView$0$imuecahxyvjduifragmentsMeFragmentV2(DialogInterface dialog, int which) {
        if (which == 0) {
            sendLogs();
        } else if (which == 1) {
            FileLog.cleanupLogs();
        } else if (which == 2) {
            BuildVars.LOGS_ENABLED = true ^ BuildVars.LOGS_ENABLED;
            SharedPreferences sharedPreferences = ApplicationLoader.applicationContext.getSharedPreferences(SPConstant.SP_SYSTEM_CONFIG, 0);
            sharedPreferences.edit().putBoolean("logsEnabled", BuildVars.LOGS_ENABLED).commit();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onCreateView$2$im-uecahxyvjd-ui-fragments-MeFragmentV2  reason: not valid java name */
    public /* synthetic */ void m2955lambda$onCreateView$2$imuecahxyvjduifragmentsMeFragmentV2(Context context, View view, int position) {
        if (position != this.avatarRow) {
            if (position == this.newWalletRow) {
                presentFragment(new WalletActivity());
            } else if (position == this.notifyRow) {
                presentFragment(new NoticeAndSoundSettingActivity());
            } else if (position == this.privacyRow) {
                presentFragment(new PrivacyAndSafeActivity());
            } else if (position == this.dataRow) {
                presentFragment(new DataAndStoreSettingActivity());
            } else if (position == this.appearanceRow) {
                presentFragment(new MryThemeActivity(0));
            } else if (position == this.langRow) {
                presentFragment(new MryLanguageSelectActivity());
            } else if (position == this.aboutRow) {
                presentFragment(new AboutAppActivity());
            } else if (position == this.inviteFriends) {
                McShareDialog mcShareDialog = new McShareDialog(context, this);
                mcShareDialog.setUser(getUserConfig().getCurrentUser());
                mcShareDialog.initData();
            } else if (position == this.serviceRow) {
                performService(getCurrentFragment());
            } else if (position != this.digitalcurrency && position != this.liveIncomeRow) {
                if (position == this.cdnVipRow) {
                    presentFragment(new CdnVipCenterActivity());
                } else if (position == this.pcLoginRow) {
                    ToastUtils.show((CharSequence) "Developing...");
                } else if (position == this.faqRow) {
                    ToastUtils.show((CharSequence) "Developing...");
                } else if (position != this.gamesCenterEmptyRow || position != this.dataEmptyRow || position != this.serviceEmptyRow) {
                } else {
                    ToastUtils.show((int) R.string.NotSupport);
                }
            }
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewCreated(View view, Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        MessagesController.getInstance(this.currentAccount).loadUserInfo(UserConfig.getInstance(this.currentAccount).getCurrentUser(), true, this.classGuid);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.fragments.BaseFmts
    public void lazyLoadData() {
        super.lazyLoadData();
        ListAdapter listAdapter = this.listAdapter;
        if (listAdapter != null) {
            listAdapter.notifyDataSetChanged();
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
    }

    @Override // im.uecahxyvjd.ui.fragments.BaseFmts
    public void onResumeForBaseFragment() {
        super.onResumeForBaseFragment();
        if (!BuildVars.DEBUG_VERSION) {
            getFcLocation();
        }
        getActionCount();
        if (this.listAdapter != null && !isFirstTimeInThisPage()) {
            this.listAdapter.notifyDataSetChanged();
        }
    }

    private void getActionCount() {
    }

    private void updateRows() {
        this.avatarRow = -1;
        this.avatarEmptyRow = -1;
        this.newWalletRow = -1;
        this.gamesCenterEmptyRow = -1;
        this.digitalcurrency = -1;
        this.digitalcurrencyEmptyRow = -1;
        this.liveIncomeRow = -1;
        this.notifyRow = -1;
        this.privacyRow = -1;
        this.dataRow = -1;
        this.appearanceRow = -1;
        this.langRow = -1;
        this.dataEmptyRow = -1;
        this.aboutRow = -1;
        this.serviceRow = -1;
        this.serviceEmptyRow = -1;
        this.rowCount = 0;
        int i = 0 + 1;
        this.rowCount = i;
        this.avatarRow = 0;
        this.rowCount = i + 1;
        this.avatarEmptyRow = i;
        if (BuildVars.WALLET_ENABLE) {
            int i2 = this.rowCount;
            int i3 = i2 + 1;
            this.rowCount = i3;
            this.newWalletRow = i2;
            this.rowCount = i3 + 1;
            this.newWalletEmptyRow = i3;
        }
        int i4 = this.rowCount;
        int i5 = i4 + 1;
        this.rowCount = i5;
        this.privacyRow = i4;
        int i6 = i5 + 1;
        this.rowCount = i6;
        this.notifyRow = i5;
        int i7 = i6 + 1;
        this.rowCount = i7;
        this.langRow = i6;
        this.rowCount = i7 + 1;
        this.dataEmptyRow = i7;
        if (BuildVars.ENABLE_ME_ONLINE_SERVICE) {
            int i8 = this.rowCount;
            this.rowCount = i8 + 1;
            this.serviceRow = i8;
        }
        if (BuildVars.ENABLE_ME_ABOUT_APP) {
            int i9 = this.rowCount;
            this.rowCount = i9 + 1;
            this.aboutRow = i9;
        }
        if (BuildVars.ENABLE_ME_ONLINE_SERVICE) {
            int i10 = this.rowCount;
            this.rowCount = i10 + 1;
            this.serviceEmptyRow = i10;
        }
    }

    @Override // im.uecahxyvjd.ui.fragments.BaseFmts, androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        BackupImageView backupImageView = this.avatarImage;
        if (backupImageView != null) {
            backupImageView.setImageDrawable(null);
        }
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.updateInterfaces);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.userFullInfoDidLoad);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.cdnVipBuySuccess);
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        ListAdapter listAdapter;
        if (id == NotificationCenter.updateInterfaces) {
            int mask = ((Integer) args[0]).intValue();
            if (((mask & 2) != 0 || (mask & 1) != 0) && (listAdapter = this.listAdapter) != null) {
                listAdapter.notifyItemChanged(this.avatarRow);
            }
        } else if (id == NotificationCenter.userFullInfoDidLoad) {
            int userId = ((Integer) args[0]).intValue();
            if (userId == UserConfig.getInstance(this.currentAccount).getClientUserId()) {
                this.userFull = (TLRPC.UserFull) args[1];
                NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.userFullInfoDidLoad);
                ListAdapter listAdapter2 = this.listAdapter;
                if (listAdapter2 != null) {
                    listAdapter2.notifyItemChanged(this.avatarRow);
                }
            }
        } else if (id == NotificationCenter.cdnVipBuySuccess) {
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.userFullInfoDidLoad);
            MessagesController.getInstance(this.currentAccount).loadFullUser(UserConfig.getInstance(this.currentAccount).getCurrentUser(), this.classGuid, true);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void saveImage(final File file) {
        new Thread(new Runnable() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$$ExternalSyntheticLambda8
            @Override // java.lang.Runnable
            public final void run() {
                MeFragmentV2.this.m2956lambda$saveImage$3$imuecahxyvjduifragmentsMeFragmentV2(file);
            }
        }).start();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$saveImage$3$im-uecahxyvjd-ui-fragments-MeFragmentV2  reason: not valid java name */
    public /* synthetic */ void m2956lambda$saveImage$3$imuecahxyvjduifragmentsMeFragmentV2(File file) {
        try {
            if (file.exists()) {
                file.delete();
            }
            while (this.avatarImage.getImageReceiver().getBitmap() == null) {
                Thread.sleep(10L);
            }
            Bitmap bitmap = this.avatarImage.getImageReceiver().getBitmap();
            FileOutputStream out = new FileOutputStream(file);
            bitmap.compress(Bitmap.CompressFormat.JPEG, 100, out);
            out.flush();
            out.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /* renamed from: notifyUpdateWalletRow */
    public void m2951lambda$getFcLocation$4$imuecahxyvjduifragmentsMeFragmentV2() {
        if (this.listAdapter != null) {
            updateRows();
            this.listAdapter.notifyDataSetChanged();
        }
    }

    private void getFcLocation() {
        TLRPCFriendsHub.TL_GetOtherConfig req = new TLRPCFriendsHub.TL_GetOtherConfig();
        getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$$ExternalSyntheticLambda1
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                MeFragmentV2.this.m2952lambda$getFcLocation$5$imuecahxyvjduifragmentsMeFragmentV2(tLObject, tL_error);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getFcLocation$5$im-uecahxyvjd-ui-fragments-MeFragmentV2  reason: not valid java name */
    public /* synthetic */ void m2952lambda$getFcLocation$5$imuecahxyvjduifragmentsMeFragmentV2(TLObject response, TLRPC.TL_error error) {
        if (error != null) {
            FileLog.e("get friend hub base url failed" + error.text);
            return;
        }
        TLRPCFriendsHub.TL_OtherConfig result = (TLRPCFriendsHub.TL_OtherConfig) response;
        try {
            if (result.data != null && !TextUtils.isEmpty(result.data.data)) {
                JSONObject jsonObject = new JSONObject(result.data.data);
                int payTurn = jsonObject.getInt("PayTurn");
                boolean z = true;
                if (payTurn != 1) {
                    z = false;
                }
                if (z != BuildVars.WALLET_ENABLE) {
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$$ExternalSyntheticLambda2
                        @Override // java.lang.Runnable
                        public final void run() {
                            MeFragmentV2.this.m2951lambda$getFcLocation$4$imuecahxyvjduifragmentsMeFragmentV2();
                        }
                    });
                }
            }
        } catch (Exception e) {
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes10.dex */
    public class ListAdapter extends RecyclerListView.SelectionAdapter {
        private Context mContext;

        public ListAdapter(Context context) {
            this.mContext = context;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return MeFragmentV2.this.rowCount;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            Drawable drawable;
            switch (holder.getItemViewType()) {
                case 0:
                    IndexTextCell2 cell = (IndexTextCell2) holder.itemView;
                    if (position != MeFragmentV2.this.pcLoginRow) {
                        if (position != MeFragmentV2.this.digitalcurrency) {
                            if (position != MeFragmentV2.this.liveIncomeRow) {
                                if (position != MeFragmentV2.this.cdnVipRow) {
                                    if (position != MeFragmentV2.this.notifyRow) {
                                        if (position != MeFragmentV2.this.privacyRow) {
                                            if (position != MeFragmentV2.this.appearanceRow) {
                                                if (position != MeFragmentV2.this.dataRow) {
                                                    if (position != MeFragmentV2.this.langRow) {
                                                        if (position != MeFragmentV2.this.faqRow) {
                                                            if (position != MeFragmentV2.this.aboutRow) {
                                                                if (position != MeFragmentV2.this.serviceRow) {
                                                                    if (position == MeFragmentV2.this.inviteFriends) {
                                                                        cell.setTextAndIcon(LocaleController.getString("MeInviteFriends", R.string.MeInviteFriends), R.drawable.fmt_mev2_friends, R.mipmap.icon_arrow_right, true);
                                                                        return;
                                                                    }
                                                                    return;
                                                                }
                                                                cell.setTextAndIcon(LocaleController.getString("OnlineService", R.string.OnlineService), R.drawable.fmt_mev2_service, R.mipmap.icon_arrow_right, true);
                                                                return;
                                                            }
                                                            cell.setTextAndIcon(LocaleController.getString("AboutApp", R.string.AboutApp), R.drawable.fmt_mev2_about, R.mipmap.icon_arrow_right, false);
                                                            cell.setBackground(Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                                                            return;
                                                        }
                                                        cell.setTextAndIcon(LocaleController.getString("faq", R.string.faq), R.drawable.fmt_mev2_faq, R.mipmap.icon_arrow_right, true);
                                                        return;
                                                    }
                                                    cell.setTextAndIcon(LocaleController.getString("LanguageSetting", R.string.LanguageSetting), R.drawable.fmt_mev2_lang, R.mipmap.icon_arrow_right, false);
                                                    cell.setBackground(Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                                                    return;
                                                }
                                                cell.setTextAndIcon(LocaleController.getString("DataSettings", R.string.DataSettings), R.drawable.fmt_mev2_data, R.mipmap.icon_arrow_right, false);
                                                return;
                                            }
                                            cell.setTextAndIcon(LocaleController.getString("Appearance", R.string.Appearance), R.drawable.fmt_mev2_theme, R.mipmap.icon_arrow_right, true);
                                            return;
                                        }
                                        cell.setTextAndIcon(LocaleController.getString("PrivacySettings", R.string.PrivacySettings), R.drawable.fmt_mev2_privacy, R.mipmap.icon_arrow_right, true);
                                        cell.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f, Theme.getColor(Theme.key_windowBackgroundWhite)));
                                        return;
                                    }
                                    cell.setTextAndIcon(LocaleController.getString("NotificationsAndSounds", R.string.NotificationsAndSounds), R.drawable.fmt_mev2_notify, R.mipmap.icon_arrow_right, true);
                                    return;
                                }
                                cell.setTextAndIcon(LocaleController.getString("OpenCdnVip", R.string.OpenCdnVip), R.drawable.fmt_live_income, R.mipmap.icon_arrow_right, false);
                                cell.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f, Theme.getColor(Theme.key_windowBackgroundWhite)));
                                return;
                            }
                            cell.setTextAndIcon(LocaleController.getString("LiveIncome", R.string.LiveIncome), R.drawable.fmt_live_income, R.mipmap.icon_arrow_right, false);
                            cell.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f, Theme.getColor(Theme.key_windowBackgroundWhite)));
                            return;
                        }
                        cell.setTextAndIcon(LocaleController.getString("digitalcurrency", R.string.digitalcurrency), R.drawable.fmt_mev2_digitalcurrency, R.mipmap.icon_arrow_right, true);
                        cell.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f, Theme.getColor(Theme.key_windowBackgroundWhite)));
                        return;
                    }
                    cell.setTextAndIcon("PC版登录", R.mipmap.fmt_me_pc, R.mipmap.icon_arrow_right, true);
                    cell.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f, Theme.getColor(Theme.key_windowBackgroundWhite)));
                    return;
                case 1:
                    FrameLayout frameLayout = (FrameLayout) holder.itemView.findViewById(R.id.containerLayout);
                    LinearLayout linearLayout = (LinearLayout) holder.itemView.findViewById(R.id.ll_fmt_nav_container);
                    linearLayout.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(6.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                    ImageView ivHeaderQRCode = (ImageView) holder.itemView.findViewById(R.id.ivHeaderQRCode);
                    FrameLayout flAvatarContainer = (FrameLayout) holder.itemView.findViewById(R.id.flAvatarContainer);
                    flAvatarContainer.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(8.0f), -534));
                    MeFragmentV2.this.avatarImage = (BackupImageView) holder.itemView.findViewById(R.id.bivHeaderAvatar);
                    TextView tvUsername = (TextView) holder.itemView.findViewById(R.id.tvUsername);
                    TextView tvUserphone = (TextView) holder.itemView.findViewById(R.id.tvUserphone);
                    TextView tvDynamic = (TextView) holder.itemView.findViewById(R.id.tv_dynamic);
                    TextView tvFocus = (TextView) holder.itemView.findViewById(R.id.tv_focus);
                    TextView tvLikes = (TextView) holder.itemView.findViewById(R.id.tv_likes);
                    TextView tvFans = (TextView) holder.itemView.findViewById(R.id.tv_fans);
                    tvDynamic.setText(LocaleController.getString("Dynamic", R.string.firendscircle_dynamic));
                    tvFocus.setText(LocaleController.getString("Focus", R.string.firendscircle_attention));
                    tvLikes.setText(LocaleController.getString("Likes", R.string.firendscircle_get_zan));
                    tvFans.setText(LocaleController.getString("Fans", R.string.firendscircle_fans));
                    TextView tvDynamicNum = (TextView) holder.itemView.findViewById(R.id.tv_dynamic_num);
                    TextView tvFocusNum = (TextView) holder.itemView.findViewById(R.id.tv_focus_num);
                    TextView tvLikesNum = (TextView) holder.itemView.findViewById(R.id.tv_likes_num);
                    TextView tvFansNum = (TextView) holder.itemView.findViewById(R.id.tv_fans_num);
                    RelativeLayout walletLayout = (RelativeLayout) holder.itemView.findViewById(R.id.rlWalletLayout);
                    FrameLayout albumLayout = (FrameLayout) holder.itemView.findViewById(R.id.flAlbumLayou);
                    FrameLayout collectionLayout = (FrameLayout) holder.itemView.findViewById(R.id.flCollectionLayou);
                    FrameLayout emojiLayout = (FrameLayout) holder.itemView.findViewById(R.id.flEmojiLayout);
                    TextView tvWalletText = (TextView) holder.itemView.findViewById(R.id.tvWalletText);
                    tvWalletText.setText(LocaleController.getString("Wallet", R.string.Wallet));
                    TextView tvAlbumText = (TextView) holder.itemView.findViewById(R.id.tvAlbumText);
                    tvAlbumText.setText(LocaleController.getString("Album", R.string.Album));
                    TextView tvCollectionText = (TextView) holder.itemView.findViewById(R.id.tvCollectionText);
                    tvCollectionText.setText(LocaleController.getString("Collection", R.string.Collection));
                    TextView tvStickerText = (TextView) holder.itemView.findViewById(R.id.tvStickerText);
                    holder.itemView.findViewById(R.id.parentUserName);
                    View ivCdnVipFlag = holder.itemView.findViewById(R.id.ivCdnVipFlag);
                    tvStickerText.setText(LocaleController.getString("Sticker", R.string.Sticker));
                    walletLayout.setVisibility(MeFragmentV2.this.getMessagesController().enableWallet ? 0 : 8);
                    TLRPC.User user = UserConfig.getInstance(UserConfig.selectedAccount).getCurrentUser();
                    if (user == null) {
                        return;
                    }
                    Drawable drawable2 = MeFragmentV2.this.getResources().getDrawable(R.drawable.ic_head_def);
                    tvUsername.setText(UserObject.getName(user));
                    int unMaxWidth = ScreenUtils.getScreenWidth() - AndroidUtilities.dp(197.0f);
                    if (unMaxWidth > 0) {
                        tvUsername.setMaxWidth(unMaxWidth);
                    }
                    if ((MeFragmentV2.this.userFull instanceof TLRPCContacts.CL_userFull_v1) && ((TLRPCContacts.CL_userFull_v1) MeFragmentV2.this.userFull).getExtendBean().cdnVipIsAvailable()) {
                        ivCdnVipFlag.setVisibility(0);
                    } else {
                        ivCdnVipFlag.setVisibility(8);
                    }
                    tvUserphone.setVisibility(TextUtils.isEmpty(user.username) ? 8 : 0);
                    if (!TextUtils.isEmpty(user.username)) {
                        tvUserphone.setText(user.username);
                    }
                    MeFragmentV2.this.avatarImage.setRoundRadius(AndroidUtilities.dp(7.5f));
                    MeFragmentV2.this.avatarImage.getImageReceiver().setCurrentAccount(MeFragmentV2.this.currentAccount);
                    MeFragmentV2.this.avatarImage.setImage(ImageLocation.getForUser(user, false), "50_50", drawable2, user);
                    holder.itemView.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$ListAdapter$$ExternalSyntheticLambda0
                        @Override // android.view.View.OnClickListener
                        public final void onClick(View view) {
                            MeFragmentV2.ListAdapter.this.m2959xd60aa197(view);
                        }
                    });
                    MeFragmentV2.this.avatarImage.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$ListAdapter$$ExternalSyntheticLambda1
                        @Override // android.view.View.OnClickListener
                        public final void onClick(View view) {
                            MeFragmentV2.ListAdapter.this.m2960x63455318(view);
                        }
                    });
                    File file = new File(AndroidUtilities.getCacheDir().getPath() + File.separator + "user_avatar.jpg");
                    if (user.photo instanceof TLRPC.TL_userProfilePhoto) {
                        MeFragmentV2.this.saveImage(file);
                    } else if (file.exists()) {
                        file.delete();
                    }
                    ivHeaderQRCode.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$ListAdapter$$ExternalSyntheticLambda2
                        @Override // android.view.View.OnClickListener
                        public final void onClick(View view) {
                            MeFragmentV2.ListAdapter.this.m2961xf0800499(view);
                        }
                    });
                    if (MeFragmentV2.this.fcActionCountBean != null) {
                        tvDynamicNum.setText(Integer.toString(MeFragmentV2.this.fcActionCountBean.getForumCount()));
                        tvFocusNum.setText(Integer.toString(MeFragmentV2.this.fcActionCountBean.getFollowCount()));
                        tvLikesNum.setText(Integer.toString(MeFragmentV2.this.fcActionCountBean.getThumbCount()));
                        tvFansNum.setText(Integer.toString(MeFragmentV2.this.fcActionCountBean.getFansCount()));
                    }
                    walletLayout.setBackground(Theme.getSelectorDrawable(false));
                    albumLayout.setBackground(Theme.getSelectorDrawable(false));
                    collectionLayout.setBackground(Theme.getSelectorDrawable(false));
                    emojiLayout.setBackground(Theme.getSelectorDrawable(false));
                    walletLayout.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$ListAdapter$$ExternalSyntheticLambda3
                        @Override // android.view.View.OnClickListener
                        public final void onClick(View view) {
                            MeFragmentV2.ListAdapter.lambda$onBindViewHolder$3(view);
                        }
                    });
                    albumLayout.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$ListAdapter$$ExternalSyntheticLambda4
                        @Override // android.view.View.OnClickListener
                        public final void onClick(View view) {
                            MeFragmentV2.ListAdapter.this.m2962xaf5679b(view);
                        }
                    });
                    collectionLayout.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$ListAdapter$$ExternalSyntheticLambda5
                        @Override // android.view.View.OnClickListener
                        public final void onClick(View view) {
                            MeFragmentV2.ListAdapter.this.m2963x9830191c(view);
                        }
                    });
                    emojiLayout.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$ListAdapter$$ExternalSyntheticLambda6
                        @Override // android.view.View.OnClickListener
                        public final void onClick(View view) {
                            MeFragmentV2.ListAdapter.this.m2964x256aca9d(view);
                        }
                    });
                    return;
                case 2:
                    IndexTextCell2 cell2 = (IndexTextCell2) holder.itemView;
                    if (MeFragmentV2.this.newWalletRow == holder.getAdapterPosition()) {
                        cell2.setTextAndIcon(LocaleController.getString("WalletCenter", R.string.WalletCenter), R.mipmap.fmt_me_wallet, R.mipmap.icon_arrow_right, false);
                        cell2.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                        return;
                    }
                    ((IndexTextCell2) holder.itemView).setTextAndIcon(LocaleController.getString("WalletCenter", R.string.WalletCenter), R.mipmap.fmt_me_wallet, R.mipmap.icon_arrow_right, false);
                    return;
                case 3:
                    View sectionCell = holder.itemView;
                    ((IndexTextCell2) sectionCell).setTextAndIcon(LocaleController.getString("GameCenter", R.string.GameCenter), R.mipmap.fmt_me_games, R.mipmap.icon_arrow_right, false);
                    return;
                case 4:
                    View sectionCell2 = holder.itemView;
                    sectionCell2.setTag(Integer.valueOf(position));
                    if (position == MeFragmentV2.this.serviceEmptyRow) {
                        drawable = Theme.getThemedDrawable(this.mContext, (int) R.drawable.greydivider_bottom, Theme.key_windowBackgroundGrayShadow);
                    } else {
                        drawable = Theme.getThemedDrawable(this.mContext, (int) R.drawable.greydivider, Theme.key_windowBackgroundGrayShadow);
                    }
                    CombinedDrawable combinedDrawable = new CombinedDrawable(new ColorDrawable(Theme.getColor(Theme.key_windowBackgroundGray)), drawable);
                    combinedDrawable.setFullsize(true);
                    return;
                default:
                    return;
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$0$im-uecahxyvjd-ui-fragments-MeFragmentV2$ListAdapter  reason: not valid java name */
        public /* synthetic */ void m2959xd60aa197(View v) {
            MeFragmentV2.this.presentFragment(new NewUserInfoActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$1$im-uecahxyvjd-ui-fragments-MeFragmentV2$ListAdapter  reason: not valid java name */
        public /* synthetic */ void m2960x63455318(View v) {
            TLRPC.User user1 = MessagesController.getInstance(MeFragmentV2.this.currentAccount).getUser(Integer.valueOf(UserConfig.getInstance(MeFragmentV2.this.currentAccount).getClientUserId()));
            if (user1 != null && user1.photo != null && user1.photo.photo_big != null) {
                PhotoViewer.getInstance().setParentActivity(MeFragmentV2.this.getParentActivity());
                if (user1.photo.dc_id != 0) {
                    user1.photo.photo_big.dc_id = user1.photo.dc_id;
                }
                PhotoViewer.getInstance().openPhoto(user1.photo.photo_big, MeFragmentV2.this.provider);
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$2$im-uecahxyvjd-ui-fragments-MeFragmentV2$ListAdapter  reason: not valid java name */
        public /* synthetic */ void m2961xf0800499(View v) {
            QrCodeActivity qrCodeActivity = new QrCodeActivity(MeFragmentV2.this.getUserConfig().getClientUserId());
            MeFragmentV2.this.presentFragment(qrCodeActivity);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        public static /* synthetic */ void lambda$onBindViewHolder$3(View v) {
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$4$im-uecahxyvjd-ui-fragments-MeFragmentV2$ListAdapter  reason: not valid java name */
        public /* synthetic */ void m2962xaf5679b(View v) {
            MeFragmentV2.this.presentFragment(new FcAlbumActivity());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$5$im-uecahxyvjd-ui-fragments-MeFragmentV2$ListAdapter  reason: not valid java name */
        public /* synthetic */ void m2963x9830191c(View v) {
            Bundle args = new Bundle();
            args.putLong("dialog_id", UserConfig.getInstance(MeFragmentV2.this.currentAccount).getClientUserId());
            MediaActivity fragment = new MediaActivity(args, new int[]{-1, -1, -1, -1, -1});
            TLRPC.ChatFull chatFull = MeFragmentV2.this.getMessagesController().getChatFull(UserConfig.getInstance(MeFragmentV2.this.currentAccount).getClientUserId());
            fragment.setChatInfo(chatFull);
            MeFragmentV2.this.presentFragment(fragment);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$6$im-uecahxyvjd-ui-fragments-MeFragmentV2$ListAdapter  reason: not valid java name */
        public /* synthetic */ void m2964x256aca9d(View v) {
            MeFragmentV2.this.presentFragment(new StickersActivity(0));
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            int position = holder.getAdapterPosition();
            return position == MeFragmentV2.this.avatarRow || position == MeFragmentV2.this.pcLoginRow || position == MeFragmentV2.this.aboutRow || position == MeFragmentV2.this.notifyRow || position == MeFragmentV2.this.privacyRow || position == MeFragmentV2.this.dataRow || position == MeFragmentV2.this.digitalcurrency || position == MeFragmentV2.this.cdnVipRow || position == MeFragmentV2.this.faqRow || position == MeFragmentV2.this.appearanceRow || position == MeFragmentV2.this.langRow || position == MeFragmentV2.this.serviceRow || position == MeFragmentV2.this.newWalletRow;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view = null;
            switch (viewType) {
                case 0:
                    view = new IndexTextCell2(this.mContext, AndroidUtilities.dp(1.0f));
                    RecyclerView.LayoutParams layoutParams = new RecyclerView.LayoutParams(-1, -2);
                    layoutParams.leftMargin = AndroidUtilities.dp(10.0f);
                    layoutParams.rightMargin = AndroidUtilities.dp(10.0f);
                    view.setLayoutParams(layoutParams);
                    view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    break;
                case 1:
                    view = LayoutInflater.from(this.mContext).inflate(R.layout.fmt_header_layout, (ViewGroup) null, false);
                    view.findViewById(R.id.ivHeaderQRCode);
                    view.setLayoutParams(new RecyclerView.LayoutParams(-1, AndroidUtilities.dp(220.0f)));
                    break;
                case 2:
                    view = new IndexTextCell2(this.mContext);
                    RecyclerView.LayoutParams layoutParams2 = new RecyclerView.LayoutParams(-1, -2);
                    layoutParams2.leftMargin = AndroidUtilities.dp(10.0f);
                    layoutParams2.rightMargin = AndroidUtilities.dp(10.0f);
                    view.setLayoutParams(layoutParams2);
                    view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    break;
                case 3:
                    view = new IndexTextCell2(this.mContext);
                    RecyclerView.LayoutParams layoutParams3 = new RecyclerView.LayoutParams(-1, -2);
                    layoutParams3.leftMargin = AndroidUtilities.dp(10.0f);
                    layoutParams3.rightMargin = AndroidUtilities.dp(10.0f);
                    view.setLayoutParams(layoutParams3);
                    view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    break;
                case 4:
                    view = new View(this.mContext);
                    RecyclerView.LayoutParams layoutParams4 = new RecyclerView.LayoutParams(-1, AndroidUtilities.dp(10.0f));
                    layoutParams4.leftMargin = AndroidUtilities.dp(10.0f);
                    layoutParams4.rightMargin = AndroidUtilities.dp(10.0f);
                    view.setLayoutParams(layoutParams4);
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            if (position != MeFragmentV2.this.avatarRow) {
                if (position != MeFragmentV2.this.newWalletRow) {
                    if (position == MeFragmentV2.this.gamesCenterEmptyRow || position == MeFragmentV2.this.dataEmptyRow || position == MeFragmentV2.this.serviceEmptyRow || position == MeFragmentV2.this.newWalletEmptyRow || position == MeFragmentV2.this.digitalcurrencyEmptyRow || position == MeFragmentV2.this.avatarEmptyRow || position == MeFragmentV2.this.cdnVipEmptyRow) {
                        return 4;
                    }
                    return 0;
                }
                return 2;
            }
            return 1;
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.fragments.BaseFmts
    public void onDialogDismiss(Dialog dialog) {
        super.onDialogDismiss(dialog);
        this.pressCount = 0;
    }

    private void sendLogs() {
        if (getParentActivity() == null) {
            return;
        }
        final AlertDialog progressDialog = new AlertDialog(getParentActivity(), 3);
        progressDialog.setCanCancel(false);
        progressDialog.show();
        Utilities.globalQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$$ExternalSyntheticLambda9
            @Override // java.lang.Runnable
            public final void run() {
                MeFragmentV2.this.m2958lambda$sendLogs$7$imuecahxyvjduifragmentsMeFragmentV2(progressDialog);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendLogs$7$im-uecahxyvjd-ui-fragments-MeFragmentV2  reason: not valid java name */
    public /* synthetic */ void m2958lambda$sendLogs$7$imuecahxyvjduifragmentsMeFragmentV2(final AlertDialog progressDialog) {
        try {
            File sdCard = ApplicationLoader.applicationContext.getExternalFilesDir(null);
            File dir = new File(sdCard.getAbsolutePath() + "/logs");
            final File zipFile = new File(dir, "logs.zip");
            if (zipFile.exists()) {
                zipFile.delete();
            }
            File[] files = dir.listFiles();
            final boolean[] finished = new boolean[1];
            BufferedInputStream origin = null;
            ZipOutputStream out = null;
            try {
                try {
                    FileOutputStream dest = new FileOutputStream(zipFile);
                    out = new ZipOutputStream(new BufferedOutputStream(dest));
                    byte[] data = new byte[65536];
                    for (int i = 0; i < files.length; i++) {
                        FileInputStream fi = new FileInputStream(files[i]);
                        BufferedInputStream origin2 = new BufferedInputStream(fi, data.length);
                        ZipEntry entry = new ZipEntry(files[i].getName());
                        out.putNextEntry(entry);
                        while (true) {
                            int count = origin2.read(data, 0, data.length);
                            if (count != -1) {
                                out.write(data, 0, count);
                            }
                        }
                        origin2.close();
                        origin = null;
                    }
                    finished[0] = true;
                    if (origin != null) {
                        origin.close();
                    }
                } catch (Exception e) {
                    e = e;
                    e.printStackTrace();
                    return;
                }
            } catch (Exception e2) {
                e2.printStackTrace();
                if (origin != null) {
                    origin.close();
                }
                if (out != null) {
                }
            }
            out.close();
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$$ExternalSyntheticLambda5
                @Override // java.lang.Runnable
                public final void run() {
                    MeFragmentV2.this.m2957lambda$sendLogs$6$imuecahxyvjduifragmentsMeFragmentV2(progressDialog, finished, zipFile);
                }
            });
        } catch (Exception e3) {
            e = e3;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendLogs$6$im-uecahxyvjd-ui-fragments-MeFragmentV2  reason: not valid java name */
    public /* synthetic */ void m2957lambda$sendLogs$6$imuecahxyvjduifragmentsMeFragmentV2(AlertDialog progressDialog, boolean[] finished, File zipFile) {
        Uri uri;
        try {
            progressDialog.dismiss();
        } catch (Exception e) {
        }
        if (finished[0]) {
            if (Build.VERSION.SDK_INT >= 24) {
                uri = FileProvider.getUriForFile(getParentActivity(), "im.uecahxyvjd.messenger.provider", zipFile);
            } else {
                uri = Uri.fromFile(zipFile);
            }
            Intent i = new Intent("android.intent.action.SEND");
            if (Build.VERSION.SDK_INT >= 24) {
                i.addFlags(1);
            }
            i.setType("message/rfc822");
            i.putExtra("android.intent.extra.EMAIL", "");
            i.putExtra("android.intent.extra.SUBJECT", "Logs from " + LocaleController.getInstance().formatterStats.format(System.currentTimeMillis()));
            i.putExtra("android.intent.extra.STREAM", uri);
            getParentActivity().startActivityForResult(Intent.createChooser(i, "Select email application."), 500);
            return;
        }
        ToastUtils.show((int) R.string.ErrorOccurred);
    }

    public static void performService(final BaseFragment fragment) {
        String userString;
        if (fragment == null || fragment.getParentActivity() == null) {
            return;
        }
        final int currentAccount = fragment.getCurrentAccount();
        final SharedPreferences preferences = MessagesController.getMainSettings(currentAccount);
        int uid = preferences.getInt("support_id", 0);
        TLRPC.User supportUser = null;
        if (uid != 0 && (supportUser = MessagesController.getInstance(currentAccount).getUser(Integer.valueOf(uid))) == null && (userString = preferences.getString("support_user", null)) != null) {
            try {
                byte[] datacentersBytes = Base64.decode(userString, 0);
                if (datacentersBytes != null) {
                    SerializedData data = new SerializedData(datacentersBytes);
                    supportUser = TLRPC.User.TLdeserialize(data, data.readInt32(false), false);
                    if (supportUser != null && supportUser.id == 333000) {
                        supportUser = null;
                    }
                    data.cleanup();
                }
            } catch (Exception e) {
                FileLog.e(e);
                supportUser = null;
            }
        }
        if (supportUser != null) {
            MessagesController.getInstance(currentAccount).putUser(supportUser, true);
            Bundle args = new Bundle();
            args.putInt("user_id", supportUser.id);
            fragment.presentFragment(new ChatActivity(args));
            return;
        }
        final AlertDialog progressDialog = new AlertDialog(fragment.getParentActivity(), 3);
        progressDialog.setCanCancel(true);
        progressDialog.show();
        TLRPC.TL_help_getSupport req = new TLRPC.TL_help_getSupport();
        final int requestToken = ConnectionsManager.getInstance(currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$$ExternalSyntheticLambda10
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                MeFragmentV2.lambda$performService$10(preferences, progressDialog, currentAccount, fragment, tLObject, tL_error);
            }
        });
        progressDialog.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$$ExternalSyntheticLambda11
            @Override // android.content.DialogInterface.OnCancelListener
            public final void onCancel(DialogInterface dialogInterface) {
                ConnectionsManager.getInstance(UserConfig.selectedAccount).cancelRequest(requestToken, true);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$performService$10(final SharedPreferences preferences, final AlertDialog progressDialog, final int currentAccount, final BaseFragment fragment, TLObject response, TLRPC.TL_error error) {
        if (error == null) {
            final TLRPC.TL_help_support res = (TLRPC.TL_help_support) response;
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$$ExternalSyntheticLambda6
                @Override // java.lang.Runnable
                public final void run() {
                    MeFragmentV2.lambda$performService$8(preferences, res, progressDialog, currentAccount, fragment);
                }
            });
            return;
        }
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.fragments.MeFragmentV2$$ExternalSyntheticLambda7
            @Override // java.lang.Runnable
            public final void run() {
                MeFragmentV2.lambda$performService$9(AlertDialog.this);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$performService$8(SharedPreferences preferences, TLRPC.TL_help_support res, AlertDialog progressDialog, int currentAccount, BaseFragment fragment) {
        SharedPreferences.Editor editor = preferences.edit();
        editor.putInt("support_id", res.user.id);
        SerializedData data = new SerializedData();
        res.user.serializeToStream(data);
        editor.putString("support_user", Base64.encodeToString(data.toByteArray(), 0));
        editor.apply();
        data.cleanup();
        try {
            progressDialog.dismiss();
        } catch (Exception e) {
            FileLog.e(e);
        }
        ArrayList<TLRPC.User> users = new ArrayList<>();
        users.add(res.user);
        MessagesStorage.getInstance(currentAccount).putUsersAndChats(users, null, true, true);
        MessagesController.getInstance(currentAccount).putUser(res.user, false);
        Bundle args = new Bundle();
        args.putInt("user_id", res.user.id);
        fragment.presentFragment(new ChatActivity(args));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$performService$9(AlertDialog progressDialog) {
        try {
            progressDialog.dismiss();
        } catch (Exception e) {
            FileLog.e(e);
        }
    }
}
