package im.uecahxyvjd.ui.fragments.adapter;

import android.content.Context;
import android.content.SharedPreferences;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ContactsController;
import im.uecahxyvjd.messenger.DialogObject;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.SharedConfig;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.cell.FmtDialogCell;
import im.uecahxyvjd.ui.cells.DialogMeUrlCell;
import im.uecahxyvjd.ui.cells.DialogsEmptyCell;
import im.uecahxyvjd.ui.cells.EmptyCell;
import im.uecahxyvjd.ui.cells.HeaderCell;
import im.uecahxyvjd.ui.cells.LoadingCell;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.fragments.DialogsFragment;
import im.uecahxyvjd.ui.hviews.slidemenu.SwipeLayout;
import java.util.ArrayList;
import java.util.Collections;
/* loaded from: classes13.dex */
public class FmtDialogsAdapter extends RecyclerListView.SelectionAdapter {
    private ArrayList<Long> allDialogIdsList;
    private int currentCount;
    private int dCount;
    private FmtDialogDelegate delegate;
    private boolean dialogsListFrozen;
    private int dialogsType;
    private int folderId;
    private boolean hasHints;
    private boolean isEdit;
    private boolean isReordering;
    private Context mContext;
    private long openedDialogId;
    private int currentAccount = UserConfig.selectedAccount;
    private ArrayList<Long> selectedDialogs = new ArrayList<>();

    /* loaded from: classes13.dex */
    public interface FmtDialogDelegate {
        void onItemMenuClick(boolean z, int i, long j, int i2);
    }

    public void setEdit(boolean edit) {
        this.isEdit = edit;
    }

    public void setDelegate(FmtDialogDelegate delegate) {
        this.delegate = delegate;
    }

    public FmtDialogsAdapter(Context context, int dialogsType, int folder) {
        this.mContext = context;
        this.folderId = folder;
        this.dialogsType = dialogsType;
    }

    public void setDialogsType(int type) {
        this.dialogsType = type;
    }

    public void setOpenedDialogId(long id) {
        this.openedDialogId = id;
    }

    public boolean addOrRemoveSelectedDialog(long did, View cell) {
        if (this.selectedDialogs.contains(Long.valueOf(did))) {
            this.selectedDialogs.remove(Long.valueOf(did));
            if (cell instanceof FmtDialogCell) {
                ((FmtDialogCell) cell).setChecked(false, true);
            }
            return false;
        }
        this.selectedDialogs.add(Long.valueOf(did));
        if (cell instanceof FmtDialogCell) {
            ((FmtDialogCell) cell).setChecked(true, true);
        }
        return true;
    }

    public ArrayList<Long> getSelectedDialogs() {
        return this.selectedDialogs;
    }

    public ArrayList<Long> getAllDialogIdsList() {
        ArrayList<Long> arrayList = this.allDialogIdsList;
        if (arrayList == null) {
            this.allDialogIdsList = new ArrayList<>();
        } else {
            arrayList.clear();
        }
        ArrayList<TLRPC.Dialog> arrayList2 = DialogsFragment.getDialogsArray(this.currentAccount, this.dialogsType, 0, this.dialogsListFrozen);
        int i = 0;
        while (i < getItemCount()) {
            boolean loopNetIndex = false;
            if (this.hasHints) {
                int count = MessagesController.getInstance(this.currentAccount).hintDialogs.size();
                if (i < count + 2) {
                    this.allDialogIdsList.add(Long.valueOf(MessagesController.getInstance(this.currentAccount).hintDialogs.get(i - 1).chat_id));
                    loopNetIndex = true;
                } else {
                    i -= count + 2;
                }
            }
            if (!loopNetIndex && i >= 0 && i < arrayList2.size()) {
                this.allDialogIdsList.add(Long.valueOf(arrayList2.get(i).id));
            }
            i++;
        }
        return this.allDialogIdsList;
    }

    public void onReorderStateChanged(boolean reordering) {
        this.isReordering = reordering;
    }

    public int fixPosition(int position) {
        if (this.hasHints) {
            return position - (MessagesController.getInstance(this.currentAccount).hintDialogs.size() + 2);
        }
        return position;
    }

    public boolean isDataSetChanged() {
        int current = this.currentCount;
        int currentDialogsCount = this.dCount;
        return (current == getItemCount() && currentDialogsCount == this.dCount && current != 1) ? false : true;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        ArrayList<TLRPC.Dialog> array = DialogsFragment.getDialogsArray(this.currentAccount, this.dialogsType, 0, this.dialogsListFrozen);
        int dialogsCount = array.size();
        this.dCount = dialogsCount;
        if (dialogsCount == 0 && MessagesController.getInstance(this.currentAccount).isLoadingDialogs(0)) {
            this.currentCount = 0;
            return 0;
        }
        int count = dialogsCount;
        if (!MessagesController.getInstance(this.currentAccount).isDialogsEndReached(0) || dialogsCount == 0) {
            count++;
        }
        if (this.hasHints) {
            count += MessagesController.getInstance(this.currentAccount).hintDialogs.size() + 2;
        } else if (dialogsCount == 0 && ContactsController.getInstance(this.currentAccount).contacts.isEmpty() && ContactsController.getInstance(this.currentAccount).isLoadingContacts()) {
            this.currentCount = 0;
            return 0;
        }
        this.currentCount = count;
        return count;
    }

    public TLObject getItem(int i) {
        ArrayList<TLRPC.Dialog> arrayList = DialogsFragment.getDialogsArray(this.currentAccount, this.dialogsType, 0, this.dialogsListFrozen);
        if (this.hasHints) {
            int count = MessagesController.getInstance(this.currentAccount).hintDialogs.size();
            if (i < count + 2) {
                return MessagesController.getInstance(this.currentAccount).hintDialogs.get(i - 1);
            }
            i -= count + 2;
        }
        if (i < 0 || i >= arrayList.size()) {
            return null;
        }
        return arrayList.get(i);
    }

    public void setDialogsListFrozen(boolean frozen) {
        this.dialogsListFrozen = frozen;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void notifyDataSetChanged() {
        this.hasHints = !MessagesController.getInstance(this.currentAccount).hintDialogs.isEmpty();
        super.notifyDataSetChanged();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onViewAttachedToWindow(RecyclerView.ViewHolder holder) {
        if (holder.itemView instanceof SwipeLayout) {
            SwipeLayout swipeLayout = (SwipeLayout) holder.itemView;
            FmtDialogCell dialogCell = (FmtDialogCell) swipeLayout.getMainLayout();
            dialogCell.onReorderStateChanged(this.isReordering, false);
            int position = fixPosition(holder.getAdapterPosition());
            dialogCell.setDialogIndex(position);
            dialogCell.checkCurrentDialogIndex(this.dialogsListFrozen);
            dialogCell.setChecked(this.selectedDialogs.contains(Long.valueOf(dialogCell.getDialogId())), false);
        }
    }

    public boolean hasSelectedDialogs() {
        ArrayList<Long> arrayList = this.selectedDialogs;
        return (arrayList == null || arrayList.isEmpty()) ? false : true;
    }

    @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
    public boolean isEnabled(RecyclerView.ViewHolder holder) {
        int viewType = holder.getItemViewType();
        return (viewType == 1 || viewType == 5 || viewType == 3 || viewType == 8 || viewType == 7 || viewType == 9 || viewType == 10) ? false : true;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup viewGroup, int viewType) {
        View view;
        switch (viewType) {
            case 0:
                view = new SwipeLayout(this.mContext) { // from class: im.uecahxyvjd.ui.fragments.adapter.FmtDialogsAdapter.1
                    @Override // android.view.View
                    public boolean onTouchEvent(MotionEvent event) {
                        if (isExpanded()) {
                            return true;
                        }
                        return super.onTouchEvent(event);
                    }
                };
                ((ViewGroup) view).setClipChildren(false);
                FmtDialogCell dialogCell = new FmtDialogCell(this.mContext, false);
                SwipeLayout swipeLayout = (SwipeLayout) view;
                swipeLayout.setUpView(dialogCell);
                view.setLayoutParams(new RecyclerView.LayoutParams(-1, -2));
                break;
            case 1:
                view = new LoadingCell(this.mContext);
                view.setLayoutParams(new RecyclerView.LayoutParams(-1, viewType == 5 ? -1 : -2));
                break;
            case 2:
                HeaderCell headerCell = new HeaderCell(this.mContext);
                headerCell.setText(LocaleController.getString("RecentlyViewed", R.string.RecentlyViewed));
                TextView textView = new TextView(this.mContext);
                textView.setTextSize(1, 15.0f);
                textView.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
                textView.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlueHeader));
                textView.setText(LocaleController.getString("RecentlyViewedHide", R.string.RecentlyViewedHide));
                textView.setGravity((LocaleController.isRTL ? 3 : 5) | 16);
                headerCell.addView(textView, LayoutHelper.createFrame(-1.0f, -1.0f, (LocaleController.isRTL ? 3 : 5) | 48, 17.0f, 15.0f, 17.0f, 0.0f));
                textView.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.fragments.adapter.FmtDialogsAdapter$$ExternalSyntheticLambda0
                    @Override // android.view.View.OnClickListener
                    public final void onClick(View view2) {
                        FmtDialogsAdapter.this.m2977x952e158e(view2);
                    }
                });
                headerCell.setLayoutParams(new RecyclerView.LayoutParams(-1, viewType == 5 ? -1 : -2));
                view = headerCell;
                break;
            case 3:
                FrameLayout frameLayout = new FrameLayout(this.mContext) { // from class: im.uecahxyvjd.ui.fragments.adapter.FmtDialogsAdapter.2
                    @Override // android.widget.FrameLayout, android.view.View
                    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
                        super.onMeasure(View.MeasureSpec.makeMeasureSpec(View.MeasureSpec.getSize(widthMeasureSpec), 1073741824), View.MeasureSpec.makeMeasureSpec(AndroidUtilities.dp(12.0f), 1073741824));
                    }
                };
                frameLayout.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
                View v = new View(this.mContext);
                v.setBackgroundDrawable(Theme.getThemedDrawable(this.mContext, (int) R.drawable.greydivider, Theme.key_windowBackgroundGrayShadow));
                frameLayout.addView(v, LayoutHelper.createFrame(-1, -1.0f));
                frameLayout.setLayoutParams(new RecyclerView.LayoutParams(-1, viewType == 5 ? -1 : -2));
                view = frameLayout;
                break;
            case 4:
                view = new DialogMeUrlCell(this.mContext);
                view.setLayoutParams(new RecyclerView.LayoutParams(-1, viewType == 5 ? -1 : -2));
                break;
            case 5:
                view = new DialogsEmptyCell(this.mContext);
                view.setLayoutParams(new RecyclerView.LayoutParams(-1, viewType == 5 ? -1 : -2));
                break;
            case 6:
            case 7:
            case 8:
            case 9:
            case 10:
            default:
                view = new View(this.mContext) { // from class: im.uecahxyvjd.ui.fragments.adapter.FmtDialogsAdapter.3
                    @Override // android.view.View
                    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
                        int height;
                        View parent;
                        int size = DialogsFragment.getDialogsArray(FmtDialogsAdapter.this.currentAccount, FmtDialogsAdapter.this.dialogsType, 0, FmtDialogsAdapter.this.dialogsListFrozen).size();
                        boolean hasArchive = MessagesController.getInstance(FmtDialogsAdapter.this.currentAccount).dialogs_dict.get(DialogObject.makeFolderDialogId(1)) != null;
                        if (size == 0 || !hasArchive) {
                            height = 0;
                        } else {
                            int height2 = View.MeasureSpec.getSize(heightMeasureSpec);
                            if (height2 == 0 && (parent = (View) getParent()) != null) {
                                height2 = parent.getMeasuredHeight();
                            }
                            if (height2 == 0) {
                                height2 = (AndroidUtilities.displaySize.y - ActionBar.getCurrentActionBarHeight()) - AndroidUtilities.statusBarHeight;
                            }
                            int cellHeight = AndroidUtilities.dp(SharedConfig.useThreeLinesLayout ? 68.0f : 62.0f);
                            int dialogsHeight = (size * cellHeight) + (size - 1);
                            if (dialogsHeight < height2) {
                                height = (height2 - dialogsHeight) + cellHeight + 1;
                            } else if (dialogsHeight - height2 < cellHeight + 1) {
                                height = (cellHeight + 1) - (dialogsHeight - height2);
                            } else {
                                height = 0;
                            }
                        }
                        setMeasuredDimension(View.MeasureSpec.getSize(widthMeasureSpec), height);
                    }
                };
                view.setLayoutParams(new RecyclerView.LayoutParams(-1, viewType == 5 ? -1 : -2));
                break;
            case 11:
                view = new EmptyCell(this.mContext, AndroidUtilities.dp(46.0f));
                view.setLayoutParams(new RecyclerView.LayoutParams(-1, viewType == 5 ? -1 : -2));
                break;
        }
        return new RecyclerListView.Holder(view);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onCreateViewHolder$0$im-uecahxyvjd-ui-fragments-adapter-FmtDialogsAdapter  reason: not valid java name */
    public /* synthetic */ void m2977x952e158e(View view1) {
        MessagesController.getInstance(this.currentAccount).hintDialogs.clear();
        SharedPreferences preferences = MessagesController.getGlobalMainSettings();
        preferences.edit().remove("installReferer").commit();
        notifyDataSetChanged();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(RecyclerView.ViewHolder holder, final int i) {
        Drawable bg;
        switch (holder.getItemViewType()) {
            case 0:
                SwipeLayout swipeLayout = (SwipeLayout) holder.itemView;
                swipeLayout.setItemWidth(AndroidUtilities.dp(65.0f));
                FmtDialogCell cell = (FmtDialogCell) swipeLayout.getMainLayout();
                cell.setCheckBoxVisible(this.isEdit, true, i);
                int radius = AndroidUtilities.dp(5.0f);
                if (getItemCount() == 1) {
                    bg = Theme.createRoundRectDrawable(radius, Theme.getColor(Theme.key_windowBackgroundWhite));
                } else if (i == 0 || i == getItemCount() - 1) {
                    bg = i == 0 ? Theme.createRoundRectDrawable(radius, radius, 0.0f, 0.0f, Theme.getColor(Theme.key_windowBackgroundWhite)) : Theme.createRoundRectDrawable(0.0f, 0.0f, radius, radius, Theme.getColor(Theme.key_windowBackgroundWhite));
                } else {
                    bg = new ColorDrawable(Theme.getColor(Theme.key_windowBackgroundWhite));
                }
                swipeLayout.setBackground(this.isEdit ? bg : null);
                cell.setBackground(bg);
                TLRPC.Dialog dialog = (TLRPC.Dialog) getItem(i);
                int lower_id = (int) dialog.id;
                int high_id = (int) (dialog.id >> 32);
                boolean isChat = lower_id < 0 && high_id != 1;
                int[] leftColors = {-6710887, -16725760};
                int[] leftIcons = new int[2];
                leftIcons[0] = MessagesController.getInstance(UserConfig.selectedAccount).isDialogMuted(dialog.id) ? R.drawable.msg_unmute : R.drawable.msg_mute;
                leftIcons[1] = dialog.pinned ? R.drawable.msg_unpin : R.drawable.msg_pin;
                int[] leftIconColors = {-1, -1};
                String[] leftTexts = new String[2];
                leftTexts[0] = LocaleController.getString(MessagesController.getInstance(UserConfig.selectedAccount).isDialogMuted(dialog.id) ? R.string.ChatsUnmute : R.string.ChatsMute);
                leftTexts[1] = LocaleController.getString(dialog.pinned ? R.string.UnpinFromTop : R.string.PinToTop);
                int[] leftTextColors = {-1, -1};
                int[] rightColors = {-6908264, -570319};
                int[] rightIcons = new int[2];
                rightIcons[0] = dialog.unread_count != 0 ? R.drawable.msg_markread : R.drawable.msg_markunread;
                rightIcons[1] = R.drawable.msg_delete;
                int[] rightIconColors = {-1, -1};
                String[] rightTexts = new String[2];
                int high_id2 = dialog.unread_count;
                rightTexts[0] = LocaleController.getString(high_id2 != 0 ? R.string.MarkAsRead : R.string.MarkAsUnread);
                rightTexts[1] = LocaleController.getString(R.string.Delete);
                int[] rightTextColors = {-1, -1};
                swipeLayout.setLeftIcons(leftIcons);
                swipeLayout.setLeftIconColors(leftIconColors);
                swipeLayout.setLeftTexts(leftTexts);
                swipeLayout.setLeftTextColors(leftTextColors);
                swipeLayout.setLeftColors(leftColors);
                swipeLayout.setRightIcons(rightIcons);
                swipeLayout.setRightIconColors(rightIconColors);
                swipeLayout.setRightTexts(rightTexts);
                swipeLayout.setRightTextColors(rightTextColors);
                swipeLayout.setRightColors(rightColors);
                swipeLayout.setCanFullSwipeFromRight(true);
                swipeLayout.setCanFullSwipeFromLeft(true);
                swipeLayout.setIconSize(AndroidUtilities.dp(24.0f));
                swipeLayout.setTextSize(AndroidUtilities.sp2px(12.0f));
                swipeLayout.setAutoHideSwipe(true);
                swipeLayout.setOnlyOneSwipe(true);
                swipeLayout.rebuildLayout();
                swipeLayout.setOnSwipeItemClickListener(new SwipeLayout.OnSwipeItemClickListener() { // from class: im.uecahxyvjd.ui.fragments.adapter.FmtDialogsAdapter$$ExternalSyntheticLambda1
                    @Override // im.uecahxyvjd.ui.hviews.slidemenu.SwipeLayout.OnSwipeItemClickListener
                    public final void onSwipeItemClick(boolean z, int i2) {
                        FmtDialogsAdapter.this.m2976x4f5d520c(i, z, i2);
                    }
                });
                TLRPC.Dialog nextDialog = (TLRPC.Dialog) getItem(i + 1);
                cell.useSeparator = i != getItemCount() + (-1);
                cell.fullSeparator = (!dialog.pinned || nextDialog == null || nextDialog.pinned) ? false : true;
                if (AndroidUtilities.isTablet()) {
                    cell.setDialogSelected(dialog.id == this.openedDialogId);
                }
                cell.setChecked(this.selectedDialogs.contains(Long.valueOf(dialog.id)), false);
                cell.setDialog(dialog, this.dialogsType, 0);
                return;
            case 4:
                ((DialogMeUrlCell) holder.itemView).setRecentMeUrl((TLRPC.RecentMeUrl) getItem(i));
                return;
            default:
                return;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onBindViewHolder$1$im-uecahxyvjd-ui-fragments-adapter-FmtDialogsAdapter  reason: not valid java name */
    public /* synthetic */ void m2976x4f5d520c(int i, boolean left, int index) {
        if (this.delegate != null) {
            TLRPC.Dialog item = (TLRPC.Dialog) getItem(i);
            this.delegate.onItemMenuClick(left, index, item.id, i);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemViewType(int i) {
        if (this.hasHints) {
            int count = MessagesController.getInstance(this.currentAccount).hintDialogs.size();
            if (i < count + 2) {
                if (i == 0) {
                    return 2;
                }
                if (i == count + 1) {
                    return 3;
                }
                return 4;
            }
            i -= count + 2;
        }
        int size = DialogsFragment.getDialogsArray(this.currentAccount, this.dialogsType, 0, this.dialogsListFrozen).size();
        if (i != size) {
            return i > size ? 10 : 0;
        } else if (!MessagesController.getInstance(this.currentAccount).isDialogsEndReached(0)) {
            return 1;
        } else {
            if (size != 0) {
                return 10;
            }
            return 5;
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void notifyItemMoved(int fromPosition, int toPosition) {
        ArrayList<TLRPC.Dialog> dialogs = DialogsFragment.getDialogsArray(this.currentAccount, this.dialogsType, 0, false);
        int fromIndex = fixPosition(fromPosition);
        int toIndex = fixPosition(toPosition);
        TLRPC.Dialog fromDialog = dialogs.get(fromIndex);
        TLRPC.Dialog toDialog = dialogs.get(toIndex);
        int oldNum = fromDialog.pinnedNum;
        fromDialog.pinnedNum = toDialog.pinnedNum;
        toDialog.pinnedNum = oldNum;
        Collections.swap(dialogs, fromIndex, toIndex);
        super.notifyItemMoved(fromPosition, toPosition);
    }
}
