package im.uecahxyvjd.ui.hcells;

import android.content.Context;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.view.View;
import im.uecahxyvjd.ui.actionbar.Theme;
/* loaded from: classes5.dex */
public class MryDividerCell extends View {
    private float padding;

    public MryDividerCell(Context context) {
        this(context, null);
    }

    public MryDividerCell(Context context, AttributeSet attrs) {
        this(context, attrs, 0);
    }

    public MryDividerCell(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        setPadding(0, 0, 0, 0);
    }

    public void setPadding(float padding) {
        this.padding = padding;
        invalidate();
    }

    @Override // android.view.View
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        setMeasuredDimension(View.MeasureSpec.getSize(widthMeasureSpec), getPaddingTop() + getPaddingBottom() + 1);
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        canvas.drawLine(getPaddingLeft(), getPaddingTop(), getWidth() - getPaddingRight(), getPaddingTop(), Theme.dividerPaint);
    }
}
