package im.uecahxyvjd.ui.hui.adapter.grouping;

import android.content.DialogInterface;
import android.os.Bundle;
import android.view.View;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCContacts;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.expand.models.ExpandableGroup;
import im.uecahxyvjd.ui.expand.viewholders.ChildViewHolder;
import im.uecahxyvjd.ui.hui.chats.NewProfileActivity;
import im.uecahxyvjd.ui.hviews.MryTextView;
import im.uecahxyvjd.ui.hviews.slidemenu.SwipeLayout;
import java.util.List;
/* loaded from: classes13.dex */
public class ArtistViewHolder extends ChildViewHolder {
    private GenreAdapter adapter;
    private Artist artist;
    private Genre genre;
    private BackupImageView ivAvatar;
    private MryTextView tvName;
    private MryTextView tvStatus;
    private TLRPC.User user;

    public ArtistViewHolder(View itemView) {
        super(itemView);
        final SwipeLayout swipeLayout = (SwipeLayout) itemView;
        swipeLayout.setItemWidth(AndroidUtilities.dp(86.0f));
        View content = swipeLayout.getMainLayout();
        this.ivAvatar = (BackupImageView) content.findViewById(R.id.iv_item_artist_avatar);
        this.tvName = (MryTextView) content.findViewById(R.id.list_item_artist_name);
        this.tvStatus = (MryTextView) content.findViewById(R.id.list_item_artist_status);
        int[] rightColors = {-570319};
        String[] rightTexts = {LocaleController.getString(R.string.RemoveFromGrouping)};
        int[] rightTextColors = {-1};
        swipeLayout.setRightTexts(rightTexts);
        swipeLayout.setRightTextColors(rightTextColors);
        swipeLayout.setRightColors(rightColors);
        swipeLayout.setTextSize(AndroidUtilities.sp2px(14.0f));
        swipeLayout.rebuildLayout();
        swipeLayout.setOnSwipeItemClickListener(new SwipeLayout.OnSwipeItemClickListener() { // from class: im.uecahxyvjd.ui.hui.adapter.grouping.ArtistViewHolder$$ExternalSyntheticLambda0
            @Override // im.uecahxyvjd.ui.hviews.slidemenu.SwipeLayout.OnSwipeItemClickListener
            public final void onSwipeItemClick(boolean z, int i) {
                ArtistViewHolder.this.m3000x955680db(z, i);
            }
        });
        content.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.adapter.grouping.ArtistViewHolder$$ExternalSyntheticLambda1
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                ArtistViewHolder.this.m3001x968cd3ba(swipeLayout, view);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$new$3$im-uecahxyvjd-ui-hui-adapter-grouping-ArtistViewHolder  reason: not valid java name */
    public /* synthetic */ void m3000x955680db(boolean left, int index) {
        if (!left && index == 0 && this.genre.getGroupId() != 0) {
            final ConnectionsManager connectionsManager = ConnectionsManager.getInstance(UserConfig.selectedAccount);
            final AlertDialog alertDialog = new AlertDialog(this.adapter.getActivity().getParentActivity(), 3);
            TLRPCContacts.TL_setUserGroup req = new TLRPCContacts.TL_setUserGroup();
            req.group_id = 0;
            TLRPCContacts.TL_inputPeerUserChange inputPeer = new TLRPCContacts.TL_inputPeerUserChange();
            inputPeer.access_hash = this.user.access_hash;
            inputPeer.user_id = this.user.id;
            inputPeer.fist_name = this.user.first_name;
            req.users.add(inputPeer);
            final int reqId = connectionsManager.sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.adapter.grouping.ArtistViewHolder$$ExternalSyntheticLambda2
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.adapter.grouping.ArtistViewHolder$$ExternalSyntheticLambda4
                        @Override // java.lang.Runnable
                        public final void run() {
                            ArtistViewHolder.lambda$new$0(AlertDialog.this, tL_error, tLObject);
                        }
                    });
                }
            });
            connectionsManager.bindRequestToGuid(reqId, this.adapter.getActivity().getClassGuid());
            alertDialog.setOnDismissListener(new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.adapter.grouping.ArtistViewHolder$$ExternalSyntheticLambda3
                @Override // android.content.DialogInterface.OnDismissListener
                public final void onDismiss(DialogInterface dialogInterface) {
                    ConnectionsManager.this.cancelRequest(reqId, true);
                }
            });
            this.adapter.getActivity().showDialog(alertDialog);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$new$0(AlertDialog alertDialog, TLRPC.TL_error error, TLObject response) {
        alertDialog.dismiss();
        if (error == null) {
            if (!(response instanceof TLRPC.TL_boolTrue)) {
                ToastUtils.show((CharSequence) "移出失败，请稍后重试");
                return;
            }
            return;
        }
        ToastUtils.show((CharSequence) error.text);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$new$4$im-uecahxyvjd-ui-hui-adapter-grouping-ArtistViewHolder  reason: not valid java name */
    public /* synthetic */ void m3001x968cd3ba(SwipeLayout swipeLayout, View v) {
        if (!swipeLayout.isExpanded()) {
            if (this.user != null) {
                Bundle bundle = new Bundle();
                bundle.putInt("user_id", this.user.id);
                this.adapter.getActivity().presentFragment(new NewProfileActivity(bundle));
                return;
            }
            return;
        }
        swipeLayout.collapseAll(true);
    }

    public void setUserData(Artist artist, Genre genre, GenreAdapter genreAdapter) {
        this.artist = artist;
        this.genre = genre;
        this.adapter = genreAdapter;
        initData();
    }

    private void initData() {
        SwipeLayout swipeLayout = (SwipeLayout) this.itemView;
        swipeLayout.setSwipeEnabled(this.genre.getGroupId() != 0);
        List<? extends ExpandableGroup> groups = this.adapter.getGroups();
        Genre genre = (Genre) groups.get(groups.size() - 1);
        if (this.genre.getGroupId() == genre.getGroupId()) {
            List<Artist> artists = this.genre.getItems();
            if (this.artist.getUserId() == artists.get(artists.size() - 1).getUserId()) {
                this.itemView.setBackground(Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
            }
        } else {
            this.itemView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
        }
        TLRPC.User user = MessagesController.getInstance(UserConfig.selectedAccount).getUser(Integer.valueOf(this.artist.getUserId()));
        this.user = user;
        if (user != null) {
            AvatarDrawable avatarDrawable = new AvatarDrawable(this.user);
            this.ivAvatar.setRoundRadius(AndroidUtilities.dp(7.5f));
            this.ivAvatar.setImage(ImageLocation.getForUser(this.user, false), "50_50", avatarDrawable, this.user);
            this.tvName.setText(UserObject.getName(this.user));
            if (this.user.id == UserConfig.getInstance(UserConfig.selectedAccount).getClientUserId() || ((this.user.status != null && this.user.status.expires > ConnectionsManager.getInstance(UserConfig.selectedAccount).getCurrentTime()) || MessagesController.getInstance(UserConfig.selectedAccount).onlinePrivacy.containsKey(Integer.valueOf(this.user.id)))) {
                this.tvStatus.setTextColor(Theme.getColor(Theme.key_color_42B71E));
                this.tvStatus.setText(LocaleController.getString("Online", R.string.Online));
                return;
            }
            this.tvStatus.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText));
            this.tvStatus.setText(LocaleController.formatUserStatus(UserConfig.selectedAccount, this.user));
        }
    }
}
