package im.uecahxyvjd.ui.hui.adapter.grouping;

import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCContacts;
import im.uecahxyvjd.ui.expand.models.ExpandableGroup;
import java.util.List;
/* loaded from: classes13.dex */
public class Genre extends ExpandableGroup<Artist> {
    private int groupId;
    private int orderId;

    public Genre(TLRPCContacts.TL_contactsGroupInfo groupInfo, List<Artist> items) {
        super(groupInfo.title, items);
        this.groupId = groupInfo.group_id;
        this.orderId = groupInfo.order_id;
    }

    public int getGroupId() {
        return this.groupId;
    }

    public int getOrderId() {
        return this.orderId;
    }

    public int getOnlineCount() {
        int onlineCount = 0;
        MessagesController messagesController = MessagesController.getInstance(UserConfig.selectedAccount);
        for (Artist artist : getItems()) {
            TLRPC.User user = messagesController.getUser(Integer.valueOf(artist.getUserId()));
            if (user.id == UserConfig.getInstance(UserConfig.selectedAccount).getClientUserId() || ((user.status != null && user.status.expires > ConnectionsManager.getInstance(UserConfig.selectedAccount).getCurrentTime()) || MessagesController.getInstance(UserConfig.selectedAccount).onlinePrivacy.containsKey(Integer.valueOf(user.id)))) {
                onlineCount++;
            }
        }
        return onlineCount;
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o instanceof Genre) {
            Genre genre = (Genre) o;
            return this.groupId == genre.getGroupId();
        }
        return false;
    }

    public int hashCode() {
        int result = getTitle() != null ? getTitle().hashCode() : 0;
        return result * 31;
    }
}
