package im.uecahxyvjd.ui.hui.adapter.pageAdapter;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RadialProgressView;
import im.uecahxyvjd.ui.hviews.MryTextView;
/* loaded from: classes16.dex */
public class AdapterLoadMoreView extends FrameLayout implements AdapterStateView {
    protected int mState;
    protected View progressBar;
    protected MryTextView tv;

    public AdapterLoadMoreView(Context context) {
        this(context, null);
    }

    public AdapterLoadMoreView(Context context, AttributeSet attrs) {
        this(context, attrs, 0);
    }

    public AdapterLoadMoreView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        this.mState = 0;
        init(context);
    }

    protected void init(Context context) {
        setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        setLayoutParams(new ViewGroup.LayoutParams(-1, AndroidUtilities.dp(70.0f)));
        LinearLayout parent = new LinearLayout(context);
        parent.setOrientation(0);
        RadialProgressView radialProgressView = new RadialProgressView(context);
        this.progressBar = radialProgressView;
        radialProgressView.setSize(AndroidUtilities.dp(20.0f));
        ((RadialProgressView) this.progressBar).setProgressColor(Theme.getColor(Theme.key_actionBarTabActiveText));
        parent.addView(this.progressBar, LayoutHelper.createLinear(28, 28, 16, 0, 0, 3, 0));
        MryTextView mryTextView = new MryTextView(context);
        this.tv = mryTextView;
        mryTextView.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlueHeader));
        parent.addView(this.tv, LayoutHelper.createLinear(-2, -2, 16, 3, 0, 0, 0));
        addView(parent, LayoutHelper.createFrame(-2, -2, 17));
        reset();
    }

    @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterStateView
    public Context getContexts() {
        return getContext();
    }

    @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterStateView
    public View getView() {
        return this;
    }

    @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterStateView
    public void show() {
        updateState(this.mState);
    }

    @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterStateView
    public void updateState(int state) {
        if (this.mState == state) {
            return;
        }
        this.mState = state;
        switch (state) {
            case 0:
                reset();
                return;
            case 1:
            default:
                return;
            case 2:
                reset();
                return;
            case 3:
                loadMoreStart();
                return;
            case 4:
                loadMoreFailed(LocaleController.getString("LoadDataErrorDefault", R.string.LoadDataErrorDefault));
                return;
            case 5:
                loadMoreNoMoreData();
                return;
        }
    }

    @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterStateView
    public int getState() {
        return this.mState;
    }

    @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterStateView
    public void reset() {
        this.mState = 0;
        post(new Runnable() { // from class: im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterLoadMoreView$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                AdapterLoadMoreView.this.m3005x6d011f4f();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$reset$0$im-uecahxyvjd-ui-hui-adapter-pageAdapter-AdapterLoadMoreView  reason: not valid java name */
    public /* synthetic */ void m3005x6d011f4f() {
        this.progressBar.setVisibility(8);
        this.tv.setText(LocaleController.getString("LoadMore", R.string.LoadMore));
        this.tv.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText7));
    }

    @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterStateView
    public void loadMoreStart() {
        this.mState = 3;
        post(new Runnable() { // from class: im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterLoadMoreView$$ExternalSyntheticLambda3
            @Override // java.lang.Runnable
            public final void run() {
                AdapterLoadMoreView.this.m3004x4f39cc76();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadMoreStart$1$im-uecahxyvjd-ui-hui-adapter-pageAdapter-AdapterLoadMoreView  reason: not valid java name */
    public /* synthetic */ void m3004x4f39cc76() {
        this.progressBar.setVisibility(0);
        this.tv.setText(LocaleController.getString("Loading", R.string.Loading));
        this.tv.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlueHeader));
    }

    @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterStateView
    public void loadMoreFinish() {
        reset();
    }

    @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterStateView
    public void loadMoreFailed(final CharSequence failedReason) {
        this.mState = 4;
        post(new Runnable() { // from class: im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterLoadMoreView$$ExternalSyntheticLambda1
            @Override // java.lang.Runnable
            public final void run() {
                AdapterLoadMoreView.this.m3002x964a706a(failedReason);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadMoreFailed$2$im-uecahxyvjd-ui-hui-adapter-pageAdapter-AdapterLoadMoreView  reason: not valid java name */
    public /* synthetic */ void m3002x964a706a(CharSequence failedReason) {
        this.progressBar.setVisibility(8);
        this.tv.setText(((Object) failedReason) + "");
        this.tv.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText5));
    }

    @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterStateView
    public void loadMoreNoMoreData() {
        this.mState = 5;
        post(new Runnable() { // from class: im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterLoadMoreView$$ExternalSyntheticLambda2
            @Override // java.lang.Runnable
            public final void run() {
                AdapterLoadMoreView.this.m3003xdc936666();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadMoreNoMoreData$3$im-uecahxyvjd-ui-hui-adapter-pageAdapter-AdapterLoadMoreView  reason: not valid java name */
    public /* synthetic */ void m3003xdc936666() {
        this.progressBar.setVisibility(8);
        this.tv.setText(LocaleController.getString("LoadCompleted", R.string.LoadCompleted));
        this.tv.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText7));
    }
}
