package im.uecahxyvjd.ui.hui.cdnvip;

import android.content.Context;
import android.content.DialogInterface;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.blankj.utilcode.util.GsonUtils;
import com.litesuits.orm.db.assit.SQLBuilder;
import im.uecahxyvjd.javaBean.cdnVip.CdnVipDetailsListBean;
import im.uecahxyvjd.javaBean.cdnVip.CdnVipInfoBean;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCCdn;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageHolder;
import im.uecahxyvjd.ui.hui.cdnvip.CdnVipDetailsActivity;
import im.uecahxyvjd.ui.hui.wallet_public.utils.WalletDialogUtil;
import im.uecahxyvjd.ui.hui.wallet_public.utils.WalletErrorUtil;
import im.uecahxyvjd.ui.hviews.MryEmptyView;
import im.uecahxyvjd.ui.hviews.MryLinearLayout;
import im.uecahxyvjd.ui.hviews.MryRoundButton;
import im.uecahxyvjd.ui.hviews.MryTextView;
import java.util.List;
/* loaded from: classes9.dex */
public class CdnVipDetailsActivity extends BaseFragment {
    private Adapter adapter;
    private CdnVipInfoBean cdnVipInfoBean;
    private List<CdnVipDetailsListBean.Item> data;
    private Delegate delegate;
    private MryEmptyView emptyView;
    private RecyclerListView rv;

    /* loaded from: classes9.dex */
    public interface Delegate {
        void onResult(CdnVipInfoBean cdnVipInfoBean);
    }

    public CdnVipDetailsActivity(CdnVipInfoBean cdnVipInfoBean) {
        this.cdnVipInfoBean = cdnVipInfoBean;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        return this.cdnVipInfoBean != null;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.actionBar = createActionBar(context);
        this.actionBar.setTitle(LocaleController.getString(R.string.MemberDetails));
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setCastShadows(false);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.cdnvip.CdnVipDetailsActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    CdnVipDetailsActivity.this.finishFragment();
                }
            }
        });
        this.actionBar.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        FrameLayout container = new FrameLayout(context);
        container.setLayoutParams(new FrameLayout.LayoutParams(-1, -1));
        this.fragmentView = container;
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        MryEmptyView mryEmptyView = new MryEmptyView(context);
        this.emptyView = mryEmptyView;
        mryEmptyView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        this.emptyView.attach(container);
        this.emptyView.setEmptyResId(R.mipmap.img_empty_default);
        this.emptyView.setEmptyText(LocaleController.getString(R.string.YouDonottHaveRecordYet));
        this.emptyView.showLoading();
        RecyclerListView recyclerListView = new RecyclerListView(context);
        this.rv = recyclerListView;
        container.addView(recyclerListView, LayoutHelper.createFrame(-1, -1.0f));
        this.rv.setLayoutManager(new LinearLayoutManager(context));
        Adapter adapter = new Adapter();
        this.adapter = adapter;
        this.rv.setAdapter(adapter);
        this.fragmentView.postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.hui.cdnvip.CdnVipDetailsActivity$$ExternalSyntheticLambda4
            @Override // java.lang.Runnable
            public final void run() {
                CdnVipDetailsActivity.this.getData();
            }
        }, 300L);
        return this.fragmentView;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void getData() {
        TLRPCCdn.TL_getUserCdnVipPayRecords req = new TLRPCCdn.TL_getUserCdnVipPayRecords();
        getConnectionsManager().bindRequestToGuid(getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.cdnvip.CdnVipDetailsActivity$$ExternalSyntheticLambda5
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                CdnVipDetailsActivity.this.m3022x9a3a538b(tLObject, tL_error);
            }
        }), this.classGuid);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getData$1$im-uecahxyvjd-ui-hui-cdnvip-CdnVipDetailsActivity  reason: not valid java name */
    public /* synthetic */ void m3022x9a3a538b(final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.cdnvip.CdnVipDetailsActivity$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                CdnVipDetailsActivity.this.m3021x56af35ca(error, response);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getData$0$im-uecahxyvjd-ui-hui-cdnvip-CdnVipDetailsActivity  reason: not valid java name */
    public /* synthetic */ void m3021x56af35ca(TLRPC.TL_error error, TLObject response) {
        if (error != null) {
            parseError(error.code, error.text);
        } else if (response instanceof TLRPCCdn.TL_userCdnPayList) {
            try {
                CdnVipDetailsListBean bean = (CdnVipDetailsListBean) GsonUtils.getGson().fromJson(((TLRPCCdn.TL_userCdnPayList) response).pay_list.data, (Class<Object>) CdnVipDetailsListBean.class);
                if (bean != null) {
                    this.data = bean.getInfoList();
                }
                Adapter adapter = this.adapter;
                if (adapter != null) {
                    adapter.notifyDataSetChanged();
                }
                if (this.emptyView != null) {
                    List<CdnVipDetailsListBean.Item> list = this.data;
                    if (list != null && !list.isEmpty()) {
                        this.emptyView.showContent();
                        return;
                    }
                    this.emptyView.showEmpty();
                }
            } catch (Exception e) {
                parseError(0, e.getMessage());
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void openOrCloseAutoPay() {
        if (this.cdnVipInfoBean == null) {
            return;
        }
        TLRPCCdn.TL_setCdnVipAutoPay req = new TLRPCCdn.TL_setCdnVipAutoPay();
        final boolean isOpenAutoPay = this.cdnVipInfoBean.isAutoPay();
        req.is_open = !isOpenAutoPay;
        final AlertDialog progressDialog = new AlertDialog(getParentActivity(), 3);
        progressDialog.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.hui.cdnvip.CdnVipDetailsActivity$$ExternalSyntheticLambda2
            @Override // android.content.DialogInterface.OnCancelListener
            public final void onCancel(DialogInterface dialogInterface) {
                CdnVipDetailsActivity.this.m3023xd56e52d4(dialogInterface);
            }
        });
        progressDialog.show();
        getConnectionsManager().bindRequestToGuid(getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.cdnvip.CdnVipDetailsActivity$$ExternalSyntheticLambda3
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                CdnVipDetailsActivity.this.m3025x5c848e56(progressDialog, isOpenAutoPay, tLObject, tL_error);
            }
        }), this.classGuid);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$openOrCloseAutoPay$2$im-uecahxyvjd-ui-hui-cdnvip-CdnVipDetailsActivity  reason: not valid java name */
    public /* synthetic */ void m3023xd56e52d4(DialogInterface dialog) {
        getConnectionsManager().cancelRequestsForGuid(this.classGuid);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$openOrCloseAutoPay$4$im-uecahxyvjd-ui-hui-cdnvip-CdnVipDetailsActivity  reason: not valid java name */
    public /* synthetic */ void m3025x5c848e56(final AlertDialog progressDialog, final boolean isOpenAutoPay, final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.cdnvip.CdnVipDetailsActivity$$ExternalSyntheticLambda1
            @Override // java.lang.Runnable
            public final void run() {
                CdnVipDetailsActivity.this.m3024x18f97095(progressDialog, error, response, isOpenAutoPay);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$openOrCloseAutoPay$3$im-uecahxyvjd-ui-hui-cdnvip-CdnVipDetailsActivity  reason: not valid java name */
    public /* synthetic */ void m3024x18f97095(AlertDialog progressDialog, TLRPC.TL_error error, TLObject response, boolean isOpenAutoPay) {
        if (progressDialog != null) {
            progressDialog.dismiss();
        }
        if (error != null) {
            parseError(1, error.text);
        } else if (response instanceof TLRPCCdn.TL_userCdnVipInfo) {
            try {
                ToastUtils.show((CharSequence) LocaleController.getString(isOpenAutoPay ? R.string.CdnVipAutomaticCloseSuccess : R.string.CdnVipAutomaticOpenSuccess));
                CdnVipInfoBean cdnVipInfoBean = (CdnVipInfoBean) GsonUtils.fromJson(((TLRPCCdn.TL_userCdnVipInfo) response).vip_info.data, (Class<Object>) CdnVipInfoBean.class);
                this.cdnVipInfoBean = cdnVipInfoBean;
                Adapter adapter = this.adapter;
                if (adapter != null) {
                    adapter.notifyDataSetChanged();
                }
                Delegate delegate = this.delegate;
                if (delegate != null) {
                    delegate.onResult(cdnVipInfoBean);
                }
            } catch (Exception e) {
                parseError(1, e.getMessage());
            }
        }
    }

    private void parseError(int errorCode, String errorMsg) {
        if (errorCode == 1) {
            WalletDialogUtil.showConfirmBtnWalletDialog(this, LocaleController.getString(this.cdnVipInfoBean.isAutoPay() ? R.string.CdnVipAutomaticCloseFailed : R.string.CdnVipAutomaticOpenFailed));
        } else {
            WalletDialogUtil.showConfirmBtnWalletDialog(this, WalletErrorUtil.getErrorDescription(errorMsg));
        }
    }

    public CdnVipDetailsActivity setDelegate(Delegate delegate) {
        this.delegate = delegate;
        return this;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        super.onFragmentDestroy();
        this.adapter = null;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes9.dex */
    public class Adapter extends RecyclerListView.SelectionAdapter {
        private Adapter() {
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return false;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public PageHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            if (viewType == 0) {
                return new PageHolder(LayoutInflater.from(CdnVipDetailsActivity.this.getParentActivity()).inflate(R.layout.item_cdn_vip_details, parent, false));
            }
            MryTextView tv = new MryTextView(CdnVipDetailsActivity.this.getParentActivity());
            tv.setTextSize(13.0f);
            tv.setGravity(17);
            tv.setLayoutParams(new RecyclerView.LayoutParams(-1, AndroidUtilities.dp(60.0f)));
            tv.setText(LocaleController.getString(R.string.friends_circle_location_search_nomore_hint) + "~");
            tv.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText3));
            return new PageHolder(tv, 0);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder1, int position) {
            if (holder1.getItemViewType() != 0 || CdnVipDetailsActivity.this.cdnVipInfoBean == null) {
                return;
            }
            PageHolder holder = (PageHolder) holder1;
            MryLinearLayout root = (MryLinearLayout) holder.itemView;
            root.setRadius(AndroidUtilities.dp(10.0f));
            MryRoundButton btn = (MryRoundButton) holder.getView(R.id.btn);
            btn.setTextColor(-1);
            CdnVipDetailsListBean.Item item = (CdnVipDetailsListBean.Item) CdnVipDetailsActivity.this.data.get(position);
            if (CdnVipDetailsActivity.this.cdnVipInfoBean.cdnVipIsAvailable()) {
                if (position == 0) {
                    holder.setText(R.id.tvStatus, LocaleController.getString(R.string.AppVip));
                    if (CdnVipDetailsActivity.this.cdnVipInfoBean.isAutoPay()) {
                        btn.setText(LocaleController.getString(R.string.TurnOffAutomaticRenewal));
                        btn.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlueButton));
                        btn.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.cdnvip.CdnVipDetailsActivity$Adapter$$ExternalSyntheticLambda0
                            @Override // android.view.View.OnClickListener
                            public final void onClick(View view) {
                                CdnVipDetailsActivity.Adapter.this.m3027x1c06f21d(view);
                            }
                        });
                        holder.setGone((View) btn, false);
                        holder.setGone(R.id.tvMoney, true);
                        holder.setText(R.id.tvExprieTime, item.getBgnTimeFormat() + LocaleController.getString(R.string.SoFar));
                        return;
                    }
                } else {
                    holder.setText(R.id.tvStatus, LocaleController.getString(R.string.AppVip) + SQLBuilder.PARENTHESES_LEFT + LocaleController.getString(R.string.RequestExpired) + SQLBuilder.PARENTHESES_RIGHT);
                }
            } else {
                holder.setText(R.id.tvStatus, LocaleController.getString(R.string.AppVip) + SQLBuilder.PARENTHESES_LEFT + LocaleController.getString(R.string.RequestExpired) + SQLBuilder.PARENTHESES_RIGHT);
            }
            btn.setOnClickListener(null);
            holder.setGone((View) btn, true);
            holder.setGone(R.id.tvMoney, false);
            holder.setText(R.id.tvMoney, item.getMoney());
            holder.setText(R.id.tvExprieTime, item.getBgnTimeFormat() + "-" + item.getEndTimeFormat());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$1$im-uecahxyvjd-ui-hui-cdnvip-CdnVipDetailsActivity$Adapter  reason: not valid java name */
        public /* synthetic */ void m3027x1c06f21d(View v) {
            WalletDialogUtil.showWalletDialog(CdnVipDetailsActivity.this, "", LocaleController.getString(R.string.CdnVipConfirmToCloseAutomicRenewal), LocaleController.getString(R.string.Cancel), LocaleController.getString(R.string.OK), null, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.cdnvip.CdnVipDetailsActivity$Adapter$$ExternalSyntheticLambda1
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i) {
                    CdnVipDetailsActivity.Adapter.this.m3026xb51255c(dialogInterface, i);
                }
            }, null);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$0$im-uecahxyvjd-ui-hui-cdnvip-CdnVipDetailsActivity$Adapter  reason: not valid java name */
        public /* synthetic */ void m3026xb51255c(DialogInterface dialog, int which) {
            CdnVipDetailsActivity.this.openOrCloseAutoPay();
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            return position == getItemCount() - 1 ? 1 : 0;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            if (CdnVipDetailsActivity.this.data == null) {
                return 0;
            }
            return CdnVipDetailsActivity.this.data.size() + 1;
        }
    }
}
