package im.uecahxyvjd.ui.hui.chats;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.Intent;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Vibrator;
import android.text.Editable;
import android.text.InputFilter;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import androidx.appcompat.widget.AppCompatImageView;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.baidu.location.BDLocation;
import com.blankj.utilcode.util.SpanUtils;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.ChatActivity;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.cells.GroupCreateUserCell;
import im.uecahxyvjd.ui.cells.HeaderCell;
import im.uecahxyvjd.ui.cells.ShadowSectionCell;
import im.uecahxyvjd.ui.cells.TextSettingsCell;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.components.CombinedDrawable;
import im.uecahxyvjd.ui.components.ImageUpdater;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RadialProgressView;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.SizeNotifierFrameLayout;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.hcells.AvatarDelCell;
import im.uecahxyvjd.ui.hcells.MryTextCheckCell;
import im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity;
import im.uecahxyvjd.ui.hviews.MryTextView;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.concurrent.CountDownLatch;
/* loaded from: classes9.dex */
public class CreateGroupFinalActivity extends BaseFragment implements NotificationCenter.NotificationCenterDelegate, ImageUpdater.ImageUpdaterDelegate {
    private final int CREATE_CHAT;
    private GroupCreateAdapter adapter;
    private TLRPC.FileLocation avatar;
    private AnimatorSet avatarAnimation;
    private TLRPC.FileLocation avatarBig;
    private AvatarDrawable avatarDrawable;
    private ImageView avatarEditor;
    private BackupImageView avatarImage;
    private ImageView avatarOverlay;
    private RadialProgressView avatarProgressView;
    private final int chatType;
    private boolean createAfterUpload;
    private final String currentGroupCreateAddress;
    private final BDLocation currentGroupCreateLocation;
    private CreateGroupDelegate delegate;
    private boolean donePressed;
    private EditText editText;
    private FrameLayout editTextContainer;
    private MryTextCheckCell forbitContacts;
    private ImageUpdater imageUpdater;
    private GridLayoutManager layoutManager;
    private RecyclerListView listView;
    private Context mContext;
    private int maxCount;
    private MryTextView memberInfoCell;
    private String nameToSet;
    private MryTextView nextTextView;
    private int reqId;
    private ArrayList<Integer> selectedContacts;
    private Drawable shadowDrawable;
    private TLRPC.InputFile uploadedAvatar;

    /* loaded from: classes9.dex */
    public interface CreateGroupDelegate {
        void didFailChatCreation();

        void didFinishChatCreation(CreateGroupFinalActivity createGroupFinalActivity, int i);

        void didStartChatCreation();
    }

    @Override // im.uecahxyvjd.ui.components.ImageUpdater.ImageUpdaterDelegate
    public /* synthetic */ void didSelectPhotos(ArrayList arrayList, boolean z, int i) {
        ImageUpdater.ImageUpdaterDelegate.CC.$default$didSelectPhotos(this, arrayList, z, i);
    }

    public CreateGroupFinalActivity(Bundle args) {
        super(args);
        this.CREATE_CHAT = 1;
        this.maxCount = MessagesController.getInstance(this.currentAccount).maxMegagroupCount;
        this.chatType = args.getInt("chatType", 4);
        this.avatarDrawable = new AvatarDrawable();
        this.currentGroupCreateAddress = args.getString("address");
        this.currentGroupCreateLocation = (BDLocation) args.getParcelable("location");
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.updateInterfaces);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.chatDidCreated);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.chatDidFailCreate);
        ImageUpdater imageUpdater = new ImageUpdater();
        this.imageUpdater = imageUpdater;
        imageUpdater.parentFragment = this;
        this.imageUpdater.delegate = this;
        if (getArguments() != null) {
            this.selectedContacts = getArguments().getIntegerArrayList("result");
            final ArrayList<Integer> usersToLoad = new ArrayList<>();
            for (int a2 = 0; a2 < this.selectedContacts.size(); a2++) {
                Integer uid = this.selectedContacts.get(a2);
                if (MessagesController.getInstance(this.currentAccount).getUser(uid) == null) {
                    usersToLoad.add(uid);
                }
            }
            if (!usersToLoad.isEmpty()) {
                final CountDownLatch countDownLatch = new CountDownLatch(1);
                final ArrayList<TLRPC.User> users = new ArrayList<>();
                MessagesStorage.getInstance(this.currentAccount).getStorageQueue().postRunnable(new Runnable() { // from class: im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity$$ExternalSyntheticLambda2
                    @Override // java.lang.Runnable
                    public final void run() {
                        CreateGroupFinalActivity.this.m3037xd7700f7f(users, usersToLoad, countDownLatch);
                    }
                });
                try {
                    countDownLatch.await();
                } catch (Exception e) {
                    FileLog.e(e);
                }
                if (usersToLoad.size() != users.size() || users.isEmpty()) {
                    return false;
                }
                Iterator<TLRPC.User> it = users.iterator();
                while (it.hasNext()) {
                    TLRPC.User user = it.next();
                    MessagesController.getInstance(this.currentAccount).putUser(user, true);
                }
            }
        }
        return super.onFragmentCreate();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onFragmentCreate$0$im-uecahxyvjd-ui-hui-chats-CreateGroupFinalActivity  reason: not valid java name */
    public /* synthetic */ void m3037xd7700f7f(ArrayList users, ArrayList usersToLoad, CountDownLatch countDownLatch) {
        users.addAll(MessagesStorage.getInstance(this.currentAccount).getUsers(usersToLoad));
        countDownLatch.countDown();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onResume() {
        super.onResume();
        GroupCreateAdapter groupCreateAdapter = this.adapter;
        if (groupCreateAdapter != null) {
            groupCreateAdapter.notifyDataSetChanged();
        }
        AndroidUtilities.requestAdjustResize(getParentActivity(), this.classGuid);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onPause() {
        super.onPause();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        super.onFragmentDestroy();
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.updateInterfaces);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.chatDidCreated);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.chatDidFailCreate);
        this.imageUpdater.clear();
        if (this.reqId != 0) {
            ConnectionsManager.getInstance(this.currentAccount).cancelRequest(this.reqId, true);
        }
        AndroidUtilities.removeAdjustResize(getParentActivity(), this.classGuid);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onBackPressed() {
        return true;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        super.createView(context);
        this.mContext = context;
        initActionBar();
        SizeNotifierFrameLayout sizeNotifierFrameLayout = new SizeNotifierFrameLayout(context) { // from class: im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity.1
            private boolean ignoreLayout;

            @Override // android.widget.FrameLayout, android.view.View
            protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
                int widthSize = View.MeasureSpec.getSize(widthMeasureSpec);
                int heightSize = View.MeasureSpec.getSize(heightMeasureSpec);
                setMeasuredDimension(widthSize, heightSize);
                int paddingTop = heightSize - getPaddingTop();
                measureChildWithMargins(CreateGroupFinalActivity.this.actionBar, widthMeasureSpec, 0, heightMeasureSpec, 0);
                int keyboardSize = getKeyboardHeight();
                if (keyboardSize > AndroidUtilities.dp(20.0f)) {
                    this.ignoreLayout = true;
                    this.ignoreLayout = false;
                }
                int childCount = getChildCount();
                for (int i = 0; i < childCount; i++) {
                    View child = getChildAt(i);
                    if (child != null && child.getVisibility() != 8 && child != CreateGroupFinalActivity.this.actionBar) {
                        measureChildWithMargins(child, widthMeasureSpec, 0, heightMeasureSpec, 0);
                    }
                }
            }

            @Override // im.uecahxyvjd.ui.components.SizeNotifierFrameLayout, android.widget.FrameLayout, android.view.ViewGroup, android.view.View
            protected void onLayout(boolean changed, int l, int t, int r, int b) {
                int childLeft;
                int childTop;
                int count = getChildCount();
                setBottomClip(0);
                for (int i = 0; i < count; i++) {
                    View child = getChildAt(i);
                    if (child.getVisibility() != 8) {
                        FrameLayout.LayoutParams lp = (FrameLayout.LayoutParams) child.getLayoutParams();
                        int width = child.getMeasuredWidth();
                        int height = child.getMeasuredHeight();
                        int gravity = lp.gravity;
                        if (gravity == -1) {
                            gravity = 51;
                        }
                        int absoluteGravity = gravity & 7;
                        int verticalGravity = gravity & 112;
                        switch (absoluteGravity & 7) {
                            case 1:
                                int childLeft2 = r - l;
                                childLeft = (((childLeft2 - width) / 2) + lp.leftMargin) - lp.rightMargin;
                                break;
                            case 5:
                                int childLeft3 = r - width;
                                childLeft = childLeft3 - lp.rightMargin;
                                break;
                            default:
                                childLeft = lp.leftMargin;
                                break;
                        }
                        switch (verticalGravity) {
                            case 16:
                                int childTop2 = b - 0;
                                childTop = ((((childTop2 - t) - height) / 2) + lp.topMargin) - lp.bottomMargin;
                                break;
                            case 48:
                                int childTop3 = lp.topMargin;
                                childTop = childTop3 + getPaddingTop();
                                break;
                            case 80:
                                int childTop4 = b - 0;
                                childTop = ((childTop4 - t) - height) - lp.bottomMargin;
                                break;
                            default:
                                childTop = lp.topMargin;
                                break;
                        }
                        child.layout(childLeft, childTop, childLeft + width, childTop + height);
                    }
                }
                notifyHeightChanged();
            }

            @Override // android.view.View, android.view.ViewParent
            public void requestLayout() {
                if (this.ignoreLayout) {
                    return;
                }
                super.requestLayout();
            }
        };
        this.fragmentView = sizeNotifierFrameLayout;
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        this.fragmentView.setLayoutParams(new ViewGroup.LayoutParams(-1, -1));
        this.fragmentView.setOnTouchListener(new View.OnTouchListener() { // from class: im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity$$ExternalSyntheticLambda3
            @Override // android.view.View.OnTouchListener
            public final boolean onTouch(View view, MotionEvent motionEvent) {
                return CreateGroupFinalActivity.lambda$createView$1(view, motionEvent);
            }
        });
        this.shadowDrawable = new ColorDrawable(Theme.getColor(Theme.key_windowBackgroundGray));
        LinearLayout linearLayout = new LinearLayout(context) { // from class: im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity.2
            @Override // android.view.ViewGroup
            protected boolean drawChild(Canvas canvas, View child, long drawingTime) {
                boolean result = super.drawChild(canvas, child, drawingTime);
                if (child == CreateGroupFinalActivity.this.listView && CreateGroupFinalActivity.this.shadowDrawable != null) {
                    int y = CreateGroupFinalActivity.this.editTextContainer.getMeasuredHeight();
                    CreateGroupFinalActivity.this.shadowDrawable.setBounds(0, y, getMeasuredWidth(), CreateGroupFinalActivity.this.shadowDrawable.getIntrinsicHeight() + y);
                    CreateGroupFinalActivity.this.shadowDrawable.draw(canvas);
                }
                return result;
            }
        };
        linearLayout.setOrientation(1);
        linearLayout.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
        sizeNotifierFrameLayout.addView(linearLayout, LayoutHelper.createFrame(-1, -1, AndroidUtilities.dp(10.0f), AndroidUtilities.dp(10.0f), AndroidUtilities.dp(10.0f), AndroidUtilities.dp(10.0f)));
        FrameLayout frameLayout = new FrameLayout(context);
        this.editTextContainer = frameLayout;
        linearLayout.addView(frameLayout, LayoutHelper.createLinear(-1, 65));
        BackupImageView backupImageView = new BackupImageView(context) { // from class: im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity.3
            @Override // android.view.View
            public void invalidate() {
                if (CreateGroupFinalActivity.this.avatarOverlay != null) {
                    CreateGroupFinalActivity.this.avatarOverlay.invalidate();
                }
                super.invalidate();
            }

            @Override // android.view.View
            public void invalidate(int l, int t, int r, int b) {
                if (CreateGroupFinalActivity.this.avatarOverlay != null) {
                    CreateGroupFinalActivity.this.avatarOverlay.invalidate();
                }
                super.invalidate(l, t, r, b);
            }
        };
        this.avatarImage = backupImageView;
        backupImageView.setRoundRadius(AndroidUtilities.dp(7.5f));
        this.avatarImage.setImageDrawable(this.avatarDrawable);
        this.avatarImage.setContentDescription(LocaleController.getString("ChoosePhoto", R.string.ChoosePhoto));
        this.editTextContainer.addView(this.avatarImage, LayoutHelper.createFrame(49.0f, 49.0f, (LocaleController.isRTL ? 5 : 3) | 16, LocaleController.isRTL ? 0.0f : 16.0f, 0.0f, LocaleController.isRTL ? 16.0f : 0.0f, 0.0f));
        Paint paint = new Paint(1);
        paint.setColor(1426063360);
        ImageView imageView = new ImageView(context);
        this.avatarOverlay = imageView;
        imageView.setImageResource(R.mipmap.ic_create_group_photo);
        this.editTextContainer.addView(this.avatarOverlay, LayoutHelper.createFrame(49.0f, 49.0f, (LocaleController.isRTL ? 5 : 3) | 16, LocaleController.isRTL ? 0.0f : 16.0f, 0.0f, LocaleController.isRTL ? 16.0f : 0.0f, 0.0f));
        this.avatarOverlay.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity$$ExternalSyntheticLambda4
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                CreateGroupFinalActivity.this.m3033xe2748fd8(view);
            }
        });
        AppCompatImageView appCompatImageView = new AppCompatImageView(context) { // from class: im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity.4
            @Override // android.view.View
            public void invalidate(int l, int t, int r, int b) {
                super.invalidate(l, t, r, b);
                CreateGroupFinalActivity.this.avatarOverlay.invalidate();
            }

            @Override // android.view.View
            public void invalidate() {
                super.invalidate();
                CreateGroupFinalActivity.this.avatarOverlay.invalidate();
            }
        };
        this.avatarEditor = appCompatImageView;
        appCompatImageView.setScaleType(ImageView.ScaleType.CENTER);
        this.avatarEditor.setEnabled(false);
        this.avatarEditor.setClickable(false);
        this.avatarEditor.setPadding(AndroidUtilities.dp(2.0f), 0, 0, 0);
        this.editTextContainer.addView(this.avatarEditor, LayoutHelper.createFrame(16.0f, 16.0f, (LocaleController.isRTL ? 5 : 3) | 16, LocaleController.isRTL ? 0.0f : 16.0f, 0.0f, LocaleController.isRTL ? 16.0f : 0.0f, 0.0f));
        RadialProgressView radialProgressView = new RadialProgressView(context) { // from class: im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity.5
            @Override // im.uecahxyvjd.ui.components.RadialProgressView, android.view.View
            public void setAlpha(float alpha) {
                super.setAlpha(alpha);
                CreateGroupFinalActivity.this.avatarOverlay.invalidate();
            }
        };
        this.avatarProgressView = radialProgressView;
        radialProgressView.setSize(AndroidUtilities.dp(30.0f));
        this.avatarProgressView.setProgressColor(-1);
        this.editTextContainer.addView(this.avatarProgressView, LayoutHelper.createFrame(49.0f, 49.0f, (LocaleController.isRTL ? 5 : 3) | 16, LocaleController.isRTL ? 0.0f : 16.0f, 0.0f, LocaleController.isRTL ? 16.0f : 0.0f, 0.0f));
        showAvatarProgress(false, false);
        EditText editText = new EditText(context);
        this.editText = editText;
        editText.setBackgroundColor(0);
        this.editText.setHint(LocaleController.getString("EnterGroupNamePlaceholder", R.string.EnterGroupNamePlaceholder));
        this.editText.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText));
        this.editText.setHintTextColor(Theme.getColor(Theme.key_groupcreate_hintText));
        String str = this.nameToSet;
        if (str != null) {
            this.editText.setText(str);
            this.nameToSet = null;
        }
        InputFilter[] inputFilters = {new InputFilter.LengthFilter(100)};
        this.editText.setFilters(inputFilters);
        this.editText.addTextChangedListener(new TextWatcher() { // from class: im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity.6
            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence s, int start, int count, int after) {
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence s, int start, int before, int count) {
                CreateGroupFinalActivity.this.updateNextView();
            }

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
            }
        });
        this.editTextContainer.addView(this.editText, LayoutHelper.createFrame(-1.0f, -2.0f, 16, LocaleController.isRTL ? 5.0f : 96.0f, 0.0f, LocaleController.isRTL ? 96.0f : 5.0f, 0.0f));
        ShadowSectionCell shadowSectionCell = new ShadowSectionCell(context);
        linearLayout.addView(shadowSectionCell);
        MryTextCheckCell mryTextCheckCell = new MryTextCheckCell(context);
        this.forbitContacts = mryTextCheckCell;
        mryTextCheckCell.setBackground(Theme.getSelectorDrawable(false));
        linearLayout.addView(this.forbitContacts, LayoutHelper.createLinear(-1, AndroidUtilities.dp(48.0f)));
        this.forbitContacts.setTextAndCheck(LocaleController.getString("ForbidPrivateChat", R.string.ForbidPrivateChat), false, false);
        this.forbitContacts.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity$$ExternalSyntheticLambda5
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                CreateGroupFinalActivity.this.m3034x6faf4159(view);
            }
        });
        MryTextView forbitContactsTips = new MryTextView(context);
        forbitContactsTips.setText(LocaleController.getString(R.string.ForbidPrivateChatTips));
        forbitContactsTips.setTextSize(13.0f);
        forbitContactsTips.setLineSpacing(AndroidUtilities.dp(5.0f), 1.0f);
        forbitContactsTips.setTextColor(Theme.getColor(Theme.key_graySectionText));
        forbitContactsTips.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        forbitContactsTips.setPadding(0, AndroidUtilities.dp(10.0f), 0, AndroidUtilities.dp(10.0f));
        linearLayout.addView(forbitContactsTips, LayoutHelper.createLinear(-1, -2));
        MryTextView mryTextView = new MryTextView(this.mContext);
        this.memberInfoCell = mryTextView;
        mryTextView.setGravity(16);
        this.memberInfoCell.setPadding(AndroidUtilities.dp(10.0f), 0, 0, 0);
        this.memberInfoCell.setTextSize(1, 14.0f);
        this.memberInfoCell.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
        this.memberInfoCell.setTextColor(Theme.getColor(Theme.key_graySectionText));
        this.memberInfoCell.setText(new SpanUtils().append(LocaleController.getString("GroupMembers", R.string.GroupMembers)).append("  ").append(String.valueOf(this.selectedContacts.size())).setForegroundColor(-12862209).append("/").append(String.valueOf(this.maxCount)).create());
        this.memberInfoCell.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
        linearLayout.addView(this.memberInfoCell, LayoutHelper.createLinear(-1, 36));
        RecyclerListView recyclerListView = new RecyclerListView(context);
        this.listView = recyclerListView;
        recyclerListView.setPadding(0, AndroidUtilities.dp(10.0f), 0, 0);
        RecyclerListView recyclerListView2 = this.listView;
        GroupCreateAdapter groupCreateAdapter = new GroupCreateAdapter(context);
        this.adapter = groupCreateAdapter;
        recyclerListView2.setAdapter(groupCreateAdapter);
        RecyclerListView recyclerListView3 = this.listView;
        GridLayoutManager gridLayoutManager = new GridLayoutManager(context, 5) { // from class: im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity.7
            @Override // androidx.recyclerview.widget.GridLayoutManager, androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.LayoutManager
            public boolean supportsPredictiveItemAnimations() {
                return false;
            }
        };
        this.layoutManager = gridLayoutManager;
        recyclerListView3.setLayoutManager(gridLayoutManager);
        this.listView.setVerticalScrollBarEnabled(false);
        this.listView.setVerticalScrollbarPosition(LocaleController.isRTL ? 1 : 2);
        linearLayout.addView(this.listView, LayoutHelper.createLinear(-1, -1));
        this.listView.setOnScrollListener(new RecyclerView.OnScrollListener() { // from class: im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity.8
            @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
            public void onScrollStateChanged(RecyclerView recyclerView, int newState) {
                if (newState == 1) {
                    AndroidUtilities.hideKeyboard(CreateGroupFinalActivity.this.editText);
                }
            }
        });
        updateNextView();
        return this.fragmentView;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ boolean lambda$createView$1(View v, MotionEvent event) {
        return true;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$3$im-uecahxyvjd-ui-hui-chats-CreateGroupFinalActivity  reason: not valid java name */
    public /* synthetic */ void m3033xe2748fd8(View view) {
        this.imageUpdater.openMenu(this.avatar != null, new Runnable() { // from class: im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity$$ExternalSyntheticLambda6
            @Override // java.lang.Runnable
            public final void run() {
                CreateGroupFinalActivity.this.m3032x5539de57();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$2$im-uecahxyvjd-ui-hui-chats-CreateGroupFinalActivity  reason: not valid java name */
    public /* synthetic */ void m3032x5539de57() {
        this.avatar = null;
        this.avatarBig = null;
        this.uploadedAvatar = null;
        showAvatarProgress(false, true);
        this.avatarImage.setImage((ImageLocation) null, (String) null, this.avatarDrawable, (Object) null);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createView$4$im-uecahxyvjd-ui-hui-chats-CreateGroupFinalActivity  reason: not valid java name */
    public /* synthetic */ void m3034x6faf4159(View v) {
        MryTextCheckCell mryTextCheckCell = this.forbitContacts;
        mryTextCheckCell.setChecked(!mryTextCheckCell.isChecked());
    }

    private void showAvatarProgress(final boolean show, boolean animated) {
        if (this.avatarEditor == null) {
            return;
        }
        AnimatorSet animatorSet = this.avatarAnimation;
        if (animatorSet != null) {
            animatorSet.cancel();
            this.avatarAnimation = null;
        }
        if (animated) {
            this.avatarAnimation = new AnimatorSet();
            if (show) {
                this.avatarProgressView.setVisibility(0);
                this.avatarAnimation.playTogether(ObjectAnimator.ofFloat(this.avatarEditor, View.ALPHA, 0.0f), ObjectAnimator.ofFloat(this.avatarProgressView, View.ALPHA, 1.0f));
            } else {
                this.avatarEditor.setVisibility(0);
                this.avatarAnimation.playTogether(ObjectAnimator.ofFloat(this.avatarEditor, View.ALPHA, 1.0f), ObjectAnimator.ofFloat(this.avatarProgressView, View.ALPHA, 0.0f));
            }
            this.avatarAnimation.setDuration(180L);
            this.avatarAnimation.addListener(new AnimatorListenerAdapter() { // from class: im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity.9
                @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                public void onAnimationEnd(Animator animation) {
                    if (CreateGroupFinalActivity.this.avatarAnimation == null || CreateGroupFinalActivity.this.avatarEditor == null) {
                        return;
                    }
                    if (show) {
                        CreateGroupFinalActivity.this.avatarEditor.setVisibility(4);
                    } else {
                        CreateGroupFinalActivity.this.avatarProgressView.setVisibility(4);
                    }
                    CreateGroupFinalActivity.this.avatarAnimation = null;
                }

                @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                public void onAnimationCancel(Animator animation) {
                    CreateGroupFinalActivity.this.avatarAnimation = null;
                }
            });
            this.avatarAnimation.start();
        } else if (show) {
            this.avatarEditor.setAlpha(1.0f);
            this.avatarEditor.setVisibility(4);
            this.avatarProgressView.setAlpha(1.0f);
            this.avatarProgressView.setVisibility(0);
        } else {
            this.avatarEditor.setAlpha(1.0f);
            this.avatarEditor.setVisibility(0);
            this.avatarProgressView.setAlpha(0.0f);
            this.avatarProgressView.setVisibility(4);
        }
    }

    public void setDelegate(CreateGroupDelegate delegate) {
        this.delegate = delegate;
    }

    private void initActionBar() {
        this.actionBar.setAllowOverlayTitle(false);
        this.actionBar.setCastShadows(true);
        this.actionBar.setTitle(LocaleController.getString("NewGroup", R.string.NewGroup));
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity.10
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == 1) {
                    CreateGroupFinalActivity.this.createChat();
                }
            }
        });
        this.actionBar.setBackTitle(LocaleController.getString("Cancel", R.string.Cancel));
        this.actionBar.getBackTitleTextView().setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity$$ExternalSyntheticLambda1
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                CreateGroupFinalActivity.this.m3036xc87c9f4c(view);
            }
        });
        ActionBarMenu menu = this.actionBar.createMenu();
        MryTextView mryTextView = new MryTextView(getParentActivity());
        this.nextTextView = mryTextView;
        mryTextView.setText(LocaleController.getString("Create", R.string.Create));
        this.nextTextView.setTextSize(1, 14.0f);
        this.nextTextView.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
        this.nextTextView.setTextColor(Theme.getColor(Theme.key_actionBarDefaultTitle));
        this.nextTextView.setGravity(17);
        menu.addItemView(1, this.nextTextView);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initActionBar$5$im-uecahxyvjd-ui-hui-chats-CreateGroupFinalActivity  reason: not valid java name */
    public /* synthetic */ void m3036xc87c9f4c(View v) {
        finishFragment();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void createChat() {
        if (this.donePressed) {
            return;
        }
        if (this.editText.length() == 0) {
            Vibrator v = (Vibrator) getParentActivity().getSystemService("vibrator");
            if (v != null) {
                v.vibrate(200L);
            }
            AndroidUtilities.shakeView(this.editText, 2.0f, 0);
        } else if (this.selectedContacts.size() <= 0) {
            Vibrator v2 = (Vibrator) getParentActivity().getSystemService("vibrator");
            if (v2 != null) {
                v2.vibrate(200L);
            }
            ToastUtils.show((int) R.string.AtLeastOneContact);
        } else {
            this.donePressed = true;
            AndroidUtilities.hideKeyboard(this.editText);
            this.editText.setEnabled(false);
            if (this.imageUpdater.uploadingImage != null) {
                this.createAfterUpload = true;
            } else {
                this.reqId = MessagesController.getInstance(this.currentAccount).createMegaGroup(this.editText.getText().toString(), this.selectedContacts, null, this.chatType, this.currentGroupCreateLocation, this.currentGroupCreateAddress, this, this.forbitContacts.isChecked());
            }
        }
    }

    @Override // im.uecahxyvjd.ui.components.ImageUpdater.ImageUpdaterDelegate
    public void didUploadPhoto(final TLRPC.InputFile file, final TLRPC.PhotoSize bigSize, final TLRPC.PhotoSize smallSize) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                CreateGroupFinalActivity.this.m3035x9da140c(file, smallSize, bigSize);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$didUploadPhoto$6$im-uecahxyvjd-ui-hui-chats-CreateGroupFinalActivity  reason: not valid java name */
    public /* synthetic */ void m3035x9da140c(TLRPC.InputFile file, TLRPC.PhotoSize smallSize, TLRPC.PhotoSize bigSize) {
        if (file != null) {
            this.uploadedAvatar = file;
            if (this.createAfterUpload) {
                CreateGroupDelegate createGroupDelegate = this.delegate;
                if (createGroupDelegate != null) {
                    createGroupDelegate.didStartChatCreation();
                }
                MessagesController.getInstance(this.currentAccount).createChat(this.editText.getText().toString(), this.selectedContacts, null, this.chatType, this.currentGroupCreateLocation, this.currentGroupCreateAddress, this);
            }
            showAvatarProgress(false, true);
            this.avatarEditor.setImageDrawable(null);
            return;
        }
        this.avatar = smallSize.location;
        this.avatarBig = bigSize.location;
        this.avatarImage.setImage(ImageLocation.getForLocal(this.avatar), "50_50", this.avatarDrawable, (Object) null);
        showAvatarProgress(true, false);
        this.avatarOverlay.setImageResource(0);
    }

    @Override // im.uecahxyvjd.ui.components.ImageUpdater.ImageUpdaterDelegate
    public String getInitialSearchString() {
        return this.editText.getText().toString();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void saveSelfArgs(Bundle args) {
        String text;
        ImageUpdater imageUpdater = this.imageUpdater;
        if (imageUpdater != null && imageUpdater.currentPicturePath != null) {
            args.putString("path", this.imageUpdater.currentPicturePath);
        }
        EditText editText = this.editText;
        if (editText != null && (text = editText.getText().toString()) != null && text.length() != 0) {
            args.putString("nameTextView", text);
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void restoreSelfArgs(Bundle args) {
        ImageUpdater imageUpdater = this.imageUpdater;
        if (imageUpdater != null) {
            imageUpdater.currentPicturePath = args.getString("path");
        }
        String text = args.getString("nameTextView");
        if (text != null) {
            EditText editText = this.editText;
            if (editText != null) {
                editText.setText(text);
            } else {
                this.nameToSet = text;
            }
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onTransitionAnimationEnd(boolean isOpen, boolean backward) {
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        if (id == NotificationCenter.updateInterfaces) {
            if (this.listView == null) {
                return;
            }
            int mask = ((Integer) args[0]).intValue();
            if ((mask & 2) != 0 || (mask & 1) != 0 || (mask & 4) != 0) {
                int count = this.listView.getChildCount();
                for (int a2 = 0; a2 < count; a2++) {
                    View child = this.listView.getChildAt(a2);
                    if (child instanceof GroupCreateUserCell) {
                        ((GroupCreateUserCell) child).update(mask);
                    }
                }
            }
        } else if (id == NotificationCenter.chatDidFailCreate) {
            this.reqId = 0;
            this.donePressed = false;
            EditText editText = this.editText;
            if (editText != null) {
                editText.setEnabled(true);
            }
            CreateGroupDelegate createGroupDelegate = this.delegate;
            if (createGroupDelegate != null) {
                createGroupDelegate.didFailChatCreation();
            }
        } else if (id == NotificationCenter.chatDidCreated) {
            this.reqId = 0;
            this.donePressed = false;
            int chat_id = ((Integer) args[0]).intValue();
            CreateGroupDelegate createGroupDelegate2 = this.delegate;
            if (createGroupDelegate2 != null) {
                createGroupDelegate2.didFinishChatCreation(this, chat_id);
            } else {
                NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.closeChats, new Object[0]);
                Bundle args2 = new Bundle();
                args2.putInt("chat_id", chat_id);
                presentFragment(new ChatActivity(args2), true);
            }
            if (this.uploadedAvatar != null) {
                MessagesController.getInstance(this.currentAccount).changeChatAvatar(chat_id, this.uploadedAvatar, this.avatar, this.avatarBig);
            }
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onActivityResultFragment(int requestCode, int resultCode, Intent data) {
        this.imageUpdater.onActivityResult(requestCode, resultCode, data);
    }

    /* loaded from: classes9.dex */
    public class GroupCreateAdapter extends RecyclerListView.SelectionAdapter {
        private Context context;
        private int usersStartRow;

        public GroupCreateAdapter(Context ctx) {
            this.context = ctx;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            int count = CreateGroupFinalActivity.this.selectedContacts.size();
            return count;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return holder.getItemViewType() == 3;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view;
            switch (viewType) {
                case 0:
                    View view2 = new ShadowSectionCell(this.context);
                    Drawable drawable = Theme.getThemedDrawable(this.context, (int) R.drawable.greydivider_top, Theme.key_windowBackgroundGrayShadow);
                    CombinedDrawable combinedDrawable = new CombinedDrawable(new ColorDrawable(Theme.getColor(Theme.key_windowBackgroundGray)), drawable);
                    combinedDrawable.setFullsize(true);
                    view2.setBackgroundDrawable(combinedDrawable);
                    view = view2;
                    break;
                case 1:
                    HeaderCell headerCell = new HeaderCell(this.context);
                    headerCell.setHeight(46);
                    view = headerCell;
                    break;
                case 2:
                    view = new AvatarDelCell(this.context);
                    break;
                default:
                    view = new TextSettingsCell(this.context);
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, final int position) {
            switch (holder.getItemViewType()) {
                case 1:
                    HeaderCell cell = (HeaderCell) holder.itemView;
                    if (position != 1) {
                        cell.setText(LocaleController.formatPluralString("Members", CreateGroupFinalActivity.this.selectedContacts.size()));
                        return;
                    } else {
                        cell.setText(LocaleController.getString("AttachLocation", R.string.AttachLocation));
                        return;
                    }
                case 2:
                    AvatarDelCell cell2 = (AvatarDelCell) holder.itemView;
                    TLRPC.User user = MessagesController.getInstance(CreateGroupFinalActivity.this.currentAccount).getUser((Integer) CreateGroupFinalActivity.this.selectedContacts.get(position - this.usersStartRow));
                    cell2.setUser(user);
                    cell2.setDelegate(new AvatarDelCell.AvatarDelDelegate() { // from class: im.uecahxyvjd.ui.hui.chats.CreateGroupFinalActivity$GroupCreateAdapter$$ExternalSyntheticLambda0
                        @Override // im.uecahxyvjd.ui.hcells.AvatarDelCell.AvatarDelDelegate
                        public final void onClickDelete() {
                            CreateGroupFinalActivity.GroupCreateAdapter.this.m3038x20ade0b7(position);
                        }
                    });
                    return;
                case 3:
                    ((TextSettingsCell) holder.itemView).setText("xxxxx", false);
                    return;
                default:
                    return;
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$0$im-uecahxyvjd-ui-hui-chats-CreateGroupFinalActivity$GroupCreateAdapter  reason: not valid java name */
        public /* synthetic */ void m3038x20ade0b7(int position) {
            CreateGroupFinalActivity.this.selectedContacts.remove(position);
            notifyDataSetChanged();
            CreateGroupFinalActivity.this.memberInfoCell.setText(new SpanUtils().append(LocaleController.getString("GroupMembers", R.string.GroupMembers)).append("  ").append(String.valueOf(CreateGroupFinalActivity.this.selectedContacts.size())).setForegroundColor(-12862209).append("/").append(String.valueOf(CreateGroupFinalActivity.this.maxCount)).create());
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void notifyDataSetChanged() {
            CreateGroupFinalActivity.this.updateNextView();
            super.notifyDataSetChanged();
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            return 2;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void updateNextView() {
        this.nextTextView.setEnabled(!TextUtils.isEmpty(this.editText.getText().toString()) && this.adapter.getItemCount() > 0);
    }
}
