package im.uecahxyvjd.ui.hui.chats;

import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCContacts;
import im.uecahxyvjd.ui.CommonGroupsActivity;
import im.uecahxyvjd.ui.MediaActivity;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.hcells.TextSettingCell;
/* loaded from: classes9.dex */
public class MoreUserInfoActivity extends BaseFragment implements NotificationCenter.NotificationCenterDelegate {
    private ListAdapter adapter;
    private long dialog_id;
    private int groupRow;
    private int[] lastMediaCount;
    private int rowCount;
    private int shareMediaRow;
    private MediaActivity.SharedMediaData[] sharedMediaData;
    private int sourceRow;
    private int userId;
    private TLRPCContacts.CL_userFull_v1 userInfo;

    public MoreUserInfoActivity(int userId, long dialog_id, int[] lastMediaCount) {
        this.userId = userId;
        this.dialog_id = dialog_id;
        this.lastMediaCount = lastMediaCount;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        if (this.userInfo == null) {
            TLRPC.UserFull full = MessagesController.getInstance(this.currentAccount).getUserFull(getUserConfig().getClientUserId());
            if (full instanceof TLRPCContacts.CL_userFull_v1) {
                this.userInfo = (TLRPCContacts.CL_userFull_v1) full;
            }
            if (this.userInfo == null) {
                MessagesController.getInstance(this.currentAccount).loadFullUser(getUserConfig().getClientUserId(), this.classGuid, true);
            }
            getNotificationCenter().addObserver(this, NotificationCenter.userFullInfoDidLoad);
        }
        this.sharedMediaData = new MediaActivity.SharedMediaData[5];
        int a2 = 0;
        while (true) {
            MediaActivity.SharedMediaData[] sharedMediaDataArr = this.sharedMediaData;
            if (a2 < sharedMediaDataArr.length) {
                sharedMediaDataArr[a2] = new MediaActivity.SharedMediaData();
                this.sharedMediaData[a2].setMaxId(0, this.dialog_id != 0 ? Integer.MIN_VALUE : Integer.MAX_VALUE);
                a2++;
            } else {
                return super.onFragmentCreate();
            }
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.fragmentView = new FrameLayout(context);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        initActionBar();
        initList(context);
        return this.fragmentView;
    }

    private void initActionBar() {
        this.actionBar.setCastShadows(false);
        this.actionBar.setTitle(LocaleController.getString("MoreInformation", R.string.MoreInformation));
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.chats.MoreUserInfoActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    MoreUserInfoActivity.this.finishFragment();
                }
            }
        });
    }

    private void initList(Context context) {
        RecyclerListView listView = new RecyclerListView(context);
        listView.setLayoutManager(new LinearLayoutManager(context));
        ListAdapter listAdapter = new ListAdapter(context);
        this.adapter = listAdapter;
        listView.setAdapter(listAdapter);
        listView.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
        ((FrameLayout) this.fragmentView).addView(listView, LayoutHelper.createFrame(-1, -2, AndroidUtilities.dp(10.0f), AndroidUtilities.dp(10.0f), AndroidUtilities.dp(10.0f), AndroidUtilities.dp(10.0f)));
        listView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.chats.MoreUserInfoActivity$$ExternalSyntheticLambda0
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                MoreUserInfoActivity.this.m3047xd801ad1d(view, i);
            }
        });
        updateRow();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initList$0$im-uecahxyvjd-ui-hui-chats-MoreUserInfoActivity  reason: not valid java name */
    public /* synthetic */ void m3047xd801ad1d(View view, int position) {
        if (position == this.shareMediaRow) {
            Bundle args = new Bundle();
            int i = this.userId;
            if (i != 0) {
                long j = this.dialog_id;
                if (j == 0) {
                    j = i;
                }
                args.putLong("dialog_id", j);
            }
            int[] media = new int[5];
            System.arraycopy(this.lastMediaCount, 0, media, 0, media.length);
            MediaActivity mediaActivity = new MediaActivity(args, media, this.sharedMediaData, 0);
            presentFragment(mediaActivity);
        } else if (position == this.groupRow) {
            presentFragment(new CommonGroupsActivity(this.userId));
        }
    }

    private void updateRow() {
        this.rowCount = 0;
        this.shareMediaRow = -1;
        this.groupRow = -1;
        this.sourceRow = -1;
        int i = 0 + 1;
        this.rowCount = i;
        this.shareMediaRow = 0;
        int i2 = i + 1;
        this.rowCount = i2;
        this.groupRow = i;
        this.rowCount = i2 + 1;
        this.sourceRow = i2;
        ListAdapter listAdapter = this.adapter;
        if (listAdapter != null) {
            listAdapter.notifyDataSetChanged();
        }
    }

    public void setUserInfo(TLRPCContacts.CL_userFull_v1 userInfo) {
        this.userInfo = userInfo;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        getNotificationCenter().removeObserver(this, NotificationCenter.userFullInfoDidLoad);
        super.onFragmentDestroy();
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        if (id == NotificationCenter.userFullInfoDidLoad) {
            int userId = ((Integer) args[0]).intValue();
            if (userId == getUserConfig().getClientUserId() && (args[1] instanceof TLRPCContacts.CL_userFull_v1)) {
                this.userInfo = (TLRPCContacts.CL_userFull_v1) args[1];
                updateRow();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes9.dex */
    public class ListAdapter extends RecyclerListView.SelectionAdapter {
        private Context mContext;

        public ListAdapter(Context context) {
            this.mContext = context;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            int position = holder.getAdapterPosition();
            return position == MoreUserInfoActivity.this.shareMediaRow || position == MoreUserInfoActivity.this.groupRow;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view = null;
            switch (viewType) {
                case 0:
                    view = new TextSettingCell(this.mContext);
                    view.setLayoutParams(new RecyclerView.LayoutParams(-1, -2));
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            TLRPCContacts.CL_userFull_v1_Bean extendBean;
            int viewType = holder.getItemViewType();
            switch (viewType) {
                case 0:
                    TextSettingCell cell = (TextSettingCell) holder.itemView;
                    if (position == MoreUserInfoActivity.this.shareMediaRow) {
                        cell.setText(LocaleController.getString("SharedMedia", R.string.SharedMedia), position != MoreUserInfoActivity.this.rowCount - 1, true);
                        return;
                    } else if (position == MoreUserInfoActivity.this.groupRow) {
                        TLRPC.UserFull userFull = MoreUserInfoActivity.this.getMessagesController().getUserFull(MoreUserInfoActivity.this.userId);
                        cell.setTextAndValue(LocaleController.getString("GroupsInCommonTitle", R.string.GroupsInCommonTitle), userFull != null ? String.valueOf(userFull.common_chats_count) : "", position != MoreUserInfoActivity.this.rowCount - 1, true);
                        return;
                    } else if (position == MoreUserInfoActivity.this.sourceRow) {
                        String sourceStr = "";
                        if (MoreUserInfoActivity.this.userInfo != null && (extendBean = MoreUserInfoActivity.this.userInfo.getExtendBean()) != null) {
                            int source = extendBean.source;
                            switch (source) {
                                case 1:
                                    sourceStr = LocaleController.getString(R.string.AddContactByScanQrCode);
                                    break;
                                case 2:
                                    sourceStr = LocaleController.getString(R.string.AddContactByGroup);
                                    break;
                                case 3:
                                    sourceStr = LocaleController.getString(R.string.AddContactByPhoneNumber);
                                    break;
                                case 4:
                                    sourceStr = LocaleController.getString(R.string.AddContactByAccount);
                                    break;
                                case 5:
                                    sourceStr = LocaleController.getString(R.string.AddContactByNearBy);
                                    break;
                                case 6:
                                    sourceStr = LocaleController.getString(R.string.AddContactByPhoneBook);
                                    break;
                            }
                        }
                        cell.setTextAndValue(LocaleController.getString("FriendSource", R.string.FriendSource), sourceStr, position != MoreUserInfoActivity.this.rowCount - 1, false);
                        return;
                    } else {
                        return;
                    }
                default:
                    return;
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return MoreUserInfoActivity.this.rowCount;
        }
    }
}
