package im.uecahxyvjd.ui.hui.chats;

import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.graphics.Color;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.core.content.ContextCompat;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import butterknife.BindView;
import butterknife.OnClick;
import com.bjz.comm.net.utils.HttpUtils;
import com.google.android.exoplayer2.trackselection.AdaptiveTrackSelection;
import com.king.zxing.util.LogUtils;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ApplicationLoader;
import im.uecahxyvjd.messenger.ContactsController;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MediaDataController;
import im.uecahxyvjd.messenger.MessageObject;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.NotificationsController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.SecretChatHelper;
import im.uecahxyvjd.messenger.SendMessagesHelper;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.messenger.Utilities;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCContacts;
import im.uecahxyvjd.ui.ChatActivity;
import im.uecahxyvjd.ui.CommonGroupsActivity;
import im.uecahxyvjd.ui.IdenticonActivity;
import im.uecahxyvjd.ui.MediaActivity;
import im.uecahxyvjd.ui.PhotoViewer;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.actionbar.XAlertDialog;
import im.uecahxyvjd.ui.cells.ShadowSectionCell;
import im.uecahxyvjd.ui.components.AlertsCreator;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.components.IdenticonDrawable;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.dialogs.DialogCommonList;
import im.uecahxyvjd.ui.hcells.MryTextCheckCell;
import im.uecahxyvjd.ui.hcells.PhotoCell;
import im.uecahxyvjd.ui.hcells.TextSettingCell;
import im.uecahxyvjd.ui.hui.chats.NewProfileActivity;
import im.uecahxyvjd.ui.hui.contacts.AddContactsInfoActivity;
import im.uecahxyvjd.ui.hui.contacts.ContactsUtils;
import im.uecahxyvjd.ui.hui.contacts.GreetEditActivity;
import im.uecahxyvjd.ui.hui.contacts.NoteAndGroupingEditActivity;
import im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcPageMineActivity;
import im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcPageOthersActivity;
import im.uecahxyvjd.ui.hui.visualcall.VisualCallActivity;
import im.uecahxyvjd.ui.hviews.MryRoundButton;
import im.uecahxyvjd.ui.hviews.MryTextView;
import im.uecahxyvjd.ui.hviews.dialogs.XDialog;
import java.util.ArrayList;
import java.util.List;
/* loaded from: classes9.dex */
public class NewProfileActivity extends BaseFragment implements NotificationCenter.NotificationCenterDelegate {
    private int addContactsEmptyRow;
    private int addContactsRow;
    private ArrayList<String> albumUrls;
    private int appCodeRow;
    private int audioRow;
    private int blockRow;
    private boolean creatingChat;
    private TLRPC.EncryptedChat currentEncryptedChat;
    private int deleteContactRow;
    private long dialog_id;
    boolean enableFriendMoment;
    private int encriptEmptyRow;
    private int encriptRow;
    private int filesRow;
    private boolean forbidAddContact;
    private int fromType;
    private int groupRow;
    private int groupingAndRemarksRow;
    private boolean hasAdminRights;
    private int headerEmptyRow;
    private int headerRow;
    private int hubEmptyRow;
    private int hubRow;
    private boolean isBot;
    private int[] lastMediaCount;
    private int linksRow;
    @BindView(R.id.listview)
    RecyclerListView listView;
    private MyAdapter mAdapter;
    private Context mContext;
    @BindView(R.id.ll_bottom_btn)
    LinearLayout mLlBottomBtn;
    private MediaActivity mediaActivity;
    private int[] mediaCount;
    private int moreInfoRow;
    private int notifyRow;
    private Runnable parseUserFriendAlbumRunnable;
    private boolean parseUserFriendAlbumRunnableIsRunning;
    private int phoneRow;
    private int photosRow;
    private int[] prevMediaCount;
    private boolean reportSpam;
    private int rowCount;
    private int sendToSelfEmptyRow;
    private int sendToSelfRow;
    private MediaActivity.SharedMediaData[] sharedMediaData;
    private int signEmptyRow;
    private int signRow;
    @BindView(R.id.tv_add_friend)
    TextView tvAddFriend;
    @BindView(R.id.tv_secret_chat)
    TextView tvSecretChat;
    @BindView(R.id.tv_send_message)
    TextView tvSendMessage;
    private TLRPC.User user;
    private boolean userBlocked;
    private int userGroupId;
    private TLRPCContacts.CL_userFull_v1 userInfo;
    private String userNote;
    private int user_id;
    private int voiceRow;

    public NewProfileActivity(Bundle args) {
        super(args);
        this.userNote = "";
        this.enableFriendMoment = false;
        this.lastMediaCount = new int[]{-1, -1, -1, -1, -1};
        this.mediaCount = new int[]{-1, -1, -1, -1, -1};
        this.prevMediaCount = new int[]{-1, -1, -1, -1, -1};
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        if (this.arguments != null) {
            this.user_id = this.arguments.getInt("user_id", 0);
            this.forbidAddContact = this.arguments.getBoolean("forbid_add_contact", false);
            this.hasAdminRights = this.arguments.getBoolean("has_admin_right", false);
            this.reportSpam = this.arguments.getBoolean("reportSpam", false);
            this.fromType = this.arguments.getInt("from_type", 0);
            if (this.user_id == 0) {
                return false;
            }
            this.dialog_id = this.arguments.getLong("dialog_id", 0L);
            TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.user_id));
            this.user = user;
            if (user == null) {
                return false;
            }
            if (this.dialog_id != 0) {
                this.currentEncryptedChat = MessagesController.getInstance(this.currentAccount).getEncryptedChat(Integer.valueOf((int) (this.dialog_id >> 32)));
            }
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.updateInterfaces);
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.contactsDidLoad);
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.encryptedChatCreated);
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.encryptedChatUpdated);
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.blockedUsersDidLoad);
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.botInfoDidLoad);
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.userFullInfoDidLoad);
            this.userBlocked = MessagesController.getInstance(this.currentAccount).blockedUsers.indexOfKey(this.user_id) >= 0;
            if (this.user.bot) {
                this.isBot = true;
                MediaDataController.getInstance(this.currentAccount).loadBotInfo(this.user.id, true, this.classGuid);
            }
            TLRPC.UserFull full = MessagesController.getInstance(this.currentAccount).getUserFull(this.user_id);
            if (full instanceof TLRPCContacts.CL_userFull_v1) {
                this.userInfo = (TLRPCContacts.CL_userFull_v1) full;
            }
            MessagesController.getInstance(this.currentAccount).loadFullUser(this.user_id, this.classGuid, true);
        }
        this.sharedMediaData = new MediaActivity.SharedMediaData[5];
        int a2 = 0;
        while (true) {
            MediaActivity.SharedMediaData[] sharedMediaDataArr = this.sharedMediaData;
            if (a2 < sharedMediaDataArr.length) {
                sharedMediaDataArr[a2] = new MediaActivity.SharedMediaData();
                this.sharedMediaData[a2].setMaxId(0, this.dialog_id != 0 ? Integer.MIN_VALUE : Integer.MAX_VALUE);
                a2++;
            } else {
                int a3 = this.currentAccount;
                NotificationCenter.getInstance(a3).addObserver(this, NotificationCenter.mediaCountDidLoad);
                NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.mediaCountsDidLoad);
                NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.mediaDidLoad);
                NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.updateInterfaces);
                NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.didReceiveNewMessages);
                NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.messagesDeleted);
                NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.closeChats);
                NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.groupingChanged);
                return true;
            }
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.mContext = context;
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_new_profile, (ViewGroup) null);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        useButterKnife();
        initActionBar();
        initView();
        updateRow();
        return this.fragmentView;
    }

    private void initActionBar() {
        this.actionBar.setCastShadows(false);
        this.actionBar.setTitle(LocaleController.getString("PersonalInfo", R.string.PersonalInfo));
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    NewProfileActivity.this.finishFragment();
                } else if (id == 0) {
                    Bundle args = new Bundle();
                    args.putInt("user_id", NewProfileActivity.this.user_id);
                    NewProfileActivity.this.presentFragmentFromBottom(new UserProfileShareStepOneActivity(args), false, false);
                }
            }
        });
        if (this.user_id != 777000 && this.user.mutual_contact) {
            ActionBarMenu menuView = this.actionBar.createMenu();
            menuView.addItem(0, R.drawable.msg_shareout);
        }
    }

    private void initView() {
        this.listView.setLayoutManager(new LinearLayoutManager(this.mContext));
        RecyclerListView recyclerListView = this.listView;
        MyAdapter myAdapter = new MyAdapter();
        this.mAdapter = myAdapter;
        recyclerListView.setAdapter(myAdapter);
        this.listView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity$$ExternalSyntheticLambda1
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                NewProfileActivity.this.m3077lambda$initView$2$imuecahxyvjduihuichatsNewProfileActivity(view, i);
            }
        });
        this.mLlBottomBtn.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
        this.tvAddFriend.setTextColor(Theme.getColor(Theme.key_actionBarDefault));
        this.tvSendMessage.setTextColor(Theme.getColor(Theme.key_actionBarDefault));
        this.tvSecretChat.setTextColor(Theme.getColor(Theme.key_actionBarDefault));
        this.tvSecretChat.setText(LocaleController.getString("chat_encrypt", R.string.chat_encrypt));
        this.tvAddFriend.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_bottomBarSelectedColor)));
        this.tvAddFriend.setText(LocaleController.getString("chat_add_contacts", R.string.chat_add_contacts));
        this.tvSendMessage.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_bottomBarSelectedColor)));
        this.tvSendMessage.setText(LocaleController.getString("chat_send_messages", R.string.chat_send_messages));
        this.tvSecretChat.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_bottomBarSelectedColor)));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initView$2$im-uecahxyvjd-ui-hui-chats-NewProfileActivity  reason: not valid java name */
    public /* synthetic */ void m3077lambda$initView$2$imuecahxyvjduihuichatsNewProfileActivity(View view, int position) {
        int tab;
        long did;
        long flags;
        if (getParentActivity() == null) {
            return;
        }
        if (position == this.groupRow) {
            presentFragment(new CommonGroupsActivity(this.user_id));
        } else if (position != this.notifyRow) {
            if (position == this.blockRow) {
                TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.user_id));
                if (user == null) {
                    return;
                }
                if (!this.isBot || MessagesController.isSupportUser(user)) {
                    if (this.userBlocked) {
                        MessagesController.getInstance(this.currentAccount).unblockUser(this.user_id);
                        AlertsCreator.showSimpleToast(this, LocaleController.getString("UserUnBlacklisted", R.string.UserUnBlacklisted));
                        return;
                    } else if (this.reportSpam) {
                        AlertsCreator.showBlockReportSpamAlert(this, this.user_id, user, null, this.currentEncryptedChat, false, null, new MessagesStorage.IntCallback() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity$$ExternalSyntheticLambda9
                            @Override // im.uecahxyvjd.messenger.MessagesStorage.IntCallback
                            public final void run(int i) {
                                NewProfileActivity.this.m3075lambda$initView$0$imuecahxyvjduihuichatsNewProfileActivity(i);
                            }
                        });
                        return;
                    } else {
                        List<String> arrList = new ArrayList<>();
                        arrList.add(LocaleController.formatString("AreYouSureBlockContact3", R.string.AreYouSureBlockContact3, ContactsController.formatName(user.first_name, user.last_name)));
                        arrList.add(LocaleController.getString("OK", R.string.OK));
                        int[] iTextColor = {-7631463, -570319};
                        DialogCommonList dialogCommonList = new DialogCommonList(getParentActivity(), arrList, (List<Integer>) null, iTextColor, new DialogCommonList.RecyclerviewItemClickCallBack() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity$$ExternalSyntheticLambda10
                            @Override // im.uecahxyvjd.ui.dialogs.DialogCommonList.RecyclerviewItemClickCallBack
                            public final void onRecyclerviewItemClick(int i) {
                                NewProfileActivity.this.m3076lambda$initView$1$imuecahxyvjduihuichatsNewProfileActivity(i);
                            }
                        }, 1);
                        dialogCommonList.setCancle(Color.parseColor("#222222"), 16);
                        dialogCommonList.show();
                        return;
                    }
                } else if (!this.userBlocked) {
                    MessagesController.getInstance(this.currentAccount).blockUser(this.user_id);
                    return;
                } else {
                    MessagesController.getInstance(this.currentAccount).unblockUser(this.user_id);
                    SendMessagesHelper.getInstance(this.currentAccount).sendMessage("/start", this.user_id, null, null, false, null, null, null, true, 0);
                    finishFragment();
                    return;
                }
            }
            int i = this.photosRow;
            if (position == i || position == this.filesRow || position == this.linksRow || position == this.audioRow || position == this.voiceRow) {
                if (position == i) {
                    tab = 0;
                } else {
                    int tab2 = this.filesRow;
                    if (position == tab2) {
                        tab = 1;
                    } else {
                        int tab3 = this.linksRow;
                        if (position == tab3) {
                            tab = 3;
                        } else {
                            int tab4 = this.audioRow;
                            if (position == tab4) {
                                tab = 4;
                            } else {
                                tab = 2;
                            }
                        }
                    }
                }
                Bundle args = new Bundle();
                int i2 = this.user_id;
                if (i2 != 0) {
                    long j = this.dialog_id;
                    if (j == 0) {
                        j = i2;
                    }
                    args.putLong("dialog_id", j);
                }
                int[] media = new int[5];
                System.arraycopy(this.lastMediaCount, 0, media, 0, media.length);
                MediaActivity mediaActivity = new MediaActivity(args, media, this.sharedMediaData, tab);
                this.mediaActivity = mediaActivity;
                presentFragment(mediaActivity);
            } else if (position == this.hubRow) {
                if (this.user == null && this.user_id == 0) {
                    return;
                }
                if (this.user_id == getUserConfig().getClientUserId()) {
                    presentFragment(new FcPageMineActivity());
                } else {
                    presentFragment(new FcPageOthersActivity(this.user_id, this.user.access_hash));
                }
            } else if (position == this.encriptRow) {
                TLRPC.EncryptedChat encryptedChat = MessagesController.getInstance(this.currentAccount).getEncryptedChat(Integer.valueOf((int) (this.dialog_id >> 32)));
                if (encryptedChat instanceof TLRPC.TL_encryptedChat) {
                    Bundle args2 = new Bundle();
                    args2.putInt("chat_id", (int) (this.dialog_id >> 32));
                    presentFragment(new IdenticonActivity(args2));
                }
            } else if (position == this.groupingAndRemarksRow) {
                TLRPCContacts.CL_userFull_v1 cL_userFull_v1 = this.userInfo;
                if (cL_userFull_v1 == null || cL_userFull_v1.getExtendBean() == null) {
                    return;
                }
                Bundle bundle = new Bundle();
                bundle.putInt("user_id", this.user_id);
                bundle.putInt("groupId", this.userInfo.getExtendBean().group_id);
                bundle.putString("groupName", this.userInfo.getExtendBean().group_name);
                bundle.putInt("type", 2);
                presentFragment(new NoteAndGroupingEditActivity(bundle));
            } else if (position != this.moreInfoRow) {
                if (position == this.deleteContactRow) {
                    deleteContact();
                } else if (position == this.sendToSelfRow) {
                    sendMessage();
                } else if (position == this.addContactsRow) {
                    jumpToEditGreetActivity();
                }
            } else {
                MoreUserInfoActivity fragment = new MoreUserInfoActivity(this.user_id, this.dialog_id, this.lastMediaCount);
                TLRPCContacts.CL_userFull_v1 cL_userFull_v12 = this.userInfo;
                if (cL_userFull_v12 != null) {
                    fragment.setUserInfo(cL_userFull_v12);
                }
                presentFragment(fragment);
            }
        } else {
            if (this.dialog_id != 0) {
                did = this.dialog_id;
            } else {
                did = this.user_id;
            }
            MryTextCheckCell checkCell = (MryTextCheckCell) view;
            boolean checked = true ^ checkCell.isChecked();
            boolean defaultEnabled = NotificationsController.getInstance(this.currentAccount).isGlobalNotificationsEnabled(did);
            if (checked) {
                SharedPreferences preferences = MessagesController.getNotificationsSettings(this.currentAccount);
                SharedPreferences.Editor editor = preferences.edit();
                if (defaultEnabled) {
                    editor.remove("notify2_" + did);
                } else {
                    editor.putInt("notify2_" + did, 0);
                }
                MessagesStorage.getInstance(this.currentAccount).setDialogFlags(did, 0L);
                editor.commit();
                TLRPC.Dialog dialog = MessagesController.getInstance(this.currentAccount).dialogs_dict.get(did);
                if (dialog != null) {
                    dialog.notify_settings = new TLRPC.TL_peerNotifySettings();
                }
                NotificationsController.getInstance(this.currentAccount).updateServerNotificationsSettings(did);
            } else {
                SharedPreferences preferences2 = MessagesController.getNotificationsSettings(this.currentAccount);
                SharedPreferences.Editor editor2 = preferences2.edit();
                if (!defaultEnabled) {
                    editor2.remove("notify2_" + did);
                    flags = 0;
                } else {
                    editor2.putInt("notify2_" + did, 2);
                    flags = 1;
                }
                NotificationsController.getInstance(this.currentAccount).removeNotificationsForDialog(did);
                MessagesStorage.getInstance(this.currentAccount).setDialogFlags(did, flags);
                editor2.commit();
                TLRPC.Dialog dialog2 = MessagesController.getInstance(this.currentAccount).dialogs_dict.get(did);
                if (dialog2 != null) {
                    dialog2.notify_settings = new TLRPC.TL_peerNotifySettings();
                    if (defaultEnabled) {
                        dialog2.notify_settings.mute_until = Integer.MAX_VALUE;
                    }
                }
                NotificationsController.getInstance(this.currentAccount).updateServerNotificationsSettings(did);
            }
            checkCell.setChecked(checked);
            RecyclerListView.Holder holder = (RecyclerListView.Holder) this.listView.findViewHolderForPosition(this.notifyRow);
            if (holder != null) {
                this.mAdapter.onBindViewHolder(holder, this.notifyRow);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initView$0$im-uecahxyvjd-ui-hui-chats-NewProfileActivity  reason: not valid java name */
    public /* synthetic */ void m3075lambda$initView$0$imuecahxyvjduihuichatsNewProfileActivity(int param) {
        if (param == 1) {
            NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.closeChats);
            NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.closeChats, new Object[0]);
            finishFragment();
            return;
        }
        getNotificationCenter().postNotificationName(NotificationCenter.peerSettingsDidLoad, Long.valueOf(this.user_id));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initView$1$im-uecahxyvjd-ui-hui-chats-NewProfileActivity  reason: not valid java name */
    public /* synthetic */ void m3076lambda$initView$1$imuecahxyvjduihuichatsNewProfileActivity(int which) {
        if (which == 1) {
            MessagesController.getInstance(this.currentAccount).blockUser(this.user_id);
            AlertsCreator.showSimpleToast(this, LocaleController.getString("UserBlacklisted", R.string.UserBlacklisted));
        }
    }

    private void updateRow() {
        TLRPC.User user = this.user;
        if (user == null) {
            return;
        }
        int i = 0;
        if (user.bot) {
            this.enableFriendMoment = false;
        }
        setViewData();
        this.rowCount = 0;
        this.headerRow = -1;
        this.phoneRow = -1;
        this.headerEmptyRow = -1;
        this.appCodeRow = -1;
        this.groupingAndRemarksRow = -1;
        this.hubRow = -1;
        this.hubEmptyRow = -1;
        this.signRow = -1;
        this.signEmptyRow = -1;
        this.notifyRow = -1;
        this.encriptEmptyRow = -1;
        this.encriptRow = -1;
        this.groupRow = -1;
        this.blockRow = -1;
        this.moreInfoRow = -1;
        this.photosRow = -1;
        this.filesRow = -1;
        this.linksRow = -1;
        this.audioRow = -1;
        this.voiceRow = -1;
        this.deleteContactRow = -1;
        this.sendToSelfEmptyRow = -1;
        this.sendToSelfRow = -1;
        this.addContactsEmptyRow = -1;
        this.addContactsRow = -1;
        if (this.forbidAddContact && !this.user.contact) {
            if (this.hasAdminRights) {
                int i2 = this.rowCount;
                this.rowCount = i2 + 1;
                this.headerRow = i2;
                TLRPC.User user2 = this.user;
                if (user2 == null || TextUtils.isEmpty(user2.phone)) {
                }
                TLRPC.User user3 = this.user;
                if (user3 == null || TextUtils.isEmpty(user3.username) || (!this.user.contact && !this.user.self)) {
                }
                int i3 = this.rowCount;
                int i4 = i3 + 1;
                this.rowCount = i4;
                this.headerEmptyRow = i3;
                if (this.enableFriendMoment) {
                    this.rowCount = i4 + 1;
                    this.hubRow = i4;
                }
                if (this.user.contact) {
                    int i5 = this.rowCount;
                    int i6 = i5 + 1;
                    this.rowCount = i6;
                    this.blockRow = i5;
                    int i7 = i6 + 1;
                    this.rowCount = i7;
                    this.notifyRow = i6;
                    int i8 = i7 + 1;
                    this.rowCount = i8;
                    this.moreInfoRow = i7;
                    this.rowCount = i8 + 1;
                    this.deleteContactRow = i8;
                } else if (!this.user.self && this.fromType == 2) {
                    int i9 = this.rowCount;
                    int i10 = i9 + 1;
                    this.rowCount = i10;
                    this.groupRow = i9;
                    int i11 = i10 + 1;
                    this.rowCount = i11;
                    this.blockRow = i10;
                    int i12 = i11 + 1;
                    this.rowCount = i12;
                    this.addContactsEmptyRow = i11;
                    this.rowCount = i12 + 1;
                    this.addContactsRow = i12;
                }
            } else {
                int i13 = this.rowCount;
                int i14 = i13 + 1;
                this.rowCount = i14;
                this.headerRow = i13;
                int i15 = i14 + 1;
                this.rowCount = i15;
                this.headerEmptyRow = i14;
                if (this.enableFriendMoment) {
                    this.rowCount = i15 + 1;
                    this.hubRow = i15;
                }
                int i16 = this.rowCount;
                this.rowCount = i16 + 1;
                this.blockRow = i16;
            }
        } else {
            int i17 = this.rowCount;
            this.rowCount = i17 + 1;
            this.headerRow = i17;
            TLRPC.User user4 = this.user;
            if (user4 == null || TextUtils.isEmpty(user4.phone)) {
            }
            TLRPC.User user5 = this.user;
            if (user5 == null || TextUtils.isEmpty(user5.username) || (!this.user.contact && !this.user.self)) {
            }
            int i18 = this.rowCount;
            int i19 = i18 + 1;
            this.rowCount = i19;
            this.headerEmptyRow = i18;
            if (this.enableFriendMoment) {
                this.rowCount = i19 + 1;
                this.hubRow = i19;
            }
            if (this.currentEncryptedChat != null) {
                int i20 = this.rowCount;
                int i21 = i20 + 1;
                this.rowCount = i21;
                this.encriptEmptyRow = i20;
                this.rowCount = i21 + 1;
                this.encriptRow = i21;
            }
            if (this.user.contact) {
                int i22 = this.rowCount;
                int i23 = i22 + 1;
                this.rowCount = i23;
                this.notifyRow = i22;
                int i24 = i23 + 1;
                this.rowCount = i24;
                this.blockRow = i23;
                int i25 = i24 + 1;
                this.rowCount = i25;
                this.moreInfoRow = i24;
                this.rowCount = i25 + 1;
                this.deleteContactRow = i25;
            } else if (!this.user.self && this.fromType == 2) {
                int i26 = this.rowCount;
                int i27 = i26 + 1;
                this.rowCount = i27;
                this.signEmptyRow = i26;
                int i28 = i27 + 1;
                this.rowCount = i28;
                this.groupRow = i27;
                int i29 = i28 + 1;
                this.rowCount = i29;
                this.blockRow = i28;
                int i30 = i29 + 1;
                this.rowCount = i30;
                this.addContactsEmptyRow = i29;
                this.rowCount = i30 + 1;
                this.addContactsRow = i30;
            } else if (UserObject.isDeleted(this.user)) {
                int i31 = this.rowCount;
                int i32 = i31 + 1;
                this.rowCount = i32;
                this.signEmptyRow = i31;
                this.rowCount = i32 + 1;
                this.deleteContactRow = i32;
            }
        }
        if (this.user.self) {
            int i33 = this.rowCount;
            int i34 = i33 + 1;
            this.rowCount = i34;
            this.sendToSelfEmptyRow = i33;
            this.rowCount = i34 + 1;
            this.sendToSelfRow = i34;
            LinearLayout linearLayout = this.mLlBottomBtn;
            if (linearLayout != null) {
                linearLayout.setVisibility(8);
            }
        } else {
            LinearLayout linearLayout2 = this.mLlBottomBtn;
            if (linearLayout2 != null) {
                if (UserObject.isDeleted(this.user) || this.user.bot || ((!this.user.contact && this.fromType == 2) || (this.forbidAddContact && !this.user.contact && !this.hasAdminRights))) {
                    i = 8;
                }
                linearLayout2.setVisibility(i);
            }
        }
        MyAdapter myAdapter = this.mAdapter;
        if (myAdapter != null) {
            myAdapter.notifyDataSetChanged();
        }
    }

    private void setViewData() {
        TLRPC.User user = this.user;
        if (user != null) {
            if (user.self) {
                this.tvAddFriend.setVisibility(8);
                this.tvSecretChat.setVisibility(8);
            } else if (this.forbidAddContact && !this.user.contact) {
                if (!this.hasAdminRights) {
                    this.mLlBottomBtn.setVisibility(8);
                }
            } else if (!this.user.contact) {
                this.tvSendMessage.setVisibility(8);
                this.tvSecretChat.setVisibility(8);
                if (this.user.verified || this.user.bot || this.user.support) {
                    this.tvAddFriend.setVisibility(8);
                }
            } else {
                this.tvAddFriend.setVisibility(8);
                if (this.currentEncryptedChat != null) {
                    this.tvSecretChat.setVisibility(8);
                }
            }
        }
        TLRPCContacts.CL_userFull_v1 cL_userFull_v1 = this.userInfo;
        if (cL_userFull_v1 != null && cL_userFull_v1.getExtendBean() != null && this.userInfo.getExtendBean().userAlbumsReq != null) {
            if (this.parseUserFriendAlbumRunnable == null) {
                this.parseUserFriendAlbumRunnable = new Runnable() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity$$ExternalSyntheticLambda13
                    @Override // java.lang.Runnable
                    public final void run() {
                        NewProfileActivity.this.parseUserFriendAlbums();
                    }
                };
            }
            Utilities.stageQueue.postRunnable(this.parseUserFriendAlbumRunnable);
            this.parseUserFriendAlbumRunnableIsRunning = true;
        }
        this.tvSecretChat.setVisibility(8);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void parseUserFriendAlbums() {
        TLRPCContacts.CL_userFull_v1_Bean.UserAlbumsBean userAlbumsReq;
        try {
            if (this.userInfo.getExtendBean().moment && (userAlbumsReq = this.userInfo.getExtendBean().userAlbumsReq) != null) {
                ArrayList<TLRPCContacts.CL_userFull_v1_Bean.Albums> albums = userAlbumsReq.albums;
                this.albumUrls = new ArrayList<>();
                if (albums != null && albums.size() > 0) {
                    for (int i = 0; i < albums.size(); i++) {
                        if (albums.get(i) != null && !TextUtils.isEmpty(albums.get(i).Thum)) {
                            this.albumUrls.add(HttpUtils.getInstance().getDownloadFileUrl() + albums.get(i).Thum);
                        }
                    }
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        this.parseUserFriendAlbumRunnableIsRunning = false;
    }

    private void loadMediaCounts() {
        if (this.dialog_id != 0) {
            MediaDataController.getInstance(this.currentAccount).getMediaCounts(this.dialog_id, this.classGuid);
        } else if (this.user_id != 0) {
            MediaDataController.getInstance(this.currentAccount).getMediaCounts(this.user_id, this.classGuid);
        }
    }

    @OnClick({R.id.tv_add_friend, R.id.tv_send_message, R.id.tv_secret_chat})
    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.tv_add_friend /* 2131297711 */:
                addContact();
                return;
            case R.id.tv_secret_chat /* 2131297840 */:
                startSecretChat();
                return;
            case R.id.tv_send_message /* 2131297843 */:
                sendMessage();
                return;
            default:
                return;
        }
    }

    private void addContact() {
        if (this.user != null) {
            Bundle bundle = new Bundle();
            bundle.putInt("from_type", this.fromType);
            presentFragment(new AddContactsInfoActivity(bundle, this.user));
        }
    }

    private void sendMessage() {
        TLRPC.User user = this.user;
        if (user == null || (user instanceof TLRPC.TL_userEmpty)) {
            return;
        }
        Bundle args = new Bundle();
        args.putInt("user_id", this.user_id);
        if (!MessagesController.getInstance(this.currentAccount).checkCanOpenChat(args, this)) {
            return;
        }
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.closeChats);
        NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.closeChats, new Object[0]);
        presentFragment(new ChatActivity(args), true);
    }

    private void jumpToEditGreetActivity() {
        Bundle bundle = new Bundle();
        bundle.putInt("type", 0);
        GreetEditActivity greetEditActivity = new GreetEditActivity(bundle);
        greetEditActivity.setDelegate(new GreetEditActivity.GreetEditDelegate() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity$$ExternalSyntheticLambda6
            @Override // im.uecahxyvjd.ui.hui.contacts.GreetEditActivity.GreetEditDelegate
            public final void onFinish(String str) {
                NewProfileActivity.this.startContactApply(str);
            }
        });
        presentFragment(greetEditActivity);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void startContactApply(String greet) {
        final XAlertDialog progressDialog = new XAlertDialog(getParentActivity(), 4);
        progressDialog.setLoadingText(LocaleController.getString(R.string.ApplySending));
        TLRPCContacts.ContactsRequestApply req = new TLRPCContacts.ContactsRequestApply();
        req.flag = 0;
        req.from_type = this.fromType;
        req.inputUser = getMessagesController().getInputUser(this.user);
        req.first_name = this.user.first_name;
        req.last_name = this.userNote;
        req.greet = greet;
        req.group_id = this.userGroupId;
        ConnectionsManager connectionsManager = getConnectionsManager();
        final int reqId = getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity$$ExternalSyntheticLambda3
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                NewProfileActivity.this.m3080xd52fa6c5(progressDialog, tLObject, tL_error);
            }
        });
        connectionsManager.bindRequestToGuid(reqId, this.classGuid);
        progressDialog.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity$$ExternalSyntheticLambda4
            @Override // android.content.DialogInterface.OnCancelListener
            public final void onCancel(DialogInterface dialogInterface) {
                NewProfileActivity.this.m3081x4aa9cd06(reqId, dialogInterface);
            }
        });
        progressDialog.show();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$startContactApply$5$im-uecahxyvjd-ui-hui-chats-NewProfileActivity  reason: not valid java name */
    public /* synthetic */ void m3080xd52fa6c5(final XAlertDialog progressDialog, final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity$$ExternalSyntheticLambda2
            @Override // java.lang.Runnable
            public final void run() {
                NewProfileActivity.this.m3079x5fb58084(error, progressDialog, response);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$startContactApply$4$im-uecahxyvjd-ui-hui-chats-NewProfileActivity  reason: not valid java name */
    public /* synthetic */ void m3079x5fb58084(TLRPC.TL_error error, final XAlertDialog progressDialog, TLObject response) {
        TLRPC.TL_updates updates;
        if (error != null) {
            progressDialog.dismiss();
            ToastUtils.show((CharSequence) ContactsUtils.getAboutContactsErrText(error));
            return;
        }
        if ((response instanceof TLRPC.TL_updates) && (updates = (TLRPC.TL_updates) response) != null && updates.updates != null) {
            getMessagesController().processUpdates(updates, false);
            for (int i = 0; i < updates.updates.size(); i++) {
                if (updates.updates.get(i) instanceof TLRPCContacts.ContactApplyResp) {
                    TLRPCContacts.ContactApplyResp res = (TLRPCContacts.ContactApplyResp) updates.updates.get(i);
                    getMessagesController().saveContactsAppliesId(res.applyInfo.id);
                }
            }
        }
        progressDialog.setLoadingImage(this.mContext.getResources().getDrawable(R.mipmap.ic_apply_send_done), AndroidUtilities.dp(30.0f), AndroidUtilities.dp(20.0f));
        progressDialog.setLoadingText(LocaleController.getString(R.string.ApplySent));
        this.fragmentView.postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity$$ExternalSyntheticLambda11
            @Override // java.lang.Runnable
            public final void run() {
                XAlertDialog.this.dismiss();
            }
        }, AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$startContactApply$6$im-uecahxyvjd-ui-hui-chats-NewProfileActivity  reason: not valid java name */
    public /* synthetic */ void m3081x4aa9cd06(int reqId, DialogInterface dialog) {
        getConnectionsManager().cancelRequest(reqId, true);
    }

    private void startSecretChat() {
        XDialog.Builder builder = new XDialog.Builder(getParentActivity());
        builder.setTitle(LocaleController.getString("AreYouSureSecretChatTitle", R.string.AreYouSureSecretChatTitle));
        builder.setMessage(LocaleController.getString("AreYouSureSecretChat", R.string.AreYouSureSecretChat));
        builder.setPositiveButton(LocaleController.getString("Start", R.string.Start), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity$$ExternalSyntheticLambda5
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                NewProfileActivity.this.m3082xca0f8781(dialogInterface, i);
            }
        });
        builder.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
        showDialog(builder.create());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$startSecretChat$7$im-uecahxyvjd-ui-hui-chats-NewProfileActivity  reason: not valid java name */
    public /* synthetic */ void m3082xca0f8781(DialogInterface dialogInterface, int i) {
        this.creatingChat = true;
        SecretChatHelper.getInstance(this.currentAccount).startSecretChat(getParentActivity(), MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.user_id)));
    }

    private void deleteContact() {
        if (this.user == null || getParentActivity() == null) {
            return;
        }
        XDialog.Builder builder = new XDialog.Builder(getParentActivity());
        builder.setTitle(LocaleController.getString("DeleteContact", R.string.DeleteContact));
        builder.setMessage(LocaleController.getString("AreYouSureDeleteContact", R.string.AreYouSureDeleteContact));
        builder.setPositiveButton(LocaleController.getString("Delete", R.string.Delete), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity$$ExternalSyntheticLambda0
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                NewProfileActivity.this.m3073x66ce628e(dialogInterface, i);
            }
        });
        builder.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
        XDialog dialog = builder.create();
        showDialog(dialog);
        TextView button = (TextView) dialog.getButton(-1);
        if (button != null) {
            button.setTextColor(Theme.getColor(Theme.key_dialogTextRed2));
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$deleteContact$9$im-uecahxyvjd-ui-hui-chats-NewProfileActivity  reason: not valid java name */
    public /* synthetic */ void m3073x66ce628e(DialogInterface dialogInterface, int i) {
        ArrayList<TLRPC.User> arrayList = new ArrayList<>();
        arrayList.add(this.user);
        ContactsController.getInstance(this.currentAccount).deleteContact(arrayList);
        getMessagesController().deleteDialog(this.user.id, 0);
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity$$ExternalSyntheticLambda8
            @Override // java.lang.Runnable
            public final void run() {
                NewProfileActivity.this.m3072xf1543c4d();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$deleteContact$8$im-uecahxyvjd-ui-hui-chats-NewProfileActivity  reason: not valid java name */
    public /* synthetic */ void m3072xf1543c4d() {
        getNotificationCenter().postNotificationName(NotificationCenter.closeChats, new Object[0]);
        finishFragment();
    }

    private void showBolckedUserListDialog() {
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, final Object... args) {
        int i;
        int i2;
        RecyclerListView.Holder holder;
        RecyclerListView recyclerListView;
        RecyclerListView.Holder holder2;
        if (id == NotificationCenter.updateInterfaces) {
            int mask = ((Integer) args[0]).intValue();
            if (this.user_id != 0) {
                if (((mask & 2) != 0 || (mask & 1) != 0 || (mask & 4) != 0) && (holder = (RecyclerListView.Holder) this.listView.findViewHolderForPosition(this.headerRow)) != null) {
                    this.mAdapter.onBindViewHolder(holder, this.headerRow);
                }
                if ((mask & 1024) != 0 && (recyclerListView = this.listView) != null && (holder2 = (RecyclerListView.Holder) recyclerListView.findViewHolderForPosition(this.phoneRow)) != null) {
                    this.mAdapter.onBindViewHolder(holder2, this.phoneRow);
                }
            }
        } else if (id == NotificationCenter.encryptedChatCreated) {
            if (this.creatingChat) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity$$ExternalSyntheticLambda12
                    @Override // java.lang.Runnable
                    public final void run() {
                        NewProfileActivity.this.m3074x53d847f6(args);
                    }
                });
            }
        } else if (id == NotificationCenter.blockedUsersDidLoad) {
            boolean oldValue = this.userBlocked;
            boolean z = MessagesController.getInstance(this.currentAccount).blockedUsers.indexOfKey(this.user_id) >= 0;
            this.userBlocked = z;
            if (oldValue != z) {
                updateRow();
                this.mAdapter.notifyDataSetChanged();
            }
        } else if (id != NotificationCenter.mediaCountsDidLoad) {
            if (id != NotificationCenter.mediaCountDidLoad) {
                if (id != NotificationCenter.userFullInfoDidLoad) {
                    if (id == NotificationCenter.groupingChanged) {
                        MessagesController.getInstance(this.currentAccount).loadFullUser(this.user_id, this.classGuid, true);
                        return;
                    } else {
                        int i3 = NotificationCenter.botInfoDidLoad;
                        return;
                    }
                } else if (((Integer) args[0]).intValue() == this.user_id && (args[1] instanceof TLRPCContacts.CL_userFull_v1)) {
                    TLRPCContacts.CL_userFull_v1 cL_userFull_v1 = (TLRPCContacts.CL_userFull_v1) args[1];
                    this.userInfo = cL_userFull_v1;
                    this.user = cL_userFull_v1.user;
                    updateRow();
                    return;
                } else {
                    return;
                }
            }
            long uid = ((Long) args[0]).longValue();
            long did = this.dialog_id;
            if (did == 0 && (i = this.user_id) != 0) {
                did = i;
            }
            if (uid == did) {
                int type = ((Integer) args[3]).intValue();
                int mCount = ((Integer) args[1]).intValue();
                if (uid == did) {
                    this.mediaCount[type] = mCount;
                }
                int[] iArr = this.prevMediaCount;
                int[] iArr2 = this.lastMediaCount;
                iArr[type] = iArr2[type];
                int i4 = this.mediaCount[type];
                if (i4 >= 0) {
                    iArr2[type] = i4;
                } else if (i4 >= 0) {
                    iArr2[type] = i4;
                } else {
                    iArr2[type] = 0;
                }
                updateRow();
            }
        } else {
            long uid2 = ((Long) args[0]).longValue();
            long did2 = this.dialog_id;
            if (did2 == 0 && (i2 = this.user_id) != 0) {
                did2 = i2;
            }
            if (uid2 == did2) {
                int[] counts = (int[]) args[1];
                if (uid2 == did2) {
                    this.mediaCount = counts;
                }
                int[] iArr3 = this.lastMediaCount;
                int[] iArr4 = this.prevMediaCount;
                System.arraycopy(iArr3, 0, iArr4, 0, iArr4.length);
                int a2 = 0;
                while (true) {
                    int[] iArr5 = this.lastMediaCount;
                    if (a2 < iArr5.length) {
                        int i5 = this.mediaCount[a2];
                        if (i5 >= 0) {
                            iArr5[a2] = i5;
                        } else if (i5 >= 0) {
                            iArr5[a2] = i5;
                        } else {
                            iArr5[a2] = 0;
                        }
                        if (uid2 == did2 && iArr5[a2] != 0) {
                            MediaDataController.getInstance(this.currentAccount).loadMedia(did2, 50, 0, a2, 2, this.classGuid);
                        }
                        a2++;
                    } else {
                        updateRow();
                        return;
                    }
                }
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$didReceivedNotification$10$im-uecahxyvjd-ui-hui-chats-NewProfileActivity  reason: not valid java name */
    public /* synthetic */ void m3074x53d847f6(Object[] args) {
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.closeChats);
        NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.closeChats, new Object[0]);
        TLRPC.EncryptedChat encryptedChat = (TLRPC.EncryptedChat) args[0];
        Bundle args2 = new Bundle();
        args2.putInt("enc_id", encryptedChat.id);
        presentFragment(new ChatActivity(args2), true);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.mediaCountDidLoad);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.mediaCountsDidLoad);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.mediaDidLoad);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.didReceiveNewMessages);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.messagesDeleted);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.closeChats);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.botInfoDidLoad);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.userFullInfoDidLoad);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.blockedUsersDidLoad);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.encryptedChatUpdated);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.encryptedChatCreated);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.contactsDidLoad);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.updateInterfaces);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.groupingChanged);
        super.onFragmentDestroy();
        if (this.parseUserFriendAlbumRunnable != null && this.parseUserFriendAlbumRunnableIsRunning) {
            Utilities.stageQueue.cancelRunnable(this.parseUserFriendAlbumRunnable);
        }
        this.userInfo = null;
        this.currentEncryptedChat = null;
        this.sharedMediaData = null;
        this.parseUserFriendAlbumRunnableIsRunning = false;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes9.dex */
    public class MyAdapter extends RecyclerListView.SelectionAdapter {
        private TextView mTvNickName;

        private MyAdapter() {
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            int position = holder.getAdapterPosition();
            return position == NewProfileActivity.this.phoneRow || position == NewProfileActivity.this.hubRow || position == NewProfileActivity.this.photosRow || position == NewProfileActivity.this.encriptRow || position == NewProfileActivity.this.filesRow || position == NewProfileActivity.this.linksRow || position == NewProfileActivity.this.audioRow || position == NewProfileActivity.this.voiceRow || position == NewProfileActivity.this.notifyRow || position == NewProfileActivity.this.groupRow || position == NewProfileActivity.this.appCodeRow || position == NewProfileActivity.this.blockRow || position == NewProfileActivity.this.groupingAndRemarksRow || position == NewProfileActivity.this.moreInfoRow || position == NewProfileActivity.this.deleteContactRow || position == NewProfileActivity.this.sendToSelfRow;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view = null;
            switch (viewType) {
                case 0:
                    view = new TextSettingCell(NewProfileActivity.this.mContext);
                    view.setLayoutParams(new RecyclerView.LayoutParams(-1, -2));
                    view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    break;
                case 1:
                    view = LayoutInflater.from(NewProfileActivity.this.mContext).inflate(R.layout.item_profile_header, parent, false);
                    view.setLayoutParams(new RecyclerView.LayoutParams(-1, -2));
                    break;
                case 2:
                    view = new MryTextCheckCell(NewProfileActivity.this.mContext);
                    view.setLayoutParams(new RecyclerView.LayoutParams(-1, -2));
                    view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    break;
                case 3:
                    view = new ShadowSectionCell(NewProfileActivity.this.mContext);
                    break;
                case 4:
                    view = LayoutInflater.from(NewProfileActivity.this.mContext).inflate(R.layout.item_send_to_self, parent, false);
                    break;
                case 8:
                    view = new PhotoCell(NewProfileActivity.this.mContext);
                    view.setPadding(AndroidUtilities.dp(20.0f), 0, 0, 0);
                    RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams(-1, AndroidUtilities.dp(65.0f));
                    view.setLayoutParams(layoutParams);
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            String str;
            int i;
            View view = holder.itemView;
            boolean z = false;
            switch (holder.getItemViewType()) {
                case 0:
                    TextSettingCell textCell = (TextSettingCell) view;
                    textCell.getTextView().setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText));
                    if (position != NewProfileActivity.this.appCodeRow) {
                        if (position != NewProfileActivity.this.phoneRow) {
                            if (position == NewProfileActivity.this.groupingAndRemarksRow) {
                                textCell.setTextAndValue(LocaleController.getString("GroupingAndRemarks", R.string.GroupingAndRemarks), (NewProfileActivity.this.userInfo == null || NewProfileActivity.this.userInfo.getExtendBean() == null) ? "" : NewProfileActivity.this.userInfo.getExtendBean().group_name, false, true);
                            } else if (position != NewProfileActivity.this.hubRow) {
                                if (position == NewProfileActivity.this.signRow) {
                                    textCell.setTextAndValue(LocaleController.getString("BioDesc", R.string.BioDesc), (NewProfileActivity.this.userInfo == null || TextUtils.isEmpty(NewProfileActivity.this.userInfo.about)) ? LocaleController.getString(R.string.BioNothing) : NewProfileActivity.this.userInfo.about, false, false);
                                } else if (position == NewProfileActivity.this.photosRow) {
                                    textCell.setTextAndValue(LocaleController.getString("SharedPhotosAndVideos", R.string.SharedPhotosAndVideos), String.format("%d", Integer.valueOf(NewProfileActivity.this.lastMediaCount[0])), position != NewProfileActivity.this.rowCount - 1, true);
                                } else if (position != NewProfileActivity.this.filesRow) {
                                    if (position != NewProfileActivity.this.linksRow) {
                                        if (position != NewProfileActivity.this.audioRow) {
                                            if (position != NewProfileActivity.this.voiceRow) {
                                                if (position != NewProfileActivity.this.groupRow) {
                                                    if (position != NewProfileActivity.this.encriptRow) {
                                                        if (position == NewProfileActivity.this.moreInfoRow) {
                                                            textCell.setText(LocaleController.getString("MoreInformation", R.string.MoreInformation), position != NewProfileActivity.this.rowCount - 1, true);
                                                        } else if (position == NewProfileActivity.this.deleteContactRow) {
                                                            textCell.getTextView().setTextColor(NewProfileActivity.this.mContext.getResources().getColor(R.color.color_item_menu_red_f74c31));
                                                            textCell.setText(LocaleController.getString("DeleteContact", R.string.DeleteContact), false, false);
                                                        }
                                                    } else {
                                                        IdenticonDrawable identiconDrawable = new IdenticonDrawable();
                                                        TLRPC.EncryptedChat encryptedChat = MessagesController.getInstance(NewProfileActivity.this.currentAccount).getEncryptedChat(Integer.valueOf((int) (NewProfileActivity.this.dialog_id >> 32)));
                                                        if (encryptedChat instanceof TLRPC.TL_encryptedChat) {
                                                            identiconDrawable.setEncryptedChat(encryptedChat);
                                                            textCell.setTextAndValueDrawable(LocaleController.getString("EncryptionKey", R.string.EncryptionKey), identiconDrawable, false);
                                                            textCell.setEnabled(true);
                                                        } else {
                                                            textCell.setTextAndValue(LocaleController.getString("EncryptionKey", R.string.EncryptionKey), "loading", false);
                                                            textCell.setEnabled(false);
                                                        }
                                                    }
                                                } else {
                                                    String string = LocaleController.getString("GroupsInCommonTitle", R.string.GroupsInCommonTitle);
                                                    Object[] objArr = new Object[1];
                                                    objArr[0] = Integer.valueOf(NewProfileActivity.this.userInfo != null ? NewProfileActivity.this.userInfo.common_chats_count : 0);
                                                    textCell.setTextAndValue(string, String.format("%d个", objArr), position != NewProfileActivity.this.rowCount - 1, true);
                                                }
                                            } else {
                                                textCell.setTextAndValue(LocaleController.getString("AudioAutodownload", R.string.AudioAutodownload), String.format("%d", Integer.valueOf(NewProfileActivity.this.lastMediaCount[2])), position != NewProfileActivity.this.rowCount - 1, true);
                                            }
                                        } else {
                                            textCell.setTextAndValue(LocaleController.getString("SharedAudioFiles", R.string.SharedAudioFiles), String.format("%d", Integer.valueOf(NewProfileActivity.this.lastMediaCount[4])), position != NewProfileActivity.this.rowCount - 1, true);
                                        }
                                    } else {
                                        textCell.setTextAndValue(LocaleController.getString("SharedLinks", R.string.SharedLinks), String.format("%d", Integer.valueOf(NewProfileActivity.this.lastMediaCount[3])), position != NewProfileActivity.this.rowCount - 1, true);
                                    }
                                } else {
                                    textCell.setTextAndValue(LocaleController.getString("FilesDataUsage", R.string.FilesDataUsage), String.format("%d", Integer.valueOf(NewProfileActivity.this.lastMediaCount[1])), position != NewProfileActivity.this.rowCount - 1, true);
                                }
                            } else {
                                textCell.setText(LocaleController.getString("FriendHub", R.string.FriendHub), true, true);
                            }
                        } else {
                            TLRPC.User user = null;
                            if (NewProfileActivity.this.userInfo != null && NewProfileActivity.this.userInfo.user != null) {
                                user = NewProfileActivity.this.userInfo.user;
                            }
                            if (user == null) {
                                user = NewProfileActivity.this.getMessagesController().getUser(Integer.valueOf(NewProfileActivity.this.user_id));
                            }
                            if (user != null && !TextUtils.isEmpty(user.phone)) {
                                textCell.setText(LocaleController.getString("PhoneNumberSearch", R.string.PhoneNumberSearch) + ": " + user.phone, NewProfileActivity.this.groupingAndRemarksRow != -1, false);
                            } else {
                                textCell.setVisibility(8);
                            }
                        }
                    } else {
                        TLRPC.User user2 = null;
                        if (NewProfileActivity.this.userInfo != null && NewProfileActivity.this.userInfo.user != null) {
                            user2 = NewProfileActivity.this.userInfo.user;
                        }
                        if (user2 == null) {
                            user2 = NewProfileActivity.this.getMessagesController().getUser(Integer.valueOf(NewProfileActivity.this.user_id));
                        }
                        if (user2 != null && !TextUtils.isEmpty(user2.username)) {
                            textCell.setTextAndValue(LocaleController.getString("AppNameCode", R.string.AppNameCode), user2.username, (NewProfileActivity.this.phoneRow == -1 && NewProfileActivity.this.groupingAndRemarksRow == -1) ? false : true, false);
                        } else {
                            textCell.setVisibility(8);
                        }
                    }
                    if ((NewProfileActivity.this.user.self && position == NewProfileActivity.this.rowCount - 3) || (!NewProfileActivity.this.user.self && position == NewProfileActivity.this.rowCount - 1)) {
                        view.setBackground(Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                        return;
                    }
                    return;
                case 1:
                    TextView txtAccount = (TextView) view.findViewById(R.id.tv_account);
                    final BackupImageView ivAvatar = (BackupImageView) view.findViewById(R.id.iv_avatar);
                    ivAvatar.setRoundRadius(AndroidUtilities.dp(7.5f));
                    ivAvatar.setPivotX(0.0f);
                    ivAvatar.setPivotY(0.0f);
                    ivAvatar.setContentDescription(LocaleController.getString("AccDescrProfilePicture", R.string.AccDescrProfilePicture));
                    TextView textView = (TextView) view.findViewById(R.id.tv_nick_name);
                    this.mTvNickName = textView;
                    textView.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText));
                    ImageView ivGender = (ImageView) view.findViewById(R.id.iv_gender);
                    ivGender.setVisibility(8);
                    TextView tvUpdateTime = (TextView) view.findViewById(R.id.tv_update_time);
                    MryRoundButton btnBotFollow = (MryRoundButton) view.findViewById(R.id.btnBotFollow);
                    ImageView ivCall = (ImageView) view.findViewById(R.id.iv_call);
                    View divider = view.findViewById(R.id.divider);
                    divider.setBackgroundColor(Theme.getColor(Theme.key_divider));
                    if (NewProfileActivity.this.phoneRow == -1 && NewProfileActivity.this.appCodeRow == -1 && NewProfileActivity.this.groupingAndRemarksRow == -1) {
                        divider.setVisibility(8);
                    }
                    ivCall.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_windowBackgroundWhiteBlueButton), PorterDuff.Mode.SRC_IN));
                    ivCall.setBackground(Theme.createSelectorDrawable(Theme.getColor(Theme.key_actionBarDefaultSelector)));
                    ivCall.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity$MyAdapter$$ExternalSyntheticLambda0
                        @Override // android.view.View.OnClickListener
                        public final void onClick(View view2) {
                            NewProfileActivity.MyAdapter.this.m3083xbfa71bb6(view2);
                        }
                    });
                    ivCall.setVisibility(8);
                    if (NewProfileActivity.this.userInfo != null && NewProfileActivity.this.userInfo.getExtendBean() != null) {
                        int sex = NewProfileActivity.this.userInfo.getExtendBean().sex;
                        ivGender.setImageResource(sex == 1 ? R.mipmap.ic_male : sex == 2 ? R.mipmap.ic_female : 0);
                        ivGender.setVisibility(0);
                    } else {
                        ivGender.setVisibility(8);
                    }
                    TLRPC.User user3 = (NewProfileActivity.this.userInfo == null || NewProfileActivity.this.userInfo.user == null) ? NewProfileActivity.this.getMessagesController().getUser(Integer.valueOf(NewProfileActivity.this.user_id)) : NewProfileActivity.this.userInfo.user;
                    if (user3 != null && user3.contact && user3.username != null && !"null".equals(user3.username)) {
                        txtAccount.setText(LocaleController.getString("AppNameCode", R.string.AppNameCode) + LogUtils.COLON + user3.username);
                    } else {
                        txtAccount.setVisibility(8);
                    }
                    if ((user3.self && position == NewProfileActivity.this.rowCount - 3) || (!user3.self && position == NewProfileActivity.this.rowCount - 1)) {
                        view.setBackground(Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                    }
                    if (user3 != null) {
                        AvatarDrawable avatarDrawable = new AvatarDrawable(user3);
                        avatarDrawable.setColor(Theme.getColor(Theme.key_avatar_backgroundInProfileBlue));
                        ivAvatar.setImage(ImageLocation.getForUser(user3, false), "50_50", avatarDrawable, user3);
                        if (!user3.bot) {
                            tvUpdateTime.setText(LocaleController.formatUserStatus(NewProfileActivity.this.currentAccount, user3, null));
                        } else {
                            tvUpdateTime.setText(LocaleController.getString(R.string.Bot));
                        }
                        this.mTvNickName.setText(user3.first_name);
                        if (!user3.contact || user3.bot) {
                            ivCall.setVisibility(8);
                        }
                        if (user3.bot && NewProfileActivity.this.userInfo != null) {
                            btnBotFollow.setPrimaryRadiusAdjustBoundsStrokeStyle();
                            if (!NewProfileActivity.this.userBlocked) {
                                btnBotFollow.setCompoundDrawablesWithIntrinsicBounds(ContextCompat.getDrawable(NewProfileActivity.this.getParentActivity(), R.mipmap.ic_bot_followed), (Drawable) null, (Drawable) null, (Drawable) null);
                                btnBotFollow.setStrokeData(AndroidUtilities.dp(0.5f), -4473925);
                                btnBotFollow.setTextColor(-8882056);
                                btnBotFollow.setText(LocaleController.getString(R.string.attentioned));
                            } else {
                                btnBotFollow.setCompoundDrawablesWithIntrinsicBounds(ContextCompat.getDrawable(NewProfileActivity.this.getParentActivity(), R.mipmap.ic_bot_follow), (Drawable) null, (Drawable) null, (Drawable) null);
                                btnBotFollow.setStrokeData(AndroidUtilities.dp(0.5f), -367616);
                                btnBotFollow.setTextColor(-367616);
                                btnBotFollow.setText(LocaleController.getString(R.string.attention));
                            }
                            if (btnBotFollow.getVisibility() != 0) {
                                btnBotFollow.setVisibility(0);
                            }
                            btnBotFollow.setOnClickListener(new AnonymousClass1(user3));
                        } else if (btnBotFollow.getVisibility() != 8) {
                            btnBotFollow.setVisibility(8);
                        }
                        final PhotoViewer.PhotoViewerProvider provider = new PhotoViewer.EmptyPhotoViewerProvider() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity.MyAdapter.2
                            @Override // im.uecahxyvjd.ui.PhotoViewer.EmptyPhotoViewerProvider, im.uecahxyvjd.ui.PhotoViewer.PhotoViewerProvider
                            public PhotoViewer.PlaceProviderObject getPlaceForPhoto(MessageObject messageObject, TLRPC.FileLocation fileLocation, int index, boolean needPreview) {
                                TLRPC.Chat chat;
                                if (fileLocation == null || NewProfileActivity.this.isFinishing()) {
                                    return null;
                                }
                                TLRPC.FileLocation photoBig = null;
                                if (NewProfileActivity.this.user_id != 0) {
                                    TLRPC.User user4 = MessagesController.getInstance(NewProfileActivity.this.currentAccount).getUser(Integer.valueOf(NewProfileActivity.this.user_id));
                                    if (user4 != null && user4.photo != null && user4.photo.photo_big != null) {
                                        photoBig = user4.photo.photo_big;
                                    }
                                } else if (NewProfileActivity.this.dialog_id != 0 && (chat = MessagesController.getInstance(NewProfileActivity.this.currentAccount).getChat(Integer.valueOf((int) NewProfileActivity.this.dialog_id))) != null && chat.photo != null && chat.photo.photo_big != null) {
                                    photoBig = chat.photo.photo_big;
                                }
                                if (photoBig == null || photoBig.local_id != fileLocation.local_id || photoBig.volume_id != fileLocation.volume_id || photoBig.dc_id != fileLocation.dc_id) {
                                    return null;
                                }
                                int[] coords = new int[2];
                                ivAvatar.getLocationInWindow(coords);
                                PhotoViewer.PlaceProviderObject object = new PhotoViewer.PlaceProviderObject();
                                object.viewX = coords[0];
                                object.viewY = coords[1];
                                object.parentView = ivAvatar;
                                object.imageReceiver = ivAvatar.getImageReceiver();
                                if (NewProfileActivity.this.user_id != 0) {
                                    object.dialogId = NewProfileActivity.this.user_id;
                                } else if (NewProfileActivity.this.dialog_id != 0) {
                                    object.dialogId = (int) (-NewProfileActivity.this.dialog_id);
                                }
                                object.thumb = object.imageReceiver.getBitmapSafe();
                                object.size = -1;
                                object.radius = ivAvatar.getImageReceiver().getRoundRadius();
                                object.scale = ivAvatar.getScaleX();
                                return object;
                            }

                            @Override // im.uecahxyvjd.ui.PhotoViewer.EmptyPhotoViewerProvider, im.uecahxyvjd.ui.PhotoViewer.PhotoViewerProvider
                            public void willHidePhotoViewer() {
                                ivAvatar.getImageReceiver().setVisible(true, true);
                            }
                        };
                        ivAvatar.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity$MyAdapter$$ExternalSyntheticLambda1
                            @Override // android.view.View.OnClickListener
                            public final void onClick(View view2) {
                                NewProfileActivity.MyAdapter.this.m3084xe53b24b7(provider, view2);
                            }
                        });
                    }
                    this.mTvNickName.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
                    return;
                case 2:
                    MryTextCheckCell checkCell = (MryTextCheckCell) view;
                    if (position == NewProfileActivity.this.notifyRow) {
                        SharedPreferences preferences = MessagesController.getNotificationsSettings(NewProfileActivity.this.currentAccount);
                        long did = NewProfileActivity.this.dialog_id != 0 ? NewProfileActivity.this.dialog_id : NewProfileActivity.this.user_id;
                        boolean enabled = false;
                        boolean hasOverride = preferences.contains("notify2_" + did);
                        int value = preferences.getInt("notify2_" + did, 0);
                        int delta = preferences.getInt("notifyuntil_" + did, 0);
                        if (value == 3 && delta != Integer.MAX_VALUE) {
                            if (delta - ConnectionsManager.getInstance(NewProfileActivity.this.currentAccount).getCurrentTime() <= 0) {
                                enabled = true;
                            }
                        } else if (value == 0) {
                            if (!hasOverride) {
                                enabled = NotificationsController.getInstance(NewProfileActivity.this.currentAccount).isGlobalNotificationsEnabled(did);
                            } else {
                                enabled = true;
                            }
                        } else if (value == 1) {
                            enabled = true;
                        } else if (value == 2) {
                            enabled = false;
                        } else {
                            enabled = false;
                        }
                        checkCell.setTextAndCheck(LocaleController.getString("MessageNotifications", R.string.MessageNotifications), enabled, true);
                        return;
                    } else if (position == NewProfileActivity.this.blockRow) {
                        if (NewProfileActivity.this.userBlocked) {
                            str = "RemoveToBlacklist";
                            i = R.string.RemoveToBlacklist;
                        } else {
                            str = "AddToBlacklist";
                            i = R.string.AddToBlacklist;
                        }
                        String string2 = LocaleController.getString(str, i);
                        boolean z2 = NewProfileActivity.this.userBlocked;
                        if ((NewProfileActivity.this.user.contact || NewProfileActivity.this.fromType != 2) && position != NewProfileActivity.this.rowCount - 1) {
                            z = true;
                        }
                        checkCell.setTextAndCheck(string2, z2, z);
                        if (position == NewProfileActivity.this.rowCount - 1) {
                            checkCell.setBackground(Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                            return;
                        }
                        return;
                    } else {
                        return;
                    }
                case 3:
                case 5:
                case 6:
                case 7:
                default:
                    return;
                case 4:
                    ImageView ivSend = (ImageView) view.findViewById(R.id.iv_send);
                    MryTextView tvSend = (MryTextView) view.findViewById(R.id.tv_send);
                    if (position != NewProfileActivity.this.sendToSelfRow) {
                        if (position == NewProfileActivity.this.addContactsRow) {
                            tvSend.setText(LocaleController.getString("AddToContacts", R.string.AddToContacts));
                            ivSend.setVisibility(8);
                            view.setBackground(Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                            return;
                        }
                        return;
                    }
                    view.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                    return;
                case 8:
                    PhotoCell photoCell = (PhotoCell) view;
                    photoCell.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    photoCell.setText(LocaleController.getString("FriendHub", R.string.FriendHub), true);
                    photoCell.setData(NewProfileActivity.this.albumUrls == null ? new ArrayList<>() : NewProfileActivity.this.albumUrls);
                    photoCell.setListener(new PhotoCell.OnPhotoCellClickListener() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity.MyAdapter.3
                        @Override // im.uecahxyvjd.ui.hcells.PhotoCell.OnPhotoCellClickListener
                        public void onPhotoClick(ImageView view2, int position2, String url) {
                            if (NewProfileActivity.this.user != null || NewProfileActivity.this.user_id != 0) {
                                if (NewProfileActivity.this.user_id != NewProfileActivity.this.getUserConfig().getClientUserId()) {
                                    NewProfileActivity.this.presentFragment(new FcPageOthersActivity(NewProfileActivity.this.user_id, NewProfileActivity.this.user.access_hash));
                                } else {
                                    NewProfileActivity.this.presentFragment(new FcPageMineActivity());
                                }
                            }
                        }
                    });
                    return;
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$0$im-uecahxyvjd-ui-hui-chats-NewProfileActivity$MyAdapter  reason: not valid java name */
        public /* synthetic */ void m3083xbfa71bb6(View v) {
            TLRPC.User user = MessagesController.getInstance(NewProfileActivity.this.currentAccount).getUser(Integer.valueOf(NewProfileActivity.this.user_id));
            if (user != null) {
                NewProfileActivity.this.startCall(user);
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: im.uecahxyvjd.ui.hui.chats.NewProfileActivity$MyAdapter$1  reason: invalid class name */
        /* loaded from: classes9.dex */
        public class AnonymousClass1 implements View.OnClickListener {
            final /* synthetic */ TLRPC.User val$user;

            AnonymousClass1(TLRPC.User user) {
                this.val$user = user;
            }

            @Override // android.view.View.OnClickListener
            public void onClick(View v) {
                if (NewProfileActivity.this.userBlocked) {
                    MessagesController.getInstance(NewProfileActivity.this.currentAccount).unblockUser(NewProfileActivity.this.user_id);
                    SendMessagesHelper.getInstance(NewProfileActivity.this.currentAccount).sendMessage("/start", NewProfileActivity.this.user_id, null, null, false, null, null, null, true, 0);
                    NewProfileActivity.this.finishFragment();
                    return;
                }
                List<String> arrList = new ArrayList<>();
                arrList.add(LocaleController.formatString("AreYouSureBlockContact3", R.string.AreYouSureBlockContact3, ContactsController.formatName(this.val$user.first_name, this.val$user.last_name)));
                arrList.add(LocaleController.getString("fc_cancel_followed", R.string.fc_cancel_followed));
                int[] iTextColor = {-7631463, -570319};
                DialogCommonList dialogCommonList = new DialogCommonList(NewProfileActivity.this.getParentActivity(), arrList, (List<Integer>) null, iTextColor, new DialogCommonList.RecyclerviewItemClickCallBack() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity$MyAdapter$1$$ExternalSyntheticLambda0
                    @Override // im.uecahxyvjd.ui.dialogs.DialogCommonList.RecyclerviewItemClickCallBack
                    public final void onRecyclerviewItemClick(int i) {
                        NewProfileActivity.MyAdapter.AnonymousClass1.this.m3085x6208305(i);
                    }
                }, 1);
                dialogCommonList.setCancle(Color.parseColor("#222222"), 16);
                dialogCommonList.show();
            }

            /* JADX INFO: Access modifiers changed from: package-private */
            /* renamed from: lambda$onClick$0$im-uecahxyvjd-ui-hui-chats-NewProfileActivity$MyAdapter$1  reason: not valid java name */
            public /* synthetic */ void m3085x6208305(int which) {
                if (which == 1) {
                    MessagesController.getInstance(NewProfileActivity.this.currentAccount).blockUser(NewProfileActivity.this.user_id);
                }
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$1$im-uecahxyvjd-ui-hui-chats-NewProfileActivity$MyAdapter  reason: not valid java name */
        public /* synthetic */ void m3084xe53b24b7(PhotoViewer.PhotoViewerProvider provider, View v) {
            if (!NewProfileActivity.this.isFinishing()) {
                if (NewProfileActivity.this.user_id != 0) {
                    TLRPC.User user1 = MessagesController.getInstance(NewProfileActivity.this.currentAccount).getUser(Integer.valueOf(NewProfileActivity.this.user_id));
                    if (user1.photo != null && user1.photo.photo_big != null) {
                        PhotoViewer.getInstance().setParentActivity(NewProfileActivity.this.getParentActivity());
                        if (user1.photo.dc_id != 0) {
                            user1.photo.photo_big.dc_id = user1.photo.dc_id;
                        }
                        PhotoViewer.getInstance().openPhoto(user1.photo.photo_big, provider);
                    }
                } else if (NewProfileActivity.this.dialog_id != 0) {
                    TLRPC.Chat chat = MessagesController.getInstance(NewProfileActivity.this.currentAccount).getChat(Integer.valueOf((int) NewProfileActivity.this.dialog_id));
                    if (chat.photo != null && chat.photo.photo_big != null) {
                        PhotoViewer.getInstance().setParentActivity(NewProfileActivity.this.getParentActivity());
                        if (chat.photo.dc_id != 0) {
                            chat.photo.photo_big.dc_id = chat.photo.dc_id;
                        }
                        PhotoViewer.getInstance().openPhoto(chat.photo.photo_big, provider);
                    }
                }
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return NewProfileActivity.this.rowCount;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            if (position != NewProfileActivity.this.headerRow) {
                if (position != NewProfileActivity.this.notifyRow && position != NewProfileActivity.this.blockRow) {
                    if (position != NewProfileActivity.this.hubEmptyRow && position != NewProfileActivity.this.signEmptyRow && position != NewProfileActivity.this.headerEmptyRow && position != NewProfileActivity.this.sendToSelfEmptyRow && position != NewProfileActivity.this.addContactsEmptyRow && position != NewProfileActivity.this.encriptEmptyRow) {
                        if (position != NewProfileActivity.this.sendToSelfRow && position != NewProfileActivity.this.addContactsRow) {
                            if (position == NewProfileActivity.this.hubRow) {
                                return 8;
                            }
                            return 0;
                        }
                        return 4;
                    }
                    return 3;
                }
                return 2;
            }
            return 1;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void startCall(final TLRPC.User user) {
        List<String> list = new ArrayList<>();
        list.add(LocaleController.getString("menu_voice_chat", R.string.menu_voice_chat));
        list.add(LocaleController.getString("menu_video_chat", R.string.menu_video_chat));
        List<Integer> list1 = new ArrayList<>();
        list1.add(Integer.valueOf((int) R.drawable.menu_voice_call));
        list1.add(Integer.valueOf((int) R.drawable.menu_video_call));
        DialogCommonList dialogCommonList = new DialogCommonList(getParentActivity(), list, list1, Color.parseColor("#222222"), new DialogCommonList.RecyclerviewItemClickCallBack() { // from class: im.uecahxyvjd.ui.hui.chats.NewProfileActivity$$ExternalSyntheticLambda7
            @Override // im.uecahxyvjd.ui.dialogs.DialogCommonList.RecyclerviewItemClickCallBack
            public final void onRecyclerviewItemClick(int i) {
                NewProfileActivity.this.m3078x7a790442(user, i);
            }
        }, 1);
        dialogCommonList.show();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$startCall$11$im-uecahxyvjd-ui-hui-chats-NewProfileActivity  reason: not valid java name */
    public /* synthetic */ void m3078x7a790442(TLRPC.User user, int position) {
        if (position == 0) {
            if (ApplicationLoader.mbytAVideoCallBusy == 0) {
                if (user.mutual_contact) {
                    int currentConnectionState = ConnectionsManager.getInstance(this.currentAccount).getConnectionState();
                    if (currentConnectionState == 2 || currentConnectionState == 1) {
                        ToastUtils.show((CharSequence) LocaleController.getString("visual_call_no_network", R.string.visual_call_no_network));
                        return;
                    }
                    Intent intent = new Intent();
                    intent.setClass(getParentActivity(), VisualCallActivity.class);
                    intent.putExtra("CallType", 1);
                    ArrayList<Integer> ArrInputPeers = new ArrayList<>();
                    ArrInputPeers.add(Integer.valueOf(user.id));
                    intent.putExtra("ArrayUser", ArrInputPeers);
                    intent.putExtra("channel", new ArrayList());
                    getParentActivity().startActivity(intent);
                    return;
                }
                ToastUtils.show((CharSequence) LocaleController.getString("visual_call_no_friend_tip", R.string.visual_call_no_friend_tip));
                return;
            }
            ToastUtils.show((CharSequence) LocaleController.getString("visual_call_busing_tip", R.string.visual_call_busing_tip));
        } else if (position == 1) {
            if (ApplicationLoader.mbytAVideoCallBusy == 0) {
                if (user.mutual_contact) {
                    int currentConnectionState2 = ConnectionsManager.getInstance(this.currentAccount).getConnectionState();
                    if (currentConnectionState2 == 2 || currentConnectionState2 == 1) {
                        ToastUtils.show((CharSequence) LocaleController.getString("visual_call_no_network", R.string.visual_call_no_network));
                        return;
                    }
                    Intent intent2 = new Intent();
                    intent2.setClass(getParentActivity(), VisualCallActivity.class);
                    intent2.putExtra("CallType", 2);
                    ArrayList<Integer> ArrInputPeers2 = new ArrayList<>();
                    ArrInputPeers2.add(Integer.valueOf(user.id));
                    intent2.putExtra("ArrayUser", ArrInputPeers2);
                    intent2.putExtra("channel", new ArrayList());
                    getParentActivity().startActivity(intent2);
                    return;
                }
                ToastUtils.show((CharSequence) LocaleController.getString("visual_call_no_friend_tip", R.string.visual_call_no_friend_tip));
                return;
            }
            ToastUtils.show((CharSequence) LocaleController.getString("visual_call_busing_tip", R.string.visual_call_busing_tip));
        }
    }
}
