package im.uecahxyvjd.ui.hui.chats;

import android.content.Context;
import android.content.DialogInterface;
import android.graphics.Color;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.google.android.exoplayer2.trackselection.AdaptiveTrackSelection;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ChatObject;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessageObject;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.SendMessagesHelper;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.utils.ShapeUtils;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.DialogsActivity;
import im.uecahxyvjd.ui.NewContactActivity;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.BaseSearchViewFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.actionbar.XAlertDialog;
import im.uecahxyvjd.ui.adapters.DialogsAdapter;
import im.uecahxyvjd.ui.adapters.DialogsSearchAdapter;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.components.ColorTextView;
import im.uecahxyvjd.ui.components.JoinGroupAlert;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.StickersAlert;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.hui.contacts.ShareCardSelectContactActivity;
import im.uecahxyvjd.ui.hui.decoration.TopDecorationWithSearch;
import im.uecahxyvjd.ui.hviews.MryEmptyView;
import im.uecahxyvjd.ui.hviews.MryTextView;
import im.uecahxyvjd.ui.hviews.dialogs.XDialog;
import im.uecahxyvjd.ui.hviews.search.MrySearchView;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
/* loaded from: classes9.dex */
public class UserProfileShareStepOneActivity extends BaseSearchViewFragment implements NotificationCenter.NotificationCenterDelegate {
    private static boolean CanMultiSelect = false;
    private static final int STEP_ONE = 0;
    private static final int STEP_TWO = 1;
    private ArrayList<Object> data;
    private ArrayList<Object> dataList;
    private MryEmptyView emptyView;
    protected long lid;
    private DialogsAdapter mAdapter;
    private AdapterMultiSelect mAdapterMultiSelect;
    private DialogsSearchAdapter mSearchAdapter;
    private int mStep;
    private int mUserId;
    private RecyclerListView rv;
    private RecyclerListView rvMultiSelect;
    private ArrayList<Object> searchData;
    private FrameLayout searchLayout;

    public UserProfileShareStepOneActivity(Bundle args) {
        super(args);
        this.data = new ArrayList<>();
        this.searchData = new ArrayList<>();
        this.dataList = null;
        this.lid = 0L;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        if (getArguments() != null) {
            this.mUserId = getArguments().getInt("user_id");
            this.mStep = getArguments().getInt("step");
        }
        getNotificationCenter().addObserver(this, NotificationCenter.dialogsNeedReload);
        getNotificationCenter().addObserver(this, NotificationCenter.updateInterfaces);
        getNotificationCenter().addObserver(this, NotificationCenter.encryptedChatUpdated);
        getNotificationCenter().addObserver(this, NotificationCenter.contactsDidLoad);
        getNotificationCenter().addObserver(this, NotificationCenter.appDidLogout);
        getNotificationCenter().addObserver(this, NotificationCenter.openedChatChanged);
        if (!DialogsActivity.dialogsLoaded[this.currentAccount]) {
            getMessagesController().loadGlobalNotificationsSettings();
            getMessagesController().loadDialogs(0, 0, 100, true);
            getMessagesController().loadHintDialogs();
            getContactsController().checkInviteText();
            getMediaDataController().loadRecents(2, false, true, false);
            getMediaDataController().checkFeaturedStickers();
            DialogsActivity.dialogsLoaded[this.currentAccount] = true;
        }
        getMessagesController().loadPinnedDialogs(0, 0L, null);
        this.mblnMove = false;
        return super.onFragmentCreate();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        super.onFragmentDestroy();
        getNotificationCenter().removeObserver(this, NotificationCenter.dialogsNeedReload);
        getNotificationCenter().removeObserver(this, NotificationCenter.updateInterfaces);
        getNotificationCenter().removeObserver(this, NotificationCenter.encryptedChatUpdated);
        getNotificationCenter().removeObserver(this, NotificationCenter.contactsDidLoad);
        getNotificationCenter().removeObserver(this, NotificationCenter.appDidLogout);
        getNotificationCenter().removeObserver(this, NotificationCenter.openedChatChanged);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseSearchViewFragment, im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        FrameLayout container = new FrameLayout(context);
        this.fragmentView = container;
        container.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        initActionBar();
        initEmptyView(context);
        initListRv(context);
        super.createView(context);
        return this.fragmentView;
    }

    private void initActionBar() {
        if (this.mStep == 0) {
            this.actionBar.setTitle(LocaleController.getString(R.string.ShareFriendBusinessCard));
            this.actionBar.setBackTitle(LocaleController.getString(R.string.Cancel));
        } else {
            this.actionBar.setTitle(LocaleController.getString(R.string.SelectNewContactUser));
            this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        }
        this.actionBar.setAllowOverlayTitle(false);
        this.actionBar.setCastShadows(false);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.chats.UserProfileShareStepOneActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    UserProfileShareStepOneActivity.this.finishFragment(true);
                }
            }
        });
        this.actionBar.getBackTitleTextView().setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.chats.UserProfileShareStepOneActivity$$ExternalSyntheticLambda1
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                UserProfileShareStepOneActivity.this.m3118x8254e4e3(view);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initActionBar$0$im-uecahxyvjd-ui-hui-chats-UserProfileShareStepOneActivity  reason: not valid java name */
    public /* synthetic */ void m3118x8254e4e3(View v) {
        finishFragmentFromUp(true);
    }

    private void getRecentlyContacterList() {
        ArrayList<TLRPC.Dialog> array = DialogsActivity.getDialogsArray(this.currentAccount, 3, 0, false);
        filterList(array);
    }

    protected void filterList(ArrayList<TLRPC.Dialog> array) {
        if (array != null) {
            Iterator<TLRPC.Dialog> it = array.iterator();
            while (it.hasNext()) {
                TLRPC.Dialog dialog = it.next();
                TLRPC.User user = null;
                TLRPC.Chat chat = null;
                long dialogId = dialog.id;
                if (dialogId != 0) {
                    int lower_id = (int) dialogId;
                    int i = (int) (dialogId >> 32);
                    if (lower_id != 0) {
                        if (lower_id < 0) {
                            chat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(-lower_id));
                        } else {
                            user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(lower_id));
                        }
                    }
                }
                if (user != null) {
                    if (user.id != UserConfig.getInstance(this.currentAccount).getCurrentUser().id && user.id != 777000) {
                        this.data.add(user);
                    }
                } else if (chat != null && ChatObject.canSendMessages(chat)) {
                    if (chat.default_banned_rights.embed_links && ChatObject.hasAdminRights(chat)) {
                        this.data.add(chat);
                    } else if (!chat.default_banned_rights.embed_links) {
                        this.data.add(chat);
                    }
                }
            }
        }
        this.dataList = this.data;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseSearchViewFragment
    protected MrySearchView getSearchView() {
        FrameLayout frameLayout = new FrameLayout(getParentActivity());
        this.searchLayout = frameLayout;
        frameLayout.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        ((FrameLayout) this.fragmentView).addView(this.searchLayout, LayoutHelper.createFrame(-1, 55.0f));
        this.searchView = new MrySearchView(getParentActivity());
        this.searchView.setHintText(LocaleController.getString("Search", R.string.Search));
        this.searchView.setCancelTextColor(Color.parseColor("#999999"));
        this.searchLayout.addView(this.searchView, LayoutHelper.createFrame(-1.0f, 35.0f, 17, 10.0f, 10.0f, 10.0f, 10.0f));
        return this.searchView;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseSearchViewFragment, im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
    public void onTextChange(String value) {
        super.onTextChange(value);
        if (!TextUtils.isEmpty(value)) {
            this.searchData.clear();
            Iterator<Object> it = this.data.iterator();
            while (it.hasNext()) {
                Object obj = it.next();
                if (obj instanceof TLRPC.User) {
                    TLRPC.User user = (TLRPC.User) obj;
                    if (user.first_name.contains(value)) {
                        this.searchData.add(user);
                    }
                } else if (obj instanceof TLRPC.Chat) {
                    TLRPC.Chat chat = (TLRPC.Chat) obj;
                    if (chat.title.contains(value)) {
                        this.searchData.add(chat);
                    }
                }
            }
            this.dataList = this.searchData;
            if (this.rv.getAdapter() != null) {
                this.rv.getAdapter().notifyDataSetChanged();
                return;
            }
            return;
        }
        this.dataList = this.data;
        if (this.rv.getAdapter() != null) {
            this.rv.getAdapter().notifyDataSetChanged();
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseSearchViewFragment, im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
    public void onSearchCollapse() {
        super.onSearchCollapse();
        this.dataList = this.data;
        if (this.rv.getAdapter() != null) {
            this.rv.getAdapter().notifyDataSetChanged();
        }
    }

    private void initEmptyView(Context context) {
        MryEmptyView mryEmptyView = new MryEmptyView(context);
        this.emptyView = mryEmptyView;
        mryEmptyView.attach((ViewGroup) this.fragmentView);
    }

    private void initListRv(Context context) {
        getRecentlyContacterList();
        RecyclerListView recyclerListView = new RecyclerListView(context);
        this.rv = recyclerListView;
        recyclerListView.setTag("rv_list");
        this.rv.setOverScrollMode(2);
        this.rv.setLayoutManager(new LinearLayoutManager(context));
        this.rv.addItemDecoration(new TopDecorationWithSearch());
        this.rv.setVerticalScrollBarEnabled(false);
        this.rv.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
        this.rv.setInstantClick(true);
        ((FrameLayout) this.fragmentView).addView(this.rv, LayoutHelper.createFrame(-1, -2, AndroidUtilities.dp(10.0f), 0, AndroidUtilities.dp(10.0f), 0));
        this.rv.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.chats.UserProfileShareStepOneActivity$$ExternalSyntheticLambda0
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                UserProfileShareStepOneActivity.this.m3120x4e30a302(view, i);
            }
        });
        this.rv.setAdapter(new Adapter());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListRv$2$im-uecahxyvjd-ui-hui-chats-UserProfileShareStepOneActivity  reason: not valid java name */
    public /* synthetic */ void m3120x4e30a302(View view, int position) {
        RecyclerListView recyclerListView = this.rv;
        if (recyclerListView == null || recyclerListView.getAdapter() == null || getParentActivity() == null) {
            return;
        }
        RecyclerView.Adapter adapter = this.rv.getAdapter();
        DialogsAdapter dialogsAdapter = this.mAdapter;
        if (adapter != dialogsAdapter) {
            DialogsSearchAdapter dialogsSearchAdapter = this.mSearchAdapter;
            if (adapter == dialogsSearchAdapter) {
                Object obj = dialogsSearchAdapter.getItem(position);
                this.mSearchAdapter.isGlobalSearch(position);
                if (obj instanceof TLRPC.User) {
                    long j = ((TLRPC.User) obj).id;
                } else if (obj instanceof TLRPC.Chat) {
                    long j2 = -((TLRPC.Chat) obj).id;
                } else if (obj instanceof TLRPC.EncryptedChat) {
                    long j3 = ((TLRPC.EncryptedChat) obj).id << 32;
                } else if (obj instanceof MessageObject) {
                    MessageObject messageObject = (MessageObject) obj;
                    messageObject.getDialogId();
                    messageObject.getId();
                    DialogsSearchAdapter dialogsSearchAdapter2 = this.mSearchAdapter;
                    dialogsSearchAdapter2.addHashtagsFromMessage(dialogsSearchAdapter2.getLastSearchString());
                } else if (obj instanceof String) {
                    String str = (String) obj;
                    if (this.mSearchAdapter.isHashtagSearch()) {
                        this.actionBar.openSearchField(str, false);
                    } else if (!str.equals("section")) {
                        NewContactActivity activity = new NewContactActivity();
                        activity.setInitialPhoneNumber(str);
                        presentFragment(activity);
                    }
                }
            }
        } else {
            TLObject object = dialogsAdapter.getItem(position);
            if (object instanceof TLRPC.User) {
                long j4 = ((TLRPC.User) object).id;
            } else if (object instanceof TLRPC.Dialog) {
                TLRPC.Dialog dialog = (TLRPC.Dialog) object;
                if (dialog instanceof TLRPC.TL_dialogFolder) {
                    if (this.actionBar.isActionModeShowed()) {
                        return;
                    }
                    TLRPC.TL_dialogFolder dialogFolder = (TLRPC.TL_dialogFolder) dialog;
                    Bundle args = new Bundle();
                    args.putInt("folderId", dialogFolder.folder.id);
                    presentFragment(new MryDialogsActivity(args));
                    return;
                }
                long j5 = dialog.id;
            } else if (object instanceof TLRPC.TL_recentMeUrlChat) {
                long j6 = -((TLRPC.TL_recentMeUrlChat) object).chat_id;
            } else if (object instanceof TLRPC.TL_recentMeUrlUser) {
                long j7 = ((TLRPC.TL_recentMeUrlUser) object).user_id;
            } else if (object instanceof TLRPC.TL_recentMeUrlChatInvite) {
                TLRPC.TL_recentMeUrlChatInvite chatInvite = (TLRPC.TL_recentMeUrlChatInvite) object;
                TLRPC.ChatInvite invite = chatInvite.chat_invite;
                if ((invite.chat == null && (!invite.channel || invite.megagroup)) || (invite.chat != null && (!ChatObject.isChannel(invite.chat) || invite.chat.megagroup))) {
                    String hash = chatInvite.url;
                    int index = hash.indexOf(47);
                    if (index > 0) {
                        hash = hash.substring(index + 1);
                    }
                    showDialog(new JoinGroupAlert(getParentActivity(), invite, hash, this));
                    return;
                } else if (invite.chat != null) {
                    long j8 = -invite.chat.id;
                } else {
                    return;
                }
            } else if (object instanceof TLRPC.TL_recentMeUrlStickerSet) {
                TLRPC.StickerSet stickerSet = ((TLRPC.TL_recentMeUrlStickerSet) object).set.set;
                TLRPC.TL_inputStickerSetID set = new TLRPC.TL_inputStickerSetID();
                set.id = stickerSet.id;
                set.access_hash = stickerSet.access_hash;
                showDialog(new StickersAlert(getParentActivity(), this, set, null, null));
                return;
            } else {
                boolean z = object instanceof TLRPC.TL_recentMeUrlUnknown;
                return;
            }
        }
        if (position == 0) {
            ShareCardSelectContactActivity activity2 = new ShareCardSelectContactActivity(null);
            activity2.setDelegate(new ShareCardSelectContactActivity.ContactsActivityDelegate() { // from class: im.uecahxyvjd.ui.hui.chats.UserProfileShareStepOneActivity$$ExternalSyntheticLambda2
                @Override // im.uecahxyvjd.ui.hui.contacts.ShareCardSelectContactActivity.ContactsActivityDelegate
                public final void didSelectContact(TLRPC.User user) {
                    UserProfileShareStepOneActivity.this.m3119x482cd7a3(user);
                }
            });
            presentFragment(activity2);
        }
        if (position > 1) {
            Object obj2 = this.dataList.get(position - 2);
            if (obj2 instanceof TLRPC.User) {
                this.lid = ((TLRPC.User) obj2).id;
            } else {
                this.lid = ((TLRPC.Chat) obj2).id * (-1);
            }
            showDialog(obj2);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListRv$1$im-uecahxyvjd-ui-hui-chats-UserProfileShareStepOneActivity  reason: not valid java name */
    public /* synthetic */ void m3119x482cd7a3(TLRPC.User user) {
        this.lid = user.id;
        showDialog(user);
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
    }

    private void showDialog(Object obj) {
        XDialog.Builder builder = new XDialog.Builder(getParentActivity(), 15);
        View v = LayoutInflater.from(getParentActivity()).inflate(R.layout.dialog_share_contact, (ViewGroup) null);
        final EditText etContent = (EditText) v.findViewById(R.id.et_content);
        BackupImageView ivHead = (BackupImageView) v.findViewById(R.id.iv_head_img);
        ivHead.setRoundRadius(AndroidUtilities.dp(7.5f));
        TextView tvName = (TextView) v.findViewById(R.id.tv_name);
        TextView tvCard = (TextView) v.findViewById(R.id.tv_card);
        AvatarDrawable avatarDrawable = new AvatarDrawable();
        if (obj != null) {
            if (obj instanceof TLRPC.User) {
                TLRPC.User user = (TLRPC.User) obj;
                avatarDrawable.setInfo(user);
                ivHead.setImage(ImageLocation.getForUser(user, false), "50_50", avatarDrawable, user);
                tvName.setText(user.first_name);
                etContent.setHint(LocaleController.getString(R.string.share_contact_content));
            } else {
                TLRPC.Chat chat = (TLRPC.Chat) obj;
                avatarDrawable.setInfo(chat);
                ivHead.setImage(ImageLocation.getForChat(chat, false), "50_50", avatarDrawable, chat);
                tvName.setText(chat.title);
                etContent.setHint(LocaleController.getString(R.string.share_contact_content_group));
            }
        }
        tvCard.setText(String.format("[%s]%s", LocaleController.getString(R.string.share_contact_person_card), MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.mUserId)).first_name));
        etContent.setBackground(ShapeUtils.create(Color.parseColor("#F6F7F9"), AndroidUtilities.dp(8.0f)));
        builder.setView(v);
        builder.setPositiveButton(LocaleController.getString("Send", R.string.Send), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.chats.UserProfileShareStepOneActivity$$ExternalSyntheticLambda3
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                UserProfileShareStepOneActivity.this.m3121xfae9814e(etContent, dialogInterface, i);
            }
        });
        builder.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
        XDialog dialog = builder.create();
        dialog.show();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$showDialog$3$im-uecahxyvjd-ui-hui-chats-UserProfileShareStepOneActivity  reason: not valid java name */
    public /* synthetic */ void m3121xfae9814e(EditText etContent, DialogInterface dialogInterface, int i) {
        int currentConnectionState = ConnectionsManager.getInstance(UserConfig.selectedAccount).getConnectionState();
        if (currentConnectionState == 2 || currentConnectionState == 1) {
            ToastUtils.show((CharSequence) LocaleController.getString(R.string.visual_call_no_network));
        } else {
            startSendCard(etContent.getText().toString());
        }
    }

    private void startSendCard(String strContent) {
        final XAlertDialog progressDialog = new XAlertDialog(getParentActivity(), 4);
        progressDialog.setLoadingText(LocaleController.getString(R.string.ApplySending));
        SendMessagesHelper.getInstance(this.currentAccount).sendMessage(MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(this.mUserId)), this.lid, (MessageObject) null, (TLRPC.ReplyMarkup) null, (HashMap<String, String>) null, true, 0);
        if (!TextUtils.isEmpty(strContent)) {
            SendMessagesHelper.getInstance(this.currentAccount).sendMessage(strContent, this.lid, null, null, true, null, null, null, true, 0);
        }
        progressDialog.show();
        progressDialog.setLoadingImage(getParentActivity().getResources().getDrawable(R.mipmap.ic_apply_send_done), AndroidUtilities.dp(30.0f), AndroidUtilities.dp(20.0f));
        progressDialog.setLoadingText(LocaleController.getString(R.string.ApplySent));
        progressDialog.setCanCacnel(false);
        this.fragmentView.postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.hui.chats.UserProfileShareStepOneActivity$$ExternalSyntheticLambda4
            @Override // java.lang.Runnable
            public final void run() {
                UserProfileShareStepOneActivity.this.m3122x94013712(progressDialog);
            }
        }, AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$startSendCard$4$im-uecahxyvjd-ui-hui-chats-UserProfileShareStepOneActivity  reason: not valid java name */
    public /* synthetic */ void m3122x94013712(XAlertDialog progressDialog) {
        progressDialog.dismiss();
        finishFragmentFromUp(true);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onPause() {
        super.onPause();
        if (this.searchView != null && this.searchView.isSearchFieldVisible()) {
            this.searchView.closeSearchField();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes9.dex */
    public class Adapter extends RecyclerListView.SelectionAdapter {
        private ArrayList<Long> selectedDialogs;

        private Adapter() {
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return true;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view;
            if (viewType == 1) {
                MryTextView tv = new MryTextView(UserProfileShareStepOneActivity.this.getParentActivity());
                tv.setTextColor(Color.parseColor("#999999"));
                tv.setTextSize(13.0f);
                tv.setText(LocaleController.getString(R.string.share_contact_recently_chat));
                view = new FrameLayout(UserProfileShareStepOneActivity.this.getParentActivity());
                view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
                view.setLayoutParams(new RecyclerView.LayoutParams(-1, AndroidUtilities.dp(35.0f)));
                ((FrameLayout) view).addView(tv, LayoutHelper.createFrame(-2.0f, -2.0f, 16, 0.0f, 0.0f, 0.0f, 0.0f));
            } else if (viewType == 0) {
                view = new FrameLayout(UserProfileShareStepOneActivity.this.getParentActivity());
                view.setLayoutParams(new RecyclerView.LayoutParams(-1, AndroidUtilities.dp(55.0f)));
                view.setBackground(Theme.createRoundRectDrawable(7.5f, Theme.getColor(Theme.key_windowBackgroundWhite)));
                MryTextView tv2 = new MryTextView(UserProfileShareStepOneActivity.this.getParentActivity());
                tv2.setTextColor(Theme.key_windowBackgroundWhiteBlackText);
                tv2.setTextSize(14.0f);
                tv2.setText(LocaleController.getString(R.string.SelectNewContactUserToSend));
                ((FrameLayout) view).addView(tv2, LayoutHelper.createFrame(-2.0f, -2.0f, 16, 12.0f, 0.0f, 0.0f, 0.0f));
                ImageView iv = new ImageView(UserProfileShareStepOneActivity.this.getParentActivity());
                iv.setImageResource(R.mipmap.icon_arrow_right);
                ((FrameLayout) view).addView(iv, LayoutHelper.createFrame(7.0f, 12.0f, 21, 10.0f, 0.0f, 12.0f, 0.0f));
            } else {
                view = LayoutInflater.from(parent.getContext()).inflate(R.layout.item_recently_contacter, parent, false);
                view.setLayoutParams(new RecyclerView.LayoutParams(-1, AndroidUtilities.dp(65.0f)));
                view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
            }
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            holder.getItemViewType();
            if (position > 1) {
                AvatarDrawable avatarDrawable = new AvatarDrawable();
                ColorTextView tvCount = (ColorTextView) holder.itemView.findViewById(R.id.tv_count);
                ColorTextView tvName = (ColorTextView) holder.itemView.findViewById(R.id.tv_name);
                ColorTextView tvPersonName = (ColorTextView) holder.itemView.findViewById(R.id.tv_person_name);
                ColorTextView tvState = (ColorTextView) holder.itemView.findViewById(R.id.tv_state);
                BackupImageView iv_Header = (BackupImageView) holder.itemView.findViewById(R.id.iv_head_img);
                iv_Header.setRoundRadius(AndroidUtilities.dp(7.5f));
                Object obj = UserProfileShareStepOneActivity.this.dataList.get(position - 2);
                if (obj != null) {
                    if (obj instanceof TLRPC.User) {
                        TLRPC.User user = (TLRPC.User) obj;
                        avatarDrawable.setInfo(user);
                        iv_Header.setImage(ImageLocation.getForUser(user, false), "50_50", avatarDrawable, user);
                        tvPersonName.setText(user.first_name);
                        boolean[] booleans = {false};
                        tvState.setText(LocaleController.formatUserStatusNew(UserProfileShareStepOneActivity.this.currentAccount, user, booleans));
                        if (booleans[0]) {
                            tvState.setTextColor(Color.parseColor("#42B71E"));
                        } else {
                            tvState.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText2));
                        }
                        tvCount.setText("");
                        tvName.setText("");
                    } else if (obj instanceof TLRPC.Chat) {
                        TLRPC.Chat chat = (TLRPC.Chat) obj;
                        avatarDrawable.setInfo(chat);
                        iv_Header.setImage(ImageLocation.getForChat(chat, false), "50_50", avatarDrawable, chat);
                        tvName.setText(chat.title);
                        tvPersonName.setText("");
                        tvState.setText("");
                        tvCount.setText(String.format("(%s)", LocaleController.formatString("share_contact_person", R.string.share_contact_person, Integer.valueOf(chat.participants_count))));
                    }
                }
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            int dialogsCount = UserProfileShareStepOneActivity.this.dataList.size();
            if (dialogsCount == 0 && MessagesController.getInstance(UserProfileShareStepOneActivity.this.currentAccount).isLoadingDialogs(0)) {
                return 0;
            }
            return dialogsCount + 2;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            return position;
        }
    }

    /* loaded from: classes9.dex */
    private class AdapterMultiSelect extends RecyclerListView.SelectionAdapter {
        private AdapterMultiSelect() {
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return false;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            return null;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return 0;
        }
    }
}
