package im.uecahxyvjd.ui.hui.contacts;

import android.content.Context;
import android.content.DialogInterface;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.messenger.utils.DrawableUtils;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.hui.contacts.GreetEditActivity;
import im.uecahxyvjd.ui.hviews.MryEditText;
import im.uecahxyvjd.ui.hviews.dialogs.XDialog;
/* loaded from: classes18.dex */
public class GreetEditActivity extends BaseFragment {
    public static final int CONTACT_ADD_REPLY = 1;
    public static final int CONTACT_ADD_REQUEST = 0;
    private final int DONE;
    private GreetEditDelegate delegate;
    private Drawable deleteDrawable;
    private MryEditText etGreetEditView;
    private ImageView ivClearGreetView;
    private TextView tvGreetDescView;
    private TextView tvOkView;
    private int type;
    private TLRPC.User user;

    /* loaded from: classes18.dex */
    public interface GreetEditDelegate {
        void onFinish(String str);
    }

    public void setDelegate(GreetEditDelegate delegate) {
        this.delegate = delegate;
    }

    public GreetEditActivity(Bundle args) {
        super(args);
        this.DONE = 1;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        super.onFragmentCreate();
        this.user = getUserConfig().getCurrentUser();
        if (this.arguments != null) {
            this.type = this.arguments.getInt("type", 0);
            return true;
        }
        return true;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_greet_edit_layout, (ViewGroup) null, false);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        initActionBar();
        initView();
        setNote();
        return this.fragmentView;
    }

    private void initActionBar() {
        if (this.type == 0) {
            this.actionBar.setTitle(LocaleController.getString("RequestValidation", R.string.RequestValidation));
        } else {
            this.actionBar.setTitle(LocaleController.getString("Reply", R.string.Reply));
        }
        this.actionBar.setAllowOverlayTitle(true);
        this.actionBar.setCastShadows(true);
        this.actionBar.setActionBarMenuOnItemClick(new AnonymousClass1());
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        ActionBarMenu menu = this.actionBar.createMenu();
        this.tvOkView = new TextView(getParentActivity());
        menu.addItem(1, LocaleController.getString("Send", R.string.Send));
        TextView textView = (TextView) menu.getItem(1).getContentView();
        this.tvOkView = textView;
        textView.setTextColor(Theme.getColor(Theme.key_actionBarDefaultTitle));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: im.uecahxyvjd.ui.hui.contacts.GreetEditActivity$1  reason: invalid class name */
    /* loaded from: classes18.dex */
    public class AnonymousClass1 extends ActionBar.ActionBarMenuOnItemClick {
        AnonymousClass1() {
        }

        @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
        public void onItemClick(int id) {
            if (id == -1) {
                GreetEditActivity.this.finishFragment();
            } else if (id == 1) {
                if (GreetEditActivity.this.type == 0) {
                    if (GreetEditActivity.this.etGreetEditView.getText().toString().length() >= 100) {
                        ToastUtils.show((CharSequence) LocaleController.getString(R.string.apply_info_too_long));
                        return;
                    }
                    XDialog.Builder builder = new XDialog.Builder(GreetEditActivity.this.getParentActivity());
                    builder.setTitle(LocaleController.getString("AddFriends", R.string.AddFriends));
                    builder.setMessage(LocaleController.getString("SendContactApplyText", R.string.SendContactApplyText));
                    builder.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
                    builder.setPositiveButton(LocaleController.getString("OK", R.string.OK), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.GreetEditActivity.1.1
                        @Override // android.content.DialogInterface.OnClickListener
                        public void onClick(DialogInterface dialog, int which) {
                            if (GreetEditActivity.this.delegate != null) {
                                String greet = GreetEditActivity.this.etGreetEditView.getText().toString().trim();
                                if (TextUtils.isEmpty(greet)) {
                                    greet = GreetEditActivity.this.etGreetEditView.getHint().toString().trim();
                                }
                                GreetEditActivity.this.delegate.onFinish(greet);
                            }
                            GreetEditActivity.this.finishFragment();
                        }
                    });
                    builder.create().show();
                    return;
                }
                XDialog.Builder builder2 = new XDialog.Builder(GreetEditActivity.this.getParentActivity());
                builder2.setTitle("消息回复");
                builder2.setMessage("您确定要回复该条消息吗！");
                builder2.setNegativeButton("取消", null);
                builder2.setPositiveButton("确定", new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.GreetEditActivity$1$$ExternalSyntheticLambda0
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        GreetEditActivity.AnonymousClass1.this.m3149xf365e951(dialogInterface, i);
                    }
                });
                builder2.create().show();
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$0$im-uecahxyvjd-ui-hui-contacts-GreetEditActivity$1  reason: not valid java name */
        public /* synthetic */ void m3149xf365e951(DialogInterface dialog, int which) {
            GreetEditActivity.this.sendReplyMessage();
            GreetEditActivity.this.finishFragment();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void sendReplyMessage() {
    }

    private void initView() {
        this.fragmentView.findViewById(R.id.content).setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
        this.etGreetEditView = (MryEditText) this.fragmentView.findViewById(R.id.etGreetEditView);
        this.ivClearGreetView = (ImageView) this.fragmentView.findViewById(R.id.ivClearGreetView);
        TextView textView = (TextView) this.fragmentView.findViewById(R.id.tvGreetDescView);
        this.tvGreetDescView = textView;
        if (this.type == 1) {
            textView.setVisibility(8);
        }
        this.tvGreetDescView.setText(LocaleController.getString("ReqeustText", R.string.ReqeustText));
        if (this.type == 1) {
            this.etGreetEditView.setHint(LocaleController.getString("InputReplyContent", R.string.InputReplyContent));
        } else {
            this.etGreetEditView.setHint(LocaleController.getString("HelloText", R.string.HelloText) + UserObject.getName(this.user));
        }
        this.etGreetEditView.setHintColor(Theme.key_windowBackgroundWhiteHintText);
        Drawable drawable = getParentActivity().getResources().getDrawable(R.drawable.delete);
        this.deleteDrawable = drawable;
        Drawable tintDrawable = DrawableUtils.tintDrawable(drawable, Theme.getColor(Theme.key_windowBackgroundValueText1));
        this.deleteDrawable = tintDrawable;
        tintDrawable.setBounds(0, 0, tintDrawable.getIntrinsicWidth(), this.deleteDrawable.getIntrinsicHeight());
        this.ivClearGreetView.setImageDrawable(this.deleteDrawable);
        this.etGreetEditView.addTextChangedListener(new TextWatcher() { // from class: im.uecahxyvjd.ui.hui.contacts.GreetEditActivity.2
            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence s, int start, int count, int after) {
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence s, int start, int before, int count) {
                GreetEditActivity.this.ivClearGreetView.setVisibility(s.length() > 0 ? 0 : 8);
            }

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
            }
        });
        this.ivClearGreetView.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.GreetEditActivity$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                GreetEditActivity.this.m3148x264113dd(view);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initView$0$im-uecahxyvjd-ui-hui-contacts-GreetEditActivity  reason: not valid java name */
    public /* synthetic */ void m3148x264113dd(View v) {
        this.etGreetEditView.setText("");
    }

    private void setNote() {
    }

    private void sendMessage() {
    }
}
