package im.uecahxyvjd.ui.hui.contacts;

import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.graphics.Canvas;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.text.Editable;
import android.text.InputFilter;
import android.text.Spanned;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.view.Display;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.view.WindowManager;
import android.widget.LinearLayout;
import androidx.recyclerview.widget.ItemTouchHelper;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import butterknife.BindView;
import butterknife.OnClick;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCContacts;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.dialogs.WalletDialog;
import im.uecahxyvjd.ui.hcells.MryDividerCell;
import im.uecahxyvjd.ui.hui.adapter.grouping.Artist;
import im.uecahxyvjd.ui.hui.adapter.grouping.Genre;
import im.uecahxyvjd.ui.hui.contacts.AddGroupingUserActivity;
import im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity;
import im.uecahxyvjd.ui.hviews.MryEditText;
import im.uecahxyvjd.ui.hviews.MryTextView;
import im.uecahxyvjd.ui.hviews.slidemenu.SwipeLayout;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
/* loaded from: classes18.dex */
public class GroupingMgrActivity extends BaseFragment {
    private static final int item_done = 1;
    private List<Integer> defaultOrders;
    private List<Integer> deletedGroupIds;
    private List<Genre> genres = new ArrayList();
    private GroupManageAdapter mAdapter;
    @BindView(R.id.rcvList)
    RecyclerListView mRcvList;
    @BindView(R.id.tv_add_group)
    MryTextView mTvAddGroup;
    private int requestCount;
    private int requestDoneCount;

    public void setGenres(List<Genre> genres) {
        if (this.requestCount != 0) {
            return;
        }
        this.genres = new ArrayList(genres);
        this.deletedGroupIds = new ArrayList();
        this.defaultOrders = new ArrayList();
        for (Genre genre : genres) {
            this.defaultOrders.add(Integer.valueOf(genre.getOrderId()));
        }
        GroupManageAdapter groupManageAdapter = this.mAdapter;
        if (groupManageAdapter != null) {
            groupManageAdapter.notifyDataSetChanged();
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        this.swipeBackEnabled = false;
        return super.onFragmentCreate();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_grouping_mgr_layout, (ViewGroup) null, false);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        useButterKnife();
        initActionbar();
        initView();
        return this.fragmentView;
    }

    private void initActionbar() {
        this.actionBar.setCastShadows(false);
        this.actionBar.setTitle(LocaleController.getString("ManageGrouping", R.string.ManageGrouping));
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    if (GroupingMgrActivity.this.isOrderChanged() || !GroupingMgrActivity.this.deletedGroupIds.isEmpty()) {
                        GroupingMgrActivity.this.showSaveDialog();
                    } else {
                        GroupingMgrActivity.this.finishFragment();
                    }
                } else if (id == 1) {
                    if (GroupingMgrActivity.this.isOrderChanged() || !GroupingMgrActivity.this.deletedGroupIds.isEmpty()) {
                        GroupingMgrActivity.this.saveChanged();
                    } else {
                        GroupingMgrActivity.this.finishFragment();
                    }
                }
            }
        });
        ActionBarMenu menu = this.actionBar.createMenu();
        MryTextView tvOkView = new MryTextView(getParentActivity());
        tvOkView.setText(LocaleController.getString("Done", R.string.Done));
        tvOkView.setTextSize(1, 14.0f);
        tvOkView.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
        tvOkView.setTextColor(Theme.getColor(Theme.key_actionBarDefaultTitle));
        tvOkView.setGravity(16);
        menu.addItemView(1, tvOkView);
    }

    private void initView() {
        this.mTvAddGroup.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
        this.mTvAddGroup.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlueText));
        Drawable[] ds = this.mTvAddGroup.getCompoundDrawables();
        if (ds[0] != null) {
            ds[0].setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_windowBackgroundWhiteBlueButton), PorterDuff.Mode.SRC_IN));
            this.mTvAddGroup.setCompoundDrawables(ds[0], ds[1], ds[2], ds[3]);
        }
        initList();
    }

    private void initList() {
        this.mRcvList.setLayoutManager(new LinearLayoutManager(getParentActivity()));
        RecyclerListView recyclerListView = this.mRcvList;
        GroupManageAdapter groupManageAdapter = new GroupManageAdapter(getParentActivity());
        this.mAdapter = groupManageAdapter;
        recyclerListView.setAdapter(groupManageAdapter);
        ItemTouchHelper itemTouchHelper = new ItemTouchHelper(new TouchHelperCallback());
        itemTouchHelper.attachToRecyclerView(this.mRcvList);
    }

    @OnClick({R.id.tv_add_group})
    public void onViewClicked() {
        presentFragment(new CreateGroupingActivity());
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void showSaveDialog() {
        WalletDialog dialog = new WalletDialog(getParentActivity());
        dialog.setMessage(LocaleController.getString("SaveGroupingChangeTips", R.string.SaveGroupingChangeTips));
        dialog.setPositiveButton(LocaleController.getString("Save", R.string.Save), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$$ExternalSyntheticLambda4
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                GroupingMgrActivity.this.m3156x9595e66c(dialogInterface, i);
            }
        });
        dialog.setNegativeButton(LocaleController.getString("NotSave", R.string.NotSave), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$$ExternalSyntheticLambda5
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                GroupingMgrActivity.this.m3157xd921042d(dialogInterface, i);
            }
        });
        showDialog(dialog);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$showSaveDialog$0$im-uecahxyvjd-ui-hui-contacts-GroupingMgrActivity  reason: not valid java name */
    public /* synthetic */ void m3156x9595e66c(DialogInterface dialogInterface, int i) {
        saveChanged();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$showSaveDialog$1$im-uecahxyvjd-ui-hui-contacts-GroupingMgrActivity  reason: not valid java name */
    public /* synthetic */ void m3157xd921042d(DialogInterface dialogInterface, int i) {
        finishFragment();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void saveChanged() {
        this.requestCount = 0;
        this.requestDoneCount = 0;
        if (isOrderChanged()) {
            saveOrderChange();
            this.requestCount++;
        }
        if (!this.deletedGroupIds.isEmpty()) {
            saveDeleteChange();
            this.requestCount++;
        }
    }

    private void saveOrderChange() {
        final AlertDialog alertDialog = new AlertDialog(getParentActivity(), 3);
        TLRPCContacts.TL_changeGroupOrder req = new TLRPCContacts.TL_changeGroupOrder();
        for (int i = 0; i < this.genres.size(); i++) {
            TLRPCContacts.TL_contactGroupOrderInfo orderInfo = new TLRPCContacts.TL_contactGroupOrderInfo();
            orderInfo.group_id = this.genres.get(i).getGroupId();
            orderInfo.order_id = i;
            req.group_orders.add(orderInfo);
        }
        final int reqId = getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$$ExternalSyntheticLambda2
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                GroupingMgrActivity.this.m3154x90f4fcb4(alertDialog, tLObject, tL_error);
            }
        });
        getConnectionsManager().bindRequestToGuid(reqId, this.classGuid);
        alertDialog.setOnDismissListener(new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$$ExternalSyntheticLambda3
            @Override // android.content.DialogInterface.OnDismissListener
            public final void onDismiss(DialogInterface dialogInterface) {
                GroupingMgrActivity.this.m3155xd4801a75(reqId, dialogInterface);
            }
        });
        showDialog(alertDialog);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$saveOrderChange$3$im-uecahxyvjd-ui-hui-contacts-GroupingMgrActivity  reason: not valid java name */
    public /* synthetic */ void m3154x90f4fcb4(final AlertDialog alertDialog, final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$$ExternalSyntheticLambda1
            @Override // java.lang.Runnable
            public final void run() {
                GroupingMgrActivity.this.m3153x4d69def3(alertDialog, error, response);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$saveOrderChange$2$im-uecahxyvjd-ui-hui-contacts-GroupingMgrActivity  reason: not valid java name */
    public /* synthetic */ void m3153x4d69def3(AlertDialog alertDialog, TLRPC.TL_error error, TLObject response) {
        alertDialog.dismiss();
        this.requestDoneCount++;
        if (error == null) {
            if (response instanceof TLRPC.TL_boolTrue) {
                this.defaultOrders.clear();
                for (Genre genre : this.genres) {
                    this.defaultOrders.add(Integer.valueOf(genre.getOrderId()));
                }
                if (this.requestDoneCount == this.requestCount) {
                    finishFragment();
                    return;
                }
                return;
            }
            ToastUtils.show((CharSequence) "修改分组顺序失败，请稍后重试");
            return;
        }
        ToastUtils.show((CharSequence) error.text);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$saveOrderChange$4$im-uecahxyvjd-ui-hui-contacts-GroupingMgrActivity  reason: not valid java name */
    public /* synthetic */ void m3155xd4801a75(int reqId, DialogInterface dialog1) {
        getConnectionsManager().cancelRequest(reqId, true);
        this.requestCount--;
    }

    private void saveDeleteChange() {
        final AlertDialog alertDialog = new AlertDialog(getParentActivity(), 3);
        TLRPCContacts.TL_deleteGroups req = new TLRPCContacts.TL_deleteGroups();
        req.group_ids.addAll(this.deletedGroupIds);
        final int reqId = getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$$ExternalSyntheticLambda6
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                GroupingMgrActivity.this.m3151x212b9208(alertDialog, tLObject, tL_error);
            }
        });
        getConnectionsManager().bindRequestToGuid(reqId, this.classGuid);
        alertDialog.setOnDismissListener(new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$$ExternalSyntheticLambda7
            @Override // android.content.DialogInterface.OnDismissListener
            public final void onDismiss(DialogInterface dialogInterface) {
                GroupingMgrActivity.this.m3152x64b6afc9(reqId, dialogInterface);
            }
        });
        showDialog(alertDialog);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$saveDeleteChange$6$im-uecahxyvjd-ui-hui-contacts-GroupingMgrActivity  reason: not valid java name */
    public /* synthetic */ void m3151x212b9208(final AlertDialog alertDialog, final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                GroupingMgrActivity.this.m3150xdda07447(alertDialog, error, response);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$saveDeleteChange$5$im-uecahxyvjd-ui-hui-contacts-GroupingMgrActivity  reason: not valid java name */
    public /* synthetic */ void m3150xdda07447(AlertDialog alertDialog, TLRPC.TL_error error, TLObject response) {
        alertDialog.dismiss();
        this.requestDoneCount++;
        if (error == null) {
            if (response instanceof TLRPC.TL_boolTrue) {
                this.deletedGroupIds.clear();
                if (this.requestDoneCount == this.requestCount) {
                    finishFragment();
                    return;
                }
                return;
            }
            ToastUtils.show((CharSequence) "删除分组失败，请稍后重试");
            return;
        }
        ToastUtils.show((CharSequence) error.text);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$saveDeleteChange$7$im-uecahxyvjd-ui-hui-contacts-GroupingMgrActivity  reason: not valid java name */
    public /* synthetic */ void m3152x64b6afc9(int reqId, DialogInterface dialog1) {
        getConnectionsManager().cancelRequest(reqId, true);
        this.requestCount--;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public boolean isOrderChanged() {
        List<Integer> newOrders = new ArrayList<>();
        for (Genre genre : this.genres) {
            newOrders.add(Integer.valueOf(genre.getOrderId()));
        }
        if (!newOrders.equals(this.defaultOrders)) {
            return true;
        }
        return false;
    }

    /* loaded from: classes18.dex */
    public class TouchHelperCallback extends ItemTouchHelper.Callback {
        public TouchHelperCallback() {
        }

        @Override // androidx.recyclerview.widget.ItemTouchHelper.Callback
        public boolean isLongPressDragEnabled() {
            return true;
        }

        @Override // androidx.recyclerview.widget.ItemTouchHelper.Callback
        public int getMovementFlags(RecyclerView recyclerView, RecyclerView.ViewHolder viewHolder) {
            return makeMovementFlags(3, 0);
        }

        @Override // androidx.recyclerview.widget.ItemTouchHelper.Callback
        public boolean onMove(RecyclerView recyclerView, RecyclerView.ViewHolder source, RecyclerView.ViewHolder target) {
            GroupingMgrActivity.this.mAdapter.swapElements(source.getAdapterPosition(), target.getAdapterPosition());
            return true;
        }

        @Override // androidx.recyclerview.widget.ItemTouchHelper.Callback
        public void onChildDraw(Canvas c, RecyclerView recyclerView, RecyclerView.ViewHolder viewHolder, float dX, float dY, int actionState, boolean isCurrentlyActive) {
            super.onChildDraw(c, recyclerView, viewHolder, dX, dY, actionState, isCurrentlyActive);
        }

        @Override // androidx.recyclerview.widget.ItemTouchHelper.Callback
        public void onSelectedChanged(RecyclerView.ViewHolder viewHolder, int actionState) {
            if (actionState != 0) {
                GroupingMgrActivity.this.mRcvList.cancelClickRunnables(false);
                viewHolder.itemView.setPressed(true);
            }
            super.onSelectedChanged(viewHolder, actionState);
        }

        @Override // androidx.recyclerview.widget.ItemTouchHelper.Callback
        public void onSwiped(RecyclerView.ViewHolder viewHolder, int direction) {
        }

        @Override // androidx.recyclerview.widget.ItemTouchHelper.Callback
        public void clearView(RecyclerView recyclerView, RecyclerView.ViewHolder viewHolder) {
            super.clearView(recyclerView, viewHolder);
            viewHolder.itemView.setPressed(false);
        }
    }

    /* loaded from: classes18.dex */
    public class GroupManageAdapter extends RecyclerListView.SelectionAdapter {
        private Context mContext;

        public GroupManageAdapter(Context context) {
            this.mContext = context;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return false;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            SwipeLayout swipeLayout = new SwipeLayout(this.mContext) { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity.GroupManageAdapter.1
                @Override // android.view.View
                public boolean onTouchEvent(MotionEvent event) {
                    if (isExpanded()) {
                        return true;
                    }
                    return super.onTouchEvent(event);
                }
            };
            View view = LayoutInflater.from(this.mContext).inflate(R.layout.item_group_manage, parent, false);
            swipeLayout.setUpView(view);
            return new RecyclerListView.Holder(swipeLayout);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            int[] rightColors;
            String[] rightTexts;
            int[] rightTextColors;
            SwipeLayout swipeLayout = (SwipeLayout) holder.itemView;
            swipeLayout.setItemWidth(AndroidUtilities.dp(75.0f));
            View content = swipeLayout.getMainLayout();
            MryTextView tvGroupName = (MryTextView) content.findViewById(R.id.tv_group_name);
            MryTextView tvMemberNumber = (MryTextView) content.findViewById(R.id.tv_member_number);
            MryDividerCell divider = (MryDividerCell) content.findViewById(R.id.divider);
            final Genre genre = (Genre) GroupingMgrActivity.this.genres.get(position);
            tvGroupName.setText(genre.getTitle());
            tvMemberNumber.setText(genre.getOnlineCount() + "/" + genre.getItemCount());
            if (getItemCount() == 1) {
                content.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                divider.setVisibility(8);
            } else if (position == 0) {
                content.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f, Theme.getColor(Theme.key_windowBackgroundWhite)));
                divider.setVisibility(0);
            } else if (position == getItemCount() - 1) {
                content.setBackground(Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                divider.setVisibility(8);
            } else {
                content.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                divider.setVisibility(0);
            }
            if (genre.getGroupId() == 0) {
                rightColors = new int[]{-3881788};
                rightTexts = new String[]{LocaleController.getString(R.string.Rename)};
                rightTextColors = new int[]{-1};
            } else {
                rightColors = new int[]{-3881788, -12862209, -570319};
                rightTexts = new String[]{LocaleController.getString(R.string.Rename), LocaleController.getString(R.string.GroupAddMembers), LocaleController.getString(R.string.Delete)};
                rightTextColors = new int[]{-1, -1, -1};
            }
            swipeLayout.setRightTexts(rightTexts);
            swipeLayout.setRightTextColors(rightTextColors);
            swipeLayout.setRightColors(rightColors);
            swipeLayout.setTextSize(AndroidUtilities.sp2px(13.0f));
            swipeLayout.rebuildLayout();
            swipeLayout.setOnSwipeItemClickListener(new SwipeLayout.OnSwipeItemClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$GroupManageAdapter$$ExternalSyntheticLambda1
                @Override // im.uecahxyvjd.ui.hviews.slidemenu.SwipeLayout.OnSwipeItemClickListener
                public final void onSwipeItemClick(boolean z, int i) {
                    GroupingMgrActivity.GroupManageAdapter.this.m3158xc80e2a15(genre, z, i);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$10$im-uecahxyvjd-ui-hui-contacts-GroupingMgrActivity$GroupManageAdapter  reason: not valid java name */
        public /* synthetic */ void m3158xc80e2a15(final Genre genre, boolean left, int index) {
            if (!left) {
                if (index != 0) {
                    if (index == 1) {
                        final List<TLRPC.User> users = new ArrayList<>();
                        for (Artist artist : genre.getItems()) {
                            TLRPC.User user = GroupingMgrActivity.this.getMessagesController().getUser(Integer.valueOf(artist.getUserId()));
                            if (user != null) {
                                users.add(user);
                            }
                        }
                        AddGroupingUserActivity fragment = new AddGroupingUserActivity(users, 2);
                        fragment.setDelegate(new AddGroupingUserActivity.AddGroupingUserActivityDelegate() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$GroupManageAdapter$$ExternalSyntheticLambda6
                            @Override // im.uecahxyvjd.ui.hui.contacts.AddGroupingUserActivity.AddGroupingUserActivityDelegate
                            public final void didSelectedContact(ArrayList arrayList) {
                                GroupingMgrActivity.GroupManageAdapter.this.m3162xea8ab92f(users, genre, arrayList);
                            }
                        });
                        GroupingMgrActivity.this.presentFragment(fragment);
                        return;
                    } else if (index == 2 && genre.getGroupId() != 0) {
                        GroupingMgrActivity.this.defaultOrders.remove(Integer.valueOf(genre.getOrderId()));
                        GroupingMgrActivity.this.deletedGroupIds.add(Integer.valueOf(genre.getGroupId()));
                        GroupingMgrActivity.this.genres.remove(genre);
                        notifyDataSetChanged();
                        return;
                    } else {
                        return;
                    }
                }
                final Dialog dialog = new Dialog(GroupingMgrActivity.this.getParentActivity());
                GroupingMgrActivity.this.showDialog(dialog);
                View view = LayoutInflater.from(GroupingMgrActivity.this.getParentActivity()).inflate(R.layout.dialog_rename_grouping_layout, (ViewGroup) null);
                view.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$GroupManageAdapter$$ExternalSyntheticLambda3
                    @Override // android.view.View.OnClickListener
                    public final void onClick(View view2) {
                        dialog.dismiss();
                    }
                });
                Window window = dialog.getWindow();
                window.setBackgroundDrawable(new ColorDrawable());
                WindowManager wm = GroupingMgrActivity.this.getParentActivity().getWindowManager();
                Display display = wm.getDefaultDisplay();
                WindowManager.LayoutParams lp = window.getAttributes();
                lp.width = display.getWidth();
                lp.height = display.getHeight();
                window.setAttributes(lp);
                window.setContentView(view);
                final LinearLayout llNotSupportEmojiTips = (LinearLayout) view.findViewById(R.id.ll_not_support_emoji_tips);
                LinearLayout llContainer = (LinearLayout) view.findViewById(R.id.ll_container);
                final MryEditText etGroupingName = (MryEditText) view.findViewById(R.id.et_grouping_name);
                MryTextView tvNotSave = (MryTextView) view.findViewById(R.id.tv_not_save);
                final MryTextView tvSave = (MryTextView) view.findViewById(R.id.tv_save);
                llNotSupportEmojiTips.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                llContainer.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(10.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                tvNotSave.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText));
                tvSave.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlueText));
                etGroupingName.setText(genre.getTitle());
                etGroupingName.setFilters(new InputFilter[]{new LengthFilter(28)});
                etGroupingName.addTextChangedListener(new TextWatcher() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity.GroupManageAdapter.2
                    @Override // android.text.TextWatcher
                    public void beforeTextChanged(CharSequence s, int start, int count, int after) {
                    }

                    @Override // android.text.TextWatcher
                    public void onTextChanged(CharSequence s, int start, int before, int count) {
                        boolean hasEmoji = false;
                        for (int i = 0; i < s.length(); i++) {
                            int type = Character.getType(s.charAt(i));
                            if (type == 19 || type == 28) {
                                hasEmoji = true;
                                break;
                            }
                        }
                        boolean z = false;
                        llNotSupportEmojiTips.setVisibility(hasEmoji ? 0 : 8);
                        MryTextView mryTextView = tvSave;
                        if (!hasEmoji && !TextUtils.isEmpty(s)) {
                            z = true;
                        }
                        mryTextView.setEnabled(z);
                    }

                    @Override // android.text.TextWatcher
                    public void afterTextChanged(Editable s) {
                    }
                });
                tvNotSave.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$GroupManageAdapter$$ExternalSyntheticLambda4
                    @Override // android.view.View.OnClickListener
                    public final void onClick(View view2) {
                        dialog.dismiss();
                    }
                });
                tvSave.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$GroupManageAdapter$$ExternalSyntheticLambda5
                    @Override // android.view.View.OnClickListener
                    public final void onClick(View view2) {
                        GroupingMgrActivity.GroupManageAdapter.this.m3160x70936b3(dialog, genre, etGroupingName, view2);
                    }
                });
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$5$im-uecahxyvjd-ui-hui-contacts-GroupingMgrActivity$GroupManageAdapter  reason: not valid java name */
        public /* synthetic */ void m3160x70936b3(Dialog dialog, Genre genre, MryEditText etGroupingName, View v) {
            dialog.dismiss();
            final AlertDialog alertDialog = new AlertDialog(GroupingMgrActivity.this.getParentActivity(), 3);
            TLRPCContacts.TL_changeGroupName req = new TLRPCContacts.TL_changeGroupName();
            req.group_id = genre.getGroupId();
            req.title = etGroupingName.getText().toString();
            final int reqId = GroupingMgrActivity.this.getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$GroupManageAdapter$$ExternalSyntheticLambda0
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$GroupManageAdapter$$ExternalSyntheticLambda10
                        @Override // java.lang.Runnable
                        public final void run() {
                            GroupingMgrActivity.GroupManageAdapter.lambda$onBindViewHolder$2(AlertDialog.this, tL_error, tLObject);
                        }
                    });
                }
            });
            GroupingMgrActivity.this.getConnectionsManager().bindRequestToGuid(reqId, GroupingMgrActivity.this.classGuid);
            alertDialog.setOnDismissListener(new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$GroupManageAdapter$$ExternalSyntheticLambda2
                @Override // android.content.DialogInterface.OnDismissListener
                public final void onDismiss(DialogInterface dialogInterface) {
                    GroupingMgrActivity.GroupManageAdapter.this.m3159xce28d614(reqId, dialogInterface);
                }
            });
            GroupingMgrActivity.this.showDialog(alertDialog);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        public static /* synthetic */ void lambda$onBindViewHolder$2(AlertDialog alertDialog, TLRPC.TL_error error, TLObject response) {
            alertDialog.dismiss();
            if (error == null) {
                if (!(response instanceof TLRPC.TL_boolTrue)) {
                    ToastUtils.show((CharSequence) "重命名失败，请稍后重试");
                    return;
                }
                return;
            }
            ToastUtils.show((CharSequence) error.text);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$4$im-uecahxyvjd-ui-hui-contacts-GroupingMgrActivity$GroupManageAdapter  reason: not valid java name */
        public /* synthetic */ void m3159xce28d614(int reqId, DialogInterface dialog1) {
            GroupingMgrActivity.this.getConnectionsManager().cancelRequest(reqId, true);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$9$im-uecahxyvjd-ui-hui-contacts-GroupingMgrActivity$GroupManageAdapter  reason: not valid java name */
        public /* synthetic */ void m3162xea8ab92f(List users, Genre genre, ArrayList users1) {
            if (users.equals(users1)) {
                return;
            }
            final AlertDialog alertDialog = new AlertDialog(GroupingMgrActivity.this.getParentActivity(), 3);
            TLRPCContacts.TL_setUserGroup req = new TLRPCContacts.TL_setUserGroup();
            req.group_id = genre.getGroupId();
            Iterator it = users1.iterator();
            while (it.hasNext()) {
                TLRPC.User user = (TLRPC.User) it.next();
                TLRPCContacts.TL_inputPeerUserChange inputPeer = new TLRPCContacts.TL_inputPeerUserChange();
                inputPeer.access_hash = user.access_hash;
                inputPeer.user_id = user.id;
                inputPeer.fist_name = user.first_name;
                req.users.add(inputPeer);
            }
            final int reqId = GroupingMgrActivity.this.getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$GroupManageAdapter$$ExternalSyntheticLambda7
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$GroupManageAdapter$$ExternalSyntheticLambda9
                        @Override // java.lang.Runnable
                        public final void run() {
                            GroupingMgrActivity.GroupManageAdapter.lambda$onBindViewHolder$6(AlertDialog.this, tL_error, tLObject);
                        }
                    });
                }
            });
            GroupingMgrActivity.this.getConnectionsManager().bindRequestToGuid(reqId, GroupingMgrActivity.this.classGuid);
            alertDialog.setOnDismissListener(new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.contacts.GroupingMgrActivity$GroupManageAdapter$$ExternalSyntheticLambda8
                @Override // android.content.DialogInterface.OnDismissListener
                public final void onDismiss(DialogInterface dialogInterface) {
                    GroupingMgrActivity.GroupManageAdapter.this.m3161xb1aa5890(reqId, dialogInterface);
                }
            });
            GroupingMgrActivity.this.showDialog(alertDialog);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        public static /* synthetic */ void lambda$onBindViewHolder$6(AlertDialog alertDialog, TLRPC.TL_error error, TLObject response) {
            alertDialog.dismiss();
            if (error == null) {
                if (response instanceof TLRPC.TL_boolTrue) {
                    ToastUtils.show((CharSequence) "添加成功");
                    return;
                } else {
                    ToastUtils.show((CharSequence) "添加失败，请稍后重试");
                    return;
                }
            }
            ToastUtils.show((CharSequence) error.text);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolder$8$im-uecahxyvjd-ui-hui-contacts-GroupingMgrActivity$GroupManageAdapter  reason: not valid java name */
        public /* synthetic */ void m3161xb1aa5890(int reqId, DialogInterface dialog1) {
            GroupingMgrActivity.this.getConnectionsManager().cancelRequest(reqId, true);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return GroupingMgrActivity.this.genres.size();
        }

        public void swapElements(int fromIndex, int toIndex) {
            Genre from = (Genre) GroupingMgrActivity.this.genres.get(fromIndex);
            Genre to = (Genre) GroupingMgrActivity.this.genres.get(toIndex);
            GroupingMgrActivity.this.genres.set(fromIndex, to);
            GroupingMgrActivity.this.genres.set(toIndex, from);
            notifyItemMoved(fromIndex, toIndex);
            notifyItemRangeChanged(Math.min(fromIndex, toIndex), Math.abs(fromIndex - toIndex) + 1);
        }
    }

    /* loaded from: classes18.dex */
    private class LengthFilter implements InputFilter {
        private int maxLen;

        public LengthFilter(int maxLen) {
            this.maxLen = maxLen;
        }

        @Override // android.text.InputFilter
        public CharSequence filter(CharSequence source, int start, int end, Spanned dest, int dstart, int dend) {
            int dindex = 0;
            int count = 0;
            while (count <= this.maxLen && dindex < dest.length()) {
                int dindex2 = dindex + 1;
                char c = dest.charAt(dindex);
                if (c < 128) {
                    count++;
                } else {
                    count += 2;
                }
                dindex = dindex2;
            }
            int dindex3 = this.maxLen;
            if (count > dindex3) {
                return dest.subSequence(0, dindex - 1);
            }
            int sindex = 0;
            while (count <= this.maxLen && sindex < source.length()) {
                int sindex2 = sindex + 1;
                char c2 = source.charAt(sindex);
                if (c2 < 128) {
                    count++;
                } else {
                    count += 2;
                }
                sindex = sindex2;
            }
            if (count > this.maxLen) {
                sindex--;
            }
            return source.subSequence(0, sindex);
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onBackPressed() {
        if (isOrderChanged() || !this.deletedGroupIds.isEmpty()) {
            showSaveDialog();
            return false;
        }
        return super.onBackPressed();
    }
}
