package im.uecahxyvjd.ui.hui.contacts;

import android.content.Context;
import android.view.View;
import android.widget.FrameLayout;
import androidx.recyclerview.widget.DefaultItemAnimator;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCContacts;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.hui.adapter.grouping.Artist;
import im.uecahxyvjd.ui.hui.adapter.grouping.Genre;
import im.uecahxyvjd.ui.hui.adapter.grouping.GenreAdapter;
import im.uecahxyvjd.ui.hviews.MryEmptyView;
import im.uecahxyvjd.ui.hviews.MryTextView;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;
/* loaded from: classes18.dex */
public class MyGroupingActivity extends BaseFragment implements NotificationCenter.NotificationCenterDelegate {
    private static final int item_mgr = 1;
    private GenreAdapter adapter;
    private int contactsHash;
    private MryEmptyView emptyView;
    private ArrayList<Genre> genres = new ArrayList<>();
    private GroupingMgrActivity groupingMgrActivity;
    private RecyclerView rcvList;
    private MryTextView tvMgrView;

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.groupingChanged);
        return super.onFragmentCreate();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.groupingChanged);
        super.onFragmentDestroy();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.fragmentView = new FrameLayout(context);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        useButterKnife();
        initActionbar();
        initEmptyView();
        initView();
        initData();
        return this.fragmentView;
    }

    private void initActionbar() {
        this.actionBar.setCastShadows(false);
        this.actionBar.setTitle(LocaleController.getString("MyGrouping", R.string.MyGrouping));
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.contacts.MyGroupingActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    MyGroupingActivity.this.finishFragment();
                } else if (id == 1) {
                    MyGroupingActivity.this.groupingMgrActivity = new GroupingMgrActivity();
                    MyGroupingActivity.this.groupingMgrActivity.setGenres(MyGroupingActivity.this.genres);
                    MyGroupingActivity myGroupingActivity = MyGroupingActivity.this;
                    myGroupingActivity.presentFragment(myGroupingActivity.groupingMgrActivity);
                }
            }
        });
        ActionBarMenu menu = this.actionBar.createMenu();
        MryTextView mryTextView = new MryTextView(getParentActivity());
        this.tvMgrView = mryTextView;
        mryTextView.setText(LocaleController.getString("fc_my_manage", R.string.fc_my_manage));
        this.tvMgrView.setTextSize(1, 14.0f);
        this.tvMgrView.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
        this.tvMgrView.setTextColor(Theme.getColor(Theme.key_actionBarDefaultTitle));
        this.tvMgrView.setGravity(16);
        menu.addItemView(1, this.tvMgrView);
    }

    private void initEmptyView() {
        MryEmptyView mryEmptyView = new MryEmptyView(getParentActivity());
        this.emptyView = mryEmptyView;
        mryEmptyView.attach(this);
        this.emptyView.setEmptyText(LocaleController.getString(R.string.NoGrouping));
        this.emptyView.setEmptyResId(R.mipmap.img_empty_default);
        this.emptyView.setErrorResId(R.mipmap.img_empty_default);
        this.emptyView.setOnEmptyClickListener(new MryEmptyView.OnEmptyOrErrorClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.MyGroupingActivity$$ExternalSyntheticLambda3
            @Override // im.uecahxyvjd.ui.hviews.MryEmptyView.OnEmptyOrErrorClickListener
            public final boolean onEmptyViewButtonClick(boolean z) {
                return MyGroupingActivity.this.m3165x3d6ac50(z);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initEmptyView$0$im-uecahxyvjd-ui-hui-contacts-MyGroupingActivity  reason: not valid java name */
    public /* synthetic */ boolean m3165x3d6ac50(boolean isEmptyButton) {
        getContacts();
        return false;
    }

    private void initView() {
        RecyclerView recyclerView = new RecyclerView(getParentActivity());
        this.rcvList = recyclerView;
        RecyclerView.ItemAnimator animator = recyclerView.getItemAnimator();
        if (animator instanceof DefaultItemAnimator) {
            ((DefaultItemAnimator) animator).setSupportsChangeAnimations(false);
        }
        this.rcvList.setLayoutManager(new LinearLayoutManager(getParentActivity()));
        this.rcvList.setOverScrollMode(2);
        RecyclerView recyclerView2 = this.rcvList;
        GenreAdapter genreAdapter = new GenreAdapter(this.genres, this);
        this.adapter = genreAdapter;
        recyclerView2.setAdapter(genreAdapter);
        this.rcvList.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
        ((FrameLayout) this.fragmentView).addView(this.rcvList, LayoutHelper.createFrame(-1.0f, -2.0f, 51, 10.0f, 10.0f, 10.0f, 10.0f));
    }

    private void initData() {
        getContacts();
    }

    public void getContacts() {
        this.emptyView.showLoading();
        TLRPCContacts.TL_getContactsV1 req = new TLRPCContacts.TL_getContactsV1();
        req.hash = this.contactsHash;
        getConnectionsManager().bindRequestToGuid(getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.contacts.MyGroupingActivity$$ExternalSyntheticLambda4
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                MyGroupingActivity.this.m3164xbb5df507(tLObject, tL_error);
            }
        }), this.classGuid);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getContacts$2$im-uecahxyvjd-ui-hui-contacts-MyGroupingActivity  reason: not valid java name */
    public /* synthetic */ void m3164xbb5df507(final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.contacts.MyGroupingActivity$$ExternalSyntheticLambda2
            @Override // java.lang.Runnable
            public final void run() {
                MyGroupingActivity.this.m3163xc9b44ee8(error, response);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getContacts$1$im-uecahxyvjd-ui-hui-contacts-MyGroupingActivity  reason: not valid java name */
    public /* synthetic */ void m3163xc9b44ee8(TLRPC.TL_error error, TLObject response) {
        if (error == null) {
            if (response instanceof TLRPCContacts.TL_contactsV1) {
                TLRPCContacts.TL_contactsV1 contacts = (TLRPCContacts.TL_contactsV1) response;
                this.contactsHash = contacts.hash;
                if (!contacts.users.isEmpty()) {
                    Iterator<TLRPC.User> it = contacts.users.iterator();
                    while (it.hasNext()) {
                        TLRPC.User user = it.next();
                        getMessagesController().putUser(user, false);
                    }
                }
                if (contacts.group_infos.isEmpty()) {
                    this.emptyView.showEmpty();
                    return;
                }
                makeGenres(contacts);
                this.emptyView.showContent();
                return;
            }
            return;
        }
        this.emptyView.showError(error.text);
    }

    private void makeGenres(TLRPCContacts.TL_contactsV1 contacts) {
        GenreAdapter genreAdapter = this.adapter;
        if (genreAdapter != null) {
            genreAdapter.storeExpandState();
        }
        this.genres.clear();
        List<TLRPCContacts.TL_contactsGroupInfo> groupInfoList = contacts.group_infos;
        List<TLRPC.Contact> contactsList = contacts.contacts;
        for (TLRPCContacts.TL_contactsGroupInfo groupInfo : groupInfoList) {
            List<Artist> artists = new ArrayList<>();
            for (TLRPC.Contact contact : contactsList) {
                if (contact instanceof TLRPCContacts.TL_contactV1) {
                    TLRPCContacts.TL_contactV1 contactV1 = (TLRPCContacts.TL_contactV1) contact;
                    if (groupInfo.group_id == contactV1.group_id && getMessagesController().getUser(Integer.valueOf(contactV1.user_id)) != null) {
                        artists.add(new Artist(contactV1.user_id));
                    }
                }
            }
            Collections.sort(artists, new Comparator() { // from class: im.uecahxyvjd.ui.hui.contacts.MyGroupingActivity$$ExternalSyntheticLambda0
                @Override // java.util.Comparator
                public final int compare(Object obj, Object obj2) {
                    return MyGroupingActivity.this.m3166x2137f57((Artist) obj, (Artist) obj2);
                }
            });
            this.genres.add(new Genre(groupInfo, artists));
        }
        Collections.sort(this.genres, new Comparator() { // from class: im.uecahxyvjd.ui.hui.contacts.MyGroupingActivity$$ExternalSyntheticLambda1
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                int compare;
                compare = Integer.compare(((Genre) obj).getOrderId(), ((Genre) obj2).getOrderId());
                return compare;
            }
        });
        GenreAdapter genreAdapter2 = this.adapter;
        if (genreAdapter2 != null) {
            genreAdapter2.restoreExpandState();
            this.adapter.notifyDataSetChanged();
        }
        GroupingMgrActivity groupingMgrActivity = this.groupingMgrActivity;
        if (groupingMgrActivity != null) {
            groupingMgrActivity.setGenres(this.genres);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$makeGenres$3$im-uecahxyvjd-ui-hui-contacts-MyGroupingActivity  reason: not valid java name */
    public /* synthetic */ int m3166x2137f57(Artist o1, Artist o2) {
        TLRPC.User user1 = getMessagesController().getUser(Integer.valueOf(o1.getUserId()));
        TLRPC.User user2 = getMessagesController().getUser(Integer.valueOf(o2.getUserId()));
        return Integer.compare(user2.status.expires, user1.status.expires);
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        if (id == NotificationCenter.groupingChanged) {
            getContacts();
        }
    }
}
