package im.uecahxyvjd.ui.hui.contacts;

import android.content.Context;
import android.content.DialogInterface;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import butterknife.BindView;
import com.google.android.exoplayer2.trackselection.AdaptiveTrackSelection;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCContacts;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.actionbar.XAlertDialog;
import im.uecahxyvjd.ui.cells.DividerCell;
import im.uecahxyvjd.ui.components.AlertsCreator;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.components.RadialProgressView;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.decoration.StickyDecoration;
import im.uecahxyvjd.ui.decoration.listener.GroupListener;
import im.uecahxyvjd.ui.hui.chats.NewProfileActivity;
import im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity;
import im.uecahxyvjd.ui.hui.wallet_public.utils.WalletDialogUtil;
import im.uecahxyvjd.ui.hviews.MryRoundButton;
import im.uecahxyvjd.ui.hviews.MryTextView;
import im.uecahxyvjd.ui.hviews.dialogs.XDialog;
import im.uecahxyvjd.ui.hviews.slidemenu.SwipeLayout;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Iterator;
/* loaded from: classes18.dex */
public class NewFriendsActivity extends BaseFragment implements NotificationCenter.NotificationCenterDelegate {
    private ListAdapter adapter;
    @BindView(R.id.emptyLayout)
    LinearLayout emptyLayout;
    @BindView(R.id.listview)
    RecyclerListView listview;
    @BindView(R.id.progressBar)
    RadialProgressView progressBar;
    private boolean searchWas;
    private boolean searching;
    @BindView(R.id.tvEmptyText)
    MryTextView tvEmptyText;
    private final int item_add = 1;
    private ArrayList<TLRPCContacts.ContactApplyInfo> contactsApplyInfos = new ArrayList<>();
    private ArrayList<TLRPC.User> users = new ArrayList<>();
    private HashMap<Integer, TLRPC.User> userMap = new HashMap<>();
    private HashMap<String, ArrayList<TLRPCContacts.ContactApplyInfo>> map = new HashMap<>();
    private ArrayList<String> mapKeysList = new ArrayList<>();

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        super.onFragmentCreate();
        notifyServerClearUnread();
        getMessagesController().handleUpdatesContactsApply(0);
        getNotificationCenter().postNotificationName(NotificationCenter.contactApplyUpdateCount, 0);
        getMessagesController().getContactsApplyDifferenceV2(true, true, false);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.contactApplyUpdateState);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.contactApplyUpdateReceived);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.contactApplieReceived);
        getNotificationCenter().addObserver(this, NotificationCenter.contactApplyUpdateCount);
        return true;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        super.onFragmentDestroy();
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.contactApplyUpdateState);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.contactApplyUpdateReceived);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.contactApplieReceived);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.contactApplyUpdateCount);
        getMessagesController().handleUpdatesContactsApply(0);
        getNotificationCenter().postNotificationName(NotificationCenter.contactApplyUpdateCount, 0);
    }

    private void groupingApplyInfos(ArrayList<TLRPCContacts.ContactApplyInfo> applyInfos) {
        if (applyInfos == null) {
            return;
        }
        this.mapKeysList.clear();
        this.map.clear();
        Collections.sort(applyInfos, new Comparator() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$$ExternalSyntheticLambda6
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                int compare;
                compare = Integer.compare(((TLRPCContacts.ContactApplyInfo) obj2).date, ((TLRPCContacts.ContactApplyInfo) obj).date);
                return compare;
            }
        });
        Iterator<TLRPCContacts.ContactApplyInfo> it = applyInfos.iterator();
        while (it.hasNext()) {
            TLRPCContacts.ContactApplyInfo item = it.next();
            if (getConnectionsManager().getCurrentTime() - item.date < 259200) {
                ArrayList<TLRPCContacts.ContactApplyInfo> in = this.map.get("in");
                if (in == null) {
                    in = new ArrayList<>();
                    this.map.put("in", in);
                    this.mapKeysList.add("in");
                }
                in.add(item);
            } else {
                ArrayList<TLRPCContacts.ContactApplyInfo> out = this.map.get("out");
                if (out == null) {
                    out = new ArrayList<>();
                    this.map.put("out", out);
                    this.mapKeysList.add("out");
                }
                out.add(item);
            }
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_new_friend_layout, (ViewGroup) null, false);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        useButterKnife();
        super.createView(context);
        initActionbar();
        initProgressBar();
        initList();
        return this.fragmentView;
    }

    private void initActionbar() {
        this.actionBar.setTitle(LocaleController.getString("NewFriends", R.string.NewFriends));
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setCastShadows(false);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity.1
            {
                NewFriendsActivity.this = this;
            }

            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    NewFriendsActivity.this.finishFragment();
                } else if (id == 1) {
                    NewFriendsActivity.this.presentFragment(new AddContactsActivity());
                }
            }
        });
        ActionBarMenu menu = this.actionBar.createMenu();
        MryTextView tvAddView = new MryTextView(getParentActivity());
        tvAddView.setText(LocaleController.getString("Add", R.string.Add));
        tvAddView.setTextSize(1, 14.0f);
        tvAddView.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
        tvAddView.setTextColor(Theme.getColor(Theme.key_actionBarDefaultTitle));
        tvAddView.setGravity(16);
        menu.addItemView(1, tvAddView);
    }

    private void initProgressBar() {
        this.progressBar.setSize(AndroidUtilities.dp(28.0f));
        this.progressBar.setProgressColor(Theme.getColor(Theme.key_chat_serviceText));
        this.progressBar.setBackgroundResource(R.drawable.system_loader);
        this.progressBar.getBackground().setColorFilter(Theme.colorFilter);
    }

    private void initList() {
        this.tvEmptyText.setTextColor(Theme.key_windowBackgroundWhiteGrayText6);
        this.listview.setHasFixedSize(true);
        this.listview.setVerticalScrollBarEnabled(false);
        this.listview.setLayoutManager(new LinearLayoutManager(this.fragmentView.getContext()));
        ListAdapter listAdapter = new ListAdapter(this.fragmentView.getContext());
        this.adapter = listAdapter;
        listAdapter.setList(this.mapKeysList, this.map, true);
        StickyDecoration.Builder decorationBuilder = StickyDecoration.Builder.init(new GroupListener() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$$ExternalSyntheticLambda7
            @Override // im.uecahxyvjd.ui.decoration.listener.GroupListener
            public final String getGroupName(int i) {
                return NewFriendsActivity.this.m3173x927b51ef(i);
            }
        }).setOffset(1).setGroupBackground(Theme.getColor(Theme.key_windowBackgroundGray)).setGroupTextColor(Theme.getColor(Theme.key_list_decorationTextColor)).setGroupTextTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf")).setGroupHeight(AndroidUtilities.dp(38.5f)).setGroupTextSize(AndroidUtilities.dp(14.0f)).setTextSideMargin(AndroidUtilities.dp(15.0f));
        StickyDecoration decoration = decorationBuilder.build();
        this.listview.addItemDecoration(decoration);
        this.listview.setDisableHighlightState(true);
        this.listview.setAdapter(this.adapter);
        this.listview.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$$ExternalSyntheticLambda8
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                NewFriendsActivity.this.m3174x8424f80e(view, i);
            }
        });
        this.listview.addOnScrollListener(new RecyclerView.OnScrollListener() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity.2
            private boolean scrollingManually;

            {
                NewFriendsActivity.this = this;
            }

            @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
            public void onScrollStateChanged(RecyclerView recyclerView, int newState) {
                if (newState == 1) {
                    if (NewFriendsActivity.this.searching && NewFriendsActivity.this.searchWas) {
                        AndroidUtilities.hideKeyboard(NewFriendsActivity.this.getParentActivity().getCurrentFocus());
                    }
                    this.scrollingManually = true;
                    return;
                }
                this.scrollingManually = false;
            }

            @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
            public void onScrolled(RecyclerView recyclerView, int dx, int dy) {
                super.onScrolled(recyclerView, dx, dy);
            }
        });
        this.adapter.notifyDataSetChanged();
    }

    /* renamed from: lambda$initList$1$im-uecahxyvjd-ui-hui-contacts-NewFriendsActivity */
    public /* synthetic */ String m3173x927b51ef(int position) {
        String str;
        int i;
        if (this.adapter.getItemCount() > position && position > -1) {
            String letter = this.adapter.getLetter(position);
            if (letter != null) {
                if ("in".equals(letter)) {
                    str = "new_friends_three_days";
                    i = R.string.new_friends_three_days;
                } else {
                    str = "new_friends_three_days_before";
                    i = R.string.new_friends_three_days_before;
                }
                return LocaleController.getString(str, i);
            }
            return letter;
        }
        return null;
    }

    /* renamed from: lambda$initList$2$im-uecahxyvjd-ui-hui-contacts-NewFriendsActivity */
    public /* synthetic */ void m3174x8424f80e(View view, int position) {
        int section = this.adapter.getSectionForPosition(position);
        if (section != 0) {
            int pos = this.adapter.getPositionInSectionForPosition(position);
            Object item = this.adapter.getItem(section, pos);
            if (item instanceof TLRPCContacts.ContactApplyInfo) {
                TLRPCContacts.ContactApplyInfo info = (TLRPCContacts.ContactApplyInfo) item;
                TLRPC.User user = getMessagesController().getUser(Integer.valueOf(info.from_peer.user_id));
                if (user != null) {
                    Bundle bundle = new Bundle();
                    if (user.contact) {
                        bundle.putInt("user_id", user.id);
                        presentFragment(new NewProfileActivity(bundle));
                        return;
                    }
                    bundle.putInt("from_type", 7);
                    bundle.putInt("req_state", info.state);
                    bundle.putInt("apply_id", info.id);
                    bundle.putInt("expire", info.expire);
                    bundle.putString("greet", info.greet);
                    presentFragment(new AddContactsInfoActivity(bundle, user));
                }
            }
        }
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        if (id == NotificationCenter.contactApplyUpdateState) {
            int apply_id = ((Integer) args[0]).intValue();
            int state = ((Integer) args[1]).intValue();
            int index = getIndex(apply_id);
            ArrayList<TLRPCContacts.ContactApplyInfo> arrayList = this.contactsApplyInfos;
            if (arrayList != null) {
                arrayList.get(index).state = state;
                groupingApplyInfos(this.contactsApplyInfos);
                ListAdapter listAdapter = this.adapter;
                if (listAdapter != null) {
                    listAdapter.setList(this.mapKeysList, this.map, false);
                    this.adapter.notifyDataSetChanged();
                }
            }
        } else if (id == NotificationCenter.contactApplyUpdateReceived) {
            TLRPCContacts.ContactApplyInfo recvInfo = (TLRPCContacts.ContactApplyInfo) args[0];
            if (this.contactsApplyInfos != null) {
                int i = 0;
                while (true) {
                    if (i >= this.contactsApplyInfos.size()) {
                        break;
                    }
                    TLRPCContacts.ContactApplyInfo info = this.contactsApplyInfos.get(i);
                    if (recvInfo.from_peer.user_id != info.from_peer.user_id) {
                        i++;
                    } else {
                        this.contactsApplyInfos.remove(i);
                        break;
                    }
                }
                this.contactsApplyInfos.add(0, recvInfo);
                groupingApplyInfos(this.contactsApplyInfos);
                ListAdapter listAdapter2 = this.adapter;
                if (listAdapter2 != null) {
                    listAdapter2.setList(this.mapKeysList, this.map, false);
                    this.adapter.notifyDataSetChanged();
                }
                getMessagesController().handleUpdatesContactsApply(0);
                getNotificationCenter().postNotificationName(NotificationCenter.contactApplyUpdateCount, 0);
            }
        } else if (id == NotificationCenter.contactApplieReceived) {
            this.contactsApplyInfos = (ArrayList) args[0];
            ArrayList<TLRPC.User> arrayList2 = (ArrayList) args[1];
            this.users = arrayList2;
            Iterator<TLRPC.User> it = arrayList2.iterator();
            while (it.hasNext()) {
                TLRPC.User user = it.next();
                this.userMap.put(Integer.valueOf(user.id), user);
            }
            groupingApplyInfos(this.contactsApplyInfos);
            ListAdapter listAdapter3 = this.adapter;
            if (listAdapter3 != null) {
                listAdapter3.setList(this.mapKeysList, this.map, false);
                this.adapter.notifyDataSetChanged();
            }
        } else if (id == NotificationCenter.contactApplyUpdateCount && this.adapter != null && args != null && args.length > 0) {
            ((Integer) args[0]).intValue();
            this.adapter.isFirst = false;
            this.adapter.notifyDataSetChanged();
        }
    }

    /* loaded from: classes18.dex */
    public class ListAdapter extends RecyclerListView.SectionsAdapter {
        private boolean isFirst;
        private ArrayList<String> list;
        private Context mContext;
        private HashMap<String, ArrayList<TLRPCContacts.ContactApplyInfo>> updateMaps;

        void setList(ArrayList<String> list, HashMap<String, ArrayList<TLRPCContacts.ContactApplyInfo>> map, boolean isFirst) {
            this.list = list;
            this.updateMaps = map;
            this.isFirst = isFirst;
        }

        ListAdapter(Context context) {
            NewFriendsActivity.this = r1;
            this.mContext = context;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter, androidx.recyclerview.widget.RecyclerView.Adapter
        public void notifyDataSetChanged() {
            super.notifyDataSetChanged();
            int count = super.getItemCount();
            if (this.isFirst) {
                if (NewFriendsActivity.this.progressBar.getVisibility() != 0) {
                    NewFriendsActivity.this.progressBar.setVisibility(0);
                    return;
                }
                return;
            }
            NewFriendsActivity.this.progressBar.setVisibility(8);
            NewFriendsActivity.this.emptyLayout.setVisibility(count != 1 ? 8 : 0);
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter, androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            int count = 1;
            if (this.updateMaps != null) {
                Iterator<String> it = this.list.iterator();
                while (it.hasNext()) {
                    String item = it.next();
                    count += this.updateMaps.get(item).size();
                }
            }
            return count;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public int getSectionCount() {
            return this.list.size() + 1;
        }

        public int getPositionForSection(int section) {
            if (section == -1) {
                return -1;
            }
            int positionStart = 0;
            int N = getSectionCount();
            for (int i = 0; i < N; i++) {
                if (i >= section) {
                    return positionStart;
                }
                int count = getCountForSection(i);
                positionStart += count;
            }
            return -1;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public int getCountForSection(int section) {
            if (section == 0) {
                return 1;
            }
            return this.updateMaps.get(this.list.get(section - 1)).size();
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public boolean isEnabled(int section, int row) {
            return true;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public int getItemViewType(int section, int position) {
            return section == 0 ? 0 : 1;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public Object getItem(int section, int position) {
            if (section == 0) {
                return null;
            }
            String key = this.list.get(section - 1);
            ArrayList<TLRPCContacts.ContactApplyInfo> updates = this.updateMaps.get(key);
            return updates.get(position);
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public void onBindViewHolder(int section, int position, RecyclerView.ViewHolder holder) {
            Drawable bg;
            switch (holder.getItemViewType()) {
                case 0:
                default:
                    return;
                case 1:
                    SwipeLayout swipeLayout = (SwipeLayout) holder.itemView;
                    swipeLayout.setItemWidth(AndroidUtilities.dp(65.0f));
                    int radius = AndroidUtilities.dp(5.0f);
                    if (getItemCount() == 1) {
                        bg = Theme.createRoundRectDrawable(radius, Theme.getColor(Theme.key_windowBackgroundWhite));
                    } else if (position == 0 || position == getItemCount() - 1) {
                        if (position == 0) {
                            bg = Theme.createRoundRectDrawable(radius, radius, 0.0f, 0.0f, Theme.getColor(Theme.key_windowBackgroundWhite));
                        } else {
                            bg = Theme.createRoundRectDrawable(0.0f, 0.0f, radius, radius, Theme.getColor(Theme.key_windowBackgroundWhite));
                        }
                    } else {
                        bg = new ColorDrawable(Theme.getColor(Theme.key_windowBackgroundWhite));
                    }
                    swipeLayout.setRightTexts(LocaleController.getString(R.string.Delete));
                    swipeLayout.setRightColors(Theme.getColor(Theme.key_chat_inRedCall));
                    swipeLayout.setRightTextColors(-1);
                    swipeLayout.setTextSize(AndroidUtilities.sp2px(12.0f));
                    swipeLayout.setCanFullSwipeFromRight(false);
                    swipeLayout.setCanFullSwipeFromLeft(false);
                    swipeLayout.setAutoHideSwipe(true);
                    swipeLayout.setOnlyOneSwipe(true);
                    swipeLayout.rebuildLayout();
                    RelativeLayout rlMainLayout = (RelativeLayout) holder.itemView.findViewById(R.id.rlMainLayout);
                    rlMainLayout.setBackground(bg);
                    BackupImageView avatar = (BackupImageView) holder.itemView.findViewById(R.id.avatarImage);
                    avatar.setRoundRadius(AndroidUtilities.dp(7.5f));
                    TextView nameText = (TextView) holder.itemView.findViewById(R.id.nameText);
                    TextView bioText = (TextView) holder.itemView.findViewById(R.id.bioText);
                    MryRoundButton statusBtn = (MryRoundButton) holder.itemView.findViewById(R.id.statusText);
                    statusBtn.setPrimaryRoundFillStyle(AndroidUtilities.dp(26.0f));
                    statusBtn.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(8.0f), Theme.getColor(Theme.key_windowBackgroundWhiteBlueButton)));
                    TextView statusText2 = (TextView) holder.itemView.findViewById(R.id.statusText2);
                    DividerCell divider = (DividerCell) holder.itemView.findViewById(R.id.divider);
                    nameText.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText));
                    statusText2.setTextColor(-4737097);
                    RelativeLayout.LayoutParams lp1 = (RelativeLayout.LayoutParams) statusBtn.getLayoutParams();
                    lp1.rightMargin = AndroidUtilities.dp(5.0f);
                    statusBtn.setLayoutParams(lp1);
                    RelativeLayout.LayoutParams lp2 = (RelativeLayout.LayoutParams) statusText2.getLayoutParams();
                    lp2.rightMargin = AndroidUtilities.dp(19.5f);
                    statusText2.setLayoutParams(lp2);
                    rlMainLayout.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    if (position == getCountForSection(section) - 1) {
                        divider.setVisibility(8);
                        if (section == getSectionCount() - 1) {
                            rlMainLayout.setBackground(Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                        }
                    }
                    final TLRPCContacts.ContactApplyInfo info = (TLRPCContacts.ContactApplyInfo) getItem(section, position);
                    TLRPC.User user = (TLRPC.User) NewFriendsActivity.this.userMap.get(Integer.valueOf(info.from_peer.user_id));
                    if (user == null) {
                        user = NewFriendsActivity.this.getMessagesController().getUser(Integer.valueOf(info.from_peer.user_id));
                    }
                    AvatarDrawable avatarDrawable = new AvatarDrawable(user);
                    avatarDrawable.setColor(Theme.getColor(Theme.key_avatar_backgroundInProfileBlue));
                    avatar.setImage(ImageLocation.getForUser(user, false), "50_50", avatarDrawable, user);
                    if (user != null) {
                        nameText.setText(UserObject.getName(user));
                    }
                    bioText.setText(info.greet);
                    if (info.state == 0) {
                        statusBtn.setText(LocaleController.getString("Agree", R.string.Agree));
                        statusBtn.setVisibility(0);
                        statusText2.setVisibility(8);
                        if (NewFriendsActivity.this.getConnectionsManager().getCurrentTime() > info.expire) {
                            statusText2.setText(LocaleController.getString("RequestExpired", R.string.RequestExpired));
                            statusBtn.setVisibility(8);
                            statusText2.setVisibility(0);
                        }
                    } else if (info.state == 1) {
                        statusText2.setText(LocaleController.getString("ApplyApproved", R.string.ApplyApproved));
                        statusBtn.setVisibility(8);
                        statusText2.setVisibility(0);
                    }
                    swipeLayout.setOnSwipeItemClickListener(new SwipeLayout.OnSwipeItemClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$ListAdapter$$ExternalSyntheticLambda5
                        @Override // im.uecahxyvjd.ui.hviews.slidemenu.SwipeLayout.OnSwipeItemClickListener
                        public final void onSwipeItemClick(boolean z, int i) {
                            NewFriendsActivity.ListAdapter.this.m3177x9f04e77c(info, z, i);
                        }
                    });
                    statusBtn.getParent().requestDisallowInterceptTouchEvent(true);
                    statusBtn.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$ListAdapter$$ExternalSyntheticLambda6
                        @Override // android.view.View.OnClickListener
                        public final void onClick(View view) {
                            NewFriendsActivity.ListAdapter.this.m3183xacb9f4d5(info, view);
                        }
                    });
                    return;
            }
        }

        /* renamed from: lambda$onBindViewHolder$2$im-uecahxyvjd-ui-hui-contacts-NewFriendsActivity$ListAdapter */
        public /* synthetic */ void m3177x9f04e77c(final TLRPCContacts.ContactApplyInfo info, boolean left, int index) {
            XDialog.Builder builder = new XDialog.Builder(NewFriendsActivity.this.getParentActivity());
            builder.setMessage(LocaleController.getString("SureDeleteApply", R.string.SureDeleteApply));
            builder.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
            builder.setPositiveButton(LocaleController.getString("OK", R.string.OK), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$ListAdapter$$ExternalSyntheticLambda0
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i) {
                    NewFriendsActivity.ListAdapter.this.m3175x7688083e(info, dialogInterface, i);
                }
            });
            XDialog xDialog = builder.create();
            NewFriendsActivity.this.showDialog(xDialog);
            xDialog.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$ListAdapter$$ExternalSyntheticLambda1
                @Override // android.content.DialogInterface.OnCancelListener
                public final void onCancel(DialogInterface dialogInterface) {
                    NewFriendsActivity.ListAdapter.this.m3176xac677dd(dialogInterface);
                }
            });
        }

        /* renamed from: lambda$onBindViewHolder$0$im-uecahxyvjd-ui-hui-contacts-NewFriendsActivity$ListAdapter */
        public /* synthetic */ void m3175x7688083e(TLRPCContacts.ContactApplyInfo info, DialogInterface dialog, int which) {
            ArrayList<Integer> ids = new ArrayList<>();
            ids.add(Integer.valueOf(info.id));
            NewFriendsActivity.this.deleteApplyRequest(ids);
        }

        /* renamed from: lambda$onBindViewHolder$1$im-uecahxyvjd-ui-hui-contacts-NewFriendsActivity$ListAdapter */
        public /* synthetic */ void m3176xac677dd(DialogInterface dialog) {
            NewFriendsActivity.this.adapter.notifyDataSetChanged();
        }

        /* renamed from: lambda$onBindViewHolder$9$im-uecahxyvjd-ui-hui-contacts-NewFriendsActivity$ListAdapter */
        public /* synthetic */ void m3183xacb9f4d5(final TLRPCContacts.ContactApplyInfo info, View v) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$ListAdapter$$ExternalSyntheticLambda8
                @Override // java.lang.Runnable
                public final void run() {
                    NewFriendsActivity.ListAdapter.this.m3182x187b8536(info);
                }
            });
        }

        /* renamed from: lambda$onBindViewHolder$8$im-uecahxyvjd-ui-hui-contacts-NewFriendsActivity$ListAdapter */
        public /* synthetic */ void m3182x187b8536(final TLRPCContacts.ContactApplyInfo info) {
            WalletDialogUtil.showWalletDialog(NewFriendsActivity.this, null, LocaleController.getString("AcceptContactTip", R.string.AcceptContactTip), LocaleController.getString("Cancel", R.string.Cancel), LocaleController.getString("OK", R.string.OK), null, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$ListAdapter$$ExternalSyntheticLambda7
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i) {
                    NewFriendsActivity.ListAdapter.this.m3181x843d1597(info, dialogInterface, i);
                }
            }, null);
        }

        /* renamed from: lambda$onBindViewHolder$7$im-uecahxyvjd-ui-hui-contacts-NewFriendsActivity$ListAdapter */
        public /* synthetic */ void m3181x843d1597(final TLRPCContacts.ContactApplyInfo info, DialogInterface dialogInterface, int i) {
            final XAlertDialog progressDialog = new XAlertDialog(NewFriendsActivity.this.getParentActivity(), 4);
            progressDialog.setLoadingText(LocaleController.getString(R.string.ApplyAdding));
            TLRPCContacts.AcceptContactApply req = new TLRPCContacts.AcceptContactApply();
            req.apply_id = info.id;
            req.group_id = 0;
            req.first_name = "";
            req.last_name = "";
            ConnectionsManager connectionsManager = NewFriendsActivity.this.getConnectionsManager();
            final int reqId = NewFriendsActivity.this.getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$ListAdapter$$ExternalSyntheticLambda3
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    NewFriendsActivity.ListAdapter.this.m3179x5bc03659(progressDialog, info, tLObject, tL_error);
                }
            });
            connectionsManager.bindRequestToGuid(reqId, NewFriendsActivity.this.classGuid);
            progressDialog.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$ListAdapter$$ExternalSyntheticLambda4
                @Override // android.content.DialogInterface.OnCancelListener
                public final void onCancel(DialogInterface dialogInterface2) {
                    NewFriendsActivity.ListAdapter.this.m3180xeffea5f8(reqId, dialogInterface2);
                }
            });
            progressDialog.show();
        }

        /* renamed from: lambda$onBindViewHolder$5$im-uecahxyvjd-ui-hui-contacts-NewFriendsActivity$ListAdapter */
        public /* synthetic */ void m3179x5bc03659(final XAlertDialog progressDialog, final TLRPCContacts.ContactApplyInfo info, final TLObject response, final TLRPC.TL_error error) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$ListAdapter$$ExternalSyntheticLambda2
                @Override // java.lang.Runnable
                public final void run() {
                    NewFriendsActivity.ListAdapter.this.m3178xc781c6ba(error, progressDialog, response, info);
                }
            });
        }

        /* renamed from: lambda$onBindViewHolder$4$im-uecahxyvjd-ui-hui-contacts-NewFriendsActivity$ListAdapter */
        public /* synthetic */ void m3178xc781c6ba(TLRPC.TL_error error, final XAlertDialog progressDialog, TLObject response, TLRPCContacts.ContactApplyInfo info) {
            if (error != null) {
                progressDialog.dismiss();
                ToastUtils.show((CharSequence) ContactsUtils.getAboutContactsErrText(error));
                return;
            }
            TLRPC.Updates res = (TLRPC.Updates) response;
            NewFriendsActivity.this.getMessagesController().processUpdates(res, false);
            TLRPCContacts.ContactApplyInfo aInfo = new TLRPCContacts.ContactApplyInfo();
            aInfo.id = info.id;
            aInfo.state = 1;
            NewFriendsActivity.this.getNotificationCenter().postNotificationName(NotificationCenter.contactApplyUpdateState, Integer.valueOf(info.id), 1);
            progressDialog.setLoadingImage(NewFriendsActivity.this.getParentActivity().getResources().getDrawable(R.mipmap.ic_apply_send_done), AndroidUtilities.dp(30.0f), AndroidUtilities.dp(20.0f));
            progressDialog.setLoadingText(LocaleController.getString(R.string.AddedContacts));
            NewFriendsActivity.this.fragmentView.postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$ListAdapter$$ExternalSyntheticLambda9
                @Override // java.lang.Runnable
                public final void run() {
                    XAlertDialog.this.dismiss();
                }
            }, AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
        }

        /* renamed from: lambda$onBindViewHolder$6$im-uecahxyvjd-ui-hui-contacts-NewFriendsActivity$ListAdapter */
        public /* synthetic */ void m3180xeffea5f8(int reqId, DialogInterface hintDialog) {
            NewFriendsActivity.this.getConnectionsManager().cancelRequest(reqId, true);
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public View getSectionHeaderView(int section, View view) {
            return null;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view = null;
            switch (viewType) {
                case 0:
                    view = new View(this.mContext);
                    break;
                case 1:
                    view = new SwipeLayout(this.mContext) { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity.ListAdapter.1
                        {
                            ListAdapter.this = this;
                        }

                        @Override // android.view.View
                        public boolean onTouchEvent(MotionEvent event) {
                            if (isExpanded()) {
                                return true;
                            }
                            return super.onTouchEvent(event);
                        }
                    };
                    ((ViewGroup) view).setClipChildren(false);
                    SwipeLayout swipeLayout = (SwipeLayout) view;
                    View cell = LayoutInflater.from(this.mContext).inflate(R.layout.item_contacts_apply_layout, parent, false);
                    swipeLayout.setUpView(cell);
                    view.setLayoutParams(new RecyclerView.LayoutParams(-1, AndroidUtilities.dp(65.0f)));
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.FastScrollAdapter
        public String getLetter(int position) {
            int section = getSectionForPosition(position);
            if (section == 0) {
                return null;
            }
            return this.list.get(section - 1);
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.FastScrollAdapter
        public int getPositionForScrollProgress(float progress) {
            return (int) (getItemCount() * progress);
        }
    }

    private void notifyServerClearUnread() {
        TLRPCContacts.ClearUnreadApply req = new TLRPCContacts.ClearUnreadApply();
        req.max_apply_id = MessagesController.getMainSettings(this.currentAccount).getInt("contacts_apply_id", 0);
        getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$$ExternalSyntheticLambda0
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                NewFriendsActivity.lambda$notifyServerClearUnread$3(tLObject, tL_error);
            }
        });
    }

    public static /* synthetic */ void lambda$notifyServerClearUnread$3(TLObject response, TLRPC.TL_error error) {
    }

    public void deleteApplyRequest(final ArrayList<Integer> ids) {
        TLRPCContacts.DeleteContactApply req = new TLRPCContacts.DeleteContactApply();
        TLRPCContacts.DeleteActionClearSome action = new TLRPCContacts.DeleteActionClearSome();
        action.ids = ids;
        req.action = action;
        getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$$ExternalSyntheticLambda1
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                NewFriendsActivity.this.m3172x3338154c(ids, tLObject, tL_error);
            }
        });
    }

    /* renamed from: lambda$deleteApplyRequest$6$im-uecahxyvjd-ui-hui-contacts-NewFriendsActivity */
    public /* synthetic */ void m3172x3338154c(ArrayList ids, TLObject response, TLRPC.TL_error error) {
        if (error != null) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$$ExternalSyntheticLambda9
                @Override // java.lang.Runnable
                public final void run() {
                    NewFriendsActivity.this.m3170x4fe4c90e();
                }
            });
        } else if (response instanceof TLRPC.TL_boolTrue) {
            Iterator it = ids.iterator();
            while (it.hasNext()) {
                Integer id = (Integer) it.next();
                int index = getIndex(id.intValue());
                if (index != -1) {
                    this.contactsApplyInfos.remove(getIndex(id.intValue()));
                }
                this.users.remove(getMessagesController().getUser(id));
            }
            AndroidUtilities.runOnUIThread(new NewFriendsActivity$$ExternalSyntheticLambda4(this));
        } else {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$$ExternalSyntheticLambda10
                @Override // java.lang.Runnable
                public final void run() {
                    NewFriendsActivity.this.m3171x418e6f2d();
                }
            });
        }
    }

    /* renamed from: lambda$deleteApplyRequest$4$im-uecahxyvjd-ui-hui-contacts-NewFriendsActivity */
    public /* synthetic */ void m3170x4fe4c90e() {
        AlertsCreator.showSimpleAlert(this, LocaleController.getString("new_friends_delete_fail", R.string.new_friends_delete_fail));
    }

    /* renamed from: lambda$deleteApplyRequest$5$im-uecahxyvjd-ui-hui-contacts-NewFriendsActivity */
    public /* synthetic */ void m3171x418e6f2d() {
        AlertsCreator.showSimpleAlert(this, LocaleController.getString("new_friends_delete_fail", R.string.new_friends_delete_fail));
    }

    private void deleteAllRequsts() {
        TLRPCContacts.DeleteContactApply req = new TLRPCContacts.DeleteContactApply();
        TLRPCContacts.DeleteActionClearHistory action = new TLRPCContacts.DeleteActionClearHistory();
        action.max_id = MessagesController.getMainSettings(this.currentAccount).getInt("contacts_apply_id", 0);
        req.action = action;
        getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$$ExternalSyntheticLambda2
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                NewFriendsActivity.this.m3169x66e559f0(tLObject, tL_error);
            }
        });
    }

    /* renamed from: lambda$deleteAllRequsts$9$im-uecahxyvjd-ui-hui-contacts-NewFriendsActivity */
    public /* synthetic */ void m3169x66e559f0(TLObject response, TLRPC.TL_error error) {
        if (error != null) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$$ExternalSyntheticLambda3
                @Override // java.lang.Runnable
                public final void run() {
                    NewFriendsActivity.this.m3167x83920db2();
                }
            });
        } else if (response instanceof TLRPC.TL_boolTrue) {
            this.contactsApplyInfos.clear();
            this.users.clear();
            AndroidUtilities.runOnUIThread(new NewFriendsActivity$$ExternalSyntheticLambda4(this));
        } else {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.contacts.NewFriendsActivity$$ExternalSyntheticLambda5
                @Override // java.lang.Runnable
                public final void run() {
                    NewFriendsActivity.this.m3168x753bb3d1();
                }
            });
        }
    }

    /* renamed from: lambda$deleteAllRequsts$7$im-uecahxyvjd-ui-hui-contacts-NewFriendsActivity */
    public /* synthetic */ void m3167x83920db2() {
        AlertsCreator.showSimpleAlert(this, LocaleController.getString("new_friends_delete_fail", R.string.new_friends_delete_fail));
    }

    /* renamed from: lambda$deleteAllRequsts$8$im-uecahxyvjd-ui-hui-contacts-NewFriendsActivity */
    public /* synthetic */ void m3168x753bb3d1() {
        AlertsCreator.showSimpleAlert(this, LocaleController.getString("new_friends_delete_fail", R.string.new_friends_delete_fail));
    }

    public void notifyListUpdate() {
        this.userMap.clear();
        Iterator<TLRPC.User> it = this.users.iterator();
        while (it.hasNext()) {
            TLRPC.User user = it.next();
            this.userMap.put(Integer.valueOf(user.id), user);
        }
        groupingApplyInfos(this.contactsApplyInfos);
        this.adapter.setList(this.mapKeysList, this.map, false);
        this.adapter.notifyDataSetChanged();
    }

    private int getIndex(int id) {
        if (this.contactsApplyInfos != null) {
            for (int i = 0; i < this.contactsApplyInfos.size(); i++) {
                if (this.contactsApplyInfos.get(i).id == id) {
                    return i;
                }
            }
            return -1;
        }
        return -1;
    }
}
