package im.uecahxyvjd.ui.hui.contacts;

import android.content.Context;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.ImageView;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCContacts;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.dialogs.WalletDialog;
import im.uecahxyvjd.ui.hcells.MryDividerCell;
import im.uecahxyvjd.ui.hviews.MryEmptyView;
import im.uecahxyvjd.ui.hviews.MryTextView;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
/* loaded from: classes18.dex */
public class SelectGroupingActivity extends BaseFragment implements NotificationCenter.NotificationCenterDelegate {
    private static final int item_done = 1;
    private int contactsHash;
    private Context context;
    private int defaultGroupId;
    private MryEmptyView emptyView;
    private List<TLRPCContacts.TL_contactsGroupInfo> groupInfos;
    private ListAdapter listAdapter;
    RecyclerListView listView;
    private SelectGroupingActivityDelegate mDelegate;
    private TLRPCContacts.TL_contactsGroupInfo selectedGroup;
    private TLRPC.User user;
    private int user_id;

    /* loaded from: classes18.dex */
    public interface SelectGroupingActivityDelegate {
        void onFinish(TLRPCContacts.TL_contactsGroupInfo tL_contactsGroupInfo);
    }

    public SelectGroupingActivity(Bundle args) {
        super(args);
        this.groupInfos = new ArrayList();
    }

    public void setDelegate(SelectGroupingActivityDelegate delegate) {
        this.mDelegate = delegate;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        this.swipeBackEnabled = false;
        if (this.arguments != null) {
            this.user_id = this.arguments.getInt("user_id");
            this.defaultGroupId = this.arguments.getInt("groupId");
        }
        TLRPC.User user = getMessagesController().getUser(Integer.valueOf(this.user_id));
        this.user = user;
        if (user == null) {
            return false;
        }
        getNotificationCenter().addObserver(this, NotificationCenter.groupingChanged);
        return super.onFragmentCreate();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        getNotificationCenter().removeObserver(this, NotificationCenter.groupingChanged);
        super.onFragmentDestroy();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.context = context;
        this.fragmentView = new FrameLayout(context);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        useButterKnife();
        initActionBar();
        initEmptyView();
        initList();
        initData();
        return this.fragmentView;
    }

    private void initActionBar() {
        this.actionBar.setTitle(LocaleController.getString("SelectGrouping", R.string.SelectGrouping));
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.contacts.SelectGroupingActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == 1) {
                    if (SelectGroupingActivity.this.selectedGroup != null && SelectGroupingActivity.this.selectedGroup.group_id != SelectGroupingActivity.this.defaultGroupId) {
                        SelectGroupingActivity.this.saveGroup();
                    } else {
                        SelectGroupingActivity.this.finishFragment();
                    }
                }
            }
        });
        this.actionBar.setBackTitle(LocaleController.getString("Cancel", R.string.Cancel));
        this.actionBar.getBackTitleTextView().setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.SelectGroupingActivity$$ExternalSyntheticLambda5
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                SelectGroupingActivity.this.m3198x9d13d1d5(view);
            }
        });
        ActionBarMenu menu = this.actionBar.createMenu();
        menu.addItem(1, LocaleController.getString("Done", R.string.Done));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initActionBar$0$im-uecahxyvjd-ui-hui-contacts-SelectGroupingActivity  reason: not valid java name */
    public /* synthetic */ void m3198x9d13d1d5(View v) {
        TLRPCContacts.TL_contactsGroupInfo tL_contactsGroupInfo = this.selectedGroup;
        if (tL_contactsGroupInfo != null && tL_contactsGroupInfo.group_id != this.defaultGroupId) {
            showSaveDialog();
        } else {
            finishFragment();
        }
    }

    private void initList() {
        RecyclerListView recyclerListView = new RecyclerListView(this.context);
        this.listView = recyclerListView;
        recyclerListView.setLayoutManager(new LinearLayoutManager(this.context));
        RecyclerListView recyclerListView2 = this.listView;
        ListAdapter listAdapter = new ListAdapter();
        this.listAdapter = listAdapter;
        recyclerListView2.setAdapter(listAdapter);
        this.listView.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
        ((FrameLayout) this.fragmentView).addView(this.listView, LayoutHelper.createFrame(-1, -2, AndroidUtilities.dp(10.0f), AndroidUtilities.dp(10.0f), AndroidUtilities.dp(10.0f), AndroidUtilities.dp(10.0f)));
        this.listView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.SelectGroupingActivity$$ExternalSyntheticLambda3
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                SelectGroupingActivity.this.m3200xb58ad0b9(view, i);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initList$1$im-uecahxyvjd-ui-hui-contacts-SelectGroupingActivity  reason: not valid java name */
    public /* synthetic */ void m3200xb58ad0b9(View view, int position) {
        this.selectedGroup = this.groupInfos.get(position);
        ListAdapter listAdapter = this.listAdapter;
        if (listAdapter != null) {
            listAdapter.notifyDataSetChanged();
        }
    }

    private void initEmptyView() {
        MryEmptyView mryEmptyView = new MryEmptyView(getParentActivity());
        this.emptyView = mryEmptyView;
        mryEmptyView.attach(this);
        this.emptyView.setEmptyText("暂无分组");
        this.emptyView.setEmptyBtnText(LocaleController.getString("AddGrouping", R.string.AddGrouping));
        this.emptyView.setEmptyResId(R.mipmap.img_empty_default);
        this.emptyView.setErrorResId(R.mipmap.img_empty_default);
        this.emptyView.setOnEmptyClickListener(new MryEmptyView.OnEmptyOrErrorClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.SelectGroupingActivity$$ExternalSyntheticLambda0
            @Override // im.uecahxyvjd.ui.hviews.MryEmptyView.OnEmptyOrErrorClickListener
            public final boolean onEmptyViewButtonClick(boolean z) {
                return SelectGroupingActivity.this.m3199xc01737de(z);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initEmptyView$2$im-uecahxyvjd-ui-hui-contacts-SelectGroupingActivity  reason: not valid java name */
    public /* synthetic */ boolean m3199xc01737de(boolean isEmptyButton) {
        if (isEmptyButton) {
            presentFragment(new CreateGroupingActivity());
            return false;
        }
        getContacts();
        return false;
    }

    private void initData() {
        getContacts();
    }

    private void showSaveDialog() {
        WalletDialog dialog = new WalletDialog(getParentActivity());
        dialog.setMessage(LocaleController.getString("SaveGroupingChangeTips", R.string.SaveGroupingChangeTips));
        dialog.setPositiveButton(LocaleController.getString("Save", R.string.Save), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.SelectGroupingActivity$$ExternalSyntheticLambda6
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                SelectGroupingActivity.this.m3204xf1f48703(dialogInterface, i);
            }
        });
        dialog.setNegativeButton(LocaleController.getString("NotSave", R.string.NotSave), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.contacts.SelectGroupingActivity$$ExternalSyntheticLambda7
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                SelectGroupingActivity.this.m3205xc1005a2(dialogInterface, i);
            }
        });
        showDialog(dialog);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$showSaveDialog$3$im-uecahxyvjd-ui-hui-contacts-SelectGroupingActivity  reason: not valid java name */
    public /* synthetic */ void m3204xf1f48703(DialogInterface dialogInterface, int i) {
        saveGroup();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$showSaveDialog$4$im-uecahxyvjd-ui-hui-contacts-SelectGroupingActivity  reason: not valid java name */
    public /* synthetic */ void m3205xc1005a2(DialogInterface dialogInterface, int i) {
        finishFragment();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void saveGroup() {
        if (this.user != null) {
            final AlertDialog alertDialog = new AlertDialog(getParentActivity(), 3);
            TLRPCContacts.TL_setUserGroup req = new TLRPCContacts.TL_setUserGroup();
            req.group_id = this.selectedGroup.group_id;
            TLRPCContacts.TL_inputPeerUserChange inputPeer = new TLRPCContacts.TL_inputPeerUserChange();
            inputPeer.access_hash = this.user.access_hash;
            inputPeer.user_id = this.user.id;
            inputPeer.fist_name = this.user.first_name;
            req.users.add(inputPeer);
            final int reqId = getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.contacts.SelectGroupingActivity$$ExternalSyntheticLambda1
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    SelectGroupingActivity.this.m3202x420d6c3a(alertDialog, tLObject, tL_error);
                }
            });
            getConnectionsManager().bindRequestToGuid(reqId, this.classGuid);
            alertDialog.setOnDismissListener(new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.contacts.SelectGroupingActivity$$ExternalSyntheticLambda2
                @Override // android.content.DialogInterface.OnDismissListener
                public final void onDismiss(DialogInterface dialogInterface) {
                    SelectGroupingActivity.this.m3203x5c28ead9(reqId, dialogInterface);
                }
            });
            showDialog(alertDialog);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$saveGroup$6$im-uecahxyvjd-ui-hui-contacts-SelectGroupingActivity  reason: not valid java name */
    public /* synthetic */ void m3202x420d6c3a(final AlertDialog alertDialog, final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.contacts.SelectGroupingActivity$$ExternalSyntheticLambda4
            @Override // java.lang.Runnable
            public final void run() {
                SelectGroupingActivity.this.m3201x27f1ed9b(alertDialog, error, response);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$saveGroup$5$im-uecahxyvjd-ui-hui-contacts-SelectGroupingActivity  reason: not valid java name */
    public /* synthetic */ void m3201x27f1ed9b(AlertDialog alertDialog, TLRPC.TL_error error, TLObject response) {
        alertDialog.dismiss();
        if (error == null) {
            if (response instanceof TLRPC.TL_boolTrue) {
                SelectGroupingActivityDelegate selectGroupingActivityDelegate = this.mDelegate;
                if (selectGroupingActivityDelegate != null) {
                    selectGroupingActivityDelegate.onFinish(this.selectedGroup);
                }
                finishFragment();
                return;
            }
            ToastUtils.show((CharSequence) "修改分组失败，请稍后重试");
            return;
        }
        ToastUtils.show((CharSequence) error.text);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$saveGroup$7$im-uecahxyvjd-ui-hui-contacts-SelectGroupingActivity  reason: not valid java name */
    public /* synthetic */ void m3203x5c28ead9(int reqId, DialogInterface dialog1) {
        getConnectionsManager().cancelRequest(reqId, true);
    }

    public void getContacts() {
        this.emptyView.showLoading();
        TLRPCContacts.TL_getContactsV1 req = new TLRPCContacts.TL_getContactsV1();
        req.hash = this.contactsHash;
        getConnectionsManager().bindRequestToGuid(getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.contacts.SelectGroupingActivity$$ExternalSyntheticLambda8
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                SelectGroupingActivity.this.m3197xdf56c630(tLObject, tL_error);
            }
        }), this.classGuid);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getContacts$9$im-uecahxyvjd-ui-hui-contacts-SelectGroupingActivity  reason: not valid java name */
    public /* synthetic */ void m3197xdf56c630(final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.contacts.SelectGroupingActivity$$ExternalSyntheticLambda9
            @Override // java.lang.Runnable
            public final void run() {
                SelectGroupingActivity.this.m3196xc53b4791(error, response);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getContacts$8$im-uecahxyvjd-ui-hui-contacts-SelectGroupingActivity  reason: not valid java name */
    public /* synthetic */ void m3196xc53b4791(TLRPC.TL_error error, TLObject response) {
        if (error == null) {
            if (response instanceof TLRPCContacts.TL_contactsV1) {
                TLRPCContacts.TL_contactsV1 contacts = (TLRPCContacts.TL_contactsV1) response;
                this.contactsHash = contacts.hash;
                if (!contacts.users.isEmpty()) {
                    Iterator<TLRPC.User> it = contacts.users.iterator();
                    while (it.hasNext()) {
                        TLRPC.User user = it.next();
                        getMessagesController().putUser(user, false);
                    }
                }
                this.groupInfos.clear();
                this.groupInfos.addAll(contacts.group_infos);
                if (this.groupInfos.isEmpty()) {
                    this.emptyView.showEmpty();
                } else {
                    Iterator<TLRPCContacts.TL_contactsGroupInfo> it2 = this.groupInfos.iterator();
                    while (true) {
                        if (!it2.hasNext()) {
                            break;
                        }
                        TLRPCContacts.TL_contactsGroupInfo groupInfo = it2.next();
                        if (groupInfo.group_id == this.defaultGroupId) {
                            this.selectedGroup = groupInfo;
                            break;
                        }
                    }
                    this.emptyView.showContent();
                }
                ListAdapter listAdapter = this.listAdapter;
                if (listAdapter != null) {
                    listAdapter.notifyDataSetChanged();
                    return;
                }
                return;
            }
            return;
        }
        this.emptyView.showError(error.text);
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        if (id == NotificationCenter.groupingChanged) {
            getContacts();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes18.dex */
    public class ListAdapter extends RecyclerListView.SelectionAdapter {
        private ListAdapter() {
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return false;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view = LayoutInflater.from(SelectGroupingActivity.this.context).inflate(R.layout.item_select_grouping, parent, false);
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            MryTextView tvGroupName = (MryTextView) holder.itemView.findViewById(R.id.tv_group_name);
            ImageView ivSelector = (ImageView) holder.itemView.findViewById(R.id.iv_selector);
            MryDividerCell divider = (MryDividerCell) holder.itemView.findViewById(R.id.divider);
            tvGroupName.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText));
            int i = 0;
            if (position == getItemCount() - 1) {
                divider.setVisibility(position != getItemCount() + (-1) ? 0 : 8);
            }
            TLRPCContacts.TL_contactsGroupInfo groupInfo = (TLRPCContacts.TL_contactsGroupInfo) SelectGroupingActivity.this.groupInfos.get(position);
            tvGroupName.setText(groupInfo.title);
            ivSelector.setVisibility((SelectGroupingActivity.this.selectedGroup == null || SelectGroupingActivity.this.selectedGroup.group_id != groupInfo.group_id) ? 8 : 8);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return SelectGroupingActivity.this.groupInfos.size();
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onBackPressed() {
        TLRPCContacts.TL_contactsGroupInfo tL_contactsGroupInfo = this.selectedGroup;
        if (tL_contactsGroupInfo != null && tL_contactsGroupInfo.group_id != this.defaultGroupId) {
            showSaveDialog();
            return false;
        }
        return super.onBackPressed();
    }
}
