package im.uecahxyvjd.ui.hui.discovery;

import android.content.ClipData;
import android.content.ClipboardManager;
import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ScrollView;
import android.widget.TextView;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
/* loaded from: classes17.dex */
public class QrScanResultActivity extends BaseFragment {
    private Context mContext;
    private TextView mTvResult;
    private String text;

    public QrScanResultActivity(String text) {
        this.text = text;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.mContext = context;
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_qr_scan_result, (ViewGroup) null);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        initView();
        initActionBar();
        return this.fragmentView;
    }

    private void initView() {
        ScrollView scrollView = (ScrollView) this.fragmentView.findViewById(R.id.scroll_view);
        this.mTvResult = (TextView) this.fragmentView.findViewById(R.id.tv_result);
        scrollView.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
        this.mTvResult.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText));
        this.mTvResult.setText(this.text);
    }

    private void initActionBar() {
        this.actionBar.setTitle(LocaleController.getString("QrScanResult", R.string.QrScanResult));
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        ActionBarMenu menu = this.actionBar.createMenu();
        menu.addItem(1, LocaleController.getString("Copy", R.string.Copy));
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.discovery.QrScanResultActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    QrScanResultActivity.this.finishFragment();
                } else if (id == 1) {
                    QrScanResultActivity.this.copy();
                }
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void copy() {
        String result = this.mTvResult.getText().toString().trim();
        ClipboardManager clipboard = (ClipboardManager) this.mContext.getSystemService("clipboard");
        ClipData clip = ClipData.newPlainText("result", result);
        clipboard.setPrimaryClip(clip);
        ToastUtils.show((int) R.string.CopySuccess);
    }
}
