package im.uecahxyvjd.ui.hui.discoveryweb;

import android.animation.AnimatorSet;
import android.app.Dialog;
import android.content.ClipData;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.graphics.Bitmap;
import android.graphics.Rect;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Message;
import android.text.TextUtils;
import android.view.DisplayCutout;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.WindowInsets;
import android.view.animation.RotateAnimation;
import android.webkit.DownloadListener;
import android.webkit.GeolocationPermissions;
import android.webkit.JsPromptResult;
import android.webkit.JsResult;
import android.webkit.PermissionRequest;
import android.webkit.ValueCallback;
import android.webkit.WebChromeClient;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.FrameLayout;
import android.widget.ImageView;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;
import com.google.android.exoplayer2.C;
import com.google.android.gms.common.internal.ImagesContract;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RadialProgressView;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.hui.discoveryweb.DiscoveryJumpToPage;
import im.uecahxyvjd.ui.hviews.dragView.DragCallBack;
import im.uecahxyvjd.ui.hviews.dragView.DragHelperFrameLayout;
import java.util.List;
/* loaded from: classes9.dex */
public class DiscoveryJumpToPage extends BaseFragment implements View.OnClickListener {
    private static volatile DiscoveryJumpToPage Instance = null;
    private static final int REQUEST_CODE_FILE = 67;
    private static final int REQUEST_CODE_LOCATION = 99;
    private ChromeClient chromeClient;
    private View containerGuideRoot;
    private View containerMenu;
    private DragHelperFrameLayout dragHelperFrameLayout;
    private ImageView imgRefresh;
    private ImageView ivClose;
    private ImageView ivShowMenuDialog;
    private AnimatorSet mAnimatorSet;
    private RotateAnimation mRefreshAnimation;
    private List<String> mUrlList;
    private volatile boolean needToDestroyWebView;
    private RadialProgressView progressView;
    private String title;
    private String url;
    private volatile boolean viewIsInit;
    private WebClient webClient;
    private volatile WebView webView;
    private FrameLayout webViewContainer;
    private volatile boolean webViewIsInit;

    public static boolean checkCanToPausedPlayGamePage() {
        return Instance != null;
    }

    public static DiscoveryJumpToPage toPage(String title, String url) {
        Instance = new DiscoveryJumpToPage();
        Bundle args = new Bundle();
        args.putString("title", title);
        args.putString(ImagesContract.URL, url);
        Instance.setArguments(args);
        return Instance;
    }

    public static DiscoveryJumpToPage toPausedPlayGamePage() {
        if (Instance == null) {
            throw new IllegalArgumentException("The static PlayGameActivity is null, please check it.");
        }
        return Instance;
    }

    public static void hideGameWebView(BaseFragment currentPage) {
        if (Instance == null) {
            return;
        }
        if (Instance.webView != null) {
            try {
                ViewParent parent = Instance.webView.getParent();
                if (parent != null) {
                    ((FrameLayout) parent).removeView(Instance.webView);
                }
                Instance.webView.setWebViewClient(null);
                Instance.webView.setWebChromeClient(null);
                Instance.webView.stopLoading();
            } catch (Exception e) {
                FileLog.e(e);
            }
        }
        NotificationCenter.getGlobalInstance().postNotificationName(NotificationCenter.folderWebView, new Object[0]);
        if (currentPage != null && !currentPage.isFinishing()) {
            currentPage.finishFragment();
        }
    }

    public static void destroyGameWebView() {
        if (Instance == null) {
            return;
        }
        if (Instance.webView != null) {
            Instance.webView.setLayerType(0, null);
            try {
                ViewParent parent = Instance.webView.getParent();
                if (parent != null) {
                    ((FrameLayout) parent).removeView(Instance.webView);
                }
                Instance.webView.stopLoading();
                Instance.webView.loadUrl("about:blank");
                Instance.webView.setWebViewClient(null);
                Instance.webView.setWebChromeClient(null);
                Instance.webView.destroy();
                Instance.webView = null;
            } catch (Exception e) {
                FileLog.e(e);
            }
        }
        Instance = null;
    }

    public static String getTitle() {
        if (Instance != null) {
            return Instance.title;
        }
        return "";
    }

    private DiscoveryJumpToPage() {
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        if (getArguments() != null) {
            this.title = getArguments().getString("title");
            this.url = getArguments().getString(ImagesContract.URL);
        }
        if (TextUtils.isEmpty(this.url)) {
            return false;
        }
        return super.onFragmentCreate();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        DragHelperFrameLayout dragHelperFrameLayout = (DragHelperFrameLayout) LayoutInflater.from(context).inflate(R.layout.activity_discovery_jump_to_page, (ViewGroup) null, false);
        this.dragHelperFrameLayout = dragHelperFrameLayout;
        this.fragmentView = dragHelperFrameLayout;
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        getParentActivity().setRequestedOrientation(7);
        System.out.println("发现页发现页：" + this.url);
        initView(context);
        initWebView(false);
        if (this.containerGuideRoot != null && checkShowGuide()) {
            this.containerGuideRoot.setVisibility(checkShowGuide() ? 0 : 8);
        }
        return this.fragmentView;
    }

    private void initView(Context context) {
        if (this.viewIsInit || context == null) {
            return;
        }
        this.ivClose = (ImageView) this.fragmentView.findViewById(R.id.ivClose);
        this.ivShowMenuDialog = (ImageView) this.fragmentView.findViewById(R.id.ivShowMenuDialog);
        setInPreviewMode(true);
        this.actionBar.setAddToContainer(false);
        this.containerGuideRoot = this.fragmentView.findViewById(R.id.containerGuideRoot);
        this.imgRefresh = (ImageView) this.fragmentView.findViewById(R.id.img_refresh);
        this.containerMenu = this.fragmentView.findViewById(R.id.containerMenu);
        this.webViewContainer = (FrameLayout) this.fragmentView.findViewById(R.id.containerWebView);
        RadialProgressView radialProgressView = (RadialProgressView) this.fragmentView.findViewById(R.id.progressView);
        this.progressView = radialProgressView;
        radialProgressView.setSize(AndroidUtilities.dp(20.0f));
        this.progressView.setStrokeWidth(2.0f);
        this.progressView.setProgressColor(-1);
        this.ivClose.setOnClickListener(this);
        this.ivShowMenuDialog.setOnClickListener(this);
        this.imgRefresh.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.discoveryweb.DiscoveryJumpToPage.1
            @Override // android.view.View.OnClickListener
            public void onClick(View v) {
                DiscoveryJumpToPage.this.webView.reload();
            }
        });
        this.fragmentView.findViewById(R.id.btnPlayGameGuideKnown).setOnClickListener(this);
        this.dragHelperFrameLayout.setViewDragCallBack(new DragCallBack(this.dragHelperFrameLayout, this.containerMenu) { // from class: im.uecahxyvjd.ui.hui.discoveryweb.DiscoveryJumpToPage.2
            @Override // im.uecahxyvjd.ui.hviews.dragView.DragCallBack
            public List<Rect> getNotchRectList() {
                WindowInsets windowInsets;
                DisplayCutout displayCutout;
                if (Build.VERSION.SDK_INT >= 28 && (windowInsets = DiscoveryJumpToPage.this.getParentActivity().getWindow().getDecorView().getRootWindowInsets()) != null && (displayCutout = windowInsets.getDisplayCutout()) != null) {
                    return displayCutout.getBoundingRects();
                }
                return super.getNotchRectList();
            }
        });
        changeSystemStatusBar(false);
        this.viewIsInit = true;
    }

    private void initWebView(boolean fromResume) {
        if (this.webViewIsInit) {
            return;
        }
        this.webViewContainer.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
        if (this.webView == null) {
            this.webView = new WebView(getParentActivity()) { // from class: im.uecahxyvjd.ui.hui.discoveryweb.DiscoveryJumpToPage.3
                @Override // android.webkit.WebView
                public void goBack() {
                    super.goBack();
                }

                @Override // android.webkit.WebView, android.view.View
                public boolean onTouchEvent(MotionEvent event) {
                    DiscoveryJumpToPage.this.changeSystemStatusBar(false);
                    return super.onTouchEvent(event);
                }
            };
        }
        if (this.webView.getParent() == null) {
            this.webViewContainer.addView(this.webView, 0, LayoutHelper.createFrame(-1, -1.0f));
        }
        WebSettings webSettings = this.webView.getSettings();
        webSettings.setJavaScriptEnabled(true);
        webSettings.setLoadWithOverviewMode(true);
        webSettings.setUseWideViewPort(true);
        webSettings.setDomStorageEnabled(true);
        webSettings.setDatabaseEnabled(true);
        webSettings.setAllowFileAccessFromFileURLs(true);
        webSettings.setAllowUniversalAccessFromFileURLs(true);
        webSettings.setBlockNetworkImage(false);
        webSettings.setBuiltInZoomControls(true);
        webSettings.setDisplayZoomControls(false);
        webSettings.setDefaultTextEncodingName("UTF-8");
        webSettings.setSupportMultipleWindows(true);
        webSettings.setLayoutAlgorithm(WebSettings.LayoutAlgorithm.SINGLE_COLUMN);
        webSettings.setStandardFontFamily(C.SERIF_NAME);
        webSettings.setFixedFontFamily("monospace");
        webSettings.setMinimumFontSize(12);
        webSettings.setDefaultFontSize(16);
        webSettings.setGeolocationEnabled(true);
        webSettings.setNeedInitialFocus(true);
        webSettings.setPluginState(WebSettings.PluginState.ON);
        webSettings.setRenderPriority(WebSettings.RenderPriority.HIGH);
        webSettings.setUserAgentString("Mozilla/5.0 (Linux; Android 4.0.3; Galaxy Nexus Build/IML74K) AppleWebKit/535.19 (KHTML, like Gecko) Chrome/18.0.1025.166 Mobile Safari/535.19");
        webSettings.setMediaPlaybackRequiresUserGesture(true);
        webSettings.setSaveFormData(true);
        webSettings.setSavePassword(true);
        webSettings.setEnableSmoothTransition(true);
        if (Build.VERSION.SDK_INT >= 26) {
            webSettings.setSafeBrowsingEnabled(true);
        }
        if (Build.VERSION.SDK_INT >= 23) {
            webSettings.setOffscreenPreRaster(true);
        }
        if (Build.VERSION.SDK_INT >= 24) {
            webSettings.setDisabledActionModeMenuItems(2);
        }
        webSettings.setAllowContentAccess(true);
        this.webView.setWebViewClient(new WebClient());
        this.webView.setDownloadListener(new DownloadListener() { // from class: im.uecahxyvjd.ui.hui.discoveryweb.DiscoveryJumpToPage.4
            @Override // android.webkit.DownloadListener
            public void onDownloadStart(String url, String userAgent, String contentDisposition, String mimetype, long contentLength) {
                Uri uri = Uri.parse(url);
                Intent intent = new Intent("android.intent.action.VIEW", uri);
                DiscoveryJumpToPage.this.getParentActivity().startActivity(intent);
            }
        });
        this.webViewIsInit = true;
        if (!fromResume) {
            refresh();
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onResume() {
        super.onResume();
        initView(getParentActivity());
        initWebView(true);
        if (this.webView != null) {
            this.webView.onResume();
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onPause() {
        super.onPause();
        if (this.webView != null) {
            this.webView.onPause();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void changeSystemStatusBar(boolean check) {
        if (!check) {
            this.fragmentView.setSystemUiVisibility(this.fragmentView.getSystemUiVisibility() | 4);
            return;
        }
        this.fragmentView.getSystemUiVisibility();
        this.fragmentView.setSystemUiVisibility(this.fragmentView.getSystemUiVisibility() | 4);
    }

    private void refresh() {
        String _url;
        if (isFinishing()) {
            return;
        }
        List<String> list = this.mUrlList;
        if (list != null && list.size() > 1) {
            List<String> list2 = this.mUrlList;
            _url = list2.get(list2.size() - 1);
        } else {
            _url = this.url;
        }
        if (_url == null) {
            return;
        }
        if (!_url.startsWith("http://") && !_url.startsWith("https://")) {
            _url = "http://" + _url;
        }
        this.webView.loadUrl(_url);
    }

    private boolean canFinishThisPage() {
        return (this.webView == null || this.webView.canGoBack()) ? false : true;
    }

    public void finishThisPage() {
        this.needToDestroyWebView = true;
        finishFragment();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void showDialog(String message, boolean canCancel, boolean canCancelTouchOutside, String negativeBtnText, DialogInterface.OnClickListener negativeBtnClickListener, String positiveBtnText, DialogInterface.OnClickListener positiveBtnClickListener, DialogInterface.OnCancelListener cancelListener, DialogInterface.OnDismissListener dismissListener) {
        if (message == null) {
            return;
        }
        AlertDialog.Builder builder = new AlertDialog.Builder(getParentActivity());
        builder.setMessage(message);
        if (negativeBtnText != null) {
            builder.setNegativeButton(negativeBtnText, negativeBtnClickListener);
        }
        if (positiveBtnText != null) {
            builder.setPositiveButton(positiveBtnText, positiveBtnClickListener);
        }
        builder.setOnCancelListener(cancelListener);
        builder.setOnDismissListener(dismissListener);
        AlertDialog dialog = builder.create();
        dialog.setCancelable(canCancel);
        dialog.setCanceledOnTouchOutside(canCancelTouchOutside);
        showDialog(dialog);
    }

    @Override // android.view.View.OnClickListener
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btnPlayGameGuideKnown /* 2131296419 */:
                SharedPreferences preferences = getParentActivity().getSharedPreferences("DiscoveryJumpPage", 0);
                SharedPreferences.Editor editor = preferences.edit();
                editor.putBoolean("guide", false);
                editor.apply();
                View view = this.containerGuideRoot;
                if (view != null) {
                    view.setVisibility(8);
                    return;
                }
                return;
            case R.id.ivClose /* 2131296732 */:
                finishThisPage();
                return;
            case R.id.ivShowMenuDialog /* 2131296772 */:
                DiscoveryJumpMenuDialog dialog = new DiscoveryJumpMenuDialog(getParentActivity());
                dialog.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.discoveryweb.DiscoveryJumpToPage$$ExternalSyntheticLambda0
                    @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
                    public final void onItemClick(View view2, int i) {
                        DiscoveryJumpToPage.this.m3235xefc832ce(view2, i);
                    }
                });
                showDialog(dialog);
                return;
            default:
                return;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onClick$0$im-uecahxyvjd-ui-hui-discoveryweb-DiscoveryJumpToPage  reason: not valid java name */
    public /* synthetic */ void m3235xefc832ce(View view, int position) {
        switch (position) {
            case 0:
                hideGameWebView(this);
                return;
            case 1:
                refresh();
                return;
            default:
                return;
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onRequestPermissionsResultFragment(int requestCode, String[] permissions, int[] grantResults) {
        ChromeClient chromeClient;
        if (requestCode != 99 || (chromeClient = this.chromeClient) == null) {
            return;
        }
        chromeClient.showRequestLocationPermissionDialog(permissions[0], chromeClient.mGeolocationPermissionsCallBack);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onDialogDismiss(Dialog dialog) {
        changeSystemStatusBar(false);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void saveSelfArgs(Bundle args) {
        super.saveSelfArgs(args);
        args.putString(ImagesContract.URL, this.url);
        args.putString("title", this.title);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void restoreSelfArgs(Bundle args) {
        super.restoreSelfArgs(args);
        this.title = args.getString("title");
        this.url = args.getString(ImagesContract.URL);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onBackPressed() {
        if (canFinishThisPage()) {
            finishThisPage();
            return false;
        } else if (this.webView != null && this.webView.canGoBack()) {
            this.webView.goBack();
            return false;
        } else {
            return super.onBackPressed();
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onActivityResultFragment(int requestCode, int resultCode, Intent data) {
        super.onActivityResultFragment(requestCode, resultCode, data);
        if (requestCode != 67) {
            return;
        }
        if (this.chromeClient.fileChooserCallback40 != null) {
            Uri result = null;
            if (resultCode == -1) {
                result = data == null ? null : data.getData();
            }
            this.chromeClient.fileChooserCallback40.onReceiveValue(result);
            this.chromeClient.fileChooserCallback40 = null;
        } else if (this.chromeClient.fileChooserCallback != null) {
            Uri[] results = null;
            if (resultCode == -1 && data != null) {
                String dataString = data.getDataString();
                ClipData clipData = data.getClipData();
                if (clipData != null) {
                    results = new Uri[clipData.getItemCount()];
                    for (int i = 0; i < clipData.getItemCount(); i++) {
                        ClipData.Item item = clipData.getItemAt(i);
                        results[i] = item.getUri();
                    }
                }
                if (dataString != null) {
                    results = new Uri[]{Uri.parse(dataString)};
                }
            }
            this.chromeClient.fileChooserCallback.onReceiveValue(results);
            this.chromeClient.fileChooserCallback = null;
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean canBeginSlide() {
        return false;
    }

    private boolean checkShowGuide() {
        SharedPreferences preferences = getParentActivity().getSharedPreferences("DiscoveryJumpPage", 0);
        return preferences.getBoolean("guide", true);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        if (this.needToDestroyWebView) {
            destroyGameWebView();
        }
        AnimatorSet animatorSet = this.mAnimatorSet;
        if (animatorSet != null) {
            try {
                animatorSet.cancel();
            } catch (Exception e) {
            }
            this.mAnimatorSet = null;
        }
        RotateAnimation rotateAnimation = this.mRefreshAnimation;
        if (rotateAnimation != null) {
            try {
                rotateAnimation.cancel();
            } catch (Exception e2) {
            }
            this.mRefreshAnimation = null;
        }
        super.onFragmentDestroy();
        List<String> list = this.mUrlList;
        if (list != null) {
            list.clear();
            this.mUrlList = null;
        }
        this.webClient = null;
        ChromeClient chromeClient = this.chromeClient;
        if (chromeClient != null) {
            chromeClient.fileChooserCallback = null;
            this.chromeClient.fileChooserCallback40 = null;
            this.chromeClient.mGeolocationPermissionsCallBack = null;
            this.chromeClient = null;
        }
        this.chromeClient = null;
        this.viewIsInit = false;
        this.webViewIsInit = false;
        if (getParentActivity() != null) {
            getParentActivity().setRequestedOrientation(1);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes9.dex */
    public class WebClient extends WebViewClient {
        private WebClient() {
        }

        @Override // android.webkit.WebViewClient
        public void onLoadResource(WebView view, String url) {
            super.onLoadResource(view, url);
        }

        @Override // android.webkit.WebViewClient
        public boolean shouldOverrideUrlLoading(WebView view, String url) {
            if (DiscoveryJumpToPage.this.isFinishing()) {
                return false;
            }
            if (url != null) {
                try {
                    if (!url.startsWith("https") && !url.startsWith("http") && DiscoveryJumpToPage.this.getParentActivity() != null) {
                        Intent intent = new Intent("android.intent.action.VIEW", Uri.parse(url));
                        intent.putExtra("create_new_tab", true);
                        intent.putExtra("com.android.browser.application_id", DiscoveryJumpToPage.this.getParentActivity().getPackageName());
                        DiscoveryJumpToPage.this.getParentActivity().startActivity(intent);
                        return true;
                    }
                } catch (Throwable e) {
                    FileLog.e(DiscoveryJumpToPage.class.getName(), e);
                    ToastUtils.show((int) R.string.NoAppCanHandleThis);
                    return true;
                }
            }
            try {
                if (DiscoveryJumpToPage.this.mUrlList != null) {
                    if (DiscoveryJumpToPage.this.mUrlList.contains(url) && !((String) DiscoveryJumpToPage.this.mUrlList.get(DiscoveryJumpToPage.this.mUrlList.size() - 1)).equals(url)) {
                        DiscoveryJumpToPage.this.mUrlList.remove(url);
                    }
                    DiscoveryJumpToPage.this.mUrlList.add(url);
                }
            } catch (Exception e1) {
                FileLog.e(DiscoveryJumpToPage.class.getName() + " shouldOverrideUrlLoading error: " + e1.getMessage());
            }
            view.loadUrl(url);
            return true;
        }

        @Override // android.webkit.WebViewClient
        public void onPageStarted(WebView view, String url, Bitmap favicon) {
            super.onPageStarted(view, url, favicon);
            if (!DiscoveryJumpToPage.this.isFinishing()) {
                if (DiscoveryJumpToPage.this.ivShowMenuDialog != null && DiscoveryJumpToPage.this.ivShowMenuDialog.getVisibility() != 8) {
                    DiscoveryJumpToPage.this.ivShowMenuDialog.setVisibility(8);
                }
                if (DiscoveryJumpToPage.this.progressView != null && DiscoveryJumpToPage.this.progressView.getVisibility() != 0) {
                    DiscoveryJumpToPage.this.progressView.setVisibility(0);
                }
            }
        }

        @Override // android.webkit.WebViewClient
        public void onPageFinished(WebView view, String url) {
            super.onPageFinished(view, url);
            if (!DiscoveryJumpToPage.this.isFinishing()) {
                if (DiscoveryJumpToPage.this.progressView != null && DiscoveryJumpToPage.this.progressView.getVisibility() != 8) {
                    DiscoveryJumpToPage.this.progressView.setVisibility(8);
                }
                if (DiscoveryJumpToPage.this.ivShowMenuDialog != null && DiscoveryJumpToPage.this.ivShowMenuDialog.getVisibility() != 0) {
                    DiscoveryJumpToPage.this.ivShowMenuDialog.setVisibility(0);
                }
            }
        }

        @Override // android.webkit.WebViewClient
        public void onReceivedError(WebView view, int errorCode, String description, String failingUrl) {
            FileLog.e(DiscoveryJumpToPage.class.getName() + " onReceivedError: code:" + errorCode + ", des:" + description + ", u:" + failingUrl);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes9.dex */
    public class ChromeClient extends WebChromeClient {
        private ValueCallback<Uri[]> fileChooserCallback;
        private ValueCallback<Uri> fileChooserCallback40;
        private GeolocationPermissions.Callback mGeolocationPermissionsCallBack;
        private boolean mIsRequestingLocationPermission;

        private ChromeClient() {
        }

        @Override // android.webkit.WebChromeClient
        public boolean onCreateWindow(WebView view, boolean isDialog, boolean isUserGesture, Message resultMsg) {
            WebView myWeb = new WebView(DiscoveryJumpToPage.this.getParentActivity());
            Message href = view.getHandler().obtainMessage();
            view.requestFocusNodeHref(href);
            String url = href.getData().getString(ImagesContract.URL);
            myWeb.loadUrl(url);
            return true;
        }

        @Override // android.webkit.WebChromeClient
        public void onReceivedTitle(WebView view, String title) {
            DiscoveryJumpToPage.this.isFinishing();
        }

        @Override // android.webkit.WebChromeClient
        public boolean onJsAlert(WebView view, String url, String message, JsResult result) {
            if (DiscoveryJumpToPage.this.isFinishing()) {
                return false;
            }
            AlertDialog.Builder builder = new AlertDialog.Builder(DiscoveryJumpToPage.this.getParentActivity());
            builder.setMessage(message);
            DiscoveryJumpToPage.this.showDialog(builder.create());
            return true;
        }

        @Override // android.webkit.WebChromeClient
        public boolean onJsConfirm(WebView view, String url, String message, final JsResult result) {
            if (DiscoveryJumpToPage.this.isFinishing()) {
                return false;
            }
            AlertDialog.Builder builder = new AlertDialog.Builder(DiscoveryJumpToPage.this.getParentActivity());
            builder.setMessage(message);
            builder.setPositiveButton(LocaleController.getString(R.string.OK), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.discoveryweb.DiscoveryJumpToPage$ChromeClient$$ExternalSyntheticLambda0
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i) {
                    result.confirm();
                }
            });
            builder.setNegativeButton(LocaleController.getString(R.string.Cancel), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.discoveryweb.DiscoveryJumpToPage$ChromeClient$$ExternalSyntheticLambda1
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i) {
                    result.cancel();
                }
            });
            DiscoveryJumpToPage.this.showDialog(builder.create());
            return true;
        }

        @Override // android.webkit.WebChromeClient
        public boolean onJsPrompt(WebView view, String url, String message, String defaultValue, JsPromptResult result) {
            return super.onJsPrompt(view, url, message, defaultValue, result);
        }

        @Override // android.webkit.WebChromeClient
        public boolean onJsBeforeUnload(WebView view, String url, String message, JsResult result) {
            return super.onJsBeforeUnload(view, url, message, result);
        }

        @Override // android.webkit.WebChromeClient
        public void onGeolocationPermissionsShowPrompt(String origin, GeolocationPermissions.Callback callback) {
            if (DiscoveryJumpToPage.this.isFinishing() || this.mIsRequestingLocationPermission) {
                return;
            }
            this.mIsRequestingLocationPermission = true;
            this.mGeolocationPermissionsCallBack = callback;
            if (ContextCompat.checkSelfPermission(DiscoveryJumpToPage.this.getParentActivity(), origin) != 0) {
                String[] per = {origin};
                ActivityCompat.requestPermissions(DiscoveryJumpToPage.this.getParentActivity(), per, 99);
                return;
            }
            showRequestLocationPermissionDialog(origin, callback);
        }

        @Override // android.webkit.WebChromeClient
        public void onPermissionRequest(PermissionRequest request) {
            if (DiscoveryJumpToPage.this.isFinishing()) {
                return;
            }
            try {
                request.grant(request.getResources());
            } catch (Exception e) {
            }
        }

        /* JADX INFO: Access modifiers changed from: private */
        public void showRequestLocationPermissionDialog(final String origin, final GeolocationPermissions.Callback callback) {
            if (!DiscoveryJumpToPage.this.isFinishing() && callback != null) {
                DiscoveryJumpToPage.this.showDialog(LocaleController.getString(R.string.RequestPermissionOfLocationDoYouAgreement), false, false, LocaleController.getString(R.string.Decline), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.discoveryweb.DiscoveryJumpToPage$ChromeClient$$ExternalSyntheticLambda2
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        DiscoveryJumpToPage.ChromeClient.this.m3236x44d7ba4(callback, origin, dialogInterface, i);
                    }
                }, LocaleController.getString(R.string.Agree), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.discoveryweb.DiscoveryJumpToPage$ChromeClient$$ExternalSyntheticLambda3
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        DiscoveryJumpToPage.ChromeClient.this.m3237xa0bb7803(callback, origin, dialogInterface, i);
                    }
                }, new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.hui.discoveryweb.DiscoveryJumpToPage$ChromeClient$$ExternalSyntheticLambda4
                    @Override // android.content.DialogInterface.OnCancelListener
                    public final void onCancel(DialogInterface dialogInterface) {
                        DiscoveryJumpToPage.ChromeClient.this.m3238x3d297462(callback, origin, dialogInterface);
                    }
                }, new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.discoveryweb.DiscoveryJumpToPage$ChromeClient$$ExternalSyntheticLambda5
                    @Override // android.content.DialogInterface.OnDismissListener
                    public final void onDismiss(DialogInterface dialogInterface) {
                        DiscoveryJumpToPage.ChromeClient.this.m3239xd99770c1(dialogInterface);
                    }
                });
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$showRequestLocationPermissionDialog$2$im-uecahxyvjd-ui-hui-discoveryweb-DiscoveryJumpToPage$ChromeClient  reason: not valid java name */
        public /* synthetic */ void m3236x44d7ba4(GeolocationPermissions.Callback callback, String origin, DialogInterface dialog, int which) {
            if (callback != null) {
                callback.invoke(origin, false, false);
            }
            this.mIsRequestingLocationPermission = false;
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$showRequestLocationPermissionDialog$3$im-uecahxyvjd-ui-hui-discoveryweb-DiscoveryJumpToPage$ChromeClient  reason: not valid java name */
        public /* synthetic */ void m3237xa0bb7803(GeolocationPermissions.Callback callback, String origin, DialogInterface dialog, int which) {
            if (callback != null) {
                callback.invoke(origin, true, false);
            }
            this.mIsRequestingLocationPermission = false;
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$showRequestLocationPermissionDialog$4$im-uecahxyvjd-ui-hui-discoveryweb-DiscoveryJumpToPage$ChromeClient  reason: not valid java name */
        public /* synthetic */ void m3238x3d297462(GeolocationPermissions.Callback callback, String origin, DialogInterface dialog) {
            if (callback != null) {
                callback.invoke(origin, false, false);
            }
            this.mIsRequestingLocationPermission = false;
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$showRequestLocationPermissionDialog$5$im-uecahxyvjd-ui-hui-discoveryweb-DiscoveryJumpToPage$ChromeClient  reason: not valid java name */
        public /* synthetic */ void m3239xd99770c1(DialogInterface dialog) {
            this.mIsRequestingLocationPermission = false;
        }

        public void openFileChooser(ValueCallback<Uri> valueCallback) {
            this.fileChooserCallback40 = valueCallback;
            DiscoveryJumpToPage.this.openFileChoosers();
        }

        public void openFileChooser(ValueCallback<Uri> valueCallback, String acceptType) {
            this.fileChooserCallback40 = valueCallback;
            DiscoveryJumpToPage.this.openFileChoosers();
        }

        public void openFileChooser(ValueCallback<Uri> valueCallback, String acceptType, String capture) {
            this.fileChooserCallback40 = valueCallback;
            DiscoveryJumpToPage.this.openFileChoosers();
        }

        @Override // android.webkit.WebChromeClient
        public boolean onShowFileChooser(WebView webView, ValueCallback<Uri[]> filePathCallback, WebChromeClient.FileChooserParams fileChooserParams) {
            this.fileChooserCallback = filePathCallback;
            DiscoveryJumpToPage.this.openFileChoosers();
            return true;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void openFileChoosers() {
        try {
            Intent i = new Intent("android.intent.action.GET_CONTENT");
            i.addCategory("android.intent.category.OPENABLE");
            i.setType("*/*");
            startActivityForResult(Intent.createChooser(i, "Image Chooser"), 67);
        } catch (Throwable e) {
            ToastUtils.show((CharSequence) "Open Failed.");
            FileLog.e(getClass().getName() + " openFileChoosers error: " + e.getMessage());
        }
    }
}
