package im.uecahxyvjd.ui.hui.friendscircle_v1.listener;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.text.TextUtils;
import com.bjz.comm.net.bean.FCEntitysResponse;
import com.bjz.comm.net.expandViewModel.LinkType;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.browser.Browser;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.hui.chats.NewProfileActivity;
import im.uecahxyvjd.ui.hui.friendscircle_v1.view.expandTextView.ExpandableTextView;
/* loaded from: classes8.dex */
public class FcClickSpanListener implements ExpandableTextView.OnLinkClickListener {
    private FcItemActionClickListener listener;
    private final Context mContext;
    private final int mGuid;

    public FcClickSpanListener(Context context, int guid, FcItemActionClickListener listener) {
        this.mContext = context;
        this.mGuid = guid;
        this.listener = listener;
    }

    /* renamed from: im.uecahxyvjd.ui.hui.friendscircle_v1.listener.FcClickSpanListener$1  reason: invalid class name */
    /* loaded from: classes8.dex */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$com$bjz$comm$net$expandViewModel$LinkType;

        static {
            int[] iArr = new int[LinkType.values().length];
            $SwitchMap$com$bjz$comm$net$expandViewModel$LinkType = iArr;
            try {
                iArr[LinkType.LINK_TYPE.ordinal()] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                $SwitchMap$com$bjz$comm$net$expandViewModel$LinkType[LinkType.MENTION_TYPE.ordinal()] = 2;
            } catch (NoSuchFieldError e2) {
            }
            try {
                $SwitchMap$com$bjz$comm$net$expandViewModel$LinkType[LinkType.SELF.ordinal()] = 3;
            } catch (NoSuchFieldError e3) {
            }
        }
    }

    @Override // im.uecahxyvjd.ui.hui.friendscircle_v1.view.expandTextView.ExpandableTextView.OnLinkClickListener
    public void onLinkClickListener(LinkType type, String content, String selfContent, FCEntitysResponse entityPosition) {
        switch (AnonymousClass1.$SwitchMap$com$bjz$comm$net$expandViewModel$LinkType[type.ordinal()]) {
            case 1:
                if (!TextUtils.isEmpty(content) && this.mContext != null) {
                    if ((content.contains("tel:") && TextUtils.isDigitsOnly(content.replace("tel:", ""))) || TextUtils.isDigitsOnly(content)) {
                        this.mContext.startActivity(new Intent("android.intent.action.DIAL", Uri.parse(content)));
                        return;
                    } else if (Browser.isInternalUrl(content, null)) {
                        Browser.openUrl(this.mContext, content, true);
                        return;
                    } else {
                        String realUrl = content;
                        if (!realUrl.contains("://") && (!realUrl.startsWith("http://") || !realUrl.startsWith("https://"))) {
                            realUrl = "http://" + realUrl;
                        }
                        Intent intent = new Intent();
                        intent.setAction("android.intent.action.VIEW");
                        Uri content_url = Uri.parse(realUrl);
                        intent.setData(content_url);
                        this.mContext.startActivity(intent);
                        return;
                    }
                }
                return;
            case 2:
                if (entityPosition != null) {
                    getUserInfo(entityPosition);
                    return;
                }
                return;
            default:
                return;
        }
    }

    private void getUserInfo(FCEntitysResponse fcEntitysResponse) {
        boolean clientActivated = UserConfig.getInstance(UserConfig.selectedAccount).isClientActivated();
        if (!clientActivated) {
            return;
        }
        ConnectionsManager connectionsManager = ConnectionsManager.getInstance(UserConfig.selectedAccount);
        MessagesController messagesController = MessagesController.getInstance(UserConfig.selectedAccount);
        if (connectionsManager != null && messagesController != null && this.mGuid != 0) {
            TLRPC.TL_users_getFullUser req = new TLRPC.TL_users_getFullUser();
            TLRPC.TL_inputUser user = new TLRPC.TL_inputUser();
            user.user_id = fcEntitysResponse.getUserID();
            user.access_hash = fcEntitysResponse.getAccessHash();
            req.id = user;
            int reqId = connectionsManager.sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.listener.FcClickSpanListener$$ExternalSyntheticLambda1
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    FcClickSpanListener.this.m3267xe4c54f52(tLObject, tL_error);
                }
            });
            connectionsManager.bindRequestToGuid(reqId, this.mGuid);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getUserInfo$1$im-uecahxyvjd-ui-hui-friendscircle_v1-listener-FcClickSpanListener  reason: not valid java name */
    public /* synthetic */ void m3267xe4c54f52(final TLObject response, TLRPC.TL_error error) {
        if (error == null) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.listener.FcClickSpanListener$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    FcClickSpanListener.this.m3266x485752f3(response);
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getUserInfo$0$im-uecahxyvjd-ui-hui-friendscircle_v1-listener-FcClickSpanListener  reason: not valid java name */
    public /* synthetic */ void m3266x485752f3(TLObject response) {
        TLRPC.UserFull userFull = (TLRPC.UserFull) response;
        MessagesController.getInstance(UserConfig.selectedAccount).putUser(userFull.user, false);
        Bundle bundle = new Bundle();
        bundle.putInt("user_id", userFull.user.id);
        FcItemActionClickListener fcItemActionClickListener = this.listener;
        if (fcItemActionClickListener != null) {
            fcItemActionClickListener.onPresentFragment(new NewProfileActivity(bundle));
        }
    }
}
