package im.uecahxyvjd.ui.hui.friendscircle_v1.player.player;

import android.app.Activity;
import android.app.Dialog;
import android.content.Context;
import android.view.Display;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.SeekBar;
import android.widget.TextView;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.ui.hui.friendscircle_v1.player.utils.Utils;
import im.uecahxyvjd.ui.hui.friendscircle_v1.player.view.FcVideoPlayerView;
import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.TimeUnit;
/* loaded from: classes8.dex */
public class FcFullScreenPlayerDialog extends Dialog implements View.OnTouchListener, SeekBar.OnSeekBarChangeListener {
    private static final int PROGRESS_UPDATE_INITIAL_INTERVAL = 100;
    private static final int PROGRESS_UPDATE_INTERNAL = 300;
    private boolean blnMute;
    Context context;
    public ImageView iv_mute;
    public ImageView iv_play;
    private LinearLayout ll_state_bar;
    private LinearLayout ll_title_bar;
    private int mDuration;
    private final ScheduledExecutorService mExecutorService;
    private ScheduledFuture<?> mScheduleFuture;
    private final Runnable mUpdateProgressTask;
    private VideoPlayerManager mVideoPlayerManager;
    DismissListener mdismissListener;
    RelativeLayout root_view;
    private TextView tv_current_time;
    private TextView tv_title;
    private TextView tv_total_time;
    private SeekBar videoPlayerSeekbar;

    /* loaded from: classes8.dex */
    public interface DismissListener {
        void doDismissCallback();
    }

    public FcFullScreenPlayerDialog(final Context context, FcVideoPlayerView player, float Ratio, String strTitle, DismissListener Listener) {
        super(context, R.style.DialogTheme);
        this.blnMute = false;
        this.mExecutorService = Executors.newSingleThreadScheduledExecutor();
        this.mUpdateProgressTask = new Runnable() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.player.player.FcFullScreenPlayerDialog$$ExternalSyntheticLambda1
            @Override // java.lang.Runnable
            public final void run() {
                FcFullScreenPlayerDialog.this.m3272xfc11c9ad();
            }
        };
        this.mdismissListener = Listener;
        this.context = context;
        View view = getLayoutInflater().inflate(R.layout.dialog_fc_full_screen_player, (ViewGroup) null);
        this.root_view = (RelativeLayout) view.findViewById(R.id.root_view);
        this.videoPlayerSeekbar = (SeekBar) view.findViewById(R.id.fl_seekbar);
        this.tv_total_time = (TextView) view.findViewById(R.id.tv_total_time);
        this.tv_current_time = (TextView) view.findViewById(R.id.tv_current_time);
        this.iv_play = (ImageView) view.findViewById(R.id.iv_play);
        this.iv_mute = (ImageView) view.findViewById(R.id.iv_mute);
        this.ll_title_bar = (LinearLayout) view.findViewById(R.id.ll_title_bar);
        this.ll_state_bar = (LinearLayout) view.findViewById(R.id.ll_state_bar);
        this.tv_title = (TextView) view.findViewById(R.id.tv_title);
        setContentView(view);
        getWindow().setLayout(-1, -1);
        Display display = ((Activity) context).getWindowManager().getDefaultDisplay();
        int width = display.getWidth();
        display.getHeight();
        int mVideoHeight = (int) (width / Ratio);
        FrameLayout.LayoutParams lp = new FrameLayout.LayoutParams(-1, mVideoHeight == 0 ? -2 : mVideoHeight, 17);
        this.root_view.addView(player, lp);
        this.ll_state_bar.setVisibility(0);
        this.ll_title_bar.setVisibility(0);
        VideoPlayerManager videoPlayerMgr = player.getVideoPlayerMgr();
        this.mVideoPlayerManager = videoPlayerMgr;
        this.mDuration = videoPlayerMgr.getDuration();
        this.tv_title.setText(strTitle);
        startVideoProgressUpdate();
        setCanceledOnTouchOutside(false);
        view.findViewById(R.id.ll_return).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.player.player.FcFullScreenPlayerDialog$$ExternalSyntheticLambda2
            @Override // android.view.View.OnClickListener
            public final void onClick(View view2) {
                FcFullScreenPlayerDialog.this.m3268x6609dff3(view2);
            }
        });
        view.findViewById(R.id.colse_fullscreen).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.player.player.FcFullScreenPlayerDialog$$ExternalSyntheticLambda3
            @Override // android.view.View.OnClickListener
            public final void onClick(View view2) {
                FcFullScreenPlayerDialog.this.m3269x7f0b3192(view2);
            }
        });
        player.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.player.player.FcFullScreenPlayerDialog.1
            @Override // android.view.View.OnClickListener
            public void onClick(View v) {
                if (FcFullScreenPlayerDialog.this.iv_play.getVisibility() == 8) {
                    FcFullScreenPlayerDialog.this.showControllerView();
                } else {
                    FcFullScreenPlayerDialog.this.hideControllerView();
                }
            }
        });
        this.iv_play.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.player.player.FcFullScreenPlayerDialog$$ExternalSyntheticLambda4
            @Override // android.view.View.OnClickListener
            public final void onClick(View view2) {
                FcFullScreenPlayerDialog.this.m3270x980c8331(view2);
            }
        });
        this.iv_mute.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.player.player.FcFullScreenPlayerDialog$$ExternalSyntheticLambda5
            @Override // android.view.View.OnClickListener
            public final void onClick(View view2) {
                FcFullScreenPlayerDialog.this.m3271xb10dd4d0(view2);
            }
        });
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.player.player.FcFullScreenPlayerDialog$$ExternalSyntheticLambda6
            @Override // java.lang.Runnable
            public final void run() {
                ((Activity) context).setRequestedOrientation(1);
            }
        }, 1000L);
        this.tv_total_time.setText(String.format("%02d:%02d", Integer.valueOf((this.mDuration / 1000) / 60), Integer.valueOf((this.mDuration / 1000) % 60)));
        this.videoPlayerSeekbar.setOnTouchListener(this);
        this.videoPlayerSeekbar.setOnSeekBarChangeListener(this);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$new$0$im-uecahxyvjd-ui-hui-friendscircle_v1-player-player-FcFullScreenPlayerDialog  reason: not valid java name */
    public /* synthetic */ void m3268x6609dff3(View v) {
        dismiss();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$new$1$im-uecahxyvjd-ui-hui-friendscircle_v1-player-player-FcFullScreenPlayerDialog  reason: not valid java name */
    public /* synthetic */ void m3269x7f0b3192(View v) {
        dismiss();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$new$2$im-uecahxyvjd-ui-hui-friendscircle_v1-player-player-FcFullScreenPlayerDialog  reason: not valid java name */
    public /* synthetic */ void m3270x980c8331(View v) {
        if (this.mVideoPlayerManager.getState() == 2) {
            this.mVideoPlayerManager.pause();
            this.iv_play.setImageResource(R.mipmap.iv_pc_agent_description_video_btn_play);
        } else if (this.mVideoPlayerManager.getState() == 4) {
            this.mVideoPlayerManager.play();
            this.iv_play.setImageResource(R.mipmap.iv_pc_agent_description_video_btn_stop);
            hideControllerView();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$new$3$im-uecahxyvjd-ui-hui-friendscircle_v1-player-player-FcFullScreenPlayerDialog  reason: not valid java name */
    public /* synthetic */ void m3271xb10dd4d0(View v) {
        if (this.blnMute) {
            this.mVideoPlayerManager.setVolume(4);
            this.iv_mute.setImageResource(R.mipmap.ic_game_share_unmute);
            this.blnMute = false;
            return;
        }
        this.mVideoPlayerManager.setVolume(0);
        this.iv_mute.setImageResource(R.mipmap.ic_game_share_mute);
        this.blnMute = true;
    }

    public void changeControllerState() {
        if (this.iv_play.getVisibility() == 8) {
            showControllerView();
        } else {
            hideControllerView();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void showControllerView() {
        this.ll_title_bar.setVisibility(0);
        this.ll_state_bar.setVisibility(0);
        this.iv_play.setVisibility(0);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void hideControllerView() {
        this.ll_title_bar.setVisibility(8);
        this.ll_state_bar.setVisibility(8);
        this.iv_play.setVisibility(8);
    }

    public View getView() {
        stopVideoProgressUpdate();
        View view = this.root_view.getChildAt(0);
        this.root_view.removeAllViews();
        dismiss();
        return view;
    }

    private void startVideoProgressUpdate() {
        stopVideoProgressUpdate();
        if (!this.mExecutorService.isShutdown()) {
            this.mScheduleFuture = this.mExecutorService.scheduleAtFixedRate(new Runnable() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.player.player.FcFullScreenPlayerDialog$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    FcFullScreenPlayerDialog.this.m3273x62225f05();
                }
            }, 100L, 300L, TimeUnit.MILLISECONDS);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$startVideoProgressUpdate$5$im-uecahxyvjd-ui-hui-friendscircle_v1-player-player-FcFullScreenPlayerDialog  reason: not valid java name */
    public /* synthetic */ void m3273x62225f05() {
        AndroidUtilities.runOnUIThread(this.mUpdateProgressTask);
    }

    private void stopVideoProgressUpdate() {
        ScheduledFuture<?> scheduledFuture = this.mScheduleFuture;
        if (scheduledFuture != null) {
            scheduledFuture.cancel(false);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$new$6$im-uecahxyvjd-ui-hui-friendscircle_v1-player-player-FcFullScreenPlayerDialog  reason: not valid java name */
    public /* synthetic */ void m3272xfc11c9ad() {
        VideoPlayerManager videoPlayerManager = this.mVideoPlayerManager;
        if (videoPlayerManager != null) {
            int position = videoPlayerManager.getCurrentPosition();
            updateProgress(position);
        }
    }

    private void updateProgress(int position) {
        this.tv_current_time.setText(Utils.formatVideoTimeLength(position));
        int i = position * 100;
        int i2 = this.mDuration;
        if (i2 == 0) {
            i2 = 1;
        }
        int progress = i / i2;
        this.videoPlayerSeekbar.setProgress(progress);
    }

    @Override // android.app.Dialog, android.content.DialogInterface
    public void dismiss() {
        if (this.root_view.getChildAt(0) != null) {
            this.mdismissListener.doDismissCallback();
        }
        this.root_view.removeAllViews();
        super.dismiss();
    }

    @Override // android.view.View.OnTouchListener
    public boolean onTouch(View v, MotionEvent event) {
        return false;
    }

    @Override // android.widget.SeekBar.OnSeekBarChangeListener
    public void onProgressChanged(SeekBar seekBar, int progress, boolean fromUser) {
        if (fromUser) {
            int seekToTime = (seekBar.getProgress() * this.mDuration) / 100;
            this.mVideoPlayerManager.seekTo(seekToTime);
        }
    }

    @Override // android.widget.SeekBar.OnSeekBarChangeListener
    public void onStartTrackingTouch(SeekBar seekBar) {
    }

    @Override // android.widget.SeekBar.OnSeekBarChangeListener
    public void onStopTrackingTouch(SeekBar seekBar) {
    }
}
