package im.uecahxyvjd.ui.hui.friendscircle_v1.player.player;

import android.app.Activity;
import android.app.Dialog;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.view.Display;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.google.android.exoplayer2.C;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.SeekBar;
import im.uecahxyvjd.ui.hui.friendscircle_v1.player.view.AbsVideoPlayerView;
import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.TimeUnit;
/* loaded from: classes8.dex */
public class FullScreenExoPlayer extends Dialog {
    private static final int PROGRESS_UPDATE_INITIAL_INTERVAL = 100;
    private static final int PROGRESS_UPDATE_INTERNAL = 300;
    private boolean blnMute;
    Context context;
    FrameLayout flSeekbar;
    private ImageView iv_mute;
    private ImageView iv_play;
    private LinearLayout ll_state_bar;
    private LinearLayout ll_title_bar;
    private int mDuration;
    private final ScheduledExecutorService mExecutorService;
    private ScheduledFuture<?> mScheduleFuture;
    private final Runnable mUpdateProgressTask;
    dismissListener mdismissListener;
    RelativeLayout root_view;
    private TextView tv_current_time;
    private TextView tv_title;
    private TextView tv_total_time;
    FrameLayout videoPlayerControlFrameLayout;
    private SeekBar videoPlayerSeekbar;

    /* loaded from: classes8.dex */
    public interface dismissListener {
        void doDismissCallback();
    }

    public FullScreenExoPlayer(final Context context, AbsVideoPlayerView player, float Ratio, final boolean blnShowExtension, String strTitle, dismissListener Listener) {
        super(context, R.style.DialogTheme);
        this.blnMute = false;
        this.mExecutorService = Executors.newSingleThreadScheduledExecutor();
        this.mUpdateProgressTask = new Runnable() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.player.player.FullScreenExoPlayer$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                FullScreenExoPlayer.this.m3282xed2cb275();
            }
        };
        this.mdismissListener = Listener;
        this.context = context;
        View view = getLayoutInflater().inflate(R.layout.full_screen_exoplayer, (ViewGroup) null);
        this.root_view = (RelativeLayout) view.findViewById(R.id.root_view);
        this.flSeekbar = (FrameLayout) view.findViewById(R.id.fl_seekbar);
        this.tv_total_time = (TextView) view.findViewById(R.id.tv_total_time);
        this.tv_current_time = (TextView) view.findViewById(R.id.tv_current_time);
        this.iv_play = (ImageView) view.findViewById(R.id.iv_play);
        this.iv_mute = (ImageView) view.findViewById(R.id.iv_mute);
        this.ll_title_bar = (LinearLayout) view.findViewById(R.id.ll_title_bar);
        this.ll_state_bar = (LinearLayout) view.findViewById(R.id.ll_state_bar);
        this.tv_title = (TextView) view.findViewById(R.id.tv_title);
        setContentView(view);
        getWindow().setLayout(-1, -1);
        Display display = ((Activity) context).getWindowManager().getDefaultDisplay();
        int width = display.getWidth();
        display.getHeight();
        int mVideoHeight = (int) (width / Ratio);
        FrameLayout.LayoutParams lp = new FrameLayout.LayoutParams(-1, mVideoHeight == 0 ? -2 : mVideoHeight, 17);
        this.root_view.addView(player, lp);
        if (blnShowExtension) {
            this.ll_state_bar.setVisibility(0);
            this.ll_title_bar.setVisibility(0);
            this.mDuration = VideoPlayerManager.getInstance().getDuration();
            this.tv_title.setText(strTitle);
            createSeekBar(player);
            startVideoProgressUpdate();
            setCanceledOnTouchOutside(false);
            view.findViewById(R.id.ll_return).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.player.player.FullScreenExoPlayer$$ExternalSyntheticLambda1
                @Override // android.view.View.OnClickListener
                public final void onClick(View view2) {
                    FullScreenExoPlayer.this.m3279x9f12f70(view2);
                }
            });
            this.iv_play.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.player.player.FullScreenExoPlayer$$ExternalSyntheticLambda2
                @Override // android.view.View.OnClickListener
                public final void onClick(View view2) {
                    FullScreenExoPlayer.this.m3280xd0fd1671(view2);
                }
            });
            this.iv_mute.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.player.player.FullScreenExoPlayer$$ExternalSyntheticLambda3
                @Override // android.view.View.OnClickListener
                public final void onClick(View view2) {
                    FullScreenExoPlayer.this.m3281x9808fd72(view2);
                }
            });
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.player.player.FullScreenExoPlayer$$ExternalSyntheticLambda4
                @Override // java.lang.Runnable
                public final void run() {
                    ((Activity) context).setRequestedOrientation(1);
                }
            }, 1000L);
        }
        VideoPlayerManager.getInstance().play();
        this.root_view.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.player.player.FullScreenExoPlayer.1
            @Override // android.view.View.OnClickListener
            public void onClick(View view2) {
                if (!blnShowExtension) {
                    if (FullScreenExoPlayer.this.root_view.getChildAt(0) != null) {
                        FullScreenExoPlayer.this.mdismissListener.doDismissCallback();
                    }
                    FullScreenExoPlayer.this.root_view.removeAllViews();
                    FullScreenExoPlayer.this.dismiss();
                }
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$new$0$im-uecahxyvjd-ui-hui-friendscircle_v1-player-player-FullScreenExoPlayer  reason: not valid java name */
    public /* synthetic */ void m3279x9f12f70(View v) {
        if (this.root_view.getChildAt(0) != null) {
            this.mdismissListener.doDismissCallback();
        }
        this.root_view.removeAllViews();
        dismiss();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$new$1$im-uecahxyvjd-ui-hui-friendscircle_v1-player-player-FullScreenExoPlayer  reason: not valid java name */
    public /* synthetic */ void m3280xd0fd1671(View v) {
        if (VideoPlayerManager.getInstance().getState() == 2) {
            VideoPlayerManager.getInstance().pause();
            this.iv_play.setImageResource(R.drawable.ic_play);
        } else if (VideoPlayerManager.getInstance().getState() == 4) {
            VideoPlayerManager.getInstance().play();
            this.iv_play.setImageResource(R.drawable.ic_pause);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$new$2$im-uecahxyvjd-ui-hui-friendscircle_v1-player-player-FullScreenExoPlayer  reason: not valid java name */
    public /* synthetic */ void m3281x9808fd72(View v) {
        if (this.blnMute) {
            VideoPlayerManager.getInstance().setVolume(4);
            this.iv_mute.setImageResource(R.mipmap.ic_game_share_unmute);
            this.blnMute = false;
            return;
        }
        VideoPlayerManager.getInstance().setVolume(0);
        this.iv_mute.setImageResource(R.mipmap.ic_game_share_mute);
        this.blnMute = true;
    }

    public View getView() {
        View view = this.root_view.getChildAt(0);
        this.root_view.removeAllViews();
        dismiss();
        return view;
    }

    private void createSeekBar(final AbsVideoPlayerView player) {
        SeekBar seekBar = new SeekBar(getContext());
        this.videoPlayerSeekbar = seekBar;
        seekBar.setLineHeight(AndroidUtilities.dp(4.0f));
        this.videoPlayerSeekbar.setColors(Color.parseColor("#4D4D4D"), Color.parseColor("#4D4D4D"), Color.parseColor("#FE6022"), Color.parseColor("#FE6022"), Color.parseColor("#4D4D4D"));
        this.videoPlayerSeekbar.setDelegate(new SeekBar.SeekBarDelegate() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.player.player.FullScreenExoPlayer.2
            @Override // im.uecahxyvjd.ui.components.SeekBar.SeekBarDelegate
            public void onSeekBarDrag(float progress) {
                if (VideoPlayerManager.getInstance() != null) {
                    long duration = player.getmDuration();
                    VideoPlayerManager.getInstance().seekTo((int) (((float) duration) * progress));
                }
            }

            @Override // im.uecahxyvjd.ui.components.SeekBar.SeekBarDelegate
            public void onSeekBarContinuousDrag(float progress) {
            }
        });
        FrameLayout frameLayout = new FrameLayout(getContext()) { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.player.player.FullScreenExoPlayer.3
            @Override // android.view.View
            public boolean onTouchEvent(MotionEvent event) {
                int x = (int) event.getX();
                int y = (int) event.getY();
                if (FullScreenExoPlayer.this.videoPlayerSeekbar.onTouchNew(event.getAction(), event.getX(), event.getY())) {
                    getParent().requestDisallowInterceptTouchEvent(true);
                    invalidate();
                    return true;
                }
                return true;
            }

            @Override // android.widget.FrameLayout, android.view.View
            protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
                long duration;
                super.onMeasure(widthMeasureSpec, heightMeasureSpec);
                if (VideoPlayerManager.getInstance() != null) {
                    duration = player.getmDuration();
                    if (duration == C.TIME_UNSET) {
                        duration = 0;
                    }
                } else {
                    duration = 0;
                }
                long j = duration / 1000;
                FullScreenExoPlayer.this.videoPlayerSeekbar.setSize(getMeasuredWidth(), getMeasuredHeight());
            }

            @Override // android.widget.FrameLayout, android.view.ViewGroup, android.view.View
            protected void onLayout(boolean changed, int left, int top, int right, int bottom) {
                super.onLayout(changed, left, top, right, bottom);
                FullScreenExoPlayer.this.videoPlayerSeekbar.setProgress(0.0f);
            }

            @Override // android.view.View
            protected void onDraw(Canvas canvas) {
                canvas.save();
                canvas.translate(0.0f, 0.0f);
                FullScreenExoPlayer.this.videoPlayerSeekbar.draw(canvas);
                canvas.restore();
            }
        };
        this.videoPlayerControlFrameLayout = frameLayout;
        this.flSeekbar.addView(frameLayout, LayoutHelper.createFrame(-1, -1, 51));
        this.tv_total_time.setText(String.format("%02d:%02d", Integer.valueOf((this.mDuration / 1000) / 60), Integer.valueOf((this.mDuration / 1000) % 60)));
    }

    private void startVideoProgressUpdate() {
        stopVideoProgressUpdate();
        if (!this.mExecutorService.isShutdown()) {
            this.mScheduleFuture = this.mExecutorService.scheduleAtFixedRate(new Runnable() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.player.player.FullScreenExoPlayer$$ExternalSyntheticLambda5
                @Override // java.lang.Runnable
                public final void run() {
                    FullScreenExoPlayer.this.m3283xa33a261d();
                }
            }, 100L, 300L, TimeUnit.MILLISECONDS);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$startVideoProgressUpdate$4$im-uecahxyvjd-ui-hui-friendscircle_v1-player-player-FullScreenExoPlayer  reason: not valid java name */
    public /* synthetic */ void m3283xa33a261d() {
        AndroidUtilities.runOnUIThread(this.mUpdateProgressTask);
    }

    private void stopVideoProgressUpdate() {
        ScheduledFuture<?> scheduledFuture = this.mScheduleFuture;
        if (scheduledFuture != null) {
            scheduledFuture.cancel(false);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$new$5$im-uecahxyvjd-ui-hui-friendscircle_v1-player-player-FullScreenExoPlayer  reason: not valid java name */
    public /* synthetic */ void m3282xed2cb275() {
        int position = VideoPlayerManager.getInstance().getCurrentPosition();
        updateProgress(position);
    }

    private void updateProgress(int position) {
        float progress = position / this.mDuration;
        this.videoPlayerSeekbar.setProgress(progress);
        this.tv_current_time.setText(String.format("%02d:%02d", Integer.valueOf((position / 1000) / 60), Integer.valueOf((position / 1000) % 60)));
        this.videoPlayerControlFrameLayout.invalidate();
        updatePlayState();
    }

    private void updatePlayState() {
        if (VideoPlayerManager.getInstance().getState() == 2) {
            if (!String.valueOf(this.iv_play.getTag()).equals("ic_play")) {
                this.iv_play.setImageResource(R.drawable.ic_pause);
                this.iv_play.setTag("ic_play");
            }
        } else if (VideoPlayerManager.getInstance().getState() == 4 && !String.valueOf(this.iv_play.getTag()).equals("ic_pause")) {
            this.iv_play.setImageResource(R.drawable.ic_play);
            this.iv_play.setTag("ic_pause");
        }
    }

    @Override // android.app.Dialog, android.content.DialogInterface
    public void dismiss() {
        if (this.root_view.getChildAt(0) != null) {
            this.mdismissListener.doDismissCallback();
        }
        this.root_view.removeAllViews();
        super.dismiss();
    }
}
