package im.uecahxyvjd.ui.hui.friendscircle_v1.player.utils;

import android.app.Activity;
import android.content.Context;
import android.content.ContextWrapper;
import android.graphics.Point;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.Display;
import android.view.View;
import android.view.WindowManager;
import com.king.zxing.util.LogUtils;
/* loaded from: classes18.dex */
public class Utils {
    private static final String UNKNOWN_SIZE = "00:00";

    public static String formatVideoTimeLength(long miliseconds) {
        int seconds = (int) (miliseconds / 1000);
        if (seconds == 0) {
            return UNKNOWN_SIZE;
        }
        if (seconds < 60) {
            String formatLength = "00:" + (seconds < 10 ? "0" + seconds : Integer.valueOf(seconds));
            return formatLength;
        } else if (seconds < 3600) {
            long sec = seconds % 60;
            long min = seconds / 60;
            String formatLength2 = (min < 10 ? "0" + min : String.valueOf(min)) + LogUtils.COLON + (sec < 10 ? "0" + sec : String.valueOf(sec));
            return formatLength2;
        } else {
            long hour = seconds / 3600;
            long min2 = (seconds % 3600) / 60;
            long sec2 = (seconds % 3600) % 60;
            String formatLength3 = (hour < 10 ? "0" + hour : String.valueOf(hour)) + LogUtils.COLON + (min2 < 10 ? "0" + min2 : String.valueOf(min2)) + LogUtils.COLON + (sec2 < 10 ? "0" + sec2 : String.valueOf(sec2));
            return formatLength3;
        }
    }

    public static void showViewIfNeed(View view) {
        if (view.getVisibility() == 8 || view.getVisibility() == 4) {
            view.setVisibility(0);
        }
    }

    public static void hideViewIfNeed(View view) {
        if (view.getVisibility() == 0) {
            view.setVisibility(8);
        }
    }

    public static boolean isViewShown(View view) {
        return view.getVisibility() == 0;
    }

    public static boolean isViewHide(View view) {
        return view.getVisibility() == 8 || view.getVisibility() == 4;
    }

    public static void log(String message) {
        Log.d("__VideoPlayer__", message);
    }

    public static void logTouch(String message) {
        Log.d("__GestureTouch__", message);
    }

    public static Activity getActivity(Context context) {
        if (context == null) {
            return null;
        }
        if (context instanceof Activity) {
            return (Activity) context;
        }
        if (!(context instanceof ContextWrapper)) {
            return null;
        }
        return getActivity(((ContextWrapper) context).getBaseContext());
    }

    public static int getWindowWidth(Context context) {
        WindowManager windowManager = (WindowManager) context.getSystemService("window");
        Display display = windowManager.getDefaultDisplay();
        Point outPoint = new Point();
        display.getRealSize(outPoint);
        int screenWidthPixels = outPoint.x;
        return screenWidthPixels;
    }

    public static int getWindowHeight(Context context) {
        DisplayMetrics dm = new DisplayMetrics();
        ((Activity) context).getWindowManager().getDefaultDisplay().getMetrics(dm);
        return dm.heightPixels;
    }

    public static String getCacheDir(Context context) {
        return context.getExternalCacheDir().getAbsolutePath() + "/VideoCache";
    }

    public static boolean isConnected(Context context) {
        try {
            NetworkInfo net = ((ConnectivityManager) context.getSystemService("connectivity")).getActiveNetworkInfo();
            if (net != null) {
                if (net.isConnected()) {
                    return true;
                }
            }
            return false;
        } catch (Exception e) {
            return true;
        }
    }
}
