package im.uecahxyvjd.ui.hui.friendscircle_v1.ui;

import android.content.Context;
import android.graphics.drawable.GradientDrawable;
import android.text.Html;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentStatePagerAdapter;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.viewpager.widget.ViewPager;
import com.bjz.comm.net.bean.BResponse;
import com.bjz.comm.net.bean.RespTopicBean;
import com.bjz.comm.net.bean.RespTopicTypeBean;
import com.bjz.comm.net.factory.ApiFactory;
import com.bjz.comm.net.utils.RxHelper;
import com.tablayout.SlidingTabLayout;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.utils.DrawableUtils;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageHolder;
import im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter;
import im.uecahxyvjd.ui.hui.decoration.TopDecorationWithSearch;
import im.uecahxyvjd.ui.hui.friendscircle_v1.base.CommFcActivity;
import im.uecahxyvjd.ui.hui.friendscircle_v1.view.toast.FcToastUtils;
import im.uecahxyvjd.ui.hviews.MryEmptyView;
import im.uecahxyvjd.ui.hviews.MryTextView;
import im.uecahxyvjd.ui.hviews.search.MrySearchView;
import io.reactivex.Observable;
import io.reactivex.functions.Consumer;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
/* loaded from: classes13.dex */
public class AddTopicActivity extends CommFcActivity implements NotificationCenter.NotificationCenterDelegate {
    private static final String TAG = "AddTopicActivity";
    private long TopicTypeID = 0;
    private AddTopicAdapter addTopicAdapter;
    private List<AddTopicFragment> addTopicFragmentList;
    private HashMap<String, RespTopicBean.Item> cacheSelectedHashmap;
    private FrameLayout container;
    private LinearLayout content_container;
    private MryEmptyView emptyViewDialog;
    private FrameLayout fl_search_container;
    private FrameLayout fl_search_cover;
    private RecyclerListView listView;
    private MysearchAdapter mysearchAdapter;
    private String query;
    private List<RespTopicBean.Item> respTopicBeans;
    private MrySearchView searchView;
    private boolean searchWas;
    private boolean searching;
    private SlidingTabLayout tabLayout;
    private List<RespTopicTypeBean> topicTypes;
    private ViewPager vp_container;

    public AddTopicActivity(HashMap<String, RespTopicBean.Item> cacheSelectedHashmap) {
        if (cacheSelectedHashmap == null) {
            this.cacheSelectedHashmap = new HashMap<>();
        } else {
            this.cacheSelectedHashmap = cacheSelectedHashmap;
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        this.swipeBackEnabled = false;
        this.addTopicFragmentList = new ArrayList();
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.selectedTopicSuccess);
        return super.onFragmentCreate();
    }

    @Override // im.uecahxyvjd.ui.hui.friendscircle_v1.base.BaseFcActivity, im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        super.onFragmentDestroy();
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.selectedTopicSuccess);
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        notifyTopicSelectChanged();
    }

    @Override // im.uecahxyvjd.ui.hui.friendscircle_v1.base.BaseFcActivity
    protected int getLayoutRes() {
        return R.layout.activity_add_topic;
    }

    @Override // im.uecahxyvjd.ui.hui.friendscircle_v1.base.BaseFcActivity
    protected void initView() {
        initActionBar();
        initEmptyView();
        initTablayoutAndViewPagber();
        initSearchView();
        initListView();
    }

    private void initEmptyView() {
        MryEmptyView mryEmptyView = new MryEmptyView(getParentActivity());
        this.emptyViewDialog = mryEmptyView;
        mryEmptyView.setEmptyResId(R.mipmap.img_empty_default);
        this.emptyViewDialog.setErrorResId(R.mipmap.img_empty_default);
        this.emptyViewDialog.attach(this);
        this.emptyViewDialog.setOnEmptyClickListener(new MryEmptyView.OnEmptyOrErrorClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.AddTopicActivity$$ExternalSyntheticLambda5
            @Override // im.uecahxyvjd.ui.hviews.MryEmptyView.OnEmptyOrErrorClickListener
            public final boolean onEmptyViewButtonClick(boolean z) {
                return AddTopicActivity.this.m3289x24af2686(z);
            }
        });
        this.emptyViewDialog.showLoading();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initEmptyView$0$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-AddTopicActivity  reason: not valid java name */
    public /* synthetic */ boolean m3289x24af2686(boolean isEmptyButton) {
        MryEmptyView mryEmptyView = this.emptyViewDialog;
        if (mryEmptyView != null) {
            mryEmptyView.showLoading();
        }
        getFcTopicList();
        return false;
    }

    private void initTablayoutAndViewPagber() {
        this.tabLayout = (SlidingTabLayout) this.fragmentView.findViewById(R.id.tabLayout);
        this.vp_container = (ViewPager) this.fragmentView.findViewById(R.id.vp_container);
        this.tabLayout.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
        this.tabLayout.setTextSelectColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText));
        this.tabLayout.setTextUnselectColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText3));
        ViewPager viewPager = this.vp_container;
        AddTopicAdapter addTopicAdapter = new AddTopicAdapter(this.mContext, getParentActivity().getSupportFragmentManager());
        this.addTopicAdapter = addTopicAdapter;
        viewPager.setAdapter(addTopicAdapter);
        this.tabLayout.setViewPager(this.vp_container);
    }

    private void initActionBar() {
        this.actionBar.setAllowOverlayTitle(true);
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setTitle(LocaleController.getString("addtopic", R.string.addtopic));
        this.actionBar.setDelegate(new ActionBar.ActionBarDelegate() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.AddTopicActivity$$ExternalSyntheticLambda4
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarDelegate
            public final void onSearchFieldVisibilityChanged(boolean z) {
                AddTopicActivity.this.m3288xf2489532(z);
            }
        });
        MryTextView mryTextView = new MryTextView(this.mContext);
        GradientDrawable gradientDrawable = new GradientDrawable(GradientDrawable.Orientation.LEFT_RIGHT, new int[]{this.mContext.getResources().getColor(R.color.color_87DFFA), this.mContext.getResources().getColor(R.color.color_2ECEFD)});
        mryTextView.setText(LocaleController.getString("sure", R.string.sure));
        mryTextView.setTextSize(13.0f);
        mryTextView.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhite));
        mryTextView.setGravity(17);
        gradientDrawable.setCornerRadius(AndroidUtilities.dp(50.0f));
        gradientDrawable.setShape(0);
        mryTextView.setBackground(gradientDrawable);
        FrameLayout.LayoutParams layoutParams = LayoutHelper.createFrame(63, 30.0f);
        layoutParams.rightMargin = AndroidUtilities.dp(15.0f);
        layoutParams.topMargin = AndroidUtilities.dp(6.0f);
        this.actionBar.createMenu().addItemView(1, mryTextView, layoutParams);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.AddTopicActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1 || id == 1) {
                    AddTopicActivity.this.getAccountInstance().getNotificationCenter();
                    NotificationCenter.getInstance(AddTopicActivity.this.currentAccount).postNotificationName(NotificationCenter.selectedTopicSuccessToPublish, AddTopicActivity.this.cacheSelectedHashmap);
                    AddTopicActivity.this.finishFragment();
                }
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initActionBar$1$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-AddTopicActivity  reason: not valid java name */
    public /* synthetic */ void m3288xf2489532(boolean visible) {
        this.actionBar.getBackButton().setVisibility(visible ? 0 : 8);
    }

    private void initListView() {
        this.container = (FrameLayout) this.fragmentView.findViewById(R.id.container);
        this.content_container = (LinearLayout) this.fragmentView.findViewById(R.id.content_container);
        RecyclerListView recyclerListView = (RecyclerListView) this.fragmentView.findViewById(R.id.listView);
        this.listView = recyclerListView;
        recyclerListView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        this.listView.setLayoutManager(new GridLayoutManager(this.mContext, 2));
        this.listView.addItemDecoration(new TopDecorationWithSearch(60, true));
        MysearchAdapter mysearchAdapter = new MysearchAdapter(this.mContext);
        this.mysearchAdapter = mysearchAdapter;
        this.listView.setAdapter(mysearchAdapter);
        this.listView.addOnScrollListener(new RecyclerView.OnScrollListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.AddTopicActivity.2
            private boolean scrollingManually;

            @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
            public void onScrollStateChanged(RecyclerView recyclerView, int newState) {
                if (newState == 1) {
                    if (AddTopicActivity.this.searching && AddTopicActivity.this.searchWas) {
                        AndroidUtilities.hideKeyboard(AddTopicActivity.this.getParentActivity().getCurrentFocus());
                    }
                    this.scrollingManually = true;
                    return;
                }
                this.scrollingManually = false;
            }

            @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
            public void onScrolled(RecyclerView recyclerView, int dx, int dy) {
                super.onScrolled(recyclerView, dx, dy);
                int off = recyclerView.computeVerticalScrollOffset();
                if (off == 0) {
                    AddTopicActivity.this.fl_search_container.setBackgroundColor(Theme.getColor(Theme.key_list_decorationBackground));
                    AddTopicActivity.this.fl_search_container.setScrollY(off > AndroidUtilities.dp(55.0f) ? AndroidUtilities.dp(55.0f) : off);
                } else if (off > 0) {
                    AddTopicActivity.this.fl_search_container.setBackgroundColor(0);
                    AddTopicActivity.this.fl_search_container.setScrollY(off > AndroidUtilities.dp(55.0f) ? AndroidUtilities.dp(55.0f) : off);
                }
            }
        });
        this.listView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.AddTopicActivity$$ExternalSyntheticLambda3
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                AddTopicActivity.this.m3290x31e4b893(view, i);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListView$2$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-AddTopicActivity  reason: not valid java name */
    public /* synthetic */ void m3290x31e4b893(View view, int position) {
        RespTopicBean.Item selectedtopic = this.mysearchAdapter.getData().get(position);
        String key = selectedtopic.ID + "" + selectedtopic.TypeID;
        if (this.cacheSelectedHashmap.get(key) == null) {
            if (this.cacheSelectedHashmap.size() >= 3) {
                FcToastUtils.show((CharSequence) LocaleController.getString("selcetthreetopic", R.string.selcetthreetopic));
            } else {
                this.cacheSelectedHashmap.put(key, selectedtopic);
                getAccountInstance().getNotificationCenter();
                NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.selectedTopicSuccess, new Object[0]);
            }
        } else {
            this.cacheSelectedHashmap.remove(key);
            getAccountInstance().getNotificationCenter();
            NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.selectedTopicSuccess, new Object[0]);
        }
        this.mysearchAdapter.notifyDataSetChanged();
    }

    private void initSearchView() {
        FrameLayout frameLayout = (FrameLayout) this.fragmentView.findViewById(R.id.fl_search_cover);
        this.fl_search_cover = frameLayout;
        frameLayout.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.AddTopicActivity$$ExternalSyntheticLambda2
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                AddTopicActivity.lambda$initSearchView$3(view);
            }
        });
        FrameLayout frameLayout2 = (FrameLayout) this.fragmentView.findViewById(R.id.fl_search_container);
        this.fl_search_container = frameLayout2;
        frameLayout2.setBackgroundColor(Theme.getColor(Theme.key_list_decorationBackground));
        MrySearchView mrySearchView = (MrySearchView) this.fragmentView.findViewById(R.id.searchview);
        this.searchView = mrySearchView;
        mrySearchView.setCancelTextColor(this.mContext.getResources().getColor(R.color.color_778591));
        this.searchView.setEditTextBackground(DrawableUtils.createLayerDrawable(Theme.getColor(Theme.key_windowBackgroundWhite), Theme.getColor(Theme.key_divider), AndroidUtilities.dp(50.0f)));
        this.searchView.setHintText(LocaleController.getString("searchTopic", R.string.searchTopic));
        this.searchView.setiSearchViewDelegate(new MrySearchView.ISearchViewDelegate() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.AddTopicActivity.3
            @Override // im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
            public void onStart(boolean focus) {
                if (!focus) {
                    if (AddTopicActivity.this.actionBar.getVisibility() == 4) {
                        AddTopicActivity addTopicActivity = AddTopicActivity.this;
                        addTopicActivity.showTitle(addTopicActivity.fragmentView);
                    }
                    AddTopicActivity.this.fl_search_container.setBackgroundColor(Theme.getColor(Theme.key_list_decorationBackground));
                    AddTopicActivity.this.fl_search_cover.setVisibility(8);
                    return;
                }
                AddTopicActivity addTopicActivity2 = AddTopicActivity.this;
                addTopicActivity2.hideTitle(addTopicActivity2.fragmentView);
                AddTopicActivity.this.fl_search_container.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                AddTopicActivity.this.fl_search_cover.setVisibility(0);
            }

            @Override // im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
            public void onSearchExpand() {
                AddTopicActivity.this.searching = true;
            }

            @Override // im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
            public boolean canCollapseSearch() {
                AddTopicActivity.this.searching = false;
                AddTopicActivity.this.searchWas = false;
                AddTopicActivity.this.listView.setAdapter(AddTopicActivity.this.mysearchAdapter);
                AddTopicActivity.this.mysearchAdapter.notifyDataSetChanged();
                return true;
            }

            @Override // im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
            public void onSearchCollapse() {
                AddTopicActivity.this.searching = false;
                AddTopicActivity.this.searchWas = false;
                AddTopicActivity.this.listView.setVisibility(8);
                AddTopicActivity.this.content_container.setVisibility(0);
            }

            @Override // im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
            public void onTextChange(String text) {
                if (AddTopicActivity.this.mysearchAdapter != null) {
                    AddTopicActivity.this.query = text;
                    if (text.length() != 0) {
                        AddTopicActivity.this.searchWas = true;
                        AddTopicActivity.this.dosearchtopic();
                    } else if (AddTopicActivity.this.searching) {
                        AddTopicActivity.this.listView.setAdapter(AddTopicActivity.this.mysearchAdapter);
                        AddTopicActivity.this.mysearchAdapter.getData().clear();
                        AddTopicActivity.this.mysearchAdapter.notifyDataSetChanged();
                    }
                }
            }

            @Override // im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
            public void onActionSearch(String trim) {
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$initSearchView$3(View v) {
    }

    @Override // im.uecahxyvjd.ui.hui.friendscircle_v1.base.BaseFcActivity
    protected void initData() {
        getFcTopicList();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes13.dex */
    public class MysearchAdapter extends PageSelectionAdapter<RespTopicBean.Item, PageHolder> {
        public MysearchAdapter(Context context) {
            super(context);
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
        public PageHolder onCreateViewHolderForChild(ViewGroup parent, int viewType) {
            View view = LayoutInflater.from(AddTopicActivity.this.mContext).inflate(R.layout.item_fc_topic, parent, false);
            return new PageHolder(view);
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
        public void onBindViewHolderForChild(PageHolder holder, int position, RespTopicBean.Item item) {
            RecyclerView.LayoutParams layoutParams = new RecyclerView.LayoutParams(-1, AndroidUtilities.dp(70.0f));
            if (position % 2 == 0) {
                layoutParams.topMargin = AndroidUtilities.dp(15.0f);
                layoutParams.leftMargin = AndroidUtilities.dp(15.0f);
                layoutParams.rightMargin = AndroidUtilities.dp(10.0f);
            } else {
                layoutParams.rightMargin = AndroidUtilities.dp(15.0f);
                layoutParams.topMargin = AndroidUtilities.dp(15.0f);
            }
            if (getItemCount() % 2 == 0) {
                if (position == getItemCount() - 1 || position == getItemCount() - 2) {
                    layoutParams.bottomMargin = AndroidUtilities.dp(15.0f);
                }
            } else if (position == getItemCount() - 1) {
                layoutParams.bottomMargin = AndroidUtilities.dp(15.0f);
            }
            holder.itemView.setLayoutParams(layoutParams);
            if (AddTopicActivity.this.cacheSelectedHashmap.get(item.ID + "" + item.TypeID) != null) {
                holder.itemView.setBackground(DrawableUtils.createLayerDrawable(AddTopicActivity.this.mContext.getResources().getColor(R.color.color_F0FCFF), AddTopicActivity.this.mContext.getResources().getColor(R.color.color_2ECEFD), 0.0f));
            } else {
                holder.itemView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
            }
            MryTextView tv_title = (MryTextView) holder.itemView.findViewById(R.id.tv_title);
            MryTextView tv_subtitle = (MryTextView) holder.itemView.findViewById(R.id.tv_subtitle);
            MryTextView tv_tag = (MryTextView) holder.itemView.findViewById(R.id.tv_tag);
            tv_title.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText));
            tv_subtitle.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText3));
            tv_tag.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhite));
            tv_title.setText(Html.fromHtml(String.format(LocaleController.getString("topictitle", R.string.topictitle), item.TopicName)));
            tv_subtitle.setText(item.Subtitle);
            if (item.Tag == 1) {
                tv_tag.setText(LocaleController.getString("fc_new", R.string.fc_new));
                tv_tag.setBackground(DrawableUtils.getGradientDrawable(new float[]{AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f}, AddTopicActivity.this.mContext.getResources().getColor(R.color.color_FFFD8A94), AddTopicActivity.this.mContext.getResources().getColor(R.color.color_FFFD6FCB)));
            } else if (item.Tag == 2) {
                tv_tag.setText(LocaleController.getString("fc_recommend", R.string.fc_recommend));
                tv_tag.setBackground(DrawableUtils.getGradientDrawable(new float[]{AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f}, AddTopicActivity.this.mContext.getResources().getColor(R.color.color_FF50F7FD), AddTopicActivity.this.mContext.getResources().getColor(R.color.color_FF2ED2FE)));
            } else {
                tv_tag.setVisibility(8);
            }
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter, im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageLoadMoreListener
        public void loadData(int page) {
            super.loadData(page);
            AddTopicActivity.this.getTopics(page);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void dosearchtopic() {
        this.content_container.setVisibility(8);
        this.listView.setVisibility(0);
        this.fl_search_cover.setVisibility(8);
        this.mysearchAdapter.notifyDataSetChanged();
        getTopics(0);
    }

    protected void getFcTopicList() {
        Observable<BResponse<ArrayList<RespTopicTypeBean>>> observable = ApiFactory.getInstance().getApiMomentForum().getFcTopicList();
        RxHelper.getInstance().sendRequest(TAG, observable, new Consumer() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.AddTopicActivity$$ExternalSyntheticLambda6
            @Override // io.reactivex.functions.Consumer
            public final void accept(Object obj) {
                AddTopicActivity.this.m3284xe099d1bc((BResponse) obj);
            }
        }, new Consumer() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.AddTopicActivity$$ExternalSyntheticLambda7
            @Override // io.reactivex.functions.Consumer
            public final void accept(Object obj) {
                AddTopicActivity.this.m3285xf14f9e7d((Throwable) obj);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getFcTopicList$4$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-AddTopicActivity  reason: not valid java name */
    public /* synthetic */ void m3284xe099d1bc(BResponse responseData) throws Exception {
        if (responseData != null) {
            if (responseData.isState() && responseData.Data != 0) {
                List<RespTopicTypeBean> list = (List) responseData.Data;
                this.topicTypes = list;
                for (RespTopicTypeBean topicTypes : list) {
                    this.addTopicFragmentList.add(new AddTopicFragment(topicTypes, this.cacheSelectedHashmap));
                }
                this.emptyViewDialog.showContent();
                if (this.addTopicFragmentList.size() > 0) {
                    this.addTopicAdapter.notifyDataSetChanged();
                    this.tabLayout.notifyDataSetChanged();
                    return;
                }
                return;
            }
            this.emptyViewDialog.showEmpty();
            FcToastUtils.show((CharSequence) responseData.Message);
            return;
        }
        this.emptyViewDialog.showError(LocaleController.getString("fc_request_fialed", R.string.fc_request_fialed));
        FcToastUtils.show((CharSequence) "请求失败");
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getFcTopicList$5$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-AddTopicActivity  reason: not valid java name */
    public /* synthetic */ void m3285xf14f9e7d(Throwable throwable) throws Exception {
        this.emptyViewDialog.showError(LocaleController.getString("fc_request_fialed", R.string.fc_request_fialed));
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes13.dex */
    public class AddTopicAdapter extends FragmentStatePagerAdapter {
        private Context mContext;

        public AddTopicAdapter(Context context, FragmentManager fm) {
            super(fm);
            this.mContext = context;
        }

        @Override // androidx.fragment.app.FragmentStatePagerAdapter
        public Fragment getItem(int position) {
            if (AddTopicActivity.this.addTopicFragmentList.get(position) == null) {
                return null;
            }
            return (Fragment) AddTopicActivity.this.addTopicFragmentList.get(position);
        }

        @Override // androidx.viewpager.widget.PagerAdapter
        public int getCount() {
            if (AddTopicActivity.this.topicTypes == null) {
                return 0;
            }
            return AddTopicActivity.this.topicTypes.size();
        }

        @Override // androidx.viewpager.widget.PagerAdapter
        public CharSequence getPageTitle(int position) {
            return AddTopicActivity.this.topicTypes == null ? "" : ((RespTopicTypeBean) AddTopicActivity.this.topicTypes.get(position)).TopicTypeName;
        }
    }

    private void notifyTopicSelectChanged() {
        for (AddTopicFragment fragment : this.addTopicFragmentList) {
            fragment.setselectedItemCount(this.cacheSelectedHashmap);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void getTopics(int pageNo) {
        Observable<BResponse<RespTopicBean>> observable = ApiFactory.getInstance().getApiMomentForum().getFcTopic(this.TopicTypeID, this.query, pageNo * 20, 20);
        RxHelper.getInstance().sendRequest(TAG, observable, new Consumer() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.AddTopicActivity$$ExternalSyntheticLambda0
            @Override // io.reactivex.functions.Consumer
            public final void accept(Object obj) {
                AddTopicActivity.this.m3286x7ae5c244((BResponse) obj);
            }
        }, new Consumer() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.AddTopicActivity$$ExternalSyntheticLambda1
            @Override // io.reactivex.functions.Consumer
            public final void accept(Object obj) {
                AddTopicActivity.this.m3287x8b9b8f05((Throwable) obj);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getTopics$6$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-AddTopicActivity  reason: not valid java name */
    public /* synthetic */ void m3286x7ae5c244(BResponse response) throws Exception {
        if (response != null && response.isState()) {
            if (response.Data != 0) {
                List<RespTopicBean.Item> topics = ((RespTopicBean) response.Data).getTopics();
                this.respTopicBeans = topics;
                this.mysearchAdapter.addData((List) topics);
                return;
            }
            this.mysearchAdapter.showEmpty();
            return;
        }
        this.mysearchAdapter.showError(LocaleController.getString("request_fialed", R.string.fc_request_fialed));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getTopics$7$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-AddTopicActivity  reason: not valid java name */
    public /* synthetic */ void m3287x8b9b8f05(Throwable throwable) throws Exception {
        this.mysearchAdapter.showError(LocaleController.getString("request_fialed", R.string.fc_request_fialed));
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onBackPressed() {
        getAccountInstance().getNotificationCenter();
        NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.selectedTopicSuccessToPublish, this.cacheSelectedHashmap);
        return super.onBackPressed();
    }
}
