package im.uecahxyvjd.ui.hui.friendscircle_v1.ui;

import android.content.Context;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.bjz.comm.net.bean.BResponse;
import com.bjz.comm.net.bean.RespTopicBean;
import com.bjz.comm.net.bean.RespTopicTypeBean;
import com.bjz.comm.net.factory.ApiFactory;
import com.bjz.comm.net.utils.RxHelper;
import com.blankj.utilcode.util.SpanUtils;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.utils.DrawableUtils;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.fragments.BaseFmts;
import im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageHolder;
import im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter;
import im.uecahxyvjd.ui.hui.friendscircle_v1.view.toast.FcToastUtils;
import im.uecahxyvjd.ui.hviews.MryTextView;
import io.reactivex.Observable;
import io.reactivex.functions.Consumer;
import java.util.HashMap;
import java.util.List;
/* loaded from: classes13.dex */
public class AddTopicFragment extends BaseFmts {
    private static final String TAG = "AddTopicFragment";
    private final String TOPICTYPEID = "TOPICTYPEID";
    private String TopicName = "";
    private long TopicTypeID;
    private HashMap<String, RespTopicBean.Item> cacheSelectedHashmap;
    private FrameLayout frame_container;
    private GridLayoutManager gridLayoutManager;
    private RecyclerListView listView;
    private MyAdapter myAdapter;
    private List<RespTopicBean.Item> respTopicBeans;

    public AddTopicFragment(RespTopicTypeBean TopicTypes, HashMap<String, RespTopicBean.Item> cacheSelectedHashmap) {
        this.cacheSelectedHashmap = cacheSelectedHashmap;
        Bundle args = new Bundle();
        args.putLong("TOPICTYPEID", TopicTypes.TopicTypeID);
        setArguments(args);
    }

    @Override // im.uecahxyvjd.ui.fragments.BaseFmts, androidx.fragment.app.Fragment
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.TopicTypeID = getArguments().getLong("TOPICTYPEID");
    }

    @Override // im.uecahxyvjd.ui.fragments.BaseFmts, androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        this.fragmentView = inflater.inflate(R.layout.fragment_fc_add_topic, (ViewGroup) null);
        this.frame_container = (FrameLayout) this.fragmentView.findViewById(R.id.frame_container);
        RecyclerListView recyclerListView = (RecyclerListView) this.fragmentView.findViewById(R.id.listview);
        this.listView = recyclerListView;
        recyclerListView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        RecyclerListView recyclerListView2 = this.listView;
        GridLayoutManager gridLayoutManager = new GridLayoutManager(this.context, 2);
        this.gridLayoutManager = gridLayoutManager;
        recyclerListView2.setLayoutManager(gridLayoutManager);
        RecyclerListView recyclerListView3 = this.listView;
        MyAdapter myAdapter = new MyAdapter(this.context);
        this.myAdapter = myAdapter;
        recyclerListView3.setAdapter(myAdapter);
        this.myAdapter.emptyAttachView(this.frame_container);
        this.myAdapter.showLoading();
        this.listView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.AddTopicFragment$$ExternalSyntheticLambda2
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                AddTopicFragment.this.m3293xf481c3f(view, i);
            }
        });
        return this.fragmentView;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onCreateView$0$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-AddTopicFragment  reason: not valid java name */
    public /* synthetic */ void m3293xf481c3f(View view, int position) {
        RespTopicBean.Item selectedtopic = this.respTopicBeans.get(position);
        String key = selectedtopic.ID + "" + selectedtopic.TypeID;
        if (this.cacheSelectedHashmap.get(key) == null) {
            if (this.cacheSelectedHashmap.size() >= 3) {
                FcToastUtils.show((CharSequence) LocaleController.getString("selcetthreetopic", R.string.selcetthreetopic));
                return;
            }
            this.cacheSelectedHashmap.put(key, selectedtopic);
            getAccountInstance().getNotificationCenter();
            NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.selectedTopicSuccess, new Object[0]);
            return;
        }
        this.cacheSelectedHashmap.remove(key);
        getAccountInstance().getNotificationCenter();
        NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.selectedTopicSuccess, new Object[0]);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.fragments.BaseFmts
    public void lazyLoadData() {
        super.lazyLoadData();
        getTopics(0);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.fragments.BaseFmts
    public void onVisible() {
        super.onVisible();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes13.dex */
    public class MyAdapter extends PageSelectionAdapter<RespTopicBean.Item, PageHolder> {
        public MyAdapter(Context context) {
            super(context);
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
        public PageHolder onCreateViewHolderForChild(ViewGroup parent, int viewType) {
            View view = LayoutInflater.from(AddTopicFragment.this.context).inflate(R.layout.item_fc_topic, parent, false);
            return new PageHolder(view);
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
        public void onBindViewHolderForChild(PageHolder holder, int position, RespTopicBean.Item item) {
            RecyclerView.LayoutParams layoutParams = new RecyclerView.LayoutParams(-1, AndroidUtilities.dp(70.0f));
            if (position % 2 == 0) {
                layoutParams.topMargin = AndroidUtilities.dp(15.0f);
                layoutParams.leftMargin = AndroidUtilities.dp(15.0f);
                layoutParams.rightMargin = AndroidUtilities.dp(10.0f);
            } else {
                layoutParams.rightMargin = AndroidUtilities.dp(15.0f);
                layoutParams.topMargin = AndroidUtilities.dp(15.0f);
            }
            if (getItemCount() % 2 == 0) {
                if (position == getItemCount() - 1 || position == getItemCount() - 2) {
                    layoutParams.bottomMargin = AndroidUtilities.dp(15.0f);
                }
            } else if (position == getItemCount() - 1) {
                layoutParams.bottomMargin = AndroidUtilities.dp(15.0f);
            }
            holder.itemView.setLayoutParams(layoutParams);
            if (AddTopicFragment.this.cacheSelectedHashmap.get(item.ID + "" + item.TypeID) == null) {
                holder.itemView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
            } else if (Theme.getCurrentTheme().isLight()) {
                holder.itemView.setBackground(DrawableUtils.createLayerDrawable(AddTopicFragment.this.context.getResources().getColor(R.color.color_F0FCFF), AddTopicFragment.this.context.getResources().getColor(R.color.color_2ECEFD), 0.0f));
            } else {
                holder.itemView.setBackground(DrawableUtils.createLayerDrawable(AndroidUtilities.alphaColor(0.1f, -983809), AddTopicFragment.this.context.getResources().getColor(R.color.color_2ECEFD), 0.0f));
            }
            MryTextView tv_title = (MryTextView) holder.itemView.findViewById(R.id.tv_title);
            MryTextView tv_subtitle = (MryTextView) holder.itemView.findViewById(R.id.tv_subtitle);
            MryTextView tv_tag = (MryTextView) holder.itemView.findViewById(R.id.tv_tag);
            tv_subtitle.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText3));
            tv_tag.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhite));
            SpanUtils.with(tv_title).append("#").setForegroundColor(-13709571).append(item.TopicName).setForegroundColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText)).create();
            tv_subtitle.setText(item.Subtitle);
            if (item.Tag == 1) {
                tv_tag.setText(LocaleController.getString("fc_new", R.string.fc_new));
                tv_tag.setBackground(DrawableUtils.getGradientDrawable(new float[]{AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f}, AddTopicFragment.this.context.getResources().getColor(R.color.color_FFFD8A94), AddTopicFragment.this.context.getResources().getColor(R.color.color_FFFD6FCB)));
            } else if (item.Tag == 2) {
                tv_tag.setText(LocaleController.getString("fc_recommend", R.string.fc_recommend));
                tv_tag.setBackground(DrawableUtils.getGradientDrawable(new float[]{AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f}, AddTopicFragment.this.context.getResources().getColor(R.color.color_FF50F7FD), AddTopicFragment.this.context.getResources().getColor(R.color.color_FF2ED2FE)));
            } else {
                tv_tag.setVisibility(8);
            }
        }
    }

    private void getTopics(int pageNo) {
        Observable<BResponse<RespTopicBean>> observable = ApiFactory.getInstance().getApiMomentForum().getFcTopic(this.TopicTypeID, this.TopicName, pageNo * 20, 20);
        RxHelper.getInstance().sendRequest(TAG, observable, new Consumer() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.AddTopicFragment$$ExternalSyntheticLambda0
            @Override // io.reactivex.functions.Consumer
            public final void accept(Object obj) {
                AddTopicFragment.this.m3291x27afb1c0((BResponse) obj);
            }
        }, new Consumer() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.AddTopicFragment$$ExternalSyntheticLambda1
            @Override // io.reactivex.functions.Consumer
            public final void accept(Object obj) {
                AddTopicFragment.this.m3292x38657e81((Throwable) obj);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getTopics$1$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-AddTopicFragment  reason: not valid java name */
    public /* synthetic */ void m3291x27afb1c0(BResponse response) throws Exception {
        if (response != null && response.isState()) {
            if (response.Data != 0) {
                List<RespTopicBean.Item> topics = ((RespTopicBean) response.Data).getTopics();
                this.respTopicBeans = topics;
                this.myAdapter.addData((List) topics);
                return;
            }
            this.myAdapter.showEmpty();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getTopics$2$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-AddTopicFragment  reason: not valid java name */
    public /* synthetic */ void m3292x38657e81(Throwable throwable) throws Exception {
        this.myAdapter.showError(LocaleController.getString("request_fialed", R.string.fc_request_fialed));
    }

    public void setselectedItemCount(HashMap<String, RespTopicBean.Item> cacheSelectedHashmap) {
        this.cacheSelectedHashmap = cacheSelectedHashmap;
        MyAdapter myAdapter = this.myAdapter;
        if (myAdapter != null) {
            myAdapter.notifyDataSetChanged();
        }
    }
}
