package im.uecahxyvjd.ui.hui.friendscircle_v1.ui;

import android.content.Context;
import android.content.IntentFilter;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.ProgressBar;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.baidu.location.BDAbstractLocationListener;
import com.baidu.location.BDLocation;
import com.baidu.location.LocationClient;
import com.baidu.location.LocationClientOption;
import com.baidu.mapapi.model.LatLng;
import com.baidu.mapapi.search.core.PoiInfo;
import com.baidu.mapapi.search.poi.OnGetPoiSearchResultListener;
import com.baidu.mapapi.search.poi.PoiCitySearchOption;
import com.baidu.mapapi.search.poi.PoiDetailResult;
import com.baidu.mapapi.search.poi.PoiDetailSearchResult;
import com.baidu.mapapi.search.poi.PoiIndoorResult;
import com.baidu.mapapi.search.poi.PoiNearbySearchOption;
import com.baidu.mapapi.search.poi.PoiResult;
import com.baidu.mapapi.search.poi.PoiSearch;
import com.baidu.mapsdkplatform.comapi.location.CoordinateType;
import com.bjz.comm.net.receiver.NetworkConnectChangedReceiver;
import com.blankj.utilcode.util.KeyboardUtils;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.utils.DrawableUtils;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.BaseSearchViewFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RadialProgressView;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterLoadMoreView;
import im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageHolder;
import im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter;
import im.uecahxyvjd.ui.hui.friendscircle_v1.fcInterface.FcChooseLocationListener;
import im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcChooseLocationActivity;
import im.uecahxyvjd.ui.hui.friendscircle_v1.view.CommLayoutItemDecoration;
import im.uecahxyvjd.ui.hui.friendscircle_v1.view.toast.FcToastUtils;
import im.uecahxyvjd.ui.hviews.MryTextView;
import im.uecahxyvjd.ui.hviews.search.MrySearchView;
import java.util.ArrayList;
import java.util.List;
/* loaded from: classes13.dex */
public class FcChooseLocationActivity extends BaseSearchViewFragment implements NetworkConnectChangedReceiver.OnNetWorkStateListener {
    private static final String KEYWORD = "美食$购物$休闲娱乐$生活服务$酒店$交通设施$房地产$医疗$教育培训$自然地物";
    private static final int SEARCH_CITY = 1;
    private static final int SEARCH_NEARBY = 0;
    private RecyclerListView listView;
    private FcChooseLocationListener locationListener;
    private MyAdapter mAdapter;
    private Context mContext;
    private BDLocation mCurrentLocation;
    private LocationClient mLocClient;
    private MyLocationListener mLocationListener;
    private PoiSearch mPoiSearch;
    private MyAdapter mSearchAdapter;
    private MrySearchView mSearchView;
    private ActionBarMenu menu;
    private NetworkConnectChangedReceiver networkConnectChangedReceiver;
    private RecyclerListView rv_search_location_info;
    private String searchKeyword;
    private int searchType;
    private TextView tv_empty;
    private byte CONFIRM_BUTTON = 1;
    private PoiInfo selectedLocation = null;
    private PoiInfo selectedSearchLocation = null;
    boolean isFirstLoc = true;
    private int pageNo = 0;
    private boolean isNetWorkConnected = false;
    private int searchPageNo = 0;

    public void setFcChooseLocationListener(FcChooseLocationListener listener) {
        this.locationListener = listener;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseSearchViewFragment, im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.mContext = context;
        getParentActivity().getWindow().setSoftInputMode(32);
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_friends_cricle_choose_location, (ViewGroup) null);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        initActionBar();
        initView();
        return this.fragmentView;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseSearchViewFragment
    protected MrySearchView getSearchView() {
        return this.mSearchView;
    }

    private void initActionBar() {
        this.actionBar.setTitle(LocaleController.getString("friendscircle_publish_choose_location", R.string.friendscircle_publish_choose_location));
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setAllowOverlayTitle(true);
        if (AndroidUtilities.isTablet()) {
            this.actionBar.setOccupyStatusBar(false);
        }
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcChooseLocationActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id != -1) {
                    if (id == FcChooseLocationActivity.this.CONFIRM_BUTTON && FcChooseLocationActivity.this.selectedLocation != null && FcChooseLocationActivity.this.locationListener != null) {
                        FcChooseLocationActivity.this.locationListener.doAfterChooseLocationSuccess(FcChooseLocationActivity.this.selectedLocation);
                        FcChooseLocationActivity.this.finishFragment();
                        return;
                    }
                    return;
                }
                FcChooseLocationActivity.this.finishFragment();
            }
        });
        ActionBarMenu createMenu = this.actionBar.createMenu();
        this.menu = createMenu;
        createMenu.addRightItemView(this.CONFIRM_BUTTON, LocaleController.getString("confirm", R.string.confirm));
        this.menu.setAlpha(0.3f);
    }

    private void initView() {
        this.mSearchView = (MrySearchView) this.fragmentView.findViewById(R.id.search_view);
        this.listView = (RecyclerListView) this.fragmentView.findViewById(R.id.rv_location_info);
        this.rv_search_location_info = (RecyclerListView) this.fragmentView.findViewById(R.id.rv_search_location_info);
        this.tv_empty = (TextView) this.fragmentView.findViewById(R.id.tv_empty);
        this.listView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        this.listView.setLayoutManager(new LinearLayoutManager(this.mContext) { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcChooseLocationActivity.2
            @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.LayoutManager
            public RecyclerView.LayoutParams generateDefaultLayoutParams() {
                return new RecyclerView.LayoutParams(-1, -1);
            }
        });
        this.listView.addItemDecoration(new CommLayoutItemDecoration(AndroidUtilities.dp(1.0f)));
        MyAdapter myAdapter = new MyAdapter(this.mContext);
        this.mAdapter = myAdapter;
        myAdapter.setAdapterStateView(new LoadMoreView(getParentActivity()));
        this.listView.setAdapter(this.mAdapter);
        this.rv_search_location_info.setLayoutManager(new LinearLayoutManager(this.mContext) { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcChooseLocationActivity.3
            @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.recyclerview.widget.RecyclerView.LayoutManager
            public RecyclerView.LayoutParams generateDefaultLayoutParams() {
                return new RecyclerView.LayoutParams(-1, -1);
            }
        });
        this.rv_search_location_info.addItemDecoration(new CommLayoutItemDecoration(AndroidUtilities.dp(0.5f)));
        MyAdapter myAdapter2 = new MyAdapter(this.mContext);
        this.mSearchAdapter = myAdapter2;
        myAdapter2.setAdapterStateView(new LoadMoreView(getParentActivity()));
        this.rv_search_location_info.setAdapter(this.mSearchAdapter);
        this.listView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcChooseLocationActivity$$ExternalSyntheticLambda0
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                FcChooseLocationActivity.this.m3301xc33c93ce(view, i);
            }
        });
        this.rv_search_location_info.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcChooseLocationActivity$$ExternalSyntheticLambda1
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                FcChooseLocationActivity.this.m3302x9efe0f8f(view, i);
            }
        });
        PoiInfo noPoiInfo = new PoiInfo();
        noPoiInfo.setName("不显示位置");
        this.mAdapter.addData((MyAdapter) noPoiInfo);
        PoiInfo progress = new PoiInfo();
        this.mAdapter.addData((MyAdapter) progress);
        initSearchView();
        initBaiduMap();
        registerNetworkChangeReceiver();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initView$0$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-FcChooseLocationActivity  reason: not valid java name */
    public /* synthetic */ void m3301xc33c93ce(View view, int position) {
        PoiInfo info = this.mAdapter.getItem(position);
        if (info != null && !TextUtils.isEmpty(info.getName())) {
            this.selectedLocation = info;
            this.mAdapter.notifyDataSetChanged();
            setConfirmButtonAlpha();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initView$1$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-FcChooseLocationActivity  reason: not valid java name */
    public /* synthetic */ void m3302x9efe0f8f(View view, int position) {
        PoiInfo info = this.mSearchAdapter.getItem(position);
        if (info != null) {
            this.selectedSearchLocation = info;
            this.mSearchAdapter.notifyDataSetChanged();
            FcChooseLocationListener fcChooseLocationListener = this.locationListener;
            if (fcChooseLocationListener != null) {
                fcChooseLocationListener.doAfterChooseLocationSuccess(info);
                finishFragment();
            }
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseSearchViewFragment
    public void initSearchView() {
        this.mSearchView.getEditor().setBackground(DrawableUtils.createLayerDrawable(Theme.getColor(Theme.key_windowBackgroundWhite), Theme.getColor(Theme.key_windowBackgroundGray), AndroidUtilities.dp(17.0f)));
        this.mSearchView.setHintText(LocaleController.getString("friendscircle_hint_edit_search_location", R.string.friendscircle_hint_edit_search_location));
        this.mSearchView.setiSearchViewDelegate(this);
    }

    private void registerNetworkChangeReceiver() {
        IntentFilter filter = new IntentFilter();
        filter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
        filter.addAction("android.net.wifi.WIFI_STATE_CHANGED");
        filter.addAction("android.net.wifi.STATE_CHANGE");
        NetworkConnectChangedReceiver networkConnectChangedReceiver = new NetworkConnectChangedReceiver();
        this.networkConnectChangedReceiver = networkConnectChangedReceiver;
        networkConnectChangedReceiver.setNetWorkStateListener(this);
        this.mContext.registerReceiver(this.networkConnectChangedReceiver, filter);
    }

    @Override // com.bjz.comm.net.receiver.NetworkConnectChangedReceiver.OnNetWorkStateListener
    public void onNetWorkStateChange(boolean isConnected) {
        LocationClient locationClient;
        this.isNetWorkConnected = isConnected;
        if (isConnected && this.mCurrentLocation == null && (locationClient = this.mLocClient) != null) {
            locationClient.start();
        }
    }

    private void initBaiduMap() {
        initLocationClient();
        initPoiSearch();
    }

    private void initLocationClient() {
        LocationClient locationClient = new LocationClient(this.mContext);
        this.mLocClient = locationClient;
        MyLocationListener myLocationListener = new MyLocationListener();
        this.mLocationListener = myLocationListener;
        locationClient.registerLocationListener(myLocationListener);
        LocationClientOption option = new LocationClientOption();
        option.setOpenGps(true);
        option.setCoorType(CoordinateType.GCJ02);
        option.setScanSpan(1000);
        option.setIgnoreKillProcess(false);
        option.setIsNeedAddress(true);
        this.mLocClient.setLocOption(option);
    }

    private void initPoiSearch() {
        PoiSearch newInstance = PoiSearch.newInstance();
        this.mPoiSearch = newInstance;
        newInstance.setOnGetPoiSearchResultListener(new OnGetPoiSearchResultListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcChooseLocationActivity.4
            @Override // com.baidu.mapapi.search.poi.OnGetPoiSearchResultListener
            public void onGetPoiResult(PoiResult poiResult) {
                List<PoiInfo> allPoi = poiResult.getAllPoi();
                if (FcChooseLocationActivity.this.isFirstLoc) {
                    FcChooseLocationActivity.this.isFirstLoc = false;
                }
                if (FcChooseLocationActivity.this.searchType != 0) {
                    if (FcChooseLocationActivity.this.searchType == 1) {
                        if (FcChooseLocationActivity.this.searchPageNo == 0) {
                            FcChooseLocationActivity.this.selectedSearchLocation = null;
                            FcChooseLocationActivity.this.mSearchAdapter.pageReset();
                            FcChooseLocationActivity.this.mSearchAdapter.clearData();
                        }
                        FcChooseLocationActivity.this.mSearchAdapter.addData((List) allPoi);
                        if (FcChooseLocationActivity.this.mSearchAdapter.getItemCount() <= 0) {
                            if (!TextUtils.equals(FcChooseLocationActivity.this.searchKeyword, FcChooseLocationActivity.KEYWORD)) {
                                FcChooseLocationActivity.this.tv_empty.setVisibility(0);
                                return;
                            } else {
                                FcChooseLocationActivity.this.tv_empty.setVisibility(8);
                                return;
                            }
                        }
                        FcChooseLocationActivity.this.tv_empty.setVisibility(8);
                    }
                } else if (allPoi != null && allPoi.size() > 0) {
                    if (FcChooseLocationActivity.this.pageNo == 0) {
                        FcChooseLocationActivity.this.selectedLocation = null;
                        FcChooseLocationActivity.this.mAdapter.pageReset();
                        FcChooseLocationActivity.this.mAdapter.clearData();
                        ArrayList<PoiInfo> newList = new ArrayList<>();
                        PoiInfo noPoiInfo = new PoiInfo();
                        noPoiInfo.setName("不显示位置");
                        newList.add(0, noPoiInfo);
                        if (FcChooseLocationActivity.this.mCurrentLocation != null) {
                            String city = FcChooseLocationActivity.this.mCurrentLocation.getCity();
                            if (!TextUtils.isEmpty(city)) {
                                PoiInfo cityPoiInfo = new PoiInfo();
                                cityPoiInfo.setName(city);
                                cityPoiInfo.setCity(city);
                                cityPoiInfo.setLocation(new LatLng(FcChooseLocationActivity.this.mCurrentLocation.getLatitude(), FcChooseLocationActivity.this.mCurrentLocation.getLongitude()));
                                newList.add(1, cityPoiInfo);
                            }
                        }
                        newList.addAll(allPoi);
                        FcChooseLocationActivity.this.mAdapter.addData((List) newList);
                        return;
                    }
                    FcChooseLocationActivity.this.mAdapter.addData((List) allPoi);
                }
            }

            @Override // com.baidu.mapapi.search.poi.OnGetPoiSearchResultListener
            public void onGetPoiDetailResult(PoiDetailResult poiDetailResult) {
            }

            @Override // com.baidu.mapapi.search.poi.OnGetPoiSearchResultListener
            public void onGetPoiDetailResult(PoiDetailSearchResult poiDetailSearchResult) {
            }

            @Override // com.baidu.mapapi.search.poi.OnGetPoiSearchResultListener
            public void onGetPoiIndoorResult(PoiIndoorResult poiIndoorResult) {
            }
        });
    }

    /* loaded from: classes13.dex */
    public class MyLocationListener extends BDAbstractLocationListener {
        public MyLocationListener() {
        }

        @Override // com.baidu.location.BDAbstractLocationListener
        public void onReceiveLocation(BDLocation location) {
            if (location != null) {
                FcChooseLocationActivity.this.mCurrentLocation = location;
                if (FcChooseLocationActivity.this.isFirstLoc) {
                    FcChooseLocationActivity.this.search(0, FcChooseLocationActivity.KEYWORD, 0);
                }
            }
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseSearchViewFragment, im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
    public void onTextChange(String value) {
        super.onTextChange(value);
        if (!TextUtils.isEmpty(value)) {
            search(1, value, 0);
        } else {
            search(1, KEYWORD, 0);
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseSearchViewFragment, im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
    public void onSearchCollapse() {
        super.onSearchCollapse();
        search(0, KEYWORD, 0);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void search(int type, String keyword, int page) {
        if (!this.isNetWorkConnected) {
            FcToastUtils.show((CharSequence) "网络连接异常");
        } else if (this.mCurrentLocation == null) {
        } else {
            if (type == 0) {
                this.pageNo = page;
            } else if (type == 1) {
                this.searchPageNo = page;
            }
            if (type == 0) {
                LatLng latLng = new LatLng(this.mCurrentLocation.getLatitude(), this.mCurrentLocation.getLongitude());
                this.mPoiSearch.searchNearby(new PoiNearbySearchOption().location(latLng).keyword(keyword).radius(1000).pageNum(page).pageCapacity(20).radiusLimit(true));
            } else if (type == 1) {
                if (!TextUtils.isEmpty(keyword)) {
                    String city = this.mCurrentLocation.getCity();
                    if (TextUtils.isEmpty(city)) {
                        return;
                    }
                    this.mPoiSearch.searchInCity(new PoiCitySearchOption().city(city).keyword(keyword).pageNum(page).pageCapacity(20));
                } else {
                    LatLng latLng2 = new LatLng(this.mCurrentLocation.getLatitude(), this.mCurrentLocation.getLongitude());
                    this.mPoiSearch.searchNearby(new PoiNearbySearchOption().location(latLng2).keyword(keyword).radius(1000).pageNum(page).pageCapacity(20).radiusLimit(true));
                }
            }
            this.searchType = type;
            this.searchKeyword = keyword;
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseSearchViewFragment, im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
    public void onStart(boolean focus) {
        super.onStart(focus);
        this.searchType = focus ? 1 : 0;
        this.searchKeyword = focus ? this.searchKeyword : KEYWORD;
        this.rv_search_location_info.setVisibility(focus ? 0 : 8);
        this.tv_empty.setVisibility(8);
        setConfirmButtonAlpha();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes13.dex */
    public class MyAdapter extends PageSelectionAdapter<PoiInfo, PageHolder> {
        private int TYPE_CONTENT;
        private int TYPE_CURRENT;
        private int TYPE_PROGRESS;

        public MyAdapter(Context context) {
            super(context);
            this.TYPE_CURRENT = -1;
            this.TYPE_PROGRESS = 0;
            this.TYPE_CONTENT = 1;
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
        public PageHolder onCreateViewHolderForChild(ViewGroup parent, int viewType) {
            if (viewType == this.TYPE_PROGRESS) {
                FcChooseLocationActivity fcChooseLocationActivity = FcChooseLocationActivity.this;
                return new ProgressViewHolder(LayoutInflater.from(fcChooseLocationActivity.mContext).inflate(R.layout.item_friends_circle_location_progress, parent, false));
            }
            FcChooseLocationActivity fcChooseLocationActivity2 = FcChooseLocationActivity.this;
            return new ViewHolder(LayoutInflater.from(fcChooseLocationActivity2.mContext).inflate(R.layout.item_friends_circle_location_info, parent, false));
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
        public void onBindViewHolderForChild(PageHolder holder, int position, PoiInfo item) {
            if (getItemViewTypeForChild(position) == this.TYPE_PROGRESS) {
                ProgressViewHolder progressViewHolder = (ProgressViewHolder) holder;
                return;
            }
            ViewHolder contentHolder = (ViewHolder) holder;
            contentHolder.tvLocationName.setText(item.getName() == null ? "" : item.getName());
            contentHolder.tvAddress.setText(item.getAddress() != null ? item.getAddress() : "");
            contentHolder.tvAddress.setVisibility(item.getAddress() == null ? 8 : 0);
            if (FcChooseLocationActivity.this.searchType == 0) {
                contentHolder.ivSelected.setVisibility(item != FcChooseLocationActivity.this.selectedLocation ? 4 : 0);
            } else if (FcChooseLocationActivity.this.searchType == 1) {
                contentHolder.ivSelected.setVisibility(item != FcChooseLocationActivity.this.selectedSearchLocation ? 4 : 0);
            }
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter, im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageLoadMoreListener
        public void loadData(int page) {
            super.loadData(page);
            FcChooseLocationActivity fcChooseLocationActivity = FcChooseLocationActivity.this;
            fcChooseLocationActivity.search(fcChooseLocationActivity.searchType, FcChooseLocationActivity.this.searchKeyword, page);
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
        protected int getItemViewTypeForChild(int position) {
            PoiInfo item = getItem(position);
            if (item != null) {
                if (!TextUtils.isEmpty(item.getName())) {
                    this.TYPE_CURRENT = this.TYPE_CONTENT;
                } else {
                    this.TYPE_CURRENT = this.TYPE_PROGRESS;
                }
            } else {
                this.TYPE_CURRENT = this.TYPE_CONTENT;
            }
            return this.TYPE_CURRENT;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes13.dex */
    public class ViewHolder extends PageHolder {
        ImageView ivSelected;
        TextView tvAddress;
        TextView tvLocationName;

        public ViewHolder(View itemView) {
            super(itemView);
            this.tvLocationName = (TextView) itemView.findViewById(R.id.tv_location_name);
            this.tvAddress = (TextView) itemView.findViewById(R.id.tv_address);
            this.ivSelected = (ImageView) itemView.findViewById(R.id.iv_selected);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes13.dex */
    public class ProgressViewHolder extends PageHolder {
        ProgressBar pb_search_location;

        public ProgressViewHolder(View itemView) {
            super(itemView);
            this.pb_search_location = (ProgressBar) itemView.findViewById(R.id.pb_search_location);
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        super.onFragmentDestroy();
        NetworkConnectChangedReceiver networkConnectChangedReceiver = this.networkConnectChangedReceiver;
        if (networkConnectChangedReceiver != null) {
            networkConnectChangedReceiver.setNetWorkStateListener(null);
            this.mContext.unregisterReceiver(this.networkConnectChangedReceiver);
        }
        PoiSearch poiSearch = this.mPoiSearch;
        if (poiSearch != null) {
            poiSearch.destroy();
        }
        LocationClient locationClient = this.mLocClient;
        if (locationClient != null) {
            locationClient.unRegisterLocationListener(this.mLocationListener);
            this.mLocClient.stop();
        }
        KeyboardUtils.unregisterSoftInputChangedListener(getParentActivity().getWindow());
    }

    private void setConfirmButtonAlpha() {
        if (this.locationListener != null && this.selectedLocation != null) {
            if (this.searchType == 0) {
                this.menu.setAlpha(1.0f);
                return;
            } else {
                this.menu.setAlpha(0.3f);
                return;
            }
        }
        this.menu.setAlpha(0.3f);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes13.dex */
    public static class LoadMoreView extends AdapterLoadMoreView {
        public LoadMoreView(Context context) {
            super(context);
        }

        public LoadMoreView(Context context, AttributeSet attrs) {
            super(context, attrs);
        }

        public LoadMoreView(Context context, AttributeSet attrs, int defStyleAttr) {
            super(context, attrs, defStyleAttr);
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterLoadMoreView
        protected void init(Context context) {
            setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
            setLayoutParams(new ViewGroup.LayoutParams(-1, AndroidUtilities.dp(60.0f)));
            RelativeLayout parent = new RelativeLayout(context);
            this.tv = new MryTextView(context);
            this.tv.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText));
            this.tv.setGravity(17);
            this.tv.setLayoutParams(LayoutHelper.createRelative(-2, -1, 13));
            this.tv.setId(R.id.tv_location_progress_name);
            parent.addView(this.tv);
            this.progressBar = new RadialProgressView(context);
            ((RadialProgressView) this.progressBar).setStrokeWidth(1.0f);
            ((RadialProgressView) this.progressBar).setProgressColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText3));
            ((RadialProgressView) this.progressBar).setSize(AndroidUtilities.dp(10.0f));
            this.progressBar.setLayoutParams(LayoutHelper.createRelative(-2.0f, -2.0f, 0, 0, 0, 0, 7, R.id.tv_location_progress_name));
            parent.addView(this.progressBar);
            addView(parent, LayoutHelper.createRelative(-1, -2));
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterLoadMoreView, im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterStateView
        public void loadMoreStart() {
            this.mState = 3;
            post(new Runnable() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcChooseLocationActivity$LoadMoreView$$ExternalSyntheticLambda1
                @Override // java.lang.Runnable
                public final void run() {
                    FcChooseLocationActivity.LoadMoreView.this.m3304x3928413e();
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$loadMoreStart$0$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-FcChooseLocationActivity$LoadMoreView  reason: not valid java name */
        public /* synthetic */ void m3304x3928413e() {
            this.progressBar.setVisibility(0);
            this.tv.setText(LocaleController.getString("friends_circle_location_search_hint", R.string.friends_circle_location_search_hint));
            this.tv.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText));
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterLoadMoreView, im.uecahxyvjd.ui.hui.adapter.pageAdapter.AdapterStateView
        public void loadMoreNoMoreData() {
            this.mState = 5;
            post(new Runnable() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcChooseLocationActivity$LoadMoreView$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    FcChooseLocationActivity.LoadMoreView.this.m3303x4875d94f();
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$loadMoreNoMoreData$1$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-FcChooseLocationActivity$LoadMoreView  reason: not valid java name */
        public /* synthetic */ void m3303x4875d94f() {
            this.progressBar.setVisibility(8);
            this.tv.setText(LocaleController.getString("friends_circle_location_search_nomore_hint", R.string.friends_circle_location_search_nomore_hint));
            this.tv.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText7));
        }
    }
}
