package im.uecahxyvjd.ui.hui.friendscircle_v1.ui;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.TextView;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.bjz.comm.net.bean.AvatarPhotoBean;
import com.bjz.comm.net.bean.BResponse;
import com.bjz.comm.net.bean.BResponseNoData;
import com.bjz.comm.net.bean.FcUserInfoBean;
import com.bjz.comm.net.bean.ResponseFcAttentionUsertBeanV1;
import com.bjz.comm.net.factory.ApiFactory;
import com.bjz.comm.net.utils.JsonCreateUtils;
import com.bjz.comm.net.utils.RxHelper;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ContactsController;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.utils.DrawableUtils;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageHolder;
import im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter;
import im.uecahxyvjd.ui.hui.decoration.TopDecorationWithSearch;
import im.uecahxyvjd.ui.hui.friendscircle_v1.base.CommFcActivity;
import im.uecahxyvjd.ui.hui.friendscircle_v1.utils.StringUtils;
import im.uecahxyvjd.ui.hui.friendscircle_v1.utils.TimeUtils;
import im.uecahxyvjd.ui.hui.friendscircle_v1.view.toast.FcToastUtils;
import im.uecahxyvjd.ui.hviews.MryEmptyView;
import im.uecahxyvjd.ui.hviews.search.MrySearchView;
import io.reactivex.Observable;
import io.reactivex.functions.Consumer;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import okhttp3.RequestBody;
/* loaded from: classes13.dex */
public class FcFollowedManageActivity extends CommFcActivity {
    private String TAG = getClass().getSimpleName();
    public ArrayList<Integer> canceledFocusUser = new ArrayList<>();
    private FrameLayout container;
    private FrameLayout fl_search_container;
    private FrameLayout fl_search_cover;
    private RecyclerListView listView;
    private MyAdapter myAdapter;
    private MysearchAdapter mysearchAdapter;
    private String searchText;
    private MrySearchView searchView;
    private boolean searchWas;
    private boolean searching;

    @Override // im.uecahxyvjd.ui.hui.friendscircle_v1.base.BaseFcActivity
    protected int getLayoutRes() {
        return R.layout.activity_fc_followed_manage;
    }

    @Override // im.uecahxyvjd.ui.hui.friendscircle_v1.base.BaseFcActivity
    protected void initView() {
        initActionBar();
        initSearchView();
        initListView();
    }

    private void initActionBar() {
        this.actionBar.setAllowOverlayTitle(true);
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setTitle(LocaleController.getString("manage", R.string.manage));
        this.actionBar.setDelegate(new ActionBar.ActionBarDelegate() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcFollowedManageActivity$$ExternalSyntheticLambda8
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarDelegate
            public final void onSearchFieldVisibilityChanged(boolean z) {
                FcFollowedManageActivity.this.m3309x3aca7715(z);
            }
        });
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcFollowedManageActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    FcFollowedManageActivity.this.finishFragment();
                }
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initActionBar$0$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-FcFollowedManageActivity  reason: not valid java name */
    public /* synthetic */ void m3309x3aca7715(boolean visible) {
        this.actionBar.getBackButton().setVisibility(visible ? 0 : 8);
    }

    private void initListView() {
        this.container = (FrameLayout) this.fragmentView.findViewById(R.id.container);
        RecyclerListView recyclerListView = (RecyclerListView) this.fragmentView.findViewById(R.id.listView);
        this.listView = recyclerListView;
        recyclerListView.setLayoutManager(new LinearLayoutManager(this.mContext));
        this.listView.addItemDecoration(new TopDecorationWithSearch(60, false));
        this.mysearchAdapter = new MysearchAdapter(this.mContext);
        RecyclerListView recyclerListView2 = this.listView;
        MyAdapter myAdapter = new MyAdapter(this.mContext);
        this.myAdapter = myAdapter;
        recyclerListView2.setAdapter(myAdapter);
        this.myAdapter.emptyAttachView(this.container);
        MryEmptyView emptyView = this.myAdapter.getEmptyView();
        emptyView.setEmptyText(LocaleController.getString(R.string.NoFollowedPageDataMessages));
        emptyView.setEmptyResId(R.mipmap.img_empty_default);
        emptyView.setErrorResId(R.mipmap.img_empty_default);
        emptyView.getTextView().setTextColor(this.mContext.getResources().getColor(R.color.color_FFDBC9B8));
        emptyView.getBtn().setPrimaryRadiusAdjustBoundsFillStyle();
        emptyView.getBtn().setRoundBgGradientColors(new int[]{-4789508, -13187843});
        emptyView.getBtn().setStrokeWidth(0);
        emptyView.getBtn().setPadding(AndroidUtilities.dp(15.0f), AndroidUtilities.dp(5.0f), AndroidUtilities.dp(15.0f), AndroidUtilities.dp(5.0f));
        emptyView.setOnEmptyClickListener(new MryEmptyView.OnEmptyOrErrorClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcFollowedManageActivity$$ExternalSyntheticLambda2
            @Override // im.uecahxyvjd.ui.hviews.MryEmptyView.OnEmptyOrErrorClickListener
            public final boolean onEmptyViewButtonClick(boolean z) {
                return FcFollowedManageActivity.this.m3310xa781a976(z);
            }
        });
        this.myAdapter.setStartPage(0);
        this.myAdapter.showLoading();
        this.listView.addOnScrollListener(new RecyclerView.OnScrollListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcFollowedManageActivity.2
            private boolean scrollingManually;

            @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
            public void onScrollStateChanged(RecyclerView recyclerView, int newState) {
                if (newState == 1) {
                    if (FcFollowedManageActivity.this.searching && FcFollowedManageActivity.this.searchWas) {
                        AndroidUtilities.hideKeyboard(FcFollowedManageActivity.this.getParentActivity().getCurrentFocus());
                    }
                    this.scrollingManually = true;
                    return;
                }
                this.scrollingManually = false;
            }

            @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
            public void onScrolled(RecyclerView recyclerView, int dx, int dy) {
                super.onScrolled(recyclerView, dx, dy);
                int off = recyclerView.computeVerticalScrollOffset();
                if (off == 0) {
                    FcFollowedManageActivity.this.fl_search_container.setBackgroundColor(Theme.getColor(Theme.key_list_decorationBackground));
                    FcFollowedManageActivity.this.fl_search_container.setScrollY(off > AndroidUtilities.dp(55.0f) ? AndroidUtilities.dp(55.0f) : off);
                } else if (off > 0) {
                    FcFollowedManageActivity.this.fl_search_container.setBackgroundColor(0);
                    FcFollowedManageActivity.this.fl_search_container.setScrollY(off > AndroidUtilities.dp(55.0f) ? AndroidUtilities.dp(55.0f) : off);
                }
            }
        });
        this.listView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcFollowedManageActivity.3
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public void onItemClick(View view, int position) {
                TextView tv_attention = (TextView) view.findViewById(R.id.tv_attention);
                FcUserInfoBean fcUserInfoBean = FcFollowedManageActivity.this.searchWas ? FcFollowedManageActivity.this.mysearchAdapter.getData().get(position) : FcFollowedManageActivity.this.myAdapter.getData().get(position);
                if (!tv_attention.isSelected()) {
                    FcFollowedManageActivity.this.doFollow(position, fcUserInfoBean);
                } else {
                    FcFollowedManageActivity.this.doCancelFocusUser(position, fcUserInfoBean);
                }
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListView$1$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-FcFollowedManageActivity  reason: not valid java name */
    public /* synthetic */ boolean m3310xa781a976(boolean isEmptyButton) {
        this.myAdapter.showLoading();
        getFcPageList(0, "");
        return false;
    }

    private void initSearchView() {
        FrameLayout frameLayout = (FrameLayout) this.fragmentView.findViewById(R.id.fl_search_cover);
        this.fl_search_cover = frameLayout;
        frameLayout.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcFollowedManageActivity$$ExternalSyntheticLambda7
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                FcFollowedManageActivity.lambda$initSearchView$2(view);
            }
        });
        FrameLayout frameLayout2 = (FrameLayout) this.fragmentView.findViewById(R.id.fl_search_container);
        this.fl_search_container = frameLayout2;
        frameLayout2.setBackgroundColor(Theme.getColor(Theme.key_list_decorationBackground));
        MrySearchView mrySearchView = (MrySearchView) this.fragmentView.findViewById(R.id.searchview);
        this.searchView = mrySearchView;
        mrySearchView.setCancelTextColor(this.mContext.getResources().getColor(R.color.color_778591));
        this.searchView.setEditTextBackground(DrawableUtils.createLayerDrawable(Theme.getColor(Theme.key_windowBackgroundWhite), Theme.getColor(Theme.key_divider), AndroidUtilities.dp(50.0f)));
        this.searchView.setHintText(LocaleController.getString("searchAttentionUser", R.string.searchAttentionUser));
        this.searchView.setiSearchViewDelegate(new MrySearchView.ISearchViewDelegate() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcFollowedManageActivity.4
            @Override // im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
            public void onStart(boolean focus) {
                if (focus) {
                    FcFollowedManageActivity fcFollowedManageActivity = FcFollowedManageActivity.this;
                    fcFollowedManageActivity.hideTitle(fcFollowedManageActivity.fragmentView);
                    FcFollowedManageActivity.this.fl_search_container.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    FcFollowedManageActivity.this.fl_search_cover.setVisibility(0);
                    return;
                }
                FcFollowedManageActivity fcFollowedManageActivity2 = FcFollowedManageActivity.this;
                fcFollowedManageActivity2.showTitle(fcFollowedManageActivity2.fragmentView);
                FcFollowedManageActivity.this.fl_search_container.setBackgroundColor(Theme.getColor(Theme.key_list_decorationBackground));
                FcFollowedManageActivity.this.fl_search_cover.setVisibility(8);
            }

            @Override // im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
            public void onSearchExpand() {
                FcFollowedManageActivity.this.searching = true;
            }

            @Override // im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
            public boolean canCollapseSearch() {
                FcFollowedManageActivity.this.searching = false;
                FcFollowedManageActivity.this.searchWas = false;
                FcFollowedManageActivity.this.listView.setAdapter(FcFollowedManageActivity.this.myAdapter);
                FcFollowedManageActivity.this.myAdapter.notifyDataSetChanged();
                return true;
            }

            @Override // im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
            public void onSearchCollapse() {
                FcFollowedManageActivity.this.searching = false;
                FcFollowedManageActivity.this.searchWas = false;
            }

            @Override // im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
            public void onTextChange(String text) {
                if (FcFollowedManageActivity.this.mysearchAdapter != null) {
                    FcFollowedManageActivity.this.searchText = text;
                    FcFollowedManageActivity.this.searchWas = true;
                    if (text.length() != 0) {
                        if (FcFollowedManageActivity.this.listView != null) {
                            FcFollowedManageActivity.this.listView.setAdapter(FcFollowedManageActivity.this.mysearchAdapter);
                            FcFollowedManageActivity.this.mysearchAdapter.notifyDataSetChanged();
                        }
                        FcFollowedManageActivity.this.getFcPageList(0, text);
                    } else if (FcFollowedManageActivity.this.searching) {
                        FcFollowedManageActivity.this.listView.setAdapter(FcFollowedManageActivity.this.mysearchAdapter);
                        FcFollowedManageActivity.this.mysearchAdapter.getData().clear();
                        FcFollowedManageActivity.this.mysearchAdapter.notifyDataSetChanged();
                    }
                }
            }

            @Override // im.uecahxyvjd.ui.hviews.search.MrySearchView.ISearchViewDelegate
            public void onActionSearch(String trim) {
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$initSearchView$2(View v) {
    }

    @Override // im.uecahxyvjd.ui.hui.friendscircle_v1.base.BaseFcActivity
    protected void initData() {
        getFcPageList(0, "");
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes13.dex */
    public class MysearchAdapter extends PageSelectionAdapter<FcUserInfoBean, PageHolder> {
        public MysearchAdapter(Context context) {
            super(context);
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
        public PageHolder onCreateViewHolderForChild(ViewGroup parent, int viewType) {
            View view = LayoutInflater.from(FcFollowedManageActivity.this.mContext).inflate(R.layout.item_attention_manage, parent, false);
            return new PageHolder(view, 0);
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
        public void onBindViewHolderForChild(PageHolder holder, int position, FcUserInfoBean item) {
            BackupImageView img_avatar = (BackupImageView) holder.itemView.findViewById(R.id.img_avatar);
            TextView tv_nick_name = (TextView) holder.itemView.findViewById(R.id.tv_nick_name);
            TextView tv_gender_age = (TextView) holder.itemView.findViewById(R.id.tv_gender_age);
            TextView tv_attention = (TextView) holder.itemView.findViewById(R.id.tv_attention);
            if (Theme.getCurrentTheme().isLight()) {
                tv_nick_name.setTextColor(FcFollowedManageActivity.this.mContext.getResources().getColor(R.color.color_111111));
            } else {
                tv_nick_name.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText));
            }
            tv_nick_name.setText(StringUtils.handleTextName(ContactsController.formatName(item.getFirstName(), item.getLastName()), 12));
            img_avatar.setRoundRadius(AndroidUtilities.dp(5.0f));
            AvatarPhotoBean avatarPhotoBean = item.getPhoto();
            if (avatarPhotoBean != null) {
                int photoSize = avatarPhotoBean.getSmallPhotoSize();
                int localId = avatarPhotoBean.getSmallLocalId();
                long volumeId = avatarPhotoBean.getSmallVolumeId();
                if (photoSize != 0 && volumeId != 0 && avatarPhotoBean.getAccess_hash() != 0) {
                    TLRPC.TL_inputPeerUser inputPeer = new TLRPC.TL_inputPeerUser();
                    inputPeer.user_id = item.getUserId();
                    inputPeer.access_hash = item.getAccessHash();
                    ImageLocation imageLocation = new ImageLocation();
                    imageLocation.dc_id = 2;
                    imageLocation.photoPeer = inputPeer;
                    imageLocation.location = new TLRPC.TL_fileLocationToBeDeprecated();
                    imageLocation.location.local_id = localId;
                    imageLocation.location.volume_id = volumeId;
                    AvatarDrawable drawable = new AvatarDrawable();
                    img_avatar.setImage(imageLocation, "40_40", drawable, inputPeer);
                }
            }
            int photoSize2 = item.getSex();
            if (photoSize2 != 0) {
                tv_gender_age.setVisibility(0);
                if (item.getSex() == 1) {
                    tv_gender_age.setSelected(true);
                } else {
                    tv_gender_age.setSelected(false);
                }
                tv_gender_age.setText(TimeUtils.getAgeByBirthday(new Date(item.getBirthday() * 1000)) + "");
                tv_gender_age.setCompoundDrawablePadding(AndroidUtilities.dp(2.0f));
            } else {
                tv_gender_age.setVisibility(8);
            }
            if (FcFollowedManageActivity.this.canceledFocusUser.size() > 0 && FcFollowedManageActivity.this.canceledFocusUser.contains(Integer.valueOf(item.getUserId()))) {
                tv_attention.setText(LocaleController.getString("attention", R.string.attention));
                tv_attention.setSelected(true);
            } else {
                tv_attention.setText(LocaleController.getString("attentioned", R.string.attentioned));
                tv_attention.setSelected(false);
            }
            tv_attention.setCompoundDrawablePadding(AndroidUtilities.dp(2.0f));
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter, im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageLoadMoreListener
        public void loadData(int page) {
            super.loadData(page);
            FcFollowedManageActivity fcFollowedManageActivity = FcFollowedManageActivity.this;
            fcFollowedManageActivity.getFcPageList(page, fcFollowedManageActivity.searchText);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes13.dex */
    public class MyAdapter extends PageSelectionAdapter<FcUserInfoBean, PageHolder> {
        public MyAdapter(Context context) {
            super(context);
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
        public PageHolder onCreateViewHolderForChild(ViewGroup parent, int viewType) {
            View view = LayoutInflater.from(FcFollowedManageActivity.this.mContext).inflate(R.layout.item_attention_manage, parent, false);
            return new PageHolder(view, 0);
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
        public void onBindViewHolderForChild(PageHolder holder, int position, FcUserInfoBean item) {
            BackupImageView img_avatar = (BackupImageView) holder.itemView.findViewById(R.id.img_avatar);
            TextView tv_nick_name = (TextView) holder.itemView.findViewById(R.id.tv_nick_name);
            TextView tv_gender_age = (TextView) holder.itemView.findViewById(R.id.tv_gender_age);
            TextView tv_attention = (TextView) holder.itemView.findViewById(R.id.tv_attention);
            if (Theme.getCurrentTheme().isLight()) {
                tv_nick_name.setTextColor(FcFollowedManageActivity.this.mContext.getResources().getColor(R.color.color_111111));
            } else {
                tv_nick_name.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText));
            }
            tv_nick_name.setText(StringUtils.handleTextName(ContactsController.formatName(item.getFirstName(), item.getLastName()), 12));
            img_avatar.setRoundRadius(AndroidUtilities.dp(5.0f));
            AvatarPhotoBean avatarPhotoBean = item.getPhoto();
            if (avatarPhotoBean != null) {
                int photoSize = avatarPhotoBean.getSmallPhotoSize();
                int localId = avatarPhotoBean.getSmallLocalId();
                long volumeId = avatarPhotoBean.getSmallVolumeId();
                if (photoSize != 0 && volumeId != 0 && avatarPhotoBean.getAccess_hash() != 0) {
                    TLRPC.TL_inputPeerUser inputPeer = new TLRPC.TL_inputPeerUser();
                    inputPeer.user_id = item.getUserId();
                    inputPeer.access_hash = item.getAccessHash();
                    ImageLocation imageLocation = new ImageLocation();
                    imageLocation.dc_id = 2;
                    imageLocation.photoPeer = inputPeer;
                    imageLocation.location = new TLRPC.TL_fileLocationToBeDeprecated();
                    imageLocation.location.local_id = localId;
                    imageLocation.location.volume_id = volumeId;
                    AvatarDrawable drawable = new AvatarDrawable();
                    img_avatar.setImage(imageLocation, "40_40", drawable, inputPeer);
                }
            }
            int photoSize2 = item.getSex();
            if (photoSize2 != 0) {
                tv_gender_age.setVisibility(0);
                if (item.getSex() == 1) {
                    tv_gender_age.setSelected(true);
                } else {
                    tv_gender_age.setSelected(false);
                }
                tv_gender_age.setText(TimeUtils.getAgeByBirthday(new Date(item.getBirthday() * 1000)) + "");
                tv_gender_age.setCompoundDrawablePadding(AndroidUtilities.dp(2.0f));
            } else {
                tv_gender_age.setVisibility(8);
            }
            if (FcFollowedManageActivity.this.canceledFocusUser.size() > 0 && FcFollowedManageActivity.this.canceledFocusUser.contains(Integer.valueOf(item.getUserId()))) {
                tv_attention.setText(LocaleController.getString("attention", R.string.attention));
                tv_attention.setSelected(false);
            } else {
                tv_attention.setText(LocaleController.getString("attentioned", R.string.attentioned));
                tv_attention.setSelected(true);
            }
            tv_attention.setCompoundDrawablePadding(AndroidUtilities.dp(2.0f));
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter, im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageLoadMoreListener
        public void loadData(int page) {
            super.loadData(page);
            FcFollowedManageActivity.this.getFcPageList(page, "");
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void getFcPageList(int pageNo, String UserName) {
        Observable<BResponse<ResponseFcAttentionUsertBeanV1>> observable = ApiFactory.getInstance().getApiMomentForum().getFollowedUserList(pageNo * 20, 20, UserName);
        RxHelper.getInstance().sendRequest(this.TAG, observable, new Consumer() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcFollowedManageActivity$$ExternalSyntheticLambda3
            @Override // io.reactivex.functions.Consumer
            public final void accept(Object obj) {
                FcFollowedManageActivity.this.m3307xa2a735ab((BResponse) obj);
            }
        }, new Consumer() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcFollowedManageActivity$$ExternalSyntheticLambda4
            @Override // io.reactivex.functions.Consumer
            public final void accept(Object obj) {
                FcFollowedManageActivity.this.m3308x7e68b16c((Throwable) obj);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getFcPageList$3$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-FcFollowedManageActivity  reason: not valid java name */
    public /* synthetic */ void m3307xa2a735ab(BResponse response) throws Exception {
        if (response != null && response.isState()) {
            ResponseFcAttentionUsertBeanV1 mFclistBeanList = (ResponseFcAttentionUsertBeanV1) response.Data;
            if (response.Data != 0 && !this.searchWas) {
                this.myAdapter.addData((List) mFclistBeanList.Users);
                return;
            }
            this.fl_search_cover.setVisibility(8);
            this.mysearchAdapter.addData((List) mFclistBeanList.Users);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getFcPageList$4$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-FcFollowedManageActivity  reason: not valid java name */
    public /* synthetic */ void m3308x7e68b16c(Throwable throwable) throws Exception {
        if (!this.searchWas) {
            this.myAdapter.showError(RxHelper.getInstance().getErrorInfo(throwable));
            return;
        }
        if (this.actionBar.getVisibility() == 4) {
            showTitle(this.fragmentView);
            this.searchView.cancelFocus();
            this.fl_search_container.setBackgroundColor(Theme.getColor(Theme.key_list_decorationBackground));
            this.fl_search_cover.setVisibility(8);
        }
        this.myAdapter.showError(LocaleController.getString("request_fialed", R.string.fc_request_fialed));
    }

    protected void doFollow(final int position, final FcUserInfoBean fcUserInfoBean) {
        RequestBody requestBody = JsonCreateUtils.build().addParam("FollowUID", Integer.valueOf(fcUserInfoBean.getUserId())).getHttpBody();
        Observable<BResponseNoData> observable = ApiFactory.getInstance().getApiMomentForum().doFollow(requestBody);
        RxHelper.getInstance().sendRequestNoData(this.TAG, observable, new Consumer() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcFollowedManageActivity$$ExternalSyntheticLambda0
            @Override // io.reactivex.functions.Consumer
            public final void accept(Object obj) {
                FcFollowedManageActivity.this.m3306x4875103(position, fcUserInfoBean, (BResponseNoData) obj);
            }
        }, new Consumer() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcFollowedManageActivity$$ExternalSyntheticLambda1
            @Override // io.reactivex.functions.Consumer
            public final void accept(Object obj) {
                Throwable th = (Throwable) obj;
                FcToastUtils.show((int) R.string.friendscircle_attention_user_fail);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$doFollow$5$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-FcFollowedManageActivity  reason: not valid java name */
    public /* synthetic */ void m3306x4875103(int position, FcUserInfoBean fcUserInfoBean, BResponseNoData responseNoData) throws Exception {
        if (responseNoData != null) {
            if (responseNoData.isState()) {
                FcToastUtils.show((CharSequence) responseNoData.Message);
                this.myAdapter.notifyItemChanged(position);
                if (this.canceledFocusUser.contains(Integer.valueOf(fcUserInfoBean.getUserId()))) {
                    ArrayList<Integer> arrayList = this.canceledFocusUser;
                    arrayList.remove(arrayList.indexOf(Integer.valueOf(fcUserInfoBean.getUserId())));
                }
                if (this.searchWas) {
                    this.mysearchAdapter.notifyDataSetChanged();
                } else {
                    this.myAdapter.notifyDataSetChanged();
                }
                NotificationCenter.getInstance(UserConfig.selectedAccount).postNotificationName(NotificationCenter.fcFollowStatusUpdate, this.TAG, Long.valueOf(fcUserInfoBean.getUserId()), true);
                return;
            }
            FcToastUtils.show((CharSequence) responseNoData.Message);
            return;
        }
        FcToastUtils.show((int) R.string.friendscircle_attention_user_fail);
    }

    protected void doCancelFocusUser(final int position, final FcUserInfoBean fcUserInfoBean) {
        RequestBody requestBody = JsonCreateUtils.build().addParam("FollowUID", Integer.valueOf(fcUserInfoBean.getUserId())).getHttpBody();
        Observable<BResponseNoData> observable = ApiFactory.getInstance().getApiMomentForum().doCancelFollowed(requestBody);
        RxHelper.getInstance().sendRequestNoData(this.TAG, observable, new Consumer() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcFollowedManageActivity$$ExternalSyntheticLambda5
            @Override // io.reactivex.functions.Consumer
            public final void accept(Object obj) {
                FcFollowedManageActivity.this.m3305xb9953fed(position, fcUserInfoBean, (BResponseNoData) obj);
            }
        }, new Consumer() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcFollowedManageActivity$$ExternalSyntheticLambda6
            @Override // io.reactivex.functions.Consumer
            public final void accept(Object obj) {
                Throwable th = (Throwable) obj;
                FcToastUtils.show((int) R.string.friendscircle_attention_user_cancel_fail);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$doCancelFocusUser$7$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-FcFollowedManageActivity  reason: not valid java name */
    public /* synthetic */ void m3305xb9953fed(int position, FcUserInfoBean fcUserInfoBean, BResponseNoData responseNoData) throws Exception {
        if (responseNoData != null) {
            if (responseNoData.isState()) {
                this.myAdapter.notifyItemChanged(position);
                FcToastUtils.show((CharSequence) responseNoData.Message);
                if (!this.canceledFocusUser.contains(Integer.valueOf(fcUserInfoBean.getUserId()))) {
                    this.canceledFocusUser.add(Integer.valueOf(fcUserInfoBean.getUserId()));
                }
                if (this.searchWas) {
                    this.mysearchAdapter.notifyDataSetChanged();
                } else {
                    this.myAdapter.notifyDataSetChanged();
                }
                NotificationCenter.getInstance(UserConfig.selectedAccount).postNotificationName(NotificationCenter.fcFollowStatusUpdate, this.TAG, Long.valueOf(fcUserInfoBean.getUserId()), false);
                return;
            }
            FcToastUtils.show((CharSequence) responseNoData.Message);
            return;
        }
        FcToastUtils.show((int) R.string.friendscircle_attention_user_cancel_fail);
    }
}
