package im.uecahxyvjd.ui.hui.friendscircle_v1.ui;

import android.view.View;
import com.bjz.comm.net.bean.BResponse;
import com.bjz.comm.net.bean.FCEntitysRequest;
import com.bjz.comm.net.bean.FcIgnoreUserBean;
import com.bjz.comm.net.bean.RespFcIgnoreBean;
import com.bjz.comm.net.factory.ApiFactory;
import com.bjz.comm.net.utils.RxHelper;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.ColorTextView;
import im.uecahxyvjd.ui.hui.friendscircle_v1.base.CommFcListActivity;
import im.uecahxyvjd.ui.hviews.MrySwitch;
import io.reactivex.Observable;
import io.reactivex.functions.Consumer;
import java.util.ArrayList;
/* loaded from: classes13.dex */
public class FcSettingActivity extends CommFcListActivity {
    private static final String TAG = FcSettingActivity.class.getSimpleName();
    private MrySwitch mSwitchLookMyFc;
    private MrySwitch mSwitchLookOtherFc;
    private int sex;
    private long userId;

    public FcSettingActivity(long userId, int sex) {
        this.userId = userId;
        this.sex = sex;
    }

    @Override // im.uecahxyvjd.ui.hui.friendscircle_v1.base.BaseFcActivity
    protected int getLayoutRes() {
        return R.layout.activity_friends_cricle_setting;
    }

    protected void initActionBar() {
        this.actionBar.setTitle(LocaleController.getString("friends_circle_setting", R.string.friends_circle_setting));
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcSettingActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    FcSettingActivity.this.finishFragment();
                }
            }
        });
    }

    @Override // im.uecahxyvjd.ui.hui.friendscircle_v1.base.BaseFcActivity
    protected void initView() {
        initActionBar();
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        ColorTextView txt_report1 = (ColorTextView) this.fragmentView.findViewById(R.id.txt_report1);
        ColorTextView txt_report2 = (ColorTextView) this.fragmentView.findViewById(R.id.txt_report2);
        int i = this.sex;
        if (i != 0) {
            if (i == 1) {
                txt_report1.setText(LocaleController.getString(R.string.friendscircle_dont_let_him_look));
                txt_report2.setText(LocaleController.getString(R.string.friendscircle_dont_look_him));
            } else if (i == 2) {
                txt_report1.setText(LocaleController.getString(R.string.friendscircle_dont_let_her_look));
                txt_report2.setText(LocaleController.getString(R.string.friendscircle_dont_look_her));
            }
        }
        this.mSwitchLookMyFc = (MrySwitch) this.fragmentView.findViewById(R.id.switch_look_me);
        this.mSwitchLookOtherFc = (MrySwitch) this.fragmentView.findViewById(R.id.switch_look_other);
        this.mSwitchLookMyFc.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcSettingActivity.2
            @Override // android.view.View.OnClickListener
            public void onClick(View v) {
                if (FcSettingActivity.this.mSwitchLookMyFc.isChecked()) {
                    ArrayList<FcIgnoreUserBean> ignores = new ArrayList<>();
                    ignores.add(new FcIgnoreUserBean(FcSettingActivity.this.userId, 1));
                    FcSettingActivity.this.doDeleteIgnoreUser(ignores);
                    return;
                }
                ArrayList<FcIgnoreUserBean> ignores2 = new ArrayList<>();
                ignores2.add(new FcIgnoreUserBean(FcSettingActivity.this.userId, 1));
                FcSettingActivity.this.doAddIgnoreUser(ignores2);
            }
        });
        this.mSwitchLookOtherFc.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcSettingActivity.3
            @Override // android.view.View.OnClickListener
            public void onClick(View v) {
                if (FcSettingActivity.this.mSwitchLookOtherFc.isChecked()) {
                    ArrayList<FcIgnoreUserBean> ignores = new ArrayList<>();
                    ignores.add(new FcIgnoreUserBean(FcSettingActivity.this.userId, 2));
                    FcSettingActivity.this.doDeleteIgnoreUser(ignores);
                    return;
                }
                ArrayList<FcIgnoreUserBean> ignores2 = new ArrayList<>();
                ignores2.add(new FcIgnoreUserBean(FcSettingActivity.this.userId, 2));
                FcSettingActivity.this.doAddIgnoreUser(ignores2);
            }
        });
    }

    @Override // im.uecahxyvjd.ui.hui.friendscircle_v1.base.CommFcListActivity, com.bjz.comm.net.mvp.contract.BaseFcContract.IFcCommItemView
    public void doAddIgnoreUserSucc(ArrayList<FcIgnoreUserBean> ignores, String msg) {
        doSetIgnoreUserAfterViewChange(true, ignores);
        NotificationCenter.getInstance(UserConfig.selectedAccount).postNotificationName(NotificationCenter.fcIgnoreUser, TAG, ignores);
    }

    @Override // im.uecahxyvjd.ui.hui.friendscircle_v1.base.CommFcListActivity, com.bjz.comm.net.mvp.contract.BaseFcContract.IFcCommItemView
    public void doAddIgnoreUserFailed(String msg) {
    }

    @Override // im.uecahxyvjd.ui.hui.friendscircle_v1.base.CommFcListActivity, com.bjz.comm.net.mvp.contract.BaseFcContract.IFcCommItemView
    public void doDeleteIgnoreUserSucc(ArrayList<FcIgnoreUserBean> ignores, String msg) {
        doSetIgnoreUserAfterViewChange(false, ignores);
    }

    @Override // im.uecahxyvjd.ui.hui.friendscircle_v1.base.CommFcListActivity, com.bjz.comm.net.mvp.contract.BaseFcContract.IFcCommItemView
    public void doDeleteIgnoreUserFiled(String msg) {
    }

    @Override // im.uecahxyvjd.ui.hui.friendscircle_v1.base.CommFcListActivity
    protected void doSetIgnoreUserAfterViewChange(boolean isIgnore, ArrayList<FcIgnoreUserBean> ignores) {
        FcIgnoreUserBean ignoreUserBean;
        if (ignores != null && ignores.size() > 0 && (ignoreUserBean = ignores.get(0)) != null) {
            int look = ignoreUserBean.getLook();
            if (look == 1) {
                this.mSwitchLookMyFc.setChecked(isIgnore, true);
            } else if (look == 2) {
                this.mSwitchLookOtherFc.setChecked(isIgnore, true);
            }
        }
    }

    @Override // im.uecahxyvjd.ui.hui.friendscircle_v1.base.BaseFcActivity
    protected void initData() {
        getFcIgnoreSetting();
    }

    private void getFcIgnoreSetting() {
        Observable<BResponse<RespFcIgnoreBean>> observable = ApiFactory.getInstance().getApiMomentForum().getUserIgnoreSetting(this.userId);
        RxHelper.getInstance().sendRequest(TAG, observable, new Consumer() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcSettingActivity$$ExternalSyntheticLambda0
            @Override // io.reactivex.functions.Consumer
            public final void accept(Object obj) {
                FcSettingActivity.this.m3328x3bc8b6d6((BResponse) obj);
            }
        }, new Consumer() { // from class: im.uecahxyvjd.ui.hui.friendscircle_v1.ui.FcSettingActivity$$ExternalSyntheticLambda1
            @Override // io.reactivex.functions.Consumer
            public final void accept(Object obj) {
                FcSettingActivity.lambda$getFcIgnoreSetting$1((Throwable) obj);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getFcIgnoreSetting$0$im-uecahxyvjd-ui-hui-friendscircle_v1-ui-FcSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3328x3bc8b6d6(BResponse response) throws Exception {
        RespFcIgnoreBean data;
        if (response.isState() && (data = (RespFcIgnoreBean) response.Data) != null) {
            this.mSwitchLookMyFc.setChecked(data.isLookMe(), true);
            this.mSwitchLookOtherFc.setChecked(data.isLookOther(), true);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$getFcIgnoreSetting$1(Throwable throwable) throws Exception {
    }

    @Override // im.uecahxyvjd.ui.hui.friendscircle_v1.view.FcDoReplyDialog.OnFcDoReplyListener
    public void onInputReplyContent(String content, ArrayList<FCEntitysRequest> atUserBeanList) {
    }
}
