package im.uecahxyvjd.ui.hui.friendscircle_v1.view;

import android.content.Context;
import android.util.AttributeSet;
import android.view.MotionEvent;
import androidx.recyclerview.widget.RecyclerView;
import im.uecahxyvjd.ui.decoration.BaseDecoration;
/* loaded from: classes11.dex */
public class MyRecyclerView extends RecyclerView {
    private BaseDecoration mDecoration;

    public MyRecyclerView(Context context) {
        super(context);
    }

    public MyRecyclerView(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    public MyRecyclerView(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void addItemDecoration(RecyclerView.ItemDecoration decor) {
        if (decor != null && (decor instanceof BaseDecoration)) {
            this.mDecoration = (BaseDecoration) decor;
        }
        super.addItemDecoration(decor);
    }

    @Override // androidx.recyclerview.widget.RecyclerView, android.view.ViewGroup
    public boolean onInterceptTouchEvent(MotionEvent e) {
        if (this.mDecoration != null) {
            switch (e.getAction()) {
                case 0:
                    this.mDecoration.onEventDown(e);
                    break;
                case 1:
                    if (this.mDecoration.onEventUp(e)) {
                        return true;
                    }
                    break;
            }
        }
        return super.onInterceptTouchEvent(e);
    }
}
