package im.uecahxyvjd.ui.hui.hotGroup;

import android.content.Context;
import android.content.DialogInterface;
import android.content.res.ColorStateList;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import androidx.recyclerview.widget.LinearLayoutManager;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCHotChannel;
import im.uecahxyvjd.ui.ChatActivity;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageHolder;
import im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter;
import im.uecahxyvjd.ui.hui.chats.CreateGroupActivity;
import im.uecahxyvjd.ui.hui.decoration.TopBottomDecoration;
import im.uecahxyvjd.ui.hui.hotGroup.HotGroupRecommendActivity;
import im.uecahxyvjd.ui.hui.wallet_public.utils.WalletDialogUtil;
import im.uecahxyvjd.ui.hviews.MryRoundButton;
import im.uecahxyvjd.ui.hviews.MryTextView;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
/* loaded from: classes12.dex */
public class HotGroupRecommendActivity extends BaseFragment {
    private PageSelectionAdapter<Item, PageHolder> adapter;
    private RecyclerListView rv;

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        initActionBar();
        initView(context);
        return this.fragmentView;
    }

    private void initActionBar() {
        this.actionBar.setTitle(LocaleController.getString(R.string.HotChannelRecommend));
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        ActionBarMenu menu = this.actionBar.createMenu();
        menu.addItem(1, R.drawable.groups_create);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.hotGroup.HotGroupRecommendActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    HotGroupRecommendActivity.this.finishFragment();
                    return;
                }
                Bundle args = new Bundle();
                HotGroupRecommendActivity.this.presentFragment(new CreateGroupActivity(args));
            }
        });
    }

    private void initView(Context context) {
        FrameLayout root = new FrameLayout(context);
        root.setLayoutParams(LayoutHelper.createFrame(-1, -1.0f));
        this.fragmentView = root;
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        RecyclerListView recyclerListView = new RecyclerListView(context);
        this.rv = recyclerListView;
        root.addView(recyclerListView, LayoutHelper.createFrame(-1, -1, AndroidUtilities.dp(10.0f), 0, AndroidUtilities.dp(10.0f), 10));
        this.rv.setLayoutManager(new LinearLayoutManager(context));
        this.rv.addItemDecoration(TopBottomDecoration.getDefaultTopBottomCornerBg(10, 10, 8.0f));
        AnonymousClass2 anonymousClass2 = new AnonymousClass2(context);
        this.adapter = anonymousClass2;
        this.rv.setAdapter(anonymousClass2);
        this.adapter.emptyAttachView(root);
        this.adapter.showLoading();
        getData(this.adapter.getStartPage());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: im.uecahxyvjd.ui.hui.hotGroup.HotGroupRecommendActivity$2  reason: invalid class name */
    /* loaded from: classes12.dex */
    public class AnonymousClass2 extends PageSelectionAdapter<Item, PageHolder> {
        AnonymousClass2(Context context) {
            super(context);
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
        public PageHolder onCreateViewHolderForChild(ViewGroup parent, int viewType) {
            return new PageHolder(LayoutInflater.from(getContext()).inflate(R.layout.hot_group_item_recommend_list, parent, false), 0);
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
        public void onBindViewHolderForChild(PageHolder holder, int position, final Item item) {
            boolean z;
            int i;
            BackupImageView ivAvatar = (BackupImageView) holder.getView(R.id.ivAvatar);
            MryTextView tvTitle = (MryTextView) holder.getView(R.id.tvTitle);
            MryTextView tvDescription = (MryTextView) holder.getView(R.id.tvDescription);
            MryRoundButton tvTag = (MryRoundButton) holder.getView(R.id.tvTag);
            MryRoundButton btn = (MryRoundButton) holder.getView(R.id.btn);
            MryTextView tvCount = (MryTextView) holder.getView(R.id.tvCount);
            View divider = holder.getView(R.id.divider);
            tvCount.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText3));
            ivAvatar.setRoundRadius(AndroidUtilities.dp(5.0f));
            ivAvatar.setImageResource(R.drawable.bg_comment_grey_line);
            boolean isInThisGroup = false;
            if (item.chat != null) {
                AvatarDrawable avatarDrawable = new AvatarDrawable();
                z = false;
                ivAvatar.setImage(ImageLocation.getForChat(item.chat, false), "50_50", "", avatarDrawable, item.chat);
                tvTitle.setText(item.chat.title);
                TLRPC.Chat targetChat = HotGroupRecommendActivity.this.getMessagesController().getChat(Integer.valueOf(item.chat.id));
                isInThisGroup = (targetChat == null || targetChat.left) ? false : true;
                tvCount.setText(String.valueOf(item.chat.participants_count));
            } else {
                z = false;
            }
            if (isInThisGroup) {
                btn.setPrimaryRadiusAdjustBoundsStrokeStyle();
                btn.setStrokeColors(ColorStateList.valueOf(-2250382));
                btn.setTextColor(-2250382);
                btn.setText(LocaleController.getString(R.string.EnterGroup));
            } else {
                btn.setBackgroundResource(R.mipmap.hot_group_list_btn);
                btn.setTextColor(-1);
                btn.setText(LocaleController.getString(R.string.JoinNow));
            }
            if (item.groupAbout != null) {
                if (!TextUtils.isEmpty(item.groupAbout.about)) {
                    holder.setGone(tvDescription, z);
                    tvDescription.setText(item.groupAbout.about);
                } else {
                    holder.setGone((View) tvDescription, true);
                }
                if (!TextUtils.isEmpty(item.groupAbout.groupType)) {
                    holder.setGone(tvTag, z);
                    tvTag.setPrimaryRoundFillStyle(AndroidUtilities.dp(5.0f));
                    tvTag.setBackgroundColor(282962290);
                    tvTag.setTextColor(-2250382);
                    i = 1;
                    tvTag.setStrokeData(1, -2250382);
                    tvTag.setText(item.groupAbout.groupType);
                } else {
                    i = 1;
                    holder.setGone((View) tvTag, true);
                }
            } else {
                i = 1;
                holder.setGone((View) tvTag, true);
                holder.setGone((View) tvDescription, true);
            }
            btn.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.hotGroup.HotGroupRecommendActivity$2$$ExternalSyntheticLambda0
                @Override // android.view.View.OnClickListener
                public final void onClick(View view) {
                    HotGroupRecommendActivity.AnonymousClass2.this.m3452x6dee19ec(item, view);
                }
            });
            holder.setGone(divider, position == getDataCount() - i);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onBindViewHolderForChild$0$im-uecahxyvjd-ui-hui-hotGroup-HotGroupRecommendActivity$2  reason: not valid java name */
        public /* synthetic */ void m3452x6dee19ec(Item item, View v) {
            HotGroupRecommendActivity.this.clickBtn(item.chat);
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter, im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageLoadMoreListener
        public void loadData(int page) {
            HotGroupRecommendActivity.this.getData(page);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void getData(int page) {
        TLRPCHotChannel.TL_GetHotGroups req = new TLRPCHotChannel.TL_GetHotGroups();
        getConnectionsManager().bindRequestToGuid(getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.hotGroup.HotGroupRecommendActivity$$ExternalSyntheticLambda3
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                HotGroupRecommendActivity.this.m3445xbe4b56e5(tLObject, tL_error);
            }
        }), this.classGuid);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getData$1$im-uecahxyvjd-ui-hui-hotGroup-HotGroupRecommendActivity  reason: not valid java name */
    public /* synthetic */ void m3445xbe4b56e5(final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.hotGroup.HotGroupRecommendActivity$$ExternalSyntheticLambda4
            @Override // java.lang.Runnable
            public final void run() {
                HotGroupRecommendActivity.this.m3444x98b74de4(error, response);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getData$0$im-uecahxyvjd-ui-hui-hotGroup-HotGroupRecommendActivity  reason: not valid java name */
    public /* synthetic */ void m3444x98b74de4(TLRPC.TL_error error, TLObject response) {
        if (error == null && (response instanceof TLRPCHotChannel.TL_HotGroups)) {
            TLRPCHotChannel.TL_HotGroups res = (TLRPCHotChannel.TL_HotGroups) response;
            List<Item> data = new ArrayList<>();
            Iterator<TLRPCHotChannel.TL_HotGroupAbout> it = res.getPeers().iterator();
            while (it.hasNext()) {
                TLRPCHotChannel.TL_HotGroupAbout a2 = it.next();
                data.add(new Item(a2));
            }
            for (int i = 0; i < res.getChats().size(); i++) {
                if (i < data.size()) {
                    data.get(i).chat = res.getChats().get(i);
                }
            }
            PageSelectionAdapter<Item, PageHolder> pageSelectionAdapter = this.adapter;
            if (pageSelectionAdapter != null) {
                pageSelectionAdapter.addData(data);
                return;
            }
            return;
        }
        ToastUtils.show((int) R.string.NetworkError);
        PageSelectionAdapter<Item, PageHolder> pageSelectionAdapter2 = this.adapter;
        if (pageSelectionAdapter2 != null) {
            pageSelectionAdapter2.showError(LocaleController.getString(R.string.NetworkError));
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void clickBtn(TLRPC.Chat chat) {
        if (chat == null) {
            return;
        }
        TLRPC.Chat targetChat = getMessagesController().getChat(Integer.valueOf(chat.id));
        if (targetChat != null) {
            if (targetChat.kicked) {
                WalletDialogUtil.showConfirmBtnWalletDialog(this, LocaleController.getString(R.string.CannotJoinGroupWhenKickedOut));
                return;
            } else if (!targetChat.left) {
                Bundle args = new Bundle();
                args.putInt("chat_id", targetChat.id);
                presentFragment(new ChatActivity(args));
                return;
            }
        }
        joinChannel(chat);
    }

    private void joinChannel(final TLRPC.Chat channel) {
        TLRPC.TL_channels_joinChannel req = new TLRPC.TL_channels_joinChannel();
        req.channel = MessagesController.getInputChannel(channel);
        final int currentAccount = UserConfig.selectedAccount;
        final AlertDialog progressDialog = new AlertDialog(getParentActivity(), 3);
        progressDialog.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.hui.hotGroup.HotGroupRecommendActivity$$ExternalSyntheticLambda0
            @Override // android.content.DialogInterface.OnCancelListener
            public final void onCancel(DialogInterface dialogInterface) {
                HotGroupRecommendActivity.this.m3446xf869417f(dialogInterface);
            }
        });
        progressDialog.show();
        final int reqId = ConnectionsManager.getInstance(currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.hotGroup.HotGroupRecommendActivity$$ExternalSyntheticLambda1
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                HotGroupRecommendActivity.this.m3450x8eb96583(progressDialog, currentAccount, channel, tLObject, tL_error);
            }
        });
        progressDialog.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.hui.hotGroup.HotGroupRecommendActivity$$ExternalSyntheticLambda2
            @Override // android.content.DialogInterface.OnCancelListener
            public final void onCancel(DialogInterface dialogInterface) {
                HotGroupRecommendActivity.this.m3451xb44d6e84(reqId, dialogInterface);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$joinChannel$2$im-uecahxyvjd-ui-hui-hotGroup-HotGroupRecommendActivity  reason: not valid java name */
    public /* synthetic */ void m3446xf869417f(DialogInterface dialog) {
        getConnectionsManager().cancelRequestsForGuid(this.classGuid);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$joinChannel$6$im-uecahxyvjd-ui-hui-hotGroup-HotGroupRecommendActivity  reason: not valid java name */
    public /* synthetic */ void m3450x8eb96583(final AlertDialog progressDialog, final int currentAccount, final TLRPC.Chat channel, TLObject response, TLRPC.TL_error error) {
        if (error != null) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.hotGroup.HotGroupRecommendActivity$$ExternalSyntheticLambda5
                @Override // java.lang.Runnable
                public final void run() {
                    HotGroupRecommendActivity.this.m3447x1dfd4a80(progressDialog);
                }
            });
            return;
        }
        boolean hasJoinMessage = false;
        TLRPC.Updates updates = (TLRPC.Updates) response;
        int a2 = 0;
        while (true) {
            if (a2 >= updates.updates.size()) {
                break;
            }
            TLRPC.Update update = updates.updates.get(a2);
            if (!(update instanceof TLRPC.TL_updateNewChannelMessage) || !(((TLRPC.TL_updateNewChannelMessage) update).message.action instanceof TLRPC.TL_messageActionChatAddUser)) {
                a2++;
            } else {
                hasJoinMessage = true;
                break;
            }
        }
        MessagesController.getInstance(currentAccount).processUpdates(updates, false);
        if (!hasJoinMessage) {
            MessagesController.getInstance(currentAccount).generateJoinMessage(channel.id, true);
        }
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.hotGroup.HotGroupRecommendActivity$$ExternalSyntheticLambda6
            @Override // java.lang.Runnable
            public final void run() {
                HotGroupRecommendActivity.this.m3449x69255c82(progressDialog, currentAccount, channel);
            }
        }, 1000L);
        MessagesStorage.getInstance(currentAccount).updateDialogsWithDeletedMessages(new ArrayList<>(), null, true, channel.id);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$joinChannel$3$im-uecahxyvjd-ui-hui-hotGroup-HotGroupRecommendActivity  reason: not valid java name */
    public /* synthetic */ void m3447x1dfd4a80(AlertDialog progressDialog) {
        if (progressDialog != null) {
            progressDialog.dismiss();
        }
        WalletDialogUtil.showConfirmBtnWalletDialog(this, LocaleController.getString("Tips", R.string.Tips), LocaleController.getString(R.string.discovery_join_group_error), false, null, null);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$joinChannel$5$im-uecahxyvjd-ui-hui-hotGroup-HotGroupRecommendActivity  reason: not valid java name */
    public /* synthetic */ void m3449x69255c82(AlertDialog progressDialog, int currentAccount, final TLRPC.Chat channel) {
        if (progressDialog != null) {
            progressDialog.dismiss();
        }
        MessagesController.getInstance(currentAccount).loadFullChat(channel.id, 0, true);
        WalletDialogUtil.showSingleBtnWalletDialog(this, LocaleController.getString("Tips", R.string.Tips), LocaleController.getString(R.string.discovery_join_group_success), LocaleController.getString(R.string.OK), false, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.hotGroup.HotGroupRecommendActivity$$ExternalSyntheticLambda7
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                HotGroupRecommendActivity.this.m3448x43915381(channel, dialogInterface, i);
            }
        }, null);
        getData(this.adapter.getStartPage());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$joinChannel$4$im-uecahxyvjd-ui-hui-hotGroup-HotGroupRecommendActivity  reason: not valid java name */
    public /* synthetic */ void m3448x43915381(TLRPC.Chat channel, DialogInterface dialog, int which) {
        channel.left = false;
        Bundle args = new Bundle();
        args.putInt("chat_id", channel.id);
        presentFragment(new ChatActivity(args));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$joinChannel$7$im-uecahxyvjd-ui-hui-hotGroup-HotGroupRecommendActivity  reason: not valid java name */
    public /* synthetic */ void m3451xb44d6e84(int reqId, DialogInterface dialog) {
        getConnectionsManager().cancelRequest(reqId, true);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        super.onFragmentDestroy();
        this.rv = null;
        PageSelectionAdapter<Item, PageHolder> pageSelectionAdapter = this.adapter;
        if (pageSelectionAdapter != null) {
            pageSelectionAdapter.destroy();
            this.adapter = null;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes12.dex */
    public static class Item {
        TLRPC.Chat chat;
        TLRPCHotChannel.TL_HotGroupAbout groupAbout;

        Item(TLRPCHotChannel.TL_HotGroupAbout groupAbout) {
            this.groupAbout = groupAbout;
        }
    }
}
