package im.uecahxyvjd.ui.hui.login;

import android.content.Context;
import android.content.DialogInterface;
import android.content.SharedPreferences;
import android.graphics.Bitmap;
import android.media.MediaPlayer;
import android.net.Uri;
import android.os.Bundle;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.text.method.HideReturnsTransformationMethod;
import android.text.method.PasswordTransformationMethod;
import android.util.Base64;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.widget.VideoView;
import androidx.constraintlayout.utils.widget.ImageFilterView;
import butterknife.BindView;
import butterknife.OnClick;
import butterknife.internal.DebouncingOnClickListener;
import butterknife.internal.Utils;
import com.alibaba.fastjson.JSONObject;
import com.blankj.utilcode.util.ScreenUtils;
import com.blankj.utilcode.util.SpanUtils;
import com.serenegiant.uvccamera.BuildConfig;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ApplicationLoader;
import im.uecahxyvjd.messenger.ContactsController;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.utils.RegexUtils;
import im.uecahxyvjd.messenger.utils.status.StatusBarUtils;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.NetworkConfig;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCLogin;
import im.uecahxyvjd.translate.MD5;
import im.uecahxyvjd.ui.ExternalActionActivity;
import im.uecahxyvjd.ui.IndexActivity;
import im.uecahxyvjd.ui.IpChangeActivity;
import im.uecahxyvjd.ui.LaunchActivity;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.ActionBarMenuItem;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.dialogs.TwoPasswordCheckDialog;
import im.uecahxyvjd.ui.hui.login.LoginContronllerActivity;
import im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity;
import im.uecahxyvjd.ui.hviews.MryAlphaImageView;
import im.uecahxyvjd.ui.hviews.MryCheckBox;
import im.uecahxyvjd.ui.hviews.MryEditText;
import im.uecahxyvjd.ui.hviews.MryTextView;
import im.uecahxyvjd.ui.utils.OpenInstallUitl;
import im.uecahxyvjd.utils.VerifyCodeUtils;
import java.util.ArrayList;
import java.util.regex.Pattern;
/* loaded from: classes14.dex */
public class LoginContronllerActivity extends LoginContronllerBaseActivity implements NotificationCenter.NotificationCenterDelegate {
    public static final String REGEX_USERNAME = "^[\\w]{5,10}(?<!_)$";
    public TextView backupIpAddressLog;
    private int contronllerType;
    protected boolean mIsLoginSuccess;
    private ActionBarMenuItem rightMenuItem;
    private VideoView videoView;

    /* loaded from: classes14.dex */
    public class TView_ViewBinding extends LoginContronllerBaseActivity.ThisView_ViewBinding {
        private TView target;
        private View view7f090096;
        private View view7f0901db;

        public TView_ViewBinding(TView target) {
            this(target, target);
        }

        public TView_ViewBinding(final TView target, View source) {
            super(target, source);
            this.target = target;
            target.etPhoneNumberParent = Utils.findRequiredView(source, R.id.etPhoneNumberParent, "field 'etPhoneNumberParent'");
            target.etPhoneNumber = (MryEditText) Utils.findRequiredViewAsType(source, R.id.etPhoneNumber, "field 'etPhoneNumber'", MryEditText.class);
            View view = Utils.findRequiredView(source, R.id.ivClearPhoneNumber, "field 'ivClearPhoneNumber' and method 'onClick'");
            target.ivClearPhoneNumber = (MryAlphaImageView) Utils.castView(view, R.id.ivClearPhoneNumber, "field 'ivClearPhoneNumber'", MryAlphaImageView.class);
            this.view7f0901db = view;
            view.setOnClickListener(new DebouncingOnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.TView_ViewBinding.1
                @Override // butterknife.internal.DebouncingOnClickListener
                public void doClick(View p0) {
                    target.onClick(p0);
                }
            });
            target.tvPhoneNumberInvalidTips = (MryTextView) Utils.findRequiredViewAsType(source, R.id.tvPhoneNumberInvalidTips, "field 'tvPhoneNumberInvalidTips'", MryTextView.class);
            target.etGoogleCode = (MryEditText) Utils.findRequiredViewAsType(source, R.id.etGoogleCode, "field 'etGoogleCode'", MryEditText.class);
            target.etGoogleCodedParent = Utils.findRequiredView(source, R.id.etGoogleCodedParent, "field 'etGoogleCodedParent'");
            target.ivClearGoogleCode = (MryAlphaImageView) Utils.findRequiredViewAsType(source, R.id.ivClearGoogleCode, "field 'ivClearGoogleCode'", MryAlphaImageView.class);
            View view2 = Utils.findRequiredView(source, R.id.btn, "method 'onClick'");
            this.view7f090096 = view2;
            view2.setOnClickListener(new DebouncingOnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.TView_ViewBinding.2
                @Override // butterknife.internal.DebouncingOnClickListener
                public void doClick(View p0) {
                    target.onClick(p0);
                }
            });
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView_ViewBinding, butterknife.Unbinder
        public void unbind() {
            TView target = this.target;
            if (target == null) {
                throw new IllegalStateException("Bindings already cleared.");
            }
            this.target = null;
            target.etPhoneNumberParent = null;
            target.etPhoneNumber = null;
            target.ivClearPhoneNumber = null;
            target.tvPhoneNumberInvalidTips = null;
            target.etGoogleCode = null;
            target.etGoogleCodedParent = null;
            target.ivClearGoogleCode = null;
            this.view7f0901db.setOnClickListener(null);
            this.view7f0901db = null;
            this.view7f090096.setOnClickListener(null);
            this.view7f090096 = null;
            super.unbind();
        }
    }

    /* loaded from: classes14.dex */
    public class PasswordView_ViewBinding extends TView_ViewBinding {
        private PasswordView target;
        private View view7f0901d5;
        private View view7f0901d9;
        private View view7f0901f6;
        private View view7f090294;
        private View view7f0904eb;
        private View view7f090502;
        private View view7f090582;

        public PasswordView_ViewBinding(PasswordView target) {
            this(target, target);
        }

        public PasswordView_ViewBinding(final PasswordView target, View source) {
            super(target, source);
            this.target = target;
            target.etPasswordParent1 = Utils.findRequiredView(source, R.id.etPasswordParent1, "field 'etPasswordParent1'");
            target.etPassword = (MryEditText) Utils.findRequiredViewAsType(source, R.id.etPassword1, "field 'etPassword'", MryEditText.class);
            View view = Utils.findRequiredView(source, R.id.ivClearPassword1, "field 'ivClearPassword' and method 'onClick'");
            target.ivClearPassword = (MryAlphaImageView) Utils.castView(view, R.id.ivClearPassword1, "field 'ivClearPassword'", MryAlphaImageView.class);
            this.view7f0901d9 = view;
            view.setOnClickListener(new DebouncingOnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.PasswordView_ViewBinding.1
                @Override // butterknife.internal.DebouncingOnClickListener
                public void doClick(View p0) {
                    target.onClick(p0);
                }
            });
            View view2 = Utils.findRequiredView(source, R.id.ivPwdShow1, "field 'ivPwdShow' and method 'onClick'");
            target.ivPwdShow = (MryAlphaImageView) Utils.castView(view2, R.id.ivPwdShow1, "field 'ivPwdShow'", MryAlphaImageView.class);
            this.view7f0901f6 = view2;
            view2.setOnClickListener(new DebouncingOnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.PasswordView_ViewBinding.2
                @Override // butterknife.internal.DebouncingOnClickListener
                public void doClick(View p0) {
                    target.onClick(p0);
                }
            });
            target.tvPasswordInvalidTips1 = (MryTextView) Utils.findRequiredViewAsType(source, R.id.tvPasswordInvalidTips1, "field 'tvPasswordInvalidTips1'", MryTextView.class);
            View view3 = Utils.findRequiredView(source, R.id.tvForgotPassword, "field 'tvForgotPassword' and method 'onClick'");
            target.tvForgotPassword = (MryTextView) Utils.castView(view3, R.id.tvForgotPassword, "field 'tvForgotPassword'", MryTextView.class);
            this.view7f0904eb = view3;
            view3.setOnClickListener(new DebouncingOnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.PasswordView_ViewBinding.3
                @Override // butterknife.internal.DebouncingOnClickListener
                public void doClick(View p0) {
                    target.onClick(p0);
                }
            });
            View view4 = Utils.findRequiredView(source, R.id.llPrivacyAgreement, "field 'llPrivacyAgreement' and method 'onClick'");
            target.llPrivacyAgreement = view4;
            this.view7f090294 = view4;
            view4.setOnClickListener(new DebouncingOnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.PasswordView_ViewBinding.4
                @Override // butterknife.internal.DebouncingOnClickListener
                public void doClick(View p0) {
                    target.onClick(p0);
                }
            });
            target.cbPrivacyAgreement = (MryCheckBox) Utils.findRequiredViewAsType(source, R.id.cbPrivacyAgreement, "field 'cbPrivacyAgreement'", MryCheckBox.class);
            target.tvPrivacyAgreement = (MryTextView) Utils.findRequiredViewAsType(source, R.id.tvPrivacyAgreement, "field 'tvPrivacyAgreement'", MryTextView.class);
            View view5 = Utils.findRequiredView(source, R.id.tvLogin, "method 'onClick'");
            this.view7f090502 = view5;
            view5.setOnClickListener(new DebouncingOnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.PasswordView_ViewBinding.5
                @Override // butterknife.internal.DebouncingOnClickListener
                public void doClick(View p0) {
                    target.onClick(p0);
                }
            });
            View view6 = Utils.findRequiredView(source, R.id.tvTitle, "method 'onClick'");
            this.view7f090582 = view6;
            view6.setOnClickListener(new DebouncingOnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.PasswordView_ViewBinding.6
                @Override // butterknife.internal.DebouncingOnClickListener
                public void doClick(View p0) {
                    target.onClick(p0);
                }
            });
            View view7 = Utils.findRequiredView(source, R.id.ivClearGoogleCode, "method 'onClick'");
            this.view7f0901d5 = view7;
            view7.setOnClickListener(new DebouncingOnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.PasswordView_ViewBinding.7
                @Override // butterknife.internal.DebouncingOnClickListener
                public void doClick(View p0) {
                    target.onClick(p0);
                }
            });
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.TView_ViewBinding, im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView_ViewBinding, butterknife.Unbinder
        public void unbind() {
            PasswordView target = this.target;
            if (target == null) {
                throw new IllegalStateException("Bindings already cleared.");
            }
            this.target = null;
            target.etPasswordParent1 = null;
            target.etPassword = null;
            target.ivClearPassword = null;
            target.ivPwdShow = null;
            target.tvPasswordInvalidTips1 = null;
            target.tvForgotPassword = null;
            target.llPrivacyAgreement = null;
            target.cbPrivacyAgreement = null;
            target.tvPrivacyAgreement = null;
            this.view7f0901d9.setOnClickListener(null);
            this.view7f0901d9 = null;
            this.view7f0901f6.setOnClickListener(null);
            this.view7f0901f6 = null;
            this.view7f0904eb.setOnClickListener(null);
            this.view7f0904eb = null;
            this.view7f090294.setOnClickListener(null);
            this.view7f090294 = null;
            this.view7f090502.setOnClickListener(null);
            this.view7f090502 = null;
            this.view7f090582.setOnClickListener(null);
            this.view7f090582 = null;
            this.view7f0901d5.setOnClickListener(null);
            this.view7f0901d5 = null;
            super.unbind();
        }
    }

    /* loaded from: classes14.dex */
    public class RegisterView_ViewBinding extends TView_ViewBinding {
        private RegisterView target;
        private View view7f0901d7;
        private View view7f0901d9;
        private View view7f0901da;
        private View view7f0901f6;
        private View view7f0901f7;
        private View view7f090294;
        private View view7f0904eb;
        private View view7f090502;

        public RegisterView_ViewBinding(RegisterView target) {
            this(target, target);
        }

        public RegisterView_ViewBinding(final RegisterView target, View source) {
            super(target, source);
            this.target = target;
            target.etPassword2Root = Utils.findRequiredView(source, R.id.etPassword2Root, "field 'etPassword2Root'");
            target.etPasswordParent1 = Utils.findRequiredView(source, R.id.etPasswordParent1, "field 'etPasswordParent1'");
            target.etPasswordParent2 = Utils.findRequiredView(source, R.id.etPasswordParent2, "field 'etPasswordParent2'");
            target.etInviteCodedParent = Utils.findRequiredView(source, R.id.etInviteCodedParent, "field 'etInviteCodedParent'");
            target.etPassword1 = (MryEditText) Utils.findRequiredViewAsType(source, R.id.etPassword1, "field 'etPassword1'", MryEditText.class);
            target.etPassword2 = (MryEditText) Utils.findRequiredViewAsType(source, R.id.etPassword2, "field 'etPassword2'", MryEditText.class);
            target.etInviteCode = (MryEditText) Utils.findRequiredViewAsType(source, R.id.etInviteCode, "field 'etInviteCode'", MryEditText.class);
            View view = Utils.findRequiredView(source, R.id.ivClearPassword1, "field 'ivClearPassword1' and method 'onClick'");
            target.ivClearPassword1 = (MryAlphaImageView) Utils.castView(view, R.id.ivClearPassword1, "field 'ivClearPassword1'", MryAlphaImageView.class);
            this.view7f0901d9 = view;
            view.setOnClickListener(new DebouncingOnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.RegisterView_ViewBinding.1
                @Override // butterknife.internal.DebouncingOnClickListener
                public void doClick(View p0) {
                    target.onClick(p0);
                }
            });
            View view2 = Utils.findRequiredView(source, R.id.ivPwdShow1, "field 'ivPwdShow1' and method 'onClick'");
            target.ivPwdShow1 = (MryAlphaImageView) Utils.castView(view2, R.id.ivPwdShow1, "field 'ivPwdShow1'", MryAlphaImageView.class);
            this.view7f0901f6 = view2;
            view2.setOnClickListener(new DebouncingOnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.RegisterView_ViewBinding.2
                @Override // butterknife.internal.DebouncingOnClickListener
                public void doClick(View p0) {
                    target.onClick(p0);
                }
            });
            View view3 = Utils.findRequiredView(source, R.id.ivClearPassword2, "field 'ivClearPassword2' and method 'onClick'");
            target.ivClearPassword2 = (MryAlphaImageView) Utils.castView(view3, R.id.ivClearPassword2, "field 'ivClearPassword2'", MryAlphaImageView.class);
            this.view7f0901da = view3;
            view3.setOnClickListener(new DebouncingOnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.RegisterView_ViewBinding.3
                @Override // butterknife.internal.DebouncingOnClickListener
                public void doClick(View p0) {
                    target.onClick(p0);
                }
            });
            View view4 = Utils.findRequiredView(source, R.id.ivPwdShow2, "field 'ivPwdShow2' and method 'onClick'");
            target.ivPwdShow2 = (MryAlphaImageView) Utils.castView(view4, R.id.ivPwdShow2, "field 'ivPwdShow2'", MryAlphaImageView.class);
            this.view7f0901f7 = view4;
            view4.setOnClickListener(new DebouncingOnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.RegisterView_ViewBinding.4
                @Override // butterknife.internal.DebouncingOnClickListener
                public void doClick(View p0) {
                    target.onClick(p0);
                }
            });
            View view5 = Utils.findRequiredView(source, R.id.ivClearInviteCode, "field 'ivClearInviteCode' and method 'onClick'");
            target.ivClearInviteCode = (MryAlphaImageView) Utils.castView(view5, R.id.ivClearInviteCode, "field 'ivClearInviteCode'", MryAlphaImageView.class);
            this.view7f0901d7 = view5;
            view5.setOnClickListener(new DebouncingOnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.RegisterView_ViewBinding.5
                @Override // butterknife.internal.DebouncingOnClickListener
                public void doClick(View p0) {
                    target.onClick(p0);
                }
            });
            target.tvPasswordInvalidTips1 = (MryTextView) Utils.findRequiredViewAsType(source, R.id.tvPasswordInvalidTips1, "field 'tvPasswordInvalidTips1'", MryTextView.class);
            target.tvPasswordInvalidTips2 = (MryTextView) Utils.findRequiredViewAsType(source, R.id.tvPasswordInvalidTips2, "field 'tvPasswordInvalidTips2'", MryTextView.class);
            View view6 = Utils.findRequiredView(source, R.id.tvForgotPassword, "field 'tvForgotPassword' and method 'onClick'");
            target.tvForgotPassword = (MryTextView) Utils.castView(view6, R.id.tvForgotPassword, "field 'tvForgotPassword'", MryTextView.class);
            this.view7f0904eb = view6;
            view6.setOnClickListener(new DebouncingOnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.RegisterView_ViewBinding.6
                @Override // butterknife.internal.DebouncingOnClickListener
                public void doClick(View p0) {
                    target.onClick(p0);
                }
            });
            View view7 = Utils.findRequiredView(source, R.id.tvLogin, "field 'tvLogin' and method 'onClick'");
            target.tvLogin = (MryTextView) Utils.castView(view7, R.id.tvLogin, "field 'tvLogin'", MryTextView.class);
            this.view7f090502 = view7;
            view7.setOnClickListener(new DebouncingOnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.RegisterView_ViewBinding.7
                @Override // butterknife.internal.DebouncingOnClickListener
                public void doClick(View p0) {
                    target.onClick(p0);
                }
            });
            View view8 = Utils.findRequiredView(source, R.id.llPrivacyAgreement, "field 'llPrivacyAgreement' and method 'onClick'");
            target.llPrivacyAgreement = view8;
            this.view7f090294 = view8;
            view8.setOnClickListener(new DebouncingOnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.RegisterView_ViewBinding.8
                @Override // butterknife.internal.DebouncingOnClickListener
                public void doClick(View p0) {
                    target.onClick(p0);
                }
            });
            target.cbPrivacyAgreement = (MryCheckBox) Utils.findRequiredViewAsType(source, R.id.cbPrivacyAgreement, "field 'cbPrivacyAgreement'", MryCheckBox.class);
            target.tvPrivacyAgreement = (MryTextView) Utils.findRequiredViewAsType(source, R.id.tvPrivacyAgreement, "field 'tvPrivacyAgreement'", MryTextView.class);
            target.ivCode = (ImageFilterView) Utils.findRequiredViewAsType(source, R.id.ivCode, "field 'ivCode'", ImageFilterView.class);
            target.etCode = (MryEditText) Utils.findRequiredViewAsType(source, R.id.etCode, "field 'etCode'", MryEditText.class);
            target.llImageCode = (LinearLayout) Utils.findRequiredViewAsType(source, R.id.ll_image_code, "field 'llImageCode'", LinearLayout.class);
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.TView_ViewBinding, im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView_ViewBinding, butterknife.Unbinder
        public void unbind() {
            RegisterView target = this.target;
            if (target == null) {
                throw new IllegalStateException("Bindings already cleared.");
            }
            this.target = null;
            target.etPassword2Root = null;
            target.etPasswordParent1 = null;
            target.etPasswordParent2 = null;
            target.etInviteCodedParent = null;
            target.etPassword1 = null;
            target.etPassword2 = null;
            target.etInviteCode = null;
            target.ivClearPassword1 = null;
            target.ivPwdShow1 = null;
            target.ivClearPassword2 = null;
            target.ivPwdShow2 = null;
            target.ivClearInviteCode = null;
            target.tvPasswordInvalidTips1 = null;
            target.tvPasswordInvalidTips2 = null;
            target.tvForgotPassword = null;
            target.tvLogin = null;
            target.llPrivacyAgreement = null;
            target.cbPrivacyAgreement = null;
            target.tvPrivacyAgreement = null;
            target.ivCode = null;
            target.etCode = null;
            target.llImageCode = null;
            this.view7f0901d9.setOnClickListener(null);
            this.view7f0901d9 = null;
            this.view7f0901f6.setOnClickListener(null);
            this.view7f0901f6 = null;
            this.view7f0901da.setOnClickListener(null);
            this.view7f0901da = null;
            this.view7f0901f7.setOnClickListener(null);
            this.view7f0901f7 = null;
            this.view7f0901d7.setOnClickListener(null);
            this.view7f0901d7 = null;
            this.view7f0904eb.setOnClickListener(null);
            this.view7f0904eb = null;
            this.view7f090502.setOnClickListener(null);
            this.view7f090502 = null;
            this.view7f090294.setOnClickListener(null);
            this.view7f090294 = null;
            super.unbind();
        }
    }

    public LoginContronllerActivity() {
        this(UserConfig.selectedAccount, null);
    }

    public LoginContronllerActivity(int account) {
        this(account, null);
    }

    public LoginContronllerActivity(int account, Bundle args) {
        super(account, args);
    }

    @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity, im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        boolean tag = super.onFragmentCreate();
        if (tag) {
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.appDidLogIn);
            NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.getBackupIpStatus);
        }
        return tag;
    }

    @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity
    protected void initActionBar() {
        this.rightMenuItem = null;
        this.actionBar.setAddToContainer(false);
        this.actionBar.setBackgroundColor(0);
        this.actionBar.setItemsBackgroundColor(0, false);
        this.actionBar.setItemsColor(-1, false);
        this.actionBar.setCastShadows(false);
        this.actionBarContainer = new FrameLayout(getParentActivity());
        this.actionBarContainer.setBackgroundColor(0);
        this.rootView.addView(this.actionBarContainer, LayoutHelper.createFrame(-1, -2, 51));
        this.actionBarContainer.addView(this.actionBar, LayoutHelper.createFrame(-1, -2, 51));
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                super.onItemClick(id);
                if (id == -1) {
                    if (LoginContronllerActivity.this.actionBar.getBackButton() != null && LoginContronllerActivity.this.actionBar.getBackButton().getVisibility() == 0 && LoginContronllerActivity.this.onBackPressed()) {
                        LoginContronllerActivity.this.finishFragment();
                    }
                } else if (id == 1) {
                    if (LoginContronllerActivity.this.currentViewIndex == 0) {
                        LoginContronllerActivity loginContronllerActivity = LoginContronllerActivity.this;
                        loginContronllerActivity.toPage(1, true, loginContronllerActivity.pages[LoginContronllerActivity.this.currentViewIndex].getParams(), false);
                        return;
                    }
                    LoginContronllerActivity.this.onBackPressed();
                }
            }
        });
        TextView textView = new TextView(getParentActivity());
        this.backupIpAddressLog = textView;
        textView.setTextColor(getParentActivity().getResources().getColor(R.color.black));
        this.backupIpAddressLog.setTextSize(1, 10.0f);
        ((FrameLayout) this.fragmentView).addView(this.backupIpAddressLog, LayoutHelper.createFrame(-1, -1, 16, 160, 16, 16));
    }

    @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity
    protected void initView() {
        initVideoView();
        this.pages = new LoginContronllerBaseActivity.ThisView[2];
        toPage(0, false, getArguments(), false);
    }

    @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity
    protected void initPages(int newPageIndex) {
        if (this.pages[newPageIndex] == null) {
            if (newPageIndex == 0) {
                this.pages[newPageIndex] = new RegisterView(getParentActivity());
            } else {
                this.pages[newPageIndex] = new PasswordView(getParentActivity());
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity
    public void setAcitonBar(int newPageIndex, LoginContronllerBaseActivity.ThisView thisView) {
        super.setAcitonBar(newPageIndex, thisView);
        ActionBarMenuItem actionBarMenuItem = this.rightMenuItem;
        if (actionBarMenuItem == null) {
            ActionBarMenu menu = this.actionBar.createMenu();
            if (newPageIndex == 0) {
                this.rightMenuItem = menu.addItem(1, LocaleController.getString(R.string.LoginByPassword));
            } else {
                this.rightMenuItem = menu.addItem(1, LocaleController.getString(R.string.SignUp));
            }
            TextView tvRight = (TextView) this.rightMenuItem.getContentView();
            tvRight.setTextSize(15.0f);
            tvRight.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
            return;
        }
        TextView tvRight2 = (TextView) actionBarMenuItem.getContentView();
        if (newPageIndex == 0) {
            tvRight2.setText(LocaleController.getString(R.string.LoginByPassword));
        } else {
            tvRight2.setText(LocaleController.getString(R.string.SignUp));
        }
    }

    protected void initVideoView() {
        this.videoView = new VideoView(getParentActivity()) { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.2
            @Override // android.widget.VideoView, android.view.SurfaceView, android.view.View
            protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
                setMeasuredDimension(ScreenUtils.getScreenWidth(), ScreenUtils.getScreenHeight());
            }
        };
        this.rootView.addView(this.videoView, 0, LayoutHelper.createFrame(-1, -1.0f));
        this.videoView.setOnPreparedListener(new MediaPlayer.OnPreparedListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity$$ExternalSyntheticLambda0
            @Override // android.media.MediaPlayer.OnPreparedListener
            public final void onPrepared(MediaPlayer mediaPlayer) {
                LoginContronllerActivity.this.m3543x785c204c(mediaPlayer);
            }
        });
        this.videoView.setOnCompletionListener(new MediaPlayer.OnCompletionListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity$$ExternalSyntheticLambda1
            @Override // android.media.MediaPlayer.OnCompletionListener
            public final void onCompletion(MediaPlayer mediaPlayer) {
                LoginContronllerActivity.this.m3544x596d1cd(mediaPlayer);
            }
        });
        this.videoView.setOnErrorListener(new MediaPlayer.OnErrorListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity$$ExternalSyntheticLambda2
            @Override // android.media.MediaPlayer.OnErrorListener
            public final boolean onError(MediaPlayer mediaPlayer, int i, int i2) {
                return LoginContronllerActivity.this.m3545x92d1834e(mediaPlayer, i, i2);
            }
        });
        startPlayVideo();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initVideoView$0$im-uecahxyvjd-ui-hui-login-LoginContronllerActivity  reason: not valid java name */
    public /* synthetic */ void m3543x785c204c(MediaPlayer mp) {
        if (this.videoView != null && !isFinishing()) {
            if (this.videoView.getVisibility() != 0) {
                this.videoView.setVisibility(0);
            }
            mp.setVolume(0.0f, 0.0f);
            this.videoView.start();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initVideoView$1$im-uecahxyvjd-ui-hui-login-LoginContronllerActivity  reason: not valid java name */
    public /* synthetic */ void m3544x596d1cd(MediaPlayer mp) {
        stopPlayVideo();
        startPlayVideo();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initVideoView$2$im-uecahxyvjd-ui-hui-login-LoginContronllerActivity  reason: not valid java name */
    public /* synthetic */ boolean m3545x92d1834e(MediaPlayer mp, int what, int extra) {
        VideoView videoView = this.videoView;
        if (videoView != null) {
            videoView.setVisibility(8);
            return false;
        }
        return false;
    }

    @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity, im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onResume() {
        super.onResume();
        startPlayVideo();
        setNavigationBarColor(0);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    protected void setStatusBarTheme() {
        StatusBarUtils.setStatusBarDarkTheme(getParentActivity(), false);
    }

    @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity, im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onPause() {
        super.onPause();
        stopPlayVideo();
    }

    protected void startPlayVideo() {
        VideoView videoView = this.videoView;
        if (videoView == null || videoView.isPlaying()) {
            return;
        }
        try {
            Uri uri = Uri.parse("android.resource://" + ApplicationLoader.applicationContext.getPackageName() + "/raw/" + R.raw.login_bg_video);
            this.videoView.setVideoURI(uri);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    protected void stopPlayVideo() {
        VideoView videoView = this.videoView;
        if (videoView == null) {
            return;
        }
        try {
            videoView.stopPlayback();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    protected void onAuthSuccess(TLRPC.TL_auth_authorization res) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity$$ExternalSyntheticLambda3
            @Override // java.lang.Runnable
            public final void run() {
                LoginContronllerActivity.this.m3546xc8e71f1b();
            }
        });
        this.mIsLoginSuccess = true;
        ConnectionsManager.getInstance(this.currentAccount).setUserId(res.user.id);
        UserConfig.getInstance(this.currentAccount).clearConfig();
        MessagesController.getInstance(this.currentAccount).cleanup();
        UserConfig.getInstance(this.currentAccount).syncContacts = false;
        UserConfig.getInstance(this.currentAccount).setCurrentUser(res.user);
        UserConfig.getInstance(this.currentAccount).saveConfig(true);
        MessagesStorage.getInstance(this.currentAccount).cleanup(true);
        ArrayList<TLRPC.User> users = new ArrayList<>();
        users.add(res.user);
        MessagesStorage.getInstance(this.currentAccount).putUsersAndChats(users, null, true, true);
        MessagesController.getInstance(this.currentAccount).putUser(res.user, false);
        ContactsController.getInstance(this.currentAccount).checkAppAccount();
        MessagesController.getInstance(this.currentAccount).checkProxyInfo(true);
        ConnectionsManager.getInstance(this.currentAccount).updateDcSettings();
        clearCurrentState();
        OpenInstallUitl.reportEffectPoint("sign_in_success", 1L);
        if (getParentActivity() instanceof LaunchActivity) {
            if (!this.newAccount) {
                presentFragment(new IndexActivity(), true);
                NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.mainUserInfoChanged, new Object[0]);
                return;
            }
            this.newAccount = false;
            ((LaunchActivity) getParentActivity()).switchToAccount(this.currentAccount, true);
            finishFragment();
        } else if (getParentActivity() instanceof ExternalActionActivity) {
            ((ExternalActionActivity) getParentActivity()).onFinishLogin();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onAuthSuccess$3$im-uecahxyvjd-ui-hui-login-LoginContronllerActivity  reason: not valid java name */
    public /* synthetic */ void m3546xc8e71f1b() {
        getNotificationCenter().postNotificationName(NotificationCenter.getBackupIpStatus, "server 5");
    }

    protected void clearCurrentState() {
        SharedPreferences preferences = ApplicationLoader.applicationContext.getSharedPreferences("logininfo2", 0);
        SharedPreferences.Editor editor = preferences.edit();
        editor.clear();
        editor.apply();
    }

    @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity, im.uecahxyvjd.ui.actionbar.BaseFragment
    public void saveSelfArgs(Bundle args) {
        super.saveSelfArgs(args);
        args.putInt("currentIndex", this.currentViewIndex);
        args.putBundle("pageArgs", getArguments());
        Bundle bundle = new Bundle();
        if (this.pages != null) {
            for (int i = 0; i < this.pages.length; i++) {
                LoginContronllerBaseActivity.ThisView t = this.pages[i];
                if (t != null) {
                    t.saveStateParams(bundle);
                    args.putBundle("currentIndexB" + i, bundle);
                }
            }
        }
    }

    @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity, im.uecahxyvjd.ui.actionbar.BaseFragment
    public void restoreSelfArgs(Bundle args) {
        super.restoreSelfArgs(args);
        this.currentViewIndex = args.getInt("currentIndex");
        setArguments(args.getBundle("pageArgs"));
        if (this.pages != null) {
            for (int i = 0; i < this.pages.length; i++) {
                LoginContronllerBaseActivity.ThisView t = this.pages[i];
                if (t != null) {
                    Bundle bundle = args.getBundle("currentIndexB" + i);
                    t.restoreStateParams(bundle);
                }
            }
        }
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        TextView textView;
        if (id == NotificationCenter.appDidLogIn) {
            removeSelfFromStack();
        } else if (id == NotificationCenter.getBackupIpStatus && (textView = this.backupIpAddressLog) != null) {
            textView.setText(((String) args[0]) + "（" + AndroidUtilities.getVersionName(getParentActivity()) + "）");
        }
    }

    @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity, im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.appDidLogIn);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.getBackupIpStatus);
        super.onFragmentDestroy();
        stopPlayVideo();
        this.videoView = null;
        this.rightMenuItem = null;
    }

    /* loaded from: classes14.dex */
    public class PasswordView extends TView {
        @BindView(R.id.cbPrivacyAgreement)
        MryCheckBox cbPrivacyAgreement;
        private TextWatcher etGoogleCodeWatcher;
        @BindView(R.id.etPassword1)
        MryEditText etPassword;
        @BindView(R.id.etPasswordParent1)
        View etPasswordParent1;
        private TextWatcher etPasswordWatcher;
        private boolean etPwdIsHide;
        @BindView(R.id.ivClearPassword1)
        MryAlphaImageView ivClearPassword;
        @BindView(R.id.ivPwdShow1)
        MryAlphaImageView ivPwdShow;
        @BindView(R.id.llPrivacyAgreement)
        View llPrivacyAgreement;
        int pressChangeIpCount;
        @BindView(R.id.tvForgotPassword)
        MryTextView tvForgotPassword;
        @BindView(R.id.tvPasswordInvalidTips1)
        MryTextView tvPasswordInvalidTips1;
        @BindView(R.id.tvPrivacyAgreement)
        MryTextView tvPrivacyAgreement;

        public PasswordView(Context context) {
            super(context);
            this.etPwdIsHide = true;
            this.etGoogleCodeWatcher = new TextWatcher() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.PasswordView.4
                @Override // android.text.TextWatcher
                public void beforeTextChanged(CharSequence s, int start, int count, int after) {
                }

                @Override // android.text.TextWatcher
                public void onTextChanged(CharSequence s, int start, int before, int count) {
                }

                @Override // android.text.TextWatcher
                public void afterTextChanged(Editable s) {
                    PasswordView.this.changeBtnState();
                    if (PasswordView.this.ivClearGoogleCode != null) {
                        PasswordView.this.ivClearGoogleCode.setVisibility((s == null || s.length() <= 0) ? 8 : 0);
                    }
                }
            };
            this.pressChangeIpCount = 0;
            this.etPasswordWatcher = new TextWatcher() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.PasswordView.6
                @Override // android.text.TextWatcher
                public void beforeTextChanged(CharSequence s, int start, int count, int after) {
                }

                @Override // android.text.TextWatcher
                public void onTextChanged(CharSequence s, int start, int before, int count) {
                }

                @Override // android.text.TextWatcher
                public void afterTextChanged(Editable s) {
                    PasswordView passwordView = PasswordView.this;
                    passwordView.checkShowInputIsInvalidTips(passwordView.etPassword);
                    PasswordView.this.changeBtnState();
                    if (PasswordView.this.ivClearPassword != null) {
                        PasswordView.this.ivClearPassword.setVisibility((s == null || s.length() <= 0) ? 8 : 0);
                    }
                }
            };
            View view = LayoutInflater.from(context).inflate(R.layout.activity_login_by_password, (ViewGroup) null, false);
            addView(view, LayoutHelper.createFrame(-1, -1.0f));
            initView();
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.TView, im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView
        protected void initView() {
            super.initView();
            this.etPasswordParent1.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(28.0f), AndroidUtilities.alphaColor(0.26f, -15856114)));
            SpanUtils.with(this.tvForgotPassword).append(LocaleController.getString(R.string.ForgetPassword)).setForegroundColor(-1).setUnderline().create();
            this.etPassword.addTextChangedListener(this.etPasswordWatcher);
            System.out.println("------etGoogleCodedParent visible");
            this.etGoogleCodedParent.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(28.0f), AndroidUtilities.alphaColor(0.26f, -15856114)));
            this.etGoogleCodedParent.setVisibility(0);
            this.etGoogleCodedParent.setVisibility(8);
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.TView, im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView
        protected void onShowEnd() {
            super.onShowEnd();
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.TView, im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView
        @OnClick({R.id.tvForgotPassword, R.id.tvLogin, R.id.ivClearPassword1, R.id.ivPwdShow1, R.id.llPrivacyAgreement, R.id.tvTitle, R.id.ivClearGoogleCode})
        void onClick(View v) {
            MryCheckBox mryCheckBox;
            super.onClick(v);
            boolean z = true;
            switch (v.getId()) {
                case R.id.ivClearGoogleCode /* 2131296725 */:
                    if (this.etGoogleCode != null) {
                        this.etGoogleCode.setText("");
                        return;
                    }
                    return;
                case R.id.ivClearPassword1 /* 2131296729 */:
                    MryEditText mryEditText = this.etPassword;
                    if (mryEditText != null) {
                        mryEditText.setText("");
                        return;
                    }
                    return;
                case R.id.ivPwdShow1 /* 2131296758 */:
                    boolean z2 = !this.etPwdIsHide;
                    this.etPwdIsHide = z2;
                    if (z2) {
                        this.ivPwdShow.setImageResource(R.mipmap.eye_close);
                        this.etPassword.setTransformationMethod(PasswordTransformationMethod.getInstance());
                    } else {
                        this.ivPwdShow.setImageResource(R.mipmap.eye_open);
                        this.etPassword.setTransformationMethod(HideReturnsTransformationMethod.getInstance());
                    }
                    this.etPassword.setSelectionEnd();
                    return;
                case R.id.llPrivacyAgreement /* 2131296916 */:
                    this.cbPrivacyAgreement.setChecked(!mryCheckBox.isChecked());
                    return;
                case R.id.tvForgotPassword /* 2131297515 */:
                    Bundle args = new Bundle();
                    boolean paramsArgs = (this.etPhoneNumber == null || this.etPhoneNumber.getText() == null || this.etPhoneNumber.length() <= 0) ? false : false;
                    if (paramsArgs) {
                        args.putString("tempPhoneNumber", this.etPhoneNumber.getText().toString().trim());
                    }
                    if (LoginContronllerActivity.this.newAccount) {
                        LoginContronllerActivity.this.presentFragment(new LoginPasswordContronllerActivity(LoginContronllerActivity.this.currentAccount, 0, paramsArgs ? args : null));
                        return;
                    } else {
                        LoginContronllerActivity.this.presentFragment(new LoginPasswordContronllerActivity(0, paramsArgs ? args : null));
                        return;
                    }
                case R.id.tvLogin /* 2131297538 */:
                    if (LoginContronllerActivity.this.currentViewIndex == 0) {
                        LoginContronllerActivity loginContronllerActivity = LoginContronllerActivity.this;
                        loginContronllerActivity.toPage(1, true, loginContronllerActivity.pages[LoginContronllerActivity.this.currentViewIndex].getParams(), false);
                        return;
                    }
                    LoginContronllerActivity loginContronllerActivity2 = LoginContronllerActivity.this;
                    loginContronllerActivity2.toPage(0, true, loginContronllerActivity2.pages[LoginContronllerActivity.this.currentViewIndex].getParams(), false);
                    return;
                case R.id.tvTitle /* 2131297666 */:
                    int i = this.pressChangeIpCount + 1;
                    this.pressChangeIpCount = i;
                    if (i == 10) {
                        LoginContronllerActivity.this.presentFragment(new IpChangeActivity());
                        this.pressChangeIpCount = 0;
                        return;
                    }
                    return;
                default:
                    return;
            }
        }

        /* JADX INFO: Access modifiers changed from: private */
        public void signInByPassword(String account, String pwd) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity$PasswordView$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    LoginContronllerActivity.PasswordView.this.m3547x34dad05a();
                }
            });
            this.btn.setEnabled(false);
            final TLRPCLogin.TL_auth_SignInByPassword req = new TLRPCLogin.TL_auth_SignInByPassword();
            req.phone_uuid = "";
            req.user_name = account;
            req.password_hash = Base64.encodeToString(MD5.md5(pwd).getBytes(), 0);
            req.password_hash = req.password_hash.replaceAll("\n", "");
            final AlertDialog progressDialog = new AlertDialog(LoginContronllerActivity.this.getParentActivity(), 3);
            LoginContronllerActivity.this.showDialog(progressDialog);
            Log.e(BuildConfig.BUILD_TYPE, "req22=" + JSONObject.toJSONString(req));
            ConnectionsManager connectionsManager = ConnectionsManager.getInstance(LoginContronllerActivity.this.currentAccount);
            final int reqId = ConnectionsManager.getInstance(LoginContronllerActivity.this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity$PasswordView$$ExternalSyntheticLambda1
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    LoginContronllerActivity.PasswordView.this.m3549x939e098(progressDialog, req, tLObject, tL_error);
                }
            }, 10);
            connectionsManager.bindRequestToGuid(reqId, LoginContronllerActivity.this.classGuid);
            progressDialog.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity$PasswordView$$ExternalSyntheticLambda2
                @Override // android.content.DialogInterface.OnCancelListener
                public final void onCancel(DialogInterface dialogInterface) {
                    LoginContronllerActivity.PasswordView.this.m3550x736968b7(reqId, dialogInterface);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$signInByPassword$0$im-uecahxyvjd-ui-hui-login-LoginContronllerActivity$PasswordView  reason: not valid java name */
        public /* synthetic */ void m3547x34dad05a() {
            NetworkConfig.serverIndex = 4;
            LoginContronllerActivity.this.getNotificationCenter().postNotificationName(NotificationCenter.getBackupIpStatus, "server 4");
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$signInByPassword$2$im-uecahxyvjd-ui-hui-login-LoginContronllerActivity$PasswordView  reason: not valid java name */
        public /* synthetic */ void m3549x939e098(final AlertDialog progressDialog, final TLRPCLogin.TL_auth_SignInByPassword req, final TLObject response, final TLRPC.TL_error error) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity$PasswordView$$ExternalSyntheticLambda3
                @Override // java.lang.Runnable
                public final void run() {
                    LoginContronllerActivity.PasswordView.this.m3548x9f0a5879(error, progressDialog, response, req);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$signInByPassword$1$im-uecahxyvjd-ui-hui-login-LoginContronllerActivity$PasswordView  reason: not valid java name */
        public /* synthetic */ void m3548x9f0a5879(TLRPC.TL_error error, AlertDialog progressDialog, TLObject response, TLRPCLogin.TL_auth_SignInByPassword req) {
            Log.e(BuildConfig.BUILD_TYPE, "response222=" + JSONObject.toJSONString(error));
            progressDialog.dismiss();
            if (error != null) {
                this.btn.setEnabled(true);
                if (error.text.equals("SESSION_PASSWORD_NEEDED")) {
                    new TwoPasswordCheckDialog(LoginContronllerActivity.this.getParentActivity(), this.etPhoneNumber.getText().toString().trim(), new TwoPasswordCheckDialog.OnPasswordCheckListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.PasswordView.5
                        @Override // im.uecahxyvjd.ui.dialogs.TwoPasswordCheckDialog.OnPasswordCheckListener
                        public void onPasswordCheck() {
                            PasswordView passwordView = PasswordView.this;
                            passwordView.signInByPassword(passwordView.etPhoneNumber.getText().toString().trim(), PasswordView.this.etPassword.getText().toString().trim());
                        }
                    }).show();
                } else {
                    LoginContronllerActivity.this.parseError(error, req.user_name);
                }
            } else if (response instanceof TLRPC.TL_auth_authorizationSignUpRequired) {
                this.btn.setEnabled(true);
            } else if (response instanceof TLRPC.TL_auth_authorization) {
                LoginContronllerActivity.this.onAuthSuccess((TLRPC.TL_auth_authorization) response);
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$signInByPassword$3$im-uecahxyvjd-ui-hui-login-LoginContronllerActivity$PasswordView  reason: not valid java name */
        public /* synthetic */ void m3550x736968b7(int reqId, DialogInterface dialog) {
            LoginContronllerActivity.this.getConnectionsManager().cancelRequest(reqId, false);
            this.btn.setEnabled(true);
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.TView, im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView
        protected boolean checkEnterInfo(boolean sendSmsCode, boolean showErrorToast, boolean toNextStep) {
            if (super.checkEnterInfo(sendSmsCode, showErrorToast, toNextStep) && LoginContronllerActivity.this.checkPasswordRule(this.etPassword, showErrorToast)) {
                if (toNextStep) {
                    signInByPassword(this.etPhoneNumber.getText().toString().trim(), this.etPassword.getText().toString().trim());
                    return true;
                }
                return true;
            }
            return false;
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.TView
        protected void checkShowInputIsInvalidTips(TextView tv) {
            super.checkShowInputIsInvalidTips(tv);
            if (tv != null && this.tvPasswordInvalidTips1 != null && tv == this.etPassword) {
                if (!LoginContronllerActivity.this.checkPasswordRule(tv, false) && this.tvPasswordInvalidTips1.getVisibility() != 0) {
                    this.tvPasswordInvalidTips1.setVisibility(0);
                } else if (LoginContronllerActivity.this.checkPasswordRule(tv, false) && this.tvPasswordInvalidTips1.getVisibility() != 8) {
                    this.tvPasswordInvalidTips1.setVisibility(8);
                }
            }
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.TView
        protected void changeBtnState() {
            if (!TextUtils.isEmpty(((Object) this.etPhoneNumber.getText()) + "") && !TextUtils.isEmpty(((Object) this.etPassword.getText()) + "")) {
                this.btn.setEnabled(true);
            } else {
                this.btn.setEnabled(false);
            }
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.TView, im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView, im.uecahxyvjd.ui.components.SlideView
        public void onDestroyActivity() {
            TextWatcher textWatcher;
            MryEditText mryEditText = this.etPassword;
            if (mryEditText != null && (textWatcher = this.etPasswordWatcher) != null) {
                mryEditText.removeTextChangedListener(textWatcher);
                this.etPasswordWatcher = null;
            }
            super.onDestroyActivity();
        }
    }

    /* loaded from: classes14.dex */
    public class RegisterView extends TView {
        @BindView(R.id.cbPrivacyAgreement)
        MryCheckBox cbPrivacyAgreement;
        @BindView(R.id.etCode)
        MryEditText etCode;
        @BindView(R.id.etInviteCode)
        MryEditText etInviteCode;
        private TextWatcher etInviteCodeWatcher;
        @BindView(R.id.etInviteCodedParent)
        View etInviteCodedParent;
        @BindView(R.id.etPassword1)
        MryEditText etPassword1;
        @BindView(R.id.etPassword2)
        MryEditText etPassword2;
        @BindView(R.id.etPassword2Root)
        View etPassword2Root;
        @BindView(R.id.etPasswordParent1)
        View etPasswordParent1;
        @BindView(R.id.etPasswordParent2)
        View etPasswordParent2;
        private TextWatcher etPasswordWatcher1;
        private TextWatcher etPasswordWatcher2;
        private boolean etPwdIsHide;
        private boolean etPwdIsHide2;
        @BindView(R.id.ivClearInviteCode)
        MryAlphaImageView ivClearInviteCode;
        @BindView(R.id.ivClearPassword1)
        MryAlphaImageView ivClearPassword1;
        @BindView(R.id.ivClearPassword2)
        MryAlphaImageView ivClearPassword2;
        @BindView(R.id.ivCode)
        ImageFilterView ivCode;
        @BindView(R.id.ivPwdShow1)
        MryAlphaImageView ivPwdShow1;
        @BindView(R.id.ivPwdShow2)
        MryAlphaImageView ivPwdShow2;
        @BindView(R.id.ll_image_code)
        LinearLayout llImageCode;
        @BindView(R.id.llPrivacyAgreement)
        View llPrivacyAgreement;
        private int reqCheckUNToken;
        @BindView(R.id.tvForgotPassword)
        MryTextView tvForgotPassword;
        @BindView(R.id.tvLogin)
        MryTextView tvLogin;
        @BindView(R.id.tvPasswordInvalidTips1)
        MryTextView tvPasswordInvalidTips1;
        @BindView(R.id.tvPasswordInvalidTips2)
        MryTextView tvPasswordInvalidTips2;
        @BindView(R.id.tvPrivacyAgreement)
        MryTextView tvPrivacyAgreement;

        public RegisterView(Context context) {
            super(context);
            this.etPwdIsHide = true;
            this.etPwdIsHide2 = true;
            this.etPasswordWatcher1 = new TextWatcher() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.RegisterView.4
                @Override // android.text.TextWatcher
                public void beforeTextChanged(CharSequence s, int start, int count, int after) {
                }

                @Override // android.text.TextWatcher
                public void onTextChanged(CharSequence s, int start, int before, int count) {
                }

                @Override // android.text.TextWatcher
                public void afterTextChanged(Editable s) {
                    RegisterView registerView = RegisterView.this;
                    registerView.checkShowInputIsInvalidTips(registerView.etPassword1);
                    RegisterView.this.changeBtnState();
                    if (RegisterView.this.ivClearPassword1 != null) {
                        RegisterView.this.ivClearPassword1.setVisibility((s == null || s.length() <= 0) ? 8 : 0);
                    }
                }
            };
            this.etPasswordWatcher2 = new TextWatcher() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.RegisterView.5
                @Override // android.text.TextWatcher
                public void beforeTextChanged(CharSequence s, int start, int count, int after) {
                }

                @Override // android.text.TextWatcher
                public void onTextChanged(CharSequence s, int start, int before, int count) {
                }

                @Override // android.text.TextWatcher
                public void afterTextChanged(Editable s) {
                    RegisterView registerView = RegisterView.this;
                    registerView.checkShowInputIsInvalidTips(registerView.etPassword2);
                    RegisterView.this.changeBtnState();
                    if (RegisterView.this.ivClearPassword2 != null) {
                        RegisterView.this.ivClearPassword2.setVisibility((s == null || s.length() <= 0) ? 8 : 0);
                    }
                }
            };
            this.etInviteCodeWatcher = new TextWatcher() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.RegisterView.6
                @Override // android.text.TextWatcher
                public void beforeTextChanged(CharSequence s, int start, int count, int after) {
                }

                @Override // android.text.TextWatcher
                public void onTextChanged(CharSequence s, int start, int before, int count) {
                }

                @Override // android.text.TextWatcher
                public void afterTextChanged(Editable s) {
                    RegisterView.this.changeBtnState();
                    if (RegisterView.this.ivClearInviteCode != null) {
                        RegisterView.this.ivClearInviteCode.setVisibility((s == null || s.length() <= 0) ? 8 : 0);
                    }
                }
            };
            View view = LayoutInflater.from(context).inflate(R.layout.activity_login_by_password, (ViewGroup) null, false);
            addView(view, LayoutHelper.createFrame(-1, -1.0f));
            initView();
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.TView, im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView
        protected void initView() {
            super.initView();
            this.tvTitle.setText(LocaleController.getString(R.string.SignUp));
            this.btn.setText(LocaleController.getString(R.string.SignUp));
            this.etPasswordParent1.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(8.0f), AndroidUtilities.alphaColor(0.26f, -15856114)));
            this.etPasswordParent2.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(8.0f), AndroidUtilities.alphaColor(0.26f, -15856114)));
            this.etInviteCodedParent.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(8.0f), AndroidUtilities.alphaColor(0.26f, -15856114)));
            this.etInviteCodedParent.setVisibility(0);
            this.etPassword1.addTextChangedListener(this.etPasswordWatcher1);
            this.etInviteCodedParent.setVisibility(8);
            this.llImageCode.setVisibility(8);
        }

        private void showCode() {
            Bitmap bitmap = VerifyCodeUtils.getInstance().createBitmap();
            this.ivCode.setImageBitmap(bitmap);
            this.ivCode.setRound(8.0f);
            this.ivCode.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity$RegisterView$$ExternalSyntheticLambda3
                @Override // android.view.View.OnClickListener
                public final void onClick(View view) {
                    LoginContronllerActivity.RegisterView.this.m3554x9e9b8e8c(view);
                }
            });
            this.btn.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity$RegisterView$$ExternalSyntheticLambda4
                @Override // android.view.View.OnClickListener
                public final void onClick(View view) {
                    LoginContronllerActivity.RegisterView.this.m3555x8cb16ab(view);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$showCode$0$im-uecahxyvjd-ui-hui-login-LoginContronllerActivity$RegisterView  reason: not valid java name */
        public /* synthetic */ void m3554x9e9b8e8c(View view) {
            this.ivCode.setImageBitmap(VerifyCodeUtils.getInstance().createBitmap());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$showCode$1$im-uecahxyvjd-ui-hui-login-LoginContronllerActivity$RegisterView  reason: not valid java name */
        public /* synthetic */ void m3555x8cb16ab(View view) {
            String trim = this.etCode.getText().toString().trim();
            if (TextUtils.isEmpty(trim)) {
                ToastUtils.show((CharSequence) LocaleController.getString(R.string.PleaseInputVerifyCodeHint));
                AndroidUtilities.shakeView(this.etCode, 2.0f, 0);
                return;
            }
            String code = VerifyCodeUtils.getInstance().getCode();
            if (TextUtils.isEmpty(code)) {
                ToastUtils.show((CharSequence) LocaleController.getString(R.string.VerificationcodeError));
                this.ivCode.setImageBitmap(VerifyCodeUtils.getInstance().createBitmap());
            } else if (trim.toLowerCase().equals(code.toLowerCase())) {
                checkEnterInfo(false, true, true);
            } else {
                AndroidUtilities.shakeView(this.etCode, 2.0f, 0);
                this.ivCode.setImageBitmap(VerifyCodeUtils.getInstance().createBitmap());
                ToastUtils.show((CharSequence) LocaleController.getString(R.string.VerificationcodeError));
            }
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.TView, im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView
        @OnClick({R.id.tvForgotPassword, R.id.tvLogin, R.id.ivClearPassword1, R.id.ivPwdShow1, R.id.ivClearPassword2, R.id.ivClearInviteCode, R.id.ivPwdShow2, R.id.llPrivacyAgreement})
        void onClick(View v) {
            MryCheckBox mryCheckBox;
            super.onClick(v);
            switch (v.getId()) {
                case R.id.ivClearInviteCode /* 2131296727 */:
                    MryEditText mryEditText = this.etInviteCode;
                    if (mryEditText != null) {
                        mryEditText.setText("");
                        return;
                    }
                    return;
                case R.id.ivClearPassword1 /* 2131296729 */:
                    MryEditText mryEditText2 = this.etPassword1;
                    if (mryEditText2 != null) {
                        mryEditText2.setText("");
                        return;
                    }
                    return;
                case R.id.ivClearPassword2 /* 2131296730 */:
                    MryEditText mryEditText3 = this.etPassword2;
                    if (mryEditText3 != null) {
                        mryEditText3.setText("");
                        return;
                    }
                    return;
                case R.id.ivPwdShow1 /* 2131296758 */:
                    boolean z = !this.etPwdIsHide;
                    this.etPwdIsHide = z;
                    if (z) {
                        this.ivPwdShow1.setImageResource(R.mipmap.eye_close);
                        this.etPassword1.setTransformationMethod(PasswordTransformationMethod.getInstance());
                    } else {
                        this.ivPwdShow1.setImageResource(R.mipmap.eye_open);
                        this.etPassword1.setTransformationMethod(HideReturnsTransformationMethod.getInstance());
                    }
                    this.etPassword1.setSelectionEnd();
                    return;
                case R.id.ivPwdShow2 /* 2131296759 */:
                    boolean z2 = !this.etPwdIsHide2;
                    this.etPwdIsHide2 = z2;
                    if (z2) {
                        this.ivPwdShow2.setImageResource(R.mipmap.eye_close);
                        this.etPassword2.setTransformationMethod(PasswordTransformationMethod.getInstance());
                    } else {
                        this.ivPwdShow2.setImageResource(R.mipmap.eye_open);
                        this.etPassword2.setTransformationMethod(HideReturnsTransformationMethod.getInstance());
                    }
                    this.etPassword2.setSelectionEnd();
                    return;
                case R.id.llPrivacyAgreement /* 2131296916 */:
                    this.cbPrivacyAgreement.setChecked(!mryCheckBox.isChecked());
                    return;
                case R.id.tvLogin /* 2131297538 */:
                    if (LoginContronllerActivity.this.currentViewIndex == 0) {
                        LoginContronllerActivity loginContronllerActivity = LoginContronllerActivity.this;
                        loginContronllerActivity.toPage(1, true, loginContronllerActivity.pages[LoginContronllerActivity.this.currentViewIndex].getParams(), false);
                        return;
                    }
                    LoginContronllerActivity loginContronllerActivity2 = LoginContronllerActivity.this;
                    loginContronllerActivity2.toPage(0, true, loginContronllerActivity2.pages[LoginContronllerActivity.this.currentViewIndex].getParams(), false);
                    return;
                default:
                    return;
            }
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.TView, im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView
        protected boolean checkEnterInfo(boolean sendSmsCode, boolean showErrorToast, boolean toNextStep) {
            if (super.checkEnterInfo(sendSmsCode, showErrorToast, toNextStep)) {
                if (this.etPassword1.getText() == null || this.etPassword1.getText().length() == 0) {
                    if (showErrorToast) {
                        ToastUtils.show((int) R.string.PaymentPasswordEnter);
                    }
                    return false;
                } else if (LoginContronllerActivity.this.checkPasswordRule(this.etPassword1, showErrorToast)) {
                    if (toNextStep) {
                        checkUserName();
                        return true;
                    }
                    return true;
                } else {
                    return false;
                }
            }
            return false;
        }

        private void checkUserName() {
            if (this.reqCheckUNToken != 0) {
                return;
            }
            if (this.btn != null) {
                this.btn.setEnabled(false);
            }
            AlertDialog progressDialog = new AlertDialog(LoginContronllerActivity.this.getParentActivity(), 3);
            progressDialog.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity$RegisterView$$ExternalSyntheticLambda0
                @Override // android.content.DialogInterface.OnCancelListener
                public final void onCancel(DialogInterface dialogInterface) {
                    LoginContronllerActivity.RegisterView.this.m3551x16d2b750(dialogInterface);
                }
            });
            LoginContronllerActivity.this.showDialog(progressDialog);
            ConnectionsManager.getInstance(LoginContronllerActivity.this.currentAccount).cancelRequestsForGuid(LoginContronllerActivity.this.classGuid);
            String name = this.etPhoneNumber.getText().toString().trim();
            TLRPC.TL_account_checkUsername req = new TLRPC.TL_account_checkUsername();
            req.username = name;
            ConnectionsManager connectionsManager = ConnectionsManager.getInstance(LoginContronllerActivity.this.currentAccount);
            int sendRequest = ConnectionsManager.getInstance(LoginContronllerActivity.this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity$RegisterView$$ExternalSyntheticLambda1
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    LoginContronllerActivity.RegisterView.this.m3553xeb31c78e(tLObject, tL_error);
                }
            }, 10);
            this.reqCheckUNToken = sendRequest;
            connectionsManager.bindRequestToGuid(sendRequest, LoginContronllerActivity.this.classGuid);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$checkUserName$2$im-uecahxyvjd-ui-hui-login-LoginContronllerActivity$RegisterView  reason: not valid java name */
        public /* synthetic */ void m3551x16d2b750(DialogInterface dialog) {
            if (this.reqCheckUNToken != 0) {
                ConnectionsManager.getInstance(LoginContronllerActivity.this.currentAccount).cancelRequest(this.reqCheckUNToken, false);
                if (this.btn != null) {
                    this.btn.setEnabled(true);
                }
                this.reqCheckUNToken = 0;
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$checkUserName$4$im-uecahxyvjd-ui-hui-login-LoginContronllerActivity$RegisterView  reason: not valid java name */
        public /* synthetic */ void m3553xeb31c78e(final TLObject response, final TLRPC.TL_error error) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity$RegisterView$$ExternalSyntheticLambda2
                @Override // java.lang.Runnable
                public final void run() {
                    LoginContronllerActivity.RegisterView.this.m3552x81023f6f(error, response);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$checkUserName$3$im-uecahxyvjd-ui-hui-login-LoginContronllerActivity$RegisterView  reason: not valid java name */
        public /* synthetic */ void m3552x81023f6f(TLRPC.TL_error error, TLObject response) {
            LoginContronllerActivity.this.dismissCurrentDialog();
            if (this.btn != null) {
                this.btn.setEnabled(true);
            }
            if (error == null && (response instanceof TLRPC.TL_boolTrue)) {
                String pwdHash = Base64.encodeToString(MD5.md5(this.etPassword1.getText().toString().trim()).getBytes(), 0);
                LoginContronllerActivity.this.presentFragment(new ChangePersonalInformationActivity(LoginContronllerActivity.this.newAccount, LoginContronllerActivity.this.currentAccount, this.etPhoneNumber.getText().toString().trim(), pwdHash.replaceAll("\n", ""), null));
            } else {
                LoginContronllerActivity.this.parseError(error, null);
            }
            this.reqCheckUNToken = 0;
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.TView
        protected void checkShowInputIsInvalidTips(TextView tv) {
            super.checkShowInputIsInvalidTips(tv);
            if (tv != null && this.tvPasswordInvalidTips1 != null && tv == this.etPassword1) {
                if (!LoginContronllerActivity.this.checkPasswordRule(tv, false) && this.tvPasswordInvalidTips1.getVisibility() != 0) {
                    this.tvPasswordInvalidTips1.setVisibility(0);
                } else if (LoginContronllerActivity.this.checkPasswordRule(tv, false) && this.tvPasswordInvalidTips1.getVisibility() != 8) {
                    this.tvPasswordInvalidTips1.setVisibility(8);
                }
            }
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.TView
        protected void changeBtnState() {
            if (!TextUtils.isEmpty(((Object) this.etPhoneNumber.getText()) + "") && !TextUtils.isEmpty(((Object) this.etPassword1.getText()) + "")) {
                this.btn.setEnabled(true);
            } else {
                this.btn.setEnabled(false);
            }
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.TView, im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView, im.uecahxyvjd.ui.components.SlideView
        public void onDestroyActivity() {
            TextWatcher textWatcher;
            TextWatcher textWatcher2;
            TextWatcher textWatcher3;
            MryEditText mryEditText = this.etPassword1;
            if (mryEditText != null && (textWatcher3 = this.etPasswordWatcher1) != null) {
                mryEditText.removeTextChangedListener(textWatcher3);
                this.etPasswordWatcher1 = null;
            }
            MryEditText mryEditText2 = this.etPassword2;
            if (mryEditText2 != null && (textWatcher2 = this.etPasswordWatcher2) != null) {
                mryEditText2.removeTextChangedListener(textWatcher2);
                this.etPasswordWatcher2 = null;
            }
            MryEditText mryEditText3 = this.etInviteCode;
            if (mryEditText3 != null && (textWatcher = this.etInviteCodeWatcher) != null) {
                mryEditText3.removeTextChangedListener(textWatcher);
                this.etInviteCodeWatcher = null;
            }
            if (this.reqCheckUNToken != 0) {
                ConnectionsManager.getInstance(LoginContronllerActivity.this.currentAccount).cancelRequest(this.reqCheckUNToken, false);
            }
            super.onDestroyActivity();
        }
    }

    /* loaded from: classes14.dex */
    public class TView extends LoginContronllerBaseActivity.ThisView {
        @BindView(R.id.etGoogleCode)
        MryEditText etGoogleCode;
        @BindView(R.id.etGoogleCodedParent)
        View etGoogleCodedParent;
        @BindView(R.id.etPhoneNumber)
        MryEditText etPhoneNumber;
        @BindView(R.id.etPhoneNumberParent)
        View etPhoneNumberParent;
        private TextWatcher etPhoneWatcher;
        @BindView(R.id.ivClearGoogleCode)
        MryAlphaImageView ivClearGoogleCode;
        @BindView(R.id.ivClearPhoneNumber)
        MryAlphaImageView ivClearPhoneNumber;
        @BindView(R.id.tvPhoneNumberInvalidTips)
        MryTextView tvPhoneNumberInvalidTips;

        public TView(Context context) {
            super(context);
        }

        /* JADX INFO: Access modifiers changed from: protected */
        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView
        public void initView() {
            super.initView();
            this.tvTitle.setTextColor(-1);
            this.etPhoneNumberParent.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(8.0f), AndroidUtilities.alphaColor(0.26f, -15856114)));
            MryEditText mryEditText = this.etPhoneNumber;
            TextWatcher textWatcher = new TextWatcher() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity.TView.1
                @Override // android.text.TextWatcher
                public void beforeTextChanged(CharSequence s, int start, int count, int after) {
                }

                @Override // android.text.TextWatcher
                public void onTextChanged(CharSequence s, int start, int before, int count) {
                }

                @Override // android.text.TextWatcher
                public void afterTextChanged(Editable s) {
                    TView tView = TView.this;
                    tView.checkShowInputIsInvalidTips(tView.etPhoneNumber);
                    if (LoginContronllerActivity.this.currentViewIndex == 0) {
                        TView.this.changeBtnState();
                        TView.this.changeClearPhoneNumberBtn();
                        return;
                    }
                    TView.this.etPhoneNumber.setSelection(TView.this.etPhoneNumber.length());
                    TView.this.changeBtnState();
                }
            };
            this.etPhoneWatcher = textWatcher;
            mryEditText.addTextChangedListener(textWatcher);
            loadCurrentState();
            changeBtnState();
        }

        /* JADX INFO: Access modifiers changed from: protected */
        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView
        public void onShowEnd() {
            super.onShowEnd();
            this.etPhoneNumber.setFocusable(true);
            this.etPhoneNumber.setFocusableInTouchMode(true);
            this.etPhoneNumber.requestFocus();
            MryEditText mryEditText = this.etPhoneNumber;
            mryEditText.setSelection(mryEditText.length());
            AndroidUtilities.showKeyboard(this.etPhoneNumber);
        }

        /* JADX INFO: Access modifiers changed from: private */
        public void changeClearPhoneNumberBtn() {
            if (this.etPhoneNumber.getText() != null && this.etPhoneNumber.getText().length() > 0) {
                this.ivClearPhoneNumber.setVisibility(0);
            } else {
                this.ivClearPhoneNumber.setVisibility(8);
            }
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView, im.uecahxyvjd.ui.components.SlideView
        public void setParams(Bundle params, boolean restore) {
            String inputPhoneNumber;
            super.setParams(params, restore);
            if (params != null && (inputPhoneNumber = params.getString("inputPhoneNumber")) != null) {
                this.etPhoneNumber.setText(inputPhoneNumber);
            }
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView, im.uecahxyvjd.ui.components.SlideView
        public Bundle getParams() {
            if (this.params != null && this.etPhoneNumber.getText() != null && this.etPhoneNumber.length() > 0) {
                this.params.putString("inputPhoneNumber", this.etPhoneNumber.getText().toString().trim());
            }
            return this.params;
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView
        @OnClick({R.id.btn, R.id.ivClearPhoneNumber})
        public void onClick(View v) {
            switch (v.getId()) {
                case R.id.btn /* 2131296406 */:
                    checkEnterInfo(false, true, true);
                    return;
                case R.id.ivClearPhoneNumber /* 2131296731 */:
                    MryEditText mryEditText = this.etPhoneNumber;
                    if (mryEditText != null) {
                        mryEditText.setText("");
                        return;
                    }
                    return;
                default:
                    return;
            }
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView
        protected boolean checkEnterInfo(boolean sendSmsCode, boolean showErrorToast, boolean toNextStep) {
            if (this.etPhoneNumber.getText() == null || this.etPhoneNumber.getText().length() == 0) {
                if (showErrorToast) {
                    LoginContronllerActivity.this.needShowAlert(LocaleController.getString(R.string.PleaseEnterAccountName));
                }
                return false;
            }
            String accountStr = this.etPhoneNumber.getText().toString().trim();
            if (accountStr.length() < 5 || accountStr.length() > 10 || !RegexUtils.firstLetterIsEnglishLetter(accountStr) || !LoginContronllerActivity.isUserName(accountStr)) {
                if (showErrorToast) {
                    LoginContronllerActivity.this.needShowAlert(LocaleController.getString(R.string.ReminderUserNameInvalid));
                }
                return false;
            } else if (LoginContronllerActivity.this.getParentActivity() instanceof LaunchActivity) {
                for (int a2 = 0; a2 < 3; a2++) {
                    UserConfig userConfig = UserConfig.getInstance(a2);
                    if (userConfig.isClientActivated()) {
                        String username = userConfig.getCurrentUser().username;
                        if (!TextUtils.isEmpty(username) && username.equals(accountStr)) {
                            if (showErrorToast) {
                                final int num = a2;
                                AlertDialog.Builder builder = new AlertDialog.Builder(LoginContronllerActivity.this.getParentActivity());
                                builder.setTitle(LocaleController.getString("AppName", R.string.AppName));
                                builder.setMessage(LocaleController.getString("AccountAlreadyLoggedIn", R.string.AccountAlreadyLoggedIn));
                                builder.setPositiveButton(LocaleController.getString("AccountSwitch", R.string.AccountSwitch), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.login.LoginContronllerActivity$TView$$ExternalSyntheticLambda0
                                    @Override // android.content.DialogInterface.OnClickListener
                                    public final void onClick(DialogInterface dialogInterface, int i) {
                                        LoginContronllerActivity.TView.this.m3556x707da449(num, dialogInterface, i);
                                    }
                                });
                                builder.setNegativeButton(LocaleController.getString("OK", R.string.OK), null);
                                LoginContronllerActivity.this.showDialog(builder.create());
                            }
                            return false;
                        }
                    }
                }
                return true;
            } else {
                return true;
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$checkEnterInfo$0$im-uecahxyvjd-ui-hui-login-LoginContronllerActivity$TView  reason: not valid java name */
        public /* synthetic */ void m3556x707da449(int num, DialogInterface dialog, int which) {
            if (UserConfig.selectedAccount != num) {
                ((LaunchActivity) LoginContronllerActivity.this.getParentActivity()).switchToAccount(num, false);
            }
            LoginContronllerActivity.this.finishFragment();
        }

        protected void checkShowInputIsInvalidTips(TextView tv) {
            if (tv != null && this.tvPhoneNumberInvalidTips != null && tv == this.etPhoneNumber) {
                boolean tag = tv.getText() != null && tv.length() > 0;
                if (tag) {
                    String accountStr = tv.getText().toString().trim();
                    if (accountStr.length() < 5 || accountStr.length() > 32 || !RegexUtils.firstLetterIsEnglishLetter(accountStr) || !LoginContronllerActivity.isUserName(accountStr)) {
                        if (this.tvPhoneNumberInvalidTips.getVisibility() != 0) {
                            this.tvPhoneNumberInvalidTips.setVisibility(0);
                        }
                    } else if (this.tvPhoneNumberInvalidTips.getVisibility() != 8) {
                        this.tvPhoneNumberInvalidTips.setVisibility(8);
                    }
                } else if (this.tvPhoneNumberInvalidTips.getVisibility() != 0) {
                    this.tvPhoneNumberInvalidTips.setVisibility(0);
                }
            }
        }

        protected void changeBtnState() {
        }

        protected void loadCurrentState() {
            if (this.etPhoneNumber == null) {
                return;
            }
            SharedPreferences preferences = ApplicationLoader.applicationContext.getSharedPreferences("logininfo2", 0);
            String account_name = preferences.getString("account_name", null);
            if (account_name != null) {
                this.etPhoneNumber.setText(account_name);
            }
        }

        protected void saveCurrentState() {
            if (LoginContronllerActivity.this.mIsLoginSuccess || this.etPhoneNumber == null || (((Object) this.etPhoneNumber.getText()) + "").length() == 0) {
                return;
            }
            SharedPreferences preferences = ApplicationLoader.applicationContext.getSharedPreferences("logininfo2", 0);
            SharedPreferences.Editor editor = preferences.edit();
            editor.putString("phone_number", this.etPhoneNumber.getText().toString().trim());
            editor.apply();
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView, im.uecahxyvjd.ui.components.SlideView
        public void saveStateParams(Bundle args) {
            super.saveStateParams(args);
            saveCurrentState();
        }

        @Override // im.uecahxyvjd.ui.components.SlideView
        public void restoreStateParams(Bundle args) {
            super.restoreStateParams(args);
            loadCurrentState();
        }

        @Override // im.uecahxyvjd.ui.hui.login.LoginContronllerBaseActivity.ThisView, im.uecahxyvjd.ui.components.SlideView
        public void onDestroyActivity() {
            TextWatcher textWatcher;
            MryEditText mryEditText = this.etPhoneNumber;
            if (mryEditText != null && (textWatcher = this.etPhoneWatcher) != null) {
                mryEditText.removeTextChangedListener(textWatcher);
                this.etPhoneWatcher = null;
            }
            super.onDestroyActivity();
            if (LoginContronllerActivity.this.mKeyboardChangeListener != null) {
                LoginContronllerActivity.this.mKeyboardChangeListener.destroy();
                LoginContronllerActivity.this.mKeyboardChangeListener = null;
            }
            super.onDestroyActivity();
        }
    }

    public static boolean isUserName(CharSequence str) {
        if (str != null && str.length() > 0) {
            return Pattern.compile(REGEX_USERNAME).matcher(str).matches();
        }
        return false;
    }
}
