package im.uecahxyvjd.ui.hui.login;

import android.text.Editable;
import android.text.TextWatcher;
/* loaded from: classes14.dex */
public class PhoneSpaceWatcher implements TextWatcher {
    private int actionPosition;
    private int characterAction = -1;
    private boolean ignoreOnPhoneChange;
    private String phoneNumberFormat;
    private int start;

    public PhoneSpaceWatcher(String phoneNumberFormat) {
        this.phoneNumberFormat = phoneNumberFormat;
    }

    @Override // android.text.TextWatcher
    public void beforeTextChanged(CharSequence s, int start, int count, int after) {
        if (count == 0 && after == 1) {
            this.characterAction = 1;
        } else if (count == 1 && after == 0) {
            if (s.charAt(start) == ' ' && start > 0) {
                this.characterAction = 3;
                this.actionPosition = start - 1;
                return;
            }
            this.characterAction = 2;
        } else {
            this.characterAction = -1;
        }
    }

    @Override // android.text.TextWatcher
    public void onTextChanged(CharSequence s, int start, int before, int count) {
        this.start = start;
    }

    @Override // android.text.TextWatcher
    public void afterTextChanged(Editable s) {
        int i;
        int i2;
        if (this.ignoreOnPhoneChange) {
            return;
        }
        int start = this.start;
        String str = s.toString();
        if (this.characterAction == 3) {
            str = str.substring(0, this.actionPosition) + str.substring(this.actionPosition + 1);
            start--;
        }
        StringBuilder builder = new StringBuilder(str.length());
        for (int a2 = 0; a2 < str.length(); a2++) {
            String ch = str.substring(a2, a2 + 1);
            if ("0123456789".contains(ch)) {
                builder.append(ch);
            }
        }
        this.ignoreOnPhoneChange = true;
        if (this.phoneNumberFormat != null) {
            int a3 = 0;
            while (true) {
                if (a3 >= builder.length()) {
                    break;
                } else if (a3 < this.phoneNumberFormat.length()) {
                    if (this.phoneNumberFormat.charAt(a3) == ' ') {
                        builder.insert(a3, ' ');
                        a3++;
                        if (start == a3 && (i2 = this.characterAction) != 2 && i2 != 3) {
                            start++;
                        }
                    }
                    a3++;
                } else {
                    builder.insert(a3, ' ');
                    if (start == a3 + 1 && (i = this.characterAction) != 2 && i != 3) {
                        int i3 = start + 1;
                    }
                }
            }
        }
        s.replace(0, s.length(), builder);
        this.ignoreOnPhoneChange = false;
    }

    public void setPhoneNumberFormat(String phoneNumberFormat) {
        this.phoneNumberFormat = phoneNumberFormat;
    }
}
