package im.uecahxyvjd.ui.hui.mine;

import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.util.Base64;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.core.content.FileProvider;
import androidx.core.widget.NestedScrollView;
import androidx.recyclerview.widget.LinearLayoutManager;
import com.bjz.comm.net.SPConstant;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ApplicationLoader;
import im.uecahxyvjd.messenger.BuildVars;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.SharedConfig;
import im.uecahxyvjd.messenger.Utilities;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.SerializedData;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.ChatActivity;
import im.uecahxyvjd.ui.IpChangeActivity;
import im.uecahxyvjd.ui.LaunchActivity;
import im.uecahxyvjd.ui.WebviewActivity;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.actionbar.XAlertDialog;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.components.voip.VoIPHelper;
import im.uecahxyvjd.ui.constants.Constants;
import im.uecahxyvjd.ui.hcells.IndexTextCell;
import im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageHolder;
import im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter;
import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.zip.ZipEntry;
import java.util.zip.ZipOutputStream;
/* loaded from: classes7.dex */
public class AboutAppActivity extends BaseFragment {
    private PageSelectionAdapter<Integer, PageHolder> adapter;
    private int pressCount;
    private RecyclerListView rv;

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        initActionBar(context);
        this.fragmentView = initContentView(context);
        return this.fragmentView;
    }

    private void initActionBar(Context context) {
        this.actionBar = createActionBar(context);
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.mine.AboutAppActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                super.onItemClick(id);
                if (id == -1) {
                    AboutAppActivity.this.finishFragment();
                }
            }
        });
        this.actionBar.setTitle(LocaleController.getString("AboutApp", R.string.AboutApp));
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onResume() {
        super.onResume();
        getParentActivity().setRequestedOrientation(1);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        getParentActivity().setRequestedOrientation(2);
        super.onFragmentDestroy();
    }

    private View initContentView(Context context) {
        NestedScrollView myScrollView = new NestedScrollView(context);
        myScrollView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        myScrollView.setFillViewport(true);
        LinearLayout par = new LinearLayout(context);
        par.setOrientation(1);
        par.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
        ImageView ivLogo = new ImageView(context);
        ivLogo.setImageResource(R.mipmap.ic_logo);
        par.addView(ivLogo, LayoutHelper.createLinear(-2, -2, 1, 0, AndroidUtilities.dp(30.0f), 0, AndroidUtilities.dp(5.0f)));
        TextView tvAppName = new TextView(context);
        addTextView(par, tvAppName, 14, Theme.getColor(Theme.key_windowBackgroundWhiteBlackText), LocaleController.getString("AppName", R.string.AppName), LayoutHelper.createLinear(-2, -2, 1));
        TextView tvAppVersion = new TextView(context);
        addTextView(par, tvAppVersion, 13, Theme.getColor(Theme.key_windowBackgroundWhiteGrayText2), LocaleController.getString("Version", R.string.Version) + " " + AndroidUtilities.getVersionName(context), LayoutHelper.createLinear(-2, -2, 1, 0, AndroidUtilities.dp(2.0f), 0, 0));
        tvAppVersion.setOnLongClickListener(new View.OnLongClickListener() { // from class: im.uecahxyvjd.ui.hui.mine.AboutAppActivity$$ExternalSyntheticLambda1
            @Override // android.view.View.OnLongClickListener
            public final boolean onLongClick(View view) {
                return AboutAppActivity.this.m3562x811200c8(view);
            }
        });
        RecyclerListView recyclerListView = new RecyclerListView(context);
        this.rv = recyclerListView;
        recyclerListView.setLayoutManager(new LinearLayoutManager(context));
        this.rv.setVerticalScrollBarEnabled(false);
        this.rv.setOverScrollMode(2);
        this.rv.setNestedScrollingEnabled(false);
        this.rv.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.mine.AboutAppActivity$$ExternalSyntheticLambda2
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                AboutAppActivity.this.m3563x43fe6a27(view, i);
            }
        });
        PageSelectionAdapter<Integer, PageHolder> pageSelectionAdapter = new PageSelectionAdapter<Integer, PageHolder>(getParentActivity()) { // from class: im.uecahxyvjd.ui.hui.mine.AboutAppActivity.2
            @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
            public PageHolder onCreateViewHolderForChild(ViewGroup parent, int viewType) {
                View view = new IndexTextCell(getContext());
                return new PageHolder(view);
            }

            @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
            public void onBindViewHolderForChild(PageHolder holder, int position, Integer item) {
                switch (position) {
                    case 0:
                        ((IndexTextCell) holder.itemView).setTextAndIcon(LocaleController.getString("OnlineService", R.string.OnlineService), 0, R.mipmap.icon_arrow_right, true);
                        break;
                    case 1:
                        ((IndexTextCell) holder.itemView).setTextAndIcon(LocaleController.getString("UserAgreementOnly", R.string.UserAgreementOnly), 0, R.mipmap.icon_arrow_right, true);
                        break;
                    case 2:
                        ((IndexTextCell) holder.itemView).setTextAndIcon(LocaleController.getString("PrivacyPolicyWithoutBookTitleMark", R.string.PrivacyPolicyWithoutBookTitleMark), 0, R.mipmap.icon_arrow_right, true);
                        break;
                    case 3:
                        ((IndexTextCell) holder.itemView).setTextAndIcon(LocaleController.getString("CheckForUpdates", R.string.CheckForUpdates), 0, R.mipmap.icon_arrow_right, true);
                        break;
                }
                holder.itemView.invalidate();
            }
        };
        this.adapter = pageSelectionAdapter;
        pageSelectionAdapter.setData(Arrays.asList(0, 1, 2, 3));
        this.adapter.setShowLoadMoreViewEnable(false);
        this.rv.setAdapter(this.adapter);
        LinearLayout.LayoutParams lp = LayoutHelper.createLinear(-1, 0, 1.0f);
        lp.topMargin = AndroidUtilities.dp(30.0f);
        par.addView(this.rv, lp);
        myScrollView.addView(par, LayoutHelper.createFrame(-1, -1.0f));
        return myScrollView;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initContentView$1$im-uecahxyvjd-ui-hui-mine-AboutAppActivity  reason: not valid java name */
    public /* synthetic */ boolean m3562x811200c8(View v) {
        String str;
        int i;
        String str2;
        int i2;
        boolean z = BuildVars.RELEASE_VERSION;
        int i3 = this.pressCount + 1;
        this.pressCount = i3;
        if (i3 >= 2) {
            AlertDialog.Builder builder = new AlertDialog.Builder(getParentActivity());
            builder.setTitle(LocaleController.getString("DebugMenu", R.string.DebugMenu));
            CharSequence[] items = new CharSequence[11];
            items[0] = LocaleController.getString("DebugSendLogs", R.string.DebugSendLogs);
            items[1] = LocaleController.getString("DebugClearLogs", R.string.DebugClearLogs);
            items[2] = LocaleController.getString("DebugMenuResetDialogs", R.string.DebugMenuResetDialogs);
            if (BuildVars.LOGS_ENABLED) {
                str = "DebugMenuDisableLogs";
                i = R.string.DebugMenuDisableLogs;
            } else {
                str = "DebugMenuEnableLogs";
                i = R.string.DebugMenuEnableLogs;
            }
            items[3] = LocaleController.getString(str, i);
            if (SharedConfig.inappCamera) {
                str2 = "DebugMenuDisableCamera";
                i2 = R.string.DebugMenuDisableCamera;
            } else {
                str2 = "DebugMenuEnableCamera";
                i2 = R.string.DebugMenuEnableCamera;
            }
            items[4] = LocaleController.getString(str2, i2);
            items[5] = LocaleController.getString("DebugMenuClearMediaCache", R.string.DebugMenuClearMediaCache);
            items[6] = LocaleController.getString("DebugMenuCallSettings", R.string.DebugMenuCallSettings);
            items[7] = null;
            items[8] = BuildVars.RELEASE_VERSION ? LocaleController.getString("CheckAppUpdates", R.string.CheckAppUpdates) : null;
            items[9] = LocaleController.getString("DebugMenuReadAllDialogs", R.string.DebugMenuReadAllDialogs);
            items[10] = BuildVars.RELEASE_VERSION ? null : "切换IP";
            builder.setItems(items, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.mine.AboutAppActivity$$ExternalSyntheticLambda0
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i4) {
                    AboutAppActivity.this.m3561xbe259769(dialogInterface, i4);
                }
            });
            builder.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
            showDialog(builder.create());
        } else {
            try {
                ToastUtils.show((CharSequence) "¯\\_(ツ)_/¯");
            } catch (Exception e) {
                FileLog.e(e);
            }
        }
        return true;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initContentView$0$im-uecahxyvjd-ui-hui-mine-AboutAppActivity  reason: not valid java name */
    public /* synthetic */ void m3561xbe259769(DialogInterface dialog, int which) {
        if (which == 0) {
            sendLogs();
        } else if (which == 1) {
            FileLog.cleanupLogs();
        } else if (which == 2) {
            MessagesController.getInstance(this.currentAccount).forceResetDialogs();
        } else if (which == 3) {
            BuildVars.LOGS_ENABLED = true ^ BuildVars.LOGS_ENABLED;
            SharedPreferences sharedPreferences = ApplicationLoader.applicationContext.getSharedPreferences(SPConstant.SP_SYSTEM_CONFIG, 0);
            sharedPreferences.edit().putBoolean("logsEnabled", BuildVars.LOGS_ENABLED).commit();
        } else if (which == 4) {
            SharedConfig.toggleInappCamera();
        } else if (which == 5) {
            MessagesStorage.getInstance(this.currentAccount).clearSentMedia();
            SharedConfig.setNoSoundHintShowed(false);
            SharedPreferences.Editor editor = MessagesController.getGlobalMainSettings().edit();
            editor.remove("archivehint").remove("archivehint_l").remove("gifhint").remove("soundHint").commit();
        } else if (which == 6) {
            VoIPHelper.showCallDebugSettings(getParentActivity());
        } else if (which == 7) {
            SharedConfig.toggleRoundCamera16to9();
        } else if (which == 8) {
            ((LaunchActivity) getParentActivity()).checkAppUpdate(true);
        } else if (which == 9) {
            MessagesStorage.getInstance(this.currentAccount).readAllDialogs();
        } else if (which == 10) {
            presentFragment(new IpChangeActivity());
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initContentView$2$im-uecahxyvjd-ui-hui-mine-AboutAppActivity  reason: not valid java name */
    public /* synthetic */ void m3563x43fe6a27(View view, int position) {
        switch (position) {
            case 0:
                performService(this);
                return;
            case 1:
                presentFragment(new WebviewActivity(Constants.URL_USER_AGREEMENT, (String) null));
                return;
            case 2:
                presentFragment(new WebviewActivity(Constants.URL_PRIVACY_POLICY, (String) null));
                return;
            case 3:
                ((LaunchActivity) getParentActivity()).checkAppUpdate(true);
                return;
            default:
                return;
        }
    }

    public void performService(final BaseFragment fragment) {
        String userString;
        final int currentAccount = fragment.getCurrentAccount();
        final SharedPreferences preferences = MessagesController.getMainSettings(currentAccount);
        int uid = preferences.getInt("support_id", 0);
        TLRPC.User supportUser = null;
        if (uid != 0 && (supportUser = MessagesController.getInstance(currentAccount).getUser(Integer.valueOf(uid))) == null && (userString = preferences.getString("support_user", null)) != null) {
            try {
                byte[] datacentersBytes = Base64.decode(userString, 0);
                if (datacentersBytes != null) {
                    SerializedData data = new SerializedData(datacentersBytes);
                    supportUser = TLRPC.User.TLdeserialize(data, data.readInt32(false), false);
                    if (supportUser != null && supportUser.id == 333000) {
                        supportUser = null;
                    }
                    data.cleanup();
                }
            } catch (Exception e) {
                FileLog.e(e);
                supportUser = null;
            }
        }
        if (supportUser == null) {
            final XAlertDialog progressDialog = new XAlertDialog(getParentActivity(), 4);
            progressDialog.show();
            TLRPC.TL_help_getSupport req = new TLRPC.TL_help_getSupport();
            ConnectionsManager.getInstance(currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.mine.AboutAppActivity$$ExternalSyntheticLambda7
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    AboutAppActivity.lambda$performService$5(preferences, progressDialog, currentAccount, fragment, tLObject, tL_error);
                }
            });
            return;
        }
        MessagesController.getInstance(currentAccount).putUser(supportUser, true);
        Bundle args = new Bundle();
        args.putInt("user_id", supportUser.id);
        fragment.presentFragment(new ChatActivity(args));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$performService$5(final SharedPreferences preferences, final XAlertDialog progressDialog, final int currentAccount, final BaseFragment fragment, TLObject response, TLRPC.TL_error error) {
        if (error == null) {
            final TLRPC.TL_help_support res = (TLRPC.TL_help_support) response;
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.mine.AboutAppActivity$$ExternalSyntheticLambda4
                @Override // java.lang.Runnable
                public final void run() {
                    AboutAppActivity.lambda$performService$3(preferences, res, progressDialog, currentAccount, fragment);
                }
            });
            return;
        }
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.mine.AboutAppActivity$$ExternalSyntheticLambda5
            @Override // java.lang.Runnable
            public final void run() {
                AboutAppActivity.lambda$performService$4(XAlertDialog.this);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$performService$3(SharedPreferences preferences, TLRPC.TL_help_support res, XAlertDialog progressDialog, int currentAccount, BaseFragment fragment) {
        SharedPreferences.Editor editor = preferences.edit();
        editor.putInt("support_id", res.user.id);
        SerializedData data = new SerializedData();
        res.user.serializeToStream(data);
        editor.putString("support_user", Base64.encodeToString(data.toByteArray(), 0));
        editor.commit();
        data.cleanup();
        try {
            progressDialog.dismiss();
        } catch (Exception e) {
            FileLog.e(e);
        }
        ArrayList<TLRPC.User> users = new ArrayList<>();
        users.add(res.user);
        MessagesStorage.getInstance(currentAccount).putUsersAndChats(users, null, true, true);
        MessagesController.getInstance(currentAccount).putUser(res.user, false);
        Bundle args = new Bundle();
        args.putInt("user_id", res.user.id);
        fragment.presentFragment(new ChatActivity(args));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$performService$4(XAlertDialog progressDialog) {
        try {
            progressDialog.dismiss();
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    private void sendLogs() {
        if (getParentActivity() == null) {
            return;
        }
        final AlertDialog progressDialog = new AlertDialog(getParentActivity(), 3);
        progressDialog.setCanCancel(false);
        progressDialog.show();
        Utilities.globalQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.ui.hui.mine.AboutAppActivity$$ExternalSyntheticLambda6
            @Override // java.lang.Runnable
            public final void run() {
                AboutAppActivity.this.m3565lambda$sendLogs$7$imuecahxyvjduihuimineAboutAppActivity(progressDialog);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendLogs$7$im-uecahxyvjd-ui-hui-mine-AboutAppActivity  reason: not valid java name */
    public /* synthetic */ void m3565lambda$sendLogs$7$imuecahxyvjduihuimineAboutAppActivity(final AlertDialog progressDialog) {
        try {
            File sdCard = ApplicationLoader.applicationContext.getExternalFilesDir(null);
            File dir = new File(sdCard.getAbsolutePath() + "/logs");
            final File zipFile = new File(dir, "logs.zip");
            if (zipFile.exists()) {
                zipFile.delete();
            }
            File[] files = dir.listFiles();
            final boolean[] finished = new boolean[1];
            BufferedInputStream origin = null;
            ZipOutputStream out = null;
            try {
                try {
                    FileOutputStream dest = new FileOutputStream(zipFile);
                    out = new ZipOutputStream(new BufferedOutputStream(dest));
                    byte[] data = new byte[65536];
                    for (int i = 0; i < files.length; i++) {
                        FileInputStream fi = new FileInputStream(files[i]);
                        BufferedInputStream origin2 = new BufferedInputStream(fi, data.length);
                        ZipEntry entry = new ZipEntry(files[i].getName());
                        out.putNextEntry(entry);
                        while (true) {
                            int count = origin2.read(data, 0, data.length);
                            if (count != -1) {
                                out.write(data, 0, count);
                            }
                        }
                        origin2.close();
                        origin = null;
                    }
                    finished[0] = true;
                    if (origin != null) {
                        origin.close();
                    }
                } catch (Exception e) {
                    e = e;
                    e.printStackTrace();
                    return;
                }
            } catch (Exception e2) {
                e2.printStackTrace();
                if (origin != null) {
                    origin.close();
                }
                if (out != null) {
                }
            }
            out.close();
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.mine.AboutAppActivity$$ExternalSyntheticLambda3
                @Override // java.lang.Runnable
                public final void run() {
                    AboutAppActivity.this.m3564lambda$sendLogs$6$imuecahxyvjduihuimineAboutAppActivity(progressDialog, finished, zipFile);
                }
            });
        } catch (Exception e3) {
            e = e3;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendLogs$6$im-uecahxyvjd-ui-hui-mine-AboutAppActivity  reason: not valid java name */
    public /* synthetic */ void m3564lambda$sendLogs$6$imuecahxyvjduihuimineAboutAppActivity(AlertDialog progressDialog, boolean[] finished, File zipFile) {
        Uri uri;
        try {
            progressDialog.dismiss();
        } catch (Exception e) {
        }
        if (finished[0]) {
            if (Build.VERSION.SDK_INT >= 24) {
                uri = FileProvider.getUriForFile(getParentActivity(), "im.uecahxyvjd.messenger.provider", zipFile);
            } else {
                uri = Uri.fromFile(zipFile);
            }
            Intent i = new Intent("android.intent.action.SEND");
            if (Build.VERSION.SDK_INT >= 24) {
                i.addFlags(1);
            }
            i.setType("message/rfc822");
            i.putExtra("android.intent.extra.EMAIL", "");
            i.putExtra("android.intent.extra.SUBJECT", "Logs from " + LocaleController.getInstance().formatterStats.format(System.currentTimeMillis()));
            i.putExtra("android.intent.extra.STREAM", uri);
            getParentActivity().startActivityForResult(Intent.createChooser(i, "Select email application."), 500);
            return;
        }
        ToastUtils.show((int) R.string.ErrorOccurred);
    }

    private void addTextView(LinearLayout parent, TextView tv, int textSize, int textColor, CharSequence text, ViewGroup.LayoutParams lp) {
        if (tv == null) {
            return;
        }
        tv.setTextSize(1, textSize);
        tv.setTextColor(textColor);
        tv.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
        tv.setText(text);
        parent.addView(tv, lp);
    }
}
