package im.uecahxyvjd.ui.hui.mine;

import android.content.Context;
import android.content.DialogInterface;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.BottomSheet;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.cells.CheckBoxCell;
import im.uecahxyvjd.ui.cells.HeaderCell;
import im.uecahxyvjd.ui.cells.ShadowSectionCell;
import im.uecahxyvjd.ui.cells.TextInfoPrivacyCell;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.hcells.MryTextCheckCell;
import im.uecahxyvjd.ui.hcells.TextSettingCell;
import im.uecahxyvjd.ui.hui.mine.DataUsageActivity;
import im.uecahxyvjd.ui.hviews.dialogs.XDialog;
import im.uecahxyvjd.ui.hviews.dialogs.XDialogStyle;
/* loaded from: classes7.dex */
public class DataUsageActivity extends BaseFragment {
    private ListAdapter adapter;
    private boolean[] clear = new boolean[2];
    private int contacstSectionRow;
    private boolean currentSuggest;
    private boolean currentSync;
    private int deleteDraftRow;
    private int deletePayInfoDetailRow;
    private int deletePayInfoRow;
    private int dialogSectionEmptyRow;
    private int dialogSectionRow;
    private int emptyRow;
    private int likReviewDetailRow;
    private int linkReviewRow;
    private RecyclerListView listView;
    private Context mContext;
    private boolean newSuggest;
    private boolean newSync;
    private int paySectionRow;
    private AlertDialog progressDialog;
    private int recommenBusyContactsDetailRow;
    private int recommendBusyContactRow;
    private int rowCount;
    private int secureSectionRow;
    private int sycnContactsRow;
    private int syncContactsDetailRow;

    private void updateRows() {
        this.rowCount = 0;
        int i = 0 + 1;
        this.rowCount = i;
        this.emptyRow = 0;
        int i2 = i + 1;
        this.rowCount = i2;
        this.contacstSectionRow = i;
        int i3 = i2 + 1;
        this.rowCount = i3;
        this.sycnContactsRow = i2;
        int i4 = i3 + 1;
        this.rowCount = i4;
        this.syncContactsDetailRow = i3;
        int i5 = i4 + 1;
        this.rowCount = i5;
        this.recommendBusyContactRow = i4;
        int i6 = i5 + 1;
        this.rowCount = i6;
        this.recommenBusyContactsDetailRow = i5;
        int i7 = i6 + 1;
        this.rowCount = i7;
        this.dialogSectionRow = i6;
        int i8 = i7 + 1;
        this.rowCount = i8;
        this.deleteDraftRow = i7;
        int i9 = i8 + 1;
        this.rowCount = i9;
        this.dialogSectionEmptyRow = i8;
        this.paySectionRow = -1;
        this.deletePayInfoRow = -1;
        this.deletePayInfoDetailRow = -1;
        int i10 = i9 + 1;
        this.rowCount = i10;
        this.secureSectionRow = i9;
        int i11 = i10 + 1;
        this.rowCount = i11;
        this.linkReviewRow = i10;
        this.rowCount = i11 + 1;
        this.likReviewDetailRow = i11;
    }

    private void initActionBar() {
        this.actionBar.setTitle(LocaleController.getString("DataUsageSetting", R.string.DataUsageSetting));
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.mine.DataUsageActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    DataUsageActivity.this.finishFragment();
                }
            }
        });
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        boolean z = getUserConfig().syncContacts;
        this.newSync = z;
        this.currentSync = z;
        boolean z2 = getUserConfig().suggestContacts;
        this.newSuggest = z2;
        this.currentSuggest = z2;
        updateRows();
        return super.onFragmentCreate();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        super.onFragmentDestroy();
        if (this.currentSync != this.newSync) {
            getUserConfig().syncContacts = this.newSync;
            getUserConfig().saveConfig(false);
            if (this.newSync) {
                getContactsController().forceImportContacts();
                if (getParentActivity() != null) {
                    ToastUtils.show((int) R.string.SyncContactsAdded);
                }
            }
        }
        boolean z = this.newSuggest;
        if (z != this.currentSuggest) {
            if (!z) {
                getMediaDataController().clearTopPeers();
            }
            getUserConfig().suggestContacts = this.newSuggest;
            getUserConfig().saveConfig(false);
            TLRPC.TL_contacts_toggleTopPeers req = new TLRPC.TL_contacts_toggleTopPeers();
            req.enabled = this.newSuggest;
            getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.mine.DataUsageActivity$$ExternalSyntheticLambda0
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    DataUsageActivity.lambda$onFragmentDestroy$0(tLObject, tL_error);
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$onFragmentDestroy$0(TLObject response, TLRPC.TL_error error) {
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.mContext = context;
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_listview_layout, (ViewGroup) null, false);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        initActionBar();
        initList();
        return this.fragmentView;
    }

    private void initList() {
        RecyclerListView recyclerListView = (RecyclerListView) this.fragmentView.findViewById(R.id.listview);
        this.listView = recyclerListView;
        recyclerListView.setLayoutManager(new LinearLayoutManager(this.mContext));
        ListAdapter listAdapter = new ListAdapter();
        this.adapter = listAdapter;
        this.listView.setAdapter(listAdapter);
        this.listView.setOnItemClickListener(new AnonymousClass2());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: im.uecahxyvjd.ui.hui.mine.DataUsageActivity$2  reason: invalid class name */
    /* loaded from: classes7.dex */
    public class AnonymousClass2 implements RecyclerListView.OnItemClickListener {
        AnonymousClass2() {
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
        public void onItemClick(View view, int position) {
            if (position != DataUsageActivity.this.sycnContactsRow) {
                if (position != DataUsageActivity.this.recommendBusyContactRow) {
                    if (position != DataUsageActivity.this.deleteDraftRow) {
                        if (position != DataUsageActivity.this.deletePayInfoRow) {
                            if (position == DataUsageActivity.this.linkReviewRow) {
                                if (DataUsageActivity.this.getMessagesController().secretWebpagePreview == 1) {
                                    DataUsageActivity.this.getMessagesController().secretWebpagePreview = 0;
                                } else {
                                    DataUsageActivity.this.getMessagesController().secretWebpagePreview = 1;
                                }
                                MessagesController.getGlobalMainSettings().edit().putInt("secretWebpage2", DataUsageActivity.this.getMessagesController().secretWebpagePreview).commit();
                                if (view instanceof MryTextCheckCell) {
                                    ((MryTextCheckCell) view).setChecked(DataUsageActivity.this.getMessagesController().secretWebpagePreview == 1);
                                    return;
                                }
                                return;
                            }
                            return;
                        }
                        BottomSheet.Builder builder = new BottomSheet.Builder(DataUsageActivity.this.getParentActivity());
                        builder.setApplyTopPadding(false);
                        builder.setApplyBottomPadding(false);
                        LinearLayout linearLayout = new LinearLayout(DataUsageActivity.this.getParentActivity());
                        linearLayout.setOrientation(1);
                        for (int a2 = 0; a2 < 2; a2++) {
                            String name = null;
                            if (a2 == 0) {
                                name = LocaleController.getString("PrivacyClearShipping", R.string.PrivacyClearShipping);
                            } else if (a2 == 1) {
                                name = LocaleController.getString("PrivacyClearPayment", R.string.PrivacyClearPayment);
                            }
                            DataUsageActivity.this.clear[a2] = true;
                            CheckBoxCell checkBoxCell = new CheckBoxCell(DataUsageActivity.this.getParentActivity(), 1, 21);
                            checkBoxCell.setTag(Integer.valueOf(a2));
                            checkBoxCell.setBackgroundDrawable(Theme.getSelectorDrawable(false));
                            linearLayout.addView(checkBoxCell, LayoutHelper.createLinear(-1, 50));
                            checkBoxCell.setText(name, null, true, true);
                            checkBoxCell.setTextColor(Theme.getColor(Theme.key_dialogTextBlack));
                            checkBoxCell.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.mine.DataUsageActivity$2$$ExternalSyntheticLambda4
                                @Override // android.view.View.OnClickListener
                                public final void onClick(View view2) {
                                    DataUsageActivity.AnonymousClass2.this.m3577x4ee7573c(view2);
                                }
                            });
                        }
                        BottomSheet.BottomSheetCell cell = new BottomSheet.BottomSheetCell(DataUsageActivity.this.getParentActivity(), 1);
                        cell.setBackgroundDrawable(Theme.getSelectorDrawable(false));
                        cell.setTextAndIcon(LocaleController.getString("ClearButton", R.string.ClearButton).toUpperCase(), 0);
                        cell.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteRedText));
                        cell.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.mine.DataUsageActivity$2$$ExternalSyntheticLambda5
                            @Override // android.view.View.OnClickListener
                            public final void onClick(View view2) {
                                DataUsageActivity.AnonymousClass2.this.m3579xaf55c9ff(view2);
                            }
                        });
                        linearLayout.addView(cell, LayoutHelper.createLinear(-1, 50));
                        builder.setCustomView(linearLayout);
                        DataUsageActivity.this.showDialog(builder.create());
                        return;
                    }
                    XDialog.Builder builder2 = new XDialog.Builder(DataUsageActivity.this.getParentActivity());
                    builder2.setStyle(XDialogStyle.IOS);
                    builder2.setTitle(LocaleController.getString("AppName", R.string.AppName));
                    builder2.setMessage(LocaleController.getString("AreYouSureClearDrafts", R.string.AreYouSureClearDrafts));
                    builder2.setPositiveButton(LocaleController.getString("Delete", R.string.Delete), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.mine.DataUsageActivity$2$$ExternalSyntheticLambda3
                        @Override // android.content.DialogInterface.OnClickListener
                        public final void onClick(DialogInterface dialogInterface, int i) {
                            DataUsageActivity.AnonymousClass2.this.m3576xd96d30fb(dialogInterface, i);
                        }
                    });
                    builder2.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
                    DataUsageActivity.this.showDialog(builder2.create());
                    return;
                }
                final MryTextCheckCell cell2 = (MryTextCheckCell) view;
                if (DataUsageActivity.this.newSuggest) {
                    AlertDialog.Builder builder3 = new AlertDialog.Builder(DataUsageActivity.this.getParentActivity());
                    builder3.setTitle(LocaleController.getString("AppName", R.string.AppName));
                    builder3.setMessage(LocaleController.getString("SuggestContactsAlert", R.string.SuggestContactsAlert));
                    builder3.setPositiveButton(LocaleController.getString("MuteDisable", R.string.MuteDisable), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.mine.DataUsageActivity$2$$ExternalSyntheticLambda2
                        @Override // android.content.DialogInterface.OnClickListener
                        public final void onClick(DialogInterface dialogInterface, int i) {
                            DataUsageActivity.AnonymousClass2.this.m3573x78febe38(cell2, dialogInterface, i);
                        }
                    });
                    builder3.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
                    DataUsageActivity.this.showDialog(builder3.create());
                    return;
                }
                DataUsageActivity dataUsageActivity = DataUsageActivity.this;
                dataUsageActivity.newSuggest = true ^ dataUsageActivity.newSuggest;
                cell2.setChecked(DataUsageActivity.this.newSuggest);
                return;
            }
            DataUsageActivity dataUsageActivity2 = DataUsageActivity.this;
            dataUsageActivity2.newSync = true ^ dataUsageActivity2.newSync;
            if (view instanceof MryTextCheckCell) {
                ((MryTextCheckCell) view).setChecked(DataUsageActivity.this.newSync);
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$2$im-uecahxyvjd-ui-hui-mine-DataUsageActivity$2  reason: not valid java name */
        public /* synthetic */ void m3573x78febe38(final MryTextCheckCell cell, DialogInterface dialogInterface, int i) {
            TLRPC.TL_payments_clearSavedInfo req = new TLRPC.TL_payments_clearSavedInfo();
            req.credentials = DataUsageActivity.this.clear[1];
            req.info = DataUsageActivity.this.clear[0];
            DataUsageActivity.this.getUserConfig().tmpPassword = null;
            DataUsageActivity.this.getUserConfig().saveConfig(false);
            DataUsageActivity.this.getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.mine.DataUsageActivity$2$$ExternalSyntheticLambda8
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    DataUsageActivity.AnonymousClass2.this.m3572x38497f7(cell, tLObject, tL_error);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$1$im-uecahxyvjd-ui-hui-mine-DataUsageActivity$2  reason: not valid java name */
        public /* synthetic */ void m3572x38497f7(final MryTextCheckCell cell, TLObject response, TLRPC.TL_error error) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.mine.DataUsageActivity$2$$ExternalSyntheticLambda6
                @Override // java.lang.Runnable
                public final void run() {
                    DataUsageActivity.AnonymousClass2.this.m3571x8e0a71b6(cell);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$0$im-uecahxyvjd-ui-hui-mine-DataUsageActivity$2  reason: not valid java name */
        public /* synthetic */ void m3571x8e0a71b6(MryTextCheckCell cell) {
            DataUsageActivity dataUsageActivity = DataUsageActivity.this;
            dataUsageActivity.newSuggest = !dataUsageActivity.newSuggest;
            cell.setChecked(DataUsageActivity.this.newSuggest);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$5$im-uecahxyvjd-ui-hui-mine-DataUsageActivity$2  reason: not valid java name */
        public /* synthetic */ void m3576xd96d30fb(DialogInterface dialogInterface, int i) {
            TLRPC.TL_messages_clearAllDrafts req = new TLRPC.TL_messages_clearAllDrafts();
            DataUsageActivity.this.getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.mine.DataUsageActivity$2$$ExternalSyntheticLambda9
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    DataUsageActivity.AnonymousClass2.this.m3575x63f30aba(tLObject, tL_error);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$3$im-uecahxyvjd-ui-hui-mine-DataUsageActivity$2  reason: not valid java name */
        public /* synthetic */ void m3574xee78e479() {
            DataUsageActivity.this.getMediaDataController().clearAllDrafts();
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$4$im-uecahxyvjd-ui-hui-mine-DataUsageActivity$2  reason: not valid java name */
        public /* synthetic */ void m3575x63f30aba(TLObject response, TLRPC.TL_error error) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.mine.DataUsageActivity$2$$ExternalSyntheticLambda1
                @Override // java.lang.Runnable
                public final void run() {
                    DataUsageActivity.AnonymousClass2.this.m3574xee78e479();
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$6$im-uecahxyvjd-ui-hui-mine-DataUsageActivity$2  reason: not valid java name */
        public /* synthetic */ void m3577x4ee7573c(View v) {
            CheckBoxCell cell = (CheckBoxCell) v;
            int num = ((Integer) cell.getTag()).intValue();
            DataUsageActivity.this.clear[num] = !DataUsageActivity.this.clear[num];
            cell.setChecked(DataUsageActivity.this.clear[num], true);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$9$im-uecahxyvjd-ui-hui-mine-DataUsageActivity$2  reason: not valid java name */
        public /* synthetic */ void m3579xaf55c9ff(View v) {
            try {
                if (DataUsageActivity.this.visibleDialog != null) {
                    DataUsageActivity.this.visibleDialog.dismiss();
                }
            } catch (Exception e) {
                FileLog.e(e);
            }
            AlertDialog.Builder builder1 = new AlertDialog.Builder(DataUsageActivity.this.getParentActivity());
            builder1.setTitle(LocaleController.getString("AppName", R.string.AppName));
            builder1.setMessage(LocaleController.getString("PrivacyPaymentsClearAlert", R.string.PrivacyPaymentsClearAlert));
            builder1.setPositiveButton(LocaleController.getString("OK", R.string.OK), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.mine.DataUsageActivity$2$$ExternalSyntheticLambda7
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i) {
                    DataUsageActivity.AnonymousClass2.this.m3578x39dba3be(dialogInterface, i);
                }
            });
            builder1.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
            DataUsageActivity.this.showDialog(builder1.create());
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onItemClick$8$im-uecahxyvjd-ui-hui-mine-DataUsageActivity$2  reason: not valid java name */
        public /* synthetic */ void m3578x39dba3be(DialogInterface dialogInterface, int i) {
            TLRPC.TL_payments_clearSavedInfo req = new TLRPC.TL_payments_clearSavedInfo();
            req.credentials = DataUsageActivity.this.clear[1];
            req.info = DataUsageActivity.this.clear[0];
            DataUsageActivity.this.getUserConfig().tmpPassword = null;
            DataUsageActivity.this.getUserConfig().saveConfig(false);
            DataUsageActivity.this.getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.mine.DataUsageActivity$2$$ExternalSyntheticLambda0
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    DataUsageActivity.AnonymousClass2.lambda$onItemClick$7(tLObject, tL_error);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        public static /* synthetic */ void lambda$onItemClick$7(TLObject response, TLRPC.TL_error error) {
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes7.dex */
    public class ListAdapter extends RecyclerListView.SelectionAdapter {
        ListAdapter() {
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            int position = holder.getAdapterPosition();
            return position == DataUsageActivity.this.sycnContactsRow || position == DataUsageActivity.this.recommendBusyContactRow || position == DataUsageActivity.this.deleteDraftRow || position == DataUsageActivity.this.deletePayInfoRow || position == DataUsageActivity.this.linkReviewRow;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            if (position != DataUsageActivity.this.contacstSectionRow && position != DataUsageActivity.this.dialogSectionRow && position != DataUsageActivity.this.paySectionRow && position != DataUsageActivity.this.secureSectionRow) {
                if (position != DataUsageActivity.this.deleteDraftRow && position != DataUsageActivity.this.deletePayInfoRow) {
                    if (position != DataUsageActivity.this.sycnContactsRow && position != DataUsageActivity.this.recommendBusyContactRow && position != DataUsageActivity.this.linkReviewRow) {
                        if (position == DataUsageActivity.this.dialogSectionEmptyRow || position == DataUsageActivity.this.emptyRow) {
                            return 4;
                        }
                        return 3;
                    }
                    return 2;
                }
                return 1;
            }
            return 0;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view;
            switch (viewType) {
                case 0:
                    view = new HeaderCell(DataUsageActivity.this.mContext);
                    RecyclerView.LayoutParams layoutParams = new RecyclerView.LayoutParams(-1, -2);
                    layoutParams.leftMargin = AndroidUtilities.dp(10.0f);
                    layoutParams.rightMargin = AndroidUtilities.dp(10.0f);
                    layoutParams.height = AndroidUtilities.dp(10.0f);
                    view.setLayoutParams(layoutParams);
                    break;
                case 1:
                    View view2 = new TextSettingCell(DataUsageActivity.this.mContext);
                    RecyclerView.LayoutParams layoutParams2 = new RecyclerView.LayoutParams(-1, -2);
                    layoutParams2.leftMargin = AndroidUtilities.dp(10.0f);
                    layoutParams2.rightMargin = AndroidUtilities.dp(10.0f);
                    layoutParams2.height = AndroidUtilities.dp(10.0f);
                    view2.setLayoutParams(layoutParams2);
                    view2.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    view = view2;
                    break;
                case 2:
                    View view3 = new MryTextCheckCell(DataUsageActivity.this.mContext);
                    RecyclerView.LayoutParams layoutParams3 = new RecyclerView.LayoutParams(-1, -2);
                    layoutParams3.leftMargin = AndroidUtilities.dp(10.0f);
                    layoutParams3.rightMargin = AndroidUtilities.dp(10.0f);
                    layoutParams3.height = AndroidUtilities.dp(10.0f);
                    view3.setLayoutParams(layoutParams3);
                    view3.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    view = view3;
                    break;
                case 3:
                default:
                    view = new TextInfoPrivacyCell(DataUsageActivity.this.mContext);
                    RecyclerView.LayoutParams layoutParams4 = new RecyclerView.LayoutParams(-1, -2);
                    layoutParams4.leftMargin = AndroidUtilities.dp(10.0f);
                    layoutParams4.rightMargin = AndroidUtilities.dp(10.0f);
                    layoutParams4.height = AndroidUtilities.dp(10.0f);
                    view.setLayoutParams(layoutParams4);
                    break;
                case 4:
                    view = new ShadowSectionCell(DataUsageActivity.this.mContext);
                    RecyclerView.LayoutParams layoutParams5 = new RecyclerView.LayoutParams(-1, -2);
                    layoutParams5.leftMargin = AndroidUtilities.dp(10.0f);
                    layoutParams5.rightMargin = AndroidUtilities.dp(10.0f);
                    layoutParams5.height = AndroidUtilities.dp(10.0f);
                    view.setLayoutParams(layoutParams5);
                    view.setBackgroundColor(0);
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            switch (holder.getItemViewType()) {
                case 0:
                    HeaderCell headerCell = (HeaderCell) holder.itemView;
                    headerCell.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f, Theme.getColor(Theme.key_windowBackgroundWhite)));
                    if (position != DataUsageActivity.this.contacstSectionRow) {
                        if (position != DataUsageActivity.this.dialogSectionRow) {
                            if (position != DataUsageActivity.this.paySectionRow) {
                                if (position == DataUsageActivity.this.secureSectionRow) {
                                    headerCell.setText(LocaleController.getString("DataUsageSecretChat", R.string.DataUsageSecretChat));
                                    return;
                                }
                                return;
                            }
                            headerCell.setText(LocaleController.getString("DataUsagePayment", R.string.DataUsagePayment));
                            return;
                        }
                        headerCell.setText(LocaleController.getString("BlockUserChatsTitle", R.string.BlockUserChatsTitle));
                        return;
                    }
                    headerCell.setText(LocaleController.getString("BlockUserContactsTitle", R.string.BlockUserContactsTitle));
                    return;
                case 1:
                    TextSettingCell textCell = (TextSettingCell) holder.itemView;
                    if (position != DataUsageActivity.this.deleteDraftRow) {
                        if (position == DataUsageActivity.this.deletePayInfoRow) {
                            textCell.setText(LocaleController.getString("PrivacyPaymentsClear", R.string.PrivacyPaymentsClear), false);
                            return;
                        }
                        return;
                    }
                    textCell.setText(LocaleController.getString("PrivacyDeleteCloudDrafts", R.string.PrivacyDeleteCloudDrafts), false);
                    textCell.setBackground(Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                    return;
                case 2:
                    MryTextCheckCell textCheckCell = (MryTextCheckCell) holder.itemView;
                    if (position == DataUsageActivity.this.sycnContactsRow) {
                        textCheckCell.setTextAndCheck(LocaleController.getString("SyncContacts", R.string.SyncContacts), DataUsageActivity.this.newSync, false);
                        textCheckCell.setBackground(Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                        return;
                    } else if (position == DataUsageActivity.this.recommendBusyContactRow) {
                        textCheckCell.setTextAndCheck(LocaleController.getString("SuggestContacts", R.string.SuggestContacts), DataUsageActivity.this.newSuggest, false);
                        textCheckCell.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                        return;
                    } else if (position == DataUsageActivity.this.linkReviewRow) {
                        textCheckCell.setTextAndCheck(LocaleController.getString("LinkPreview", R.string.LinkPreview), DataUsageActivity.this.getMessagesController().secretWebpagePreview == 1, false);
                        textCheckCell.setBackground(Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                        return;
                    } else {
                        return;
                    }
                case 3:
                    TextInfoPrivacyCell privacyCell = (TextInfoPrivacyCell) holder.itemView;
                    if (position != DataUsageActivity.this.syncContactsDetailRow) {
                        if (position != DataUsageActivity.this.recommenBusyContactsDetailRow) {
                            if (position != DataUsageActivity.this.deletePayInfoDetailRow) {
                                if (position == DataUsageActivity.this.likReviewDetailRow) {
                                    privacyCell.setText(LocaleController.getString("SecretWebPageInfo", R.string.SecretWebPageInfo));
                                    return;
                                }
                                return;
                            }
                            privacyCell.setText(LocaleController.getString("PrivacyPaymentsClearInfo", R.string.PrivacyPaymentsClearInfo));
                            return;
                        }
                        privacyCell.setText(LocaleController.getString("SuggestContactsInfo", R.string.SuggestContactsInfo));
                        return;
                    }
                    privacyCell.setText(LocaleController.getString("SyncContactsInfo", R.string.SyncContactsInfoOff));
                    return;
                default:
                    return;
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return DataUsageActivity.this.rowCount;
        }
    }
}
