package im.uecahxyvjd.ui.hui.mine;

import android.content.Context;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import butterknife.BindView;
import butterknife.OnClick;
import com.google.android.exoplayer2.trackselection.AdaptiveTrackSelection;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.hviews.MryTextView;
/* loaded from: classes7.dex */
public class FeedbackActivity extends BaseFragment {
    @BindView(R.id.btnFeedSubmit)
    Button btnFeedSubmit;
    @BindView(R.id.etFeedDescText)
    EditText etFeedDescText;
    @BindView(R.id.mryFeedTitle)
    MryTextView mryFeedTitle;
    @BindView(R.id.tvFeedPromt)
    TextView tvFeedPromt;

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_feed_back_layout, (ViewGroup) null, false);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        useButterKnife();
        initActionBar();
        initView();
        return this.fragmentView;
    }

    private void initActionBar() {
        this.actionBar.setTitle("反馈问题或建议");
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.mine.FeedbackActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    FeedbackActivity.this.finishFragment();
                }
            }
        });
    }

    private void initView() {
        this.mryFeedTitle.setBold();
        this.mryFeedTitle.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText));
        this.mryFeedTitle.setText("问题或建议（不少于5个字）");
        this.tvFeedPromt.setBackgroundColor(-570319);
        this.tvFeedPromt.setVisibility(8);
        this.etFeedDescText.setHint("请输入描述性文字（必填）");
        this.etFeedDescText.setHintTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText));
        this.etFeedDescText.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(7.5f), Theme.getColor(Theme.key_windowBackgroundWhite)));
        this.btnFeedSubmit.setText("提交");
        this.btnFeedSubmit.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhite));
        this.btnFeedSubmit.setBackground(Theme.getRoundRectSelectorDrawable(AndroidUtilities.dp(7.5f), Theme.getColor(Theme.key_windowBackgroundWhiteBlueButton)));
    }

    private void submitInfomation() {
        String info = this.etFeedDescText.getText().toString().trim();
        if (TextUtils.isEmpty(info)) {
            this.tvFeedPromt.setText("请填写描述文字");
            this.tvFeedPromt.setVisibility(0);
            this.mryFeedTitle.setVisibility(8);
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.mine.FeedbackActivity$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    FeedbackActivity.this.m3580xe9820340();
                }
            }, AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
        } else if (info.length() < 5) {
            this.tvFeedPromt.setText("请填写不低于5个字的描述");
            this.tvFeedPromt.setVisibility(0);
            this.mryFeedTitle.setVisibility(8);
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.mine.FeedbackActivity$$ExternalSyntheticLambda1
                @Override // java.lang.Runnable
                public final void run() {
                    FeedbackActivity.this.m3581xac6e6c9f();
                }
            }, AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
        } else {
            this.tvFeedPromt.setVisibility(8);
            this.mryFeedTitle.setVisibility(0);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$submitInfomation$0$im-uecahxyvjd-ui-hui-mine-FeedbackActivity  reason: not valid java name */
    public /* synthetic */ void m3580xe9820340() {
        this.tvFeedPromt.setVisibility(8);
        this.mryFeedTitle.setVisibility(0);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$submitInfomation$1$im-uecahxyvjd-ui-hui-mine-FeedbackActivity  reason: not valid java name */
    public /* synthetic */ void m3581xac6e6c9f() {
        this.tvFeedPromt.setVisibility(8);
        this.mryFeedTitle.setVisibility(0);
    }

    @OnClick({R.id.btnFeedSubmit})
    public void onViewClicked() {
        submitInfomation();
    }
}
