package im.uecahxyvjd.ui.hui.mine;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.ServiceConnection;
import android.graphics.Bitmap;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.bigkoo.pickerview.listener.OnOptionsSelectListener;
import com.blankj.utilcode.util.TimeUtils;
import com.king.zxing.util.CodeUtils;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ApplicationLoader;
import im.uecahxyvjd.messenger.BuildVars;
import im.uecahxyvjd.messenger.FileLoader;
import im.uecahxyvjd.messenger.ImageLoader;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.phoneformat.PhoneFormat;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.ParamsUtil;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCContacts;
import im.uecahxyvjd.tgnet.TLRPCLogin;
import im.uecahxyvjd.ui.AddAccountActivity;
import im.uecahxyvjd.ui.ChangeNameActivity;
import im.uecahxyvjd.ui.ChangeSignActivity;
import im.uecahxyvjd.ui.ChangeUsernameActivity;
import im.uecahxyvjd.ui.SelectBirthdayActivity;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.components.ImageUpdater;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RadialProgressView;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.dialogs.BottomDialog;
import im.uecahxyvjd.ui.dialogs.OptionsWheelPickerDialog;
import im.uecahxyvjd.ui.hcells.MryDividerCell;
import im.uecahxyvjd.ui.hcells.TextSettingCell;
import im.uecahxyvjd.ui.hui.discovery.ActionIntroActivity;
import im.uecahxyvjd.ui.hui.login.LoginPasswordContronllerActivity;
import im.uecahxyvjd.ui.hviews.MryTextView;
import java.io.File;
import java.io.FileOutputStream;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import org.slf4j.Marker;
/* loaded from: classes7.dex */
public class NewUserInfoActivity extends BaseFragment implements ImageUpdater.ImageUpdaterDelegate, NotificationCenter.NotificationCenterDelegate {
    private int addAccountRow;
    private TLRPC.FileLocation avatar;
    private AnimatorSet avatarAnimation;
    private TLRPC.FileLocation avatarBig;
    private int avatarRow;
    private int birthRow;
    private Context context;
    private int genderRow;
    private int gestureCodeRow;
    private ImageUpdater imageUpdater;
    private ListAdapter listAdapter;
    private RecyclerListView listView;
    private int loginPwdRow;
    private int logoutEmptyRow;
    private int logoutRow;
    private OptionsWheelPickerDialog.Builder<String> mGenderPickerBulder;
    ServiceConnection mServerServiceConnection;
    private int nicknameRow;
    private int phoneRow;
    private int qrcodeEmptyRow;
    private int qrcodeRow;
    private int rowCount;
    private int signEmptyRow;
    private int signRow;
    private TLRPCContacts.CL_userFull_v1 userFull;
    private int usernameRow;

    @Override // im.uecahxyvjd.ui.components.ImageUpdater.ImageUpdaterDelegate
    public /* synthetic */ void didSelectPhotos(ArrayList arrayList, boolean z, int i) {
        ImageUpdater.ImageUpdaterDelegate.CC.$default$didSelectPhotos(this, arrayList, z, i);
    }

    @Override // im.uecahxyvjd.ui.components.ImageUpdater.ImageUpdaterDelegate
    public /* synthetic */ String getInitialSearchString() {
        return ImageUpdater.ImageUpdaterDelegate.CC.$default$getInitialSearchString(this);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.updateInterfaces);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.userFullInfoDidLoad);
        NotificationCenter.getInstance(this.currentAccount).addObserver(this, NotificationCenter.loginPasswordSetSuccess);
        TLRPC.UserFull full = MessagesController.getInstance(this.currentAccount).getUserFull(getUserConfig().getClientUserId());
        if (full instanceof TLRPCContacts.CL_userFull_v1) {
            this.userFull = (TLRPCContacts.CL_userFull_v1) full;
        }
        MessagesController.getInstance(this.currentAccount).loadFullUser(getUserConfig().getCurrentUser(), this.classGuid, true);
        ImageUpdater imageUpdater = new ImageUpdater();
        this.imageUpdater = imageUpdater;
        imageUpdater.parentFragment = this;
        this.imageUpdater.delegate = this;
        return super.onFragmentCreate();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onActivityResultFragment(int requestCode, int resultCode, Intent data) {
        this.imageUpdater.onActivityResult(requestCode, resultCode, data);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void saveSelfArgs(Bundle args) {
        ImageUpdater imageUpdater = this.imageUpdater;
        if (imageUpdater != null && imageUpdater.currentPicturePath != null) {
            args.putString("path", this.imageUpdater.currentPicturePath);
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void restoreSelfArgs(Bundle args) {
        ImageUpdater imageUpdater = this.imageUpdater;
        if (imageUpdater != null) {
            imageUpdater.currentPicturePath = args.getString("path");
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.context = context;
        this.fragmentView = new FrameLayout(context);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        initActionBar();
        initList(context);
        return this.fragmentView;
    }

    private void initActionBar() {
        this.actionBar.setCastShadows(false);
        this.actionBar.setTitle(LocaleController.getString("InfoEdit", R.string.InfoEdit));
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.mine.NewUserInfoActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    NewUserInfoActivity.this.finishFragment();
                }
            }
        });
    }

    private void initList(final Context context) {
        RecyclerListView recyclerListView = new RecyclerListView(context);
        this.listView = recyclerListView;
        recyclerListView.setLayoutManager(new LinearLayoutManager(context));
        RecyclerListView recyclerListView2 = this.listView;
        ListAdapter listAdapter = new ListAdapter();
        this.listAdapter = listAdapter;
        recyclerListView2.setAdapter(listAdapter);
        this.listView.setLayoutParams(new ViewGroup.LayoutParams(-1, -1));
        ((FrameLayout) this.fragmentView).setBackgroundColor(Theme.getColor(Theme.key_dialogBackground));
        ((FrameLayout) this.fragmentView).addView(this.listView, LayoutHelper.createFrame(-1, -1, AndroidUtilities.dp(10.0f), AndroidUtilities.dp(0.0f), AndroidUtilities.dp(10.0f), AndroidUtilities.dp(0.0f)));
        this.listView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.mine.NewUserInfoActivity$$ExternalSyntheticLambda2
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                NewUserInfoActivity.this.m3622lambda$initList$3$imuecahxyvjduihuimineNewUserInfoActivity(context, view, i);
            }
        });
        updateRows();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initList$3$im-uecahxyvjd-ui-hui-mine-NewUserInfoActivity  reason: not valid java name */
    public /* synthetic */ void m3622lambda$initList$3$imuecahxyvjduihuimineNewUserInfoActivity(Context context, View view, int position) {
        TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(UserConfig.getInstance(this.currentAccount).getClientUserId()));
        if (position == this.avatarRow) {
            BottomDialog dialog = new BottomDialog(context);
            dialog.addDialogItem(new BottomDialog.NormalTextItem(0, LocaleController.getString("FromCamera", R.string.FromCamera), true));
            dialog.addDialogItem(new BottomDialog.NormalTextItem(1, LocaleController.getString("FromGallery", R.string.FromGallery), false));
            dialog.setOnItemClickListener(new BottomDialog.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.mine.NewUserInfoActivity$$ExternalSyntheticLambda6
                @Override // im.uecahxyvjd.ui.dialogs.BottomDialog.OnItemClickListener
                public final void onItemClick(int i, View view2) {
                    NewUserInfoActivity.this.m3619lambda$initList$0$imuecahxyvjduihuimineNewUserInfoActivity(i, view2);
                }
            });
            showDialog(dialog);
        } else if (position == this.nicknameRow) {
            presentFragment(new ChangeNameActivity());
        } else if (position == this.usernameRow) {
            AlertDialog.Builder ub = new AlertDialog.Builder(context);
            ub.setTitle(LocaleController.getString(R.string.AppName));
            ub.setMessage(LocaleController.getString(R.string.ChangeAppNameCodeTips));
            ub.setNegativeButton(LocaleController.getString(R.string.Cancel), null);
            ub.setPositiveButton(LocaleController.getString(R.string.Modify), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.mine.NewUserInfoActivity$$ExternalSyntheticLambda7
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i) {
                    NewUserInfoActivity.this.m3620lambda$initList$1$imuecahxyvjduihuimineNewUserInfoActivity(dialogInterface, i);
                }
            });
            showDialog(ub.create());
        } else if (position == this.qrcodeRow) {
            QrCodeActivity fragment = new QrCodeActivity(user.id);
            presentFragment(fragment);
        } else if (position == this.loginPwdRow) {
            presentFragment(new LoginPasswordContronllerActivity(0, null));
        } else if (position == this.phoneRow) {
            presentFragment(new ActionIntroActivity(3));
        } else if (position == this.birthRow) {
            if (this.userFull != null) {
                presentFragment(new SelectBirthdayActivity(this.userFull));
            }
        } else if (position != this.genderRow) {
            if (position == this.signRow) {
                if (this.userFull != null) {
                    presentFragment(new ChangeSignActivity(this.userFull));
                }
            } else if (position == this.addAccountRow) {
                presentFragment(new AddAccountActivity());
            } else if (position == this.logoutRow) {
                if (ApplicationLoader.mbytAVideoCallBusy == 0) {
                    AlertDialog.Builder builder = new AlertDialog.Builder(context);
                    builder.setMessage(LocaleController.getString("AreYouSureLogout", R.string.AreYouSureLogout));
                    builder.setTitle(LocaleController.getString("AppName", R.string.AppName));
                    builder.setPositiveButton(LocaleController.getString("OK", R.string.OK), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.mine.NewUserInfoActivity$$ExternalSyntheticLambda8
                        @Override // android.content.DialogInterface.OnClickListener
                        public final void onClick(DialogInterface dialogInterface, int i) {
                            NewUserInfoActivity.this.m3621lambda$initList$2$imuecahxyvjduihuimineNewUserInfoActivity(dialogInterface, i);
                        }
                    });
                    builder.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
                    showDialog(builder.create());
                    return;
                }
                ToastUtils.show((CharSequence) LocaleController.getString(R.string.visual_call_stop_login_out));
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initList$0$im-uecahxyvjd-ui-hui-mine-NewUserInfoActivity  reason: not valid java name */
    public /* synthetic */ void m3619lambda$initList$0$imuecahxyvjduihuimineNewUserInfoActivity(int id, View v) {
        if (id == 0) {
            this.imageUpdater.openCamera();
        } else if (id == 1) {
            this.imageUpdater.openGallery();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initList$1$im-uecahxyvjd-ui-hui-mine-NewUserInfoActivity  reason: not valid java name */
    public /* synthetic */ void m3620lambda$initList$1$imuecahxyvjduihuimineNewUserInfoActivity(DialogInterface dialog, int which) {
        presentFragment(new ChangeUsernameActivity());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initList$2$im-uecahxyvjd-ui-hui-mine-NewUserInfoActivity  reason: not valid java name */
    public /* synthetic */ void m3621lambda$initList$2$imuecahxyvjduihuimineNewUserInfoActivity(DialogInterface dialogInterface, int i) {
        MessagesController.getInstance(this.currentAccount).performLogout(1);
    }

    private void updateRows() {
        this.rowCount = 0;
        int i = 0 + 1;
        this.rowCount = i;
        this.avatarRow = 0;
        int i2 = i + 1;
        this.rowCount = i2;
        this.nicknameRow = i;
        this.usernameRow = -1;
        int i3 = i2 + 1;
        this.rowCount = i3;
        this.usernameRow = i2;
        int i4 = i3 + 1;
        this.rowCount = i4;
        this.qrcodeRow = i3;
        int i5 = i4 + 1;
        this.rowCount = i5;
        this.qrcodeEmptyRow = i4;
        this.rowCount = i5 + 1;
        this.loginPwdRow = i5;
        if (!BuildVars.RELEASE_VERSION) {
            int i6 = this.rowCount;
            this.rowCount = i6 + 1;
            this.gestureCodeRow = i6;
        }
        int i7 = this.rowCount;
        int i8 = i7 + 1;
        this.rowCount = i8;
        this.birthRow = i7;
        int i9 = i8 + 1;
        this.rowCount = i9;
        this.genderRow = i8;
        int i10 = i9 + 1;
        this.rowCount = i10;
        this.signEmptyRow = i9;
        int i11 = i10 + 1;
        this.rowCount = i11;
        this.addAccountRow = i10;
        int i12 = i11 + 1;
        this.rowCount = i12;
        this.logoutEmptyRow = i11;
        this.rowCount = i12 + 1;
        this.logoutRow = i12;
        ListAdapter listAdapter = this.listAdapter;
        if (listAdapter != null) {
            listAdapter.notifyDataSetChanged();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void saveImage(final BackupImageView avatarImage) {
        new Thread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.mine.NewUserInfoActivity$$ExternalSyntheticLambda9
            @Override // java.lang.Runnable
            public final void run() {
                NewUserInfoActivity.lambda$saveImage$4(BackupImageView.this);
            }
        }).start();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$saveImage$4(BackupImageView avatarImage) {
        while (avatarImage.getImageReceiver().getBitmap() == null) {
            try {
                Thread.sleep(10L);
            } catch (Exception e) {
                e.printStackTrace();
                return;
            }
        }
        Bitmap bitmap = avatarImage.getImageReceiver().getBitmap();
        File file = new File(AndroidUtilities.getCacheDir().getPath() + File.separator + "user_avatar.jpg");
        if (file.exists()) {
            file.delete();
        }
        FileOutputStream out = new FileOutputStream(file);
        bitmap.compress(Bitmap.CompressFormat.JPEG, 100, out);
        out.flush();
        out.close();
    }

    private void showAvatarProgress(final boolean show, boolean animated) {
        RecyclerView.ViewHolder holder = this.listView.findViewHolderForAdapterPosition(this.avatarRow);
        if (holder == null) {
            return;
        }
        final RadialProgressView avatarProgressView = (RadialProgressView) holder.itemView.findViewById(R.id.rpvAvatar);
        AnimatorSet animatorSet = this.avatarAnimation;
        if (animatorSet != null) {
            animatorSet.cancel();
            this.avatarAnimation = null;
        }
        if (animated) {
            this.avatarAnimation = new AnimatorSet();
            if (show) {
                avatarProgressView.setVisibility(0);
            }
            this.avatarAnimation.setDuration(180L);
            this.avatarAnimation.addListener(new AnimatorListenerAdapter() { // from class: im.uecahxyvjd.ui.hui.mine.NewUserInfoActivity.2
                @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                public void onAnimationEnd(Animator animation) {
                    if (NewUserInfoActivity.this.avatarAnimation == null) {
                        return;
                    }
                    if (!show) {
                        avatarProgressView.setVisibility(4);
                    }
                    NewUserInfoActivity.this.avatarAnimation = null;
                }

                @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                public void onAnimationCancel(Animator animation) {
                    NewUserInfoActivity.this.avatarAnimation = null;
                }
            });
            this.avatarAnimation.start();
        } else if (show) {
            avatarProgressView.setAlpha(1.0f);
            avatarProgressView.setVisibility(0);
        } else {
            avatarProgressView.setAlpha(0.0f);
            avatarProgressView.setVisibility(4);
        }
    }

    private void showSelectGenderDialog() {
        TLRPCContacts.CL_userFull_v1 cL_userFull_v1 = this.userFull;
        if (cL_userFull_v1 == null || cL_userFull_v1.getExtendBean() == null) {
            return;
        }
        if (this.mGenderPickerBulder == null) {
            List<String> data = new ArrayList<>(Arrays.asList(LocaleController.getString(R.string.PassportFemale), LocaleController.getString(R.string.PassportMale)));
            OptionsWheelPickerDialog.Builder<String> defaultBuilder = OptionsWheelPickerDialog.getDefaultBuilder(getParentActivity(), new OnOptionsSelectListener() { // from class: im.uecahxyvjd.ui.hui.mine.NewUserInfoActivity$$ExternalSyntheticLambda3
                @Override // com.bigkoo.pickerview.listener.OnOptionsSelectListener
                public final void onOptionsSelect(int i, int i2, int i3, View view) {
                    NewUserInfoActivity.this.m3623xb0d780d5(i, i2, i3, view);
                }
            });
            this.mGenderPickerBulder = defaultBuilder;
            defaultBuilder.setPicker(data);
        }
        if (this.userFull.getExtendBean().sex == 1) {
            this.mGenderPickerBulder.setSelectOptions(1);
        } else {
            this.mGenderPickerBulder.setSelectOptions(0);
        }
        showDialog(this.mGenderPickerBulder.build());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$showSelectGenderDialog$5$im-uecahxyvjd-ui-hui-mine-NewUserInfoActivity  reason: not valid java name */
    public /* synthetic */ void m3623xb0d780d5(int options1, int options2, int options3, View v) {
        int sex = options1 == 0 ? 2 : 1;
        updateUserSex(sex);
    }

    private void updateUserSex(final int sex) {
        TLRPCContacts.CL_userFull_v1 cL_userFull_v1 = this.userFull;
        if (cL_userFull_v1 == null || cL_userFull_v1.getExtendBean() == null) {
            return;
        }
        TLRPCLogin.TL_account_updateUserDetail req = new TLRPCLogin.TL_account_updateUserDetail();
        req.birthday = 0;
        req.extend = new TLRPC.TL_dataJSON();
        req.extend.data = ParamsUtil.toJsonObj(new String[]{"Sex"}, Integer.valueOf(sex)).toJSONString();
        getConnectionsManager().bindRequestToGuid(getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.mine.NewUserInfoActivity$$ExternalSyntheticLambda0
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                NewUserInfoActivity.this.m3625x10f2d8ed(sex, tLObject, tL_error);
            }
        }), this.classGuid);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateUserSex$7$im-uecahxyvjd-ui-hui-mine-NewUserInfoActivity  reason: not valid java name */
    public /* synthetic */ void m3625x10f2d8ed(final int sex, final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.mine.NewUserInfoActivity$$ExternalSyntheticLambda4
            @Override // java.lang.Runnable
            public final void run() {
                NewUserInfoActivity.this.m3624x9b78b2ac(error, response, sex);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateUserSex$6$im-uecahxyvjd-ui-hui-mine-NewUserInfoActivity  reason: not valid java name */
    public /* synthetic */ void m3624x9b78b2ac(TLRPC.TL_error error, TLObject response, int sex) {
        if (error != null) {
            if (error.text != null) {
                if (error.text.contains("ALREDY_CHANGE")) {
                    AlertDialog.Builder builder = new AlertDialog.Builder(getParentActivity());
                    builder.setTitle(LocaleController.getString(R.string.AppName));
                    builder.setMessage(LocaleController.getString(R.string.YouHadModifiedOnceCannotModifyAgain));
                    builder.setPositiveButton(LocaleController.getString(R.string.OK), null);
                    showDialog(builder.create());
                } else if (error.code == 400 || error.text.contains("rpcerror")) {
                    ToastUtils.show((int) R.string.SetupFail);
                } else {
                    ToastUtils.show((CharSequence) LocaleController.getString(R.string.OperationFailedPleaseTryAgain));
                }
            }
        } else if (response instanceof TLRPC.UserFull) {
            TLRPCContacts.CL_userFull_v1 cL_userFull_v1 = this.userFull;
            if (cL_userFull_v1 != null && cL_userFull_v1.getExtendBean() != null) {
                this.userFull.getExtendBean().sex = sex;
                getMessagesController().loadFullUser(this.userFull.user, this.classGuid, true);
            }
            ListAdapter listAdapter = this.listAdapter;
            if (listAdapter != null) {
                listAdapter.notifyItemChanged(this.genderRow);
            }
        }
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        if (id == NotificationCenter.updateInterfaces) {
            updateRows();
        } else if (id == NotificationCenter.userFullInfoDidLoad) {
            int userId = ((Integer) args[0]).intValue();
            if (userId == getUserConfig().getClientUserId()) {
                this.userFull = (TLRPCContacts.CL_userFull_v1) args[1];
                updateRows();
            }
        } else {
            int userId2 = NotificationCenter.loginPasswordSetSuccess;
            if (id == userId2) {
                MessagesController.getInstance(this.currentAccount).loadFullUser(this.userFull.user, this.classGuid, true);
            }
        }
    }

    @Override // im.uecahxyvjd.ui.components.ImageUpdater.ImageUpdaterDelegate
    public void didUploadPhoto(final TLRPC.InputFile file, final TLRPC.PhotoSize bigSize, final TLRPC.PhotoSize smallSize) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.mine.NewUserInfoActivity$$ExternalSyntheticLambda10
            @Override // java.lang.Runnable
            public final void run() {
                NewUserInfoActivity.this.m3616x34fbccd9(file, smallSize, bigSize);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$didUploadPhoto$10$im-uecahxyvjd-ui-hui-mine-NewUserInfoActivity  reason: not valid java name */
    public /* synthetic */ void m3616x34fbccd9(TLRPC.InputFile file, TLRPC.PhotoSize smallSize, TLRPC.PhotoSize bigSize) {
        if (file != null) {
            TLRPC.TL_photos_uploadProfilePhoto req = new TLRPC.TL_photos_uploadProfilePhoto();
            req.file = file;
            ConnectionsManager.getInstance(this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.mine.NewUserInfoActivity$$ExternalSyntheticLambda5
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    NewUserInfoActivity.this.m3618xaecfe529(tLObject, tL_error);
                }
            });
            return;
        }
        this.avatar = smallSize.location;
        this.avatarBig = bigSize.location;
        showAvatarProgress(true, false);
        updateRows();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$didUploadPhoto$9$im-uecahxyvjd-ui-hui-mine-NewUserInfoActivity  reason: not valid java name */
    public /* synthetic */ void m3618xaecfe529(TLObject response, TLRPC.TL_error error) {
        if (error == null) {
            TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(UserConfig.getInstance(this.currentAccount).getClientUserId()));
            if (user == null) {
                user = UserConfig.getInstance(this.currentAccount).getCurrentUser();
                if (user != null) {
                    MessagesController.getInstance(this.currentAccount).putUser(user, false);
                } else {
                    return;
                }
            } else {
                UserConfig.getInstance(this.currentAccount).setCurrentUser(user);
            }
            TLRPC.TL_photos_photo photo = (TLRPC.TL_photos_photo) response;
            ArrayList<TLRPC.PhotoSize> sizes = photo.photo.sizes;
            TLRPC.PhotoSize small = FileLoader.getClosestPhotoSizeWithSize(sizes, 150);
            TLRPC.PhotoSize big = FileLoader.getClosestPhotoSizeWithSize(sizes, CodeUtils.DEFAULT_REQ_HEIGHT);
            user.photo = new TLRPC.TL_userProfilePhoto();
            user.photo.photo_id = photo.photo.id;
            if (small != null) {
                user.photo.photo_small = small.location;
            }
            if (big != null) {
                user.photo.photo_big = big.location;
            } else if (small != null) {
                user.photo.photo_small = small.location;
            }
            if (photo != null) {
                if (small != null && this.avatar != null) {
                    File destFile = FileLoader.getPathToAttach(small, true);
                    File src = FileLoader.getPathToAttach(this.avatar, true);
                    src.renameTo(destFile);
                    String oldKey = this.avatar.volume_id + "_" + this.avatar.local_id + "@50_50";
                    String newKey = small.location.volume_id + "_" + small.location.local_id + "@50_50";
                    ImageLoader.getInstance().replaceImageInCache(oldKey, newKey, ImageLocation.getForUser(user, false), true);
                }
                if (big != null && this.avatarBig != null) {
                    File destFile2 = FileLoader.getPathToAttach(big, true);
                    File src2 = FileLoader.getPathToAttach(this.avatarBig, true);
                    src2.renameTo(destFile2);
                }
            }
            MessagesStorage.getInstance(this.currentAccount).clearUserPhotos(user.id);
            ArrayList<TLRPC.User> users = new ArrayList<>();
            users.add(user);
            MessagesStorage.getInstance(this.currentAccount).putUsersAndChats(users, null, false, true);
        }
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.mine.NewUserInfoActivity$$ExternalSyntheticLambda1
            @Override // java.lang.Runnable
            public final void run() {
                NewUserInfoActivity.this.m3617x3955bee8();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$didUploadPhoto$8$im-uecahxyvjd-ui-hui-mine-NewUserInfoActivity  reason: not valid java name */
    public /* synthetic */ void m3617x3955bee8() {
        this.avatar = null;
        this.avatarBig = null;
        showAvatarProgress(false, true);
        NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.updateInterfaces, Integer.valueOf((int) MessagesController.UPDATE_MASK_ALL));
        NotificationCenter.getInstance(this.currentAccount).postNotificationName(NotificationCenter.mainUserInfoChanged, new Object[0]);
        UserConfig.getInstance(this.currentAccount).saveConfig(true);
        updateRows();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        BackupImageView avatarImage;
        super.onFragmentDestroy();
        RecyclerView.ViewHolder holder = this.listView.findViewHolderForAdapterPosition(this.avatarRow);
        if (holder != null && (avatarImage = (BackupImageView) holder.itemView.findViewById(R.id.iv_avatar)) != null) {
            avatarImage.setImageDrawable(null);
        }
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.updateInterfaces);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.userFullInfoDidLoad);
        NotificationCenter.getInstance(this.currentAccount).removeObserver(this, NotificationCenter.loginPasswordSetSuccess);
        this.mGenderPickerBulder = null;
        this.imageUpdater.clear();
        this.userFull = null;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes7.dex */
    public class ListAdapter extends RecyclerListView.SelectionAdapter {
        private boolean mblnUpdateFromInit;

        private ListAdapter() {
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return holder.getItemViewType() != 3;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view;
            switch (viewType) {
                case 0:
                    view = new TextSettingCell(NewUserInfoActivity.this.context);
                    view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    break;
                case 1:
                    view = LayoutInflater.from(NewUserInfoActivity.this.context).inflate(R.layout.item_user_info_avatar, parent, false);
                    view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    break;
                case 2:
                    view = LayoutInflater.from(NewUserInfoActivity.this.context).inflate(R.layout.item_login_add, parent, false);
                    break;
                default:
                    view = new View(NewUserInfoActivity.this.context);
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            String str;
            String loginPwdText;
            String str2;
            int i;
            TLRPC.User user = MessagesController.getInstance(NewUserInfoActivity.this.currentAccount).getUser(Integer.valueOf(UserConfig.getInstance(NewUserInfoActivity.this.currentAccount).getClientUserId()));
            switch (holder.getItemViewType()) {
                case 0:
                    TextSettingCell settingCell = (TextSettingCell) holder.itemView;
                    str = "";
                    if (position != NewUserInfoActivity.this.nicknameRow) {
                        if (position != NewUserInfoActivity.this.usernameRow) {
                            if (position != NewUserInfoActivity.this.phoneRow) {
                                if (position != NewUserInfoActivity.this.birthRow) {
                                    if (position != NewUserInfoActivity.this.genderRow) {
                                        if (position == NewUserInfoActivity.this.signRow) {
                                            settingCell.setTextAndValue(LocaleController.getString(R.string.BioDesc), NewUserInfoActivity.this.userFull != null ? NewUserInfoActivity.this.userFull.about : "", false, true);
                                            settingCell.setBackground(Theme.createRoundRectDrawable(0.0f, 0.0f, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
                                            return;
                                        } else if (position == NewUserInfoActivity.this.loginPwdRow || position == NewUserInfoActivity.this.gestureCodeRow) {
                                            if (position == NewUserInfoActivity.this.loginPwdRow) {
                                                loginPwdText = LocaleController.getString(R.string.ModifyLoginPwd);
                                            } else {
                                                loginPwdText = LocaleController.getString(R.string.GestureCodeSet);
                                            }
                                            if (user instanceof TLRPC.TL_user) {
                                                if (position != NewUserInfoActivity.this.loginPwdRow || !((TLRPC.TL_user) user).hasSetLoginPwd) {
                                                    if (position == NewUserInfoActivity.this.gestureCodeRow && ((TLRPC.TL_user) user).hasSetGesturePwd) {
                                                        loginPwdText = LocaleController.getString(R.string.GestureCodeModify);
                                                    }
                                                } else {
                                                    loginPwdText = LocaleController.getString(R.string.ModifyLoginPwd);
                                                }
                                            }
                                            settingCell.setText(loginPwdText, false, true);
                                            return;
                                        } else if (position == NewUserInfoActivity.this.qrcodeRow) {
                                            settingCell.setText(LocaleController.getString(R.string.MyQRCode), false, true);
                                            return;
                                        } else {
                                            return;
                                        }
                                    }
                                    String string = LocaleController.getString(R.string.PassportGender);
                                    if (NewUserInfoActivity.this.userFull != null && NewUserInfoActivity.this.userFull.getExtendBean() != null) {
                                        if (NewUserInfoActivity.this.userFull.getExtendBean().sex == 1) {
                                            str2 = "Male";
                                            i = R.string.PassportMale;
                                        } else if (NewUserInfoActivity.this.userFull.getExtendBean().sex == 2) {
                                            str2 = "Female";
                                            i = R.string.PassportFemale;
                                        }
                                        str = LocaleController.getString(str2, i);
                                    }
                                    settingCell.setTextAndValue(string, str, false, false);
                                    return;
                                }
                                String string2 = LocaleController.getString(R.string.Birthday);
                                if (NewUserInfoActivity.this.userFull != null && NewUserInfoActivity.this.userFull.getExtendBean() != null) {
                                    str = TimeUtils.millis2String(NewUserInfoActivity.this.userFull.getExtendBean().birthday * 1000, LocaleController.getString("yyyy.mm.dd", R.string.formatterYear2));
                                }
                                settingCell.setTextAndValue(string2, str, false, true);
                                return;
                            }
                            settingCell.setTextAndValue(LocaleController.getString(R.string.PhoneNumber), user != null ? PhoneFormat.getInstance().format(Marker.ANY_NON_NULL_MARKER + user.phone) : "", false, true);
                            return;
                        }
                        settingCell.setTextAndValue(LocaleController.getString(R.string.AppNameCode2), user != null ? user.username : "", false, true);
                        return;
                    }
                    settingCell.setTextAndValue(LocaleController.getString(R.string.Nickname2), user != null ? user.first_name : "", false, true);
                    return;
                case 1:
                    BackupImageView ivAvatar = (BackupImageView) holder.itemView.findViewById(R.id.iv_avatar);
                    MryTextView tvTitle = (MryTextView) holder.itemView.findViewById(R.id.tv_title);
                    MryDividerCell divider = (MryDividerCell) holder.itemView.findViewById(R.id.divider);
                    if (position != NewUserInfoActivity.this.avatarRow) {
                        if (position == NewUserInfoActivity.this.qrcodeRow) {
                            tvTitle.setText(LocaleController.getString(R.string.MyQRCode));
                            RelativeLayout.LayoutParams lp = (RelativeLayout.LayoutParams) ivAvatar.getLayoutParams();
                            lp.height = AndroidUtilities.dp(16.0f);
                            lp.width = AndroidUtilities.dp(16.0f);
                            ivAvatar.setLayoutParams(lp);
                            ivAvatar.setImageResource(R.mipmap.ic_my_qrcode);
                            divider.setVisibility(8);
                            return;
                        }
                        return;
                    }
                    if (user != null) {
                        tvTitle.setText(LocaleController.getString(R.string.PrivacyProfilePhoto));
                        ivAvatar.setRoundRadius(AndroidUtilities.dp(7.5f));
                        Drawable drawableDef = NewUserInfoActivity.this.getParentActivity().getResources().getDrawable(R.drawable.ic_head_def);
                        ivAvatar.setImage(ImageLocation.getForUser(user, false), "50_50", drawableDef, user);
                        if ((user.photo instanceof TLRPC.TL_userProfilePhoto) && !this.mblnUpdateFromInit) {
                            NewUserInfoActivity.this.saveImage(ivAvatar);
                        }
                        this.mblnUpdateFromInit = false;
                    }
                    holder.itemView.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0.0f, 0.0f, Theme.getColor(Theme.key_windowBackgroundWhite)));
                    return;
                case 2:
                    LinearLayout parent = (LinearLayout) holder.itemView;
                    MryTextView textView = (MryTextView) parent.findViewById(R.id.tv_title);
                    if (position != NewUserInfoActivity.this.addAccountRow) {
                        if (position == NewUserInfoActivity.this.logoutRow) {
                            textView.setText(LocaleController.getString(R.string.Signout));
                        }
                    } else {
                        textView.setText(LocaleController.getString(R.string.AddAccount2));
                    }
                    textView.setTextColor(Theme.getColor(Theme.key_contacts_userCellDeleteText));
                    textView.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(8.0f), Theme.getColor(Theme.key_windowBackgroundWhiteBlueButton)));
                    return;
                default:
                    return;
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            if (position != NewUserInfoActivity.this.avatarRow) {
                if (position != NewUserInfoActivity.this.addAccountRow && position != NewUserInfoActivity.this.logoutRow) {
                    if (position == NewUserInfoActivity.this.qrcodeEmptyRow || position == NewUserInfoActivity.this.signEmptyRow || position == NewUserInfoActivity.this.logoutEmptyRow) {
                        return 3;
                    }
                    return 0;
                }
                return 2;
            }
            return 1;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return NewUserInfoActivity.this.rowCount;
        }
    }
}
