package im.uecahxyvjd.ui.hui.packet;

import android.content.Context;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.widget.TextView;
import butterknife.BindView;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.messenger.utils.DataTools;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.hui.packet.bean.RedpacketResponse;
import java.math.BigDecimal;
/* loaded from: classes6.dex */
public class RedpktDetailActivity extends BaseFragment {
    private RedpacketResponse bean;
    @BindView(R.id.biv_receiver_avatar)
    BackupImageView bivReceiverAvatar;
    @BindView(R.id.fl_rpk_record_layout)
    FrameLayout flRpkRecordLayout;
    @BindView(R.id.ivRptAvatar)
    BackupImageView ivRptAvatar;
    @BindView(R.id.llUserLayout)
    LinearLayout llUserLayout;
    private TextView rptView;
    private final int rpt_record = 101;
    private TLRPC.User sender;
    @BindView(R.id.tv_rpk_amount)
    TextView tvRpkAmount;
    @BindView(R.id.tv_rpk_back_desc)
    TextView tvRpkBackDesc;
    @BindView(R.id.tv_rpk_name)
    TextView tvRpkName;
    @BindView(R.id.tv_rpk_receive_time)
    TextView tvRpkReceiveTime;
    @BindView(R.id.tvRptGreet)
    TextView tvRptGreet;
    @BindView(R.id.tvRptName)
    TextView tvRptName;
    @BindView(R.id.tvRptState)
    TextView tvRptState;

    public void setBean(RedpacketResponse bean) {
        this.bean = bean;
        this.sender = getMessagesController().getUser(Integer.valueOf(Integer.parseInt(bean.getRed().getInitiatorUserId())));
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_redpkg_state_layout, (ViewGroup) null, false);
        this.fragmentView.setBackgroundColor(-328966);
        useButterKnife();
        initActionBar();
        initViews();
        return this.fragmentView;
    }

    private void initActionBar() {
        this.actionBar.setAddToContainer(false);
        FrameLayout frameLayout = (FrameLayout) this.fragmentView;
        frameLayout.addView(this.actionBar);
        this.actionBar.setTitle(LocaleController.getString(R.string.DetailsOfRedPackets));
        this.actionBar.setTitleColor(-1);
        this.actionBar.setItemsColor(-1, false);
        this.actionBar.setBackgroundColor(0);
        this.actionBar.setAllowOverlayTitle(true);
        this.actionBar.setCastShadows(false);
        this.actionBar.setBackButtonImage(R.mipmap.ic_back_white);
        this.actionBar.getBackButton().setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktDetailActivity$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                RedpktDetailActivity.this.m3649x98a9cbba(view);
            }
        });
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktDetailActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    RedpktDetailActivity.this.finishFragment();
                } else if (id == 101) {
                    RedpktRecordsActivity recordsActivity = new RedpktRecordsActivity();
                    RedpktDetailActivity.this.presentFragment(recordsActivity);
                }
            }
        });
        ActionBarMenu menu = this.actionBar.createMenu();
        TextView textView = new TextView(getParentActivity());
        this.rptView = textView;
        textView.setText(LocaleController.getString(R.string.RedPacketRecords));
        this.rptView.setTextSize(1, 14.0f);
        this.rptView.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
        this.rptView.setTextColor(-1);
        this.rptView.setGravity(17);
        menu.addItemView(101, this.rptView);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initActionBar$0$im-uecahxyvjd-ui-hui-packet-RedpktDetailActivity  reason: not valid java name */
    public /* synthetic */ void m3649x98a9cbba(View v) {
        finishFragment();
    }

    private void initViews() {
        AvatarDrawable avatarDrawable = new AvatarDrawable();
        avatarDrawable.setTextSize(AndroidUtilities.dp(16.0f));
        avatarDrawable.setInfo(this.sender);
        this.ivRptAvatar.setRoundRadius(AndroidUtilities.dp(7.5f));
        this.ivRptAvatar.getImageReceiver().setCurrentAccount(this.currentAccount);
        this.ivRptAvatar.setImage(ImageLocation.getForUser(this.sender, false), "50_50", avatarDrawable, this.sender);
        this.tvRptName.setText(UserObject.getName(this.sender));
        this.tvRpkBackDesc.setText(LocaleController.getString(R.string.RedPacketsWillReturnWhenNotReceivedIn24Hours));
        RedpacketResponse redpacketResponse = this.bean;
        if (redpacketResponse != null) {
            if (redpacketResponse.getRed().getRemarks() != null) {
                if (TextUtils.isEmpty(this.bean.getRed().getRemarks())) {
                    this.tvRptGreet.setText(LocaleController.getString(R.string.redpacket_greetings_tip));
                } else {
                    this.tvRptGreet.setText(this.bean.getRed().getRemarks());
                }
            } else {
                this.tvRptGreet.setText(LocaleController.getString(R.string.redpacket_greetings_tip));
            }
            String transTotal = "";
            if (this.bean.getRed().getTotalFee() != null && !TextUtils.isEmpty(this.bean.getRed().getTotalFee())) {
                BigDecimal bitTotal = new BigDecimal(this.bean.getRed().getTotalFee());
                transTotal = DataTools.format2Decimals(bitTotal.multiply(new BigDecimal("0.01")).toString());
            }
            if (this.bean.getRed().getStatus() != null && !TextUtils.isEmpty(this.bean.getRed().getStatus())) {
                if ("0".equals(this.bean.getRed().getStatus())) {
                    StringBuilder builder = new StringBuilder("");
                    builder.append("1").append(LocaleController.getString(R.string.redpacket_each)).append(LocaleController.getString(R.string.RedPacket)).append(LocaleController.getString(R.string.TotalSingleWords)).append("%s").append(LocaleController.getString(R.string.UnitCNY)).append(LocaleController.getString(R.string.Comma)).append("%s");
                    this.tvRptState.setText(String.format(builder.toString(), transTotal, LocaleController.getString(R.string.WaitToReceived)));
                } else if ("1".equals(this.bean.getRed().getStatus())) {
                    StringBuilder builder2 = new StringBuilder("");
                    builder2.append(LocaleController.getString(R.string.AlreadyReceive)).append("1/1").append(LocaleController.getString(R.string.redpacket_each)).append(LocaleController.getString(R.string.Comma)).append(LocaleController.getString(R.string.TotalSingleWords)).append("%s").append(LocaleController.getString(R.string.UnitCNY)).append("/%s").append(LocaleController.getString(R.string.UnitCNY));
                    this.tvRptState.setText(String.format(builder2.toString(), transTotal, transTotal));
                    this.flRpkRecordLayout.setVisibility(0);
                    TLRPC.User receiver = getMessagesController().getUser(Integer.valueOf(Integer.parseInt(this.bean.getRed().getRecipientUserId())));
                    AvatarDrawable recvAvatar = new AvatarDrawable();
                    recvAvatar.setTextSize(AndroidUtilities.dp(16.0f));
                    recvAvatar.setInfo(receiver);
                    this.bivReceiverAvatar.setRoundRadius(AndroidUtilities.dp(32.0f));
                    this.bivReceiverAvatar.getImageReceiver().setCurrentAccount(this.currentAccount);
                    this.bivReceiverAvatar.setImage(ImageLocation.getForUser(receiver, false), "50_50", recvAvatar, receiver);
                    this.tvRpkName.setText(receiver.first_name);
                    this.tvRpkAmount.setText(transTotal);
                    if (this.bean.getRed() != null && this.bean.getRed().getCompleteTime() != null) {
                        this.tvRpkReceiveTime.setText(this.bean.getRed().getCompleteTimeFormat());
                    }
                    this.tvRpkBackDesc.setVisibility(8);
                } else {
                    StringBuilder builder3 = new StringBuilder("");
                    builder3.append(LocaleController.getString(R.string.RedpacketHadExpired)).append(LocaleController.getString(R.string.FullStop)).append(LocaleController.getString(R.string.AlreadyReceive)).append("0/1").append(LocaleController.getString(R.string.redpacket_each)).append(LocaleController.getString(R.string.Comma)).append(LocaleController.getString(R.string.TotalSingleWords)).append("0.00/%s").append(LocaleController.getString(R.string.UnitCNY));
                    this.tvRptState.setText(String.format(builder3.toString(), transTotal));
                }
            }
        }
    }
}
