package im.uecahxyvjd.ui.hui.packet;

import android.content.Context;
import android.content.DialogInterface;
import android.text.Html;
import android.text.Layout;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import butterknife.BindView;
import com.google.gson.Gson;
import im.uecahxyvjd.javaBean.hongbao.RedTransOperation;
import im.uecahxyvjd.javaBean.hongbao.UnifyBean;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.BuildVars;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.messenger.utils.DataTools;
import im.uecahxyvjd.messenger.utils.TextTool;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLApiModel;
import im.uecahxyvjd.tgnet.TLJsonResolve;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCRedpacket;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.XAlertDialog;
import im.uecahxyvjd.ui.components.AlertsCreator;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.hui.packet.bean.RedpacketBean;
import im.uecahxyvjd.ui.hui.packet.bean.RedpacketDetailRecord;
import im.uecahxyvjd.ui.hui.packet.bean.RedpacketDetailResponse;
import im.uecahxyvjd.ui.hui.wallet_public.utils.WalletDialogUtil;
import im.uecahxyvjd.ui.hui.wallet_public.utils.WalletErrorUtil;
import im.uecahxyvjd.ui.hviews.MryTextView;
import im.uecahxyvjd.ui.utils.number.StringUtils;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;
/* loaded from: classes6.dex */
public class RedpktGroupDetailActivity extends BaseFragment {
    private RedpacketBean bean;
    private TLRPC.Chat chat;
    private boolean isLoaded;
    private boolean isLoading;
    private boolean isRandom;
    private ListAdapter listAdapter;
    private int messageId;
    @BindView(R.id.rcy_rpk_history)
    RecyclerListView rcyRpkHistory;
    private ArrayList<RedpacketDetailRecord> records;
    private MryTextView rptView;
    @BindView(R.id.tv_rpk_back_desc)
    TextView tvRpkBackDesc;
    private final int rpt_record = 101;
    private int headerRow = -1;
    private int headerSessionRow = -1;
    private int recordStart = -1;
    private int recordEnd = -1;
    private int rowCount = 0;

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_redpkg_group_state_layout, (ViewGroup) null, false);
        this.fragmentView.setBackgroundColor(-328966);
        useButterKnife();
        initActionBar();
        updateRows();
        initViews();
        return this.fragmentView;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onTransitionAnimationEnd(boolean isOpen, boolean backward) {
        super.onTransitionAnimationEnd(isOpen, backward);
        if (isOpen) {
            getRecords();
        }
    }

    private void initActionBar() {
        this.actionBar.setAddToContainer(false);
        FrameLayout frameLayout = (FrameLayout) this.fragmentView;
        frameLayout.addView(this.actionBar);
        this.actionBar.setTitle(LocaleController.getString(R.string.DetailsOfRedPackets));
        this.actionBar.setTitleColor(-1);
        this.actionBar.setItemsColor(-1, false);
        this.actionBar.setBackgroundColor(0);
        this.actionBar.setAllowOverlayTitle(true);
        this.actionBar.setCastShadows(false);
        this.actionBar.setBackButtonImage(R.mipmap.ic_back_white);
        this.actionBar.getBackButton().setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktGroupDetailActivity$$ExternalSyntheticLambda2
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                RedpktGroupDetailActivity.this.m3654x1d877de5(view);
            }
        });
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktGroupDetailActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    RedpktGroupDetailActivity.this.finishFragment();
                } else if (id == 101) {
                    RedpktRecordsActivity recordsActivity = new RedpktRecordsActivity();
                    RedpktGroupDetailActivity.this.presentFragment(recordsActivity);
                }
            }
        });
        ActionBarMenu menu = this.actionBar.createMenu();
        MryTextView mryTextView = new MryTextView(getParentActivity());
        this.rptView = mryTextView;
        mryTextView.setMryText(R.string.RedPacketRecords);
        this.rptView.setTextSize(1, 14.0f);
        this.rptView.setBold();
        this.rptView.setTextColor(-1);
        this.rptView.setGravity(17);
        menu.addItemView(101, this.rptView);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initActionBar$0$im-uecahxyvjd-ui-hui-packet-RedpktGroupDetailActivity  reason: not valid java name */
    public /* synthetic */ void m3654x1d877de5(View v) {
        finishFragment();
    }

    public void setBean(RedpacketBean bean) {
        this.bean = bean;
        if (bean != null && bean.getGrantType() != null) {
            this.isRandom = "1".equals(bean.getGrantType());
        }
    }

    public void setChat(TLRPC.Chat chat) {
        this.chat = chat;
    }

    public void setMessageId(int mid) {
        this.messageId = mid;
    }

    private void updateRows() {
        this.headerRow = -1;
        this.headerSessionRow = -1;
        this.rowCount = 0;
        int i = 0 + 1;
        this.rowCount = i;
        this.headerRow = 0;
        this.rowCount = i + 1;
        this.headerSessionRow = i;
        ArrayList<RedpacketDetailRecord> arrayList = this.records;
        if (arrayList != null && arrayList.size() > 0) {
            int i2 = this.rowCount;
            this.rowCount = i2 + 1;
            this.recordStart = i2;
            this.recordEnd = (i2 + this.records.size()) - 1;
            this.rowCount += this.records.size() - 1;
        }
    }

    private void initViews() {
        this.rcyRpkHistory.setLayoutManager(new LinearLayoutManager(getParentActivity()));
        ListAdapter listAdapter = new ListAdapter(getParentActivity());
        this.listAdapter = listAdapter;
        this.rcyRpkHistory.setAdapter(listAdapter);
        this.tvRpkBackDesc.setText(LocaleController.getString(R.string.RedPacketsWillReturnWhenNotReceivedIn24Hours));
    }

    private void getRecords() {
        if (this.isLoading) {
            return;
        }
        this.isLoading = true;
        TLRPCRedpacket.CL_message_rpkTransferCheck req = new TLRPCRedpacket.CL_message_rpkTransferCheck();
        req.trans = 0;
        if (this.chat != null) {
            int redType = this.bean.getRedTypeInt();
            if (redType == 0) {
                req.type = 2;
            } else if (redType == 1) {
                req.type = 1;
            } else if (redType == 2) {
                req.type = 3;
            }
        } else {
            req.type = 0;
        }
        req.flags = 2;
        TLRPC.InputPeer inputPeer = new TLRPC.TL_inputPeerChannel();
        inputPeer.channel_id = this.chat.id;
        inputPeer.access_hash = this.chat.access_hash;
        req.peer = inputPeer;
        req.id = this.messageId;
        String serialCode = this.bean.getSerialCode();
        String str = getUserConfig().clientUserId + "";
        TLRPC.Chat chat = this.chat;
        RedTransOperation detailBean = new RedTransOperation(serialCode, str, chat == null ? "" : String.valueOf(chat.id), StringUtils.getNonceStr(getConnectionsManager().getCurrentTime()), UnifyBean.BUSINESS_KEY_REDPACKET_DETAIL, "0.0.1");
        TLRPC.TL_dataJSON dataJSON = new TLRPC.TL_dataJSON();
        dataJSON.data = new Gson().toJson(detailBean);
        req.data = dataJSON;
        final XAlertDialog progressView = new XAlertDialog(getParentActivity(), 5);
        final int reqId = getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktGroupDetailActivity$$ExternalSyntheticLambda3
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                RedpktGroupDetailActivity.this.m3652x2528b101(progressView, tLObject, tL_error);
            }
        });
        getConnectionsManager().bindRequestToGuid(reqId, this.classGuid);
        progressView.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktGroupDetailActivity$$ExternalSyntheticLambda4
            @Override // android.content.DialogInterface.OnCancelListener
            public final void onCancel(DialogInterface dialogInterface) {
                RedpktGroupDetailActivity.this.m3653x4e7d0642(reqId, dialogInterface);
            }
        });
        progressView.show();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getRecords$3$im-uecahxyvjd-ui-hui-packet-RedpktGroupDetailActivity  reason: not valid java name */
    public /* synthetic */ void m3652x2528b101(final XAlertDialog progressView, TLObject response, TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktGroupDetailActivity$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                XAlertDialog.this.dismiss();
            }
        });
        this.isLoading = false;
        if (error != null) {
            if (!BuildVars.RELEASE_VERSION) {
                AlertsCreator.showSimpleToast(this, WalletErrorUtil.getErrorDescription(LocaleController.formatString("SystemIsBusyAndTryAgainLater", R.string.SystemIsBusyAndTryAgainLater, new Object[0]), error.text));
            } else {
                WalletDialogUtil.showConfirmBtnWalletDialog(this, WalletErrorUtil.getErrorDescription(error.text));
            }
        } else if (response instanceof TLRPC.TL_updates) {
            TLRPC.TL_updates updates = (TLRPC.TL_updates) response;
            Iterator<TLRPC.Update> it = updates.updates.iterator();
            while (it.hasNext()) {
                TLRPC.Update update = it.next();
                if (update instanceof TLRPCRedpacket.CL_updateRpkTransfer) {
                    TLRPCRedpacket.CL_updateRpkTransfer rpkTransfer = (TLRPCRedpacket.CL_updateRpkTransfer) update;
                    TLApiModel<RedpacketDetailResponse> parse = TLJsonResolve.parse(rpkTransfer.data, RedpacketDetailResponse.class);
                    if (parse.isSuccess() || "20004".equals(parse.code) || "20013".equals(parse.code) || "20008".equals(parse.code)) {
                        RedpacketDetailResponse retBean = (RedpacketDetailResponse) parse.model;
                        if (retBean != null) {
                            this.isLoaded = true;
                            this.bean = retBean.getRed();
                            ArrayList<RedpacketDetailRecord> record = retBean.getRecord();
                            this.records = record;
                            groupsRecords(record);
                            updateRows();
                            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktGroupDetailActivity$$ExternalSyntheticLambda1
                                @Override // java.lang.Runnable
                                public final void run() {
                                    RedpktGroupDetailActivity.this.m3651xfbd45bc0();
                                }
                            });
                            return;
                        }
                        return;
                    } else if (BuildVars.RELEASE_VERSION) {
                        WalletErrorUtil.parseErrorDialog(this, LocaleController.getString(R.string.SystemIsBusyAndTryAgainLater));
                        return;
                    } else {
                        WalletErrorUtil.parseErrorDialog(this, parse.code, parse.message);
                        return;
                    }
                }
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getRecords$2$im-uecahxyvjd-ui-hui-packet-RedpktGroupDetailActivity  reason: not valid java name */
    public /* synthetic */ void m3651xfbd45bc0() {
        this.listAdapter.notifyDataSetChanged();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getRecords$4$im-uecahxyvjd-ui-hui-packet-RedpktGroupDetailActivity  reason: not valid java name */
    public /* synthetic */ void m3653x4e7d0642(int reqId, DialogInterface hintDialog) {
        getConnectionsManager().cancelRequest(reqId, true);
    }

    private void groupsRecords(ArrayList<RedpacketDetailRecord> record) {
        if (record == null || record.size() <= 0) {
            return;
        }
        Collections.sort(record, new Comparator() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktGroupDetailActivity$$ExternalSyntheticLambda5
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return RedpktGroupDetailActivity.lambda$groupsRecords$5((RedpacketDetailRecord) obj, (RedpacketDetailRecord) obj2);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ int lambda$groupsRecords$5(RedpacketDetailRecord o1, RedpacketDetailRecord o2) {
        if (o1.getCreatTimeLong() > o2.getCreatTimeLong()) {
            return 1;
        }
        if (o1.getCreatTimeLong() < o2.getCreatTimeLong()) {
            return -1;
        }
        return 0;
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes6.dex */
    public class ListAdapter extends RecyclerListView.SelectionAdapter {
        private Context mContext;

        public ListAdapter(Context mContext) {
            this.mContext = mContext;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            int itemViewType = holder.getItemViewType();
            return itemViewType == 2;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view;
            switch (viewType) {
                case 0:
                    view = LayoutInflater.from(this.mContext).inflate(R.layout.item_redpkg_state_header_layout, (ViewGroup) null);
                    view.setBackgroundColor(-1);
                    view.setLayoutParams(new RecyclerView.LayoutParams(-1, -2));
                    break;
                case 1:
                    view = LayoutInflater.from(this.mContext).inflate(R.layout.item_red_packet_group_info_layout, (ViewGroup) null);
                    view.setBackgroundColor(-1);
                    view.setLayoutParams(new RecyclerView.LayoutParams(-1, AndroidUtilities.dp(70.0f)));
                    break;
                default:
                    view = LayoutInflater.from(this.mContext).inflate(R.layout.item_red_packet_records, (ViewGroup) null);
                    view.setBackgroundColor(-1);
                    view.setLayoutParams(new RecyclerView.LayoutParams(-1, AndroidUtilities.dp(72.0f)));
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int position) {
            if (position != RedpktGroupDetailActivity.this.headerRow) {
                if (position == RedpktGroupDetailActivity.this.headerSessionRow) {
                    return 1;
                }
                return 2;
            }
            return 0;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            String str;
            switch (position) {
                case 0:
                    BackupImageView ivRptAvatar = (BackupImageView) holder.itemView.findViewById(R.id.ivRptAvatar);
                    BackupImageView zsAvatar = (BackupImageView) holder.itemView.findViewById(R.id.zsAvatar);
                    LinearLayout zsLayout = (LinearLayout) holder.itemView.findViewById(R.id.zsLayout);
                    TextView zsText = (TextView) holder.itemView.findViewById(R.id.zsText);
                    TextView tvRptName = (TextView) holder.itemView.findViewById(R.id.tvRptName);
                    TextView tvRptGreet = (TextView) holder.itemView.findViewById(R.id.tvRptGreet);
                    TextView tvReceivedCount = (TextView) holder.itemView.findViewById(R.id.tvReceivedCount);
                    TextView tvReceivedPromt = (TextView) holder.itemView.findViewById(R.id.tvReceivedPromt);
                    ImageView ivHotCoinLogo = (ImageView) holder.itemView.findViewById(R.id.ivHotCoinLogo);
                    TLRPC.User sender = RedpktGroupDetailActivity.this.getMessagesController().getUser(Integer.valueOf(Integer.parseInt(RedpktGroupDetailActivity.this.bean.getInitiatorUserId())));
                    if (sender != null) {
                        AvatarDrawable avatarDrawable = new AvatarDrawable();
                        avatarDrawable.setTextSize(AndroidUtilities.dp(16.0f));
                        avatarDrawable.setInfo(sender);
                        ivRptAvatar.setRoundRadius(AndroidUtilities.dp(7.5f));
                        str = "100";
                        ivRptAvatar.getImageReceiver().setCurrentAccount(RedpktGroupDetailActivity.this.currentAccount);
                        ivRptAvatar.setImage(ImageLocation.getForUser(sender, false), "50_50", avatarDrawable, sender);
                        tvRptName.setText(UserObject.getName(sender, 16));
                        int redType = RedpktGroupDetailActivity.this.bean.getRedTypeInt();
                        if (redType == 2) {
                            if (sender.id == RedpktGroupDetailActivity.this.getUserConfig().getCurrentUser().id || (sender.id != RedpktGroupDetailActivity.this.getUserConfig().getCurrentUser().id && RedpktGroupDetailActivity.this.bean.getRecipientUserIdInt() != RedpktGroupDetailActivity.this.getUserConfig().getCurrentUser().id)) {
                                TLRPC.User recvUser = RedpktGroupDetailActivity.this.getMessagesController().getUser(Integer.valueOf(RedpktGroupDetailActivity.this.bean.getRecipientUserIdInt()));
                                if (recvUser != null) {
                                    zsLayout.setVisibility(0);
                                    AvatarDrawable recvDrawable = new AvatarDrawable();
                                    recvDrawable.setTextSize(AndroidUtilities.dp(16.0f));
                                    recvDrawable.setInfo(sender);
                                    zsAvatar.setRoundRadius(AndroidUtilities.dp(3.0f));
                                    zsAvatar.getImageReceiver().setCurrentAccount(RedpktGroupDetailActivity.this.currentAccount);
                                    zsAvatar.setImage(ImageLocation.getForUser(recvUser, false), "50_50", recvDrawable, recvUser);
                                    zsText.setText(UserObject.getName(recvUser, 10) + LocaleController.getString("Exclusive", R.string.Exclusive));
                                }
                            }
                        }
                    } else {
                        str = "100";
                    }
                    if (RedpktGroupDetailActivity.this.bean.getRemarks() != null && !TextUtils.isEmpty(RedpktGroupDetailActivity.this.bean.getRemarks())) {
                        tvRptGreet.setText(RedpktGroupDetailActivity.this.bean.getRemarks());
                        tvRptGreet.setTextColor(-1);
                    } else {
                        tvRptGreet.setText(LocaleController.getString(R.string.redpacket_greetings_tip));
                        tvRptGreet.setTextColor(-1);
                    }
                    if (RedpktGroupDetailActivity.this.bean.getIsReceived() == 0 || RedpktGroupDetailActivity.this.isLoading || !RedpktGroupDetailActivity.this.isLoaded) {
                        tvReceivedCount.setVisibility(8);
                        tvReceivedPromt.setVisibility(8);
                        ivHotCoinLogo.setVisibility(8);
                        return;
                    }
                    tvReceivedCount.setVisibility(0);
                    tvReceivedPromt.setVisibility(0);
                    ivHotCoinLogo.setVisibility(0);
                    BigDecimal bigDecimal = new BigDecimal(String.valueOf(RedpktGroupDetailActivity.this.bean.getMoney()));
                    TextTool.Builder textBuilder = TextTool.getBuilder("").setContext(RedpktGroupDetailActivity.this.getParentActivity()).setBold().setAlign(Layout.Alignment.ALIGN_CENTER).append(DataTools.format2Decimals(bigDecimal.divide(new BigDecimal(str)).toString())).setForegroundColor(-3416).setProportion(2.0f).append(LocaleController.getString(R.string.UnitCNY));
                    textBuilder.into(tvReceivedCount);
                    tvReceivedPromt.setText(Html.fromHtml(LocaleController.getString(R.string.ViewWalletBalance)));
                    return;
                case 1:
                    TextView cell = (TextView) holder.itemView.findViewById(R.id.tvRecvStatus);
                    cell.setPadding(AndroidUtilities.dp(16.0f), 0, AndroidUtilities.dp(16.0f), 0);
                    cell.setGravity(16);
                    BigDecimal total = new BigDecimal(RedpktGroupDetailActivity.this.bean.getTotalFee());
                    BigDecimal extal = new BigDecimal(RedpktGroupDetailActivity.this.bean.getSurplusAmount());
                    BigDecimal subtract = total.subtract(extal);
                    int redType2 = Integer.parseInt(RedpktGroupDetailActivity.this.bean.getRedType());
                    int status = Integer.parseInt(RedpktGroupDetailActivity.this.bean.getStatus());
                    StringBuilder builder = new StringBuilder("");
                    if (redType2 == 2) {
                        if (status == 0) {
                            builder.append("1").append(LocaleController.getString(R.string.redpacket_each)).append(LocaleController.getString(R.string.RedPacket)).append(LocaleController.getString(R.string.TotalSingleWords)).append(DataTools.format2Decimals(total.divide(new BigDecimal("100")).toString())).append(LocaleController.getString(R.string.UnitCNY)).append("，").append(LocaleController.getString(R.string.WaitToReceived));
                        } else if (status == 1) {
                            builder.append(LocaleController.getString(R.string.AlreadyReceive)).append("1/1").append(LocaleController.getString(R.string.redpacket_each)).append("，").append(LocaleController.getString(R.string.TotalSingleWords)).append(DataTools.format2Decimals(total.divide(new BigDecimal("100")).toString())).append("/").append(DataTools.format2Decimals(total.divide(new BigDecimal("100")).toString())).append(LocaleController.getString(R.string.UnitCNY));
                            RedpktGroupDetailActivity.this.tvRpkBackDesc.setVisibility(8);
                        } else {
                            builder.append(LocaleController.getString(R.string.RedpacketHadExpired)).append(LocaleController.getString(R.string.FullStop)).append(LocaleController.getString(R.string.AlreadyReceive)).append("0/1").append(LocaleController.getString(R.string.redpacket_each)).append(LocaleController.getString(R.string.Comma)).append(LocaleController.getString(R.string.TotalSingleWords)).append("0.00/").append(DataTools.format2Decimals(total.divide(new BigDecimal("100")).toString())).append(LocaleController.getString(R.string.UnitCNY));
                        }
                    } else if (status == 0) {
                        if (RedpktGroupDetailActivity.this.records == null || RedpktGroupDetailActivity.this.records.size() == 0) {
                            builder.append(RedpktGroupDetailActivity.this.bean.getNumber()).append(LocaleController.getString(R.string.redpacket_each)).append(LocaleController.getString(R.string.RedPacket)).append(LocaleController.getString(R.string.TotalSingleWords)).append(DataTools.format2Decimals(total.divide(new BigDecimal("100")).toString())).append(LocaleController.getString(R.string.UnitCNY)).append(LocaleController.getString(R.string.Comma)).append(LocaleController.getString(R.string.WaitToReceived));
                        } else {
                            builder.append(LocaleController.getString(R.string.AlreadyReceive));
                            builder.append(RedpktGroupDetailActivity.this.bean.getNumber() - RedpktGroupDetailActivity.this.bean.getSurplusNumber());
                            builder.append("/");
                            builder.append(RedpktGroupDetailActivity.this.bean.getNumber());
                            builder.append(LocaleController.getString("Each", R.string.redpacket_each));
                            builder.append(",");
                            builder.append(LocaleController.getString(R.string.TotalSingleWords));
                            builder.append(DataTools.format2Decimals(subtract.divide(new BigDecimal("100")).toString()));
                            builder.append("/");
                            builder.append(DataTools.format2Decimals(total.divide(new BigDecimal("100")).toString()));
                            builder.append(LocaleController.getString(R.string.UnitCNY));
                        }
                    } else if (status == 1) {
                        builder.append(RedpktGroupDetailActivity.this.bean.getNumber()).append(LocaleController.getString(R.string.redpacket_each)).append(LocaleController.getString(R.string.RedPacket));
                        builder.append(LocaleController.getString(R.string.Comma)).append(RedpktGroupDetailActivity.this.bean.getDuration());
                        RedpktGroupDetailActivity.this.tvRpkBackDesc.setVisibility(8);
                    } else {
                        builder.append(LocaleController.getString(R.string.RedpacketHadExpired)).append(LocaleController.getString(R.string.Comma)).append(LocaleController.getString(R.string.AlreadyReceive)).append(RedpktGroupDetailActivity.this.bean.getNumber() - RedpktGroupDetailActivity.this.bean.getSurplusNumber()).append("/").append(RedpktGroupDetailActivity.this.bean.getNumber()).append(LocaleController.getString(R.string.Comma)).append(LocaleController.getString(R.string.TotalSingleWords));
                        builder.append(DataTools.format2Decimals(subtract.multiply(new BigDecimal("0.01")).toString()));
                        builder.append("/");
                        builder.append(DataTools.format2Decimals(total.multiply(new BigDecimal("0.01")).toString()));
                        builder.append(LocaleController.getString(R.string.UnitCNY));
                    }
                    cell.setText(builder.toString());
                    return;
                default:
                    BackupImageView ivAvatar = (BackupImageView) holder.itemView.findViewById(R.id.iv_avatar);
                    TextView tvName = (TextView) holder.itemView.findViewById(R.id.tv_type_and_from);
                    TextView tvCGnum = (TextView) holder.itemView.findViewById(R.id.tv_CG_num);
                    TextView tvCollectTime = (TextView) holder.itemView.findViewById(R.id.tv_time);
                    TextView tvFeatureBest = (TextView) holder.itemView.findViewById(R.id.tv_state);
                    RedpacketDetailRecord redpkgRecord = (RedpacketDetailRecord) RedpktGroupDetailActivity.this.records.get(position - 2);
                    ImageView ivFeatureImage = (ImageView) holder.itemView.findViewById(R.id.iv_best);
                    TLRPC.User receiver = RedpktGroupDetailActivity.this.getMessagesController().getUser(Integer.valueOf(Integer.parseInt(redpkgRecord.getUserId())));
                    if (receiver != null) {
                        AvatarDrawable avatarDrawable2 = new AvatarDrawable();
                        avatarDrawable2.setTextSize(AndroidUtilities.dp(16.0f));
                        avatarDrawable2.setInfo(receiver);
                        ivAvatar.setRoundRadius(AndroidUtilities.dp(7.5f));
                        ivAvatar.getImageReceiver().setCurrentAccount(RedpktGroupDetailActivity.this.currentAccount);
                        ivAvatar.setImage(ImageLocation.getForUser(receiver, false), "50_50", avatarDrawable2, receiver);
                        tvName.setText(receiver.first_name);
                    }
                    BigDecimal money = new BigDecimal(redpkgRecord.getTotalFee());
                    tvCGnum.setText(DataTools.format2Decimals(money.divide(new BigDecimal("100")).toString()));
                    tvCollectTime.setText(redpkgRecord.getCreateTimeFormat());
                    if ("1".equals(redpkgRecord.getIsOptimum()) && RedpktGroupDetailActivity.this.isRandom) {
                        tvFeatureBest.setVisibility(0);
                        ivFeatureImage.setVisibility(0);
                        tvFeatureBest.setText(LocaleController.getString(R.string.BestOfLuck));
                        tvFeatureBest.setTextColor(-85688);
                        return;
                    }
                    tvFeatureBest.setText("");
                    ivFeatureImage.setVisibility(8);
                    return;
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return RedpktGroupDetailActivity.this.rowCount;
        }
    }
}
