package im.uecahxyvjd.ui.hui.packet;

import android.content.Context;
import android.content.DialogInterface;
import android.graphics.Typeface;
import android.text.Html;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import androidx.recyclerview.widget.LinearLayoutManager;
import com.blankj.utilcode.util.SpanUtils;
import im.uecahxyvjd.javaBean.hongbao.UnifyBean;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.messenger.utils.DataTools;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.ParamsUtil;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLApiModel;
import im.uecahxyvjd.tgnet.TLJsonResolve;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCRedpacket;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.dialogs.BottomDialog;
import im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageHolder;
import im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter;
import im.uecahxyvjd.ui.hui.packet.bean.RecordBean;
import im.uecahxyvjd.ui.hui.packet.bean.RecordResponse;
import im.uecahxyvjd.ui.utils.number.StringUtils;
import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.List;
/* loaded from: classes6.dex */
public class RedpktRecordsActivity extends BaseFragment implements View.OnClickListener {
    private static final int RECEIVER_TYPE = 1;
    private static final int SEND_TYPE = 0;
    private int currentType = -1;
    private MyAdapter mAdapter;
    private Context mContext;
    private View mIndicatorReceive;
    private View mIndicatorSend;
    private BackupImageView mIvAvatar;
    private RecyclerListView mListView;
    private LinearLayout mLlSelectTime;
    private TextView mTvCGNum;
    private TextView mTvLuckyTimes;
    private TextView mTvReceive;
    private TextView mTvRedPacketNum;
    private TextView mTvSend;
    private TextView mTvTimeText;
    private int requestId;
    private int selectedTime;
    private TextView tvMoneyUnit;
    private TLRPC.User user;

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        this.user = UserConfig.getInstance(UserConfig.selectedAccount).getCurrentUser();
        return super.onFragmentCreate();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.mContext = context;
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_hongbao_records_layout, (ViewGroup) null, false);
        this.fragmentView.setBackgroundColor(-328966);
        this.fragmentView.setOnTouchListener(new View.OnTouchListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktRecordsActivity$$ExternalSyntheticLambda3
            @Override // android.view.View.OnTouchListener
            public final boolean onTouch(View view, MotionEvent motionEvent) {
                return RedpktRecordsActivity.lambda$createView$0(view, motionEvent);
            }
        });
        initActionBar();
        initView();
        return this.fragmentView;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ boolean lambda$createView$0(View v, MotionEvent event) {
        return true;
    }

    private void initActionBar() {
        this.actionBar.setTitle(LocaleController.getString("RedPacketRecords", R.string.RedPacketRecords));
        this.actionBar.setTitleColor(-1);
        this.actionBar.setItemsColor(-1, false);
        this.actionBar.setBackground(this.gameActionBarBackgroundDrawable);
        this.actionBar.setCastShadows(false);
        this.actionBar.setBackButtonImage(R.mipmap.ic_back_white);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktRecordsActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    RedpktRecordsActivity.this.finishFragment();
                }
            }
        });
    }

    private void initView() {
        this.mTvReceive = (TextView) this.fragmentView.findViewById(R.id.tv_receive);
        this.mTvSend = (TextView) this.fragmentView.findViewById(R.id.tv_send);
        this.mIndicatorReceive = this.fragmentView.findViewById(R.id.indicator_receive);
        this.mIndicatorSend = this.fragmentView.findViewById(R.id.indicator_send);
        this.mIndicatorReceive.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(3.0f), this.mContext.getResources().getColor(R.color.color_red_packet_default)));
        this.mIndicatorSend.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(3.0f), this.mContext.getResources().getColor(R.color.color_red_packet_default)));
        this.mLlSelectTime = (LinearLayout) this.fragmentView.findViewById(R.id.ll_select_time);
        this.mTvTimeText = (TextView) this.fragmentView.findViewById(R.id.tv_time_text);
        this.mIvAvatar = (BackupImageView) this.fragmentView.findViewById(R.id.iv_avatar);
        this.mTvRedPacketNum = (TextView) this.fragmentView.findViewById(R.id.tv_red_packet_num);
        this.mTvCGNum = (TextView) this.fragmentView.findViewById(R.id.tv_CG_num);
        this.mTvLuckyTimes = (TextView) this.fragmentView.findViewById(R.id.tv_lucky_times);
        this.tvMoneyUnit = (TextView) this.fragmentView.findViewById(R.id.tvMoneyUnit);
        this.mTvTimeText.setTextColor(this.mContext.getResources().getColor(R.color.color_red_packet_default));
        this.mTvReceive.setOnClickListener(this);
        this.mTvSend.setOnClickListener(this);
        this.mLlSelectTime.setOnClickListener(this);
        this.tvMoneyUnit.setText(LocaleController.getString(R.string.UnitCNY));
        initListView();
        initAvatar();
        switchUI(1);
    }

    private void initListView() {
        RecyclerListView recyclerListView = (RecyclerListView) this.fragmentView.findViewById(R.id.rv_records);
        this.mListView = recyclerListView;
        recyclerListView.setLayoutManager(new LinearLayoutManager(this.mContext));
        MyAdapter myAdapter = new MyAdapter(this.mContext);
        this.mAdapter = myAdapter;
        if (myAdapter.getAdapterStateView() != null) {
            this.mAdapter.getAdapterStateView().getView().setBackgroundColor(-1);
        }
        this.mListView.setAdapter(this.mAdapter);
        this.mListView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktRecordsActivity$$ExternalSyntheticLambda4
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                RedpktRecordsActivity.lambda$initListView$1(view, i);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$initListView$1(View view, int position) {
    }

    private void initAvatar() {
        AvatarDrawable avatarDrawable = new AvatarDrawable();
        avatarDrawable.setTextSize(AndroidUtilities.dp(16.0f));
        avatarDrawable.setInfo(this.user);
        avatarDrawable.setColor(Theme.getColor(Theme.key_avatar_backgroundInProfileBlue));
        this.mIvAvatar.setRoundRadius(AndroidUtilities.dp(7.5f));
        this.mIvAvatar.getImageReceiver().setCurrentAccount(this.currentAccount);
        this.mIvAvatar.setImage(ImageLocation.getForUser(this.user, false), "32_32", avatarDrawable, this.user);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void requestRecords(int page) {
        String startTime;
        int timeType;
        AlertDialog dialog = null;
        if (page == 1) {
            dialog = new AlertDialog(this.mContext, 3);
            dialog.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktRecordsActivity$$ExternalSyntheticLambda0
                @Override // android.content.DialogInterface.OnCancelListener
                public final void onCancel(DialogInterface dialogInterface) {
                    RedpktRecordsActivity.this.m3685xb1d3ff79(dialogInterface);
                }
            });
            showDialog(dialog);
        }
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        Calendar calendar = Calendar.getInstance();
        int month = calendar.get(2);
        int day = calendar.get(5);
        String endTime = sdf.format(Long.valueOf(calendar.getTimeInMillis()));
        int timeType2 = this.selectedTime;
        if (timeType2 != 0 && timeType2 != 1 && timeType2 != 2) {
            calendar.set(5, day - 7);
            startTime = sdf.format(Long.valueOf(calendar.getTimeInMillis()));
            timeType = 2;
        } else {
            if (timeType2 == 0) {
                calendar.set(2, month - 5);
            } else if (timeType2 == 1) {
                calendar.set(2, month - 2);
            }
            startTime = new SimpleDateFormat("yyyy-MM").format(Long.valueOf(calendar.getTimeInMillis())) + "-01";
            timeType = 1;
        }
        TLRPCRedpacket.CL_message_rpkTransferHistory req = new TLRPCRedpacket.CL_message_rpkTransferHistory();
        req.flags = 2;
        req.trans = 0;
        req.data = new TLRPC.TL_dataJSON();
        req.data.data = ParamsUtil.toUserIdJson(UnifyBean.BUSINESS_KEY_REDPACKET_RECORDS, new String[]{"type", "startTime", "endTime", "page", "size", "nonceStr", "timeType"}, Integer.valueOf(this.currentType), startTime, endTime, Integer.valueOf(page), 20, StringUtils.getRandomString(20) + getConnectionsManager().getCurrentTime(), Integer.valueOf(timeType));
        final AlertDialog finalDialog = dialog;
        ConnectionsManager connectionsManager = getConnectionsManager();
        int sendRequest = getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktRecordsActivity$$ExternalSyntheticLambda1
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                RedpktRecordsActivity.this.m3687x38ea3afb(finalDialog, tLObject, tL_error);
            }
        });
        this.requestId = sendRequest;
        connectionsManager.bindRequestToGuid(sendRequest, this.classGuid);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$requestRecords$2$im-uecahxyvjd-ui-hui-packet-RedpktRecordsActivity  reason: not valid java name */
    public /* synthetic */ void m3685xb1d3ff79(DialogInterface dialog1) {
        if (this.requestId != 0) {
            getConnectionsManager().cancelRequest(this.requestId, true);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$requestRecords$4$im-uecahxyvjd-ui-hui-packet-RedpktRecordsActivity  reason: not valid java name */
    public /* synthetic */ void m3687x38ea3afb(final AlertDialog finalDialog, final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktRecordsActivity$$ExternalSyntheticLambda2
            @Override // java.lang.Runnable
            public final void run() {
                RedpktRecordsActivity.this.m3686xf55f1d3a(finalDialog, error, response);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$requestRecords$3$im-uecahxyvjd-ui-hui-packet-RedpktRecordsActivity  reason: not valid java name */
    public /* synthetic */ void m3686xf55f1d3a(AlertDialog finalDialog, TLRPC.TL_error error, TLObject response) {
        if (finalDialog != null) {
            finalDialog.dismiss();
        }
        if (error != null) {
            ToastUtils.show((CharSequence) error.text);
        } else if (response instanceof TLRPC.TL_updates) {
            TLRPC.TL_updates updates = (TLRPC.TL_updates) response;
            if (updates.updates != null && updates.updates.size() > 0) {
                TLRPC.Update update = updates.updates.get(0);
                if (update instanceof TLRPCRedpacket.CL_updateRpkTransfer) {
                    TLRPCRedpacket.CL_updateRpkTransfer recordMedia = (TLRPCRedpacket.CL_updateRpkTransfer) update;
                    TLApiModel<RecordResponse> parse = TLJsonResolve.parse(recordMedia.data, RecordResponse.class);
                    if ("0".equals(parse.code)) {
                        RecordResponse ret = (RecordResponse) parse.model;
                        initData(ret);
                        return;
                    }
                    ToastUtils.show((CharSequence) parse.message);
                }
            }
        }
    }

    private void initData(RecordResponse response) {
        String RedPacketNum = "";
        switch (this.currentType) {
            case 0:
                BigDecimal bigDecimal = new BigDecimal(response.getRedCount().getTotaFee());
                this.mTvCGNum.setText(DataTools.format2Decimals(bigDecimal.divide(new BigDecimal("100")).toString()));
                this.mTvLuckyTimes.setVisibility(8);
                RedPacketNum = String.format(LocaleController.getString("TotalSentFormat", R.string.TotalSentFormat), UserObject.getName(this.user), Integer.valueOf(response.getRedCount().getRedCont()));
                break;
            case 1:
                BigDecimal bigDecimal2 = new BigDecimal(response.getRedCount().getTotaFee());
                this.mTvCGNum.setText(DataTools.format2Decimals(bigDecimal2.divide(new BigDecimal("100")).toString()));
                String LuckyTimes = String.format(LocaleController.getString("LuckyTimes", R.string.LuckyTimes), response.getRedCount().getIsOptimumCount());
                this.mTvLuckyTimes.setText(Html.fromHtml(LuckyTimes));
                this.mTvLuckyTimes.setVisibility(0);
                RedPacketNum = String.format(LocaleController.getString("TotalReceivedFormat", R.string.TotalReceivedFormat), UserObject.getName(this.user), Integer.valueOf(response.getRedCount().getRedCont()));
                break;
        }
        this.mTvRedPacketNum.setText(Html.fromHtml(RedPacketNum));
        this.mAdapter.addData((List) response.getRecord());
    }

    private void switchUI(int state) {
        if (this.currentType == state) {
            return;
        }
        this.currentType = state;
        switch (state) {
            case 0:
                this.mTvSend.setTextColor(this.mContext.getResources().getColor(R.color.color_red_packet_default));
                this.mTvReceive.setTextColor(-16777216);
                this.mTvSend.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
                this.mTvReceive.setTypeface(Typeface.DEFAULT);
                this.mIndicatorSend.setVisibility(0);
                this.mIndicatorReceive.setVisibility(8);
                break;
            case 1:
                this.mTvReceive.setTextColor(this.mContext.getResources().getColor(R.color.color_red_packet_default));
                this.mTvSend.setTextColor(-16777216);
                this.mTvReceive.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
                this.mTvSend.setTypeface(Typeface.DEFAULT);
                this.mIndicatorReceive.setVisibility(0);
                this.mIndicatorSend.setVisibility(8);
                break;
        }
        this.mAdapter.reLoadData();
    }

    @Override // android.view.View.OnClickListener
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.ll_select_time /* 2131296954 */:
                final BottomDialog dialog = new BottomDialog(this.mContext);
                dialog.addDialogItem(new BottomDialog.NormalTextItem(0, LocaleController.getString(R.string.TimeWithinHalfAYear), true));
                dialog.addDialogItem(new BottomDialog.NormalTextItem(1, LocaleController.getString(R.string.TimeWithinThreeMonths), true));
                dialog.addDialogItem(new BottomDialog.NormalTextItem(2, LocaleController.getString(R.string.TimeWithinOneMonths), true));
                dialog.addDialogItem(new BottomDialog.NormalTextItem(3, LocaleController.getString(R.string.TimeWithinSevenDays), false));
                dialog.setOnItemClickListener(new BottomDialog.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktRecordsActivity$$ExternalSyntheticLambda5
                    @Override // im.uecahxyvjd.ui.dialogs.BottomDialog.OnItemClickListener
                    public final void onItemClick(int i, View view) {
                        RedpktRecordsActivity.this.m3684xccb9e98(dialog, i, view);
                    }
                });
                showDialog(dialog);
                return;
            case R.id.tv_receive /* 2131297820 */:
                switchUI(1);
                return;
            case R.id.tv_send /* 2131297841 */:
                switchUI(0);
                return;
            default:
                return;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onClick$5$im-uecahxyvjd-ui-hui-packet-RedpktRecordsActivity  reason: not valid java name */
    public /* synthetic */ void m3684xccb9e98(BottomDialog dialog, int id, View v1) {
        BottomDialog.NormalTextItem item = (BottomDialog.NormalTextItem) v1;
        this.mTvTimeText.setText(item.getContent());
        this.selectedTime = id;
        this.mAdapter.reLoadData();
        dialog.dismiss();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        MyAdapter myAdapter = this.mAdapter;
        if (myAdapter != null) {
            myAdapter.destroy();
            this.mAdapter = null;
        }
        super.onFragmentDestroy();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes6.dex */
    public class MyAdapter extends PageSelectionAdapter<RecordBean, ViewHolder> {
        MyAdapter(Context context) {
            super(context);
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
        public ViewHolder onCreateViewHolderForChild(ViewGroup parent, int viewType) {
            View view = LayoutInflater.from(RedpktRecordsActivity.this.mContext).inflate(R.layout.item_red_packet_records, parent, false);
            view.setBackgroundColor(-1);
            return new ViewHolder(view);
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter
        public void onBindViewHolderForChild(ViewHolder holder, int position, RecordBean item) {
            int redType = item.getRedType();
            int grantType = item.getGrantType();
            int status = item.getStatus();
            StringBuilder builder = new StringBuilder();
            switch (RedpktRecordsActivity.this.currentType) {
                case 0:
                    holder.ivAvatar.setVisibility(8);
                    holder.ivAvatarDefault.setVisibility(0);
                    if (redType == 0) {
                        holder.ivAvatarDefault.setImageResource(R.mipmap.icon_rpk_persernal);
                        holder.ivAvatarDefault.setBackgroundDrawable(Theme.createCircleDrawable(AndroidUtilities.dp(45.0f), -350121));
                    } else if (redType == 1) {
                        if (grantType == 0) {
                            holder.ivAvatarDefault.setImageResource(R.mipmap.icon_rpk_normal);
                            holder.ivAvatarDefault.setBackgroundDrawable(Theme.createCircleDrawable(AndroidUtilities.dp(45.0f), -2737326));
                        } else {
                            holder.ivAvatarDefault.setImageResource(R.mipmap.icon_rpk_random);
                            holder.ivAvatarDefault.setBackgroundDrawable(Theme.createCircleDrawable(AndroidUtilities.dp(45.0f), -2737326));
                        }
                    } else {
                        holder.ivAvatarDefault.setImageResource(R.mipmap.icon_rpk_group_personal);
                        holder.ivAvatarDefault.setBackgroundDrawable(Theme.createCircleDrawable(AndroidUtilities.dp(45.0f), -8274));
                    }
                    if (redType == 0) {
                        builder.append(LocaleController.getString(R.string.redpacket_group_person));
                    } else if (redType == 1) {
                        if (grantType == 0) {
                            builder.append(LocaleController.getString(R.string.redpacket_group_common));
                        } else {
                            builder.append(LocaleController.getString(R.string.redpacket_group_random));
                        }
                    } else {
                        builder.append(LocaleController.getString(R.string.redpacket_group_exclusive));
                    }
                    holder.tvTypeAndFrom.setText(builder.toString());
                    BigDecimal bigDecimal = new BigDecimal(item.getTotalFee());
                    holder.tvCGNum.setText(DataTools.format2Decimals(bigDecimal.divide(new BigDecimal("100")).toString()));
                    if (status == 1) {
                        holder.tvState.setText(LocaleController.getString(R.string.redpacket_all_already_received));
                    } else if (status == 2) {
                        BigDecimal backDecimal = new BigDecimal(item.getSurplusAmount());
                        SpanUtils spanUtils = SpanUtils.with(holder.tvState).append(LocaleController.getString(R.string.ReturnSpace)).setForegroundColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText3)).append(DataTools.format2Decimals(backDecimal.divide(new BigDecimal("100")).toString())).setForegroundColor(-2737326).append(" ");
                        spanUtils.setForegroundColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText3)).create();
                    } else {
                        holder.tvState.setText(LocaleController.getString(R.string.Unclaimed));
                    }
                    holder.tvTime.setText(item.getCreateTime());
                    return;
                case 1:
                    holder.ivAvatar.setVisibility(0);
                    holder.ivAvatarDefault.setVisibility(8);
                    TLRPC.User sender = RedpktRecordsActivity.this.getMessagesController().getUser(Integer.valueOf(Integer.parseInt(item.getInitiatorUserId())));
                    if (sender != null) {
                        AvatarDrawable avatarDrawable = new AvatarDrawable();
                        avatarDrawable.setTextSize(AndroidUtilities.dp(16.0f));
                        avatarDrawable.setInfo(sender);
                        holder.ivAvatar.setRoundRadius(AndroidUtilities.dp(7.0f));
                        holder.ivAvatar.getImageReceiver().setCurrentAccount(RedpktRecordsActivity.this.currentAccount);
                        holder.ivAvatar.setImage(ImageLocation.getForUser(sender, false), "50_50", avatarDrawable, sender);
                    }
                    if (redType == 0) {
                        builder.append(LocaleController.getString(R.string.RedPackagePersonaleFrom));
                    } else if (redType == 1) {
                        if (grantType == 0) {
                            builder.append(LocaleController.getString(R.string.RedPackageNormalFrom));
                        } else {
                            builder.append(LocaleController.getString(R.string.RedPackageLuckyFrom));
                        }
                    } else {
                        builder.append(LocaleController.getString(R.string.RedPackageDesignatedFrom));
                    }
                    if (sender != null) {
                        builder.append(UserObject.getName(sender));
                    } else {
                        builder.append(LocaleController.getString(R.string.UnKnown));
                    }
                    holder.tvTypeAndFrom.setText(builder.toString());
                    BigDecimal bigDecimal2 = new BigDecimal(item.getReceiveTotalFee());
                    holder.tvCGNum.setText(DataTools.format2Decimals(bigDecimal2.multiply(new BigDecimal("0.01")).toString()));
                    holder.tvState.setText(LocaleController.getString("AlreadyReceived", R.string.AlreadyReceive));
                    holder.tvTime.setText(item.getCreateTime());
                    return;
                default:
                    return;
            }
        }

        @Override // im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageSelectionAdapter, im.uecahxyvjd.ui.hui.adapter.pageAdapter.PageLoadMoreListener
        public void loadData(int page) {
            super.loadData(page);
            RedpktRecordsActivity.this.requestRecords(page);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes6.dex */
    public static class ViewHolder extends PageHolder {
        BackupImageView ivAvatar;
        ImageView ivAvatarDefault;
        ImageView ivBest;
        TextView tvCGNum;
        TextView tvState;
        TextView tvTime;
        TextView tvTypeAndFrom;

        ViewHolder(View itemView) {
            super(itemView, 0);
            this.ivAvatar = (BackupImageView) itemView.findViewById(R.id.iv_avatar);
            this.ivAvatarDefault = (ImageView) itemView.findViewById(R.id.iv_default_avatar);
            this.tvTypeAndFrom = (TextView) itemView.findViewById(R.id.tv_type_and_from);
            this.tvTime = (TextView) itemView.findViewById(R.id.tv_time);
            this.tvCGNum = (TextView) itemView.findViewById(R.id.tv_CG_num);
            this.tvState = (TextView) itemView.findViewById(R.id.tv_state);
            this.ivBest = (ImageView) itemView.findViewById(R.id.iv_best);
        }
    }
}
