package im.uecahxyvjd.ui.hui.packet;

import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.text.Editable;
import android.text.InputFilter;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.Base64;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.Button;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.GridView;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ListAdapter;
import android.widget.TextView;
import butterknife.BindView;
import com.blankj.utilcode.util.SpanUtils;
import com.google.firebase.remoteconfig.FirebaseRemoteConfig;
import com.google.gson.Gson;
import com.litesuits.orm.db.assit.SQLBuilder;
import im.uecahxyvjd.javaBean.hongbao.UnifyBean;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.utils.DataTools;
import im.uecahxyvjd.messenger.utils.status.StatusBarUtils;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.SerializedData;
import im.uecahxyvjd.tgnet.TLApiModel;
import im.uecahxyvjd.tgnet.TLJsonResolve;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCRedpacket;
import im.uecahxyvjd.tgnet.TLRPCWallet;
import im.uecahxyvjd.ui.ChatActivity;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.BottomSheet;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.actionbar.XAlertDialog;
import im.uecahxyvjd.ui.hui.adapter.EditInputFilter;
import im.uecahxyvjd.ui.hui.contacts.AddContactsInfoActivity;
import im.uecahxyvjd.ui.hui.mine.AboutAppActivity;
import im.uecahxyvjd.ui.hui.packet.bean.RepacketRequest;
import im.uecahxyvjd.ui.hui.wallet_public.bean.WalletAccountInfo;
import im.uecahxyvjd.ui.hui.wallet_public.bean.WalletConfigBean;
import im.uecahxyvjd.ui.hui.wallet_public.utils.WalletDialogUtil;
import im.uecahxyvjd.ui.hui.wallet_public.utils.WalletErrorUtil;
import im.uecahxyvjd.ui.hviews.MryTextView;
import im.uecahxyvjd.ui.utils.AesUtils;
import im.uecahxyvjd.ui.utils.number.StringUtils;
import java.math.BigDecimal;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
/* loaded from: classes6.dex */
public class RedpktSendActivity extends BaseFragment {
    private WalletAccountInfo accountInfo;
    @BindView(R.id.btn_red_packet_send)
    Button btnRedPacketSend;
    @BindView(R.id.et_red_packet_amount)
    EditText etRedPacketAmount;
    @BindView(R.id.et_red_packet_greet)
    EditText etRedPacketGreet;
    @BindView(R.id.fl_amount_show_layout)
    FrameLayout flAmountShowLayout;
    private boolean inited;
    @BindView(R.id.ll_amount_layout)
    LinearLayout llAmountLayout;
    private LinearLayout llPayPassword;
    @BindView(R.id.ll_remark_layout)
    LinearLayout llRemarkLayout;
    private Context mContext;
    private List<Integer> mNumbers;
    private TextView[] mTvPasswords;
    private int notEmptyTvCount;
    private XAlertDialog progressView;
    private int reqId;
    private TLRPC.User targetUser;
    @BindView(R.id.tv_amount_show_unit)
    MryTextView tvAmountShowUnit;
    @BindView(R.id.tv_amount_show_view)
    TextView tvAmountShowView;
    private TextView tvForgotPassword;
    @BindView(R.id.tv_red_packet_amount_hint)
    TextView tvRedPacketAmountHint;
    @BindView(R.id.tv_red_packet_greet_hint)
    TextView tvRedPacketGreetHint;
    @BindView(R.id.tv_red_packet_unit)
    MryTextView tvRedPacketUnit;
    @BindView(R.id.tv_rpk_promet)
    MryTextView tvRpkPromet;
    @BindView(R.id.tv_time_out_desc)
    TextView tvTimeOutDesc;
    private int userId;

    public RedpktSendActivity(Bundle args) {
        super(args);
        this.mNumbers = new ArrayList(Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8, 9, -10, 0, -11));
    }

    public void setAccountInfo(WalletAccountInfo accountInfo) {
        this.accountInfo = accountInfo;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        if (this.arguments != null) {
            this.userId = this.arguments.getInt("user_id", 0);
        }
        if (this.userId > 0) {
            this.targetUser = getMessagesController().getUser(Integer.valueOf(this.userId));
            return true;
        }
        return true;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onResume() {
        super.onResume();
        getParentActivity().setRequestedOrientation(1);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        if (Theme.getCurrentTheme().isDark()) {
            StatusBarUtils.setStatusBarDarkTheme(getParentActivity(), false);
        } else {
            StatusBarUtils.setStatusBarDarkTheme(getParentActivity(), true);
        }
        super.onFragmentDestroy();
        getParentActivity().setRequestedOrientation(2);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onTransitionAnimationEnd(boolean isOpen, boolean backward) {
        super.onTransitionAnimationEnd(isOpen, backward);
        if (isOpen && this.accountInfo == null) {
            getAccountInfo();
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.mContext = context;
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_hongbao_send_layout, (ViewGroup) null, false);
        this.fragmentView.setBackgroundColor(-328966);
        useButterKnife();
        initActionBar();
        initView();
        StatusBarUtils.setStatusBarDarkTheme(getParentActivity(), false);
        return this.fragmentView;
    }

    private void initActionBar() {
        this.actionBar.setTitle(LocaleController.getString(R.string.redpacket_send));
        this.actionBar.setTitleColor(-1);
        this.actionBar.setItemsBackgroundColor(-1, false);
        this.actionBar.setItemsBackgroundColor(-1, true);
        this.actionBar.setItemsColor(-1, false);
        this.actionBar.setItemsColor(-1, true);
        this.actionBar.setBackground(this.gameActionBarBackgroundDrawable);
        this.actionBar.setAllowOverlayTitle(true);
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.getBackButton().setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda35
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                RedpktSendActivity.this.m3701x45846271(view);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initActionBar$0$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3701x45846271(View v) {
        finishFragment();
    }

    private void initView() {
        this.btnRedPacketSend.setEnabled(false);
        this.btnRedPacketSend.setText(LocaleController.getString(R.string.SendHotCoin));
        this.tvRpkPromet.setVisibility(8);
        this.tvRedPacketGreetHint.setText(LocaleController.getString(R.string.redpacket_greetings_tip));
        this.tvTimeOutDesc.setText(LocaleController.getString(R.string.RedPacketsWillReturnWhenNotReceivedIn24Hours));
        this.tvRedPacketAmountHint.setText(LocaleController.getString(R.string.redpacket_amount));
        this.etRedPacketAmount.setFilters(new InputFilter[]{new EditInputFilter()});
        this.etRedPacketAmount.addTextChangedListener(new TextWatcher() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity.1
            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence s, int start, int count, int after) {
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence s, int start, int before, int count) {
                RedpktSendActivity.this.tvAmountShowView.setText(DataTools.format2Decimals(s.toString()));
                if (s.length() <= 0) {
                    RedpktSendActivity.this.updateEditLayout(0, false);
                    RedpktSendActivity.this.tvRedPacketAmountHint.setText(LocaleController.getString(R.string.redpacket_amount));
                    RedpktSendActivity.this.btnRedPacketSend.setEnabled(false);
                    return;
                }
                RedpktSendActivity.this.tvRedPacketAmountHint.setText("");
                BigDecimal amount = new BigDecimal(s.toString().trim());
                int ret = amount.compareTo(new BigDecimal("0.01"));
                boolean isMaxAmountSingleOnce = false;
                if (WalletConfigBean.getInstance().getRedPacketMaxMoneySingleTime() != FirebaseRemoteConfig.DEFAULT_VALUE_FOR_DOUBLE && amount.compareTo(new BigDecimal(WalletConfigBean.getInstance().getRedPacketMaxMoneySingleTime()).divide(new BigDecimal(100))) > 0) {
                    isMaxAmountSingleOnce = true;
                    ret = -1;
                }
                RedpktSendActivity.this.updateEditLayout(ret, isMaxAmountSingleOnce);
                if (ret >= 0) {
                    RedpktSendActivity.this.btnRedPacketSend.setEnabled(true);
                } else {
                    RedpktSendActivity.this.btnRedPacketSend.setEnabled(false);
                }
            }

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
            }
        });
        this.etRedPacketGreet.addTextChangedListener(new TextWatcher() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity.2
            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence s, int start, int count, int after) {
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence s, int start, int before, int count) {
                if (s.length() > 0) {
                    RedpktSendActivity.this.tvRedPacketGreetHint.setText("");
                } else {
                    RedpktSendActivity.this.tvRedPacketGreetHint.setText(LocaleController.getString(R.string.redpacket_greetings_tip));
                }
            }

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
            }
        });
        this.btnRedPacketSend.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                RedpktSendActivity.this.m3702lambda$initView$1$imuecahxyvjduihuipacketRedpktSendActivity(view);
            }
        });
        this.tvRedPacketUnit.setText(LocaleController.getString(R.string.UnitCNY));
        this.tvAmountShowUnit.setText(LocaleController.getString(R.string.UnitCNY));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initView$1$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3702lambda$initView$1$imuecahxyvjduihuipacketRedpktSendActivity(View v) {
        createPayAlert(this.accountInfo.getCashAmount() / 100.0d);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void updateEditLayout(int ret, boolean isMaxAmountSingleOnce) {
        if (ret < 0) {
            this.tvRpkPromet.setVisibility(0);
            this.etRedPacketAmount.setTextColor(-109240);
            this.tvRedPacketUnit.setTextColor(-109240);
            if (!isMaxAmountSingleOnce) {
                this.tvRpkPromet.setText(LocaleController.getString(R.string.redpacket_single_limit_personal3) + LocaleController.getString(R.string.HotCoin));
                return;
            } else {
                this.tvRpkPromet.setText(LocaleController.getString(R.string.SingleRedPacketAmoutCannotExceeds) + " " + new DecimalFormat("#").format(WalletConfigBean.getInstance().getRedPacketMaxMoneySingleTime() / 100.0d) + LocaleController.getString(R.string.HotCoin));
                return;
            }
        }
        this.tvRpkPromet.setVisibility(8);
        this.etRedPacketAmount.setTextColor(-16777216);
        this.tvRedPacketUnit.setTextColor(-16777216);
        this.tvRedPacketGreetHint.setTextColor(-3355444);
    }

    private void createPayAlert(double balance) {
        BottomSheet.Builder builder = new BottomSheet.Builder(getParentActivity());
        builder.setApplyTopPadding(false);
        builder.setApplyBottomPadding(false);
        View sheet = LayoutInflater.from(getParentActivity()).inflate(R.layout.layout_hongbao_pay_pwd, (ViewGroup) null, false);
        builder.setCustomView(sheet);
        ImageView ivAlertClose = (ImageView) sheet.findViewById(R.id.ivAlertClose);
        ivAlertClose.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda30
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                RedpktSendActivity.this.m3688xd1bcf752(view);
            }
        });
        TextView tvTitle = (TextView) sheet.findViewById(R.id.tvTitle);
        tvTitle.setText(LocaleController.getString(R.string.CgCoinRedpacket));
        TextView tvShowMoneyView = (TextView) sheet.findViewById(R.id.tvShowMoneyView);
        tvShowMoneyView.setTextColor(-109240);
        tvShowMoneyView.setText(DataTools.format2Decimals(this.etRedPacketAmount.getText().toString().trim()));
        TextView tvMoneyUnit = (TextView) sheet.findViewById(R.id.tvMoneyUnit);
        TextView tvPayMode = (TextView) sheet.findViewById(R.id.tvPayMode);
        tvPayMode.setTextColor(-6710887);
        tvPayMode.setText(LocaleController.getString(R.string.HotCoinPay));
        TextView tvBlance = (TextView) sheet.findViewById(R.id.tvBlance);
        SpanUtils spanTvBalance = SpanUtils.with(tvBlance);
        spanTvBalance.setVerticalAlign(2).append(LocaleController.getString(R.string.friendscircle_publish_remain)).setForegroundColor(-6710887).append(" (").setForegroundColor(-6710887);
        spanTvBalance.append(String.format("%.2f", Double.valueOf(balance)));
        tvMoneyUnit.setText(LocaleController.getString(R.string.UnitCNY));
        spanTvBalance.setForegroundColor(-16777216).append(SQLBuilder.PARENTHESES_RIGHT).setForegroundColor(-6710887).create();
        TextView textView = (TextView) sheet.findViewById(R.id.tvForgotPassword);
        this.tvForgotPassword = textView;
        textView.setText(LocaleController.getString(R.string.PasswordRecovery));
        this.tvForgotPassword.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda31
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                RedpktSendActivity.lambda$createPayAlert$3(view);
            }
        });
        this.llPayPassword = (LinearLayout) sheet.findViewById(R.id.ll_pay_password);
        TextView[] textViewArr = new TextView[6];
        this.mTvPasswords = textViewArr;
        textViewArr[0] = (TextView) sheet.findViewById(R.id.tv_password_1);
        this.mTvPasswords[1] = (TextView) sheet.findViewById(R.id.tv_password_2);
        this.mTvPasswords[2] = (TextView) sheet.findViewById(R.id.tv_password_3);
        this.mTvPasswords[3] = (TextView) sheet.findViewById(R.id.tv_password_4);
        this.mTvPasswords[4] = (TextView) sheet.findViewById(R.id.tv_password_5);
        this.mTvPasswords[5] = (TextView) sheet.findViewById(R.id.tv_password_6);
        GridView gvKeyboard = (GridView) sheet.findViewById(R.id.gvKeyboard);
        gvKeyboard.setAdapter((ListAdapter) new MyAdapter());
        gvKeyboard.setOnItemClickListener(new AdapterView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda32
            @Override // android.widget.AdapterView.OnItemClickListener
            public final void onItemClick(AdapterView adapterView, View view, int i, long j) {
                RedpktSendActivity.this.m3689x45523b10(adapterView, view, i, j);
            }
        });
        Dialog dialog = showDialog(builder.create());
        dialog.setOnDismissListener(new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda34
            @Override // android.content.DialogInterface.OnDismissListener
            public final void onDismiss(DialogInterface dialogInterface) {
                RedpktSendActivity.this.m3690x7f1cdcef(dialogInterface);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createPayAlert$2$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3688xd1bcf752(View v) {
        dismissCurrentDialog();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$createPayAlert$3(View v) {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createPayAlert$4$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3689x45523b10(AdapterView parent, View view, int position, long id) {
        if (position < 9 || position == 10) {
            int i = this.notEmptyTvCount;
            TextView[] textViewArr = this.mTvPasswords;
            if (i == textViewArr.length) {
                return;
            }
            int length = textViewArr.length;
            int i2 = 0;
            while (true) {
                if (i2 >= length) {
                    break;
                }
                TextView textView = textViewArr[i2];
                if (!TextUtils.isEmpty(textView.getText())) {
                    i2++;
                } else {
                    textView.setText(String.valueOf(this.mNumbers.get(position)));
                    this.notEmptyTvCount++;
                    break;
                }
            }
            if (this.notEmptyTvCount == this.mTvPasswords.length) {
                StringBuilder password = new StringBuilder();
                for (TextView textView2 : this.mTvPasswords) {
                    String text = textView2.getText().toString();
                    if (!TextUtils.isEmpty(text)) {
                        password.append(text);
                    }
                }
                String encrypt = AesUtils.encrypt(password.toString().trim());
                BigDecimal bigTotal = new BigDecimal(this.etRedPacketAmount.getText().toString().trim());
                int total = bigTotal.multiply(new BigDecimal("100")).intValue();
                sendRedpacket(this.targetUser, String.valueOf(total), encrypt);
            }
        } else if (position == 11) {
            for (int i3 = this.mTvPasswords.length - 1; i3 >= 0; i3--) {
                if (!TextUtils.isEmpty(this.mTvPasswords[i3].getText())) {
                    this.mTvPasswords[i3].setText((CharSequence) null);
                    this.notEmptyTvCount--;
                    return;
                }
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createPayAlert$5$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3690x7f1cdcef(DialogInterface dialog1) {
        this.notEmptyTvCount = 0;
    }

    private void sendRedpacket(final TLRPC.User targetUser, String total, String pwd) {
        TLRPCRedpacket.CL_messages_sendRptTransfer req = new TLRPCRedpacket.CL_messages_sendRptTransfer();
        req.flags = 3;
        req.trans = 0;
        req.type = 0;
        req.peer = getMessagesController().getInputPeer(targetUser.id);
        RepacketRequest bean = new RepacketRequest();
        bean.setOutTradeNo("android_" + getUserConfig().clientUserId + StringUtils.getRandomString(16) + getConnectionsManager().getCurrentTime());
        bean.setNonceStr(StringUtils.getRandomString(32));
        bean.setBody(String.format("给%s发红包", targetUser.first_name));
        bean.setDetail("");
        bean.setAttach("");
        bean.setTotalFee(total);
        bean.setTradeType("1");
        bean.setRemarks(TextUtils.isEmpty(this.etRedPacketGreet.getText()) ? "" : this.etRedPacketGreet.getText().toString().trim());
        bean.setInitiator(String.valueOf(getUserConfig().getClientUserId()));
        bean.setPayPassWord(pwd);
        bean.setBusinessKey(UnifyBean.BUSINESS_KEY_REDPACKET);
        bean.setRecipient(String.valueOf(targetUser.id));
        bean.setVersion("1");
        bean.setRedType("0");
        bean.setGrantType("0");
        bean.setNumber(1);
        TLRPC.TL_dataJSON data = new TLRPC.TL_dataJSON();
        data.data = new Gson().toJson(bean);
        req.redPkg = data;
        req.random_id = getSendMessagesHelper().getNextRandomId();
        this.progressView = new XAlertDialog(getParentActivity(), 5);
        this.reqId = getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda17
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                RedpktSendActivity.this.m3711x886fa6f5(targetUser, tLObject, tL_error);
            }
        });
        this.progressView.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda18
            @Override // android.content.DialogInterface.OnCancelListener
            public final void onCancel(DialogInterface dialogInterface) {
                RedpktSendActivity.this.m3712x7fd9901f(dialogInterface);
            }
        });
        try {
            this.progressView.show();
            this.progressView.setLoadingText(LocaleController.getString(R.string.Sending));
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendRedpacket$19$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3711x886fa6f5(final TLRPC.User targetUser, final TLObject response, final TLRPC.TL_error error) {
        this.progressView.dismiss();
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda10
            @Override // java.lang.Runnable
            public final void run() {
                RedpktSendActivity.this.m3710x4ea50516(error, targetUser, response);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendRedpacket$18$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3710x4ea50516(final TLRPC.TL_error error, final TLRPC.User targetUser, TLObject response) {
        if (error != null) {
            if (error.text == null) {
                error.text = "";
            }
            error.text = error.text.replace("\n", "");
            if (error.text.contains("ACCOUNT_PASSWORD_IN_MINUTES,ERROR_TIMES,WILL_BE_FROZEN")) {
                String[] split = error.text.split("_");
                String str = split[split.length - 2];
                final String time = split[split.length - 1];
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda23
                    @Override // java.lang.Runnable
                    public final void run() {
                        RedpktSendActivity.this.m3713x6e41c347(time);
                    }
                });
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda24
                    @Override // java.lang.Runnable
                    public final void run() {
                        RedpktSendActivity.this.m3714xa80c6526();
                    }
                }, 2500L);
            } else if ("NOT_SUFFICIENT_FUNDS".equals(error.text)) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda25
                    @Override // java.lang.Runnable
                    public final void run() {
                        RedpktSendActivity.this.m3703xba1a97fd();
                    }
                });
            } else if ("ACCOUNT_HAS_BEEN_FROZEN_CODE".equals(error.text) || "PAY_PASSWORD_MAX_ACCOUNT_FROZEN".equals(error.text)) {
                dismissCurrentDialog();
                WalletDialogUtil.showWalletDialog(this, "", WalletErrorUtil.getErrorDescription(error.text), LocaleController.getString("Confirm", R.string.Confirm), LocaleController.getString("ContactCustomerService", R.string.ContactCustomerService), null, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda26
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        RedpktSendActivity.this.m3704xf3e539dc(dialogInterface, i);
                    }
                }, null);
            } else if ("MUTUALCONTACTNEED".equals(error.text)) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda27
                    @Override // java.lang.Runnable
                    public final void run() {
                        RedpktSendActivity.this.m3707xa1451f79(targetUser);
                    }
                });
            } else if (error.text.contains("EXCEED_RED_PACKET_ONCE_MAX_MONEY")) {
                dismissCurrentDialog();
                WalletDialogUtil.showSingleBtnWalletDialog(this, WalletErrorUtil.getErrorDescription(error.text), LocaleController.getString("Confirm", R.string.Confirm), false, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda28
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        RedpktSendActivity.this.m3708xdb0fc158(dialogInterface, i);
                    }
                }, null);
            } else {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda29
                    @Override // java.lang.Runnable
                    public final void run() {
                        RedpktSendActivity.this.m3709x14da6337(error);
                    }
                });
            }
        } else if (response instanceof TLRPC.Updates) {
            TLRPC.Updates updates = (TLRPC.Updates) response;
            getMessagesController().processUpdates(updates, false);
            finishFragment();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendRedpacket$6$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3713x6e41c347(String time) {
        TextView[] textViewArr;
        this.tvForgotPassword.setText(LocaleController.formatString("PassswordErrorText", R.string.PassswordErrorText, time));
        this.tvForgotPassword.setTextColor(-109240);
        this.tvForgotPassword.setEnabled(false);
        this.llPayPassword.setBackgroundResource(R.drawable.shape_pay_password_error_bg);
        this.llPayPassword.setDividerDrawable(getParentActivity().getResources().getDrawable(R.drawable.shape_pay_password_error_divider));
        for (TextView mTvPassword : this.mTvPasswords) {
            mTvPassword.setTextColor(-109240);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendRedpacket$7$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3714xa80c6526() {
        TextView[] textViewArr;
        this.tvForgotPassword.setText(LocaleController.getString("PasswordRecovery", R.string.PasswordRecovery));
        this.tvForgotPassword.setTextColor(-14250753);
        this.tvForgotPassword.setEnabled(true);
        this.llPayPassword.setBackgroundResource(R.drawable.shape_pay_password_bg);
        this.llPayPassword.setDividerDrawable(getParentActivity().getResources().getDrawable(R.drawable.shape_pay_password_divider));
        for (TextView mTvPassword : this.mTvPasswords) {
            mTvPassword.setText((CharSequence) null);
            mTvPassword.setTextColor(-16777216);
            this.notEmptyTvCount = 0;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendRedpacket$11$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3703xba1a97fd() {
        dismissCurrentDialog();
        WalletDialogUtil.showWalletDialog(this, "", LocaleController.getString("BalanceIsNotEnough", R.string.BalanceIsNotEnough), LocaleController.getString(R.string.ChangeHotCoinCount), LocaleController.getString(R.string.ChargeAmount), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda33
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                RedpktSendActivity.this.m3716x1ba1a8e4(dialogInterface, i);
            }
        }, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda36
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                RedpktSendActivity.lambda$sendRedpacket$10(dialogInterface, i);
            }
        }, null);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendRedpacket$9$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3716x1ba1a8e4(DialogInterface dialogInterface, int i) {
        this.etRedPacketAmount.requestFocus();
        EditText editText = this.etRedPacketAmount;
        editText.setSelection(editText.getText().length());
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda16
            @Override // java.lang.Runnable
            public final void run() {
                RedpktSendActivity.this.m3715xe1d70705();
            }
        }, 300L);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendRedpacket$8$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3715xe1d70705() {
        AndroidUtilities.showKeyboard(this.etRedPacketAmount);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$sendRedpacket$10(DialogInterface dialogInterface, int i) {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendRedpacket$12$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3704xf3e539dc(DialogInterface dialogInterface, int i) {
        presentFragment(new AboutAppActivity());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendRedpacket$15$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3707xa1451f79(final TLRPC.User targetUser) {
        dismissCurrentDialog();
        WalletDialogUtil.showWalletDialog(this, "", LocaleController.getString("AddContactsTip", R.string.AddContactsTip), LocaleController.getString("GoVerify", R.string.GoVerify), LocaleController.getString("Confirm", R.string.Confirm), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda14
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                RedpktSendActivity.this.m3706x677a7d9a(targetUser, dialogInterface, i);
            }
        }, null, null);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendRedpacket$13$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3705x2dafdbbb(TLRPC.User targetUser) {
        presentFragment(new AddContactsInfoActivity(null, targetUser));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendRedpacket$14$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3706x677a7d9a(final TLRPC.User targetUser, DialogInterface dialogInterface, int i) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda12
            @Override // java.lang.Runnable
            public final void run() {
                RedpktSendActivity.this.m3705x2dafdbbb(targetUser);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendRedpacket$16$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3708xdb0fc158(DialogInterface dialogInterface, int i) {
        this.etRedPacketAmount.setText("");
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendRedpacket$17$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3709x14da6337(TLRPC.TL_error error) {
        dismissCurrentDialog();
        WalletDialogUtil.showConfirmBtnWalletDialog(this, WalletErrorUtil.getErrorDescription(error.text));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendRedpacket$20$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3712x7fd9901f(DialogInterface dialog) {
        getConnectionsManager().cancelRequest(this.reqId, true);
    }

    private void getAccountInfo() {
        this.progressView = new XAlertDialog(getParentActivity(), 5);
        TLRPCWallet.TL_getPaymentAccountInfo req = new TLRPCWallet.TL_getPaymentAccountInfo();
        this.reqId = getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda8
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                RedpktSendActivity.this.m3699x74e46c08(tLObject, tL_error);
            }
        });
        this.progressView.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda9
            @Override // android.content.DialogInterface.OnCancelListener
            public final void onCancel(DialogInterface dialogInterface) {
                RedpktSendActivity.this.m3700xaeaf0de7(dialogInterface);
            }
        });
        try {
            this.progressView.show();
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$36$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3699x74e46c08(TLObject response, TLRPC.TL_error error) {
        if (error != null) {
            this.progressView.dismiss();
            WalletDialogUtil.showConfirmBtnWalletDialog((Object) this, (CharSequence) WalletErrorUtil.getErrorDescription(LocaleController.formatString("SystemIsBusyAndTryAgainLater", R.string.SystemIsBusyAndTryAgainLater, new Object[0]), error.text), true, new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda37
                @Override // android.content.DialogInterface.OnDismissListener
                public final void onDismiss(DialogInterface dialogInterface) {
                    RedpktSendActivity.this.m3691x5465a8ac(dialogInterface);
                }
            });
            return;
        }
        this.progressView.dismiss();
        if (response instanceof TLRPCWallet.TL_paymentAccountInfoNotExist) {
            WalletDialogUtil.showWalletDialog(this, "", LocaleController.formatString("AccountInfoNotCompleted", R.string.AccountInfoNotCompleted, LocaleController.getString(R.string.SendRedPackets), LocaleController.getString(R.string.SendRedPackets)), LocaleController.getString("Close", R.string.Close), LocaleController.getString("GoToWalletCenter", R.string.GoToWalletCenter), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda40
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i) {
                    RedpktSendActivity.this.m3692x8e304a8b(dialogInterface, i);
                }
            }, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda41
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i) {
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda11
                        @Override // java.lang.Runnable
                        public final void run() {
                            RedpktSendActivity.lambda$getAccountInfo$23();
                        }
                    });
                }
            }, new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda1
                @Override // android.content.DialogInterface.OnDismissListener
                public final void onDismiss(DialogInterface dialogInterface) {
                    RedpktSendActivity.this.m3693x3b903028(dialogInterface);
                }
            });
            return;
        }
        TLApiModel<WalletAccountInfo> model = TLJsonResolve.parse(response, WalletAccountInfo.class);
        if (model.isSuccess()) {
            WalletAccountInfo walletAccountInfo = (WalletAccountInfo) model.model;
            this.accountInfo = walletAccountInfo;
            WalletConfigBean.setWalletAccountInfo(walletAccountInfo);
            WalletConfigBean.setConfigValue(((WalletAccountInfo) model.model).getRiskList());
            if (!this.accountInfo.hasNormalAuth()) {
                WalletDialogUtil.showWalletDialog(this, "", LocaleController.getString("BasicAuthNor", R.string.BasicAuthNor), LocaleController.getString("Close", R.string.Close), LocaleController.getString("GoToAuth", R.string.GoToAuth), null, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda2
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        RedpktSendActivity.lambda$getAccountInfo$26(dialogInterface, i);
                    }
                }, null);
                return;
            } else if (!this.accountInfo.hasBindBank()) {
                WalletDialogUtil.showWalletDialog(this, "", LocaleController.getString("BankBindNor", R.string.BankBindNor), LocaleController.getString("Close", R.string.Close), LocaleController.getString("GoToBind", R.string.GoToBind), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda3
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        RedpktSendActivity.this.m3694xaf2573e6(dialogInterface, i);
                    }
                }, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda4
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda15
                            @Override // java.lang.Runnable
                            public final void run() {
                                RedpktSendActivity.lambda$getAccountInfo$28();
                            }
                        });
                    }
                }, new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda5
                    @Override // android.content.DialogInterface.OnDismissListener
                    public final void onDismiss(DialogInterface dialogInterface) {
                        RedpktSendActivity.this.m3695x1a24a0ce(dialogInterface);
                    }
                });
                return;
            } else if (!this.accountInfo.hasPaypassword()) {
                WalletDialogUtil.showWalletDialog(this, "", LocaleController.getString("PayPasswordNor", R.string.PayPasswordNor), LocaleController.getString("Close", R.string.Close), LocaleController.getString("redpacket_goto_set", R.string.redpacket_goto_set), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda6
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        RedpktSendActivity.this.m3696x53ef42ad(dialogInterface, i);
                    }
                }, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda7
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda22
                            @Override // java.lang.Runnable
                            public final void run() {
                                RedpktSendActivity.lambda$getAccountInfo$32();
                            }
                        });
                    }
                }, new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda38
                    @Override // android.content.DialogInterface.OnDismissListener
                    public final void onDismiss(DialogInterface dialogInterface) {
                        RedpktSendActivity.this.m3697x14f284a(dialogInterface);
                    }
                });
                return;
            } else {
                this.inited = true;
                return;
            }
        }
        WalletDialogUtil.showConfirmBtnWalletDialog((Object) this, (CharSequence) WalletErrorUtil.getErrorDescription(LocaleController.formatString("SystemIsBusyAndTryAgainLater", R.string.SystemIsBusyAndTryAgainLater, new Object[0]), model.message), true, new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda39
            @Override // android.content.DialogInterface.OnDismissListener
            public final void onDismiss(DialogInterface dialogInterface) {
                RedpktSendActivity.this.m3698x3b19ca29(dialogInterface);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$21$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3691x5465a8ac(DialogInterface dialog) {
        finish();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$22$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3692x8e304a8b(DialogInterface dialogInterface, int i) {
        finish();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$getAccountInfo$23() {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$25$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3693x3b903028(DialogInterface dialog) {
        finish();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$getAccountInfo$26(DialogInterface dialogInterface, int i) {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$27$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3694xaf2573e6(DialogInterface dialogInterface, int i) {
        finish();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$getAccountInfo$28() {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$30$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3695x1a24a0ce(DialogInterface dialog) {
        finish();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$31$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3696x53ef42ad(DialogInterface dialogInterface, int i) {
        finish();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$getAccountInfo$32() {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$34$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3697x14f284a(DialogInterface dialog) {
        finish();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$35$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3698x3b19ca29(DialogInterface dialog) {
        finish();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$37$im-uecahxyvjd-ui-hui-packet-RedpktSendActivity  reason: not valid java name */
    public /* synthetic */ void m3700xaeaf0de7(DialogInterface dialog) {
        getConnectionsManager().cancelRequest(this.reqId, true);
        finish();
    }

    public void performService(final BaseFragment fragment) {
        String userString;
        final int currentAccount = fragment.getCurrentAccount();
        final SharedPreferences preferences = MessagesController.getMainSettings(currentAccount);
        int uid = preferences.getInt("support_id", 0);
        TLRPC.User supportUser = null;
        if (uid != 0 && (supportUser = MessagesController.getInstance(currentAccount).getUser(Integer.valueOf(uid))) == null && (userString = preferences.getString("support_user", null)) != null) {
            try {
                byte[] datacentersBytes = Base64.decode(userString, 0);
                if (datacentersBytes != null) {
                    SerializedData data = new SerializedData(datacentersBytes);
                    supportUser = TLRPC.User.TLdeserialize(data, data.readInt32(false), false);
                    if (supportUser != null && supportUser.id == 333000) {
                        supportUser = null;
                    }
                    data.cleanup();
                }
            } catch (Exception e) {
                FileLog.e(e);
                supportUser = null;
            }
        }
        if (supportUser == null) {
            final XAlertDialog progressDialog = new XAlertDialog(getParentActivity(), 4);
            progressDialog.show();
            TLRPC.TL_help_getSupport req = new TLRPC.TL_help_getSupport();
            ConnectionsManager.getInstance(currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda13
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    RedpktSendActivity.lambda$performService$40(preferences, progressDialog, currentAccount, fragment, tLObject, tL_error);
                }
            });
            return;
        }
        MessagesController.getInstance(currentAccount).putUser(supportUser, true);
        Bundle args = new Bundle();
        args.putInt("user_id", supportUser.id);
        fragment.presentFragment(new ChatActivity(args));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$performService$40(final SharedPreferences preferences, final XAlertDialog progressDialog, final int currentAccount, final BaseFragment fragment, TLObject response, TLRPC.TL_error error) {
        if (error == null) {
            final TLRPC.TL_help_support res = (TLRPC.TL_help_support) response;
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda20
                @Override // java.lang.Runnable
                public final void run() {
                    RedpktSendActivity.lambda$performService$38(preferences, res, progressDialog, currentAccount, fragment);
                }
            });
            return;
        }
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda21
            @Override // java.lang.Runnable
            public final void run() {
                RedpktSendActivity.lambda$performService$39(XAlertDialog.this);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$performService$38(SharedPreferences preferences, TLRPC.TL_help_support res, XAlertDialog progressDialog, int currentAccount, BaseFragment fragment) {
        SharedPreferences.Editor editor = preferences.edit();
        editor.putInt("support_id", res.user.id);
        SerializedData data = new SerializedData();
        res.user.serializeToStream(data);
        editor.putString("support_user", Base64.encodeToString(data.toByteArray(), 0));
        editor.commit();
        data.cleanup();
        try {
            progressDialog.dismiss();
        } catch (Exception e) {
            FileLog.e(e);
        }
        ArrayList<TLRPC.User> users = new ArrayList<>();
        users.add(res.user);
        MessagesStorage.getInstance(currentAccount).putUsersAndChats(users, null, true, true);
        MessagesController.getInstance(currentAccount).putUser(res.user, false);
        Bundle args = new Bundle();
        args.putInt("user_id", res.user.id);
        fragment.presentFragment(new ChatActivity(args));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$performService$39(XAlertDialog progressDialog) {
        try {
            progressDialog.dismiss();
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    private void finish() {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.RedpktSendActivity$$ExternalSyntheticLambda19
            @Override // java.lang.Runnable
            public final void run() {
                RedpktSendActivity.this.finishFragment();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes6.dex */
    public class MyAdapter extends BaseAdapter {
        private MyAdapter() {
        }

        @Override // android.widget.Adapter
        public int getCount() {
            return RedpktSendActivity.this.mNumbers.size();
        }

        @Override // android.widget.Adapter
        public Integer getItem(int position) {
            return (Integer) RedpktSendActivity.this.mNumbers.get(position);
        }

        @Override // android.widget.Adapter
        public long getItemId(int position) {
            return position;
        }

        @Override // android.widget.Adapter
        public View getView(int position, View convertView, ViewGroup parent) {
            ViewHolder holder;
            if (convertView == null) {
                convertView = View.inflate(RedpktSendActivity.this.mContext, R.layout.item_password_number, null);
                holder = new ViewHolder();
                holder.tvNumber = (TextView) convertView.findViewById(R.id.btn_number);
                holder.ivDelete = (ImageView) convertView.findViewById(R.id.iv_delete);
                convertView.setTag(holder);
            } else {
                holder = (ViewHolder) convertView.getTag();
            }
            if (position < 9 || position == 10) {
                holder.tvNumber.setText(String.valueOf(RedpktSendActivity.this.mNumbers.get(position)));
                holder.tvNumber.setTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf"));
            } else if (position == 9) {
                holder.tvNumber.setVisibility(4);
            } else if (position == 11) {
                holder.tvNumber.setVisibility(4);
                holder.ivDelete.setVisibility(0);
            }
            return convertView;
        }
    }

    /* loaded from: classes6.dex */
    class ViewHolder {
        ImageView ivDelete;
        TextView tvNumber;

        ViewHolder() {
        }
    }
}
