package im.uecahxyvjd.ui.hui.packet;

import android.content.Context;
import android.graphics.Color;
import android.os.Bundle;
import android.text.Editable;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.text.style.ForegroundColorSpan;
import android.util.SparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.widget.EditText;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.core.view.GravityCompat;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ContactsController;
import im.uecahxyvjd.messenger.DispatchQueue;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.messenger.Utilities;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.adapters.SearchAdapterHelper;
import im.uecahxyvjd.ui.cells.GraySectionCell;
import im.uecahxyvjd.ui.cells.LetterSectionCell;
import im.uecahxyvjd.ui.cells.ManageChatUserCell;
import im.uecahxyvjd.ui.cells.UserCell;
import im.uecahxyvjd.ui.components.LayoutHelper;
import im.uecahxyvjd.ui.components.RecyclerListView;
import im.uecahxyvjd.ui.decoration.StickyDecoration;
import im.uecahxyvjd.ui.decoration.listener.GroupListener;
import im.uecahxyvjd.ui.hui.CharacterParser;
import im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity;
import im.uecahxyvjd.ui.hviews.MryEmptyTextProgressView;
import im.uecahxyvjd.ui.hviews.sidebar.SideBar;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Iterator;
/* loaded from: classes6.dex */
public class SelecteContactsActivity extends BaseFragment {
    private int chatId;
    private StickyDecoration decoration;
    private ContactsActivityDelegate delegate;
    private MryEmptyTextProgressView emptyView;
    private boolean isCharClicked;
    private LinearLayoutManager layoutManager;
    private RecyclerListView listView;
    private ListAdapter listViewAdapter;
    private boolean loadingUsers;
    private Context mContext;
    private ArrayList<TLRPC.ChatParticipant> participants;
    private FrameLayout searchLayout;
    private SearchAdapter searchListViewAdapter;
    private EditText searchView;
    private boolean searchWas;
    private boolean searching;
    private final HashMap<String, ArrayList<TLRPC.User>> sectionsDict;
    private SideBar sideBar;
    private final ArrayList<String> sortedSectionsArray;
    private boolean usersEndReached;

    /* loaded from: classes6.dex */
    public interface ContactsActivityDelegate {
        void didSelectContact(TLRPC.User user);
    }

    public void setDelegate(ContactsActivityDelegate delegate) {
        this.delegate = delegate;
    }

    public void setChatInfo(TLRPC.ChatFull chatFull) {
        if (chatFull != null) {
            this.chatId = chatFull.id;
        }
    }

    public void setParticipants(ArrayList<TLRPC.ChatParticipant> participants) {
        this.participants = participants;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void getChannelParticipants() {
        if (this.loadingUsers) {
            return;
        }
        this.loadingUsers = true;
        final TLRPC.TL_channels_getParticipants req = new TLRPC.TL_channels_getParticipants();
        req.channel = MessagesController.getInstance(this.currentAccount).getInputChannel(this.chatId);
        req.filter = new TLRPC.TL_channelParticipantsRecent();
        req.offset = this.participants.size();
        req.limit = 200;
        int reqId = ConnectionsManager.getInstance(this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity$$ExternalSyntheticLambda0
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                SelecteContactsActivity.this.m3718x517f38b4(req, tLObject, tL_error);
            }
        });
        ConnectionsManager.getInstance(this.currentAccount).bindRequestToGuid(reqId, this.classGuid);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getChannelParticipants$1$im-uecahxyvjd-ui-hui-packet-SelecteContactsActivity  reason: not valid java name */
    public /* synthetic */ void m3718x517f38b4(final TLRPC.TL_channels_getParticipants req, final TLObject response, final TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity$$ExternalSyntheticLambda3
            @Override // java.lang.Runnable
            public final void run() {
                SelecteContactsActivity.this.m3717xc4448733(error, response, req);
            }
        }, req.offset == 0 ? 300L : 0L);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getChannelParticipants$0$im-uecahxyvjd-ui-hui-packet-SelecteContactsActivity  reason: not valid java name */
    public /* synthetic */ void m3717xc4448733(TLRPC.TL_error error, TLObject response, TLRPC.TL_channels_getParticipants req) {
        if (error == null) {
            if (!(response instanceof TLRPC.TL_channels_channelParticipants)) {
                return;
            }
            TLRPC.TL_channels_channelParticipants res = (TLRPC.TL_channels_channelParticipants) response;
            MessagesController.getInstance(this.currentAccount).putUsers(res.users, false);
            if (res.users.size() < 200) {
                this.usersEndReached = true;
            }
            if (req.offset == 0) {
                MessagesStorage.getInstance(this.currentAccount).putUsersAndChats(res.users, null, true, true);
                MessagesStorage.getInstance(this.currentAccount).updateChannelUsers(this.chatId, res.participants);
            }
            ArrayList<TLRPC.ChatParticipant> temp = new ArrayList<>();
            for (int a2 = 0; a2 < res.participants.size(); a2++) {
                TLRPC.TL_chatChannelParticipant participant = new TLRPC.TL_chatChannelParticipant();
                participant.channelParticipant = res.participants.get(a2);
                participant.inviter_id = participant.channelParticipant.inviter_id;
                participant.user_id = participant.channelParticipant.user_id;
                participant.date = participant.channelParticipant.date;
                temp.add(participant);
            }
            grouping(temp);
            this.participants.addAll(temp);
        }
        this.loadingUsers = false;
        ListAdapter listAdapter = this.listViewAdapter;
        if (listAdapter != null) {
            listAdapter.notifyDataSetChanged();
        }
    }

    private void grouping(ArrayList<TLRPC.ChatParticipant> participants) {
        String key;
        Iterator<TLRPC.ChatParticipant> it = participants.iterator();
        while (it.hasNext()) {
            TLRPC.ChatParticipant participant = it.next();
            TLRPC.User user = getMessagesController().getUser(Integer.valueOf(participant.user_id));
            if (user != null && user.id != getUserConfig().clientUserId) {
                String key2 = CharacterParser.getInstance().getSelling(UserObject.getName(user));
                if (key2.length() > 1) {
                    key2 = key2.substring(0, 1);
                }
                if (key2.length() == 0) {
                    key = "#";
                } else if ((key2.charAt(0) > 'a' && key2.charAt(0) < 'z') || (key2.charAt(0) > 'A' && key2.charAt(0) < 'Z')) {
                    key = key2.toUpperCase();
                } else {
                    key = "#";
                }
                ArrayList<TLRPC.User> arr = this.sectionsDict.get(key);
                if (arr == null) {
                    arr = new ArrayList<>();
                    this.sectionsDict.put(key, arr);
                    this.sortedSectionsArray.add(key);
                }
                arr.add(user);
            }
        }
        Collections.sort(this.sortedSectionsArray, new Comparator() { // from class: im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity$$ExternalSyntheticLambda4
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return SelecteContactsActivity.lambda$grouping$2((String) obj, (String) obj2);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ int lambda$grouping$2(String o1, String o2) {
        if ("#".equals(o1)) {
            return 1;
        }
        if (!"#".equals(o2) && o1.charAt(0) >= o2.charAt(0)) {
            return o1.charAt(0) > o2.charAt(0) ? 1 : 0;
        }
        return -1;
    }

    public SelecteContactsActivity(Bundle args) {
        super(args);
        this.participants = new ArrayList<>();
        this.sectionsDict = new HashMap<>();
        this.sortedSectionsArray = new ArrayList<>();
        this.loadingUsers = false;
        this.usersEndReached = false;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        super.onFragmentCreate();
        getChannelParticipants();
        return true;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        super.onFragmentDestroy();
        this.delegate = null;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        super.createView(context);
        this.mContext = context;
        this.searching = false;
        this.searchWas = false;
        this.fragmentView = new FrameLayout(context);
        FrameLayout frameLayout = (FrameLayout) this.fragmentView;
        initActionBar();
        initSearchLayot(frameLayout);
        initList(frameLayout, context);
        initSideBar(frameLayout, context);
        return this.fragmentView;
    }

    private void initActionBar() {
        this.actionBar.setAllowOverlayTitle(false);
        this.actionBar.setCastShadows(false);
        this.actionBar.setTitle(LocaleController.getString(R.string.redpacket_choose_person));
        this.actionBar.setBackTitle(LocaleController.getString("Cancel", R.string.Cancel));
        this.actionBar.getBackTitleTextView().setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity$$ExternalSyntheticLambda2
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                SelecteContactsActivity.this.m3719xf415655c(view);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initActionBar$3$im-uecahxyvjd-ui-hui-packet-SelecteContactsActivity  reason: not valid java name */
    public /* synthetic */ void m3719xf415655c(View v) {
        finishFragment();
    }

    private void initSearchLayot(FrameLayout frameLayout) {
        FrameLayout searchLayout = new FrameLayout(this.mContext);
        searchLayout.setPadding(AndroidUtilities.dp(16.0f), 0, AndroidUtilities.dp(16.0f), 0);
        frameLayout.addView(searchLayout, LayoutHelper.createFrame(-1, 48.0f));
        ImageView iconSearch = new ImageView(this.mContext);
        iconSearch.setImageResource(R.mipmap.ic_index_search);
        searchLayout.addView(iconSearch, LayoutHelper.createFrame(15, 15, (int) GravityCompat.START));
        EditText editText = new EditText(this.mContext);
        this.searchView = editText;
        editText.setHint(LocaleController.getString(R.string.new_call_search_hint));
        this.searchView.setBackground(null);
        this.searchView.setPadding(0, 0, AndroidUtilities.dp(28.0f), 0);
        searchLayout.addView(this.searchView, LayoutHelper.createFrame(-1.0f, -2.0f, 16, 21.0f, 0.0f, 0.0f, 0.0f));
        final ImageView deleteIamge = new ImageView(this.mContext);
        deleteIamge.setVisibility(8);
        deleteIamge.setScaleType(ImageView.ScaleType.CENTER_INSIDE);
        searchLayout.addView(deleteIamge, LayoutHelper.createFrame(24, -1, 5));
        deleteIamge.setImageResource(R.mipmap.ic_clear_round);
        this.searchView.addTextChangedListener(new TextWatcher() { // from class: im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity.1
            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence s, int start, int count, int after) {
                SelecteContactsActivity.this.searching = true;
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence s, int start, int before, int count) {
                deleteIamge.setVisibility(s.length() > 0 ? 0 : 8);
                if (SelecteContactsActivity.this.searchListViewAdapter == null) {
                    return;
                }
                if (s.length() == 0) {
                    SelecteContactsActivity.this.searchListViewAdapter.searchDialogs(null);
                    SelecteContactsActivity.this.searching = false;
                    SelecteContactsActivity.this.searchWas = false;
                    SelecteContactsActivity.this.listView.addItemDecoration(SelecteContactsActivity.this.decoration);
                    SelecteContactsActivity.this.listView.setAdapter(SelecteContactsActivity.this.listViewAdapter);
                    SelecteContactsActivity.this.listViewAdapter.notifyDataSetChanged();
                    SelecteContactsActivity.this.listView.setVerticalScrollBarEnabled(false);
                    SelecteContactsActivity.this.listView.setEmptyView(null);
                    SelecteContactsActivity.this.emptyView.setTopImage(R.mipmap.img_empty_default);
                    SelecteContactsActivity.this.emptyView.setText(LocaleController.getString("NoContacts", R.string.NoContacts));
                    return;
                }
                SelecteContactsActivity.this.searchWas = true;
                if (SelecteContactsActivity.this.listView != null) {
                    SelecteContactsActivity.this.listView.removeItemDecoration(SelecteContactsActivity.this.decoration);
                    SelecteContactsActivity.this.listView.setAdapter(SelecteContactsActivity.this.searchListViewAdapter);
                    SelecteContactsActivity.this.searchListViewAdapter.notifyDataSetChanged();
                    SelecteContactsActivity.this.listView.setVerticalScrollBarEnabled(false);
                }
                if (SelecteContactsActivity.this.emptyView != null) {
                    SelecteContactsActivity.this.listView.setEmptyView(SelecteContactsActivity.this.emptyView);
                    SelecteContactsActivity.this.emptyView.setTopImage(R.mipmap.img_empty_default);
                    SelecteContactsActivity.this.emptyView.setText(LocaleController.getString("NoResult", R.string.NoResult));
                }
                SelecteContactsActivity.this.searchListViewAdapter.searchDialogs(s.toString());
            }

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
            }
        });
        deleteIamge.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity$$ExternalSyntheticLambda1
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                SelecteContactsActivity.this.m3722x124ec2e1(view);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initSearchLayot$4$im-uecahxyvjd-ui-hui-packet-SelecteContactsActivity  reason: not valid java name */
    public /* synthetic */ void m3722x124ec2e1(View v) {
        this.searchView.setText("");
    }

    private void initList(FrameLayout frameLayout, Context context) {
        grouping(this.participants);
        MryEmptyTextProgressView mryEmptyTextProgressView = new MryEmptyTextProgressView(context);
        this.emptyView = mryEmptyTextProgressView;
        mryEmptyTextProgressView.setShowAtCenter(true);
        this.emptyView.setTopImage(R.mipmap.img_empty_default);
        this.emptyView.setText(LocaleController.getString("NoContacts", R.string.NoContacts));
        this.emptyView.showTextView();
        frameLayout.addView(this.emptyView, LayoutHelper.createFrameSearchWithoutActionBar(-1, -1));
        this.searchListViewAdapter = new SearchAdapter(context);
        this.listViewAdapter = new ListAdapter(context, this.sectionsDict, this.sortedSectionsArray) { // from class: im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity.2
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter, androidx.recyclerview.widget.RecyclerView.Adapter
            public void notifyDataSetChanged() {
                super.notifyDataSetChanged();
                if (SelecteContactsActivity.this.listView != null && SelecteContactsActivity.this.listView.getAdapter() == this) {
                    int count = super.getItemCount();
                    SelecteContactsActivity.this.emptyView.setVisibility(count == 0 ? 0 : 8);
                }
            }
        };
        RecyclerListView recyclerListView = new RecyclerListView(context) { // from class: im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity.3
            @Override // android.view.View
            public void setPadding(int left, int top, int right, int bottom) {
                super.setPadding(left, top, right, bottom);
                if (SelecteContactsActivity.this.emptyView != null) {
                    SelecteContactsActivity.this.emptyView.setPadding(left, top, right, bottom);
                }
            }
        };
        this.listView = recyclerListView;
        recyclerListView.setOnScrollListener(new RecyclerView.OnScrollListener() { // from class: im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity.4
            @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
            public void onScrollStateChanged(RecyclerView recyclerView, int newState) {
                SelecteContactsActivity.this.isCharClicked = false;
            }

            @Override // androidx.recyclerview.widget.RecyclerView.OnScrollListener
            public void onScrolled(RecyclerView recyclerView, int dx, int dy) {
                if (!SelecteContactsActivity.this.searching && !SelecteContactsActivity.this.searchWas && !SelecteContactsActivity.this.usersEndReached && SelecteContactsActivity.this.layoutManager.findLastVisibleItemPosition() > SelecteContactsActivity.this.participants.size() - 8) {
                    SelecteContactsActivity.this.getChannelParticipants();
                }
                if (!SelecteContactsActivity.this.isCharClicked) {
                    LinearLayoutManager layoutManager = (LinearLayoutManager) recyclerView.getLayoutManager();
                    int firstPosition = layoutManager.findFirstVisibleItemPosition();
                    String s = SelecteContactsActivity.this.listViewAdapter.getLetter(firstPosition);
                    SelecteContactsActivity.this.sideBar.setChooseChar(s);
                }
            }
        });
        this.listView.setVerticalScrollBarEnabled(false);
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(context, 1, false);
        this.layoutManager = linearLayoutManager;
        this.listView.setLayoutManager(linearLayoutManager);
        StickyDecoration.Builder decorationBuilder = StickyDecoration.Builder.init(new GroupListener() { // from class: im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity$$ExternalSyntheticLambda5
            @Override // im.uecahxyvjd.ui.decoration.listener.GroupListener
            public final String getGroupName(int i) {
                return SelecteContactsActivity.this.m3720x484bab79(i);
            }
        }).setGroupBackground(Theme.getColor(Theme.key_windowBackgroundGray)).setGroupTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText)).setGroupTextTypeface(AndroidUtilities.getTypeface("fonts/rmedium.ttf")).setGroupHeight(AndroidUtilities.dp(24.0f)).setDivideColor(Color.parseColor("#EE96BC")).setGroupTextSize(AndroidUtilities.dp(14.0f)).setTextSideMargin(AndroidUtilities.dp(15.0f));
        StickyDecoration build = decorationBuilder.build();
        this.decoration = build;
        this.listView.addItemDecoration(build);
        this.listView.setAdapter(this.listViewAdapter);
        frameLayout.addView(this.listView, LayoutHelper.createFrame(-1, -1, 0, AndroidUtilities.dp(48.0f), 0, 0));
        this.listView.setOnItemClickListener(new RecyclerListView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity$$ExternalSyntheticLambda6
            @Override // im.uecahxyvjd.ui.components.RecyclerListView.OnItemClickListener
            public final void onItemClick(View view, int i) {
                SelecteContactsActivity.this.m3721xd5865cfa(view, i);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initList$5$im-uecahxyvjd-ui-hui-packet-SelecteContactsActivity  reason: not valid java name */
    public /* synthetic */ String m3720x484bab79(int position) {
        if (this.listViewAdapter.getItemCount() > position && position > -1) {
            return this.listViewAdapter.getLetter(position);
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initList$6$im-uecahxyvjd-ui-hui-packet-SelecteContactsActivity  reason: not valid java name */
    public /* synthetic */ void m3721xd5865cfa(View view, int position) {
        ContactsActivityDelegate contactsActivityDelegate;
        ContactsActivityDelegate contactsActivityDelegate2;
        if (this.searching && this.searchWas) {
            Object object = this.searchListViewAdapter.getItem(position);
            if (object instanceof TLRPC.User) {
                TLRPC.User user = (TLRPC.User) object;
                ContactsActivityDelegate contactsActivityDelegate3 = this.delegate;
                if (contactsActivityDelegate3 != null) {
                    contactsActivityDelegate3.didSelectContact(user);
                }
                finishFragment();
                return;
            } else if (object instanceof TLRPC.TL_chatChannelParticipant) {
                TLRPC.TL_chatChannelParticipant participant = (TLRPC.TL_chatChannelParticipant) object;
                TLRPC.User user2 = getMessagesController().getUser(Integer.valueOf(participant.user_id));
                if (user2 != null && (contactsActivityDelegate2 = this.delegate) != null) {
                    contactsActivityDelegate2.didSelectContact(user2);
                }
                finishFragment();
                return;
            } else if (object instanceof TLRPC.TL_channelParticipant) {
                TLRPC.TL_channelParticipant participant2 = (TLRPC.TL_channelParticipant) object;
                TLRPC.User user3 = getMessagesController().getUser(Integer.valueOf(participant2.user_id));
                if (user3 != null && (contactsActivityDelegate = this.delegate) != null) {
                    contactsActivityDelegate.didSelectContact(user3);
                }
                finishFragment();
                return;
            } else {
                return;
            }
        }
        int section = this.listViewAdapter.getSectionForPosition(position);
        int row = this.listViewAdapter.getPositionInSectionForPosition(position);
        if (row < 0 || section < 0) {
            return;
        }
        Object item1 = this.listViewAdapter.getItem(section, row);
        if (item1 instanceof TLRPC.User) {
            TLRPC.User user4 = (TLRPC.User) item1;
            ContactsActivityDelegate contactsActivityDelegate4 = this.delegate;
            if (contactsActivityDelegate4 != null) {
                contactsActivityDelegate4.didSelectContact(user4);
            }
            finishFragment();
        }
    }

    private void initSideBar(FrameLayout frameLayout, Context context) {
        TextView textView = new TextView(context);
        textView.setTextSize(50.0f);
        textView.setGravity(17);
        textView.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText));
        frameLayout.addView(textView, LayoutHelper.createFrame(100, 100, 17));
        SideBar sideBar = new SideBar(context);
        this.sideBar = sideBar;
        sideBar.setTextView(textView);
        frameLayout.addView(this.sideBar, LayoutHelper.createFrame(35.0f, 420.0f, 21, 0.0f, 56.0f, 0.0f, 56.0f));
        this.sideBar.setOnTouchingLetterChangedListener(new SideBar.OnTouchingLetterChangedListener() { // from class: im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity$$ExternalSyntheticLambda7
            @Override // im.uecahxyvjd.ui.hviews.sidebar.SideBar.OnTouchingLetterChangedListener
            public final void onTouchingLetterChanged(String str) {
                SelecteContactsActivity.this.m3723xe845a81f(str);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initSideBar$7$im-uecahxyvjd-ui-hui-packet-SelecteContactsActivity  reason: not valid java name */
    public /* synthetic */ void m3723xe845a81f(String s) {
        int section = this.listViewAdapter.getSectionForChar(s.charAt(0));
        int position = this.listViewAdapter.getPositionForSection(section);
        if (position != -1 && this.listView.getLayoutManager() != null) {
            this.listView.getLayoutManager().scrollToPosition(position);
            this.isCharClicked = true;
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onResume() {
        super.onResume();
        ListAdapter listAdapter = this.listViewAdapter;
        if (listAdapter != null) {
            listAdapter.notifyDataSetChanged();
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onPause() {
        super.onPause();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onBackPressed() {
        EditText editText = this.searchView;
        if (editText != null && !TextUtils.isEmpty(editText.getText().toString().trim())) {
            this.searchView.setText("");
            return false;
        }
        return super.onBackPressed();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes6.dex */
    public class SearchAdapter extends RecyclerListView.SelectionAdapter {
        private int contactsStartRow;
        private int globalStartRow;
        private int groupStartRow;
        private Context mContext;
        private SearchAdapterHelper searchAdapterHelper;
        private ArrayList<TLObject> searchResult = new ArrayList<>();
        private ArrayList<CharSequence> searchResultNames = new ArrayList<>();
        private Runnable searchRunnable;
        private int totalCount;

        public SearchAdapter(Context context) {
            this.mContext = context;
            SearchAdapterHelper searchAdapterHelper = new SearchAdapterHelper(true);
            this.searchAdapterHelper = searchAdapterHelper;
            searchAdapterHelper.setDelegate(new SearchAdapterHelper.SearchAdapterHelperDelegate() { // from class: im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity.SearchAdapter.1
                @Override // im.uecahxyvjd.ui.adapters.SearchAdapterHelper.SearchAdapterHelperDelegate
                public /* synthetic */ SparseArray getExcludeUsers() {
                    return SearchAdapterHelper.SearchAdapterHelperDelegate.CC.$default$getExcludeUsers(this);
                }

                @Override // im.uecahxyvjd.ui.adapters.SearchAdapterHelper.SearchAdapterHelperDelegate
                public void onDataSetChanged() {
                    SearchAdapter.this.notifyDataSetChanged();
                }

                @Override // im.uecahxyvjd.ui.adapters.SearchAdapterHelper.SearchAdapterHelperDelegate
                public void onSetHashtags(ArrayList<SearchAdapterHelper.HashtagObject> arrayList, HashMap<String, SearchAdapterHelper.HashtagObject> hashMap) {
                }
            });
        }

        public void searchDialogs(final String query) {
            if (this.searchRunnable != null) {
                Utilities.searchQueue.cancelRunnable(this.searchRunnable);
                this.searchRunnable = null;
            }
            if (TextUtils.isEmpty(query)) {
                this.searchResult.clear();
                this.searchResultNames.clear();
                this.searchAdapterHelper.mergeResults(null);
                this.searchAdapterHelper.queryServerSearch(null, false, false, true, false, SelecteContactsActivity.this.chatId, false, 2);
                notifyDataSetChanged();
                return;
            }
            DispatchQueue dispatchQueue = Utilities.searchQueue;
            Runnable runnable = new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity$SearchAdapter$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    SelecteContactsActivity.SearchAdapter.this.m3727x7fae9b72(query);
                }
            };
            this.searchRunnable = runnable;
            dispatchQueue.postRunnable(runnable, 300L);
        }

        /* JADX INFO: Access modifiers changed from: private */
        /* renamed from: processSearch */
        public void m3727x7fae9b72(final String query) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity$SearchAdapter$$ExternalSyntheticLambda4
                @Override // java.lang.Runnable
                public final void run() {
                    SelecteContactsActivity.SearchAdapter.this.m3726xc2a4f888(query);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$processSearch$2$im-uecahxyvjd-ui-hui-packet-SelecteContactsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m3726xc2a4f888(final String query) {
            this.searchRunnable = null;
            final ArrayList<TLRPC.ChatParticipant> participantsCopy = new ArrayList<>(SelecteContactsActivity.this.participants);
            this.searchAdapterHelper.queryServerSearch(query, false, false, true, false, SelecteContactsActivity.this.chatId, false, 2);
            Utilities.searchQueue.postRunnable(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity$SearchAdapter$$ExternalSyntheticLambda2
                @Override // java.lang.Runnable
                public final void run() {
                    SelecteContactsActivity.SearchAdapter.this.m3725xe6e37cc7(query, participantsCopy, r4);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* JADX WARN: Removed duplicated region for block: B:51:0x0121 A[LOOP:1: B:30:0x00af->B:51:0x0121, LOOP_END] */
        /* JADX WARN: Removed duplicated region for block: B:96:0x00de A[SYNTHETIC] */
        /* renamed from: lambda$processSearch$1$im-uecahxyvjd-ui-hui-packet-SelecteContactsActivity$SearchAdapter  reason: not valid java name */
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public /* synthetic */ void m3725xe6e37cc7(String query, ArrayList participantsCopy, ArrayList contactsCopy) {
            String search1;
            String search2;
            int found;
            ArrayList arrayList = participantsCopy;
            ArrayList arrayList2 = contactsCopy;
            String search12 = query.trim().toLowerCase();
            if (search12.length() == 0) {
                updateSearchResults(new ArrayList<>(), new ArrayList<>(), new ArrayList<>());
                return;
            }
            String search22 = LocaleController.getInstance().getTranslitString(search12);
            search22 = (search12.equals(search22) || search22.length() == 0) ? null : null;
            String[] search = new String[(search22 != null ? 1 : 0) + 1];
            search[0] = search12;
            if (search22 != null) {
                search[1] = search22;
            }
            ArrayList<TLObject> resultArray = new ArrayList<>();
            ArrayList<CharSequence> resultArrayNames = new ArrayList<>();
            ArrayList<TLObject> resultArray2 = new ArrayList<>();
            if (arrayList != null) {
                int a2 = 0;
                while (a2 < participantsCopy.size()) {
                    TLRPC.ChatParticipant participant = (TLRPC.ChatParticipant) arrayList.get(a2);
                    TLRPC.User user = SelecteContactsActivity.this.getMessagesController().getUser(Integer.valueOf(participant.user_id));
                    if (user.id == SelecteContactsActivity.this.getUserConfig().getClientUserId()) {
                        search1 = search12;
                        search2 = search22;
                    } else {
                        String name = ContactsController.formatName(user.first_name, user.last_name).toLowerCase();
                        String tName = LocaleController.getInstance().getTranslitString(name);
                        if (name.equals(tName)) {
                            tName = null;
                        }
                        int found2 = 0;
                        int length = search.length;
                        int i = 0;
                        while (true) {
                            if (i >= length) {
                                search1 = search12;
                                search2 = search22;
                                break;
                            }
                            search1 = search12;
                            String search13 = search[i];
                            if (name.contains(search13)) {
                                search2 = search22;
                            } else if (tName == null || !tName.contains(search13)) {
                                search2 = search22;
                                if (user.username != null && user.username.contains(search13)) {
                                    found = 2;
                                } else {
                                    found = found2;
                                }
                                if (found != 0) {
                                    i++;
                                    found2 = found;
                                    search12 = search1;
                                    search22 = search2;
                                } else {
                                    if (found != 1) {
                                        resultArrayNames.add(AndroidUtilities.generateSearchName("@" + user.username, null, "@" + search13));
                                    } else {
                                        resultArrayNames.add(AndroidUtilities.generateSearchName(user.first_name, user.last_name, search13));
                                    }
                                    resultArray2.add(user);
                                }
                            } else {
                                search2 = search22;
                            }
                            found = 1;
                            if (found != 0) {
                            }
                        }
                    }
                    a2++;
                    arrayList = participantsCopy;
                    search12 = search1;
                    search22 = search2;
                }
            }
            if (arrayList2 != null) {
                int a3 = 0;
                while (a3 < contactsCopy.size()) {
                    TLRPC.Contact contact = (TLRPC.Contact) arrayList2.get(a3);
                    TLRPC.User user2 = SelecteContactsActivity.this.getMessagesController().getUser(Integer.valueOf(contact.user_id));
                    if (user2.id != SelecteContactsActivity.this.getUserConfig().getClientUserId()) {
                        String name2 = ContactsController.formatName(user2.first_name, user2.last_name).toLowerCase();
                        String tName2 = LocaleController.getInstance().getTranslitString(name2);
                        if (name2.equals(tName2)) {
                            tName2 = null;
                        }
                        int found3 = 0;
                        int length2 = search.length;
                        int i2 = 0;
                        while (true) {
                            if (i2 < length2) {
                                String q = search[i2];
                                if (name2.contains(q) || (tName2 != null && tName2.contains(q))) {
                                    found3 = 1;
                                } else if (user2.username != null && user2.username.contains(q)) {
                                    found3 = 2;
                                }
                                if (found3 == 0) {
                                    i2++;
                                } else {
                                    if (found3 != 1) {
                                        resultArrayNames.add(AndroidUtilities.generateSearchName("@" + user2.username, null, "@" + q));
                                    } else {
                                        resultArrayNames.add(AndroidUtilities.generateSearchName(user2.first_name, user2.last_name, q));
                                    }
                                    resultArray.add(user2);
                                }
                            }
                        }
                    }
                    a3++;
                    arrayList2 = contactsCopy;
                }
            }
            updateSearchResults(resultArray, resultArrayNames, resultArray2);
        }

        private void updateSearchResults(final ArrayList<TLObject> users, final ArrayList<CharSequence> names, final ArrayList<TLObject> participants) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity$SearchAdapter$$ExternalSyntheticLambda1
                @Override // java.lang.Runnable
                public final void run() {
                    SelecteContactsActivity.SearchAdapter.this.m3728x368c2cf7(users, names, participants);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$updateSearchResults$3$im-uecahxyvjd-ui-hui-packet-SelecteContactsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ void m3728x368c2cf7(ArrayList users, ArrayList names, ArrayList participants) {
            this.searchResult = users;
            this.searchResultNames = names;
            this.searchAdapterHelper.mergeResults(users);
            ArrayList<TLObject> search = this.searchAdapterHelper.getGroupSearch();
            search.clear();
            search.addAll(participants);
            notifyDataSetChanged();
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
        public boolean isEnabled(RecyclerView.ViewHolder holder) {
            return holder.getItemViewType() != 1;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            int contactsCount = this.searchResult.size();
            int globalCount = this.searchAdapterHelper.getGlobalSearch().size();
            int groupsCount = this.searchAdapterHelper.getGroupSearch().size();
            int count = contactsCount != 0 ? 0 + contactsCount + 1 : 0;
            if (globalCount != 0) {
                count += globalCount + 1;
            }
            if (groupsCount != 0) {
                return count + groupsCount + 1;
            }
            return count;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void notifyDataSetChanged() {
            this.totalCount = 0;
            int count = this.searchAdapterHelper.getGroupSearch().size();
            if (count != 0) {
                this.groupStartRow = 0;
                this.totalCount += count + 1;
            } else {
                this.groupStartRow = -1;
            }
            int count2 = this.searchResult.size();
            if (count2 != 0) {
                int i = this.totalCount;
                this.contactsStartRow = i;
                this.totalCount = i + count2 + 1;
            } else {
                this.contactsStartRow = -1;
            }
            int count3 = this.searchAdapterHelper.getGlobalSearch().size();
            if (count3 != 0) {
                int i2 = this.totalCount;
                this.globalStartRow = i2;
                this.totalCount = i2 + count3 + 1;
            } else {
                this.globalStartRow = -1;
            }
            super.notifyDataSetChanged();
        }

        public TLObject getItem(int i) {
            int count = this.searchAdapterHelper.getGroupSearch().size();
            if (count != 0) {
                if (count + 1 > i) {
                    if (i == 0) {
                        return null;
                    }
                    return this.searchAdapterHelper.getGroupSearch().get(i - 1);
                }
                i -= count + 1;
            }
            int count2 = this.searchResult.size();
            if (count2 != 0) {
                if (count2 + 1 > i) {
                    if (i == 0) {
                        return null;
                    }
                    return this.searchResult.get(i - 1);
                }
                i -= count2 + 1;
            }
            int count3 = this.searchAdapterHelper.getGlobalSearch().size();
            if (count3 == 0 || count3 + 1 <= i || i == 0) {
                return null;
            }
            return this.searchAdapterHelper.getGlobalSearch().get(i - 1);
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view;
            switch (viewType) {
                case 0:
                    view = new ManageChatUserCell(this.mContext, 2, 2, true);
                    view.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
                    ((ManageChatUserCell) view).setDelegate(new ManageChatUserCell.ManageChatUserCellDelegate() { // from class: im.uecahxyvjd.ui.hui.packet.SelecteContactsActivity$SearchAdapter$$ExternalSyntheticLambda3
                        @Override // im.uecahxyvjd.ui.cells.ManageChatUserCell.ManageChatUserCellDelegate
                        public final boolean onOptionsButtonCheck(ManageChatUserCell manageChatUserCell, boolean z) {
                            return SelecteContactsActivity.SearchAdapter.this.m3724x162ebc79(manageChatUserCell, z);
                        }
                    });
                    break;
                default:
                    view = new GraySectionCell(this.mContext);
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onCreateViewHolder$4$im-uecahxyvjd-ui-hui-packet-SelecteContactsActivity$SearchAdapter  reason: not valid java name */
        public /* synthetic */ boolean m3724x162ebc79(ManageChatUserCell cell, boolean click) {
            TLObject object = getItem(((Integer) cell.getTag()).intValue());
            if (object instanceof TLRPC.ChannelParticipant) {
                TLRPC.ChannelParticipant channelParticipant = (TLRPC.ChannelParticipant) getItem(((Integer) cell.getTag()).intValue());
                return false;
            }
            return false;
        }

        /* JADX WARN: Multi-variable type inference failed */
        /* JADX WARN: Removed duplicated region for block: B:83:0x01a1  */
        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            TLRPC.User user;
            int position2;
            CharSequence name;
            CharSequence name2;
            CharSequence username;
            CharSequence username2;
            String foundUserName;
            int index;
            int position3 = position;
            switch (holder.getItemViewType()) {
                case 0:
                    TLObject object = getItem(position3);
                    if (object instanceof TLRPC.User) {
                        user = (TLRPC.User) object;
                    } else if (object instanceof TLRPC.ChannelParticipant) {
                        user = SelecteContactsActivity.this.getMessagesController().getUser(Integer.valueOf(((TLRPC.ChannelParticipant) object).user_id));
                    } else if (object instanceof TLRPC.ChatParticipant) {
                        user = SelecteContactsActivity.this.getMessagesController().getUser(Integer.valueOf(((TLRPC.ChatParticipant) object).user_id));
                    } else {
                        return;
                    }
                    String un = user.username;
                    int count = this.searchAdapterHelper.getGroupSearch().size();
                    boolean ok = false;
                    String nameSearch = null;
                    if (count != 0) {
                        if (count + 1 > position3) {
                            nameSearch = this.searchAdapterHelper.getLastFoundChannel();
                            ok = true;
                        } else {
                            position3 -= count + 1;
                        }
                    }
                    if (ok) {
                        position2 = position3;
                        name = null;
                        name2 = null;
                    } else {
                        int count2 = this.searchResult.size();
                        if (count2 == 0) {
                            position2 = position3;
                            name = null;
                            name2 = null;
                        } else if (count2 + 1 > position3) {
                            ok = true;
                            CharSequence name3 = this.searchResultNames.get(position3 - 1);
                            CharSequence name4 = name3;
                            if (name4 != null && !TextUtils.isEmpty(un) && name4.toString().startsWith("@" + un)) {
                                position2 = position3;
                                name = null;
                                name2 = name4;
                            } else {
                                position2 = position3;
                                name = name4;
                                name2 = null;
                            }
                        } else {
                            position2 = position3 - (count2 + 1);
                            name = null;
                            name2 = null;
                        }
                    }
                    if (!ok && un != null) {
                        int count3 = this.searchAdapterHelper.getGlobalSearch().size();
                        if (count3 == 0) {
                            username2 = name2;
                        } else if (count3 + 1 > position2) {
                            String foundUserName2 = this.searchAdapterHelper.getLastFoundUsername();
                            if (!foundUserName2.startsWith("@")) {
                                foundUserName = foundUserName2;
                            } else {
                                foundUserName = foundUserName2.substring(1);
                            }
                            try {
                                SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder();
                                spannableStringBuilder.append((CharSequence) "@");
                                spannableStringBuilder.append((CharSequence) un);
                                int index2 = AndroidUtilities.indexOfIgnoreCase(un, foundUserName);
                                if (index2 != -1) {
                                    int len = foundUserName.length();
                                    if (index2 == 0) {
                                        len++;
                                        index = index2;
                                    } else {
                                        index = index2 + 1;
                                    }
                                    try {
                                    } catch (Exception e) {
                                        e = e;
                                    }
                                    try {
                                        spannableStringBuilder.setSpan(new ForegroundColorSpan(Theme.getColor(Theme.key_windowBackgroundWhiteBlueText4)), index, index + len, 33);
                                    } catch (Exception e2) {
                                        e = e2;
                                        username = un;
                                        FileLog.e(e);
                                        if (nameSearch != null) {
                                        }
                                        ManageChatUserCell userCell = (ManageChatUserCell) holder.itemView;
                                        userCell.setTag(Integer.valueOf(position2));
                                        userCell.setData(user, name, username, false);
                                        return;
                                    }
                                }
                                username = spannableStringBuilder;
                            } catch (Exception e3) {
                                e = e3;
                            }
                        } else {
                            username2 = name2;
                        }
                        username = username2;
                    } else {
                        CharSequence username3 = name2;
                        username = username3;
                    }
                    if (nameSearch != null) {
                        String u = UserObject.getName(user);
                        name = new SpannableStringBuilder(u);
                        int idx = AndroidUtilities.indexOfIgnoreCase(u, nameSearch);
                        if (idx != -1) {
                            ((SpannableStringBuilder) name).setSpan(new ForegroundColorSpan(Theme.getColor(Theme.key_windowBackgroundWhiteBlueText4)), idx, nameSearch.length() + idx, 33);
                        }
                    }
                    ManageChatUserCell userCell2 = (ManageChatUserCell) holder.itemView;
                    userCell2.setTag(Integer.valueOf(position2));
                    userCell2.setData(user, name, username, false);
                    return;
                case 1:
                    GraySectionCell sectionCell = (GraySectionCell) holder.itemView;
                    if (position3 == this.groupStartRow) {
                        sectionCell.setText(LocaleController.getString("ChannelMembers", R.string.ChannelMembers));
                        return;
                    } else if (position3 == this.globalStartRow) {
                        sectionCell.setText(LocaleController.getString("GlobalSearch", R.string.GlobalSearch));
                        return;
                    } else if (position3 == this.contactsStartRow) {
                        sectionCell.setText(LocaleController.getString("Contacts", R.string.Contacts));
                        return;
                    } else {
                        return;
                    }
                default:
                    return;
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onViewRecycled(RecyclerView.ViewHolder holder) {
            if (holder.itemView instanceof ManageChatUserCell) {
                ((ManageChatUserCell) holder.itemView).recycle();
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemViewType(int i) {
            if (i == this.globalStartRow || i == this.groupStartRow || i == this.contactsStartRow) {
                return 1;
            }
            return 0;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes6.dex */
    public static class ListAdapter extends RecyclerListView.SectionsAdapter {
        private Context mContext;
        ArrayList<String> sortedUsersSectionsArray;
        HashMap<String, ArrayList<TLRPC.User>> usersSectionsDict;

        ListAdapter(Context mContext, HashMap<String, ArrayList<TLRPC.User>> usersSectionsDict, ArrayList<String> sortedUsersSectionsArray) {
            this.mContext = mContext;
            this.usersSectionsDict = usersSectionsDict;
            this.sortedUsersSectionsArray = sortedUsersSectionsArray;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public Object getItem(int section, int position) {
            if (section < 0 || section >= this.sortedUsersSectionsArray.size()) {
                return null;
            }
            ArrayList<TLRPC.User> arr = this.usersSectionsDict.get(this.sortedUsersSectionsArray.get(section));
            if (position >= arr.size()) {
                return null;
            }
            return arr.get(position);
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.FastScrollAdapter
        public String getLetter(int position) {
            int section = getSectionForPosition(position);
            if (section == -1) {
                section = this.sortedUsersSectionsArray.size() - 1;
            }
            if (section >= 0 && section <= this.sortedUsersSectionsArray.size()) {
                return this.sortedUsersSectionsArray.get(section);
            }
            return null;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.FastScrollAdapter
        public int getPositionForScrollProgress(float progress) {
            return (int) (getItemCount() * progress);
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public int getSectionCount() {
            ArrayList<String> arrayList = this.sortedUsersSectionsArray;
            if (arrayList == null) {
                return 0;
            }
            return arrayList.size();
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public int getCountForSection(int section) {
            ArrayList<TLRPC.User> arr;
            if (section < this.sortedUsersSectionsArray.size() && (arr = this.usersSectionsDict.get(this.sortedUsersSectionsArray.get(section))) != null) {
                int count = arr.size();
                if (section != this.sortedUsersSectionsArray.size() - 1) {
                    return count + 1;
                }
                return count;
            }
            return 0;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public boolean isEnabled(int section, int row) {
            if (section < this.sortedUsersSectionsArray.size()) {
                ArrayList<TLRPC.User> arr = this.usersSectionsDict.get(this.sortedUsersSectionsArray.get(section));
                return row < arr.size();
            }
            return true;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public int getItemViewType(int section, int position) {
            if (section < this.sortedUsersSectionsArray.size()) {
                ArrayList<TLRPC.User> arr = this.usersSectionsDict.get(this.sortedUsersSectionsArray.get(section));
                return position < arr.size() ? 0 : 3;
            }
            return 1;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public View getSectionHeaderView(int section, View view) {
            if (view == null) {
                view = new LetterSectionCell(this.mContext);
            }
            LetterSectionCell cell = (LetterSectionCell) view;
            if (section < this.sortedUsersSectionsArray.size()) {
                cell.setLetter(this.sortedUsersSectionsArray.get(section));
            } else {
                cell.setLetter("");
            }
            return view;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            View view;
            switch (viewType) {
                case 0:
                    view = new UserCell(this.mContext, 58, 1, false);
                    break;
                default:
                    view = new View(this.mContext);
                    break;
            }
            return new RecyclerListView.Holder(view);
        }

        public int getSectionForChar(char section) {
            for (int i = 0; i < getSectionCount() - 1; i++) {
                String sortStr = this.sortedUsersSectionsArray.get(i);
                char firstChar = sortStr.toUpperCase().charAt(0);
                if (firstChar == section) {
                    return i;
                }
            }
            return -1;
        }

        public int getPositionForSection(int section) {
            if (section == -1) {
                return -1;
            }
            int positionStart = 0;
            int N = getSectionCount();
            for (int i = 0; i < N; i++) {
                if (i >= section) {
                    return positionStart;
                }
                int count = getCountForSection(i);
                positionStart += count;
            }
            return -1;
        }

        @Override // im.uecahxyvjd.ui.components.RecyclerListView.SectionsAdapter
        public void onBindViewHolder(int section, int position, RecyclerView.ViewHolder holder) {
            switch (holder.getItemViewType()) {
                case 0:
                    UserCell userCell = (UserCell) holder.itemView;
                    userCell.setAvatarPadding(6);
                    ArrayList<TLRPC.User> arr = this.usersSectionsDict.get(this.sortedUsersSectionsArray.get(section));
                    TLRPC.User user = arr.get(position);
                    userCell.setData(user, null, null, 0);
                    return;
                default:
                    return;
            }
        }
    }
}
