package im.uecahxyvjd.ui.hui.transfer;

import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.text.Editable;
import android.text.InputFilter;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.util.Base64;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.EditText;
import android.widget.GridView;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ListAdapter;
import android.widget.TextView;
import butterknife.BindView;
import com.blankj.utilcode.util.SpanUtils;
import com.google.firebase.remoteconfig.FirebaseRemoteConfig;
import com.google.gson.Gson;
import com.litesuits.orm.db.assit.SQLBuilder;
import im.uecahxyvjd.javaBean.hongbao.UnifyBean;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.BuildVars;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.messenger.utils.DataTools;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.SerializedData;
import im.uecahxyvjd.tgnet.TLApiModel;
import im.uecahxyvjd.tgnet.TLJsonResolve;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCRedpacket;
import im.uecahxyvjd.tgnet.TLRPCWallet;
import im.uecahxyvjd.ui.ChatActivity;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.BottomSheet;
import im.uecahxyvjd.ui.actionbar.XAlertDialog;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.hui.adapter.EditInputFilter;
import im.uecahxyvjd.ui.hui.adapter.KeyboardAdapter;
import im.uecahxyvjd.ui.hui.contacts.AddContactsInfoActivity;
import im.uecahxyvjd.ui.hui.mine.AboutAppActivity;
import im.uecahxyvjd.ui.hui.transfer.bean.TransferRequest;
import im.uecahxyvjd.ui.hui.transfer.bean.TransferResponse;
import im.uecahxyvjd.ui.hui.wallet_public.bean.WalletAccountInfo;
import im.uecahxyvjd.ui.hui.wallet_public.bean.WalletConfigBean;
import im.uecahxyvjd.ui.hui.wallet_public.utils.WalletDialogUtil;
import im.uecahxyvjd.ui.hui.wallet_public.utils.WalletErrorUtil;
import im.uecahxyvjd.ui.utils.AesUtils;
import im.uecahxyvjd.ui.utils.number.NumberUtil;
import im.uecahxyvjd.ui.utils.number.StringUtils;
import java.math.BigDecimal;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;
/* loaded from: classes5.dex */
public class TransferSendActivity extends BaseFragment {
    private WalletAccountInfo accountInfo;
    @BindView(R.id.bivTransferAvatar)
    BackupImageView bivTransferAvatar;
    @BindView(R.id.btnSendTransferView)
    Button btnSendTransferView;
    @BindView(R.id.etTransferAmountView)
    EditText etTransferAmountView;
    @BindView(R.id.etTransferText)
    EditText etTransferText;
    private LinearLayout llPayPassword;
    private Context mContext;
    private List<Integer> mNumbers;
    private TextView[] mTvPasswords;
    private int notEmptyTvCount;
    private XAlertDialog progressView;
    private int reqId;
    private TLRPC.User targetUser;
    private TextView tvForgotPassword;
    @BindView(R.id.tvHongbaoUnit)
    TextView tvHongbaoUnit;
    @BindView(R.id.tvPromtText)
    TextView tvPromtText;
    @BindView(R.id.tvTransferHintText)
    TextView tvTransferHintText;
    @BindView(R.id.tvTransferHintView)
    TextView tvTransferHintView;
    @BindView(R.id.tvTransferName)
    TextView tvTransferName;

    public TransferSendActivity(Bundle args) {
        super(args);
        this.mNumbers = new ArrayList(Arrays.asList(1, 2, 3, 4, 5, 6, 7, 8, 9, -10, 0, -11));
        this.reqId = -1;
    }

    public void setAccountInfo(WalletAccountInfo accountInfo) {
        this.accountInfo = accountInfo;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        if (this.arguments != null) {
            int userId = this.arguments.getInt("user_id", 0);
            this.targetUser = getMessagesController().getUser(Integer.valueOf(userId));
            return true;
        }
        return true;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onResume() {
        super.onResume();
        getParentActivity().setRequestedOrientation(1);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onFragmentDestroy() {
        super.onFragmentDestroy();
        getParentActivity().setRequestedOrientation(2);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onTransitionAnimationEnd(boolean isOpen, boolean backward) {
        super.onTransitionAnimationEnd(isOpen, backward);
        if (isOpen && this.accountInfo == null) {
            getAccountInfo();
        }
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.mContext = context;
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_transfer_send_layout, (ViewGroup) null, false);
        useButterKnife();
        initActionBar();
        initView();
        return this.fragmentView;
    }

    private void initActionBar() {
        this.actionBar.setTitle(LocaleController.getString("Transfer", R.string.Transfer));
        this.actionBar.setCastShadows(false);
        this.actionBar.setBackgroundColor(-1);
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    TransferSendActivity.this.finishFragment();
                }
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void updateEditLayout(int result, boolean isMaxAmountSingleOnce) {
        if (result < 0) {
            this.tvPromtText.setVisibility(0);
            this.etTransferAmountView.setTextColor(-109240);
            this.tvHongbaoUnit.setTextColor(-109240);
            if (!isMaxAmountSingleOnce) {
                this.tvPromtText.setText(LocaleController.getString(R.string.TransferAmountMin001) + LocaleController.getString(R.string.HotCoin));
                return;
            } else {
                this.tvPromtText.setText(LocaleController.getString(R.string.SingleTransferAmoutCannotExceeds) + " " + new DecimalFormat("#").format(WalletConfigBean.getInstance().getTransferMaxMoneySingleTime() / 100.0d) + LocaleController.getString(R.string.HotCoin));
                return;
            }
        }
        this.tvPromtText.setVisibility(8);
        this.etTransferAmountView.setTextColor(-16777216);
        this.tvHongbaoUnit.setTextColor(-16777216);
    }

    private void initView() {
        this.tvHongbaoUnit.setText(LocaleController.getString(R.string.UnitCNY));
        if (this.targetUser != null) {
            AvatarDrawable avatarDrawable = new AvatarDrawable();
            avatarDrawable.setTextSize(AndroidUtilities.dp(16.0f));
            avatarDrawable.setInfo(this.targetUser);
            this.bivTransferAvatar.setRoundRadius(AndroidUtilities.dp(7.0f));
            this.bivTransferAvatar.getImageReceiver().setCurrentAccount(this.currentAccount);
            this.bivTransferAvatar.setImage(ImageLocation.getForUser(this.targetUser, false), "50_50", avatarDrawable, this.targetUser);
            this.tvTransferName.setText(UserObject.getName(this.targetUser));
        }
        this.btnSendTransferView.setEnabled(false);
        this.btnSendTransferView.setText(LocaleController.getString(R.string.ConfirmedTransfer));
        this.tvTransferHintText.setText(LocaleController.getString(R.string.TransferMessageTip));
        this.etTransferAmountView.setFilters(new InputFilter[]{new EditInputFilter()});
        this.etTransferAmountView.addTextChangedListener(new TextWatcher() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity.2
            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence s, int start, int count, int after) {
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence s, int start, int before, int count) {
                if (s.length() <= 0) {
                    TransferSendActivity.this.updateEditLayout(0, false);
                    TransferSendActivity.this.btnSendTransferView.setEnabled(false);
                    TransferSendActivity.this.tvTransferHintView.setVisibility(0);
                    TransferSendActivity.this.tvTransferHintView.setText(LocaleController.getString("Remain", R.string.friendscircle_publish_remain) + " " + NumberUtil.replacesSientificE(TransferSendActivity.this.accountInfo.getCashAmount() / 100.0d, "#0.00"));
                    return;
                }
                BigDecimal amount = new BigDecimal(s.toString().trim());
                int ret = amount.compareTo(new BigDecimal("0.01"));
                boolean isMaxAmountSingleOnce = false;
                if (WalletConfigBean.getInstance().getTransferMaxMoneySingleTime() != FirebaseRemoteConfig.DEFAULT_VALUE_FOR_DOUBLE && amount.compareTo(new BigDecimal(WalletConfigBean.getInstance().getTransferMaxMoneySingleTime()).divide(new BigDecimal(100))) > 0) {
                    isMaxAmountSingleOnce = true;
                    ret = -1;
                }
                TransferSendActivity.this.updateEditLayout(ret, isMaxAmountSingleOnce);
                if (ret >= 0) {
                    TransferSendActivity.this.btnSendTransferView.setEnabled(true);
                } else {
                    TransferSendActivity.this.btnSendTransferView.setEnabled(false);
                }
                TransferSendActivity.this.tvTransferHintView.setVisibility(8);
            }

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
            }
        });
        if (this.accountInfo != null) {
            this.tvTransferHintView.setVisibility(0);
            this.tvTransferHintView.setText(LocaleController.getString("Remain", R.string.friendscircle_publish_remain) + " " + NumberUtil.replacesSientificE(this.accountInfo.getCashAmount() / 100.0d, "#0.00"));
        }
        this.etTransferText.setFilters(new InputFilter[]{new InputFilter.LengthFilter(16)});
        this.etTransferText.addTextChangedListener(new TextWatcher() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity.3
            @Override // android.text.TextWatcher
            public void beforeTextChanged(CharSequence s, int start, int count, int after) {
            }

            @Override // android.text.TextWatcher
            public void onTextChanged(CharSequence s, int start, int before, int count) {
                if (s.length() > 0) {
                    TransferSendActivity.this.tvTransferHintText.setVisibility(8);
                } else {
                    TransferSendActivity.this.tvTransferHintText.setVisibility(0);
                }
            }

            @Override // android.text.TextWatcher
            public void afterTextChanged(Editable s) {
            }
        });
        this.btnSendTransferView.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda20
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                TransferSendActivity.this.m3743x41d038cf(view);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initView$0$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3743x41d038cf(View v) {
        if (this.accountInfo == null) {
            return;
        }
        createPayAlert();
    }

    private void createPayAlert() {
        BottomSheet.Builder builder = new BottomSheet.Builder(getParentActivity());
        builder.setApplyTopPadding(false);
        builder.setApplyBottomPadding(false);
        View sheet = LayoutInflater.from(getParentActivity()).inflate(R.layout.layout_hongbao_pay_pwd, (ViewGroup) null, false);
        builder.setCustomView(sheet);
        ImageView ivAlertClose = (ImageView) sheet.findViewById(R.id.ivAlertClose);
        ivAlertClose.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                TransferSendActivity.this.m3729x8151e0f3(view);
            }
        });
        TextView tvTitle = (TextView) sheet.findViewById(R.id.tvTitle);
        TLRPC.User user = this.targetUser;
        if (user != null) {
            tvTitle.setText(LocaleController.formatString("TransferToSomeone", R.string.TransferToSomeone, UserObject.getName(user)));
        } else {
            tvTitle.setText(LocaleController.getString("Transfer", R.string.Transfer));
        }
        TextView tvShowMoneyView = (TextView) sheet.findViewById(R.id.tvShowMoneyView);
        tvShowMoneyView.setTextColor(-109240);
        tvShowMoneyView.setText(DataTools.format2Decimals(this.etTransferAmountView.getText().toString().trim()));
        TextView tvMoneyUnit = (TextView) sheet.findViewById(R.id.tvMoneyUnit);
        TextView tvPayMode = (TextView) sheet.findViewById(R.id.tvPayMode);
        tvPayMode.setTextColor(-6710887);
        tvPayMode.setText(LocaleController.getString(R.string.HotCoinPay));
        TextView tvBlance = (TextView) sheet.findViewById(R.id.tvBlance);
        SpanUtils spanTvBalance = SpanUtils.with(tvBlance);
        spanTvBalance.setVerticalAlign(2).append(LocaleController.getString(R.string.friendscircle_publish_remain)).setForegroundColor(-6710887).append(" (").setForegroundColor(-6710887);
        spanTvBalance.append(NumberUtil.replacesSientificE(this.accountInfo.getCashAmount() / 100.0d, "#0.00"));
        tvMoneyUnit.setText(LocaleController.getString(R.string.UnitCNY));
        spanTvBalance.setForegroundColor(-16777216).append(SQLBuilder.PARENTHESES_RIGHT).setForegroundColor(-6710887).create();
        TextView textView = (TextView) sheet.findViewById(R.id.tvForgotPassword);
        this.tvForgotPassword = textView;
        textView.setText(LocaleController.getString(R.string.PasswordRecovery));
        this.tvForgotPassword.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda11
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                TransferSendActivity.lambda$createPayAlert$2(view);
            }
        });
        this.llPayPassword = (LinearLayout) sheet.findViewById(R.id.ll_pay_password);
        TextView[] textViewArr = new TextView[6];
        this.mTvPasswords = textViewArr;
        textViewArr[0] = (TextView) sheet.findViewById(R.id.tv_password_1);
        this.mTvPasswords[1] = (TextView) sheet.findViewById(R.id.tv_password_2);
        this.mTvPasswords[2] = (TextView) sheet.findViewById(R.id.tv_password_3);
        this.mTvPasswords[3] = (TextView) sheet.findViewById(R.id.tv_password_4);
        this.mTvPasswords[4] = (TextView) sheet.findViewById(R.id.tv_password_5);
        this.mTvPasswords[5] = (TextView) sheet.findViewById(R.id.tv_password_6);
        GridView gvKeyboard = (GridView) sheet.findViewById(R.id.gvKeyboard);
        gvKeyboard.setAdapter((ListAdapter) new KeyboardAdapter(this.mNumbers, getParentActivity()));
        gvKeyboard.setOnItemClickListener(new AdapterView.OnItemClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda22
            @Override // android.widget.AdapterView.OnItemClickListener
            public final void onItemClick(AdapterView adapterView, View view, int i, long j) {
                TransferSendActivity.this.m3730xdd0315b1(adapterView, view, i, j);
            }
        });
        Dialog dialog = showDialog(builder.create());
        dialog.setOnDismissListener(new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda33
            @Override // android.content.DialogInterface.OnDismissListener
            public final void onDismiss(DialogInterface dialogInterface) {
                TransferSendActivity.this.m3731xadbb010(dialogInterface);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createPayAlert$1$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3729x8151e0f3(View v) {
        dismissCurrentDialog();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$createPayAlert$2(View v) {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createPayAlert$3$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3730xdd0315b1(AdapterView parent, View view, int position, long id) {
        if (position < 9 || position == 10) {
            int i = this.notEmptyTvCount;
            TextView[] textViewArr = this.mTvPasswords;
            if (i == textViewArr.length) {
                return;
            }
            int length = textViewArr.length;
            int i2 = 0;
            while (true) {
                if (i2 >= length) {
                    break;
                }
                TextView textView = textViewArr[i2];
                if (!TextUtils.isEmpty(textView.getText())) {
                    i2++;
                } else {
                    textView.setText(String.valueOf(this.mNumbers.get(position)));
                    this.notEmptyTvCount++;
                    break;
                }
            }
            if (this.notEmptyTvCount == this.mTvPasswords.length) {
                StringBuilder password = new StringBuilder();
                for (TextView textView2 : this.mTvPasswords) {
                    String text = textView2.getText().toString();
                    if (!TextUtils.isEmpty(text)) {
                        password.append(text);
                    }
                }
                String encrypt = AesUtils.encrypt(password.toString().trim());
                BigDecimal bigTotal = new BigDecimal(this.etTransferAmountView.getText().toString().trim());
                int total = bigTotal.multiply(new BigDecimal("100")).intValue();
                sendTransfer(UserObject.getName(this.targetUser), String.valueOf(total), encrypt);
            }
        } else if (position == 11) {
            for (int i3 = this.mTvPasswords.length - 1; i3 >= 0; i3--) {
                if (!TextUtils.isEmpty(this.mTvPasswords[i3].getText())) {
                    this.mTvPasswords[i3].setText((CharSequence) null);
                    this.notEmptyTvCount--;
                    return;
                }
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$createPayAlert$4$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3731xadbb010(DialogInterface dialog1) {
        this.notEmptyTvCount = 0;
    }

    private void sendTransfer(String dest, String total, String pwd) {
        TLRPCRedpacket.CL_messages_sendRptTransfer req = new TLRPCRedpacket.CL_messages_sendRptTransfer();
        req.flags = 2;
        req.trans = 1;
        req.peer = getMessagesController().getInputPeer(this.targetUser.id);
        TransferRequest bean = new TransferRequest();
        bean.setOutTradeNo(StringUtils.getTradeNo(getUserConfig().clientUserId, getConnectionsManager().getCurrentTime()));
        bean.setNonceStr(StringUtils.getNonceStr(getConnectionsManager().getCurrentTime()));
        bean.setBody(LocaleController.formatString("TransferCreateToSomeone", R.string.TransferCreateToSomeone, dest));
        bean.setDetail("");
        bean.setAttach("");
        bean.setTotalFee(total);
        bean.setTradeType("0");
        bean.setRemarks(TextUtils.isEmpty(this.etTransferText.getText()) ? "" : this.etTransferText.getText().toString().trim());
        bean.setInitiator(String.valueOf(getUserConfig().getClientUserId()));
        bean.setPayPassWord(pwd);
        bean.setBusinessKey(UnifyBean.BUSINESS_KEY_TRANSFER);
        bean.setVersion("1");
        bean.setRecipient(String.valueOf(this.targetUser.id));
        TLRPC.TL_dataJSON data = new TLRPC.TL_dataJSON();
        data.data = new Gson().toJson(bean);
        req.redPkg = data;
        req.random_id = getSendMessagesHelper().getNextRandomId();
        this.progressView = new XAlertDialog(getParentActivity(), 5);
        ConnectionsManager connectionsManager = getConnectionsManager();
        int sendRequest = getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda1
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                TransferSendActivity.this.m3754xf9c1f25b(tLObject, tL_error);
            }
        });
        this.reqId = sendRequest;
        connectionsManager.bindRequestToGuid(sendRequest, this.classGuid);
        this.progressView.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda2
            @Override // android.content.DialogInterface.OnCancelListener
            public final void onCancel(DialogInterface dialogInterface) {
                TransferSendActivity.this.m3755x279a8cba(dialogInterface);
            }
        });
        try {
            this.progressView.show();
            this.progressView.setLoadingText(LocaleController.getString(R.string.Sending));
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendTransfer$20$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3754xf9c1f25b(TLObject response, final TLRPC.TL_error error) {
        this.progressView.dismiss();
        if (error != null) {
            if (error.text == null) {
                error.text = "";
            }
            error.text = error.text.replace("\n", "");
            if (error.text.contains("ACCOUNT_PASSWORD_IN_MINUTES,ERROR_TIMES,WILL_BE_FROZEN")) {
                String[] split = error.text.split("_");
                String str = split[split.length - 2];
                final String time = split[split.length - 1];
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda21
                    @Override // java.lang.Runnable
                    public final void run() {
                        TransferSendActivity.this.m3756x6aa5162c(time);
                    }
                });
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda23
                    @Override // java.lang.Runnable
                    public final void run() {
                        TransferSendActivity.this.m3757x987db08b();
                    }
                }, 2500L);
            } else if ("NOT_SUFFICIENT_FUNDS".equals(error.text)) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda24
                    @Override // java.lang.Runnable
                    public final void run() {
                        TransferSendActivity.this.m3744x6c8740da();
                    }
                });
            } else if ("ACCOUNT_HAS_BEEN_FROZEN_CODE".equals(error.text) || "PAY_PASSWORD_MAX_ACCOUNT_FROZEN".equals(error.text)) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda25
                    @Override // java.lang.Runnable
                    public final void run() {
                        TransferSendActivity.this.m3746xc8387598(error);
                    }
                });
            } else if ("MUTUALCONTACTNEED".equals(error.text)) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda26
                    @Override // java.lang.Runnable
                    public final void run() {
                        TransferSendActivity.this.m3749x51c244b5();
                    }
                });
            } else if (error.text.contains("EXCEED_TRANSFER_ONCE_MAX_MONEY")) {
                dismissCurrentDialog();
                WalletDialogUtil.showSingleBtnWalletDialog(this, WalletErrorUtil.getErrorDescription(error.text), LocaleController.getString("Confirm", R.string.Confirm), true, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda27
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        TransferSendActivity.this.m3751xad737973(dialogInterface, i);
                    }
                }, null);
            } else {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda28
                    @Override // java.lang.Runnable
                    public final void run() {
                        TransferSendActivity.this.m3752xdb4c13d2(error);
                    }
                });
            }
        } else if (response instanceof TLRPC.Updates) {
            TLRPC.Updates updates = (TLRPC.Updates) response;
            getMessagesController().processUpdates(updates, false);
            if (updates.updates != null) {
                Iterator<TLRPC.Update> it = updates.updates.iterator();
                while (it.hasNext()) {
                    TLRPC.Update u = it.next();
                    if (u instanceof TLRPCRedpacket.CL_updateRpkTransfer) {
                        final TLApiModel<TransferResponse> parseResponse = TLJsonResolve.parse(((TLRPCRedpacket.CL_updateRpkTransfer) u).data, TransferResponse.class);
                        if (!parseResponse.isSuccess()) {
                            WalletErrorUtil.parseErrorToast(LocaleController.getString("TransferFailure", R.string.TransferFailure), parseResponse.message);
                            return;
                        } else {
                            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda29
                                @Override // java.lang.Runnable
                                public final void run() {
                                    TransferSendActivity.this.m3753x924ae31(parseResponse);
                                }
                            });
                            return;
                        }
                    }
                }
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendTransfer$5$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3756x6aa5162c(String time) {
        TextView[] textViewArr;
        this.tvForgotPassword.setText(LocaleController.formatString("PassswordErrorText", R.string.PassswordErrorText, time));
        this.tvForgotPassword.setTextColor(-2737326);
        this.tvForgotPassword.setEnabled(false);
        this.llPayPassword.setBackgroundResource(R.drawable.shape_pay_password_error_bg);
        this.llPayPassword.setDividerDrawable(getParentActivity().getResources().getDrawable(R.drawable.shape_pay_password_error_divider));
        for (TextView mTvPassword : this.mTvPasswords) {
            mTvPassword.setTextColor(-2737326);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendTransfer$6$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3757x987db08b() {
        TextView[] textViewArr;
        this.tvForgotPassword.setText(LocaleController.getString("PasswordRecovery", R.string.PasswordRecovery));
        this.tvForgotPassword.setTextColor(-14250753);
        this.tvForgotPassword.setEnabled(true);
        this.llPayPassword.setBackgroundResource(R.drawable.shape_pay_password_bg);
        this.llPayPassword.setDividerDrawable(getParentActivity().getResources().getDrawable(R.drawable.shape_pay_password_divider));
        for (TextView mTvPassword : this.mTvPasswords) {
            mTvPassword.setText((CharSequence) null);
            mTvPassword.setTextColor(-16777216);
            this.notEmptyTvCount = 0;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendTransfer$10$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3744x6c8740da() {
        dismissCurrentDialog();
        WalletDialogUtil.showWalletDialog(this, "", LocaleController.getString("BalanceIsNotEnough", R.string.BalanceIsNotEnough), LocaleController.getString(R.string.ChangeHotCoinCount), LocaleController.getString(R.string.ChargeAmount), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda38
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                TransferSendActivity.this.m3759xf42ee549(dialogInterface, i);
            }
        }, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda39
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                TransferSendActivity.lambda$sendTransfer$9(dialogInterface, i);
            }
        }, null);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendTransfer$8$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3759xf42ee549(DialogInterface dialogInterface, int i) {
        this.etTransferAmountView.requestFocus();
        EditText editText = this.etTransferAmountView;
        editText.setSelection(editText.getText().length());
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda32
            @Override // java.lang.Runnable
            public final void run() {
                TransferSendActivity.this.m3758xc6564aea();
            }
        }, 300L);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendTransfer$7$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3758xc6564aea() {
        AndroidUtilities.showKeyboard(this.etTransferAmountView);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$sendTransfer$9(DialogInterface dialogInterface, int i) {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendTransfer$12$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3746xc8387598(TLRPC.TL_error error) {
        dismissCurrentDialog();
        WalletDialogUtil.showWalletDialog(this, "", WalletErrorUtil.getErrorDescription(error.text), LocaleController.getString("Confirm", R.string.Confirm), LocaleController.getString("ContactCustomerService", R.string.ContactCustomerService), null, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda35
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                TransferSendActivity.this.m3745x9a5fdb39(dialogInterface, i);
            }
        }, null);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendTransfer$11$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3745x9a5fdb39(DialogInterface dialogInterface, int i) {
        presentFragment(new AboutAppActivity());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendTransfer$15$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3749x51c244b5() {
        dismissCurrentDialog();
        WalletDialogUtil.showWalletDialog(this, "", LocaleController.getString("AddContactsTip", R.string.AddContactsTip), LocaleController.getString("GoVerify", R.string.GoVerify), LocaleController.getString("Confirm", R.string.Confirm), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda18
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                TransferSendActivity.this.m3748x23e9aa56(dialogInterface, i);
            }
        }, null, null);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendTransfer$13$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3747xf6110ff7() {
        presentFragment(new AddContactsInfoActivity(null, this.targetUser));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendTransfer$14$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3748x23e9aa56(DialogInterface dialogInterface, int i) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda17
            @Override // java.lang.Runnable
            public final void run() {
                TransferSendActivity.this.m3747xf6110ff7();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendTransfer$17$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3751xad737973(DialogInterface dialogInterface, int i) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda19
            @Override // java.lang.Runnable
            public final void run() {
                TransferSendActivity.this.m3750x7f9adf14();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendTransfer$16$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3750x7f9adf14() {
        this.etTransferAmountView.setText("");
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendTransfer$18$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3752xdb4c13d2(TLRPC.TL_error error) {
        dismissCurrentDialog();
        WalletDialogUtil.showConfirmBtnWalletDialog(this, WalletErrorUtil.getErrorDescription(error.text));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendTransfer$19$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3753x924ae31(TLApiModel parseResponse) {
        dismissCurrentDialog();
        TransferStatusActivity transferStatusActivity = new TransferStatusActivity();
        transferStatusActivity.setTargetUser(this.targetUser);
        transferStatusActivity.setTransResponse((TransferResponse) parseResponse.model, true);
        transferStatusActivity.setSender(true);
        presentFragment(transferStatusActivity, true);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$sendTransfer$21$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3755x279a8cba(DialogInterface dialog) {
        getConnectionsManager().cancelRequest(this.reqId, true);
    }

    private void getAccountInfo() {
        this.progressView = new XAlertDialog(getParentActivity(), 5);
        TLRPCWallet.TL_getPaymentAccountInfo req = new TLRPCWallet.TL_getPaymentAccountInfo();
        ConnectionsManager connectionsManager = getConnectionsManager();
        int sendRequest = getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda40
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                TransferSendActivity.this.m3741x2f2dd9c6(tLObject, tL_error);
            }
        });
        this.reqId = sendRequest;
        connectionsManager.bindRequestToGuid(sendRequest, this.classGuid);
        this.progressView.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda41
            @Override // android.content.DialogInterface.OnCancelListener
            public final void onCancel(DialogInterface dialogInterface) {
                TransferSendActivity.this.m3742x5d067425(dialogInterface);
            }
        });
        try {
            this.progressView.show();
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$38$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3741x2f2dd9c6(TLObject response, TLRPC.TL_error error) {
        if (error != null) {
            this.progressView.dismiss();
            WalletDialogUtil.showConfirmBtnWalletDialog((Object) this, (CharSequence) (BuildVars.RELEASE_VERSION ? LocaleController.getString("SystemIsBusyAndTryAgainLater", R.string.SystemIsBusyAndTryAgainLater) : WalletErrorUtil.getErrorDescription(LocaleController.formatString("SystemIsBusyAndTryAgainLater", R.string.SystemIsBusyAndTryAgainLater, new Object[0]), error.text)), true, new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda3
                @Override // android.content.DialogInterface.OnDismissListener
                public final void onDismiss(DialogInterface dialogInterface) {
                    TransferSendActivity.this.m3732x8edf8a0b(dialogInterface);
                }
            });
            return;
        }
        this.progressView.dismiss();
        if (response instanceof TLRPCWallet.TL_paymentAccountInfoNotExist) {
            WalletDialogUtil.showWalletDialog(this, "", LocaleController.formatString("AccountInfoNotCompleted", R.string.AccountInfoNotCompleted, "转账", "转账"), LocaleController.getString("Close", R.string.Close), LocaleController.getString("GoToWalletCenter", R.string.GoToWalletCenter), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda7
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i) {
                    TransferSendActivity.this.m3733xbcb8246a(dialogInterface, i);
                }
            }, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda8
                @Override // android.content.DialogInterface.OnClickListener
                public final void onClick(DialogInterface dialogInterface, int i) {
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda34
                        @Override // java.lang.Runnable
                        public final void run() {
                            TransferSendActivity.lambda$getAccountInfo$24();
                        }
                    });
                }
            }, new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda9
                @Override // android.content.DialogInterface.OnDismissListener
                public final void onDismiss(DialogInterface dialogInterface) {
                    TransferSendActivity.this.m3734x4641f387(dialogInterface);
                }
            });
            return;
        }
        TLApiModel<WalletAccountInfo> model = TLJsonResolve.parse(response, WalletAccountInfo.class);
        if (model.isSuccess()) {
            WalletAccountInfo walletAccountInfo = (WalletAccountInfo) model.model;
            this.accountInfo = walletAccountInfo;
            WalletConfigBean.setWalletAccountInfo(walletAccountInfo);
            WalletConfigBean.setConfigValue(((WalletAccountInfo) model.model).getRiskList());
            if (!this.accountInfo.hasNormalAuth()) {
                WalletDialogUtil.showWalletDialog(this, "", LocaleController.getString("BasicAuthNor", R.string.BasicAuthNor), LocaleController.getString("Close", R.string.Close), LocaleController.getString("GoToAuth", R.string.GoToAuth), null, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda10
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        TransferSendActivity.lambda$getAccountInfo$27(dialogInterface, i);
                    }
                }, null);
                return;
            } else if (!this.accountInfo.hasBindBank()) {
                WalletDialogUtil.showWalletDialog(this, null, LocaleController.getString("BankBindNor", R.string.BankBindNor), LocaleController.getString("Close", R.string.Close), LocaleController.getString("GoToBind", R.string.GoToBind), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda12
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        TransferSendActivity.this.m3735xa1f32845(dialogInterface, i);
                    }
                }, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda13
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda30
                            @Override // java.lang.Runnable
                            public final void run() {
                                TransferSendActivity.lambda$getAccountInfo$29();
                            }
                        });
                    }
                }, new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda14
                    @Override // android.content.DialogInterface.OnDismissListener
                    public final void onDismiss(DialogInterface dialogInterface) {
                        TransferSendActivity.this.m3736xee41a12d(dialogInterface);
                    }
                });
                return;
            } else if (!this.accountInfo.hasPaypassword()) {
                WalletDialogUtil.showWalletDialog(this, "", LocaleController.getString("PayPasswordNor", R.string.PayPasswordNor), LocaleController.getString("Close", R.string.Close), LocaleController.getString("redpacket_goto_set", R.string.redpacket_goto_set), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda15
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        TransferSendActivity.this.m3737x1c1a3b8c(dialogInterface, i);
                    }
                }, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda16
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda42
                            @Override // java.lang.Runnable
                            public final void run() {
                                TransferSendActivity.lambda$getAccountInfo$33();
                            }
                        });
                    }
                }, new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda4
                    @Override // android.content.DialogInterface.OnDismissListener
                    public final void onDismiss(DialogInterface dialogInterface) {
                        TransferSendActivity.this.m3738xa5a40aa9(dialogInterface);
                    }
                });
                return;
            } else {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda5
                    @Override // java.lang.Runnable
                    public final void run() {
                        TransferSendActivity.this.m3739xd37ca508();
                    }
                });
                return;
            }
        }
        WalletDialogUtil.showConfirmBtnWalletDialog((Object) this, (CharSequence) WalletErrorUtil.getErrorDescription(LocaleController.formatString("SystemIsBusyAndTryAgainLater", R.string.SystemIsBusyAndTryAgainLater, new Object[0]), model.message), true, new DialogInterface.OnDismissListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda6
            @Override // android.content.DialogInterface.OnDismissListener
            public final void onDismiss(DialogInterface dialogInterface) {
                TransferSendActivity.this.m3740x1553f67(dialogInterface);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$22$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3732x8edf8a0b(DialogInterface dialog) {
        finish();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$23$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3733xbcb8246a(DialogInterface dialogInterface, int i) {
        finish();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$getAccountInfo$24() {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$26$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3734x4641f387(DialogInterface dialog) {
        finish();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$getAccountInfo$27(DialogInterface dialogInterface, int i) {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$28$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3735xa1f32845(DialogInterface dialogInterface, int i) {
        finish();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$getAccountInfo$29() {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$31$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3736xee41a12d(DialogInterface dialog) {
        finish();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$32$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3737x1c1a3b8c(DialogInterface dialogInterface, int i) {
        finish();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$getAccountInfo$33() {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$35$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3738xa5a40aa9(DialogInterface dialog) {
        finish();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$36$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3739xd37ca508() {
        this.tvTransferHintView.setVisibility(0);
        this.tvTransferHintView.setText(LocaleController.getString(R.string.friendscircle_publish_remain) + NumberUtil.replacesSientificE(this.accountInfo.getCashAmount() / 100.0d, "#0.00"));
        this.etTransferAmountView.setEnabled(true);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$37$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3740x1553f67(DialogInterface dialog) {
        finish();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$getAccountInfo$39$im-uecahxyvjd-ui-hui-transfer-TransferSendActivity  reason: not valid java name */
    public /* synthetic */ void m3742x5d067425(DialogInterface dialog) {
        getConnectionsManager().cancelRequest(this.reqId, true);
        finish();
    }

    public void performService(final BaseFragment fragment) {
        String userString;
        final int currentAccount = fragment.getCurrentAccount();
        final SharedPreferences preferences = MessagesController.getMainSettings(currentAccount);
        int uid = preferences.getInt("support_id", 0);
        TLRPC.User supportUser = null;
        if (uid != 0 && (supportUser = MessagesController.getInstance(currentAccount).getUser(Integer.valueOf(uid))) == null && (userString = preferences.getString("support_user", null)) != null) {
            try {
                byte[] datacentersBytes = Base64.decode(userString, 0);
                if (datacentersBytes != null) {
                    SerializedData data = new SerializedData(datacentersBytes);
                    supportUser = TLRPC.User.TLdeserialize(data, data.readInt32(false), false);
                    if (supportUser != null && supportUser.id == 333000) {
                        supportUser = null;
                    }
                    data.cleanup();
                }
            } catch (Exception e) {
                FileLog.e(e);
                supportUser = null;
            }
        }
        if (supportUser == null) {
            final XAlertDialog progressDialog = new XAlertDialog(getParentActivity(), 4);
            progressDialog.show();
            TLRPC.TL_help_getSupport req = new TLRPC.TL_help_getSupport();
            ConnectionsManager.getInstance(currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda43
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    TransferSendActivity.lambda$performService$42(preferences, progressDialog, currentAccount, fragment, tLObject, tL_error);
                }
            });
            return;
        }
        MessagesController.getInstance(currentAccount).putUser(supportUser, true);
        Bundle args = new Bundle();
        args.putInt("user_id", supportUser.id);
        fragment.presentFragment(new ChatActivity(args));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$performService$42(final SharedPreferences preferences, final XAlertDialog progressDialog, final int currentAccount, final BaseFragment fragment, TLObject response, TLRPC.TL_error error) {
        if (error == null) {
            final TLRPC.TL_help_support res = (TLRPC.TL_help_support) response;
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda36
                @Override // java.lang.Runnable
                public final void run() {
                    TransferSendActivity.lambda$performService$40(preferences, res, progressDialog, currentAccount, fragment);
                }
            });
            return;
        }
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda37
            @Override // java.lang.Runnable
            public final void run() {
                TransferSendActivity.lambda$performService$41(XAlertDialog.this);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$performService$40(SharedPreferences preferences, TLRPC.TL_help_support res, XAlertDialog progressDialog, int currentAccount, BaseFragment fragment) {
        SharedPreferences.Editor editor = preferences.edit();
        editor.putInt("support_id", res.user.id);
        SerializedData data = new SerializedData();
        res.user.serializeToStream(data);
        editor.putString("support_user", Base64.encodeToString(data.toByteArray(), 0));
        editor.commit();
        data.cleanup();
        try {
            progressDialog.dismiss();
        } catch (Exception e) {
            FileLog.e(e);
        }
        ArrayList<TLRPC.User> users = new ArrayList<>();
        users.add(res.user);
        MessagesStorage.getInstance(currentAccount).putUsersAndChats(users, null, true, true);
        MessagesController.getInstance(currentAccount).putUser(res.user, false);
        Bundle args = new Bundle();
        args.putInt("user_id", res.user.id);
        fragment.presentFragment(new ChatActivity(args));
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$performService$41(XAlertDialog progressDialog) {
        try {
            progressDialog.dismiss();
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    private void finish() {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferSendActivity$$ExternalSyntheticLambda31
            @Override // java.lang.Runnable
            public final void run() {
                TransferSendActivity.this.finishFragment();
            }
        });
    }
}
