package im.uecahxyvjd.ui.hui.transfer;

import android.content.Context;
import android.content.DialogInterface;
import android.graphics.Color;
import android.text.Html;
import android.text.TextPaint;
import android.text.TextUtils;
import android.text.style.ClickableSpan;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import butterknife.BindView;
import butterknife.OnClick;
import com.blankj.utilcode.util.SpanUtils;
import com.google.gson.Gson;
import im.uecahxyvjd.javaBean.hongbao.UnifyBean;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.messenger.utils.DataTools;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.ParamsUtil;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLApiModel;
import im.uecahxyvjd.tgnet.TLJsonResolve;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCRedpacket;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.actionbar.XAlertDialog;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.hui.transfer.bean.TransferOperation;
import im.uecahxyvjd.ui.hui.transfer.bean.TransferResponse;
import im.uecahxyvjd.ui.hui.wallet_public.utils.WalletDialogUtil;
import im.uecahxyvjd.ui.hui.wallet_public.utils.WalletErrorUtil;
import im.uecahxyvjd.ui.hviews.MryRoundButton;
import im.uecahxyvjd.ui.hviews.MryTextView;
import im.uecahxyvjd.ui.utils.number.NumberUtil;
import im.uecahxyvjd.ui.utils.number.StringUtils;
import java.math.BigDecimal;
import java.util.Iterator;
/* loaded from: classes5.dex */
public class TransferStatusActivity extends BaseFragment {
    @BindView(R.id.btnTransferStateButton)
    MryRoundButton btnTransferStateButton;
    private boolean complete;
    private boolean isSender;
    @BindView(R.id.ivTransferStateImg)
    ImageView ivTransferStateImg;
    @BindView(R.id.llTransferAboutLayout)
    LinearLayout llTransferAboutLayout;
    private int mTokenReq;
    private TLRPC.Message message;
    private TLRPC.User targetUser;
    private String total;
    private TransferResponse transResponse;
    @BindView(R.id.tvActionTime)
    TextView tvActionTime;
    @BindView(R.id.tvHongbaoType)
    TextView tvHongbaoType;
    @BindView(R.id.tvRefuseTransfer)
    TextView tvRefuseTransfer;
    @BindView(R.id.tvRemarks)
    TextView tvRemarks;
    @BindView(R.id.tvTransferAmount)
    MryTextView tvTransferAmount;
    @BindView(R.id.tvTransferStateText)
    TextView tvTransferStateText;
    @BindView(R.id.tvTransferTime)
    TextView tvTransferTime;
    @BindView(R.id.tvWallet)
    TextView tvWallet;

    public void setMessage(TLRPC.Message message) {
        this.message = message;
    }

    public void setTargetUser(TLRPC.User user) {
        this.targetUser = user;
    }

    public void setSender(boolean sender) {
        this.isSender = sender;
    }

    public void setTransResponse(TransferResponse transResponse) {
        setTransResponse(transResponse, false);
    }

    public void setTransResponse(TransferResponse transResponse, boolean complete) {
        this.transResponse = transResponse;
        this.complete = complete;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_transfer_status_layout, (ViewGroup) null, false);
        this.actionBar.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
        useButterKnife();
        initActionBar();
        initView();
        initState();
        updateViews();
        return this.fragmentView;
    }

    private void initActionBar() {
        this.actionBar.setCastShadows(false);
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity.1
            {
                TransferStatusActivity.this = this;
            }

            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    TransferStatusActivity.this.finishFragment();
                }
            }
        });
    }

    private void initView() {
        this.tvTransferAmount.setBold();
        this.tvRefuseTransfer.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText3));
        this.tvTransferTime.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText3));
        this.tvActionTime.setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText3));
        this.btnTransferStateButton.setPrimaryRoundFillStyle(AndroidUtilities.dp(25.0f));
        this.btnTransferStateButton.setBackgroundColor(-12862209);
        this.btnTransferStateButton.setTextSize(2, 15.0f);
    }

    private void initState() {
        TLRPC.Message message;
        if (this.transResponse == null && (message = this.message) != null && (message.media instanceof TLRPCRedpacket.CL_messagesRpkTransferMedia)) {
            TLApiModel<TransferResponse> parse = TLJsonResolve.parse(((TLRPCRedpacket.CL_messagesRpkTransferMedia) this.message.media).data, TransferResponse.class);
            this.transResponse = (TransferResponse) parse.model;
        }
        TransferResponse transferResponse = this.transResponse;
        if (transferResponse == null || this.targetUser == null) {
            return;
        }
        this.isSender = transferResponse.getInitiatorUserIdInt() == getUserConfig().getClientUserId();
        if (NumberUtil.isNumber(this.transResponse.getTotalFee())) {
            BigDecimal bitTotal = new BigDecimal(this.transResponse.getTotalFee());
            this.total = DataTools.format2Decimals(bitTotal.divide(new BigDecimal("100")).toString());
        }
        if (!this.isSender && NumberUtil.isNumber(this.transResponse.getInitiatorUserId())) {
            this.targetUser = getMessagesController().getUser(Integer.valueOf(Integer.parseInt(this.transResponse.getInitiatorUserId())));
        } else if (NumberUtil.isNumber(this.transResponse.getRecipientUserId())) {
            this.targetUser = getMessagesController().getUser(Integer.valueOf(Integer.parseInt(this.transResponse.getRecipientUserId())));
        }
        this.tvTransferAmount.setText(this.total);
        this.tvHongbaoType.setText(LocaleController.getString(R.string.UnitCNY));
    }

    public void updateViews() {
        String text;
        String text2;
        TransferResponse transferResponse = this.transResponse;
        if (transferResponse == null) {
            return;
        }
        TransferResponse.Status state = transferResponse.getState();
        if (!TextUtils.isEmpty(this.transResponse.getRemarks())) {
            this.tvRemarks.setText(this.transResponse.getRemarks());
            this.tvRemarks.setVisibility(0);
        } else {
            this.tvRemarks.setVisibility(8);
        }
        if (state == TransferResponse.Status.NONE || this.complete) {
            this.ivTransferStateImg.setImageResource(R.mipmap.transfer_success_icon);
            this.btnTransferStateButton.setVisibility(0);
            this.btnTransferStateButton.setText(LocaleController.getString("Done", R.string.Done));
            this.tvTransferStateText.setText(LocaleController.formatString("PayCompleate", R.string.PayCompleate, UserObject.getName(this.targetUser, 10)));
            this.tvRefuseTransfer.setVisibility(8);
            this.tvRefuseTransfer.setText(LocaleController.getString("RefundWhenNotReceiveMoneyInOneDay", R.string.RefundWhenNotReceiveMoneyInOneDay));
            this.tvActionTime.setVisibility(8);
        } else if (state == TransferResponse.Status.WAITING) {
            this.ivTransferStateImg.setImageResource(R.mipmap.transfer_waiting_icon);
            this.tvActionTime.setVisibility(8);
            if (this.isSender) {
                text2 = LocaleController.formatString("WaitingToReceiveMoney", R.string.WaitingToReceiveMoney, UserObject.getName(this.targetUser, 10));
                this.btnTransferStateButton.setVisibility(8);
                this.tvRefuseTransfer.setText(LocaleController.getString("RefundWhenNotReceiveMoneyInOneDay", R.string.RefundWhenNotReceiveMoneyInOneDay));
                this.tvRefuseTransfer.setVisibility(0);
                this.tvTransferTime.setText(LocaleController.formatString("TransferTimeWithColon", R.string.TransferTimeWithColon, this.transResponse.getCreateTimeFormat()));
            } else {
                text2 = LocaleController.getString("WaitReceiveTransferMonney", R.string.WaitReceiveTransferMonney);
                this.btnTransferStateButton.setVisibility(0);
                SpanUtils.with(this.tvRefuseTransfer).append(LocaleController.getString("RefundWhenNotConfirmInOneDay", R.string.RefundWhenNotConfirmInOneDay)).setForegroundColor(Theme.getColor(Theme.key_windowBackgroundWhiteGrayText3)).append(LocaleController.getString("TransferRefundNow", R.string.TransferRefundNow)).setClickSpan(new ClickableSpan() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity.2
                    {
                        TransferStatusActivity.this = this;
                    }

                    @Override // android.text.style.ClickableSpan
                    public void onClick(View widget) {
                        TransferStatusActivity.this.showRefuseDialog();
                    }

                    @Override // android.text.style.ClickableSpan, android.text.style.CharacterStyle
                    public void updateDrawState(TextPaint ds) {
                        super.updateDrawState(ds);
                        ds.setUnderlineText(false);
                        ds.setColor(Color.parseColor("#ff268CFF"));
                    }
                }).setForegroundColor(Color.parseColor("#ff268CFF")).create();
                this.tvTransferTime.setText(LocaleController.formatString("TransferTimeWithColon", R.string.TransferTimeWithColon, this.transResponse.getCreateTimeFormat()));
            }
            this.tvRefuseTransfer.setVisibility(0);
            this.tvTransferStateText.setText(text2);
            this.btnTransferStateButton.setText(LocaleController.getString("ConfirmReceiptMoney", R.string.ConfirmReceiptMoney));
        } else if (state == TransferResponse.Status.RECEIVED) {
            this.btnTransferStateButton.setVisibility(8);
            this.tvRefuseTransfer.setVisibility(8);
            this.ivTransferStateImg.setImageResource(R.mipmap.transfer_success_icon);
            this.tvTransferStateText.setText(LocaleController.getString("ReceivableMoney", R.string.ReceivableMoney));
            if (!this.isSender) {
                this.tvWallet.setVisibility(0);
                this.tvWallet.setText(Html.fromHtml(LocaleController.getString(R.string.ViewWalletBalance)));
            }
            this.tvTransferTime.setText(LocaleController.formatString("TransferTimeWithColon", R.string.TransferTimeWithColon, this.transResponse.getCreateTimeFormat()));
            this.tvTransferTime.setVisibility(0);
            if (this.transResponse.getCollectTimeFormat() != null) {
                this.tvActionTime.setVisibility(0);
                this.tvActionTime.setText(LocaleController.formatString("TransferReceivedTimeWithColon", R.string.TransferReceivedTimeWithColon, this.transResponse.getCollectTimeFormat()));
                return;
            }
            this.tvActionTime.setVisibility(8);
        } else if (state == TransferResponse.Status.REFUSED || state == TransferResponse.Status.TIMEOUT) {
            this.btnTransferStateButton.setVisibility(8);
            this.tvRefuseTransfer.setVisibility(8);
            this.ivTransferStateImg.setImageResource(R.mipmap.transfer_back_icon);
            if (this.isSender) {
                text = LocaleController.formatString("TransferRefundByOtherSide", R.string.TransferRefundByOtherSide, UserObject.getName(this.targetUser, 10));
            } else if (state == TransferResponse.Status.REFUSED) {
                text = LocaleController.getString(R.string.YouHaveRefused);
            } else {
                text = LocaleController.getString("TransferRefunded", R.string.TransferRefunded);
            }
            this.tvTransferStateText.setText(text);
            if (this.isSender) {
                this.tvWallet.setVisibility(0);
                SpanUtils.with(this.tvWallet).append(LocaleController.getString("TransferRefundedWithComm", R.string.TransferRefundedWithComm)).setForegroundColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlackText)).append(LocaleController.getString("Wallet", R.string.Wallet)).setClickSpan(new ClickableSpan() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity.3
                    {
                        TransferStatusActivity.this = this;
                    }

                    @Override // android.text.style.ClickableSpan
                    public void onClick(View widget) {
                    }

                    @Override // android.text.style.ClickableSpan, android.text.style.CharacterStyle
                    public void updateDrawState(TextPaint ds) {
                        super.updateDrawState(ds);
                        ds.setUnderlineText(false);
                        ds.setColor(Color.parseColor("#fffe5548"));
                    }
                }).setForegroundColor(Color.parseColor("#fffe5548")).create();
            } else {
                this.tvWallet.setVisibility(8);
            }
            this.tvTransferTime.setText(LocaleController.formatString("TransferTimeWithColon", R.string.TransferTimeWithColon, this.transResponse.getCreateTimeFormat()));
            this.tvTransferTime.setVisibility(0);
            if (this.transResponse.getCancelTimeFormat() != null) {
                this.tvActionTime.setVisibility(0);
                this.tvActionTime.setText(LocaleController.formatString("TransferRefundedTimeWithColon", R.string.TransferRefundedTimeWithColon, this.transResponse.getCancelTimeFormat()));
            } else {
                this.tvActionTime.setVisibility(8);
            }
            this.btnTransferStateButton.setVisibility(8);
        }
    }

    private void receiveTransfer() {
        if (this.message == null || this.transResponse == null) {
            return;
        }
        this.btnTransferStateButton.setEnabled(false);
        TLRPCRedpacket.CL_messages_rpkTransferReceive transferReceive = new TLRPCRedpacket.CL_messages_rpkTransferReceive();
        transferReceive.trans = 1;
        transferReceive.peer = getMessagesController().getInputPeer(this.transResponse.getInitiatorUserIdInt());
        transferReceive.id = this.message.id;
        transferReceive.flags = 2;
        TransferOperation receiveTransfer = new TransferOperation(this.transResponse.getSerialCode(), this.transResponse.getRecipientUserId(), StringUtils.getNonceStr(getConnectionsManager().getCurrentTime()), UnifyBean.BUSINESS_KEY_TRANSFER_RECEIVE, "0.0.1");
        TLRPC.TL_dataJSON dataJSON = new TLRPC.TL_dataJSON();
        dataJSON.data = new Gson().toJson(receiveTransfer);
        transferReceive.data = dataJSON;
        final XAlertDialog progressDialog = new XAlertDialog(getParentActivity(), 4);
        ConnectionsManager connectionsManager = getConnectionsManager();
        int sendRequest = getConnectionsManager().sendRequest(transferReceive, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity$$ExternalSyntheticLambda18
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                TransferStatusActivity.this.m3767xf95a1a52(progressDialog, tLObject, tL_error);
            }
        });
        this.mTokenReq = sendRequest;
        connectionsManager.bindRequestToGuid(sendRequest, this.classGuid);
        progressDialog.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity$$ExternalSyntheticLambda1
            @Override // android.content.DialogInterface.OnCancelListener
            public final void onCancel(DialogInterface dialogInterface) {
                TransferStatusActivity.this.m3768x137598f1(dialogInterface);
            }
        });
        try {
            progressDialog.show();
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    /* renamed from: lambda$receiveTransfer$8$im-uecahxyvjd-ui-hui-transfer-TransferStatusActivity */
    public /* synthetic */ void m3767xf95a1a52(XAlertDialog progressDialog, TLObject response, TLRPC.TL_error error) {
        progressDialog.dismiss();
        int i = R.string.OtherDeviceSureTransfer;
        if (error != null) {
            if (!"REPEATED_REQUESTS".equals(error.text)) {
                WalletErrorUtil.parseErrorDialog(this, error.text, false, LocaleController.getString("Back", R.string.Back), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity$$ExternalSyntheticLambda11
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i2) {
                        TransferStatusActivity.this.m3761x4299a3f9(dialogInterface, i2);
                    }
                });
            } else {
                WalletDialogUtil.showSingleBtnWalletDialog((Object) this, (CharSequence) LocaleController.getString("OtherDeviceDoSame", R.string.OtherDeviceSureTransfer), LocaleController.getString("Back", R.string.Back), false, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity$$ExternalSyntheticLambda0
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i2) {
                        TransferStatusActivity.this.m3760x287e255a(dialogInterface, i2);
                    }
                });
            }
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity$$ExternalSyntheticLambda12
                @Override // java.lang.Runnable
                public final void run() {
                    TransferStatusActivity.this.m3762x5cb52298();
                }
            });
        } else if (response instanceof TLRPC.Updates) {
            TLRPC.Updates updates = (TLRPC.Updates) response;
            Iterator<TLRPC.Update> it = updates.updates.iterator();
            while (it.hasNext()) {
                TLRPC.Update u = it.next();
                if (u instanceof TLRPCRedpacket.CL_updateRpkTransfer) {
                    TLApiModel<TransferResponse> parseResponse = TLJsonResolve.parse(((TLRPCRedpacket.CL_updateRpkTransfer) u).data, TransferResponse.class);
                    if (parseResponse.isSuccess()) {
                        this.transResponse = (TransferResponse) parseResponse.model;
                        MessagesController.getInstance(this.currentAccount).processUpdates(updates, false);
                        AndroidUtilities.runOnUIThread(new TransferStatusActivity$$ExternalSyntheticLambda10(this));
                        return;
                    } else if ("EXCLUSIVE_PLEASE_BIND_FIRST_BANKINFO".equals(parseResponse.message)) {
                        WalletDialogUtil.showWalletDialog(this, null, LocaleController.getString(R.string.BankBindNorRecv), LocaleController.getString("Close", R.string.Close), LocaleController.getString("GoToBind", R.string.GoToBind), null, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity$$ExternalSyntheticLambda13
                            @Override // android.content.DialogInterface.OnClickListener
                            public final void onClick(DialogInterface dialogInterface, int i2) {
                                TransferStatusActivity.lambda$receiveTransfer$3(dialogInterface, i2);
                            }
                        }, null);
                        return;
                    } else if ("THE_TRANSFER_IS_NOT_AVAILABLE".equals(parseResponse.message) || "THE_TRANSFER_HAS_BEEN_CANCELLED".equals(parseResponse.message)) {
                        WalletErrorUtil.parseErrorDialog(this, parseResponse.message, false, LocaleController.getString("Back", R.string.Back), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity$$ExternalSyntheticLambda14
                            @Override // android.content.DialogInterface.OnClickListener
                            public final void onClick(DialogInterface dialogInterface, int i2) {
                                TransferStatusActivity.this.m3763x90ec1fd6(dialogInterface, i2);
                            }
                        });
                        return;
                    } else if ("TRANSFER_COMPLETED_ERROR_CODE".equals(parseResponse.message)) {
                        this.transResponse = (TransferResponse) parseResponse.model;
                        MessagesController.getInstance(this.currentAccount).processUpdates(updates, false);
                        AndroidUtilities.runOnUIThread(new TransferStatusActivity$$ExternalSyntheticLambda10(this));
                        return;
                    } else if (!"REPEATED_REQUESTS".equals(parseResponse.message)) {
                        WalletErrorUtil.parseErrorDialog(this, parseResponse.message, false, LocaleController.getString("Back", R.string.Back), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity$$ExternalSyntheticLambda16
                            @Override // android.content.DialogInterface.OnClickListener
                            public final void onClick(DialogInterface dialogInterface, int i2) {
                                TransferStatusActivity.this.m3765xc5231d14(dialogInterface, i2);
                            }
                        });
                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity$$ExternalSyntheticLambda17
                            @Override // java.lang.Runnable
                            public final void run() {
                                TransferStatusActivity.this.m3766xdf3e9bb3();
                            }
                        });
                        return;
                    } else {
                        WalletDialogUtil.showSingleBtnWalletDialog((Object) this, (CharSequence) LocaleController.getString("OtherDeviceDoSame", i), LocaleController.getString("Back", R.string.Back), false, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity$$ExternalSyntheticLambda15
                            @Override // android.content.DialogInterface.OnClickListener
                            public final void onClick(DialogInterface dialogInterface, int i2) {
                                TransferStatusActivity.this.m3764xab079e75(dialogInterface, i2);
                            }
                        });
                    }
                } else if (u instanceof TLRPC.TL_updateEditMessage) {
                    TLRPC.TL_updateEditMessage update = (TLRPC.TL_updateEditMessage) u;
                    if (update.message.media instanceof TLRPCRedpacket.CL_messagesRpkTransferMedia) {
                        TLRPCRedpacket.CL_messagesRpkTransferMedia media = (TLRPCRedpacket.CL_messagesRpkTransferMedia) update.message.media;
                        TLApiModel<TransferResponse> parseResponse2 = TLJsonResolve.parse(media.data, TransferResponse.class);
                        if ("THE_TRANSFER_IS_NOT_AVAILABLE".equals(parseResponse2.message)) {
                            parseResponse2.code = "0";
                            parseResponse2.message = "SUCCESS_CODE";
                            media.data.data = ParamsUtil.toJson(parseResponse2);
                            ((TLRPC.TL_updateEditMessage) u).message.media = media;
                            this.transResponse = (TransferResponse) parseResponse2.model;
                            MessagesController.getInstance(this.currentAccount).processUpdates(updates, false);
                            AndroidUtilities.runOnUIThread(new TransferStatusActivity$$ExternalSyntheticLambda10(this));
                        }
                    }
                }
                i = R.string.OtherDeviceSureTransfer;
            }
        }
    }

    /* renamed from: lambda$receiveTransfer$0$im-uecahxyvjd-ui-hui-transfer-TransferStatusActivity */
    public /* synthetic */ void m3760x287e255a(DialogInterface dialogInterface, int i) {
        AndroidUtilities.runOnUIThread(new TransferStatusActivity$$ExternalSyntheticLambda2(this));
    }

    /* renamed from: lambda$receiveTransfer$1$im-uecahxyvjd-ui-hui-transfer-TransferStatusActivity */
    public /* synthetic */ void m3761x4299a3f9(DialogInterface dialogInterface, int i) {
        AndroidUtilities.runOnUIThread(new TransferStatusActivity$$ExternalSyntheticLambda2(this));
    }

    /* renamed from: lambda$receiveTransfer$2$im-uecahxyvjd-ui-hui-transfer-TransferStatusActivity */
    public /* synthetic */ void m3762x5cb52298() {
        this.btnTransferStateButton.setEnabled(true);
    }

    public static /* synthetic */ void lambda$receiveTransfer$3(DialogInterface dialogInterface, int i) {
    }

    /* renamed from: lambda$receiveTransfer$4$im-uecahxyvjd-ui-hui-transfer-TransferStatusActivity */
    public /* synthetic */ void m3763x90ec1fd6(DialogInterface dialogInterface, int i) {
        AndroidUtilities.runOnUIThread(new TransferStatusActivity$$ExternalSyntheticLambda2(this));
    }

    /* renamed from: lambda$receiveTransfer$5$im-uecahxyvjd-ui-hui-transfer-TransferStatusActivity */
    public /* synthetic */ void m3764xab079e75(DialogInterface dialogInterface, int i) {
        AndroidUtilities.runOnUIThread(new TransferStatusActivity$$ExternalSyntheticLambda2(this));
    }

    /* renamed from: lambda$receiveTransfer$6$im-uecahxyvjd-ui-hui-transfer-TransferStatusActivity */
    public /* synthetic */ void m3765xc5231d14(DialogInterface dialogInterface, int i) {
        AndroidUtilities.runOnUIThread(new TransferStatusActivity$$ExternalSyntheticLambda2(this));
    }

    /* renamed from: lambda$receiveTransfer$7$im-uecahxyvjd-ui-hui-transfer-TransferStatusActivity */
    public /* synthetic */ void m3766xdf3e9bb3() {
        this.btnTransferStateButton.setEnabled(true);
    }

    /* renamed from: lambda$receiveTransfer$9$im-uecahxyvjd-ui-hui-transfer-TransferStatusActivity */
    public /* synthetic */ void m3768x137598f1(DialogInterface dialog) {
        getConnectionsManager().cancelRequest(this.mTokenReq, true);
        this.btnTransferStateButton.setEnabled(true);
    }

    private void refuseTransfer() {
        if (this.message == null || this.transResponse == null) {
            return;
        }
        this.tvRefuseTransfer.setEnabled(false);
        TLRPCRedpacket.CL_messages_rpkTransferRefuse transferReceive = new TLRPCRedpacket.CL_messages_rpkTransferRefuse();
        transferReceive.trans = 1;
        transferReceive.peer = getMessagesController().getInputPeer(this.targetUser.id);
        transferReceive.id = this.message.id;
        transferReceive.flags = 2;
        TransferOperation refuseTransfer = new TransferOperation(this.transResponse.getSerialCode(), this.transResponse.getRecipientUserId(), StringUtils.getNonceStr(getConnectionsManager().getCurrentTime()), UnifyBean.BUSINESS_KEY_TRANSFER_REFUSE, "0.0.1");
        TLRPC.TL_dataJSON dataJSON = new TLRPC.TL_dataJSON();
        dataJSON.data = new Gson().toJson(refuseTransfer);
        transferReceive.data = dataJSON;
        final XAlertDialog progressDialog = new XAlertDialog(getParentActivity(), 4);
        ConnectionsManager connectionsManager = getConnectionsManager();
        int sendRequest = getConnectionsManager().sendRequest(transferReceive, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity$$ExternalSyntheticLambda7
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                TransferStatusActivity.this.m3773x3fd02a4c(progressDialog, tLObject, tL_error);
            }
        });
        this.mTokenReq = sendRequest;
        connectionsManager.bindRequestToGuid(sendRequest, this.classGuid);
        progressDialog.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity$$ExternalSyntheticLambda8
            @Override // android.content.DialogInterface.OnCancelListener
            public final void onCancel(DialogInterface dialogInterface) {
                TransferStatusActivity.this.m3774x59eba8eb(dialogInterface);
            }
        });
        try {
            progressDialog.show();
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    /* renamed from: lambda$refuseTransfer$14$im-uecahxyvjd-ui-hui-transfer-TransferStatusActivity */
    public /* synthetic */ void m3773x3fd02a4c(XAlertDialog progressDialog, TLObject response, TLRPC.TL_error error) {
        progressDialog.dismiss();
        if (error != null) {
            if ("TRANSFER_NON_CANCELLING_ERROR_CODE".equals(error.text)) {
                ToastUtils.show((CharSequence) LocaleController.getString("HaveRecievedCantRefuse", R.string.HaveRecievedCantRefuse));
            } else if ("TRANSFER_CANCELLING_ERROR_CODE".equals(error.text)) {
                ToastUtils.show((CharSequence) LocaleController.getString("HaveRefusedCantRefuse", R.string.HaveRefusedCantRefuse));
            } else if ("REPEATED_REQUESTS".equals(error.text)) {
                WalletDialogUtil.showSingleBtnWalletDialog((Object) this, (CharSequence) LocaleController.getString(R.string.OtherDeviceDoRefuse), LocaleController.getString("Back", R.string.Back), false, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity$$ExternalSyntheticLambda3
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        TransferStatusActivity.this.m3769xd7622fd0(dialogInterface, i);
                    }
                });
            } else {
                Object[] objArr = new Object[1];
                objArr[0] = error.text != null ? error.text : "";
                ToastUtils.showFormat(R.string.TransferRefundMoneyFailed, objArr);
            }
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity$$ExternalSyntheticLambda4
                @Override // java.lang.Runnable
                public final void run() {
                    TransferStatusActivity.this.m3770xf17dae6f();
                }
            });
        } else if (response instanceof TLRPC.Updates) {
            TLRPC.Updates updates = (TLRPC.Updates) response;
            Iterator<TLRPC.Update> it = updates.updates.iterator();
            while (true) {
                if (!it.hasNext()) {
                    break;
                }
                TLRPC.Update u = it.next();
                if (u instanceof TLRPCRedpacket.CL_updateRpkTransfer) {
                    TLApiModel<TransferResponse> parseResponse = TLJsonResolve.parse(((TLRPCRedpacket.CL_updateRpkTransfer) u).data, TransferResponse.class);
                    if (!parseResponse.isSuccess()) {
                        if ("REPEATED_REQUESTS".equals(parseResponse.message)) {
                            WalletDialogUtil.showSingleBtnWalletDialog((Object) this, (CharSequence) "您的其它设备正在进行退款!", LocaleController.getString("Back", R.string.Back), false, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity$$ExternalSyntheticLambda5
                                @Override // android.content.DialogInterface.OnClickListener
                                public final void onClick(DialogInterface dialogInterface, int i) {
                                    TransferStatusActivity.this.m3771xb992d0e(dialogInterface, i);
                                }
                            });
                        } else {
                            Object[] objArr2 = new Object[1];
                            objArr2[0] = parseResponse.message != null ? parseResponse.message : "";
                            ToastUtils.showFormat(R.string.TransferRefundMoneyFailed, objArr2);
                        }
                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity$$ExternalSyntheticLambda6
                            @Override // java.lang.Runnable
                            public final void run() {
                                TransferStatusActivity.this.m3772x25b4abad();
                            }
                        });
                        return;
                    }
                    this.transResponse = (TransferResponse) parseResponse.model;
                }
            }
            MessagesController.getInstance(this.currentAccount).processUpdates(updates, false);
            AndroidUtilities.runOnUIThread(new TransferStatusActivity$$ExternalSyntheticLambda10(this));
        }
    }

    /* renamed from: lambda$refuseTransfer$10$im-uecahxyvjd-ui-hui-transfer-TransferStatusActivity */
    public /* synthetic */ void m3769xd7622fd0(DialogInterface dialogInterface, int i) {
        AndroidUtilities.runOnUIThread(new TransferStatusActivity$$ExternalSyntheticLambda2(this));
    }

    /* renamed from: lambda$refuseTransfer$11$im-uecahxyvjd-ui-hui-transfer-TransferStatusActivity */
    public /* synthetic */ void m3770xf17dae6f() {
        this.tvRefuseTransfer.setEnabled(true);
    }

    /* renamed from: lambda$refuseTransfer$12$im-uecahxyvjd-ui-hui-transfer-TransferStatusActivity */
    public /* synthetic */ void m3771xb992d0e(DialogInterface dialogInterface, int i) {
        AndroidUtilities.runOnUIThread(new TransferStatusActivity$$ExternalSyntheticLambda2(this));
    }

    /* renamed from: lambda$refuseTransfer$13$im-uecahxyvjd-ui-hui-transfer-TransferStatusActivity */
    public /* synthetic */ void m3772x25b4abad() {
        this.tvRefuseTransfer.setEnabled(true);
    }

    /* renamed from: lambda$refuseTransfer$15$im-uecahxyvjd-ui-hui-transfer-TransferStatusActivity */
    public /* synthetic */ void m3774x59eba8eb(DialogInterface dialog) {
        getConnectionsManager().cancelRequest(this.mTokenReq, true);
        this.tvRefuseTransfer.setEnabled(true);
    }

    public void showRefuseDialog() {
        if (this.transResponse == null) {
            return;
        }
        TLRPC.User user = getMessagesController().getUser(Integer.valueOf(this.transResponse.getInitiatorUserIdInt()));
        String refuseText = user != null ? LocaleController.formatString("TransferWhetherRefundTo", R.string.TransferWhetherRefundTo, UserObject.getName(user, 10)) : "";
        WalletDialogUtil.showWalletDialog(this, "", refuseText, LocaleController.getString("Cancel", R.string.Cancel), LocaleController.getString("RefundTo", R.string.RefundTo), null, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.transfer.TransferStatusActivity$$ExternalSyntheticLambda9
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                TransferStatusActivity.this.m3775x33f36444(dialogInterface, i);
            }
        }, null);
    }

    /* renamed from: lambda$showRefuseDialog$16$im-uecahxyvjd-ui-hui-transfer-TransferStatusActivity */
    public /* synthetic */ void m3775x33f36444(DialogInterface dialogInterface, int i) {
        refuseTransfer();
    }

    @OnClick({R.id.tvWallet, R.id.btnTransferStateButton})
    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.btnTransferStateButton /* 2131296425 */:
                if (this.complete) {
                    finishFragment();
                    return;
                } else {
                    receiveTransfer();
                    return;
                }
            case R.id.tvWallet /* 2131297705 */:
            default:
                return;
        }
    }
}
