package im.uecahxyvjd.ui.hui.transfer.bean;

import android.text.TextUtils;
import androidx.exifinterface.media.ExifInterface;
import com.blankj.utilcode.util.TimeUtils;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.ui.utils.number.NumberUtil;
/* loaded from: classes4.dex */
public class TransferResponse {
    private String cancelTime;
    private String collectTime;
    private String createTime;
    private String initiatorUserId;
    private String recipientUserId;
    private String remarks;
    private String serialCode;
    private String status;
    private String totalFee;

    /* loaded from: classes4.dex */
    public enum Status {
        NONE,
        WAITING,
        RECEIVED,
        CANCEL,
        REFUSED,
        TIMEOUT
    }

    public String getSerialCode() {
        return this.serialCode;
    }

    public String getTotalFee() {
        return this.totalFee;
    }

    public String getStatus() {
        return this.status;
    }

    public String getInitiatorUserId() {
        return this.initiatorUserId;
    }

    public String getRecipientUserId() {
        return this.recipientUserId;
    }

    public String getRemarks() {
        return this.remarks;
    }

    public String getCreateTime() {
        return this.createTime;
    }

    public String getCollectTime() {
        return this.collectTime;
    }

    public String getCancelTime() {
        return this.cancelTime;
    }

    public int getInitiatorUserIdInt() {
        if (NumberUtil.isNumber(this.initiatorUserId)) {
            return Integer.parseInt(this.initiatorUserId);
        }
        return -1;
    }

    public String getCollectTimeFormat() {
        String str = this.collectTime;
        if (str != null && TextUtils.isDigitsOnly(str) && !"0".equals(this.collectTime)) {
            return TimeUtils.millis2String(Long.parseLong(this.collectTime), LocaleController.getString("formatterStandard24H", R.string.formatterStandard24H));
        }
        return this.collectTime + "";
    }

    public String getCancelTimeFormat() {
        String str = this.cancelTime;
        if (str == null || !TextUtils.isDigitsOnly(str) || "0".equals(this.cancelTime)) {
            return this.cancelTime == null ? "" : this.cancelTime + "";
        }
        return TimeUtils.millis2String(Long.parseLong(this.cancelTime), LocaleController.getString("formatterStandard24H", R.string.formatterStandard24H));
    }

    public String getCreateTimeFormat() {
        String str = this.createTime;
        if (str == null || !TextUtils.isDigitsOnly(str) || "0".equals(this.createTime)) {
            return this.createTime == null ? "" : this.createTime + "";
        }
        return TimeUtils.millis2String(Long.parseLong(this.createTime), LocaleController.getString("formatterStandard24H", R.string.formatterStandard24H));
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    public Status getState() {
        char c;
        if (TextUtils.isEmpty(this.status)) {
            return Status.NONE;
        }
        String str = this.status;
        switch (str.hashCode()) {
            case 49:
                if (str.equals("1")) {
                    c = 0;
                    break;
                }
                c = 65535;
                break;
            case 50:
                if (str.equals("2")) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            case 51:
                if (str.equals(ExifInterface.GPS_MEASUREMENT_3D)) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            case 52:
                if (str.equals("4")) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            case 53:
                if (str.equals("5")) {
                    c = 4;
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        switch (c) {
            case 0:
                return Status.WAITING;
            case 1:
                return Status.RECEIVED;
            case 2:
                return Status.CANCEL;
            case 3:
                return Status.REFUSED;
            case 4:
                return Status.TIMEOUT;
            default:
                return Status.NONE;
        }
    }
}
