package im.uecahxyvjd.ui.hui.visualcall;

import android.text.TextUtils;
import com.socks.library.KLog;
import im.uecahxyvjd.messenger.AccountInstance;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCCall;
import java.util.ArrayList;
/* loaded from: classes11.dex */
public class AVideoCallInterface {

    /* loaded from: classes11.dex */
    public interface AVideoRequestCallBack {
        void onError(TLRPC.TL_error tL_error);

        void onSuccess(TLObject tLObject);
    }

    public static void StartAVideoCall(boolean blnVideo, ArrayList<TLRPC.InputPeer> userId, TLRPC.InputPeer channelId, final AVideoRequestCallBack callBack) {
        TLRPCCall.TL_MeetRequestCall req = new TLRPCCall.TL_MeetRequestCall();
        if (channelId != null) {
            req.flags = 7;
        } else {
            req.flags = 3;
        }
        req.video = blnVideo;
        req.channel_id = channelId;
        req.userIdList = userId;
        req.random_id = AccountInstance.getInstance(UserConfig.selectedAccount).getSendMessagesHelper().getNextRandomId();
        AccountInstance.getInstance(UserConfig.selectedAccount).getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface$$ExternalSyntheticLambda3
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface$$ExternalSyntheticLambda10
                    @Override // java.lang.Runnable
                    public final void run() {
                        AVideoCallInterface.lambda$StartAVideoCall$0(TLObject.this, tL_error, r3);
                    }
                });
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$StartAVideoCall$0(TLObject response, TLRPC.TL_error error, AVideoRequestCallBack callBack) {
        if (response != null) {
            TLRPC.Updates updates = (TLRPC.Updates) response;
            TLRPCCall.TL_UpdateMeetCallWaiting res = (TLRPCCall.TL_UpdateMeetCallWaiting) updates.updates.get(0);
            if (error != null) {
                if (callBack != null) {
                    callBack.onError(error);
                    return;
                }
                return;
            }
            String str = res.data.data;
            if (callBack != null) {
                callBack.onSuccess(res);
            }
        } else if (callBack != null) {
            callBack.onError(error);
        }
    }

    public static void AcceptAVideoCall(String strID, final AVideoRequestCallBack callBack) {
        if (TextUtils.isEmpty(strID)) {
            return;
        }
        FileLog.d("AcceptAVideoCall" + strID);
        TLRPCCall.TL_MeetAcceptCall req = new TLRPCCall.TL_MeetAcceptCall();
        req.peer = new TLRPCCall.TL_InputMeetCall();
        req.peer.id = strID;
        AccountInstance.getInstance(UserConfig.selectedAccount).getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface$$ExternalSyntheticLambda8
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface$$ExternalSyntheticLambda4
                    @Override // java.lang.Runnable
                    public final void run() {
                        AVideoCallInterface.lambda$AcceptAVideoCall$2(TLRPC.TL_error.this, r2);
                    }
                });
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$AcceptAVideoCall$2(TLRPC.TL_error error, AVideoRequestCallBack callBack) {
        if (error != null) {
            FileLog.d("AcceptAVideoCall res111111");
            if (callBack != null) {
                callBack.onError(error);
            }
        }
    }

    public static void DiscardAVideoCall(String strID, int iDur, boolean blnVideo) {
        TLRPCCall.TL_MeetDiscardCall req = new TLRPCCall.TL_MeetDiscardCall();
        req.peer = new TLRPCCall.TL_InputMeetCall();
        req.peer.id = strID;
        req.duration = iDur;
        req.flags = 0;
        req.video = blnVideo;
        req.reason = new TLRPC.TL_phoneCallDiscardReasonHangup();
        KLog.d("aaaa 开始发挂断消息");
        AccountInstance.getInstance(UserConfig.selectedAccount).getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface$$ExternalSyntheticLambda0
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                AVideoCallInterface.lambda$DiscardAVideoCall$4(tLObject, tL_error);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$DiscardAVideoCall$4(TLObject response, TLRPC.TL_error error) {
        if (error != null) {
            KLog.d("aaaa 发挂断消息异常");
        }
    }

    public static void ConfirmCall(String strID, long lFinger, final AVideoRequestCallBack callBack) {
        TLRPCCall.TL_MeetConfirmCall req = new TLRPCCall.TL_MeetConfirmCall();
        req.peer = new TLRPCCall.TL_InputMeetCall();
        req.peer.id = strID;
        req.key_fingerprint = lFinger;
        AccountInstance.getInstance(UserConfig.selectedAccount).getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface$$ExternalSyntheticLambda2
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface$$ExternalSyntheticLambda5
                    @Override // java.lang.Runnable
                    public final void run() {
                        AVideoCallInterface.lambda$ConfirmCall$5(TLObject.this, tL_error, r3);
                    }
                });
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$ConfirmCall$5(TLObject response, TLRPC.TL_error error, AVideoRequestCallBack callBack) {
        if (response != null) {
            TLRPC.Updates updates = (TLRPC.Updates) response;
            if (error != null) {
                if (callBack != null) {
                    callBack.onError(error);
                }
            } else if (callBack != null) {
                callBack.onSuccess(updates.updates.get(0));
            }
        } else if (callBack != null) {
            callBack.onError(error);
        }
    }

    public static void IsBusyingNow(String strID) {
        KLog.d("----------收到音视频2888");
        TLRPCCall.TL_MeetReceivedCall req = new TLRPCCall.TL_MeetReceivedCall();
        req.peer = new TLRPCCall.TL_InputMeetCall();
        req.peer.id = strID;
        AccountInstance.getInstance(UserConfig.selectedAccount).getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface$$ExternalSyntheticLambda6
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface$$ExternalSyntheticLambda11
                    @Override // java.lang.Runnable
                    public final void run() {
                        AVideoCallInterface.lambda$IsBusyingNow$7(TLRPC.TL_error.this);
                    }
                });
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$IsBusyingNow$7(TLRPC.TL_error error) {
        if (error != null) {
            FileLog.d("IsBusyingNow res111111");
        }
    }

    public static void sendJumpPacket(String strID, final AVideoRequestCallBack callBack) {
        KLog.d("+++++++ sendJumpPacket = " + strID);
        TLRPCCall.TL_MeetKeepCallV1 req = new TLRPCCall.TL_MeetKeepCallV1();
        req.peer = new TLRPCCall.TL_InputMeetCall();
        req.peer.id = strID;
        AccountInstance.getInstance(UserConfig.selectedAccount).getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface$$ExternalSyntheticLambda1
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface$$ExternalSyntheticLambda9
                    @Override // java.lang.Runnable
                    public final void run() {
                        AVideoCallInterface.lambda$sendJumpPacket$9(TLRPC.TL_error.this, tLObject, r3);
                    }
                });
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$sendJumpPacket$9(TLRPC.TL_error error, TLObject response, AVideoRequestCallBack callBack) {
        if (error != null) {
            KLog.d("------keepcall error = " + error.text);
        } else if (response != null) {
            TLRPCCall.TL_MeetModel meetModel = (TLRPCCall.TL_MeetModel) response;
            if (callBack != null) {
                callBack.onSuccess(meetModel);
            }
        }
    }

    public static void GetCallHistory(TLRPC.InputPeer uid, boolean blnVideo, int offset_id, int offset_date, int add_offset, int limit, int max_id, int min_id, int hash, final AVideoRequestCallBack callBack) {
        TLRPCCall.TL_MeetGetCallHistory req = new TLRPCCall.TL_MeetGetCallHistory();
        req.peer = uid;
        req.flags = 1;
        req.video = blnVideo;
        req.offset_id = offset_id;
        req.offset_date = offset_date;
        req.add_offset = add_offset;
        req.limit = limit;
        req.max_id = max_id;
        req.min_id = min_id;
        req.hash = hash;
        AccountInstance.getInstance(UserConfig.selectedAccount).getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface$$ExternalSyntheticLambda12
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface$$ExternalSyntheticLambda7
                    @Override // java.lang.Runnable
                    public final void run() {
                        AVideoCallInterface.lambda$GetCallHistory$11(TLObject.this, tL_error, r3);
                    }
                });
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$GetCallHistory$11(TLObject response, TLRPC.TL_error error, AVideoRequestCallBack callBack) {
        TLRPCCall.TL_UpdateMeetCallHistory res = (TLRPCCall.TL_UpdateMeetCallHistory) response;
        if (error != null) {
            if (callBack != null) {
                callBack.onError(error);
                return;
            }
            return;
        }
        String str = res.data.data;
        if (callBack != null) {
            callBack.onSuccess(response);
        }
    }

    public static void ChangeToVoiceCall(String strID, boolean blnVideo) {
        TLRPCCall.TL_MeetChangeCall req = new TLRPCCall.TL_MeetChangeCall();
        req.peer = new TLRPCCall.TL_InputMeetCall();
        req.peer.id = strID;
        req.flags = 0;
        req.video = blnVideo;
        AccountInstance.getInstance(UserConfig.selectedAccount).getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface$$ExternalSyntheticLambda13
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                AVideoCallInterface.lambda$ChangeToVoiceCall$13(tLObject, tL_error);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$ChangeToVoiceCall$13(TLObject response, TLRPC.TL_error error) {
    }
}
