package im.uecahxyvjd.ui.hui.visualcall;

import android.app.Activity;
import android.app.ActivityManager;
import android.app.NotificationManager;
import android.content.ComponentName;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.ServiceConnection;
import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.IBinder;
import android.util.Log;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.Window;
import android.widget.Chronometer;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import androidx.core.app.ActivityCompat;
import com.alivc.rtc.AliRtcAuthInfo;
import com.alivc.rtc.AliRtcEngine;
import com.alivc.rtc.AliRtcEngineEventListener;
import com.alivc.rtc.AliRtcEngineImpl;
import com.alivc.rtc.AliRtcEngineNotify;
import com.alivc.rtc.AliRtcRemoteUserInfo;
import com.google.android.exoplayer2.text.ttml.TtmlNode;
import com.socks.library.KLog;
import im.uecahxyvjd.messenger.AccountInstance;
import im.uecahxyvjd.messenger.ApplicationLoader;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.hui.visualcall.FlowService;
import im.uecahxyvjd.ui.hui.visualcall.PermissionUtils;
import im.uecahxyvjd.ui.hui.visualcall.RTCAuthInfo;
import im.uecahxyvjd.ui.hviews.DragFrameLayout;
import org.webrtc.sdk.SophonSurfaceView;
/* loaded from: classes11.dex */
public abstract class BaseCallActivity extends Activity {
    protected AliRtcEngine.AliVideoCanvas aliVideoCanvasBig;
    protected AliRtcEngine.AliVideoCanvas aliVideoCanvasSmall;
    protected String currentUid;
    protected AliRtcEngine mAliRtcEngine;
    protected LinearLayout mBigWindow;
    protected Chronometer mChronometer;
    protected AliRtcEngineNotify mEngineNotify;
    protected AliRtcEngineEventListener mEventListener;
    protected boolean mGrantPermission;
    protected DragFrameLayout mSmallWindow;
    private String mUsername;
    protected boolean mIsAudioCapture = true;
    protected boolean mIsAudioPlay = true;
    protected RTCAuthInfo mRtcAuthInfo = new RTCAuthInfo();
    protected String mChannel = "0001";
    protected int VisualCallType = 1;
    protected FlowService myservice = null;
    protected ChartUserAdapter mUserListAdapter = new ChartUserAdapter();
    protected SophonSurfaceView surfaceView = null;
    protected int callStyle = 2;
    protected byte mbytLocalPos = 0;
    protected boolean misConnect = false;
    protected boolean mblnOtherIsPc = false;
    protected PermissionUtils.PermissionGrant mGrant = new PermissionUtils.PermissionGrant() { // from class: im.uecahxyvjd.ui.hui.visualcall.BaseCallActivity.1
        @Override // im.uecahxyvjd.ui.hui.visualcall.PermissionUtils.PermissionGrant
        public void onPermissionGranted(int requestCode) {
            BaseCallActivity.this.initRTCEngineAndStartPreview();
            BaseCallActivity.this.mGrantPermission = true;
            ToastUtils.show((CharSequence) LocaleController.getString("visual_call_granted_tip", R.string.visual_call_granted_tip));
        }

        @Override // im.uecahxyvjd.ui.hui.visualcall.PermissionUtils.PermissionGrant
        public void onPermissionCancel() {
            AVideoCallInterface.DiscardAVideoCall(BaseCallActivity.this.getIntent().getStringExtra(TtmlNode.ATTR_ID), 0, BaseCallActivity.this.callStyle == 2);
            ToastUtils.show((CharSequence) LocaleController.getString("grant_permission", R.string.grant_permission));
            RingUtils.stopSoundPoolRing();
            BaseCallActivity.this.cancelCallingState();
            BaseCallActivity.this.finish();
        }
    };
    ServiceConnection mVideoServiceConnection = new ServiceConnection() { // from class: im.uecahxyvjd.ui.hui.visualcall.BaseCallActivity.2
        @Override // android.content.ServiceConnection
        public void onServiceConnected(ComponentName name, IBinder service) {
            FlowService.MyBinder binder = (FlowService.MyBinder) service;
            BaseCallActivity.this.myservice = binder.getService();
            if (BaseCallActivity.this.mBigWindow != null) {
                BaseCallActivity.this.changePopWindow();
            }
        }

        @Override // android.content.ServiceConnection
        public void onServiceDisconnected(ComponentName name) {
        }
    };

    protected abstract void changeLocalPreview(SophonSurfaceView sophonSurfaceView);

    protected abstract void changePopWindow();

    protected abstract void changeStatusView();

    protected abstract void initLocalView();

    protected abstract void initView();

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // android.app.Activity
    public void onDestroy() {
        super.onDestroy();
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.mRtcAuthInfo.data = new RTCAuthInfo.RTCAuthInfo_Data();
        this.mUsername = AccountInstance.getInstance(UserConfig.selectedAccount).getUserConfig().getCurrentUser().id + "";
    }

    public void setUpSplash() {
        ThreadUtils.runOnUiThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.BaseCallActivity$$ExternalSyntheticLambda2
            @Override // java.lang.Runnable
            public final void run() {
                BaseCallActivity.this.m3778xab8989e3();
            }
        }, 1000L);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* renamed from: requestPermission */
    public void m3778xab8989e3() {
        PermissionUtils.requestMultiPermissions(this, new String[]{"android.permission.CAMERA", "android.permission.WRITE_EXTERNAL_STORAGE", "android.permission.RECORD_AUDIO", PermissionUtils.PERMISSION_READ_EXTERNAL_STORAGE}, this.mGrant);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public void showPermissionErrorAlert(String message) {
        AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setTitle(LocaleController.getString("AppName", R.string.AppName));
        builder.setMessage(message);
        builder.setNegativeButton(LocaleController.getString("PermissionOpenSettings", R.string.PermissionOpenSettings), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.visualcall.BaseCallActivity$$ExternalSyntheticLambda3
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                BaseCallActivity.this.m3779x210b620c(dialogInterface, i);
            }
        });
        builder.setPositiveButton(LocaleController.getString("OK", R.string.OK), null);
        builder.show();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$showPermissionErrorAlert$1$im-uecahxyvjd-ui-hui-visualcall-BaseCallActivity  reason: not valid java name */
    public /* synthetic */ void m3779x210b620c(DialogInterface dialog, int which) {
        try {
            Intent intent = new Intent("android.settings.APPLICATION_DETAILS_SETTINGS");
            intent.setData(Uri.parse("package:" + ApplicationLoader.applicationContext.getPackageName()));
            startActivity(intent);
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public void initRTCEngineAndStartPreview() {
        if (checkPermission("android.permission.CAMERA") || checkPermission("android.permission.RECORD_AUDIO")) {
            setUpSplash();
            this.mGrantPermission = false;
            return;
        }
        this.mGrantPermission = true;
        if (this.mAliRtcEngine == null) {
            AliRtcEngineImpl aliRtcEngine = AliRtcEngine.getInstance(getApplicationContext());
            this.mAliRtcEngine = aliRtcEngine;
            aliRtcEngine.setRtcEngineEventListener(this.mEventListener);
            this.mAliRtcEngine.setRtcEngineNotify(this.mEngineNotify);
            if (this.callStyle != 2) {
                this.mAliRtcEngine.setAudioOnlyMode(true);
                return;
            }
            initLocalView();
            startPreview();
        }
    }

    private void startPreview() {
        AliRtcEngine aliRtcEngine = this.mAliRtcEngine;
        if (aliRtcEngine == null) {
            return;
        }
        try {
            aliRtcEngine.startPreview();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    protected boolean checkPermission(String permission) {
        try {
            int i = ActivityCompat.checkSelfPermission(this, permission);
            if (i != 0) {
                return true;
            }
            return false;
        } catch (RuntimeException e) {
            return true;
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public void cancelCallingState() {
        if (ApplicationLoader.mbytAVideoCallBusy != 0) {
            ApplicationLoader.mbytAVideoCallBusy = (byte) 0;
            NotificationManager service = (NotificationManager) getSystemService("notification");
            if (service != null) {
                try {
                    if (Build.VERSION.SDK_INT >= 26) {
                        service.deleteNotificationChannel("to-do-it");
                    } else {
                        service.cancel(1114214);
                    }
                } catch (Throwable e) {
                    FileLog.e(e);
                }
            }
            ReleaseRtcCall();
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public void openJoinChannelBeforeNeedParams() {
        KLog.d("---------cuizi " + (this.mAliRtcEngine == null));
        AliRtcEngine aliRtcEngine = this.mAliRtcEngine;
        if (aliRtcEngine != null) {
            if (this.mIsAudioCapture) {
                aliRtcEngine.startAudioCapture();
            } else {
                aliRtcEngine.stopAudioCapture();
            }
            if (this.mIsAudioPlay) {
                this.mAliRtcEngine.startAudioPlayer();
            } else {
                this.mAliRtcEngine.stopAudioPlayer();
            }
            this.mAliRtcEngine.enableEarBack(false);
            if (!this.mAliRtcEngine.isSpeakerOn() && this.callStyle == 2) {
                this.mAliRtcEngine.enableSpeakerphone(true);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public void joinChannel() {
        if (this.mAliRtcEngine == null) {
            return;
        }
        AliRtcAuthInfo userInfo = new AliRtcAuthInfo();
        userInfo.setAppid(this.mRtcAuthInfo.data.appid);
        userInfo.setNonce(this.mRtcAuthInfo.data.nonce);
        userInfo.setTimestamp(this.mRtcAuthInfo.data.timestamp);
        userInfo.setUserId(this.mRtcAuthInfo.data.userid);
        userInfo.setGslb(this.mRtcAuthInfo.data.gslb);
        userInfo.setToken(this.mRtcAuthInfo.data.token);
        userInfo.setConferenceId(this.mChannel);
        this.mAliRtcEngine.setAutoPublish(true, true);
        this.mAliRtcEngine.joinChannel(userInfo, this.mUsername);
        Log.d("--------", "=======");
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public void processOccurError(int error) {
        switch (error) {
            case 16908812:
            case 33620229:
                noSessionExit(error);
                return;
            default:
                return;
        }
    }

    protected void noSessionExit(int error) {
        runOnUiThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.BaseCallActivity$$ExternalSyntheticLambda1
            @Override // java.lang.Runnable
            public final void run() {
                BaseCallActivity.this.m3777x76f5192();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$noSessionExit$2$im-uecahxyvjd-ui-hui-visualcall-BaseCallActivity  reason: not valid java name */
    public /* synthetic */ void m3777x76f5192() {
        AliRtcEngine aliRtcEngine = this.mAliRtcEngine;
        if (aliRtcEngine != null) {
            aliRtcEngine.leaveChannel();
            this.mAliRtcEngine.destroy();
            this.mAliRtcEngine = null;
        }
        AliRtcEngineImpl aliRtcEngine2 = AliRtcEngine.getInstance(getApplicationContext());
        this.mAliRtcEngine = aliRtcEngine2;
        if (aliRtcEngine2 != null) {
            aliRtcEngine2.setRtcEngineEventListener(this.mEventListener);
            this.mAliRtcEngine.setRtcEngineNotify(this.mEngineNotify);
            if (this.callStyle == 2) {
                startPreview();
            } else {
                this.mAliRtcEngine.setAudioOnlyMode(true);
            }
            openJoinChannelBeforeNeedParams();
            joinChannel();
        }
    }

    public void startVideoService() {
        try {
            moveTaskToBack(true);
            Intent intent = new Intent(this, FlowService.class);
            this.misConnect = bindService(intent, this.mVideoServiceConnection, 1);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public void updateRemoteDisplay(final String uid, AliRtcEngine.AliRtcAudioTrack at, final AliRtcEngine.AliRtcVideoTrack vt) {
        runOnUiThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.BaseCallActivity$$ExternalSyntheticLambda4
            @Override // java.lang.Runnable
            public final void run() {
                BaseCallActivity.this.m3780x56ac4ef1(uid, vt);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$updateRemoteDisplay$3$im-uecahxyvjd-ui-hui-visualcall-BaseCallActivity  reason: not valid java name */
    public /* synthetic */ void m3780x56ac4ef1(String uid, AliRtcEngine.AliRtcVideoTrack vt) {
        AliRtcEngine.AliVideoCanvas cameraCanvas;
        AliRtcEngine.AliVideoCanvas screenCanvas;
        AliRtcEngine aliRtcEngine = this.mAliRtcEngine;
        if (aliRtcEngine == null) {
            return;
        }
        AliRtcRemoteUserInfo remoteUserInfo = aliRtcEngine.getUserInfo(uid);
        if (remoteUserInfo == null) {
            Log.e("视频", "updateRemoteDisplay remoteUserInfo = null, uid = " + uid);
            return;
        }
        this.mAliRtcEngine.configRemoteAudio(uid, true);
        this.mAliRtcEngine.muteRemoteAudioPlaying(uid, false);
        AliRtcEngine.AliVideoCanvas cameraCanvas2 = remoteUserInfo.getCameraCanvas();
        AliRtcEngine.AliVideoCanvas screenCanvas2 = remoteUserInfo.getScreenCanvas();
        if (vt == AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackNo) {
            cameraCanvas = null;
            screenCanvas = null;
        } else if (vt == AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackCamera) {
            screenCanvas = null;
            cameraCanvas = createCanvasIfNull(cameraCanvas2);
            this.mAliRtcEngine.setRemoteViewConfig(cameraCanvas, uid, AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackCamera);
        } else if (vt == AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackScreen) {
            cameraCanvas = null;
            screenCanvas = createCanvasIfNull(screenCanvas2);
            this.mAliRtcEngine.setRemoteViewConfig(screenCanvas, uid, AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackScreen);
        } else if (vt == AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackBoth) {
            cameraCanvas = createCanvasIfNull(cameraCanvas2);
            this.mAliRtcEngine.setRemoteViewConfig(cameraCanvas, uid, AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackCamera);
            screenCanvas = createCanvasIfNull(screenCanvas2);
            this.mAliRtcEngine.setRemoteViewConfig(screenCanvas, uid, AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackScreen);
        } else {
            return;
        }
        ChartUserBean chartUserBean = convertRemoteUserInfo(remoteUserInfo, cameraCanvas, screenCanvas);
        if (chartUserBean.mCameraSurface != null) {
            KLog.d("---------mScreenSurface");
            ViewParent parent = chartUserBean.mCameraSurface.getParent();
            if (parent != null && (parent instanceof FrameLayout)) {
                ((FrameLayout) parent).removeAllViews();
            }
            if (this.callStyle == 2) {
                changeLocalPreview(chartUserBean.mCameraSurface);
            }
        }
    }

    private void createLocalVideoView(ViewGroup v) {
        v.removeAllViews();
        if (this.surfaceView == null) {
            this.surfaceView = new SophonSurfaceView(this);
        }
        this.surfaceView.setZOrderOnTop(true);
        this.surfaceView.setZOrderMediaOverlay(true);
        AliRtcEngine.AliVideoCanvas aliVideoCanvas = new AliRtcEngine.AliVideoCanvas();
        v.addView(this.surfaceView, new ViewGroup.LayoutParams(-1, -1));
        aliVideoCanvas.view = this.surfaceView;
        aliVideoCanvas.renderMode = AliRtcEngine.AliRtcRenderMode.AliRtcRenderModeAuto;
        AliRtcEngine aliRtcEngine = this.mAliRtcEngine;
        if (aliRtcEngine != null) {
            aliRtcEngine.setLocalViewConfig(aliVideoCanvas, AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackCamera);
            this.mAliRtcEngine.startPreview();
        }
        v.getChildAt(0).setVisibility(0);
    }

    private ChartUserBean convertRemoteUserInfo(AliRtcRemoteUserInfo remoteUserInfo, AliRtcEngine.AliVideoCanvas cameraCanvas, AliRtcEngine.AliVideoCanvas screenCanvas) {
        String uid = remoteUserInfo.getUserID();
        ChartUserBean ret = this.mUserListAdapter.createDataIfNull(uid);
        ret.mUserId = remoteUserInfo.getUserID();
        ret.mUserName = remoteUserInfo.getDisplayName();
        ret.mCameraSurface = cameraCanvas != null ? cameraCanvas.view : null;
        boolean z = true;
        ret.mIsCameraFlip = cameraCanvas != null && cameraCanvas.mirrorMode == AliRtcEngine.AliRtcRenderMirrorMode.AliRtcRenderMirrorModeAllEnabled;
        ret.mScreenSurface = screenCanvas != null ? screenCanvas.view : null;
        ret.mIsScreenFlip = (screenCanvas == null || screenCanvas.mirrorMode != AliRtcEngine.AliRtcRenderMirrorMode.AliRtcRenderMirrorModeAllEnabled) ? false : false;
        return ret;
    }

    private AliRtcEngine.AliVideoCanvas createCanvasIfNull(AliRtcEngine.AliVideoCanvas canvas) {
        if (canvas == null || canvas.view == null) {
            canvas = new AliRtcEngine.AliVideoCanvas();
            SophonSurfaceView surfaceView = new SophonSurfaceView(this);
            surfaceView.setZOrderOnTop(false);
            surfaceView.setZOrderMediaOverlay(false);
            canvas.view = surfaceView;
            canvas.renderMode = AliRtcEngine.AliRtcRenderMode.AliRtcRenderModeAuto;
        }
        if (this.mblnOtherIsPc) {
            canvas.renderMode = AliRtcEngine.AliRtcRenderMode.AliRtcRenderModeClip;
        }
        return canvas;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public void addRemoteUser(String uid) {
        AliRtcRemoteUserInfo remoteUserInfo;
        AliRtcEngine aliRtcEngine = this.mAliRtcEngine;
        if (aliRtcEngine != null && (remoteUserInfo = aliRtcEngine.getUserInfo(uid)) != null) {
            ChartUserBean data = convertRemoteUserToUserData(remoteUserInfo);
            KLog.d("---------addRemoteUser-" + data.mCameraSurface + "   " + data.mScreenSurface);
            if (data.mCameraSurface != null) {
                KLog.d("---------addRemoteUser");
                ViewParent parent = data.mCameraSurface.getParent();
                if (parent != null && (parent instanceof FrameLayout)) {
                    ((FrameLayout) parent).removeAllViews();
                }
                if (this.callStyle == 2) {
                    changeLocalPreview(convertRemoteUserToUserData(remoteUserInfo).mCameraSurface);
                }
            }
        }
    }

    private ChartUserBean convertRemoteUserToUserData(AliRtcRemoteUserInfo remoteUserInfo) {
        String uid = remoteUserInfo.getUserID();
        ChartUserBean ret = this.mUserListAdapter.createDataIfNull(uid);
        ret.mUserId = uid;
        ret.mUserName = remoteUserInfo.getDisplayName();
        ret.mIsCameraFlip = false;
        ret.mIsScreenFlip = false;
        return ret;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    public void setFullScreen() {
        requestWindowFeature(1);
        setTheme(R.style.Theme_TMessages);
        try {
            setTaskDescription(new ActivityManager.TaskDescription((String) null, (Bitmap) null, Theme.getColor(Theme.key_actionBarDefault) | (-16777216)));
        } catch (Exception e) {
        }
        try {
            getWindow().setNavigationBarColor(-16777216);
        } catch (Exception e2) {
        }
        getWindow().setBackgroundDrawableResource(R.drawable.transparent);
        Window window = getWindow();
        window.getDecorView().setSystemUiVisibility(1280);
        window.setStatusBarColor(0);
    }

    protected void ReleaseRtcCall() {
        if (this.mAliRtcEngine == null) {
            return;
        }
        new Thread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.BaseCallActivity$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                BaseCallActivity.this.m3776x9ba570b1();
            }
        }).start();
        ConnectionsManager.getInstance(UserConfig.selectedAccount).setAppPaused(true, false);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$ReleaseRtcCall$4$im-uecahxyvjd-ui-hui-visualcall-BaseCallActivity  reason: not valid java name */
    public /* synthetic */ void m3776x9ba570b1() {
        this.mAliRtcEngine.setRtcEngineNotify(null);
        this.mAliRtcEngine.setRtcEngineEventListener(null);
        if (this.callStyle == 2) {
            this.mAliRtcEngine.stopPreview();
        }
        this.mAliRtcEngine.leaveChannel();
        this.mAliRtcEngine.destroy();
        this.mAliRtcEngine = null;
    }
}
