package im.uecahxyvjd.ui.hui.visualcall;

import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.res.Resources;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Color;
import android.graphics.drawable.BitmapDrawable;
import android.media.SoundPool;
import android.os.Bundle;
import android.os.Handler;
import android.os.SystemClock;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Chronometer;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import com.alivc.rtc.AliRtcEngine;
import com.alivc.rtc.AliRtcEngineEventListener;
import com.alivc.rtc.AliRtcEngineNotify;
import com.blankj.utilcode.constant.TimeConstants;
import com.google.android.exoplayer2.text.ttml.TtmlNode;
import com.google.android.exoplayer2.trackselection.AdaptiveTrackSelection;
import com.google.android.exoplayer2.util.MimeTypes;
import com.king.zxing.util.LogUtils;
import com.socks.library.KLog;
import ezy.assist.compat.SettingsCompat;
import im.uecahxyvjd.messenger.AccountInstance;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ApplicationLoader;
import im.uecahxyvjd.messenger.ImageLocation;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.Utilities;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCCall;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.AvatarDrawable;
import im.uecahxyvjd.ui.components.BackupImageView;
import im.uecahxyvjd.ui.components.ColorTextView;
import im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface;
import im.uecahxyvjd.ui.hui.visualcall.CallNetWorkReceiver;
import im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity;
import im.uecahxyvjd.ui.hviews.DragFrameLayout;
import im.uecahxyvjd.ui.hviews.dialogs.XDialog;
import im.uecahxyvjd.ui.hviews.helper.MryDeviceHelper;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Timer;
import java.util.TimerTask;
import org.json.JSONException;
import org.json.JSONObject;
import org.webrtc.alirtcInterface.ALI_RTC_INTERFACE;
import org.webrtc.alirtcInterface.AliParticipantInfo;
import org.webrtc.alirtcInterface.AliStatusInfo;
import org.webrtc.alirtcInterface.AliSubscriberInfo;
import org.webrtc.sdk.SophonSurfaceView;
/* loaded from: classes11.dex */
public class VisualCallReceiveActivity extends BaseCallActivity implements NotificationCenter.NotificationCenterDelegate {
    private CallNetWorkReceiver callNetWorkReceiver;
    @BindView(R.id.chart_content_userlist)
    RecyclerView chartContentUserlist;
    @BindView(R.id.chart_video_container)
    DragFrameLayout chartVideoContainer;
    @BindView(R.id.chr_visualcall_time)
    Chronometer chrVisualcallTime;
    private DynamicPoint dynamicPoint;
    @BindView(R.id.img_operate_a)
    ImageView imgOperateA;
    @BindView(R.id.img_operate_b)
    ImageView imgOperateB;
    @BindView(R.id.img_operate_c)
    ImageView imgOperateC;
    @BindView(R.id.img_pre_receive)
    ImageView imgPreReceive;
    @BindView(R.id.img_user_head)
    BackupImageView imgUserHead;
    @BindView(R.id.img_video_user_head)
    BackupImageView imgVideoUserHead;
    @BindView(R.id.img_visualcall)
    ImageView imgVisualcall;
    @BindView(R.id.iv_pre_refuse)
    ImageView ivPreRefuse;
    @BindView(R.id.lin_operate_a)
    LinearLayout linOperateA;
    @BindView(R.id.lin_operate_b)
    LinearLayout linOperateB;
    @BindView(R.id.lin_operate_c)
    LinearLayout linOperateC;
    @BindView(R.id.lin_pre_receive)
    LinearLayout linPreReceive;
    @BindView(R.id.lin_pre_refuse)
    LinearLayout linPreRefuse;
    @BindView(R.id.ll_big_remote_view)
    LinearLayout llBigRemoteView;
    @BindView(R.id.ll_big_window)
    LinearLayout llBigWindow;
    @BindView(R.id.ll_small_remote_view)
    LinearLayout llSmallRemoteView;
    TLRPC.User mUser;
    private long mlTipShow;
    @BindView(R.id.rel_video_user)
    RelativeLayout relVideoUser;
    @BindView(R.id.rel_visual_call_a)
    LinearLayout relVisualCallA;
    @BindView(R.id.rel_visual_call_b)
    RelativeLayout relVisualCallB;
    @BindView(R.id.rel_voice_user)
    RelativeLayout relVoiceUser;
    @BindView(R.id.root_view)
    RelativeLayout rootView;
    @BindView(R.id.sf_local_view)
    SophonSurfaceView sfLocalView;
    @BindView(R.id.sf_small_view)
    SophonSurfaceView sfSmallView;
    private SoundPool soundPool;
    private int spConnectingId;
    @BindView(R.id.txt_call_name)
    TextView txtCallName;
    @BindView(R.id.txt_call_status)
    ColorTextView txtCallStatus;
    @BindView(R.id.txt_mask)
    TextView txtMask;
    @BindView(R.id.txt_operate_a)
    ColorTextView txtOperateA;
    @BindView(R.id.txt_operate_b)
    ColorTextView txtOperateB;
    @BindView(R.id.txt_operate_c)
    ColorTextView txtOperateC;
    @BindView(R.id.txt_pre_change_to_voice)
    ColorTextView txtPreChangeToVoice;
    @BindView(R.id.txt_tip)
    TextView txtTip;
    @BindView(R.id.txt_video_name)
    TextView txtVideoName;
    @BindView(R.id.txt_video_status)
    ColorTextView txtVideoStatus;
    @BindView(R.id.txt_visualcall_status)
    ColorTextView txtVisualcallStatus;
    private long mlStart = 0;
    private long mlLastClickTime = 0;
    private byte mbytIsForeground = 1;
    private byte mbytExit = 0;
    private byte mbytNoOp = 0;
    private Timer timer = new Timer();
    private TimerTask timerTask = null;
    private boolean mblnResetNoOp = false;
    private byte RESPONSE_REFUSE = -1;
    private byte REQUEST_NO_ANSWER = -4;
    private byte REQUEST_NETWORK_NO_ANSWER = -6;
    private byte mbytLastClickIndex = -1;
    private boolean mblnUnProcessChooseVoiceTip = false;
    private byte mbytFPacketRecCount = 0;

    static /* synthetic */ byte access$508(VisualCallReceiveActivity x0) {
        byte b = x0.mbytFPacketRecCount;
        x0.mbytFPacketRecCount = (byte) (b + 1);
        return b;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.hui.visualcall.BaseCallActivity, android.app.Activity
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ApplicationLoader.mbytAVideoCallBusy = (byte) 1;
        setFullScreen();
        setContentView(R.layout.activity_visual_call_receive);
        if (getIntent().getIntExtra("from", 0) == 0) {
            RingUtils.playRingBySoundPool(this);
        }
        RingUtils.stopPlayVibrator();
        ButterKnife.bind(this);
        getWindow().addFlags(128);
        fillAliRtcUserInfo();
        regNotification();
        initEventListener();
        this.dynamicPoint = new DynamicPoint();
        this.chartVideoContainer.setY(AndroidUtilities.statusBarHeight);
        initRTCEngineAndStartPreview();
        sendKeepLivePacket(this.mChannel);
        this.txtTip.setBackground(Theme.createRoundRectDrawable(AndroidUtilities.dp(8.0f), Color.parseColor("#CB2D2D2D")));
        this.mUser = MessagesController.getInstance(UserConfig.selectedAccount).getUser(Integer.valueOf(getIntent().getIntExtra("admin_id", 0)));
        boolean blnVideo = getIntent().getBooleanExtra(MimeTypes.BASE_TYPE_VIDEO, false);
        this.callStyle = blnVideo ? 2 : 1;
        setAVideoUI();
        this.mSmallWindow = this.chartVideoContainer;
        this.mBigWindow = this.llBigWindow;
        this.mChronometer = this.chrVisualcallTime;
        this.chrVisualcallTime.setOnChronometerTickListener(new Chronometer.OnChronometerTickListener() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity.1
            @Override // android.widget.Chronometer.OnChronometerTickListener
            public void onChronometerTick(Chronometer chronometer) {
                long time = SystemClock.elapsedRealtime() - chronometer.getBase();
                int h = (int) (time / 3600000);
                int m = ((int) (time - (h * TimeConstants.HOUR))) / TimeConstants.MIN;
                int s = ((int) ((time - (TimeConstants.HOUR * h)) - (TimeConstants.MIN * m))) / 1000;
                if (h > 0) {
                    m += h * 60;
                }
                String mm = (m < 10 ? new StringBuilder().append("0").append(m) : new StringBuilder().append(m).append("")).toString();
                String ss = (s < 10 ? new StringBuilder().append("0").append(s) : new StringBuilder().append(s).append("")).toString();
                String timeFormat = mm + LogUtils.COLON + ss;
                chronometer.setText(timeFormat);
            }
        });
        regNetWorkReceiver();
        this.chartVideoContainer.setVisibility(8);
        if (this.callStyle == 1) {
            this.txtPreChangeToVoice.setVisibility(8);
        }
        this.linOperateA.postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$$ExternalSyntheticLambda11
            @Override // java.lang.Runnable
            public final void run() {
                VisualCallReceiveActivity.this.m3818xf112eca0();
            }
        }, 35000L);
        ConnectionsManager.getInstance(UserConfig.selectedAccount).setAppPaused(false, false);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onCreate$0$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity  reason: not valid java name */
    public /* synthetic */ void m3818xf112eca0() {
        if (this.mbytNoOp == 0 && !this.mblnResetNoOp) {
            ProcessDiscardMessage(1, null);
        }
    }

    protected void regNetWorkReceiver() {
        IntentFilter filter = new IntentFilter();
        filter.addAction("android.net.conn.CONNECTIVITY_CHANGE");
        CallNetWorkReceiver callNetWorkReceiver = new CallNetWorkReceiver();
        this.callNetWorkReceiver = callNetWorkReceiver;
        registerReceiver(callNetWorkReceiver, filter);
        this.callNetWorkReceiver.setCallBack(new CallNetWorkReceiver.NetWorkStateCallBack() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity.2
            @Override // im.uecahxyvjd.ui.hui.visualcall.CallNetWorkReceiver.NetWorkStateCallBack
            public void onNetWorkConnected() {
                VisualCallReceiveActivity visualCallReceiveActivity = VisualCallReceiveActivity.this;
                visualCallReceiveActivity.sendKeepLivePacket(visualCallReceiveActivity.mChannel);
            }

            @Override // im.uecahxyvjd.ui.hui.visualcall.CallNetWorkReceiver.NetWorkStateCallBack
            public void onNetWorkDisconnected() {
            }
        });
    }

    private void setBlurBitmap() {
        this.txtMask.setAlpha(0.8f);
        Bitmap bitmap = BitmapFactory.decodeResource(getResources(), R.drawable.visualcall_bg);
        Bitmap b1 = Utilities.blurWallpaper(bitmap);
        this.txtMask.setBackground(new BitmapDrawable((Resources) null, b1));
    }

    private void initRing() {
        SoundPool soundPool = new SoundPool(1, 0, 0);
        this.soundPool = soundPool;
        this.spConnectingId = soundPool.load(this, R.raw.visual_call_receive, 1);
        this.soundPool.setOnLoadCompleteListener(new SoundPool.OnLoadCompleteListener() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$$ExternalSyntheticLambda6
            @Override // android.media.SoundPool.OnLoadCompleteListener
            public final void onLoadComplete(SoundPool soundPool2, int i, int i2) {
                VisualCallReceiveActivity.this.m3816xec7f6f86(soundPool2, i, i2);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initRing$1$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity  reason: not valid java name */
    public /* synthetic */ void m3816xec7f6f86(SoundPool soundPool, int sampleId, int status) {
        soundPool.play(this.spConnectingId, 1.0f, 1.0f, 0, -1, 1.0f);
    }

    public void stopRinging() {
        RingUtils.stopSoundPoolRing();
    }

    private void setAVideoUI() {
        String strName = "";
        TLRPC.User user = this.mUser;
        if (user != null) {
            strName = user.first_name;
        }
        AvatarDrawable avatarDrawable = new AvatarDrawable();
        avatarDrawable.setInfo(this.mUser);
        if (this.callStyle == 2) {
            this.imgPreReceive.setBackgroundResource(R.drawable.visualcall_video_receive);
            this.relVoiceUser.setVisibility(8);
            this.relVideoUser.setVisibility(0);
            this.sfLocalView.setVisibility(0);
            this.txtVideoName.setText(strName);
            setBlurBitmap();
            this.txtMask.setVisibility(0);
            this.imgVideoUserHead.setRoundRadius(AndroidUtilities.dp(70.0f));
            this.imgVideoUserHead.setImage(ImageLocation.getForUser(this.mUser, false), "50_50", avatarDrawable, this.mUser);
            this.dynamicPoint.animForWaitting(LocaleController.getString("visual_call_invate", R.string.visual_call_invate), this.txtVideoStatus);
            if (!AndroidUtilities.checkCamera(this)) {
                this.txtTip.setVisibility(0);
                setTipPos();
                this.txtTip.setText(LocaleController.getString("visual_call_change_to_voice", R.string.visual_call_change_to_voice));
                return;
            }
            return;
        }
        this.imgPreReceive.setBackgroundResource(R.drawable.visualcall_receive_common);
        this.relVoiceUser.setVisibility(0);
        this.relVideoUser.setVisibility(8);
        this.sfLocalView.setVisibility(8);
        this.txtCallName.setText(strName);
        this.imgUserHead.setRoundRadius(AndroidUtilities.dp(70.0f));
        this.imgUserHead.setImage(ImageLocation.getForUser(this.mUser, false), "50_50", avatarDrawable, this.mUser);
        if (this.VisualCallType != 3) {
            if (this.mbytNoOp == 0) {
                this.dynamicPoint.animForWaitting(LocaleController.getString("visual_call_invate_voice", R.string.visual_call_invate_voice), this.txtCallStatus);
                return;
            }
            this.dynamicPoint.animForWaitting(LocaleController.getString(R.string.visual_call_calling), this.txtCallStatus);
            this.imgPreReceive.setBackgroundResource(R.drawable.visualcall_receive);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$3  reason: invalid class name */
    /* loaded from: classes11.dex */
    public class AnonymousClass3 extends TimerTask {
        final /* synthetic */ String val$strId;

        AnonymousClass3(String str) {
            this.val$strId = str;
        }

        @Override // java.util.TimerTask, java.lang.Runnable
        public void run() {
            final String str = this.val$strId;
            ThreadUtils.runOnUiThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$3$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    VisualCallReceiveActivity.AnonymousClass3.this.m3823x82894ee5(str);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$run$0$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity$3  reason: not valid java name */
        public /* synthetic */ void m3823x82894ee5(String strId) {
            AVideoCallInterface.sendJumpPacket(strId, new AVideoCallInterface.AVideoRequestCallBack() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity.3.1
                @Override // im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface.AVideoRequestCallBack
                public void onError(TLRPC.TL_error error) {
                }

                @Override // im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface.AVideoRequestCallBack
                public void onSuccess(TLObject object) {
                    if (object instanceof TLRPCCall.TL_MeetModel) {
                        TLRPCCall.TL_MeetModel model = (TLRPCCall.TL_MeetModel) object;
                        if (model.id.equals(VisualCallReceiveActivity.this.mChannel) && !model.video && VisualCallReceiveActivity.this.callStyle == 2) {
                            VisualCallReceiveActivity.this.callStyle = 1;
                            VisualCallReceiveActivity.this.changeToVoice(false);
                        }
                    }
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void sendKeepLivePacket(String strId) {
        if (this.timerTask == null) {
            AnonymousClass3 anonymousClass3 = new AnonymousClass3(strId);
            this.timerTask = anonymousClass3;
            this.timer.schedule(anonymousClass3, 1000L, 14000L);
        }
    }

    private void fillAliRtcUserInfo() {
        this.mRtcAuthInfo.data.appid = getIntent().getStringExtra("app_id");
        this.mRtcAuthInfo.data.token = getIntent().getStringExtra("token");
        this.mRtcAuthInfo.data.userid = String.valueOf(AccountInstance.getInstance(UserConfig.selectedAccount).getUserConfig().getCurrentUser().id);
        ArrayList<String> arrgslb = getIntent().getStringArrayListExtra("gslb");
        if (arrgslb != null) {
            String[] strArr = new String[arrgslb.size()];
            int i = 0;
            Iterator<String> it = arrgslb.iterator();
            while (it.hasNext()) {
                String strServer = it.next();
                strArr[i] = strServer;
                i++;
            }
            this.mRtcAuthInfo.data.gslb = strArr;
        }
        String strJson = getIntent().getStringExtra("json");
        if (strJson != null) {
            try {
                JSONObject jsonObject = new JSONObject(strJson);
                this.mRtcAuthInfo.data.timestamp = jsonObject.getLong("time_stamp");
                this.mRtcAuthInfo.data.setNonce(jsonObject.getString("nonce"));
            } catch (JSONException e) {
                e.printStackTrace();
            }
        }
        this.mChannel = getIntent().getStringExtra(TtmlNode.ATTR_ID);
    }

    @OnClick({R.id.img_operate_a, R.id.img_operate_b, R.id.img_operate_c, R.id.img_pre_receive, R.id.iv_pre_refuse, R.id.img_visualcall, R.id.chart_video_container, R.id.ll_big_window, R.id.txt_pre_change_to_voice})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.chart_video_container /* 2131296458 */:
                if (!this.chartVideoContainer.isDrag()) {
                    changeLocalPreview(null);
                    return;
                }
                return;
            case R.id.img_operate_a /* 2131296682 */:
                if (this.imgOperateA.isEnabled() && this.mAliRtcEngine != null) {
                    if (this.callStyle == 2) {
                        this.callStyle = 1;
                        AVideoCallInterface.ChangeToVoiceCall(this.mChannel, this.callStyle == 2);
                        if (this.mAliRtcEngine.isLocalCameraPublishEnabled()) {
                            KLog.d("--------关闭视频流");
                            this.mAliRtcEngine.configLocalCameraPublish(false);
                            this.mAliRtcEngine.publish();
                        }
                        changeToVoice(true);
                    } else if (this.mbytLastClickIndex != 0 || System.currentTimeMillis() - this.mlLastClickTime > 500) {
                        this.mlLastClickTime = System.currentTimeMillis();
                        this.mIsAudioCapture = !this.mIsAudioCapture;
                        if (this.mIsAudioCapture) {
                            this.mAliRtcEngine.muteLocalMic(false);
                            this.imgOperateA.setBackgroundResource(R.drawable.visualcall_no_voice);
                        } else {
                            this.imgOperateA.setBackgroundResource(R.drawable.visualcall_no_voice_selected);
                            this.mAliRtcEngine.muteLocalMic(true);
                        }
                    }
                }
                this.mbytLastClickIndex = (byte) 0;
                return;
            case R.id.img_operate_b /* 2131296683 */:
                if (this.imgOperateB.isEnabled()) {
                    this.mChannel = "666";
                    cancelCallingState();
                    this.chrVisualcallTime.stop();
                    this.imgOperateB.setBackgroundResource(R.drawable.visualcall_cancel);
                    this.imgOperateB.setEnabled(false);
                    this.imgOperateA.setEnabled(false);
                    AVideoCallInterface.DiscardAVideoCall(getIntent().getStringExtra(TtmlNode.ATTR_ID), ((int) (System.currentTimeMillis() - this.mlStart)) / 1000, this.callStyle == 2);
                    this.txtTip.setText(LocaleController.getString("visual_call_over", R.string.visual_call_over));
                    this.txtTip.setVisibility(0);
                    setTipPos();
                    this.txtTip.postDelayed(new VisualCallReceiveActivity$$ExternalSyntheticLambda4(this), AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
                    return;
                }
                return;
            case R.id.img_operate_c /* 2131296684 */:
                if (this.VisualCallType == 3 && this.mAliRtcEngine != null && (this.mbytLastClickIndex != 1 || System.currentTimeMillis() - this.mlLastClickTime > 500)) {
                    this.mlLastClickTime = System.currentTimeMillis();
                    if (this.callStyle == 2) {
                        if (this.mAliRtcEngine.switchCamera() == 0) {
                            KLog.d("----------设置成功");
                            if (this.mAliRtcEngine.getCurrentCameraType().getCameraType() == AliRtcEngine.AliRTCCameraType.AliRTCCameraBack.getCameraType()) {
                                this.imgOperateC.setBackgroundResource(R.drawable.visualcall_camera_changed);
                            } else if (this.mAliRtcEngine.getCurrentCameraType().getCameraType() == AliRtcEngine.AliRTCCameraType.AliRTCCameraFront.getCameraType()) {
                                this.imgOperateC.setBackgroundResource(R.drawable.visualcall_camera);
                            }
                        }
                    } else if (this.mAliRtcEngine.isSpeakerOn()) {
                        this.imgOperateC.setBackgroundResource(R.drawable.visualcall_hands_free);
                        this.mAliRtcEngine.enableSpeakerphone(false);
                    } else {
                        this.imgOperateC.setBackgroundResource(R.drawable.visual_hands_free_selected);
                        this.mAliRtcEngine.enableSpeakerphone(true);
                    }
                }
                this.mbytLastClickIndex = (byte) 1;
                return;
            case R.id.img_pre_receive /* 2131296686 */:
                this.mbytNoOp = (byte) 1;
                if (this.imgPreReceive.isEnabled() && this.mGrantPermission) {
                    this.imgPreReceive.setEnabled(false);
                    stopRinging();
                    if (this.callStyle == 2) {
                        this.dynamicPoint.animForWaitting(LocaleController.getString("visual_call_calling", R.string.visual_call_calling), this.txtVideoStatus);
                        this.imgPreReceive.setBackgroundResource(R.drawable.visualcall_video_receive_common);
                    } else {
                        this.dynamicPoint.animForWaitting(LocaleController.getString("visual_call_calling", R.string.visual_call_calling), this.txtCallStatus);
                        this.imgPreReceive.setBackgroundResource(R.drawable.visualcall_receive);
                    }
                    openJoinChannelBeforeNeedParams();
                    if (this.mGrantPermission) {
                        new Thread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$$ExternalSyntheticLambda7
                            @Override // java.lang.Runnable
                            public final void run() {
                                VisualCallReceiveActivity.this.joinChannel();
                            }
                        }).start();
                    } else {
                        setUpSplash();
                    }
                    AVideoCallInterface.AcceptAVideoCall(getIntent().getStringExtra(TtmlNode.ATTR_ID), new AVideoCallInterface.AVideoRequestCallBack() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity.4
                        @Override // im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface.AVideoRequestCallBack
                        public void onError(TLRPC.TL_error error) {
                            if (error.text.equals("PEER_DISCARD")) {
                                VisualCallReceiveActivity.this.ProcessDiscardMessage(1, null);
                            }
                        }

                        @Override // im.uecahxyvjd.ui.hui.visualcall.AVideoCallInterface.AVideoRequestCallBack
                        public void onSuccess(TLObject object) {
                        }
                    });
                    this.relVideoUser.postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$$ExternalSyntheticLambda8
                        @Override // java.lang.Runnable
                        public final void run() {
                            VisualCallReceiveActivity.this.m3820x52678570();
                        }
                    }, 60000L);
                    return;
                }
                return;
            case R.id.img_visualcall /* 2131296694 */:
                if (this.imgVisualcall.isEnabled()) {
                    if (SettingsCompat.canDrawOverlays(this)) {
                        ApplicationLoader.mbytAVideoCallBusy = (byte) 3;
                        if (this.callStyle == 2) {
                            this.chartVideoContainer.setVisibility(8);
                        }
                        startVideoService();
                        return;
                    } else if (MryDeviceHelper.isOppo()) {
                        showPermissionErrorAlert(LocaleController.getString("PermissionPopWindowOppo", R.string.PermissionPopWindowOppo));
                        return;
                    } else {
                        showPermissionErrorAlert(LocaleController.getString("PermissionPopWindow", R.string.PermissionPopWindow));
                        return;
                    }
                }
                return;
            case R.id.iv_pre_refuse /* 2131296833 */:
                this.mbytNoOp = (byte) 1;
                if (this.ivPreRefuse.isEnabled()) {
                    KLog.d("call id === " + getIntent().getStringExtra(TtmlNode.ATTR_ID));
                    this.mChannel = "666";
                    stopRinging();
                    cancelCallingState();
                    this.ivPreRefuse.setBackgroundResource(R.drawable.visualcall_cancel);
                    this.ivPreRefuse.setEnabled(false);
                    this.txtPreChangeToVoice.setEnabled(false);
                    AVideoCallInterface.DiscardAVideoCall(getIntent().getStringExtra(TtmlNode.ATTR_ID), this.RESPONSE_REFUSE, this.callStyle == 2);
                    this.txtTip.setText(LocaleController.getString("visual_call_refused_over", R.string.visual_call_refused_over));
                    this.txtTip.setVisibility(0);
                    setTipPos();
                    this.txtTip.postDelayed(new VisualCallReceiveActivity$$ExternalSyntheticLambda4(this), AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
                    return;
                }
                return;
            case R.id.ll_big_window /* 2131296930 */:
                if (this.callStyle == 2 && this.VisualCallType == 3) {
                    if (this.imgVisualcall.getVisibility() == 8) {
                        this.imgVisualcall.setVisibility(0);
                        this.linOperateA.setVisibility(0);
                        this.linOperateB.setVisibility(0);
                        this.linOperateC.setVisibility(0);
                        this.chrVisualcallTime.setVisibility(0);
                        return;
                    }
                    this.imgVisualcall.setVisibility(8);
                    this.linOperateA.setVisibility(8);
                    this.linOperateB.setVisibility(8);
                    this.linOperateC.setVisibility(8);
                    this.chrVisualcallTime.setVisibility(8);
                    return;
                }
                return;
            case R.id.txt_pre_change_to_voice /* 2131297904 */:
                if (this.txtPreChangeToVoice.isEnabled() && this.mAliRtcEngine != null) {
                    this.callStyle = 1;
                    AVideoCallInterface.ChangeToVoiceCall(this.mChannel, this.callStyle == 2);
                    if (this.mAliRtcEngine.isLocalCameraPublishEnabled()) {
                        KLog.d("--------关闭视频流");
                        this.mAliRtcEngine.configLocalCameraPublish(false);
                        this.mAliRtcEngine.publish();
                    }
                    changeToVoice(true);
                    this.mblnResetNoOp = true;
                    this.linOperateA.postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$$ExternalSyntheticLambda9
                        @Override // java.lang.Runnable
                        public final void run() {
                            VisualCallReceiveActivity.this.m3821x631d5231();
                        }
                    }, 35000L);
                    return;
                }
                return;
            default:
                return;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onViewClicked$2$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity  reason: not valid java name */
    public /* synthetic */ void m3820x52678570() {
        if (this.VisualCallType != 3) {
            AVideoCallInterface.DiscardAVideoCall(getIntent().getStringExtra(TtmlNode.ATTR_ID), this.REQUEST_NETWORK_NO_ANSWER, this.callStyle == 2);
            this.txtTip.setVisibility(0);
            this.txtTip.setText(LocaleController.getString("visual_call_retry", R.string.visual_call_retry));
            setTipPos();
            cancelCallingState();
            this.txtTip.postDelayed(new VisualCallReceiveActivity$$ExternalSyntheticLambda4(this), AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onViewClicked$3$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity  reason: not valid java name */
    public /* synthetic */ void m3821x631d5231() {
        if (this.mbytNoOp == 0) {
            ProcessDiscardMessage(1, null);
        }
    }

    private void enterCallingMode() {
        this.relVisualCallB.setVisibility(8);
        this.relVisualCallA.setVisibility(0);
        if (this.callStyle == 2) {
            this.txtPreChangeToVoice.setVisibility(8);
            this.linOperateA.setVisibility(0);
            this.imgOperateA.setBackgroundResource(R.drawable.visualcall_to_voice);
            this.txtOperateA.setText(LocaleController.getString("Str_visualcall_to_voice", R.string.Str_visualcall_to_voice));
            this.imgOperateC.setBackgroundResource(R.drawable.visualcall_camera);
            this.txtOperateC.setText(LocaleController.getString("Str_visualcall_change_camera", R.string.Str_visualcall_change_camera));
        } else if (this.callStyle == 1) {
            this.txtCallStatus.setVisibility(8);
        }
    }

    @Override // im.uecahxyvjd.messenger.NotificationCenter.NotificationCenterDelegate
    public void didReceivedNotification(int id, int account, Object... args) {
        if (id == NotificationCenter.receivedAVideoCallReady) {
            TLRPCCall.TL_UpdateMeetCall meetCall = (TLRPCCall.TL_UpdateMeetCall) args[0];
            if (meetCall != null && meetCall.id.equals(this.mChannel)) {
                this.mblnOtherIsPc = meetCall.isPc;
                return;
            }
            return;
        }
        if (id == NotificationCenter.reecivedAVideoDiscarded) {
            TLRPCCall.TL_UpdateMeetCallDiscarded discarded = (TLRPCCall.TL_UpdateMeetCallDiscarded) args[0];
            if (discarded != null && discarded.id.equals(this.mChannel)) {
                this.imgVisualcall.setEnabled(false);
                if (discarded.duration != -1) {
                    if (discarded.duration != 0) {
                        ProcessDiscardMessage(0, null);
                        return;
                    } else {
                        ProcessDiscardMessage(0, LocaleController.getString(R.string.visual_call_received_in_other));
                        return;
                    }
                }
                stopRinging();
                cancelCallingState();
                this.ivPreRefuse.setBackgroundResource(R.drawable.visualcall_cancel);
                this.ivPreRefuse.setEnabled(false);
                AVideoCallInterface.DiscardAVideoCall(getIntent().getStringExtra(TtmlNode.ATTR_ID), this.RESPONSE_REFUSE, this.callStyle == 2);
                this.txtTip.setText(LocaleController.getString("visual_call_refused_over", R.string.visual_call_refused_over));
                this.txtTip.setVisibility(0);
                setTipPos();
                this.txtTip.postDelayed(new VisualCallReceiveActivity$$ExternalSyntheticLambda4(this), AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
            }
        } else if (id == NotificationCenter.receivedAVideoCallChangeVoice) {
            this.callStyle = 1;
            changeToVoice(false);
            if (this.mbytNoOp == 0) {
                this.mblnResetNoOp = true;
                this.linOperateA.postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$$ExternalSyntheticLambda5
                    @Override // java.lang.Runnable
                    public final void run() {
                        VisualCallReceiveActivity.this.m3815xda0ff15a();
                    }
                }, 35000L);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$didReceivedNotification$4$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity  reason: not valid java name */
    public /* synthetic */ void m3815xda0ff15a() {
        if (this.mbytNoOp == 0) {
            ProcessDiscardMessage(1, null);
        }
    }

    protected void ProcessDiscardMessage(int iFlag, String strTip) {
        if (iFlag == 1) {
            AVideoCallInterface.DiscardAVideoCall(getIntent().getStringExtra(TtmlNode.ATTR_ID), this.REQUEST_NO_ANSWER, this.callStyle == 2);
        }
        stopRinging();
        if (this.VisualCallType == 3) {
            this.txtTip.setText(LocaleController.getString("visual_call_other_side_discard", R.string.visual_call_other_side_discard));
            this.txtTip.setVisibility(0);
            this.chrVisualcallTime.stop();
            this.txtTip.postDelayed(new VisualCallReceiveActivity$$ExternalSyntheticLambda4(this), AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
        } else {
            this.txtTip.setText(strTip == null ? LocaleController.getString(R.string.visual_call_other_side_cancel) : strTip);
            this.txtTip.setVisibility(0);
            setTipPos();
            this.txtTip.postDelayed(new VisualCallReceiveActivity$$ExternalSyntheticLambda4(this), AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
        }
        cancelCallingState();
    }

    protected void removeRemoteUser(final String uid) {
        KLog.d("---------远端用户下线通知" + uid);
        runOnUiThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$$ExternalSyntheticLambda3
            @Override // java.lang.Runnable
            public final void run() {
                VisualCallReceiveActivity.this.m3822x6292f97f(uid);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$removeRemoteUser$5$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity  reason: not valid java name */
    public /* synthetic */ void m3822x6292f97f(String uid) {
        this.mUserListAdapter.removeData(uid, true);
        if (!this.mChannel.equals("666")) {
            stopRinging();
            if (this.VisualCallType == 3) {
                this.txtTip.setText(LocaleController.getString("visual_call_other_side_discard", R.string.visual_call_other_side_discard));
                this.txtTip.setVisibility(0);
                this.chrVisualcallTime.stop();
                this.txtTip.postDelayed(new VisualCallReceiveActivity$$ExternalSyntheticLambda4(this), AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
            } else {
                this.txtTip.setText(LocaleController.getString("visual_call_other_side_cancel", R.string.visual_call_other_side_cancel));
                this.txtTip.setVisibility(0);
                this.txtTip.postDelayed(new VisualCallReceiveActivity$$ExternalSyntheticLambda4(this), AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
            }
            cancelCallingState();
        }
    }

    private void regNotification() {
        NotificationCenter.getGlobalInstance().addObserver(this, NotificationCenter.receivedAVideoCallReady);
        NotificationCenter.getGlobalInstance().addObserver(this, NotificationCenter.reecivedAVideoDiscarded);
        NotificationCenter.getGlobalInstance().addObserver(this, NotificationCenter.receivedAVideoCallChangeVoice);
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.hui.visualcall.BaseCallActivity, android.app.Activity
    public void onDestroy() {
        this.mbytNoOp = (byte) 1;
        NotificationCenter.getGlobalInstance().removeObserver(this, NotificationCenter.receivedAVideoCallReady);
        NotificationCenter.getGlobalInstance().removeObserver(this, NotificationCenter.reecivedAVideoDiscarded);
        NotificationCenter.getGlobalInstance().removeObserver(this, NotificationCenter.receivedAVideoCallChangeVoice);
        CallNetWorkReceiver callNetWorkReceiver = this.callNetWorkReceiver;
        if (callNetWorkReceiver != null) {
            unregisterReceiver(callNetWorkReceiver);
        }
        this.dynamicPoint.release();
        this.timer.cancel();
        this.timer.purge();
        TimerTask timerTask = this.timerTask;
        if (timerTask != null) {
            timerTask.cancel();
        }
        super.onDestroy();
    }

    @Override // im.uecahxyvjd.ui.hui.visualcall.BaseCallActivity
    protected void initLocalView() {
        this.sfLocalView.setZOrderOnTop(false);
        this.sfLocalView.setZOrderMediaOverlay(false);
        this.aliVideoCanvasBig = new AliRtcEngine.AliVideoCanvas();
        this.aliVideoCanvasBig.view = this.sfLocalView;
        this.aliVideoCanvasBig.renderMode = AliRtcEngine.AliRtcRenderMode.AliRtcRenderModeAuto;
        this.sfSmallView.setZOrderOnTop(true);
        this.sfSmallView.setZOrderMediaOverlay(true);
        this.aliVideoCanvasSmall = new AliRtcEngine.AliVideoCanvas();
        this.aliVideoCanvasSmall.view = this.sfSmallView;
        this.aliVideoCanvasSmall.renderMode = AliRtcEngine.AliRtcRenderMode.AliRtcRenderModeAuto;
        if (this.mAliRtcEngine != null) {
            this.mAliRtcEngine.setLocalViewConfig(this.aliVideoCanvasBig, AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackCamera);
        }
    }

    @Override // im.uecahxyvjd.ui.hui.visualcall.BaseCallActivity
    protected void initView() {
    }

    @Override // im.uecahxyvjd.ui.hui.visualcall.BaseCallActivity
    protected void changeStatusView() {
        enterCallingMode();
    }

    @Override // android.app.Activity
    public void onRequestPermissionsResult(int requestCode, String[] permissions, int[] grantResults) {
        if (requestCode == 100) {
            PermissionUtils.requestPermissionsResult(this, requestCode, permissions, grantResults, this.mGrant);
        } else {
            super.onRequestPermissionsResult(requestCode, permissions, grantResults);
        }
    }

    @Override // android.app.Activity
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        if (requestCode == 100) {
            new Handler().postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$$ExternalSyntheticLambda2
                @Override // java.lang.Runnable
                public final void run() {
                    VisualCallReceiveActivity.this.m3778xab8989e3();
                }
            }, 500L);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$5  reason: invalid class name */
    /* loaded from: classes11.dex */
    public class AnonymousClass5 implements AliRtcEngineEventListener {
        AnonymousClass5() {
        }

        @Override // com.alivc.rtc.AliRtcEngineEventListener
        public void onJoinChannelResult(int i) {
            KLog.d("------加入通道结果 = " + i);
        }

        @Override // com.alivc.rtc.AliRtcEngineEventListener
        public void onLeaveChannelResult(int i) {
        }

        @Override // com.alivc.rtc.AliRtcEngineEventListener
        public void onPublishResult(int i, String s) {
        }

        @Override // com.alivc.rtc.AliRtcEngineEventListener
        public void onUnpublishResult(int i) {
        }

        @Override // com.alivc.rtc.AliRtcEngineEventListener
        public void onSubscribeResult(String s, int i, AliRtcEngine.AliRtcVideoTrack aliRtcVideoTrack, AliRtcEngine.AliRtcAudioTrack aliRtcAudioTrack) {
            if (i == 0) {
                VisualCallReceiveActivity.this.updateRemoteDisplay(s, aliRtcAudioTrack, aliRtcVideoTrack);
            }
        }

        @Override // com.alivc.rtc.AliRtcEngineEventListener
        public void onUnsubscribeResult(int i, String s) {
        }

        @Override // com.alivc.rtc.AliRtcEngineEventListener
        public void onNetworkQualityChanged(final String s, final AliRtcEngine.AliRtcNetworkQuality upQuality, final AliRtcEngine.AliRtcNetworkQuality downQuality) {
            VisualCallReceiveActivity.this.runOnUiThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$5$$ExternalSyntheticLambda1
                @Override // java.lang.Runnable
                public final void run() {
                    VisualCallReceiveActivity.AnonymousClass5.this.m3826xa3eedd00(upQuality, downQuality, s);
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onNetworkQualityChanged$0$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity$5  reason: not valid java name */
        public /* synthetic */ void m3826xa3eedd00(AliRtcEngine.AliRtcNetworkQuality upQuality, AliRtcEngine.AliRtcNetworkQuality downQuality, String s) {
            if (upQuality == AliRtcEngine.AliRtcNetworkQuality.Network_Disconnected || downQuality == AliRtcEngine.AliRtcNetworkQuality.Network_Disconnected) {
                VisualCallReceiveActivity.this.mbytExit = (byte) 1;
                AVideoCallInterface.DiscardAVideoCall(VisualCallReceiveActivity.this.getIntent().getStringExtra(TtmlNode.ATTR_ID), ((int) (System.currentTimeMillis() - VisualCallReceiveActivity.this.mlStart)) / 1000, VisualCallReceiveActivity.this.callStyle == 2);
                VisualCallReceiveActivity.this.stopRinging();
                if (VisualCallReceiveActivity.this.VisualCallType == 3) {
                    VisualCallReceiveActivity.this.txtTip.setText(LocaleController.getString("visual_call_stop", R.string.visual_call_stop));
                    VisualCallReceiveActivity.this.txtTip.setVisibility(0);
                    VisualCallReceiveActivity.this.chrVisualcallTime.stop();
                    VisualCallReceiveActivity.this.txtTip.postDelayed(new VisualCallReceiveActivity$$ExternalSyntheticLambda4(VisualCallReceiveActivity.this), AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
                } else {
                    VisualCallReceiveActivity.this.txtTip.setText(LocaleController.getString("visual_call_stop", R.string.visual_call_stop));
                    VisualCallReceiveActivity.this.txtTip.setVisibility(0);
                    VisualCallReceiveActivity.this.txtTip.postDelayed(new VisualCallReceiveActivity$$ExternalSyntheticLambda4(VisualCallReceiveActivity.this), AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
                }
                VisualCallReceiveActivity.this.cancelCallingState();
            }
            if (VisualCallReceiveActivity.this.mbytExit != 1 && VisualCallReceiveActivity.this.callStyle == 2) {
                if (s.equals(Integer.valueOf(VisualCallReceiveActivity.this.mUser.id))) {
                    if (upQuality.getValue() > AliRtcEngine.AliRtcNetworkQuality.Network_Bad.getValue()) {
                        VisualCallReceiveActivity.this.txtTip.setText(LocaleController.getString("visual_call_other_net_bad", R.string.visual_call_other_net_bad));
                        VisualCallReceiveActivity.this.txtTip.setVisibility(0);
                        VisualCallReceiveActivity.this.mlTipShow = System.currentTimeMillis();
                    } else if (VisualCallReceiveActivity.this.txtTip.getVisibility() == 0 && System.currentTimeMillis() - VisualCallReceiveActivity.this.mlTipShow > AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS) {
                        VisualCallReceiveActivity.this.txtTip.setVisibility(8);
                    }
                } else if (downQuality.getValue() > AliRtcEngine.AliRtcNetworkQuality.Network_Bad.getValue()) {
                    VisualCallReceiveActivity.this.txtTip.setText(LocaleController.getString("visual_call_net_bad", R.string.visual_call_net_bad));
                    VisualCallReceiveActivity.this.txtTip.setVisibility(0);
                    VisualCallReceiveActivity.this.mlTipShow = System.currentTimeMillis();
                } else if (VisualCallReceiveActivity.this.txtTip.getVisibility() == 0 && System.currentTimeMillis() - VisualCallReceiveActivity.this.mlTipShow > AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS) {
                    VisualCallReceiveActivity.this.txtTip.setVisibility(8);
                }
            }
        }

        @Override // com.alivc.rtc.AliRtcEngineEventListener
        public void onOccurWarning(int i) {
        }

        @Override // com.alivc.rtc.AliRtcEngineEventListener
        public void onOccurError(int error) {
            VisualCallReceiveActivity.this.processOccurError(error);
        }

        @Override // com.alivc.rtc.AliRtcEngineEventListener
        public void onPerformanceLow() {
        }

        @Override // com.alivc.rtc.AliRtcEngineEventListener
        public void onPermormanceRecovery() {
        }

        @Override // com.alivc.rtc.AliRtcEngineEventListener
        public void onConnectionLost() {
            VisualCallReceiveActivity.this.runOnUiThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$5$$ExternalSyntheticLambda2
                @Override // java.lang.Runnable
                public final void run() {
                    VisualCallReceiveActivity.AnonymousClass5.this.m3824x8510c958();
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onConnectionLost$1$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity$5  reason: not valid java name */
        public /* synthetic */ void m3824x8510c958() {
            VisualCallReceiveActivity.this.txtTip.setText(LocaleController.getString("visual_call_network_disconnect", R.string.visual_call_network_disconnect));
            VisualCallReceiveActivity.this.txtTip.setVisibility(0);
        }

        @Override // com.alivc.rtc.AliRtcEngineEventListener
        public void onTryToReconnect() {
            VisualCallReceiveActivity.this.runOnUiThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$5$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    VisualCallReceiveActivity.AnonymousClass5.this.m3827x587a74d8();
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onTryToReconnect$2$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity$5  reason: not valid java name */
        public /* synthetic */ void m3827x587a74d8() {
            VisualCallReceiveActivity.this.txtTip.setText(LocaleController.getString("visual_call_retry_connect", R.string.visual_call_retry_connect));
            VisualCallReceiveActivity.this.txtTip.setVisibility(0);
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onConnectionRecovery$3$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity$5  reason: not valid java name */
        public /* synthetic */ void m3825xade7d60b() {
            VisualCallReceiveActivity.this.txtTip.setVisibility(8);
        }

        @Override // com.alivc.rtc.AliRtcEngineEventListener
        public void onConnectionRecovery() {
            VisualCallReceiveActivity.this.runOnUiThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$5$$ExternalSyntheticLambda3
                @Override // java.lang.Runnable
                public final void run() {
                    VisualCallReceiveActivity.AnonymousClass5.this.m3825xade7d60b();
                }
            });
        }

        @Override // com.alivc.rtc.AliRtcEngineEventListener
        public void onUpdateRoleNotify(ALI_RTC_INTERFACE.AliRTCSDK_Client_Role aliRTCSDK_client_role, ALI_RTC_INTERFACE.AliRTCSDK_Client_Role aliRTCSDK_client_role1) {
        }
    }

    private void initEventListener() {
        this.mEventListener = new AnonymousClass5();
        this.mEngineNotify = new AnonymousClass6();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$6  reason: invalid class name */
    /* loaded from: classes11.dex */
    public class AnonymousClass6 implements AliRtcEngineNotify {
        AnonymousClass6() {
        }

        @Override // com.alivc.rtc.AliRtcEngineNotify
        public void onRemoteUserUnPublish(AliRtcEngine aliRtcEngine, String s) {
            KLog.d("---------远端用户停止发布通知" + s);
            VisualCallReceiveActivity.this.updateRemoteDisplay(s, AliRtcEngine.AliRtcAudioTrack.AliRtcAudioTrackNo, AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackNo);
            VisualCallReceiveActivity.this.runOnUiThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$6$$ExternalSyntheticLambda1
                @Override // java.lang.Runnable
                public final void run() {
                    VisualCallReceiveActivity.AnonymousClass6.this.m3832x47c603();
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onRemoteUserUnPublish$0$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity$6  reason: not valid java name */
        public /* synthetic */ void m3832x47c603() {
            if (!VisualCallReceiveActivity.this.mChannel.equals("666")) {
                VisualCallReceiveActivity.this.stopRinging();
                if (VisualCallReceiveActivity.this.VisualCallType == 3) {
                    VisualCallReceiveActivity.this.txtTip.setText(LocaleController.getString("visual_call_other_side_discard", R.string.visual_call_other_side_discard));
                    VisualCallReceiveActivity.this.txtTip.setVisibility(0);
                    VisualCallReceiveActivity.this.chrVisualcallTime.stop();
                    VisualCallReceiveActivity.this.txtTip.postDelayed(new VisualCallReceiveActivity$$ExternalSyntheticLambda4(VisualCallReceiveActivity.this), AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
                } else {
                    VisualCallReceiveActivity.this.txtTip.setText(LocaleController.getString("visual_call_other_side_cancel", R.string.visual_call_other_side_cancel));
                    VisualCallReceiveActivity.this.txtTip.setVisibility(0);
                    VisualCallReceiveActivity.this.txtTip.postDelayed(new VisualCallReceiveActivity$$ExternalSyntheticLambda4(VisualCallReceiveActivity.this), AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
                }
                VisualCallReceiveActivity.this.cancelCallingState();
            }
        }

        @Override // com.alivc.rtc.AliRtcEngineNotify
        public void onRemoteUserOnLineNotify(final String s) {
            KLog.d("----------远端用户上线通知" + s);
            if (TextUtils.isEmpty(VisualCallReceiveActivity.this.currentUid)) {
                VisualCallReceiveActivity.this.currentUid = s;
                VisualCallReceiveActivity.this.runOnUiThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$6$$ExternalSyntheticLambda0
                    @Override // java.lang.Runnable
                    public final void run() {
                        VisualCallReceiveActivity.AnonymousClass6.this.m3831x856df4e5(s);
                    }
                });
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onRemoteUserOnLineNotify$2$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity$6  reason: not valid java name */
        public /* synthetic */ void m3831x856df4e5(String s) {
            VisualCallReceiveActivity.this.addRemoteUser(s);
            VisualCallReceiveActivity.this.VisualCallType = 3;
            VisualCallReceiveActivity.this.imgVisualcall.setVisibility(0);
            VisualCallReceiveActivity.this.relVideoUser.setVisibility(8);
            VisualCallReceiveActivity.this.mlStart = System.currentTimeMillis();
            VisualCallReceiveActivity.this.chrVisualcallTime.setVisibility(0);
            VisualCallReceiveActivity.this.chrVisualcallTime.setBase(SystemClock.elapsedRealtime());
            VisualCallReceiveActivity.this.chrVisualcallTime.start();
            VisualCallReceiveActivity.this.sfLocalView.setAlpha(1.0f);
            VisualCallReceiveActivity.this.txtVisualcallStatus.setText(LocaleController.getString("Str_visualcalling", R.string.Str_visualcalling));
            VisualCallReceiveActivity.this.txtVisualcallStatus.setVisibility(0);
            VisualCallReceiveActivity.this.txtMask.setVisibility(8);
            VisualCallReceiveActivity.this.txtMask.postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$6$$ExternalSyntheticLambda4
                @Override // java.lang.Runnable
                public final void run() {
                    VisualCallReceiveActivity.AnonymousClass6.this.m3830xcaf85464();
                }
            }, AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
            if (ApplicationLoader.mbytAVideoCallBusy == 3 && VisualCallReceiveActivity.this.myservice != null) {
                VisualCallReceiveActivity.this.myservice.setView(null, null, VisualCallReceiveActivity.this.chrVisualcallTime.getBase(), VisualCallReceiveActivity.this.mChannel);
            }
            VisualCallReceiveActivity.this.changeStatusView();
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onRemoteUserOnLineNotify$1$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity$6  reason: not valid java name */
        public /* synthetic */ void m3830xcaf85464() {
            VisualCallReceiveActivity.this.txtVisualcallStatus.setVisibility(8);
        }

        @Override // com.alivc.rtc.AliRtcEngineNotify
        public void onRemoteUserOffLineNotify(String s) {
            VisualCallReceiveActivity.this.removeRemoteUser(s);
        }

        @Override // com.alivc.rtc.AliRtcEngineNotify
        public void onRemoteTrackAvailableNotify(String s, AliRtcEngine.AliRtcAudioTrack aliRtcAudioTrack, AliRtcEngine.AliRtcVideoTrack aliRtcVideoTrack) {
            KLog.d("---------视频流变化" + (aliRtcVideoTrack == AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackNo ? "   没有视频" : "   有视频"));
            KLog.d("---------音频流变化" + (aliRtcAudioTrack == AliRtcEngine.AliRtcAudioTrack.AliRtcAudioTrackNo ? "   没有音频" : "   有音频"));
            VisualCallReceiveActivity.this.updateRemoteDisplay(s, aliRtcAudioTrack, aliRtcVideoTrack);
            if (aliRtcVideoTrack.getValue() != 0 && aliRtcVideoTrack.getValue() > AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackNo.getValue()) {
                VisualCallReceiveActivity.this.runOnUiThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$6$$ExternalSyntheticLambda2
                    @Override // java.lang.Runnable
                    public final void run() {
                        VisualCallReceiveActivity.AnonymousClass6.this.m3829x12754406();
                    }
                });
            }
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onRemoteTrackAvailableNotify$3$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity$6  reason: not valid java name */
        public /* synthetic */ void m3829x12754406() {
            VisualCallReceiveActivity.this.VisualCallType = 3;
            if (VisualCallReceiveActivity.this.callStyle == 2) {
                VisualCallReceiveActivity.this.chartVideoContainer.setVisibility(0);
            }
        }

        @Override // com.alivc.rtc.AliRtcEngineNotify
        public void onSubscribeChangedNotify(String s, AliRtcEngine.AliRtcAudioTrack aliRtcAudioTrack, AliRtcEngine.AliRtcVideoTrack aliRtcVideoTrack) {
        }

        @Override // com.alivc.rtc.AliRtcEngineNotify
        public void onParticipantSubscribeNotify(AliSubscriberInfo[] aliSubscriberInfos, int i) {
        }

        @Override // com.alivc.rtc.AliRtcEngineNotify
        public void onFirstFramereceived(String s, String s1, String s2, int i) {
        }

        @Override // com.alivc.rtc.AliRtcEngineNotify
        public void onFirstPacketSent(String s, String s1, String s2, int i) {
        }

        @Override // com.alivc.rtc.AliRtcEngineNotify
        public void onFirstPacketReceived(String s, String s1, String s2, int i) {
            VisualCallReceiveActivity.this.runOnUiThread(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$6$$ExternalSyntheticLambda3
                @Override // java.lang.Runnable
                public final void run() {
                    VisualCallReceiveActivity.AnonymousClass6.this.m3828x6f55505b();
                }
            });
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        /* renamed from: lambda$onFirstPacketReceived$4$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity$6  reason: not valid java name */
        public /* synthetic */ void m3828x6f55505b() {
            if (VisualCallReceiveActivity.this.callStyle == 2 && VisualCallReceiveActivity.this.mbytFPacketRecCount <= 0) {
                VisualCallReceiveActivity.access$508(VisualCallReceiveActivity.this);
                VisualCallReceiveActivity.this.changeLocalPreview(null);
                if (VisualCallReceiveActivity.this.myservice != null && ApplicationLoader.mbytAVideoCallBusy == 3) {
                    VisualCallReceiveActivity.this.llBigWindow.addView(VisualCallReceiveActivity.this.myservice.getViewBig(true), new ViewGroup.LayoutParams(-1, -1));
                    VisualCallReceiveActivity.this.llBigWindow.removeView(VisualCallReceiveActivity.this.llBigRemoteView);
                    VisualCallReceiveActivity.this.chartVideoContainer.addView(VisualCallReceiveActivity.this.myservice.getViewSmall(true), new ViewGroup.LayoutParams(-1, -1));
                    VisualCallReceiveActivity.this.chartVideoContainer.removeView(VisualCallReceiveActivity.this.sfSmallView);
                    VisualCallReceiveActivity.this.myservice.setView(VisualCallReceiveActivity.this.llBigRemoteView, VisualCallReceiveActivity.this.sfSmallView, VisualCallReceiveActivity.this.chrVisualcallTime.getBase(), VisualCallReceiveActivity.this.mChannel);
                }
            }
        }

        @Override // com.alivc.rtc.AliRtcEngineNotify
        public void onParticipantUnsubscribeNotify(AliParticipantInfo[] aliParticipantInfos, int i) {
        }

        @Override // com.alivc.rtc.AliRtcEngineNotify
        public void onBye(int i) {
        }

        @Override // com.alivc.rtc.AliRtcEngineNotify
        public void onParticipantStatusNotify(AliStatusInfo[] aliStatusInfos, int i) {
        }

        @Override // com.alivc.rtc.AliRtcEngineNotify
        public void onAliRtcStats(ALI_RTC_INTERFACE.AliRtcStats aliRtcStats) {
        }
    }

    @Override // android.app.Activity
    public void onBackPressed() {
        XDialog.Builder builder = new XDialog.Builder(this);
        builder.setTitle(LocaleController.getString("Tips", R.string.Tips));
        builder.setMessage(LocaleController.getString(R.string.visual_call_exit_ask));
        builder.setPositiveButton(LocaleController.getString("Set", R.string.Set), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$$ExternalSyntheticLambda10
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                VisualCallReceiveActivity.this.m3817xc885b86d(dialogInterface, i);
            }
        });
        builder.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
        XDialog dialog = builder.create();
        dialog.show();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onBackPressed$6$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity  reason: not valid java name */
    public /* synthetic */ void m3817xc885b86d(DialogInterface dialogInterface, int i) {
        this.mbytNoOp = (byte) 1;
        if (this.VisualCallType == 3) {
            AVideoCallInterface.DiscardAVideoCall(getIntent().getStringExtra(TtmlNode.ATTR_ID), ((int) (System.currentTimeMillis() - this.mlStart)) / 1000, this.callStyle == 2);
        } else {
            AVideoCallInterface.DiscardAVideoCall(getIntent().getStringExtra(TtmlNode.ATTR_ID), this.RESPONSE_REFUSE, this.callStyle == 2);
        }
        stopRinging();
        cancelCallingState();
        super.onBackPressed();
    }

    @Override // android.app.Activity
    protected void onResume() {
        super.onResume();
        KLog.d("--------------------?");
        if (this.mblnUnProcessChooseVoiceTip) {
            this.txtTip.setText(LocaleController.getString(R.string.visual_call_receive_to_voice));
            setTipPos();
            this.txtTip.setVisibility(0);
            this.txtTip.postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$$ExternalSyntheticLambda1
                @Override // java.lang.Runnable
                public final void run() {
                    VisualCallReceiveActivity.this.m3819x8eeae598();
                }
            }, AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
            this.mblnUnProcessChooseVoiceTip = false;
        }
        if (this.myservice != null && this.mbytIsForeground == 1) {
            View videoView = this.myservice.getViewBig(false);
            View smallView = this.myservice.getViewSmall(false);
            if (this.callStyle == 2 && videoView != null) {
                if (this.VisualCallType == 3) {
                    changeLocalPreview(null);
                }
                if (this.VisualCallType == 3) {
                    changeLocalPreview(null);
                }
                this.llBigWindow.addView(videoView, new ViewGroup.LayoutParams(-1, -1));
                if (smallView != null) {
                    this.chartVideoContainer.addView(smallView, new ViewGroup.LayoutParams(-1, -1));
                }
                this.chartVideoContainer.setVisibility(0);
            }
        }
        if (this.misConnect) {
            unbindService(this.mVideoServiceConnection);
            this.misConnect = false;
        }
        this.mbytIsForeground = (byte) 1;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$onResume$7$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity  reason: not valid java name */
    public /* synthetic */ void m3819x8eeae598() {
        this.txtTip.setVisibility(8);
    }

    @Override // android.app.Activity
    protected void onStop() {
        this.mbytIsForeground = AndroidUtilities.isAppOnForeground(this) ? (byte) 1 : (byte) 0;
        super.onStop();
    }

    @Override // android.app.Activity
    protected void onStart() {
        super.onStart();
    }

    @Override // im.uecahxyvjd.ui.hui.visualcall.BaseCallActivity
    protected void changeLocalPreview(SophonSurfaceView view) {
        if (view != null) {
            if (this.mbytLocalPos == 0) {
                this.mbytLocalPos = (byte) 1;
            } else {
                this.mbytLocalPos = (byte) 0;
            }
        }
        if (this.mbytLocalPos == 0) {
            this.sfLocalView.setVisibility(8);
            this.llBigRemoteView.setVisibility(0);
            this.sfSmallView.setVisibility(0);
            this.llSmallRemoteView.setVisibility(8);
            View v = this.llSmallRemoteView.getChildAt(0);
            this.llSmallRemoteView.removeAllViews();
            this.llBigRemoteView.removeAllViews();
            if (view == null) {
                if (v != null) {
                    ((SophonSurfaceView) v).setZOrderOnTop(false);
                    ((SophonSurfaceView) v).setZOrderMediaOverlay(false);
                    this.llBigRemoteView.addView(v, new LinearLayout.LayoutParams(-1, -1));
                }
            } else {
                this.llBigRemoteView.addView(view, new LinearLayout.LayoutParams(-1, -1));
            }
            if (this.mAliRtcEngine != null) {
                this.sfSmallView.setZOrderOnTop(true);
                this.sfSmallView.setZOrderMediaOverlay(true);
                this.mAliRtcEngine.setLocalViewConfig(this.aliVideoCanvasSmall, AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackCamera);
                this.mAliRtcEngine.startPreview();
            }
            this.mbytLocalPos = (byte) 1;
            return;
        }
        this.sfLocalView.setVisibility(0);
        this.llBigRemoteView.setVisibility(8);
        this.sfSmallView.setVisibility(8);
        this.llSmallRemoteView.setVisibility(0);
        this.llSmallRemoteView.removeAllViews();
        View v2 = this.llBigRemoteView.getChildAt(0);
        this.llBigRemoteView.removeAllViews();
        if (view == null) {
            if (v2 != null) {
                ((SophonSurfaceView) v2).setZOrderOnTop(true);
                this.llSmallRemoteView.addView(v2, new LinearLayout.LayoutParams(-1, -1));
            }
        } else {
            view.setZOrderOnTop(true);
            view.setZOrderMediaOverlay(true);
            this.llSmallRemoteView.addView(view, new LinearLayout.LayoutParams(-1, -1));
        }
        if (this.mAliRtcEngine != null) {
            this.mAliRtcEngine.setLocalViewConfig(this.aliVideoCanvasBig, AliRtcEngine.AliRtcVideoTrack.AliRtcVideoTrackCamera);
            this.mAliRtcEngine.startPreview();
        }
        this.mbytLocalPos = (byte) 0;
    }

    @Override // im.uecahxyvjd.ui.hui.visualcall.BaseCallActivity
    protected void changePopWindow() {
        View view = null;
        View smallView = null;
        if (this.callStyle == 2) {
            if (this.mbytLocalPos == 0) {
                view = this.sfLocalView;
                smallView = this.llSmallRemoteView;
            } else {
                view = this.llBigRemoteView;
                smallView = this.sfSmallView;
            }
            this.llBigWindow.removeView(view);
            this.chartVideoContainer.removeView(smallView);
        }
        this.myservice.setCallStyle(this.callStyle);
        this.myservice.setBlnCaller(false);
        if (this.VisualCallType == 3) {
            this.myservice.setView(view, smallView, this.chrVisualcallTime.getBase(), this.mChannel);
            return;
        }
        this.myservice.setView(view, smallView, -1000000L, this.mChannel);
    }

    private void setTipPos() {
        RelativeLayout.LayoutParams layoutParams = (RelativeLayout.LayoutParams) this.txtTip.getLayoutParams();
        if (this.relVoiceUser.getVisibility() == 8) {
            this.txtTip.setGravity(17);
            return;
        }
        layoutParams.addRule(3, R.id.rel_voice_user);
        layoutParams.topMargin = AndroidUtilities.dp(25.0f);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void changeToVoice(boolean blnCaller) {
        setAVideoUI();
        this.txtPreChangeToVoice.setVisibility(8);
        if (this.mbytIsForeground == 0) {
            this.mblnUnProcessChooseVoiceTip = true;
        } else {
            if (blnCaller) {
                this.txtTip.setText(LocaleController.getString(R.string.visual_call_caller_to_voice));
            } else {
                this.txtTip.setText(LocaleController.getString(R.string.visual_call_receive_to_voice));
            }
            setTipPos();
            this.txtTip.setVisibility(0);
            this.txtTip.postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.hui.visualcall.VisualCallReceiveActivity$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    VisualCallReceiveActivity.this.m3814xbf1d073a();
                }
            }, AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS);
        }
        if (this.mAliRtcEngine != null) {
            if (this.mAliRtcEngine.isSpeakerOn()) {
                this.mAliRtcEngine.enableSpeakerphone(false);
            }
            this.mAliRtcEngine.stopPreview();
        }
        if (this.VisualCallType == 3) {
            changeStatusView();
            this.linOperateA.setVisibility(0);
            this.linOperateB.setVisibility(0);
            this.linOperateC.setVisibility(0);
            this.chrVisualcallTime.setVisibility(0);
            this.llBigWindow.setVisibility(8);
            this.chartVideoContainer.setVisibility(8);
            this.txtOperateA.setText(LocaleController.getString(R.string.Str_visualcall_no_voice));
            this.txtOperateC.setText(LocaleController.getString(R.string.Str_visualcall_hands_free));
            if (this.mIsAudioCapture) {
                this.imgOperateA.setBackgroundResource(R.drawable.visualcall_no_voice);
            } else {
                this.imgOperateA.setBackgroundResource(R.drawable.visualcall_no_voice_selected);
            }
            if (this.mAliRtcEngine != null) {
                if (this.mAliRtcEngine.isSpeakerOn()) {
                    this.imgOperateC.setBackgroundResource(R.drawable.visual_hands_free_selected);
                } else {
                    this.imgOperateC.setBackgroundResource(R.drawable.visualcall_hands_free);
                }
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$changeToVoice$8$im-uecahxyvjd-ui-hui-visualcall-VisualCallReceiveActivity  reason: not valid java name */
    public /* synthetic */ void m3814xbf1d073a() {
        this.txtTip.setVisibility(8);
    }
}
