package im.uecahxyvjd.ui.hui.wallet_public.utils;

import android.content.DialogInterface;
import android.text.Html;
import android.text.TextUtils;
import com.google.android.exoplayer2.extractor.ts.TsExtractor;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.constants.Constants;
import im.uecahxyvjd.ui.dialogs.WalletDialog;
import im.uecahxyvjd.ui.hui.mine.AboutAppActivity;
import im.uecahxyvjd.ui.hui.wallet_public.bean.WalletConfigBean;
import im.uecahxyvjd.ui.utils.number.NumberUtil;
import java9.util.concurrent.ForkJoinPool;
import kotlin.text.Typography;
/* loaded from: classes9.dex */
public class WalletErrorUtil implements Constants {
    public static void parseErrorToast(int errorMsgKey) {
        parseErrorToast(LocaleController.getString(errorMsgKey + "", errorMsgKey));
    }

    public static void parseErrorToast(String errorMsg) {
        ToastUtils.show((CharSequence) getErrorDescription(errorMsg));
    }

    public static void parseErrorToast(int prefixOfErrorMsgKey, String errorMsg) {
        parseErrorToast(LocaleController.getString(prefixOfErrorMsgKey + "", prefixOfErrorMsgKey), errorMsg);
    }

    public static void parseErrorToast(String prefixOfErrorMsg, String errorMsg) {
        ToastUtils.show((CharSequence) getErrorDescription(prefixOfErrorMsg, errorMsg));
    }

    public static WalletDialog parseErrorDialog(Object host, int errorMsgKey) {
        return parseErrorDialog(host, LocaleController.getString(errorMsgKey + "", errorMsgKey));
    }

    public static WalletDialog parseErrorDialog(Object host, int errorMsgKey, boolean cancelable) {
        return parseErrorDialog(host, LocaleController.getString(errorMsgKey + "", errorMsgKey), cancelable);
    }

    public static WalletDialog parseErrorDialog(Object host, String errorMsg) {
        return WalletDialogUtil.showConfirmBtnWalletDialog(host, getErrorDescription(errorMsg));
    }

    public static WalletDialog parseErrorDialog(Object host, String errorMsg, boolean cancelable) {
        return WalletDialogUtil.showConfirmBtnWalletDialog(host, getErrorDescription(errorMsg), cancelable);
    }

    public static WalletDialog parseErrorDialog(Object host, String errMsg, boolean cancel, String btnText, DialogInterface.OnClickListener listener) {
        return WalletDialogUtil.showSingleBtnWalletDialog(host, getErrorDescription(errMsg), btnText, cancel, listener);
    }

    public static WalletDialog parseErrorDialog(Object host, int prefixOfErrorMsgKey, int errorMsgKey) {
        return parseErrorDialog(host, prefixOfErrorMsgKey, LocaleController.getString(errorMsgKey + "", errorMsgKey));
    }

    public static WalletDialog parseErrorDialog(Object host, int prefixOfErrorMsgKey, int errorMsgKey, boolean cancelable) {
        return parseErrorDialog(host, prefixOfErrorMsgKey, LocaleController.getString(errorMsgKey + "", errorMsgKey), cancelable);
    }

    public static WalletDialog parseErrorDialog(Object host, int prefixOfErrorMsgKey, String errorMsg) {
        return parseErrorDialog(host, LocaleController.getString(prefixOfErrorMsgKey + "", prefixOfErrorMsgKey), errorMsg);
    }

    public static WalletDialog parseErrorDialog(Object host, int prefixOfErrorMsgKey, String errorMsg, boolean cancelable) {
        return parseErrorDialog(host, LocaleController.getString(prefixOfErrorMsgKey + "", prefixOfErrorMsgKey), errorMsg, cancelable);
    }

    public static WalletDialog parseErrorDialog(Object host, String prefixOfErrorMsg, String errorMsg) {
        return WalletDialogUtil.showConfirmBtnWalletDialog(host, getErrorDescription(prefixOfErrorMsg, errorMsg), true);
    }

    public static WalletDialog parseErrorDialog(Object host, String prefixOfErrorMsg, String errorMsg, boolean cancelable) {
        return WalletDialogUtil.showConfirmBtnWalletDialog(host, getErrorDescription(prefixOfErrorMsg, errorMsg), cancelable);
    }

    public static String getErrorDescription(int errorMsgKey) {
        return getErrorDescription(LocaleController.getString(errorMsgKey + "", errorMsgKey));
    }

    public static String getErrorDescription(String errorMsg) {
        return getErrorDescription((String) null, errorMsg);
    }

    public static String getErrorDescription(int prefixOfErrorMsgKey, int errorMsgKey) {
        return getErrorDescription(prefixOfErrorMsgKey, LocaleController.getString(errorMsgKey + "", errorMsgKey));
    }

    public static String getErrorDescription(int prefixOfErrorMsgKey, String errorMsg) {
        return getErrorDescription(LocaleController.getString(prefixOfErrorMsgKey + "", prefixOfErrorMsgKey), errorMsg);
    }

    public static boolean parsePayPasswordErrorDialog(final BaseFragment fragment, String errorMsg) {
        String content;
        String confirmText;
        if (fragment == null || fragment.getParentActivity() == null) {
            return false;
        }
        boolean tag = false;
        WalletDialog dialog = new WalletDialog(fragment.getParentActivity());
        if (errorMsg != null) {
            if (errorMsg.contains("FROZEN")) {
                tag = true;
                String[] numbers = NumberUtil.getNumbersFromStr(errorMsg);
                int count = 0;
                if (numbers.length == 2) {
                    count = Integer.valueOf(numbers[1]).intValue();
                }
                if (count > 0) {
                    content = LocaleController.getString(R.string.ErrorPayPasswordAndTryAgain) + "<br/><br/>" + String.format(LocaleController.getString(R.string.YouCanEnterTimesWithColor), Integer.valueOf(count));
                    confirmText = LocaleController.getString(R.string.ForgetPassword);
                } else {
                    content = LocaleController.getString(R.string.TheAccountHasBeenFrozenWith24H);
                    confirmText = LocaleController.getString(R.string.ContactCustomerService);
                }
                dialog.setMessage(Html.fromHtml(content), true, true);
                final int finalCount = count;
                dialog.setPositiveButton(confirmText, new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.hui.wallet_public.utils.WalletErrorUtil$$ExternalSyntheticLambda0
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        WalletErrorUtil.lambda$parsePayPasswordErrorDialog$0(finalCount, fragment, dialogInterface, i);
                    }
                });
            } else if ("DAY_BAND_BANK_NUMBER_OVER_LIMIT".equals(errorMsg)) {
                tag = true;
                dialog.setMessage(LocaleController.getString(R.string.NumberOfAddBankCardTodayHadExceededLimitTips));
                dialog.setPositiveButton(LocaleController.getString(R.string.OK), null);
            } else {
                dialog.setMessage(getErrorDescription(errorMsg), true, true);
            }
        }
        if (tag) {
            dialog.getNegativeButton().setTextColor(Theme.getColor(Theme.key_windowBackgroundWhiteBlueText));
            dialog.setNegativeButton(LocaleController.getString(R.string.Retry), null);
            fragment.showDialog(dialog);
        }
        return tag;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$parsePayPasswordErrorDialog$0(int finalCount, BaseFragment fragment, DialogInterface dialogInterface, int i) {
        if (finalCount <= 0) {
            fragment.presentFragment(new AboutAppActivity());
        }
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    public static String getErrorDescription(String prefixOfErrorMsg, String errorMsg) {
        char c;
        String realErrorMsg = LocaleController.getString("ServerErrorResponseIsEmpty", R.string.ServerErrorResponseIsEmpty);
        if (errorMsg != null) {
            if (!errorMsg.contains("ACCOUNT_PASSWORD_IN_MINUTES,ERROR_TIMES,WILL_BE_FROZEN_")) {
                if (!errorMsg.contains("ERROR_NO_CANCELLATION_BALANCE_GREATER_THAN_")) {
                    switch (errorMsg.hashCode()) {
                        case -2144635420:
                            if (errorMsg.equals("ERROR_CODE")) {
                                c = 0;
                                break;
                            }
                            c = 65535;
                            break;
                        case -2092522851:
                            if (errorMsg.equals("CURRENCY_TYPE_IS_EMPTY_CODE")) {
                                c = 'l';
                                break;
                            }
                            c = 65535;
                            break;
                        case -2091299496:
                            if (errorMsg.equals("SUCCESS_RED_STATUS_INVALID_CODE")) {
                                c = 16;
                                break;
                            }
                            c = 65535;
                            break;
                        case -2079937259:
                            if (errorMsg.equals("ERROR_ADDRESS_NOT_NULL")) {
                                c = '\\';
                                break;
                            }
                            c = 65535;
                            break;
                        case -2025769420:
                            if (errorMsg.equals("ERROR_NOT_SUPPORTED_PAY")) {
                                c = 'O';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1972351521:
                            if (errorMsg.equals("ERROR_TRANSFER_TO_EXIST_SUBMIT_REPEATEDLY")) {
                                c = 'S';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1968712000:
                            if (errorMsg.equals("ERROR_CASH_AMOUNT_MISMATCH")) {
                                c = 'a';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1964016177:
                            if (errorMsg.equals("ERROR_TRADELOG_ID_NOT_NULL")) {
                                c = 'b';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1961651411:
                            if (errorMsg.equals("SUCCESS_RED_STATUS_EXISTENCE_CODE")) {
                                c = 17;
                                break;
                            }
                            c = 65535;
                            break;
                        case -1951241795:
                            if (errorMsg.equals("ERROR_SERVICE_CHARGE_NOT_NULL")) {
                                c = 'D';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1936208949:
                            if (errorMsg.equals("TRANSFER_REPEAT_PAY_ERROR_CODE")) {
                                c = 25;
                                break;
                            }
                            c = 65535;
                            break;
                        case -1923611970:
                            if (errorMsg.equals("ERROR_PAY_SET_NOT_NULL")) {
                                c = 'Y';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1896901538:
                            if (errorMsg.equals("AUTHENTICATE_INFO_ERR")) {
                                c = 'f';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1844978982:
                            if (errorMsg.equals("NO_USABLE_CHANNEL")) {
                                c = 't';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1773444383:
                            if (errorMsg.equals("ERROR_DIRECTION_OF_BUSINESS_NOT_NULL")) {
                                c = 'H';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1761476232:
                            if (errorMsg.equals("TRANSFER_ACCOUNTS_UNAVAILABLE_ERROR_CODE")) {
                                c = '\f';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1675822067:
                            if (errorMsg.equals("NO_SMS_VERIFICATION_CODE")) {
                                c = 'o';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1605877014:
                            if (errorMsg.equals("DAY_BAND_BANK_NUMBER_OVER_LIMIT")) {
                                c = '}';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1577993965:
                            if (errorMsg.equals("ERROR_RED_TYPE_NOT_NULL")) {
                                c = ':';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1575231852:
                            if (errorMsg.equals("ERROR_INITIATOR_OR_BUYER_NOT_NULL")) {
                                c = 'M';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1549115538:
                            if (errorMsg.equals("ERROR_RECEIVER_USER_NOT_NULL")) {
                                c = '7';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1469612725:
                            if (errorMsg.equals("SYSTEM_ERROR_NOT_SET_PAYWORD_COCE")) {
                                c = 28;
                                break;
                            }
                            c = 65535;
                            break;
                        case -1454959391:
                            if (errorMsg.equals("RED_UNAVAILABLE_ERROR_CODE")) {
                                c = 11;
                                break;
                            }
                            c = 65535;
                            break;
                        case -1449090263:
                            if (errorMsg.equals("THE_TRANSFER_HAS_BEEN_CANCELLED")) {
                                c = 'w';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1435642988:
                            if (errorMsg.equals("ERROR_AMOUNT_DOES_NOT_MATCH_CONFIRMED_AMOUNT")) {
                                c = '`';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1349891338:
                            if (errorMsg.equals("ERROR_REMARKS_NOT_NULL")) {
                                c = 'A';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1294203302:
                            if (errorMsg.equals("PAY_PASSWORD_MAX_ACCOUNT_FROZEN")) {
                                c = '%';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1272363335:
                            if (errorMsg.equals("SUCCESS_RED_NOT_COLLECTED_CODE")) {
                                c = 18;
                                break;
                            }
                            c = 65535;
                            break;
                        case -1258389000:
                            if (errorMsg.equals("THE_BANK_INFORMATION_HAS_BEEN_BOUND")) {
                                c = 'k';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1246306989:
                            if (errorMsg.equals("EFFECT_USER_INFONNOT_CODE")) {
                                c = '\n';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1232921218:
                            if (errorMsg.equals("INCONSISTENT_VALIDATION_INFORMATION_CODE")) {
                                c = 'q';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1190339722:
                            if (errorMsg.equals("ALREADY_VIP")) {
                                c = 129;
                                break;
                            }
                            c = 65535;
                            break;
                        case -1177453267:
                            if (errorMsg.equals("ERROR_UNIT_PRICE_NOT_NULL")) {
                                c = 'C';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1171826550:
                            if (errorMsg.equals("SUCCESS_USERINFO_INFORMATION_GROUP_CODE")) {
                                c = 23;
                                break;
                            }
                            c = 65535;
                            break;
                        case -1148959888:
                            if (errorMsg.equals("ERROR_USER_NOT_MATCH_CODE")) {
                                c = '\t';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1145264038:
                            if (errorMsg.equals("PARAMETER_ERROR_CODE")) {
                                c = 3;
                                break;
                            }
                            c = 65535;
                            break;
                        case -1123435528:
                            if (errorMsg.equals("ORDER_NOT_CANCELLED_CODE")) {
                                c = '\b';
                                break;
                            }
                            c = 65535;
                            break;
                        case -1108080737:
                            if (errorMsg.equals("RED_MSG_NOT_EXIST")) {
                                c = 'v';
                                break;
                            }
                            c = 65535;
                            break;
                        case -945961441:
                            if (errorMsg.equals("ERROR_RED_INFO_NOT_NULL")) {
                                c = 20;
                                break;
                            }
                            c = 65535;
                            break;
                        case -898271457:
                            if (errorMsg.equals("ERROR_SYSTEM_CODE_ALREADY")) {
                                c = 'R';
                                break;
                            }
                            c = 65535;
                            break;
                        case -862586151:
                            if (errorMsg.equals("ERROR_TOTALFEE_NOT_NULL")) {
                                c = 'L';
                                break;
                            }
                            c = 65535;
                            break;
                        case -815654167:
                            if (errorMsg.equals("REPEATED_REQUESTS")) {
                                c = 2;
                                break;
                            }
                            c = 65535;
                            break;
                        case -803269227:
                            if (errorMsg.equals("ErrorSendMessageTooFreq")) {
                                c = 'e';
                                break;
                            }
                            c = 65535;
                            break;
                        case -745834116:
                            if (errorMsg.equals("BANK_NUMBER_NOT_STANDARD")) {
                                c = 'z';
                                break;
                            }
                            c = 65535;
                            break;
                        case -739718390:
                            if (errorMsg.equals("ERROR_ORDER_TO_EXIST_SUBMIT_REPEATEDLY")) {
                                c = 'U';
                                break;
                            }
                            c = 65535;
                            break;
                        case -734874358:
                            if (errorMsg.equals("ERROR_USER_NAME_NOT_NULL")) {
                                c = '0';
                                break;
                            }
                            c = 65535;
                            break;
                        case -580958708:
                            if (errorMsg.equals("SYSTEM_VERIFICATION_CODE_EXPIRED_SMS_COCE")) {
                                c = 31;
                                break;
                            }
                            c = 65535;
                            break;
                        case -577434663:
                            if (errorMsg.equals("NOT_SUFFICIENT_FUNDS")) {
                                c = 'u';
                                break;
                            }
                            c = 65535;
                            break;
                        case -539680220:
                            if (errorMsg.equals("BANK_NOT_WITHDRAWAL")) {
                                c = 's';
                                break;
                            }
                            c = 65535;
                            break;
                        case -488853947:
                            if (errorMsg.equals("ERROR_TOTAL_AMOUNT_OF_CASH_SOLD_NOT_NULL")) {
                                c = 'I';
                                break;
                            }
                            c = 65535;
                            break;
                        case -449813985:
                            if (errorMsg.equals("SYSTEM_VERIFICATION_ERROR_SMS_COCE")) {
                                c = ' ';
                                break;
                            }
                            c = 65535;
                            break;
                        case -434497339:
                            if (errorMsg.equals("ERROR_IMG_TYPE_NOT_NULL")) {
                                c = 'P';
                                break;
                            }
                            c = 65535;
                            break;
                        case -430617811:
                            if (errorMsg.equals("SYSTEM_ERROR_BANK_NO_BADING_CODE")) {
                                c = Typography.quote;
                                break;
                            }
                            c = 65535;
                            break;
                        case -424816978:
                            if (errorMsg.equals("ERROR_NOTALLOW_HAIR_LUCK_RED")) {
                                c = Typography.less;
                                break;
                            }
                            c = 65535;
                            break;
                        case -410570710:
                            if (errorMsg.equals("SYSTEM_ERROR_BANK_NO_FROZEN_CODE")) {
                                c = '*';
                                break;
                            }
                            c = 65535;
                            break;
                        case -409306558:
                            if (errorMsg.equals("ERROR_TRANSACTION_AMOUNT_NOT_NULL")) {
                                c = 'E';
                                break;
                            }
                            c = 65535;
                            break;
                        case -329865043:
                            if (errorMsg.equals("TRANSFER_NON_CANCELLING_ERROR_CODE")) {
                                c = 22;
                                break;
                            }
                            c = 65535;
                            break;
                        case -256279664:
                            if (errorMsg.equals("SUCCESS_RED_STATUS_COMPLETE_CODE")) {
                                c = 14;
                                break;
                            }
                            c = 65535;
                            break;
                        case -251524880:
                            if (errorMsg.equals("EXCEED_TRANSFER_ONCE_MAX_MONEY")) {
                                c = 127;
                                break;
                            }
                            c = 65535;
                            break;
                        case -232446680:
                            if (errorMsg.equals("SYSTEM_REPEAT_SMS_COCE")) {
                                c = 29;
                                break;
                            }
                            c = 65535;
                            break;
                        case -224509840:
                            if (errorMsg.equals("ERROR_RECEIVER_OR_SELLER_NOT_NULL")) {
                                c = '9';
                                break;
                            }
                            c = 65535;
                            break;
                        case -175935118:
                            if (errorMsg.equals("AUTHENTICATE_INFO_NOT_MATCH")) {
                                c = '|';
                                break;
                            }
                            c = 65535;
                            break;
                        case -169668534:
                            if (errorMsg.equals("ERROR_CONFIRM_PAY_PASSWORD_NOT_NULL")) {
                                c = '-';
                                break;
                            }
                            c = 65535;
                            break;
                        case -130358483:
                            if (errorMsg.equals("ERROR_ORDER_DOES_NOT_EXIST")) {
                                c = 'V';
                                break;
                            }
                            c = 65535;
                            break;
                        case -130024776:
                            if (errorMsg.equals("ERROR_MERCHANT_ORDER_NUMBER_NOT_NULL")) {
                                c = 'B';
                                break;
                            }
                            c = 65535;
                            break;
                        case -88118345:
                            if (errorMsg.equals("ERROR_NOT_SUPPORTED_PAY_SET")) {
                                c = 'Z';
                                break;
                            }
                            c = 65535;
                            break;
                        case -58040641:
                            if (errorMsg.equals("TRANSFER_CANCELLING_ERROR_CODE")) {
                                c = 24;
                                break;
                            }
                            c = 65535;
                            break;
                        case 21821413:
                            if (errorMsg.equals("USER_INFONNOT_CODE")) {
                                c = 4;
                                break;
                            }
                            c = 65535;
                            break;
                        case 41860780:
                            if (errorMsg.equals("ERROR_AMOUNT_BELOW_MINIMUM_LIMIT")) {
                                c = '@';
                                break;
                            }
                            c = 65535;
                            break;
                        case 89931806:
                            if (errorMsg.equals("ERROR_GRANT_TYPE_NOT_NULL")) {
                                c = ';';
                                break;
                            }
                            c = 65535;
                            break;
                        case 100175290:
                            if (errorMsg.equals("TOO_MANY_REQUEST")) {
                                c = 'd';
                                break;
                            }
                            c = 65535;
                            break;
                        case 127292299:
                            if (errorMsg.equals("ERROR_GROUPS_RED_NUMBER")) {
                                c = '8';
                                break;
                            }
                            c = 65535;
                            break;
                        case 155378505:
                            if (errorMsg.equals("ERROR_INCONSISTENT_AMOUNT")) {
                                c = '?';
                                break;
                            }
                            c = 65535;
                            break;
                        case 197222107:
                            if (errorMsg.equals("ID_NUMBER_NOT_STANDARD")) {
                                c = 'y';
                                break;
                            }
                            c = 65535;
                            break;
                        case 199708815:
                            if (errorMsg.equals("ERROR_OPENBANK_OR_BANKCODE_NOT_NULL")) {
                                c = 'W';
                                break;
                            }
                            c = 65535;
                            break;
                        case 235405616:
                            if (errorMsg.equals("ACCOUNT_UNCERTIFIED_CODE")) {
                                c = Typography.amp;
                                break;
                            }
                            c = 65535;
                            break;
                        case 292411456:
                            if (errorMsg.equals("ERROR_RANDOM_TIME_NOT_NULL")) {
                                c = '4';
                                break;
                            }
                            c = 65535;
                            break;
                        case 343356237:
                            if (errorMsg.equals("ACCOUNT_PAY_PASSWORD_ERROR")) {
                                c = '(';
                                break;
                            }
                            c = 65535;
                            break;
                        case 371395673:
                            if (errorMsg.equals("ERROR_ID_CAD_NOT_NULL")) {
                                c = '1';
                                break;
                            }
                            c = 65535;
                            break;
                        case 505899914:
                            if (errorMsg.equals("BANK_INFO_EXISTS")) {
                                c = 'r';
                                break;
                            }
                            c = 65535;
                            break;
                        case 598536268:
                            if (errorMsg.equals("TRANSFER_COMPLETED_ERROR_CODE")) {
                                c = 21;
                                break;
                            }
                            c = 65535;
                            break;
                        case 661399960:
                            if (errorMsg.equals("ERROR_FIXED_AMOUNT_NOT_NULL")) {
                                c = Typography.greater;
                                break;
                            }
                            c = 65535;
                            break;
                        case 677566228:
                            if (errorMsg.equals("ERROR_ACC_NUMBER_NOT_NULL")) {
                                c = '[';
                                break;
                            }
                            c = 65535;
                            break;
                        case 694574117:
                            if (errorMsg.equals("EXCEED_RED_PACKET_ONCE_MAX_MONEY")) {
                                c = '~';
                                break;
                            }
                            c = 65535;
                            break;
                        case 731241168:
                            if (errorMsg.equals("ERROR_TRANSFER_NOT_NULL")) {
                                c = '3';
                                break;
                            }
                            c = 65535;
                            break;
                        case 746324468:
                            if (errorMsg.equals("SYSTEM_ERROR_CODE")) {
                                c = '\'';
                                break;
                            }
                            c = 65535;
                            break;
                        case 833588359:
                            if (errorMsg.equals("EXCLUSIVE_PLEASE_BIND_FIRST_BANKINFO")) {
                                c = 'h';
                                break;
                            }
                            c = 65535;
                            break;
                        case 837752632:
                            if (errorMsg.equals("ERROR_VERIFICATION_CODE_NOT_NULL")) {
                                c = '/';
                                break;
                            }
                            c = 65535;
                            break;
                        case 840426438:
                            if (errorMsg.equals("CARRYOVER_INFO_DOES_NOT_EXIST")) {
                                c = 'j';
                                break;
                            }
                            c = 65535;
                            break;
                        case 866398254:
                            if (errorMsg.equals("SYSTEM_UNSUPPORTED_FILE_ERROR_COCE")) {
                                c = '!';
                                break;
                            }
                            c = 65535;
                            break;
                        case 898444516:
                            if (errorMsg.equals("ACCOUNT_DISACCORD_AUTHENTICATION_INFORMATION_CODE")) {
                                c = 'g';
                                break;
                            }
                            c = 65535;
                            break;
                        case 904822764:
                            if (errorMsg.equals("SUCCESS_RED_STATUS_RECEIVE_CODE")) {
                                c = '\r';
                                break;
                            }
                            c = 65535;
                            break;
                        case 930821507:
                            if (errorMsg.equals("TYPE_IS_NOT_NULL")) {
                                c = 'm';
                                break;
                            }
                            c = 65535;
                            break;
                        case 938682073:
                            if (errorMsg.equals("CARRYOVER_THE_TRANSFER_HAS_BEEN_RECEIVED")) {
                                c = 'x';
                                break;
                            }
                            c = 65535;
                            break;
                        case 956012942:
                            if (errorMsg.equals("ERROR_RED_NUMBER")) {
                                c = '=';
                                break;
                            }
                            c = 65535;
                            break;
                        case 960863229:
                            if (errorMsg.equals("NAME_NOT_STANDARD")) {
                                c = '{';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1050804984:
                            if (errorMsg.equals("ERROR_BANK_INFO_NOT_NULL")) {
                                c = ']';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1077990923:
                            if (errorMsg.equals("ERROR_USER_IS_NOT_NULL")) {
                                c = '+';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1117754157:
                            if (errorMsg.equals("ERROR_TADDITIONAL_DATA_NOT_NULL")) {
                                c = 'G';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1126260135:
                            if (errorMsg.equals("ERROR_RED_TO_EXIST_SUBMIT_REPEATEDLY")) {
                                c = 'T';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1178337426:
                            if (errorMsg.equals("ORDER_NOT_EXIST_CODE")) {
                                c = 7;
                                break;
                            }
                            c = 65535;
                            break;
                        case 1185352029:
                            if (errorMsg.equals("ERROR_NOT_SUPPORTED_TEMPORARILY_FUNCTION")) {
                                c = 'c';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1222472957:
                            if (errorMsg.equals("ERROR_PRODUCT_DESCRIPTION_NOT_NULL")) {
                                c = 'K';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1234557633:
                            if (errorMsg.equals("SYSTEM_SMS_NOT_SUPPORTED_COCE")) {
                                c = 'n';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1260306429:
                            if (errorMsg.equals("ERROR_ACCOUNT_SYNCHRONIZED")) {
                                c = 'Q';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1335086637:
                            if (errorMsg.equals("ERROR_ILLEGAL_CODE")) {
                                c = 1;
                                break;
                            }
                            c = 65535;
                            break;
                        case 1407588716:
                            if (errorMsg.equals("ORDER_CANCELLED_CODE")) {
                                c = 6;
                                break;
                            }
                            c = 65535;
                            break;
                        case 1488864863:
                            if (errorMsg.equals("ORDER_OK_CODE")) {
                                c = 5;
                                break;
                            }
                            c = 65535;
                            break;
                        case 1491676330:
                            if (errorMsg.equals("SUCCESS_RED_STATUS_NUMBER_FULL_CODE")) {
                                c = 15;
                                break;
                            }
                            c = 65535;
                            break;
                        case 1518236069:
                            if (errorMsg.equals("ERROR_RED_NUMBER_ILLEGAL")) {
                                c = '6';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1539334037:
                            if (errorMsg.equals("ERROR_GROUPS_NUMBER_NOT_NULL")) {
                                c = 'X';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1554846384:
                            if (errorMsg.equals("ACCOUNT_HAS_BEEN_FROZEN_CODE")) {
                                c = Typography.dollar;
                                break;
                            }
                            c = 65535;
                            break;
                        case 1556727811:
                            if (errorMsg.equals("INSUFFICIENT")) {
                                c = 128;
                                break;
                            }
                            c = 65535;
                            break;
                        case 1598219258:
                            if (errorMsg.equals("BANKINFO_DOES_NOT_EXIST")) {
                                c = 'i';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1630302841:
                            if (errorMsg.equals("ERROR_ORDER_HAS_BEEN_CONFIRMED")) {
                                c = '_';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1668633190:
                            if (errorMsg.equals("ERROR_TRADE_TYPE_NOT_NULL")) {
                                c = 'N';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1688152246:
                            if (errorMsg.equals("SYSTEM_ERROR_ACCOUNT_EXCEPTION_CODE")) {
                                c = 27;
                                break;
                            }
                            c = 65535;
                            break;
                        case 1713725742:
                            if (errorMsg.equals("THE_TRANSFER_IS_NOT_AVAILABLE")) {
                                c = 26;
                                break;
                            }
                            c = 65535;
                            break;
                        case 1730358686:
                            if (errorMsg.equals("ERROR_NEW_PASSWORD_IS_INCONSISTENT")) {
                                c = '.';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1782154686:
                            if (errorMsg.equals("EXCLUSIVE_RED_NOT_COLLECTED_CODE")) {
                                c = 19;
                                break;
                            }
                            c = 65535;
                            break;
                        case 1783865422:
                            if (errorMsg.equals("ERROR_TEL_NOT_NULL")) {
                                c = '2';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1853331822:
                            if (errorMsg.equals("ERROR_RANDOM_CHARACTER_NOT_NULL")) {
                                c = 'J';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1854890676:
                            if (errorMsg.equals("ERROR_BILL_NOT_NULL")) {
                                c = '5';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1898328170:
                            if (errorMsg.equals("SYSTEM_ERROR_PAY_PASSWORD_ERROR_CODE")) {
                                c = ')';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1936143911:
                            if (errorMsg.equals("INCORRECT_PHONE_NUMBER_FORMATG_CODE")) {
                                c = '#';
                                break;
                            }
                            c = 65535;
                            break;
                        case 1940543338:
                            if (errorMsg.equals("AUTHENTICATION_CANCELLATION")) {
                                c = 'p';
                                break;
                            }
                            c = 65535;
                            break;
                        case 2000358825:
                            if (errorMsg.equals("ERROR_PAY_PASSWORD_NOT_NULL")) {
                                c = ',';
                                break;
                            }
                            c = 65535;
                            break;
                        case 2101432071:
                            if (errorMsg.equals("ERROR_TRANS_AMOUNT_MISMATCH")) {
                                c = 'F';
                                break;
                            }
                            c = 65535;
                            break;
                        case 2129881790:
                            if (errorMsg.equals("SYSTEM_SMS_BUSY_COCE")) {
                                c = 30;
                                break;
                            }
                            c = 65535;
                            break;
                        case 2140948840:
                            if (errorMsg.equals("ERROR_OLD_PASSWORD_NOT_NULL")) {
                                c = '^';
                                break;
                            }
                            c = 65535;
                            break;
                        default:
                            c = 65535;
                            break;
                    }
                    switch (c) {
                        case 0:
                            realErrorMsg = LocaleController.getString("OperationFailed", R.string.OperationFailed);
                            break;
                        case 1:
                            realErrorMsg = LocaleController.getString("IllegalOperation", R.string.IllegalOperation);
                            break;
                        case 2:
                            realErrorMsg = LocaleController.getString("OtherDeviceDoTheSame", R.string.OtherDeviceDoTheSame);
                            break;
                        case 3:
                            realErrorMsg = LocaleController.getString("ParameterError", R.string.ParameterError);
                            break;
                        case 4:
                            realErrorMsg = LocaleController.getString("CurrentUserNotOpenedWalletAccount", R.string.CurrentUserNotOpenedWalletAccount);
                            break;
                        case 5:
                            realErrorMsg = LocaleController.getString("OrderHasCompletedCanNotCancel", R.string.OrderHasCompletedCanNotCancel);
                            break;
                        case 6:
                            realErrorMsg = LocaleController.getString("OrderHasCanceledCanNotCancelRepetedly", R.string.OrderHasCanceledCanNotCancelRepetedly);
                            break;
                        case 7:
                            realErrorMsg = LocaleController.getString("OrderNotExist", R.string.OrderNotExist);
                            break;
                        case '\b':
                            realErrorMsg = LocaleController.getString("OrderCanNotBeCancelled", R.string.OrderCanNotBeCancelled);
                            break;
                        case '\t':
                            realErrorMsg = LocaleController.getString("AccountInformationMismatch", R.string.AccountInformationMismatch);
                            break;
                        case '\n':
                            realErrorMsg = LocaleController.getString("RecipientInformationDoesNotExist", R.string.RecipientInformationDoesNotExist);
                            break;
                        case 11:
                        case '\f':
                            realErrorMsg = LocaleController.getString("RefundIsNotSupportedForThisType", R.string.RefundIsNotSupportedForThisType);
                            break;
                        case '\r':
                            realErrorMsg = LocaleController.getString("RedpacketYouHadReceievedCanNotReceivedRepetedly", R.string.RedpacketYouHadReceievedCanNotReceivedRepetedly);
                            break;
                        case 14:
                        case 15:
                            realErrorMsg = LocaleController.getString("RedpacketHadBeenCollected", R.string.RedpacketHadBeenCollected);
                            break;
                        case 16:
                            realErrorMsg = LocaleController.getString("RedpacketHadExpired", R.string.RedpacketHadExpired);
                            break;
                        case 17:
                            realErrorMsg = LocaleController.getString("RedpacketNotExist", R.string.RedpacketNotExist);
                            break;
                        case 18:
                            realErrorMsg = LocaleController.getString("RedpacketIsNotForYou", R.string.RedpacketIsNotForYou);
                            break;
                        case 19:
                            realErrorMsg = LocaleController.getString("RedpacketIsExclusivedIsNotForYou", R.string.RedpacketIsExclusivedIsNotForYou);
                            break;
                        case 20:
                            realErrorMsg = LocaleController.getString("RedpacketInfoMustNotNull", R.string.RedpacketInfoMustNotNull);
                            break;
                        case 21:
                            realErrorMsg = LocaleController.getString("TransferCompletedCannotReceivedRepetedly", R.string.TransferCompletedCannotReceivedRepetedly);
                            break;
                        case 22:
                            realErrorMsg = LocaleController.getString("TransferCompletedCannotCancelled", R.string.TransferCompletedCannotCancelled);
                            break;
                        case 23:
                            realErrorMsg = LocaleController.getString("YouAreNotMemberOfThisGroupYouCannotReceived", R.string.YouAreNotMemberOfThisGroupYouCannotReceived);
                            break;
                        case 24:
                            realErrorMsg = LocaleController.getString("TransferCancelledCannotCancelledRepetedly", R.string.TransferCancelledCannotCancelledRepetedly);
                            break;
                        case 25:
                            realErrorMsg = LocaleController.getString("OrderYouPaidCannotPayRepetedly", R.string.OrderYouPaidCannotPayRepetedly);
                            break;
                        case 26:
                            realErrorMsg = LocaleController.getString("TransferCannotBeReceived", R.string.TransferCannotBeReceived);
                            break;
                        case 27:
                            realErrorMsg = LocaleController.getString("AbnormalAccountInformation", R.string.AbnormalAccountInformation);
                            break;
                        case 28:
                            realErrorMsg = LocaleController.getString("PleaseSetPayPasswordFirst", R.string.PleaseSetPayPasswordFirst);
                            break;
                        case 29:
                            realErrorMsg = LocaleController.getString("CannotSendSMSRepeatedly", R.string.CannotSendSMSRepeatedly);
                            break;
                        case 30:
                            realErrorMsg = LocaleController.getString("SMSSystemIsBusy", R.string.SMSSystemIsBusy);
                            break;
                        case 31:
                            realErrorMsg = LocaleController.getString("VerificationcodeExpired", R.string.VerificationcodeExpired);
                            break;
                        case ' ':
                            realErrorMsg = LocaleController.getString("VerificationcodeError", R.string.VerificationcodeError);
                            break;
                        case '!':
                            realErrorMsg = LocaleController.getString("NotSupportThisTypeFileToUpload", R.string.NotSupportThisTypeFileToUpload);
                            break;
                        case '\"':
                            realErrorMsg = LocaleController.getString("NotSupportThisTypeBankCard", R.string.NotSupportThisTypeBankCard);
                            break;
                        case '#':
                            realErrorMsg = LocaleController.getString("IncorrectPhoneNumberFormat", R.string.IncorrectPhoneNumberFormat);
                            break;
                        case '$':
                            realErrorMsg = LocaleController.getString("TheAccountHasBeenFrozenWith24H", R.string.TheAccountHasBeenFrozenWith24H);
                            break;
                        case '%':
                            realErrorMsg = LocaleController.getString("TheAccountHasBeenFrozenWith24H", R.string.TheAccountHasBeenFrozenWith24H);
                            break;
                        case '&':
                            realErrorMsg = LocaleController.getString("TheAccountNotAuthedOrNotPassedPleaseAuthFirst", R.string.TheAccountNotAuthedOrNotPassedPleaseAuthFirst);
                            break;
                        case '\'':
                            realErrorMsg = LocaleController.getString("SystemIsBusyAndTryAgainLater", R.string.SystemIsBusyAndTryAgainLater);
                            break;
                        case '(':
                            realErrorMsg = LocaleController.formatString("ErrorPayPasswordTimesYouAccountWillBeForzen", R.string.ErrorPayPasswordTimesYouAccountWillBeForzen, Integer.valueOf(WalletConfigBean.getInstance().getForzenTime()), Integer.valueOf(WalletConfigBean.getInstance().getForzenPayPasswordInputWrongTimes()));
                            break;
                        case ')':
                            realErrorMsg = LocaleController.formatString("ErrorPayPasswordTimesYouAccountWillLimitTrade", R.string.ErrorPayPasswordTimesYouAccountWillLimitTrade, Integer.valueOf(WalletConfigBean.getInstance().getTradePayPasswordInputWrongTimes()), Integer.valueOf(WalletConfigBean.getInstance().getTradeLimitTime()));
                            break;
                        case '*':
                            realErrorMsg = LocaleController.formatString("YourAccountHasBeenForzenTime", R.string.YourAccountHasBeenForzenTime, Integer.valueOf(WalletConfigBean.getInstance().getForzenTime()));
                            break;
                        case '+':
                            realErrorMsg = LocaleController.getString("UserNotNull", R.string.UserNotNull);
                            break;
                        case ',':
                            realErrorMsg = LocaleController.getString("PayPasswordNotNull", R.string.PayPasswordNotNull);
                            break;
                        case '-':
                            realErrorMsg = LocaleController.getString("ComfirmPayPasswordNotNull", R.string.ComfirmPayPasswordNotNull);
                            break;
                        case '.':
                            realErrorMsg = LocaleController.getString("NewPasswordInconsistent", R.string.NewPasswordInconsistent);
                            break;
                        case '/':
                            realErrorMsg = LocaleController.getString("VertificationCodeNotNull", R.string.VertificationCodeNotNull);
                            break;
                        case '0':
                            realErrorMsg = LocaleController.getString("UserNameNotNull", R.string.UserNameNotNull);
                            break;
                        case '1':
                            realErrorMsg = LocaleController.getString("IdCardNotNull", R.string.IdCardNotNull);
                            break;
                        case '2':
                            realErrorMsg = LocaleController.getString("TelNotNull", R.string.TelNotNull);
                            break;
                        case '3':
                            realErrorMsg = LocaleController.getString("TransferInfoNotNull", R.string.TransferInfoNotNull);
                            break;
                        case '4':
                            realErrorMsg = LocaleController.getString("RandomTimeNotNull", R.string.RandomTimeNotNull);
                            break;
                        case '5':
                            realErrorMsg = LocaleController.getString("BillInfoNotNull", R.string.BillInfoNotNull);
                            break;
                        case '6':
                            realErrorMsg = LocaleController.getString("RpkNumberIllegal", R.string.RpkNumberIllegal);
                            break;
                        case '7':
                            realErrorMsg = LocaleController.getString("ReceiverInfoNotNull", R.string.ReceiverInfoNotNull);
                            break;
                        case '8':
                            realErrorMsg = LocaleController.getString("GroupPersonRpkNumberError", R.string.GroupPersonRpkNumberError);
                            break;
                        case '9':
                            realErrorMsg = LocaleController.getString("ReceiverOrSellerNotNull", R.string.ReceiverOrSellerNotNull);
                            break;
                        case ':':
                            realErrorMsg = LocaleController.getString("RpkTypeNotNull", R.string.RpkTypeNotNull);
                            break;
                        case ';':
                            realErrorMsg = LocaleController.getString("GrantTypeNotNull", R.string.GrantTypeNotNull);
                            break;
                        case '<':
                            realErrorMsg = LocaleController.getString("NotAllowHairLuckRpk", R.string.NotAllowHairLuckRpk);
                            break;
                        case '=':
                            realErrorMsg = LocaleController.getString("RpkInfoError", R.string.RpkInfoError);
                            break;
                        case '>':
                            realErrorMsg = LocaleController.getString("FixedAmountNotNull", R.string.FixedAmountNotNull);
                            break;
                        case '?':
                            realErrorMsg = LocaleController.getString("InconsistentAmount", R.string.InconsistentAmount);
                            break;
                        case '@':
                            realErrorMsg = LocaleController.getString("AmountBelowMinLimit", R.string.AmountBelowMinLimit);
                            break;
                        case 'A':
                            realErrorMsg = LocaleController.getString("RemarksNotNull", R.string.RemarksNotNull);
                            break;
                        case 'B':
                            realErrorMsg = LocaleController.getString("MerchantOrderNumberNotNull", R.string.MerchantOrderNumberNotNull);
                            break;
                        case 'C':
                            realErrorMsg = LocaleController.getString("UnitPriceNotNull", R.string.UnitPriceNotNull);
                            break;
                        case 'D':
                            realErrorMsg = LocaleController.getString("ServiceChargeNotNull", R.string.ServiceChargeNotNull);
                            break;
                        case 'E':
                            realErrorMsg = LocaleController.getString("TransactionAmountNotNull", R.string.TransactionAmountNotNull);
                            break;
                        case 'F':
                            realErrorMsg = LocaleController.getString("TransAmountMismatch", R.string.TransAmountMismatch);
                            break;
                        case 'G':
                            realErrorMsg = LocaleController.getString("TadditionalDataNotNull", R.string.TadditionalDataNotNull);
                            break;
                        case 'H':
                            realErrorMsg = LocaleController.getString("DirectionOfBusinessNotNull", R.string.DirectionOfBusinessNotNull);
                            break;
                        case 'I':
                            realErrorMsg = LocaleController.getString("TotalAmountOfCashSoldNotNull", R.string.TotalAmountOfCashSoldNotNull);
                            break;
                        case 'J':
                            realErrorMsg = LocaleController.getString("RandomCharacterNotNull", R.string.RandomCharacterNotNull);
                            break;
                        case 'K':
                            realErrorMsg = LocaleController.getString("ProductDescNotNull", R.string.ProductDescNotNull);
                            break;
                        case 'L':
                            realErrorMsg = LocaleController.getString("TotalfeeNotNull", R.string.TotalfeeNotNull);
                            break;
                        case 'M':
                            realErrorMsg = LocaleController.getString("InitiatorOrBuyerNotNull", R.string.InitiatorOrBuyerNotNull);
                            break;
                        case 'N':
                            realErrorMsg = LocaleController.getString("TradeTypeNotNull", R.string.TradeTypeNotNull);
                            break;
                        case 'O':
                            realErrorMsg = LocaleController.getString("NotSupportPay", R.string.NotSupportPay);
                            break;
                        case 'P':
                            realErrorMsg = LocaleController.getString("ImgTypeNotNull", R.string.ImgTypeNotNull);
                            break;
                        case 'Q':
                            realErrorMsg = LocaleController.getString("AccountSynchronized", R.string.AccountSynchronized);
                            break;
                        case 'R':
                            realErrorMsg = LocaleController.getString("SystemCodeAlready", R.string.SystemCodeAlready);
                            break;
                        case 'S':
                            realErrorMsg = LocaleController.getString("TransferToExistSubmitRepeatedly", R.string.TransferToExistSubmitRepeatedly);
                            break;
                        case 'T':
                            realErrorMsg = LocaleController.getString("RpkToExistSubmitRepeatedly", R.string.RpkToExistSubmitRepeatedly);
                            break;
                        case 'U':
                            realErrorMsg = LocaleController.getString("OrderExistSubmitRepeatedly", R.string.OrderExistSubmitRepeatedly);
                            break;
                        case 'V':
                            realErrorMsg = LocaleController.getString("OrderDoesNotExist", R.string.OrderDoesNotExist);
                            break;
                        case 'W':
                            realErrorMsg = LocaleController.getString("OpenbankOrBankcodeNotNull", R.string.OpenbankOrBankcodeNotNull);
                            break;
                        case 'X':
                            realErrorMsg = LocaleController.getString("GroupsNumberNotNull", R.string.GroupsNumberNotNull);
                            break;
                        case 'Y':
                            realErrorMsg = LocaleController.getString("PayChannelNotNull", R.string.PayChannelNotNull);
                            break;
                        case 'Z':
                            realErrorMsg = LocaleController.getString("NotSupportPayChannel", R.string.NotSupportPayChannel);
                            break;
                        case '[':
                            realErrorMsg = LocaleController.getString("AccountNotNull", R.string.AccountNotNull);
                            break;
                        case '\\':
                            realErrorMsg = LocaleController.getString("AddressNotNull", R.string.AddressNotNull);
                            break;
                        case ']':
                            realErrorMsg = LocaleController.getString("BankInfoNotNull", R.string.BankInfoNotNull);
                            break;
                        case '^':
                            realErrorMsg = LocaleController.getString("OldPasswordNotNull", R.string.OldPasswordNotNull);
                            break;
                        case '_':
                            realErrorMsg = LocaleController.getString("OrderHasBeenComfirmed", R.string.OrderHasBeenComfirmed);
                            break;
                        case '`':
                            realErrorMsg = LocaleController.getString("AmountNotMatchComfireAmount", R.string.AmountNotMatchComfireAmount);
                            break;
                        case 'a':
                            realErrorMsg = LocaleController.getString("CashAmountMismatch", R.string.CashAmountMismatch);
                            break;
                        case 'b':
                            realErrorMsg = LocaleController.getString("BillInfoNotNull", R.string.BillInfoNotNull);
                            break;
                        case 'c':
                            realErrorMsg = LocaleController.getString("NotSupport", R.string.NotSupport);
                            break;
                        case 'd':
                            realErrorMsg = LocaleController.getString("TooManyRequest", R.string.TooManyRequest);
                            break;
                        case 'e':
                            realErrorMsg = LocaleController.getString("TooManyRequest", R.string.TooManyRequest);
                            break;
                        case 'f':
                            realErrorMsg = LocaleController.getString("AuthInfoMismatched", R.string.AuthInfoMismatched);
                            break;
                        case 'g':
                            realErrorMsg = LocaleController.getString("AuthInfoInconsistent", R.string.AuthInfoInconsistent);
                            break;
                        case 'h':
                            realErrorMsg = LocaleController.getString("PleaseBindBankCardFirst", R.string.PleaseBindBankCardFirst);
                            break;
                        case 'i':
                            realErrorMsg = LocaleController.getString("BankCardInfoNotExists", R.string.BankCardInfoNotExists);
                            break;
                        case 'j':
                            realErrorMsg = LocaleController.getString("TransferInfoNotExists", R.string.TransferInfoNotExists);
                            break;
                        case 'k':
                            realErrorMsg = LocaleController.getString("TheBankCardHadBeenBound", R.string.TheBankCardHadBeenBound);
                            break;
                        case 'l':
                            realErrorMsg = LocaleController.getString("CoinTypeCannotBeEmpty", R.string.CoinTypeCannotBeEmpty);
                            break;
                        case 'm':
                            realErrorMsg = LocaleController.getString("TypeCannotBeEmpty", R.string.TypeCannotBeEmpty);
                            break;
                        case 'n':
                            realErrorMsg = LocaleController.getString("NotSupportThisSMSType", R.string.NotSupportThisSMSType);
                            break;
                        case 'o':
                            realErrorMsg = LocaleController.getString("PleaseVerifyYourPhoneCode", R.string.PleaseVerifyYourPhoneCode);
                            break;
                        case 'p':
                            realErrorMsg = LocaleController.getString("RealNameAuthCancelSuccessTips", R.string.RealNameAuthCancelSuccessTips);
                            break;
                        case 'q':
                            realErrorMsg = LocaleController.getString("ErrorVerifyPhoneCodeAndTryAgain", R.string.ErrorVerifyPhoneCodeAndTryAgain);
                            break;
                        case 'r':
                            realErrorMsg = LocaleController.getString("BankCardInfoIsExists", R.string.BankCardInfoIsExists);
                            break;
                        case 's':
                            realErrorMsg = LocaleController.getString("CannotSupportThisBank", R.string.CannotSupportThisBank);
                            break;
                        case 't':
                            realErrorMsg = LocaleController.getString("NoPaymentChannelsAvailable", R.string.NoPaymentChannelsAvailable);
                            break;
                        case 'u':
                            realErrorMsg = LocaleController.getString("BalanceIsNotEnough", R.string.BalanceIsNotEnough);
                            break;
                        case 'v':
                            realErrorMsg = LocaleController.getString("RedpacketHadBeenWithdrawCannotBeClaimed", R.string.RedpacketHadBeenWithdrawCannotBeClaimed);
                            break;
                        case 'w':
                            realErrorMsg = LocaleController.getString("TransferHadBeenCanceledCannotBeReceived", R.string.TransferHadBeenCanceledCannotBeReceived);
                            break;
                        case 'x':
                            realErrorMsg = LocaleController.getString("AlreadyCollectedCantRepeat", R.string.AlreadyCollectedCantRepeat);
                            break;
                        case 'y':
                            realErrorMsg = LocaleController.getString("IdCardNumberErrorTips", R.string.IdCardNumberErrorTips);
                            break;
                        case 'z':
                            realErrorMsg = LocaleController.getString("BankCardNumberErrorTips", R.string.BankCardNumberErrorTips);
                            break;
                        case '{':
                            realErrorMsg = LocaleController.getString("NameErrorTips", R.string.NameErrorTips);
                            break;
                        case '|':
                            realErrorMsg = LocaleController.getString("DiffBankCardAndIdCardTips", R.string.DiffBankCardAndIdCardTips);
                            break;
                        case '}':
                            realErrorMsg = LocaleController.getString("NumberOfAddBankCardTodayHadExceededLimitTips", R.string.NumberOfAddBankCardTodayHadExceededLimitTips);
                            break;
                        case ForkJoinPool.SQMASK /* 126 */:
                            realErrorMsg = LocaleController.getString("SingleRedPacketAmoutExceedsUpperLimit", R.string.SingleRedPacketAmoutExceedsUpperLimit);
                            break;
                        case 127:
                            realErrorMsg = LocaleController.getString("SingleTransferAmoutExceedsUpperLimit", R.string.SingleTransferAmoutExceedsUpperLimit);
                            break;
                        case 128:
                            realErrorMsg = LocaleController.getString("BalanceIsNotEnough", R.string.BalanceIsNotEnough);
                            break;
                        case TsExtractor.TS_STREAM_TYPE_AC3 /* 129 */:
                            realErrorMsg = LocaleController.getString("AlreadyCdnVIP", R.string.AlreadyCdnVIP);
                            break;
                        default:
                            realErrorMsg = LocaleController.getString(R.string.SystemIsBusyAndTryAgainLater);
                            break;
                    }
                } else {
                    String[] arr = NumberUtil.getNumbersFromStr(errorMsg);
                    if (arr.length == 1) {
                        realErrorMsg = LocaleController.formatString("CancelAccountFailWithCashIsNotEmpty", R.string.CancelAccountFailWithCashIsNotEmpty, arr[0]);
                    }
                }
            } else {
                String[] arr2 = NumberUtil.getNumbersFromStr(errorMsg);
                if (arr2.length == 2) {
                    realErrorMsg = LocaleController.formatString("ErrorPayPasswordTimesYouAccountWillBeForzen", R.string.ErrorPayPasswordTimesYouAccountWillBeForzen, arr2[0], arr2[1]);
                }
            }
            if (!TextUtils.isEmpty(prefixOfErrorMsg)) {
                return prefixOfErrorMsg + "  " + realErrorMsg;
            }
            return realErrorMsg;
        }
        return realErrorMsg;
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    public static String getWeChatPayErrorDescription(String responseCode) {
        char c;
        switch (responseCode.hashCode()) {
            case 49500725:
                if (responseCode.equals("40001")) {
                    c = 0;
                    break;
                }
                c = 65535;
                break;
            case 49500726:
                if (responseCode.equals("40002")) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            case 49500727:
                if (responseCode.equals("40003")) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            case 49500728:
                if (responseCode.equals("40004")) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            case 49500731:
                if (responseCode.equals("40007")) {
                    c = 4;
                    break;
                }
                c = 65535;
                break;
            case 49500732:
                if (responseCode.equals("40008")) {
                    c = 5;
                    break;
                }
                c = 65535;
                break;
            case 49500733:
                if (responseCode.equals("40009")) {
                    c = 6;
                    break;
                }
                c = 65535;
                break;
            case 49500755:
                if (responseCode.equals("40010")) {
                    c = 7;
                    break;
                }
                c = 65535;
                break;
            case 49500756:
                if (responseCode.equals("40011")) {
                    c = '\b';
                    break;
                }
                c = 65535;
                break;
            case 49500757:
                if (responseCode.equals("40012")) {
                    c = '\t';
                    break;
                }
                c = 65535;
                break;
            case 49500758:
                if (responseCode.equals("40013")) {
                    c = '\n';
                    break;
                }
                c = 65535;
                break;
            case 49500759:
                if (responseCode.equals("40014")) {
                    c = 11;
                    break;
                }
                c = 65535;
                break;
            case 49500760:
                if (responseCode.equals("40015")) {
                    c = '\f';
                    break;
                }
                c = 65535;
                break;
            case 49500761:
                if (responseCode.equals("40016")) {
                    c = '\r';
                    break;
                }
                c = 65535;
                break;
            case 49500762:
                if (responseCode.equals("40017")) {
                    c = 14;
                    break;
                }
                c = 65535;
                break;
            case 49500763:
                if (responseCode.equals("40018")) {
                    c = 15;
                    break;
                }
                c = 65535;
                break;
            case 49500764:
                if (responseCode.equals("40019")) {
                    c = 16;
                    break;
                }
                c = 65535;
                break;
            case 49500786:
                if (responseCode.equals("40020")) {
                    c = 17;
                    break;
                }
                c = 65535;
                break;
            case 49500789:
                if (responseCode.equals("40023")) {
                    c = 18;
                    break;
                }
                c = 65535;
                break;
            case 49500790:
                if (responseCode.equals("40024")) {
                    c = 19;
                    break;
                }
                c = 65535;
                break;
            case 49500791:
                if (responseCode.equals("40025")) {
                    c = 20;
                    break;
                }
                c = 65535;
                break;
            case 49500792:
                if (responseCode.equals("40026")) {
                    c = 21;
                    break;
                }
                c = 65535;
                break;
            case 49500793:
                if (responseCode.equals("40027")) {
                    c = 22;
                    break;
                }
                c = 65535;
                break;
            case 49500795:
                if (responseCode.equals("40029")) {
                    c = 23;
                    break;
                }
                c = 65535;
                break;
            case 49500817:
                if (responseCode.equals("40030")) {
                    c = 24;
                    break;
                }
                c = 65535;
                break;
            case 49500823:
                if (responseCode.equals("40036")) {
                    c = 25;
                    break;
                }
                c = 65535;
                break;
            case 49500824:
                if (responseCode.equals("40037")) {
                    c = 26;
                    break;
                }
                c = 65535;
                break;
            case 49500826:
                if (responseCode.equals("40039")) {
                    c = 27;
                    break;
                }
                c = 65535;
                break;
            case 49500856:
                if (responseCode.equals("40048")) {
                    c = 28;
                    break;
                }
                c = 65535;
                break;
            case 49500883:
                if (responseCode.equals("40054")) {
                    c = 29;
                    break;
                }
                c = 65535;
                break;
            case 49500884:
                if (responseCode.equals("40055")) {
                    c = 30;
                    break;
                }
                c = 65535;
                break;
            case 49500916:
                if (responseCode.equals("40066")) {
                    c = 31;
                    break;
                }
                c = 65535;
                break;
            case 49530516:
                if (responseCode.equals("41001")) {
                    c = ' ';
                    break;
                }
                c = 65535;
                break;
            case 49530517:
                if (responseCode.equals("41002")) {
                    c = '!';
                    break;
                }
                c = 65535;
                break;
            case 49530518:
                if (responseCode.equals("41003")) {
                    c = Typography.quote;
                    break;
                }
                c = 65535;
                break;
            case 49530519:
                if (responseCode.equals("41004")) {
                    c = '#';
                    break;
                }
                c = 65535;
                break;
            case 49530520:
                if (responseCode.equals("41005")) {
                    c = Typography.dollar;
                    break;
                }
                c = 65535;
                break;
            case 49530521:
                if (responseCode.equals("41006")) {
                    c = '%';
                    break;
                }
                c = 65535;
                break;
            case 49530522:
                if (responseCode.equals("41007")) {
                    c = Typography.amp;
                    break;
                }
                c = 65535;
                break;
            case 49530523:
                if (responseCode.equals("41008")) {
                    c = '\'';
                    break;
                }
                c = 65535;
                break;
            case 49530524:
                if (responseCode.equals("41009")) {
                    c = '(';
                    break;
                }
                c = 65535;
                break;
            case 49530546:
                if (responseCode.equals("41010")) {
                    c = ')';
                    break;
                }
                c = 65535;
                break;
            case 49560307:
                if (responseCode.equals("42001")) {
                    c = '*';
                    break;
                }
                c = 65535;
                break;
            case 49560308:
                if (responseCode.equals("42002")) {
                    c = '+';
                    break;
                }
                c = 65535;
                break;
            case 49560309:
                if (responseCode.equals("42003")) {
                    c = ',';
                    break;
                }
                c = 65535;
                break;
            case 49590098:
                if (responseCode.equals("43001")) {
                    c = '-';
                    break;
                }
                c = 65535;
                break;
            case 49590099:
                if (responseCode.equals("43002")) {
                    c = '.';
                    break;
                }
                c = 65535;
                break;
            case 49590100:
                if (responseCode.equals("43003")) {
                    c = '/';
                    break;
                }
                c = 65535;
                break;
            case 49590101:
                if (responseCode.equals("43004")) {
                    c = '0';
                    break;
                }
                c = 65535;
                break;
            case 49619889:
                if (responseCode.equals("44001")) {
                    c = '1';
                    break;
                }
                c = 65535;
                break;
            case 49619890:
                if (responseCode.equals("44002")) {
                    c = '2';
                    break;
                }
                c = 65535;
                break;
            case 49619891:
                if (responseCode.equals("44003")) {
                    c = '3';
                    break;
                }
                c = 65535;
                break;
            case 49619892:
                if (responseCode.equals("44004")) {
                    c = '4';
                    break;
                }
                c = 65535;
                break;
            case 49619893:
                if (responseCode.equals("44005")) {
                    c = '5';
                    break;
                }
                c = 65535;
                break;
            case 49649680:
                if (responseCode.equals("45001")) {
                    c = '6';
                    break;
                }
                c = 65535;
                break;
            case 49649681:
                if (responseCode.equals("45002")) {
                    c = '7';
                    break;
                }
                c = 65535;
                break;
            case 49649682:
                if (responseCode.equals("45003")) {
                    c = '8';
                    break;
                }
                c = 65535;
                break;
            case 49649683:
                if (responseCode.equals("45004")) {
                    c = '9';
                    break;
                }
                c = 65535;
                break;
            case 49649684:
                if (responseCode.equals("45005")) {
                    c = ':';
                    break;
                }
                c = 65535;
                break;
            case 49649685:
                if (responseCode.equals("45006")) {
                    c = ';';
                    break;
                }
                c = 65535;
                break;
            case 49649686:
                if (responseCode.equals("45007")) {
                    c = Typography.less;
                    break;
                }
                c = 65535;
                break;
            case 49649687:
                if (responseCode.equals("45008")) {
                    c = '=';
                    break;
                }
                c = 65535;
                break;
            case 49649688:
                if (responseCode.equals("45009")) {
                    c = Typography.greater;
                    break;
                }
                c = 65535;
                break;
            case 49649710:
                if (responseCode.equals("45010")) {
                    c = '?';
                    break;
                }
                c = 65535;
                break;
            case 49649711:
                if (responseCode.equals("45011")) {
                    c = '@';
                    break;
                }
                c = 65535;
                break;
            case 49649712:
                if (responseCode.equals("45012")) {
                    c = 'A';
                    break;
                }
                c = 65535;
                break;
            case 49649716:
                if (responseCode.equals("45016")) {
                    c = 'B';
                    break;
                }
                c = 65535;
                break;
            case 49649717:
                if (responseCode.equals("45017")) {
                    c = 'C';
                    break;
                }
                c = 65535;
                break;
            case 49649718:
                if (responseCode.equals("45018")) {
                    c = 'D';
                    break;
                }
                c = 65535;
                break;
            case 50424246:
                if (responseCode.equals("50001")) {
                    c = 'E';
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        switch (c) {
            case 0:
                return "不合法的调用凭证";
            case 1:
                return "不合法的 grant_type";
            case 2:
                return "不合法的 OpenID";
            case 3:
                return "不合法的媒体文件类型";
            case 4:
                return "不合法的 media_id";
            case 5:
                return "不合法的 message_type";
            case 6:
                return "不合法的图片大小";
            case 7:
                return "不合法的语音大小";
            case '\b':
                return "不合法的视频大小";
            case '\t':
                return "不合法的缩略图大小";
            case '\n':
                return "不合法的 AppID";
            case 11:
                return "不合法的 access_token";
            case '\f':
                return "不合法的菜单类型";
            case '\r':
                return "不合法的菜单按钮个数";
            case 14:
                return "不合法的按钮类型";
            case 15:
                return "不合法的按钮名称长度";
            case 16:
                return "不合法的按钮 KEY 长度";
            case 17:
                return "不合法的 url 长度";
            case 18:
                return "不合法的子菜单按钮个数";
            case 19:
                return "不合法的子菜单类型";
            case 20:
                return "不合法的子菜单按钮名称长度";
            case 21:
                return "不合法的子菜单按钮 KEY 长度";
            case 22:
                return "不合法的子菜单按钮 url 长度";
            case 23:
                return "不合法或已过期的 code";
            case 24:
                return "不合法的 refresh_token";
            case 25:
                return "不合法的 template_id 长度";
            case 26:
                return "不合法的 template_id";
            case 27:
                return "不合法的 url 长度";
            case 28:
                return "不合法的 url 域名";
            case 29:
                return "不合法的子菜单按钮 url 域名";
            case 30:
                return "不合法的菜单按钮 url 域名";
            case 31:
                return "不合法的 url";
            case ' ':
                return "缺失 access_token 参数";
            case '!':
                return "缺失 appid 参数";
            case '\"':
                return "缺失 refresh_token 参数";
            case '#':
                return "缺失 secret 参数";
            case '$':
                return "缺失二进制媒体文件";
            case '%':
                return "缺失 media_id 参数";
            case '&':
                return "缺失子菜单数据";
            case '\'':
                return "缺失 code 参数";
            case '(':
                return "缺失 openid 参数";
            case ')':
                return "缺失 url 参数";
            case '*':
                return "access_token 超时";
            case '+':
                return "refresh_token 超时";
            case ',':
                return "code 超时";
            case '-':
                return "需要使用 GET 方法请求";
            case '.':
                return "需要使用 POST 方法请求";
            case '/':
                return "需要使用 HTTPS";
            case '0':
                return "需要订阅关系";
            case '1':
                return "空白的二进制数据";
            case '2':
                return "空白的 POST 数据";
            case '3':
                return "空白的 news 数据";
            case '4':
                return "空白的内容";
            case '5':
                return "空白的列表";
            case '6':
                return "二进制文件超过限制";
            case '7':
                return "content 参数超过限制";
            case '8':
                return "title 参数超过限制";
            case '9':
                return "description 参数超过限制";
            case ':':
                return "url 参数长度超过限制";
            case ';':
                return "picurl 参数超过限制";
            case '<':
                return "播放时间超过限制（语音为 60s 最大）";
            case '=':
                return "article 参数超过限制";
            case '>':
                return "接口调动频率超过限制";
            case '?':
                return "建立菜单被限制";
            case '@':
                return "频率限制";
            case 'A':
                return "模板大小超过限制";
            case 'B':
                return "不能修改默认组";
            case 'C':
                return "修改组名过长";
            case 'D':
                return "组数量过多";
            case 'E':
                return "接口未授权";
            default:
                return "";
        }
    }
}
