package im.uecahxyvjd.ui.hviews;

import android.content.Context;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.widget.FrameLayout;
import android.widget.RelativeLayout;
import im.uecahxyvjd.ui.hviews.helper.MryDisplayHelper;
/* loaded from: classes16.dex */
public class DragFrameLayout extends FrameLayout {
    private Context context;
    private float downX;
    private float downY;
    private float dx;
    private float dy;
    private int height;
    private boolean isDrag;
    int left;
    private int maxHeight;
    private int maxWidth;
    int top;
    private int width;

    public boolean isDrag() {
        return this.isDrag;
    }

    @Override // android.widget.FrameLayout, android.view.View
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
        super.onMeasure(widthMeasureSpec, heightMeasureSpec);
        this.width = getMeasuredWidth();
        this.height = getMeasuredHeight();
        this.maxWidth = MryDisplayHelper.getScreenWidth(this.context);
        this.maxHeight = MryDisplayHelper.getScreenHeight(this.context);
    }

    public int getStatusBarHeight() {
        int resourceId = getResources().getIdentifier("status_bar_height", "dimen", "android");
        return getResources().getDimensionPixelSize(resourceId);
    }

    public int getNavigationBarHeight() {
        int rid = getResources().getIdentifier("config_showNavigationBar", "bool", "android");
        if (rid != 0) {
            int resourceId = this.context.getResources().getIdentifier("navigation_bar_height", "dimen", "android");
            return this.context.getResources().getDimensionPixelSize(resourceId);
        }
        return 0;
    }

    @Override // android.view.View
    public boolean onTouchEvent(MotionEvent event) {
        super.onTouchEvent(event);
        if (isEnabled()) {
            switch (event.getAction()) {
                case 0:
                    this.isDrag = false;
                    this.downX = event.getX();
                    this.downY = event.getY();
                    this.dx = getLeft();
                    this.dy = getTop();
                    break;
                case 1:
                    float moveX1 = getLeft() - this.dx;
                    float moveY1 = getTop() - this.dy;
                    if (Math.abs(moveX1) > 3.0f || Math.abs(moveY1) > 3.0f) {
                        this.isDrag = true;
                    } else {
                        this.isDrag = false;
                    }
                    RelativeLayout.LayoutParams lp = (RelativeLayout.LayoutParams) getLayoutParams();
                    if (this.left > this.maxWidth / 2) {
                        lp.addRule(11);
                    } else {
                        lp.setMargins(0, this.top, 0, 0);
                    }
                    setPressed(false);
                    break;
                case 2:
                    float moveX = event.getX() - this.downX;
                    float moveY = event.getY() - this.downY;
                    if (Math.abs(moveX) > 3.0f || Math.abs(moveY) > 3.0f) {
                        int l = (int) (getLeft() + moveX);
                        int r = this.width + l;
                        int t = (int) (getTop() + moveY);
                        int i = this.height;
                        int b = t + i;
                        if (l < 0) {
                            l = 0;
                            r = 0 + this.width;
                        } else if (r > this.maxWidth) {
                            r = this.maxWidth;
                            l = r - this.width;
                        }
                        if (t < 0) {
                            t = 0;
                            b = 0 + i;
                        } else if (b > this.maxHeight) {
                            b = this.maxHeight;
                            t = b - i;
                        }
                        this.left = l;
                        this.top = t;
                        layout(l, t, r, b);
                        this.isDrag = true;
                        RelativeLayout.LayoutParams lp2 = (RelativeLayout.LayoutParams) getLayoutParams();
                        lp2.setMargins(this.left, this.top, 0, 0);
                        lp2.removeRule(11);
                        setLayoutParams(lp2);
                        break;
                    } else {
                        this.isDrag = false;
                        break;
                    }
                    break;
                case 3:
                    setPressed(false);
                    break;
            }
            return true;
        }
        return false;
    }

    public DragFrameLayout(Context context) {
        super(context);
        this.isDrag = false;
        this.context = context;
    }

    public DragFrameLayout(Context context, AttributeSet attrs) {
        super(context, attrs);
        this.isDrag = false;
        this.context = context;
    }
}
