package im.uecahxyvjd.ui.hviews.behavior;

import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import androidx.coordinatorlayout.widget.CoordinatorLayout;
import androidx.viewpager.widget.ViewPager;
import java.util.Objects;
/* loaded from: classes4.dex */
public final class BottomSheetUtils {
    public static void setupViewPager(ViewPager viewPager) {
        View bottomSheetParent = findBottomSheetParent(viewPager);
        if (bottomSheetParent != null) {
            viewPager.addOnPageChangeListener(new BottomSheetViewPagerListener(viewPager, bottomSheetParent));
        }
    }

    /* loaded from: classes4.dex */
    private static class BottomSheetViewPagerListener extends ViewPager.SimpleOnPageChangeListener {
        private final ViewPagerBottomSheetBehavior<View> behavior;
        private final ViewPager viewPager;

        private BottomSheetViewPagerListener(ViewPager viewPager, View bottomSheetParent) {
            this.viewPager = viewPager;
            this.behavior = ViewPagerBottomSheetBehavior.from(bottomSheetParent);
        }

        @Override // androidx.viewpager.widget.ViewPager.SimpleOnPageChangeListener, androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageSelected(int position) {
            ViewPager viewPager = this.viewPager;
            final ViewPagerBottomSheetBehavior<View> viewPagerBottomSheetBehavior = this.behavior;
            Objects.requireNonNull(viewPagerBottomSheetBehavior);
            viewPager.post(new Runnable() { // from class: im.uecahxyvjd.ui.hviews.behavior.BottomSheetUtils$BottomSheetViewPagerListener$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    ViewPagerBottomSheetBehavior.this.invalidateScrollingChild();
                }
            });
        }
    }

    private static View findBottomSheetParent(View view) {
        View current = view;
        while (true) {
            View view2 = null;
            if (current == null) {
                return null;
            }
            ViewGroup.LayoutParams params = current.getLayoutParams();
            if ((params instanceof CoordinatorLayout.LayoutParams) && (((CoordinatorLayout.LayoutParams) params).getBehavior() instanceof ViewPagerBottomSheetBehavior)) {
                return current;
            }
            ViewParent parent = current.getParent();
            if (parent != null && (parent instanceof View)) {
                view2 = (View) parent;
            }
            current = view2;
        }
    }
}
