package im.uecahxyvjd.ui.hviews.sliding;

import android.animation.ObjectAnimator;
import android.view.View;
/* loaded from: classes9.dex */
public class Instrument {
    private static Instrument mInstrument;

    public static Instrument getInstance() {
        if (mInstrument == null) {
            mInstrument = new Instrument();
        }
        return mInstrument;
    }

    public float getTranslationY(View view) {
        if (view == null) {
            return 0.0f;
        }
        return view.getTranslationY();
    }

    public void slidingByDelta(View view, View followView, float delta) {
        if (view == null) {
            return;
        }
        view.clearAnimation();
        view.setTranslationY(delta);
        if (followView == null) {
            return;
        }
        followView.clearAnimation();
        followView.setTranslationY(delta);
    }

    public void slidingToY(View view, float y) {
        if (view == null) {
            return;
        }
        view.clearAnimation();
        view.setY(y);
    }

    public void reset(View view, View followView, long duration) {
        if (view == null) {
            return;
        }
        view.clearAnimation();
        ObjectAnimator.ofFloat(view, "translationY", 0.0f).setDuration(duration).start();
        if (followView == null) {
            return;
        }
        followView.clearAnimation();
        ObjectAnimator.ofFloat(followView, "translationY", 0.0f).setDuration(duration).start();
    }

    public void smoothTo(View view, float y, long duration) {
        if (view == null) {
            return;
        }
        view.clearAnimation();
        ObjectAnimator.ofFloat(view, "translationY", y).setDuration(duration).start();
    }
}
