package im.uecahxyvjd.ui.load.style;

import android.animation.ValueAnimator;
import android.graphics.Rect;
import com.google.mlkit.common.MlKitException;
import im.uecahxyvjd.ui.load.animation.SpriteAnimatorBuilder;
import im.uecahxyvjd.ui.load.sprite.RectSprite;
import im.uecahxyvjd.ui.load.sprite.Sprite;
import im.uecahxyvjd.ui.load.sprite.SpriteContainer;
/* loaded from: classes9.dex */
public class CubeGrid extends SpriteContainer {
    @Override // im.uecahxyvjd.ui.load.sprite.SpriteContainer
    public Sprite[] onCreateChild() {
        int[] delays = {200, MlKitException.LOW_LIGHT_AUTO_EXPOSURE_COMPUTATION_FAILURE, 400, 100, 200, MlKitException.LOW_LIGHT_AUTO_EXPOSURE_COMPUTATION_FAILURE, 0, 100, 200};
        GridItem[] gridItems = new GridItem[9];
        for (int i = 0; i < gridItems.length; i++) {
            gridItems[i] = new GridItem();
            gridItems[i].setAnimationDelay(delays[i]);
        }
        return gridItems;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // im.uecahxyvjd.ui.load.sprite.SpriteContainer, im.uecahxyvjd.ui.load.sprite.Sprite, android.graphics.drawable.Drawable
    public void onBoundsChange(Rect bounds) {
        super.onBoundsChange(bounds);
        Rect bounds2 = clipSquare(bounds);
        int width = (int) (bounds2.width() * 0.33f);
        int height = (int) (bounds2.height() * 0.33f);
        for (int i = 0; i < getChildCount(); i++) {
            int x = i % 3;
            int y = i / 3;
            int l = bounds2.left + (x * width);
            int t = bounds2.top + (y * height);
            Sprite sprite = getChildAt(i);
            sprite.setDrawBounds(l, t, l + width, t + height);
        }
    }

    /* loaded from: classes9.dex */
    private class GridItem extends RectSprite {
        private GridItem() {
        }

        @Override // im.uecahxyvjd.ui.load.sprite.RectSprite, im.uecahxyvjd.ui.load.sprite.Sprite
        public ValueAnimator onCreateAnimation() {
            float[] fractions = {0.0f, 0.35f, 0.7f, 1.0f};
            SpriteAnimatorBuilder spriteAnimatorBuilder = new SpriteAnimatorBuilder(this);
            Float valueOf = Float.valueOf(1.0f);
            return spriteAnimatorBuilder.scale(fractions, valueOf, Float.valueOf(0.0f), valueOf, valueOf).duration(1300L).easeInOut(fractions).build();
        }
    }
}
