package im.uecahxyvjd.ui.load.style;

import android.animation.ValueAnimator;
import android.os.Build;
import com.google.android.exoplayer2.trackselection.AdaptiveTrackSelection;
import im.uecahxyvjd.ui.load.animation.SpriteAnimatorBuilder;
import im.uecahxyvjd.ui.load.sprite.CircleSprite;
import im.uecahxyvjd.ui.load.sprite.Sprite;
import im.uecahxyvjd.ui.load.sprite.SpriteContainer;
/* loaded from: classes9.dex */
public class DoubleBounce extends SpriteContainer {
    @Override // im.uecahxyvjd.ui.load.sprite.SpriteContainer
    public Sprite[] onCreateChild() {
        return new Sprite[]{new Bounce(), new Bounce()};
    }

    @Override // im.uecahxyvjd.ui.load.sprite.SpriteContainer
    public void onChildCreated(Sprite... sprites) {
        super.onChildCreated(sprites);
        if (Build.VERSION.SDK_INT >= 24) {
            sprites[1].setAnimationDelay(1000);
        } else {
            sprites[1].setAnimationDelay(-1000);
        }
    }

    /* loaded from: classes9.dex */
    private class Bounce extends CircleSprite {
        Bounce() {
            setAlpha(153);
            setScale(0.0f);
        }

        @Override // im.uecahxyvjd.ui.load.sprite.CircleSprite, im.uecahxyvjd.ui.load.sprite.Sprite
        public ValueAnimator onCreateAnimation() {
            float[] fractions = {0.0f, 0.5f, 1.0f};
            SpriteAnimatorBuilder spriteAnimatorBuilder = new SpriteAnimatorBuilder(this);
            Float valueOf = Float.valueOf(0.0f);
            return spriteAnimatorBuilder.scale(fractions, valueOf, Float.valueOf(1.0f), valueOf).duration(AdaptiveTrackSelection.DEFAULT_MIN_TIME_BETWEEN_BUFFER_REEVALUTATION_MS).easeInOut(fractions).build();
        }
    }
}
