package im.uecahxyvjd.ui.settings;

import android.content.Context;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.ActionBarMenu;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.settings.DataAndStoreSettingActivity;
/* loaded from: classes14.dex */
public class CallSettingActivity extends BaseFragment {
    private static final int SAVE_BUTTON = 1;
    private ImageView mIvAlways;
    private ImageView mIvCurrent;
    private ImageView mIvMobile;
    private ImageView mIvNever;
    private DataAndStoreSettingActivity.CallSettingSelectedListener mListener;
    private int miSelected;

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setTitle(LocaleController.getString("VoipNotificationSettings", R.string.VoipNotificationSettings));
        if (AndroidUtilities.isTablet()) {
            this.actionBar.setOccupyStatusBar(false);
        }
        this.actionBar.setAllowOverlayTitle(true);
        ActionBarMenu menu = this.actionBar.createMenu();
        menu.addRightItemView(1, LocaleController.getString("Save", R.string.Save));
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_setting_call, (ViewGroup) null, false);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        initView(context);
        initListener();
        return this.fragmentView;
    }

    public CallSettingActivity(int iSelected, DataAndStoreSettingActivity.CallSettingSelectedListener listener) {
        this.mListener = null;
        this.miSelected = iSelected;
        this.mListener = listener;
    }

    private void initView(Context context) {
        this.mIvNever = (ImageView) this.fragmentView.findViewById(R.id.iv_never);
        this.mIvMobile = (ImageView) this.fragmentView.findViewById(R.id.iv_mobile);
        this.mIvAlways = (ImageView) this.fragmentView.findViewById(R.id.iv_always);
        if (this.miSelected == 1) {
            this.miSelected = 0;
        }
        this.mIvNever.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_featuredStickers_addedIcon), PorterDuff.Mode.SRC_IN));
        this.mIvMobile.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_featuredStickers_addedIcon), PorterDuff.Mode.SRC_IN));
        this.mIvAlways.setColorFilter(new PorterDuffColorFilter(Theme.getColor(Theme.key_featuredStickers_addedIcon), PorterDuff.Mode.SRC_IN));
        switch (this.miSelected) {
            case 0:
                ImageView imageView = this.mIvNever;
                this.mIvCurrent = imageView;
                imageView.setImageDrawable(getParentActivity().getResources().getDrawable(R.mipmap.ic_selected));
                break;
            case 2:
                ImageView imageView2 = this.mIvMobile;
                this.mIvCurrent = imageView2;
                imageView2.setImageDrawable(getParentActivity().getResources().getDrawable(R.mipmap.ic_selected));
                break;
            case 3:
                ImageView imageView3 = this.mIvAlways;
                this.mIvCurrent = imageView3;
                imageView3.setImageDrawable(getParentActivity().getResources().getDrawable(R.mipmap.ic_selected));
                break;
        }
        this.fragmentView.findViewById(R.id.rl_never).setBackground(Theme.getRoundRectSelectorDrawable(AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0, 0, Theme.getColor(Theme.key_windowBackgroundWhite)));
        this.fragmentView.findViewById(R.id.rl_mobile).setBackground(Theme.getSelectorDrawable(true));
        this.fragmentView.findViewById(R.id.rl_always).setBackground(Theme.getRoundRectSelectorDrawable(0, 0, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
    }

    private void initListener() {
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.settings.CallSettingActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                int iSeled;
                switch (id) {
                    case -1:
                        CallSettingActivity.this.finishFragment();
                        return;
                    case 0:
                    default:
                        return;
                    case 1:
                        if (CallSettingActivity.this.mListener != null) {
                            if (CallSettingActivity.this.mIvCurrent != CallSettingActivity.this.mIvNever) {
                                if (CallSettingActivity.this.mIvCurrent == CallSettingActivity.this.mIvMobile) {
                                    iSeled = 2;
                                } else {
                                    iSeled = 3;
                                }
                            } else {
                                iSeled = 0;
                            }
                            CallSettingActivity.this.mListener.onSeleted(iSeled);
                        }
                        CallSettingActivity.this.finishFragment();
                        return;
                }
            }
        });
        this.fragmentView.findViewById(R.id.rl_never).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.CallSettingActivity$$ExternalSyntheticLambda0
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                CallSettingActivity.this.m3866xe150a3aa(view);
            }
        });
        this.fragmentView.findViewById(R.id.rl_mobile).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.CallSettingActivity$$ExternalSyntheticLambda1
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                CallSettingActivity.this.m3867x56cac9eb(view);
            }
        });
        this.fragmentView.findViewById(R.id.rl_always).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.CallSettingActivity$$ExternalSyntheticLambda2
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                CallSettingActivity.this.m3868xcc44f02c(view);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$0$im-uecahxyvjd-ui-settings-CallSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3866xe150a3aa(View view) {
        ImageView imageView = this.mIvCurrent;
        ImageView imageView2 = this.mIvNever;
        if (imageView != imageView2) {
            imageView2.setImageDrawable(getParentActivity().getResources().getDrawable(R.mipmap.ic_selected));
            this.mIvCurrent.setImageDrawable(null);
            this.mIvCurrent = this.mIvNever;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$1$im-uecahxyvjd-ui-settings-CallSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3867x56cac9eb(View view) {
        ImageView imageView = this.mIvCurrent;
        ImageView imageView2 = this.mIvMobile;
        if (imageView != imageView2) {
            imageView2.setImageDrawable(getParentActivity().getResources().getDrawable(R.mipmap.ic_selected));
            this.mIvCurrent.setImageDrawable(null);
            this.mIvCurrent = this.mIvMobile;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$2$im-uecahxyvjd-ui-settings-CallSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3868xcc44f02c(View view) {
        ImageView imageView = this.mIvCurrent;
        ImageView imageView2 = this.mIvAlways;
        if (imageView != imageView2) {
            imageView2.setImageDrawable(getParentActivity().getResources().getDrawable(R.mipmap.ic_selected));
            this.mIvCurrent.setImageDrawable(null);
            this.mIvCurrent = this.mIvAlways;
        }
    }
}
