package im.uecahxyvjd.ui.settings;

import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.media.Ringtone;
import android.media.RingtoneManager;
import android.net.Uri;
import android.provider.Settings;
import android.text.TextUtils;
import android.util.LongSparseArray;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import com.google.android.exoplayer2.upstream.cache.ContentMetadata;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ChatObject;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.NotificationsController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.Utilities;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.NotificationsSettingsActivity;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.AlertsCreator;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.hviews.MrySwitch;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Map;
/* loaded from: classes14.dex */
public class NoticeAndSoundSettingActivity extends BaseFragment {
    private boolean reseting = false;
    private ArrayList<NotificationsSettingsActivity.NotificationException> exceptionUsers = null;
    private ArrayList<NotificationsSettingsActivity.NotificationException> exceptionChats = null;
    private ArrayList<NotificationsSettingsActivity.NotificationException> exceptionChannels = null;

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        MessagesController.getInstance(this.currentAccount).loadSignUpNotificationsSettings();
        loadExceptions();
        return super.onFragmentCreate();
    }

    private void loadExceptions() {
        MessagesStorage.getInstance(this.currentAccount).getStorageQueue().postRunnable(new Runnable() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda14
            @Override // java.lang.Runnable
            public final void run() {
                NoticeAndSoundSettingActivity.this.m3894x50674fff();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:117:0x0324  */
    /* JADX WARN: Removed duplicated region for block: B:124:0x033f A[LOOP:3: B:123:0x033d->B:124:0x033f, LOOP_END] */
    /* JADX WARN: Removed duplicated region for block: B:127:0x0357  */
    /* JADX WARN: Removed duplicated region for block: B:98:0x02db  */
    /* renamed from: lambda$loadExceptions$1$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public /* synthetic */ void m3894x50674fff() {
        ArrayList<TLRPC.Chat> chats;
        ArrayList<TLRPC.User> users;
        int a2;
        int size;
        int a3;
        int size2;
        int a4;
        int size3;
        int a5;
        int size4;
        ArrayList<Integer> encryptedChatsToLoad;
        Map<String, ?> values;
        SharedPreferences preferences;
        int selfId;
        ArrayList<TLRPC.User> users2;
        ArrayList<NotificationsSettingsActivity.NotificationException> channelsResult;
        ArrayList<NotificationsSettingsActivity.NotificationException> chatsResult;
        Integer time;
        final ArrayList<NotificationsSettingsActivity.NotificationException> usersResult = new ArrayList<>();
        ArrayList<NotificationsSettingsActivity.NotificationException> chatsResult2 = new ArrayList<>();
        ArrayList<NotificationsSettingsActivity.NotificationException> chatsResult3 = new ArrayList<>();
        LongSparseArray<NotificationsSettingsActivity.NotificationException> waitingForLoadExceptions = new LongSparseArray<>();
        ArrayList<Integer> usersToLoad = new ArrayList<>();
        ArrayList<Integer> chatsToLoad = new ArrayList<>();
        ArrayList<Integer> encryptedChatsToLoad2 = new ArrayList<>();
        ArrayList<TLRPC.User> users3 = new ArrayList<>();
        ArrayList<TLRPC.Chat> chats2 = new ArrayList<>();
        final ArrayList<TLRPC.EncryptedChat> encryptedChats = new ArrayList<>();
        int selfId2 = UserConfig.getInstance(this.currentAccount).clientUserId;
        SharedPreferences preferences2 = MessagesController.getNotificationsSettings(this.currentAccount);
        Map<String, ?> values2 = preferences2.getAll();
        Iterator<Map.Entry<String, ?>> it = values2.entrySet().iterator();
        while (it.hasNext()) {
            Map.Entry<String, ?> entry = it.next();
            Iterator<Map.Entry<String, ?>> it2 = it;
            String key = entry.getKey();
            ArrayList<TLRPC.Chat> chats3 = chats2;
            if (key.startsWith("notify2_")) {
                users2 = users3;
                String key2 = key.replace("notify2_", "");
                long did = Utilities.parseLong(key2).longValue();
                if (did != 0) {
                    ArrayList<NotificationsSettingsActivity.NotificationException> chatsResult4 = chatsResult2;
                    ArrayList<NotificationsSettingsActivity.NotificationException> channelsResult2 = chatsResult3;
                    if (did != selfId2) {
                        NotificationsSettingsActivity.NotificationException exception = new NotificationsSettingsActivity.NotificationException();
                        exception.did = did;
                        selfId = selfId2;
                        exception.hasCustom = preferences2.getBoolean(ContentMetadata.KEY_CUSTOM_PREFIX + did, false);
                        exception.notify = ((Integer) entry.getValue()).intValue();
                        if (exception.notify != 0 && (time = (Integer) values2.get("notifyuntil_" + key2)) != null) {
                            exception.muteUntil = time.intValue();
                        }
                        int lower_id = (int) did;
                        int high_id = (int) (did << 32);
                        if (lower_id == 0) {
                            values = values2;
                            channelsResult = channelsResult2;
                            chatsResult = chatsResult4;
                            if (high_id != 0) {
                                preferences = preferences2;
                                TLRPC.EncryptedChat encryptedChat = MessagesController.getInstance(this.currentAccount).getEncryptedChat(Integer.valueOf(high_id));
                                if (encryptedChat == null) {
                                    encryptedChatsToLoad2.add(Integer.valueOf(high_id));
                                    waitingForLoadExceptions.put(did, exception);
                                } else {
                                    TLRPC.User user = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(encryptedChat.user_id));
                                    if (user == null) {
                                        usersToLoad.add(Integer.valueOf(encryptedChat.user_id));
                                        waitingForLoadExceptions.put(encryptedChat.user_id, exception);
                                    } else if (user.deleted) {
                                        chatsResult2 = chatsResult;
                                        chats2 = chats3;
                                        it = it2;
                                        users3 = users2;
                                        preferences2 = preferences;
                                        selfId2 = selfId;
                                        chatsResult3 = channelsResult;
                                        values2 = values;
                                    }
                                }
                                usersResult.add(exception);
                            } else {
                                preferences = preferences2;
                            }
                        } else if (lower_id > 0) {
                            values = values2;
                            TLRPC.User user2 = MessagesController.getInstance(this.currentAccount).getUser(Integer.valueOf(lower_id));
                            if (user2 == null) {
                                usersToLoad.add(Integer.valueOf(lower_id));
                                waitingForLoadExceptions.put(did, exception);
                            } else if (user2.deleted) {
                                chats2 = chats3;
                                it = it2;
                                users3 = users2;
                                chatsResult2 = chatsResult4;
                                chatsResult3 = channelsResult2;
                                selfId2 = selfId;
                                values2 = values;
                            }
                            usersResult.add(exception);
                            chatsResult = chatsResult4;
                            channelsResult = channelsResult2;
                            preferences = preferences2;
                        } else {
                            values = values2;
                            TLRPC.Chat chat = MessagesController.getInstance(this.currentAccount).getChat(Integer.valueOf(-lower_id));
                            if (chat == null) {
                                chatsToLoad.add(Integer.valueOf(-lower_id));
                                waitingForLoadExceptions.put(did, exception);
                                chats2 = chats3;
                                it = it2;
                                users3 = users2;
                                chatsResult2 = chatsResult4;
                                chatsResult3 = channelsResult2;
                                selfId2 = selfId;
                                values2 = values;
                            } else if (chat.left || chat.kicked) {
                                chatsResult2 = chatsResult4;
                                chats2 = chats3;
                                it = it2;
                                users3 = users2;
                                selfId2 = selfId;
                                chatsResult3 = channelsResult2;
                                values2 = values;
                            } else if (chat.migrated_to != null) {
                                chats2 = chats3;
                                it = it2;
                                users3 = users2;
                                chatsResult2 = chatsResult4;
                                chatsResult3 = channelsResult2;
                                selfId2 = selfId;
                                values2 = values;
                            } else {
                                if (!ChatObject.isChannel(chat) || chat.megagroup) {
                                    channelsResult = channelsResult2;
                                    chatsResult = chatsResult4;
                                    chatsResult.add(exception);
                                } else {
                                    channelsResult = channelsResult2;
                                    channelsResult.add(exception);
                                    chatsResult = chatsResult4;
                                }
                                preferences = preferences2;
                            }
                        }
                    } else {
                        values = values2;
                        selfId = selfId2;
                        chatsResult = chatsResult4;
                        channelsResult = channelsResult2;
                        preferences = preferences2;
                    }
                } else {
                    values = values2;
                    preferences = preferences2;
                    selfId = selfId2;
                    channelsResult = chatsResult3;
                    chatsResult = chatsResult2;
                }
            } else {
                values = values2;
                preferences = preferences2;
                selfId = selfId2;
                users2 = users3;
                channelsResult = chatsResult3;
                chatsResult = chatsResult2;
            }
            chatsResult2 = chatsResult;
            chats2 = chats3;
            it = it2;
            users3 = users2;
            preferences2 = preferences;
            selfId2 = selfId;
            chatsResult3 = channelsResult;
            values2 = values;
        }
        ArrayList<TLRPC.Chat> chats4 = chats2;
        ArrayList<TLRPC.User> users4 = users3;
        final ArrayList<NotificationsSettingsActivity.NotificationException> channelsResult3 = chatsResult3;
        final ArrayList<NotificationsSettingsActivity.NotificationException> channelsResult4 = chatsResult2;
        if (waitingForLoadExceptions.size() != 0) {
            try {
                if (!encryptedChatsToLoad2.isEmpty()) {
                    try {
                        MessagesStorage.getInstance(this.currentAccount).getEncryptedChatsInternal(TextUtils.join(",", encryptedChatsToLoad2), encryptedChats, usersToLoad);
                    } catch (Exception e) {
                        e = e;
                        chats = chats4;
                        users = users4;
                        FileLog.e(e);
                        a2 = 0;
                        size = chats.size();
                        while (a2 < size) {
                        }
                        size2 = users.size();
                        while (a3 < size2) {
                        }
                        size3 = encryptedChats.size();
                        while (a4 < size3) {
                        }
                        size4 = waitingForLoadExceptions.size();
                        while (a5 < size4) {
                        }
                        final ArrayList<TLRPC.User> arrayList = users;
                        final ArrayList<TLRPC.Chat> arrayList2 = chats;
                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda11
                            @Override // java.lang.Runnable
                            public final void run() {
                                NoticeAndSoundSettingActivity.this.m3893x2ad346fe(arrayList, arrayList2, encryptedChats, usersResult, channelsResult4, channelsResult3);
                            }
                        });
                    }
                }
                if (usersToLoad.isEmpty()) {
                    users = users4;
                } else {
                    try {
                        users = users4;
                    } catch (Exception e2) {
                        e = e2;
                        users = users4;
                        chats = chats4;
                    }
                    try {
                        MessagesStorage.getInstance(this.currentAccount).getUsersInternal(TextUtils.join(",", usersToLoad), users);
                    } catch (Exception e3) {
                        e = e3;
                        chats = chats4;
                        FileLog.e(e);
                        a2 = 0;
                        size = chats.size();
                        while (a2 < size) {
                        }
                        size2 = users.size();
                        while (a3 < size2) {
                        }
                        size3 = encryptedChats.size();
                        while (a4 < size3) {
                        }
                        size4 = waitingForLoadExceptions.size();
                        while (a5 < size4) {
                        }
                        final ArrayList arrayList3 = users;
                        final ArrayList arrayList22 = chats;
                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda11
                            @Override // java.lang.Runnable
                            public final void run() {
                                NoticeAndSoundSettingActivity.this.m3893x2ad346fe(arrayList3, arrayList22, encryptedChats, usersResult, channelsResult4, channelsResult3);
                            }
                        });
                    }
                }
                try {
                    if (chatsToLoad.isEmpty()) {
                        chats = chats4;
                    } else {
                        chats = chats4;
                        try {
                            MessagesStorage.getInstance(this.currentAccount).getChatsInternal(TextUtils.join(",", chatsToLoad), chats);
                        } catch (Exception e4) {
                            e = e4;
                            FileLog.e(e);
                            a2 = 0;
                            size = chats.size();
                            while (a2 < size) {
                            }
                            size2 = users.size();
                            while (a3 < size2) {
                            }
                            size3 = encryptedChats.size();
                            while (a4 < size3) {
                            }
                            size4 = waitingForLoadExceptions.size();
                            while (a5 < size4) {
                            }
                            final ArrayList arrayList32 = users;
                            final ArrayList arrayList222 = chats;
                            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda11
                                @Override // java.lang.Runnable
                                public final void run() {
                                    NoticeAndSoundSettingActivity.this.m3893x2ad346fe(arrayList32, arrayList222, encryptedChats, usersResult, channelsResult4, channelsResult3);
                                }
                            });
                        }
                    }
                } catch (Exception e5) {
                    e = e5;
                    chats = chats4;
                }
            } catch (Exception e6) {
                e = e6;
                chats = chats4;
                users = users4;
            }
            a2 = 0;
            size = chats.size();
            while (a2 < size) {
                TLRPC.Chat chat2 = chats.get(a2);
                if (chat2.left || chat2.kicked) {
                    encryptedChatsToLoad = encryptedChatsToLoad2;
                } else if (chat2.migrated_to != null) {
                    encryptedChatsToLoad = encryptedChatsToLoad2;
                } else {
                    encryptedChatsToLoad = encryptedChatsToLoad2;
                    NotificationsSettingsActivity.NotificationException exception2 = waitingForLoadExceptions.get(-chat2.id);
                    waitingForLoadExceptions.remove(-chat2.id);
                    if (exception2 != null) {
                        if (!ChatObject.isChannel(chat2) || chat2.megagroup) {
                            channelsResult4.add(exception2);
                        } else {
                            channelsResult3.add(exception2);
                        }
                    }
                }
                a2++;
                encryptedChatsToLoad2 = encryptedChatsToLoad;
            }
            size2 = users.size();
            for (a3 = 0; a3 < size2; a3++) {
                TLRPC.User user3 = users.get(a3);
                if (!user3.deleted) {
                    waitingForLoadExceptions.remove(user3.id);
                }
            }
            size3 = encryptedChats.size();
            for (a4 = 0; a4 < size3; a4++) {
                waitingForLoadExceptions.remove(encryptedChats.get(a4).id << 32);
            }
            size4 = waitingForLoadExceptions.size();
            for (a5 = 0; a5 < size4; a5++) {
                if (((int) waitingForLoadExceptions.keyAt(a5)) < 0) {
                    channelsResult4.remove(waitingForLoadExceptions.valueAt(a5));
                    channelsResult3.remove(waitingForLoadExceptions.valueAt(a5));
                } else {
                    usersResult.remove(waitingForLoadExceptions.valueAt(a5));
                }
            }
        } else {
            chats = chats4;
            users = users4;
        }
        final ArrayList arrayList322 = users;
        final ArrayList arrayList2222 = chats;
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda11
            @Override // java.lang.Runnable
            public final void run() {
                NoticeAndSoundSettingActivity.this.m3893x2ad346fe(arrayList322, arrayList2222, encryptedChats, usersResult, channelsResult4, channelsResult3);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadExceptions$0$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3893x2ad346fe(ArrayList users, ArrayList chats, ArrayList encryptedChats, ArrayList usersResult, ArrayList chatsResult, ArrayList channelsResult) {
        MessagesController.getInstance(this.currentAccount).putUsers(users, true);
        MessagesController.getInstance(this.currentAccount).putChats(chats, true);
        MessagesController.getInstance(this.currentAccount).putEncryptedChats(encryptedChats, true);
        this.exceptionUsers = usersResult;
        this.exceptionChats = chatsResult;
        this.exceptionChannels = channelsResult;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.actionBar.setTitle(LocaleController.getString("Notifications", R.string.Notifications));
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_setting_notice, (ViewGroup) null, false);
        this.fragmentView.setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundGray));
        initView(context);
        initGlobalSetting();
        initListener();
        return this.fragmentView;
    }

    private void initView(Context context) {
        this.fragmentView.findViewById(R.id.rl_show_notice).setBackground(Theme.getRoundRectSelectorDrawable(AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0, 0, Theme.getColor(Theme.key_windowBackgroundWhite)));
        this.fragmentView.findViewById(R.id.rl_preview_message).setBackground(Theme.getSelectorDrawable(true));
        this.fragmentView.findViewById(R.id.rl_sound).setBackground(Theme.getRoundRectSelectorDrawable(0, 0, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
        this.fragmentView.findViewById(R.id.rl_group_show_notice).setBackground(Theme.getRoundRectSelectorDrawable(AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0, 0, Theme.getColor(Theme.key_windowBackgroundWhite)));
        this.fragmentView.findViewById(R.id.rl_group_preview_message).setBackground(Theme.getSelectorDrawable(true));
        this.fragmentView.findViewById(R.id.rl_group_sound).setBackground(Theme.getRoundRectSelectorDrawable(0, 0, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
        this.fragmentView.findViewById(R.id.rl_channel_show_notice).setBackground(Theme.getRoundRectSelectorDrawable(AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0, 0, Theme.getColor(Theme.key_windowBackgroundWhite)));
        this.fragmentView.findViewById(R.id.rl_channel_preview_message).setBackground(Theme.getSelectorDrawable(true));
        this.fragmentView.findViewById(R.id.rl_channel_sound).setBackground(Theme.getRoundRectSelectorDrawable(0, 0, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
        this.fragmentView.findViewById(R.id.rl_app_show_notice).setBackground(Theme.getRoundRectSelectorDrawable(AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0, 0, Theme.getColor(Theme.key_windowBackgroundWhite)));
        this.fragmentView.findViewById(R.id.rl_app_shake_notice).setBackground(Theme.getSelectorDrawable(true));
        this.fragmentView.findViewById(R.id.rl_app_preview_notice).setBackground(Theme.getRoundRectSelectorDrawable(0, 0, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
        this.fragmentView.findViewById(R.id.rl_include_closed_dialog).setBackground(Theme.getRoundRectSelectorDrawable(AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), 0, 0, Theme.getColor(Theme.key_windowBackgroundWhite)));
        this.fragmentView.findViewById(R.id.rl_msg_count_statistics).setBackground(Theme.getRoundRectSelectorDrawable(0, 0, AndroidUtilities.dp(5.0f), AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
        this.fragmentView.findViewById(R.id.rl_new_contacter_add).setBackground(Theme.getRoundRectSelectorDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
        this.fragmentView.findViewById(R.id.rl_reset).setBackground(Theme.getRoundRectSelectorDrawable(AndroidUtilities.dp(5.0f), Theme.getColor(Theme.key_windowBackgroundWhite)));
    }

    private void initListener() {
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity.1
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    NoticeAndSoundSettingActivity.this.finishFragment();
                }
            }
        });
        this.fragmentView.findViewById(R.id.rl_show_notice).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda18
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                NoticeAndSoundSettingActivity.this.m3886xfba9d31b(view);
            }
        });
        this.fragmentView.findViewById(R.id.rl_preview_message).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda1
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                NoticeAndSoundSettingActivity.this.m3887x213ddc1c(view);
            }
        });
        this.fragmentView.findViewById(R.id.rl_sound).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda2
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                NoticeAndSoundSettingActivity.this.m3888x46d1e51d(view);
            }
        });
        this.fragmentView.findViewById(R.id.rl_group_show_notice).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda3
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                NoticeAndSoundSettingActivity.this.m3890x91f9f71f(view);
            }
        });
        this.fragmentView.findViewById(R.id.rl_group_preview_message).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda4
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                NoticeAndSoundSettingActivity.this.m3891xb78e0020(view);
            }
        });
        this.fragmentView.findViewById(R.id.rl_group_sound).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda5
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                NoticeAndSoundSettingActivity.this.m3892xdd220921(view);
            }
        });
        this.fragmentView.findViewById(R.id.rl_channel_show_notice).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda6
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                NoticeAndSoundSettingActivity.this.m3872x3c87dc2e(view);
            }
        });
        this.fragmentView.findViewById(R.id.rl_channel_preview_message).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda7
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                NoticeAndSoundSettingActivity.this.m3873x621be52f(view);
            }
        });
        this.fragmentView.findViewById(R.id.rl_channel_sound).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda8
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                NoticeAndSoundSettingActivity.this.m3874x87afee30(view);
            }
        });
        this.fragmentView.findViewById(R.id.rl_app_show_notice).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda9
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                NoticeAndSoundSettingActivity.this.m3875xad43f731(view);
            }
        });
        this.fragmentView.findViewById(R.id.rl_app_shake_notice).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda19
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                NoticeAndSoundSettingActivity.this.m3876xd2d80032(view);
            }
        });
        this.fragmentView.findViewById(R.id.rl_app_preview_notice).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda20
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                NoticeAndSoundSettingActivity.this.m3877xf86c0933(view);
            }
        });
        this.fragmentView.findViewById(R.id.rl_include_closed_dialog).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda21
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                NoticeAndSoundSettingActivity.this.m3878x1e001234(view);
            }
        });
        this.fragmentView.findViewById(R.id.rl_msg_count_statistics).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda22
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                NoticeAndSoundSettingActivity.this.m3879x43941b35(view);
            }
        });
        this.fragmentView.findViewById(R.id.rl_new_contacter_add).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda23
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                NoticeAndSoundSettingActivity.this.m3881xa3e0ea4c(view);
            }
        });
        this.fragmentView.findViewById(R.id.rl_reset).setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda24
            @Override // android.view.View.OnClickListener
            public final void onClick(View view) {
                NoticeAndSoundSettingActivity.this.m3885x3a310e50(view);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$3$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3886xfba9d31b(View view) {
        boolean enabled = getNotificationsController().isGlobalNotificationsEnabled(1);
        if (!enabled) {
            getNotificationsController().setGlobalNotificationsEnabled(1, 0);
            ((MrySwitch) this.fragmentView.findViewById(R.id.switch_show)).setChecked(!enabled, true);
            setPrivateSettingEnabled(((MrySwitch) this.fragmentView.findViewById(R.id.switch_show)).isChecked());
            return;
        }
        AlertsCreator.showCustomNotificationsDialog(this, 0L, 1, this.exceptionUsers, this.currentAccount, new MessagesStorage.IntCallback() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda10
            @Override // im.uecahxyvjd.messenger.MessagesStorage.IntCallback
            public final void run(int i) {
                NoticeAndSoundSettingActivity.this.m3880xd615ca1a(i);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$2$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3880xd615ca1a(int param) {
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_show)).setChecked(getNotificationsController().isGlobalNotificationsEnabled(1), true);
        setPrivateSettingEnabled(((MrySwitch) this.fragmentView.findViewById(R.id.switch_show)).isChecked());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$4$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3887x213ddc1c(View view) {
        if (!view.isEnabled()) {
            return;
        }
        SharedPreferences preferences = getNotificationsSettings();
        SharedPreferences.Editor editor = preferences.edit();
        boolean enabled = preferences.getBoolean("EnablePreviewAll", true);
        editor.putBoolean("EnablePreviewAll", !enabled);
        editor.commit();
        getNotificationsController().updateServerNotificationsSettings(1);
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_preview_message)).setChecked(!enabled, true);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$5$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3888x46d1e51d(View view) {
        if (!view.isEnabled()) {
            return;
        }
        try {
            SharedPreferences preferences = getNotificationsSettings();
            Intent tmpIntent = new Intent("android.intent.action.RINGTONE_PICKER");
            tmpIntent.putExtra("android.intent.extra.ringtone.TYPE", 2);
            tmpIntent.putExtra("android.intent.extra.ringtone.SHOW_DEFAULT", true);
            tmpIntent.putExtra("android.intent.extra.ringtone.SHOW_SILENT", true);
            tmpIntent.putExtra("android.intent.extra.ringtone.DEFAULT_URI", RingtoneManager.getDefaultUri(2));
            Uri currentSound = null;
            String defaultPath = null;
            Uri defaultUri = Settings.System.DEFAULT_NOTIFICATION_URI;
            if (defaultUri != null) {
                defaultPath = defaultUri.getPath();
            }
            String path = preferences.getString("GlobalSoundPath", defaultPath);
            if (path != null && !path.equals("NoSound")) {
                currentSound = path.equals(defaultPath) ? defaultUri : Uri.parse(path);
            }
            tmpIntent.putExtra("android.intent.extra.ringtone.EXISTING_URI", currentSound);
            startActivityForResult(tmpIntent, 1);
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$7$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3890x91f9f71f(View view) {
        boolean enabled = getNotificationsController().isGlobalNotificationsEnabled(0);
        if (!enabled) {
            getNotificationsController().setGlobalNotificationsEnabled(0, 0);
            ((MrySwitch) this.fragmentView.findViewById(R.id.switch_group_show)).setChecked(!enabled, true);
            setGroupSettingEnabled(((MrySwitch) this.fragmentView.findViewById(R.id.switch_group_show)).isChecked());
            return;
        }
        AlertsCreator.showCustomNotificationsDialog(this, 0L, 0, this.exceptionChats, this.currentAccount, new MessagesStorage.IntCallback() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda12
            @Override // im.uecahxyvjd.messenger.MessagesStorage.IntCallback
            public final void run(int i) {
                NoticeAndSoundSettingActivity.this.m3889x6c65ee1e(i);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$6$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3889x6c65ee1e(int param) {
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_group_show)).setChecked(getNotificationsController().isGlobalNotificationsEnabled(0), true);
        setGroupSettingEnabled(((MrySwitch) this.fragmentView.findViewById(R.id.switch_group_show)).isChecked());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$8$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3891xb78e0020(View view) {
        if (!view.isEnabled()) {
            return;
        }
        SharedPreferences preferences = getNotificationsSettings();
        SharedPreferences.Editor editor = preferences.edit();
        boolean enabled = preferences.getBoolean("EnablePreviewGroup", true);
        editor.putBoolean("EnablePreviewGroup", !enabled);
        editor.commit();
        getNotificationsController().updateServerNotificationsSettings(0);
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_group_preview_message)).setChecked(!enabled, true);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$9$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3892xdd220921(View view) {
        if (!view.isEnabled()) {
            return;
        }
        try {
            SharedPreferences preferences = getNotificationsSettings();
            Intent tmpIntent = new Intent("android.intent.action.RINGTONE_PICKER");
            tmpIntent.putExtra("android.intent.extra.ringtone.TYPE", 2);
            tmpIntent.putExtra("android.intent.extra.ringtone.SHOW_DEFAULT", true);
            tmpIntent.putExtra("android.intent.extra.ringtone.SHOW_SILENT", true);
            tmpIntent.putExtra("android.intent.extra.ringtone.DEFAULT_URI", RingtoneManager.getDefaultUri(2));
            Uri currentSound = null;
            String defaultPath = null;
            Uri defaultUri = Settings.System.DEFAULT_NOTIFICATION_URI;
            if (defaultUri != null) {
                defaultPath = defaultUri.getPath();
            }
            String path = preferences.getString("GroupSoundPath", defaultPath);
            if (path != null && !path.equals("NoSound")) {
                currentSound = path.equals(defaultPath) ? defaultUri : Uri.parse(path);
            }
            tmpIntent.putExtra("android.intent.extra.ringtone.EXISTING_URI", currentSound);
            startActivityForResult(tmpIntent, 0);
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$11$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3872x3c87dc2e(View view) {
        boolean enabled = getNotificationsController().isGlobalNotificationsEnabled(2);
        if (!enabled) {
            getNotificationsController().setGlobalNotificationsEnabled(2, 0);
            ((MrySwitch) this.fragmentView.findViewById(R.id.switch_channel_show)).setChecked(!enabled, true);
            setChannelSettingEnabled(((MrySwitch) this.fragmentView.findViewById(R.id.switch_channel_show)).isChecked());
            return;
        }
        AlertsCreator.showCustomNotificationsDialog(this, 0L, 2, this.exceptionChannels, this.currentAccount, new MessagesStorage.IntCallback() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda0
            @Override // im.uecahxyvjd.messenger.MessagesStorage.IntCallback
            public final void run(int i) {
                NoticeAndSoundSettingActivity.this.m3871x16f3d32d(i);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$10$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3871x16f3d32d(int param) {
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_channel_show)).setChecked(getNotificationsController().isGlobalNotificationsEnabled(2), true);
        setChannelSettingEnabled(((MrySwitch) this.fragmentView.findViewById(R.id.switch_channel_show)).isChecked());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$12$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3873x621be52f(View view) {
        if (!view.isEnabled()) {
            return;
        }
        SharedPreferences preferences = getNotificationsSettings();
        SharedPreferences.Editor editor = preferences.edit();
        boolean enabled = preferences.getBoolean("EnablePreviewChannel", true);
        editor.putBoolean("EnablePreviewChannel", !enabled);
        editor.commit();
        getNotificationsController().updateServerNotificationsSettings(2);
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_channel_preview_message)).setChecked(!enabled, true);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$13$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3874x87afee30(View view) {
        if (!view.isEnabled()) {
            return;
        }
        try {
            SharedPreferences preferences = getNotificationsSettings();
            Intent tmpIntent = new Intent("android.intent.action.RINGTONE_PICKER");
            tmpIntent.putExtra("android.intent.extra.ringtone.TYPE", 2);
            tmpIntent.putExtra("android.intent.extra.ringtone.SHOW_DEFAULT", true);
            tmpIntent.putExtra("android.intent.extra.ringtone.SHOW_SILENT", true);
            tmpIntent.putExtra("android.intent.extra.ringtone.DEFAULT_URI", RingtoneManager.getDefaultUri(2));
            Uri currentSound = null;
            String defaultPath = null;
            Uri defaultUri = Settings.System.DEFAULT_NOTIFICATION_URI;
            if (defaultUri != null) {
                defaultPath = defaultUri.getPath();
            }
            String path = preferences.getString("ChannelSoundPath", defaultPath);
            if (path != null && !path.equals("NoSound")) {
                currentSound = path.equals(defaultPath) ? defaultUri : Uri.parse(path);
            }
            tmpIntent.putExtra("android.intent.extra.ringtone.EXISTING_URI", currentSound);
            startActivityForResult(tmpIntent, 2);
        } catch (Exception e) {
            FileLog.e(e);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$14$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3875xad43f731(View view) {
        SharedPreferences preferences = MessagesController.getNotificationsSettings(this.currentAccount);
        SharedPreferences.Editor editor = preferences.edit();
        boolean enabled = preferences.getBoolean("EnableInAppSounds", true);
        editor.putBoolean("EnableInAppSounds", !enabled);
        editor.commit();
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_app_show)).setChecked(!enabled, true);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$15$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3876xd2d80032(View view) {
        SharedPreferences preferences = MessagesController.getNotificationsSettings(this.currentAccount);
        SharedPreferences.Editor editor = preferences.edit();
        boolean enabled = preferences.getBoolean("EnableInAppVibrate", true);
        editor.putBoolean("EnableInAppVibrate", !enabled);
        editor.commit();
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_app_shake)).setChecked(!enabled, true);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$16$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3877xf86c0933(View view) {
        SharedPreferences preferences = MessagesController.getNotificationsSettings(this.currentAccount);
        SharedPreferences.Editor editor = preferences.edit();
        boolean enabled = preferences.getBoolean("EnableInAppPreview", true);
        editor.putBoolean("EnableInAppPreview", !enabled);
        editor.commit();
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_app_preview_notice)).setChecked(!enabled, true);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$17$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3878x1e001234(View view) {
        SharedPreferences preferences = MessagesController.getNotificationsSettings(this.currentAccount);
        SharedPreferences.Editor editor = preferences.edit();
        boolean enabled = NotificationsController.getInstance(this.currentAccount).showBadgeMuted;
        NotificationsController.getInstance(this.currentAccount).showBadgeMuted = !enabled;
        editor.putBoolean("badgeNumberMuted", NotificationsController.getInstance(this.currentAccount).showBadgeMuted);
        editor.commit();
        NotificationsController.getInstance(this.currentAccount).updateBadge();
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_include_closed_dialog)).setChecked(!enabled, true);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$18$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3879x43941b35(View view) {
        SharedPreferences preferences = MessagesController.getNotificationsSettings(this.currentAccount);
        SharedPreferences.Editor editor = preferences.edit();
        boolean enabled = NotificationsController.getInstance(this.currentAccount).showBadgeMessages;
        NotificationsController.getInstance(this.currentAccount).showBadgeMessages = !enabled;
        editor.putBoolean("badgeNumberMessages", NotificationsController.getInstance(this.currentAccount).showBadgeMessages);
        editor.commit();
        NotificationsController.getInstance(this.currentAccount).updateBadge();
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_msg_count_statistics)).setChecked(!enabled, true);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$20$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3881xa3e0ea4c(View view) {
        SharedPreferences preferences = MessagesController.getNotificationsSettings(this.currentAccount);
        SharedPreferences.Editor editor = preferences.edit();
        boolean enabled = preferences.getBoolean("EnableContactJoined", true);
        MessagesController.getInstance(this.currentAccount).enableJoined = !enabled;
        editor.putBoolean("EnableContactJoined", !enabled);
        editor.commit();
        TLRPC.TL_account_setContactSignUpNotification req = new TLRPC.TL_account_setContactSignUpNotification();
        req.silent = enabled;
        ConnectionsManager.getInstance(this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda17
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                NoticeAndSoundSettingActivity.lambda$initListener$19(tLObject, tL_error);
            }
        });
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_new_contacter_add)).setChecked(!enabled, true);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$initListener$19(TLObject response, TLRPC.TL_error error) {
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$24$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3885x3a310e50(View view) {
        AlertDialog.Builder builder = new AlertDialog.Builder(getParentActivity());
        builder.setMessage(LocaleController.getString("ResetNotificationsAlert", R.string.ResetNotificationsAlert));
        builder.setTitle(LocaleController.getString("AppName", R.string.AppName));
        builder.setPositiveButton(LocaleController.getString("Reset", R.string.Reset), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda13
            @Override // android.content.DialogInterface.OnClickListener
            public final void onClick(DialogInterface dialogInterface, int i) {
                NoticeAndSoundSettingActivity.this.m3884x149d054f(dialogInterface, i);
            }
        });
        builder.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
        showDialog(builder.create());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$23$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3884x149d054f(DialogInterface dialogInterface, int i) {
        if (this.reseting) {
            return;
        }
        this.reseting = true;
        TLRPC.TL_account_resetNotifySettings req = new TLRPC.TL_account_resetNotifySettings();
        ConnectionsManager.getInstance(this.currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda15
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                NoticeAndSoundSettingActivity.this.m3883xef08fc4e(tLObject, tL_error);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$22$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3883xef08fc4e(TLObject response, TLRPC.TL_error error) {
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.settings.NoticeAndSoundSettingActivity$$ExternalSyntheticLambda16
            @Override // java.lang.Runnable
            public final void run() {
                NoticeAndSoundSettingActivity.this.m3882xc974f34d();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$initListener$21$im-uecahxyvjd-ui-settings-NoticeAndSoundSettingActivity  reason: not valid java name */
    public /* synthetic */ void m3882xc974f34d() {
        MessagesController.getInstance(this.currentAccount).enableJoined = true;
        this.reseting = false;
        SharedPreferences preferences = MessagesController.getNotificationsSettings(this.currentAccount);
        SharedPreferences.Editor editor = preferences.edit();
        editor.clear();
        editor.commit();
        this.exceptionChats.clear();
        this.exceptionUsers.clear();
        initGlobalSetting();
        if (getParentActivity() != null) {
            ToastUtils.show((int) R.string.ResetNotificationsText);
        }
    }

    private void initGlobalSetting() {
        StringBuilder builder = new StringBuilder();
        SharedPreferences preferences = getNotificationsSettings();
        int offUntil = preferences.getInt("EnableAll2", 0);
        int currentTime = getConnectionsManager().getCurrentTime();
        boolean z = offUntil < currentTime;
        boolean enabled = z;
        if (z) {
            builder.append(LocaleController.getString("NotificationsOn", R.string.NotificationsOn));
        } else if (offUntil - 31536000 >= currentTime) {
            builder.append(LocaleController.getString("NotificationsOff", R.string.NotificationsOff));
        } else {
            builder.append(LocaleController.formatString("NotificationsOffUntil", R.string.NotificationsOffUntil, LocaleController.stringForMessageListDate(offUntil)));
        }
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_show)).setChecked(enabled, true);
        setPrivateSettingEnabled(enabled);
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_preview_message)).setChecked(preferences.getBoolean("EnablePreviewAll", true), true);
        String value = preferences.getString("GlobalSound", LocaleController.getString("SoundDefault", R.string.SoundDefault));
        if (value.equals("NoSound")) {
            value = LocaleController.getString("NoSound", R.string.NoSound);
        }
        ((TextView) this.fragmentView.findViewById(R.id.tv_sound_type)).setText(value);
        initGroupSetting();
        initChannelSetting();
        initOtherSetting();
    }

    private void initGroupSetting() {
        StringBuilder builder = new StringBuilder();
        SharedPreferences preferences = getNotificationsSettings();
        int offUntil = preferences.getInt("EnableGroup2", 0);
        int currentTime = getConnectionsManager().getCurrentTime();
        boolean z = offUntil < currentTime;
        boolean enabled = z;
        if (z) {
            builder.append(LocaleController.getString("NotificationsOn", R.string.NotificationsOn));
        } else if (offUntil - 31536000 >= currentTime) {
            builder.append(LocaleController.getString("NotificationsOff", R.string.NotificationsOff));
        } else {
            builder.append(LocaleController.formatString("NotificationsOffUntil", R.string.NotificationsOffUntil, LocaleController.stringForMessageListDate(offUntil)));
        }
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_group_show)).setChecked(enabled, true);
        setGroupSettingEnabled(enabled);
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_group_preview_message)).setChecked(preferences.getBoolean("EnablePreviewGroup", true), true);
        String value = preferences.getString("GroupSound", LocaleController.getString("SoundDefault", R.string.SoundDefault));
        if (value.equals("NoSound")) {
            value = LocaleController.getString("NoSound", R.string.NoSound);
        }
        ((TextView) this.fragmentView.findViewById(R.id.tv_group_sound_type)).setText(value);
    }

    private void initChannelSetting() {
        StringBuilder builder = new StringBuilder();
        SharedPreferences preferences = getNotificationsSettings();
        int offUntil = preferences.getInt("EnableChannel2", 0);
        int currentTime = getConnectionsManager().getCurrentTime();
        boolean z = offUntil < currentTime;
        boolean enabled = z;
        if (z) {
            builder.append(LocaleController.getString("NotificationsOn", R.string.NotificationsOn));
        } else if (offUntil - 31536000 >= currentTime) {
            builder.append(LocaleController.getString("NotificationsOff", R.string.NotificationsOff));
        } else {
            builder.append(LocaleController.formatString("NotificationsOffUntil", R.string.NotificationsOffUntil, LocaleController.stringForMessageListDate(offUntil)));
        }
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_channel_show)).setChecked(enabled, true);
        setChannelSettingEnabled(enabled);
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_channel_preview_message)).setChecked(preferences.getBoolean("EnablePreviewChannel", true), true);
        String value = preferences.getString("ChannelSound", LocaleController.getString("SoundDefault", R.string.SoundDefault));
        if (value.equals("NoSound")) {
            value = LocaleController.getString("NoSound", R.string.NoSound);
        }
        ((TextView) this.fragmentView.findViewById(R.id.tv_channel_sound_type)).setText(value);
    }

    private void initOtherSetting() {
        SharedPreferences preferences = MessagesController.getNotificationsSettings(this.currentAccount);
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_app_show)).setChecked(preferences.getBoolean("EnableInAppSounds", true), true);
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_app_shake)).setChecked(preferences.getBoolean("EnableInAppVibrate", true), true);
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_app_preview_notice)).setChecked(preferences.getBoolean("EnableInAppPreview", true), true);
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_include_closed_dialog)).setChecked(NotificationsController.getInstance(this.currentAccount).showBadgeMuted, true);
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_msg_count_statistics)).setChecked(NotificationsController.getInstance(this.currentAccount).showBadgeMessages, true);
        ((MrySwitch) this.fragmentView.findViewById(R.id.switch_new_contacter_add)).setChecked(preferences.getBoolean("EnableContactJoined", true), true);
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public void onActivityResultFragment(int requestCode, int resultCode, Intent data) {
        Ringtone rng;
        if (resultCode == -1) {
            Uri ringtone = (Uri) data.getParcelableExtra("android.intent.extra.ringtone.PICKED_URI");
            String name = null;
            if (ringtone != null && (rng = RingtoneManager.getRingtone(getParentActivity(), ringtone)) != null) {
                if (ringtone.equals(Settings.System.DEFAULT_NOTIFICATION_URI)) {
                    name = LocaleController.getString("SoundDefault", R.string.SoundDefault);
                } else {
                    name = rng.getTitle(getParentActivity());
                }
                rng.stop();
            }
            SharedPreferences preferences = getNotificationsSettings();
            SharedPreferences.Editor editor = preferences.edit();
            if (requestCode == 1) {
                if (name != null && ringtone != null) {
                    editor.putString("GlobalSound", name);
                    editor.putString("GlobalSoundPath", ringtone.toString());
                } else {
                    editor.putString("GlobalSound", "NoSound");
                    editor.putString("GlobalSoundPath", "NoSound");
                }
                ((TextView) this.fragmentView.findViewById(R.id.tv_sound_type)).setText(name == null ? LocaleController.getString("NoSound", R.string.NoSound) : name);
            } else if (requestCode == 0) {
                if (name != null && ringtone != null) {
                    editor.putString("GroupSound", name);
                    editor.putString("GroupSoundPath", ringtone.toString());
                } else {
                    editor.putString("GroupSound", "NoSound");
                    editor.putString("GroupSoundPath", "NoSound");
                }
                ((TextView) this.fragmentView.findViewById(R.id.tv_group_sound_type)).setText(name == null ? LocaleController.getString("NoSound", R.string.NoSound) : name);
            } else if (requestCode == 2) {
                if (name != null && ringtone != null) {
                    editor.putString("ChannelSound", name);
                    editor.putString("ChannelSoundPath", ringtone.toString());
                } else {
                    editor.putString("ChannelSound", "NoSound");
                    editor.putString("ChannelSoundPath", "NoSound");
                }
                ((TextView) this.fragmentView.findViewById(R.id.tv_channel_sound_type)).setText(name == null ? LocaleController.getString("NoSound", R.string.NoSound) : name);
            }
            editor.commit();
            getNotificationsController().updateServerNotificationsSettings(requestCode);
        }
    }

    private void setGroupSettingEnabled(boolean blnEnable) {
        this.fragmentView.findViewById(R.id.tv_group_preview_message).setAlpha(blnEnable ? 1.0f : 0.5f);
        this.fragmentView.findViewById(R.id.switch_group_preview_message).setAlpha(blnEnable ? 1.0f : 0.5f);
        this.fragmentView.findViewById(R.id.tv_group_sound).setAlpha(blnEnable ? 1.0f : 0.5f);
        this.fragmentView.findViewById(R.id.tv_group_sound_type).setAlpha(blnEnable ? 1.0f : 0.5f);
        this.fragmentView.findViewById(R.id.rl_group_sound).setEnabled(blnEnable);
        this.fragmentView.findViewById(R.id.rl_group_preview_message).setEnabled(blnEnable);
    }

    private void setChannelSettingEnabled(boolean blnEnable) {
        this.fragmentView.findViewById(R.id.tv_channel_preview_message).setAlpha(blnEnable ? 1.0f : 0.5f);
        this.fragmentView.findViewById(R.id.switch_channel_preview_message).setAlpha(blnEnable ? 1.0f : 0.5f);
        this.fragmentView.findViewById(R.id.tv_channel_sound).setAlpha(blnEnable ? 1.0f : 0.5f);
        this.fragmentView.findViewById(R.id.tv_channel_sound_type).setAlpha(blnEnable ? 1.0f : 0.5f);
        this.fragmentView.findViewById(R.id.rl_channel_sound).setEnabled(blnEnable);
        this.fragmentView.findViewById(R.id.rl_channel_preview_message).setEnabled(blnEnable);
    }

    private void setPrivateSettingEnabled(boolean blnEnable) {
        this.fragmentView.findViewById(R.id.tv_private_preview_message).setAlpha(blnEnable ? 1.0f : 0.5f);
        this.fragmentView.findViewById(R.id.switch_preview_message).setAlpha(blnEnable ? 1.0f : 0.5f);
        this.fragmentView.findViewById(R.id.tv_private_sound).setAlpha(blnEnable ? 1.0f : 0.5f);
        this.fragmentView.findViewById(R.id.tv_sound_type).setAlpha(blnEnable ? 1.0f : 0.5f);
        this.fragmentView.findViewById(R.id.rl_sound).setEnabled(blnEnable);
        this.fragmentView.findViewById(R.id.rl_preview_message).setEnabled(blnEnable);
    }

    private void setColors() {
        this.fragmentView.findViewById(R.id.rl_show_notice).setBackgroundColor(Theme.getColor(Theme.key_windowBackgroundWhite));
    }
}
