package im.uecahxyvjd.ui.utils;

import android.content.SharedPreferences;
import android.content.pm.PackageInfo;
import android.util.Base64;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ApplicationLoader;
import im.uecahxyvjd.messenger.BuildVars;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.SerializedData;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import org.webrtc.utils.RecvStatsReportCommon;
/* loaded from: classes9.dex */
public class AppUpdater {
    public static final int Gur = 1;
    public static final int Token = 1;
    public static long dismissCheckUpdateTime;
    public static boolean hasChecked;
    private static AppUpdater instance;
    public static long lastUpdateCheckTime;
    private static int mAccount;
    public static TLRPC.TL_help_appUpdate pendingAppUpdate;
    public static int pendingAppUpdateBuildVersion;
    public static long pendingAppUpdateInstallTime;
    private int mRequestToken;

    /* loaded from: classes9.dex */
    public interface OnForceUpdateCallback {
        void onForce(TLRPC.TL_help_appUpdate tL_help_appUpdate);

        void onNoUpdate();

        void onNormal(TLRPC.TL_help_appUpdate tL_help_appUpdate);
    }

    private AppUpdater() {
    }

    public static AppUpdater getInstance(int account) {
        synchronized (AppUpdater.class) {
            mAccount = account;
            if (instance == null) {
                instance = new AppUpdater();
            }
        }
        return instance;
    }

    public void checkAppUpdate(final OnForceUpdateCallback callback, final boolean isClick) {
        TLRPC.TL_help_getAppUpdate req = new TLRPC.TL_help_getAppUpdate();
        req.source = RecvStatsReportCommon.sdk_platform;
        this.mRequestToken = ConnectionsManager.getInstance(mAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.utils.AppUpdater$$ExternalSyntheticLambda1
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                AppUpdater.this.m3897lambda$checkAppUpdate$1$imuecahxyvjduiutilsAppUpdater(callback, isClick, tLObject, tL_error);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$checkAppUpdate$1$im-uecahxyvjd-ui-utils-AppUpdater  reason: not valid java name */
    public /* synthetic */ void m3897lambda$checkAppUpdate$1$imuecahxyvjduiutilsAppUpdater(final OnForceUpdateCallback callback, final boolean isClick, TLObject response, TLRPC.TL_error error) {
        hasChecked = true;
        lastUpdateCheckTime = System.currentTimeMillis();
        if (response instanceof TLRPC.TL_help_appUpdate) {
            final TLRPC.TL_help_appUpdate res = (TLRPC.TL_help_appUpdate) response;
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.utils.AppUpdater$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    AppUpdater.this.m3896lambda$checkAppUpdate$0$imuecahxyvjduiutilsAppUpdater(res, callback, isClick);
                }
            });
            return;
        }
        callback.onNoUpdate();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$checkAppUpdate$0$im-uecahxyvjd-ui-utils-AppUpdater  reason: not valid java name */
    public /* synthetic */ void m3896lambda$checkAppUpdate$0$imuecahxyvjduiutilsAppUpdater(TLRPC.TL_help_appUpdate res, OnForceUpdateCallback callback, boolean isClick) {
        if (res.can_not_skip) {
            pendingAppUpdate = res;
            pendingAppUpdateBuildVersion = BuildVars.BUILD_VERSION;
            try {
                PackageInfo packageInfo = ApplicationLoader.applicationContext.getPackageManager().getPackageInfo(ApplicationLoader.applicationContext.getPackageName(), 0);
                pendingAppUpdateInstallTime = Math.max(packageInfo.lastUpdateTime, packageInfo.firstInstallTime);
            } catch (Exception e) {
                FileLog.e(e);
                pendingAppUpdateInstallTime = 0L;
            }
            m3898lambda$loadUpdateConfig$2$imuecahxyvjduiutilsAppUpdater();
            if (callback != null) {
                callback.onForce(res);
            }
        } else if ((isClick || Math.abs(System.currentTimeMillis() - dismissCheckUpdateTime) >= 43200000) && callback != null) {
            callback.onNormal(res);
        }
    }

    public void cancel() {
        if (this.mRequestToken != 0) {
            ConnectionsManager.getInstance(mAccount).cancelRequest(this.mRequestToken, true);
        }
    }

    /* renamed from: saveUpdateConfig */
    public void m3898lambda$loadUpdateConfig$2$imuecahxyvjduiutilsAppUpdater() {
        SharedPreferences.Editor editor = getPreferences().edit();
        if (pendingAppUpdate != null) {
            try {
                SerializedData data = new SerializedData(pendingAppUpdate.getObjectSize());
                pendingAppUpdate.serializeToStream(data);
                String str = Base64.encodeToString(data.toByteArray(), 0);
                editor.putString("appUpdate", str);
                editor.putInt("appUpdateBuild", pendingAppUpdateBuildVersion);
                editor.putLong("appUpdateTime", pendingAppUpdateInstallTime);
                data.cleanup();
                return;
            } catch (Exception e) {
                return;
            }
        }
        editor.remove("appUpdate");
    }

    public void loadUpdateConfig() {
        SharedPreferences preferences = getPreferences();
        if (mAccount == 0) {
            try {
                String update = preferences.getString("appUpdate", null);
                if (update != null) {
                    pendingAppUpdateBuildVersion = preferences.getInt("appUpdateBuild", BuildVars.BUILD_VERSION);
                    pendingAppUpdateInstallTime = preferences.getLong("appUpdateTime", System.currentTimeMillis());
                    byte[] arr = Base64.decode(update, 0);
                    if (arr != null) {
                        SerializedData data = new SerializedData(arr);
                        pendingAppUpdate = (TLRPC.TL_help_appUpdate) TLRPC.help_AppUpdate.TLdeserialize(data, data.readInt32(false), false);
                        data.cleanup();
                    }
                }
                if (pendingAppUpdate != null) {
                    long updateTime = 0;
                    try {
                        PackageInfo packageInfo = ApplicationLoader.applicationContext.getPackageManager().getPackageInfo(ApplicationLoader.applicationContext.getPackageName(), 0);
                        updateTime = Math.max(packageInfo.lastUpdateTime, packageInfo.firstInstallTime);
                    } catch (Exception e) {
                        FileLog.e(e);
                    }
                    if (pendingAppUpdateBuildVersion != BuildVars.BUILD_VERSION || pendingAppUpdateInstallTime < updateTime) {
                        pendingAppUpdate = null;
                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.utils.AppUpdater$$ExternalSyntheticLambda2
                            @Override // java.lang.Runnable
                            public final void run() {
                                AppUpdater.this.m3898lambda$loadUpdateConfig$2$imuecahxyvjduiutilsAppUpdater();
                            }
                        });
                    }
                }
            } catch (Exception e2) {
                FileLog.e(e2);
            }
        }
    }

    private SharedPreferences getPreferences() {
        return ApplicationLoader.applicationContext.getSharedPreferences("update_config", 0);
    }
}
