package im.uecahxyvjd.ui.utils;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import im.uecahxyvjd.messenger.R;
/* loaded from: classes9.dex */
public class NaviUtils {
    public static final String PN_BAIDU_MAP = "com.baidu.BaiduMap";
    public static final String PN_GAODE_MAP = "com.autonavi.minimap";
    public static final String PN_TENCENT_MAP = "com.tencent.map";

    public static void startBaiduNavi(Context context, String sName, double sLat, double sLng, String dName, double dLat, double dLng) {
        StringBuilder builder = new StringBuilder("baidumap://map/direction?mode=driving&");
        builder.append("origin=latlng:").append(sLat).append(",").append(sLng).append("|name:").append(sName).append("&destination=latlng:").append(dLat).append(",").append(dLng).append("|name:").append(dName);
        String uriString = builder.toString();
        Intent intent = new Intent("android.intent.action.VIEW");
        intent.setPackage(PN_BAIDU_MAP);
        intent.setData(Uri.parse(uriString));
        context.startActivity(intent);
    }

    public static void startGaodeNavi(Context context, String sName, double sLat, double sLng, String dName, double dLat, double dLng) {
        StringBuilder builder = new StringBuilder("amapuri://route/plan?sourceApplication=" + context.getResources().getString(R.string.AppName));
        builder.append("&sname=").append(sName).append("&slat=").append(sLat).append("&slon=").append(sLng).append("&dname=").append(dName).append("&dlat=").append(dLat).append("&dlon=").append(dLng).append("&dev=0").append("&t=0");
        String uriString = builder.toString();
        Intent intent = new Intent("android.intent.action.VIEW");
        intent.setPackage(PN_GAODE_MAP);
        intent.setData(Uri.parse(uriString));
        context.startActivity(intent);
    }

    public static void startTencentNavi(Context context, String sName, double sLat, double sLng, String dName, double dLat, double dLng) {
        StringBuilder builder = new StringBuilder("qqmap://map/routeplan?type=drive&policy=0&referer=zhongshuo");
        builder.append("&from=").append(sName).append("&fromcoord=").append(sLat).append(",").append(sLng).append("&to=").append(dName).append("&tocoord=").append(dLat).append(",").append(dLng);
        String uriString = builder.toString();
        Intent intent = new Intent("android.intent.action.VIEW");
        intent.setPackage(PN_TENCENT_MAP);
        intent.setData(Uri.parse(uriString));
        context.startActivity(intent);
    }
}
