package im.uecahxyvjd.ui.utils;

import android.app.Activity;
import android.app.Dialog;
import android.content.Context;
import android.content.DialogInterface;
import android.net.Uri;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Base64;
import android.view.View;
import androidx.fragment.app.Fragment;
import com.google.android.exoplayer2.text.ttml.TtmlNode;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.ChatObject;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.MessagesController;
import im.uecahxyvjd.messenger.MessagesStorage;
import im.uecahxyvjd.messenger.NotificationCenter;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.SharedConfig;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.UserObject;
import im.uecahxyvjd.messenger.Utilities;
import im.uecahxyvjd.messenger.browser.Browser;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.ChatActivity;
import im.uecahxyvjd.ui.DialogsActivity;
import im.uecahxyvjd.ui.LaunchActivity;
import im.uecahxyvjd.ui.WebviewActivity;
import im.uecahxyvjd.ui.actionbar.ActionBarLayout;
import im.uecahxyvjd.ui.actionbar.AlertDialog;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.components.AlertsCreator;
import im.uecahxyvjd.ui.components.JoinGroupAlert;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.fragments.BaseFmts;
import im.uecahxyvjd.ui.hui.chats.NewProfileActivity;
import im.uecahxyvjd.ui.hui.contacts.AddContactsInfoActivity;
import java.util.ArrayList;
/* loaded from: classes9.dex */
public class QrCodeParseUtil {
    public static void tryParseQrCode(Object hostObj, int currentAccount, String url, boolean removeLast, boolean forceWithoutAnimation, boolean openBowser, boolean allowCustom) {
        tryParseQrCode(hostObj, currentAccount, url, true, removeLast, forceWithoutAnimation, true, false, openBowser, allowCustom);
    }

    /* JADX WARN: Removed duplicated region for block: B:102:0x02f2  */
    /* JADX WARN: Removed duplicated region for block: B:98:0x02d2  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static void tryParseQrCode(Object hostObj, int currentAccount, String url, boolean showProgressDialog, boolean removeLast, boolean forceWithoutAnimation, boolean check, boolean preview, boolean openBowser, boolean allowCustom) {
        String scheme;
        boolean z;
        String sharePrefixStr;
        String host;
        String originUrl;
        String path;
        String code;
        checkHost(hostObj);
        if (TextUtils.isEmpty(url)) {
            return;
        }
        Uri data = Uri.parse(url);
        String scheme2 = data.getScheme() != null ? data.getScheme().toLowerCase() : "";
        String sharePrefixStr2 = getMessagesController(currentAccount).sharePrefix;
        Uri sharePrefixUri = !TextUtils.isEmpty(sharePrefixStr2) ? Uri.parse(sharePrefixStr2) : null;
        String sharePrefixHost = sharePrefixUri != null ? sharePrefixUri.getHost() : null;
        if ("http".equals(scheme2) || "https".equals(scheme2)) {
            String host2 = data.getHost();
            if (host2.equals("www.shareinstall.com.cn")) {
                String result = data.getQueryParameter("Key");
                if (TextUtils.isEmpty(result)) {
                    scheme = host2;
                } else {
                    byte[] decode = Base64.decode(result.replace("%3D", "="), 0);
                    String ret = new String(decode);
                    String[] split = ret.split("#");
                    String pUid = split[0].split("=")[1];
                    String hash = split[1].split("=")[1];
                    if (ret.contains("Uname")) {
                        String uName = split[2].split("=")[1];
                        tryToGroupOrChannelByUserName(hostObj, uName);
                        scheme = host2;
                    } else {
                        scheme = host2;
                        tryToUser(hostObj, currentAccount, true, pUid, hash, removeLast, forceWithoutAnimation);
                    }
                }
            } else {
                scheme = host2;
                if (scheme.equals("m12345.com") || scheme.equals(sharePrefixHost)) {
                    if (TextUtils.isEmpty(sharePrefixStr2)) {
                        z = false;
                        sharePrefixStr = sharePrefixStr2;
                    } else {
                        String sharePrefixStr3 = sharePrefixStr2 + "&Key=";
                        if (!url.startsWith(sharePrefixStr3)) {
                            sharePrefixStr = sharePrefixStr3;
                            z = false;
                        } else {
                            byte[] decode2 = Base64.decode(url.substring(sharePrefixStr3.length()).replace("%3D", "="), 0);
                            String ret2 = new String(decode2);
                            String[] split2 = ret2.split("#");
                            String pUid2 = split2[0].split("=")[1];
                            String hash2 = split2[1].split("=")[1];
                            if (ret2.contains("Uname")) {
                                String uName2 = split2[2].split("=")[1];
                                tryToGroupOrChannelByUserName(hostObj, uName2);
                                sharePrefixStr = sharePrefixStr3;
                                z = false;
                            } else {
                                sharePrefixStr = sharePrefixStr3;
                                z = false;
                                tryToUser(hostObj, currentAccount, true, pUid2, hash2, removeLast, forceWithoutAnimation);
                            }
                            host = scheme;
                            originUrl = url;
                            if (openBowser) {
                                if (SharedConfig.customTabs) {
                                    presentFragment(hostObj, new WebviewActivity(originUrl, (String) null), z, forceWithoutAnimation);
                                } else {
                                    Browser.openUrl(getContext(host), originUrl, allowCustom);
                                }
                            }
                        }
                    }
                    String path2 = data.getPath();
                    if (path2 == null || path2.length() <= 1) {
                        host = scheme;
                        originUrl = url;
                    } else {
                        String username = null;
                        String group = null;
                        String botUser = null;
                        String botChat = null;
                        String path3 = path2.substring(1);
                        if (path3.startsWith("login/")) {
                            String code2 = path3.replace("login/", "");
                            code = code2;
                        } else if (path3.startsWith("joinchat/")) {
                            group = path3.replace("joinchat/", "");
                            code = null;
                        } else {
                            if (path3.startsWith("g/")) {
                                path = path3;
                            } else if (path3.startsWith("u/")) {
                                path = path3;
                            } else if (path3.startsWith("authtoken/")) {
                                return;
                            } else {
                                if (path3.startsWith("socks")) {
                                    Browser.openUrl(getContext(hostObj), url, allowCustom);
                                    return;
                                }
                                ArrayList<String> segments = new ArrayList<>(data.getPathSegments());
                                if (segments.size() > 0 && segments.get(z ? 1 : 0).equals("s")) {
                                    segments.remove(z ? 1 : 0);
                                }
                                if (segments.size() > 0) {
                                    username = segments.get(z ? 1 : 0);
                                }
                                botUser = data.getQueryParameter(TtmlNode.START);
                                botChat = data.getQueryParameter("startgroup");
                                code = null;
                            }
                            byte[] decode3 = Base64.decode(url.substring(url.lastIndexOf("/") + 1), z ? 1 : 0);
                            String ret3 = new String(decode3);
                            if (path.startsWith("g/")) {
                                tryToGroupOrChannelByUserName(hostObj, ret3.substring(ret3.lastIndexOf("/") + 1));
                                return;
                            }
                            String[] split3 = ret3.substring(z ? 1 : 0, ret3.length() - 4).split("&", 2);
                            String uid = split3[z ? 1 : 0];
                            String uhash = split3[1];
                            tryToUser(hostObj, currentAccount, true, uid, uhash, removeLast, forceWithoutAnimation);
                            return;
                        }
                        if (code == null && username == null && group == null && botUser == null && botChat == null) {
                            host = scheme;
                            originUrl = url;
                        } else {
                            runLinkRequest(hostObj, currentAccount, true, code, username, group, botUser, botChat, removeLast, forceWithoutAnimation, check, preview, 0);
                            return;
                        }
                    }
                    if (openBowser) {
                    }
                }
            }
            sharePrefixStr = sharePrefixStr2;
            host = scheme;
            originUrl = url;
            z = false;
            if (openBowser) {
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static void runLinkRequest(final Object hostObj, final int currentAccount, final boolean showProgressDialog, final String code, final String username, final String group, final String botUser, final String botChat, final boolean removeLast, final boolean forceWithoutAnimation, final boolean check, final boolean preview, int state) {
        AlertDialog progressDialog;
        AlertDialog progressDialog2;
        final int i;
        if (code != null) {
            if (NotificationCenter.getGlobalInstance().hasObservers(NotificationCenter.didReceiveSmsCode)) {
                NotificationCenter.getGlobalInstance().postNotificationName(NotificationCenter.didReceiveSmsCode, code);
                return;
            }
            AlertDialog.Builder builder = new AlertDialog.Builder(getContext(hostObj));
            builder.setTitle(LocaleController.getString("AppName", R.string.AppName));
            builder.setMessage(AndroidUtilities.replaceTags(LocaleController.formatString("OtherLoginCode", R.string.OtherLoginCode, code)));
            builder.setPositiveButton(LocaleController.getString("OK", R.string.OK), null);
            showDialog(hostObj, builder.create());
            return;
        }
        if (!showProgressDialog) {
            progressDialog = null;
        } else {
            AlertDialog progressDialog3 = new AlertDialog(getContext(hostObj), 3);
            progressDialog = progressDialog3;
        }
        int requestId = 0;
        final AlertDialog finalProgressDialog = progressDialog;
        if (username != null) {
            TLRPC.TL_contacts_resolveUsername req = new TLRPC.TL_contacts_resolveUsername();
            req.username = username;
            progressDialog2 = progressDialog;
            requestId = ConnectionsManager.getInstance(currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.utils.QrCodeParseUtil$$ExternalSyntheticLambda8
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.utils.QrCodeParseUtil$$ExternalSyntheticLambda6
                        @Override // java.lang.Runnable
                        public final void run() {
                            QrCodeParseUtil.lambda$runLinkRequest$1(AlertDialog.this, tLObject, tL_error, r4, r5, r6, r7, r8, r9, r10, r11);
                        }
                    });
                }
            });
            i = currentAccount;
        } else {
            progressDialog2 = progressDialog;
            if (group == null) {
                i = currentAccount;
            } else if (state == 0) {
                TLRPC.TL_messages_checkChatInvite req2 = new TLRPC.TL_messages_checkChatInvite();
                req2.hash = group;
                requestId = ConnectionsManager.getInstance(currentAccount).sendRequest(req2, new RequestDelegate() { // from class: im.uecahxyvjd.ui.utils.QrCodeParseUtil$$ExternalSyntheticLambda9
                    @Override // im.uecahxyvjd.tgnet.RequestDelegate
                    public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.utils.QrCodeParseUtil$$ExternalSyntheticLambda0
                            @Override // java.lang.Runnable
                            public final void run() {
                                QrCodeParseUtil.lambda$runLinkRequest$4(AlertDialog.this, tL_error, r3, tLObject, r5, r6, r7, r8, r9, r10, r11, r12, r13, r14, r15);
                            }
                        });
                    }
                }, 2);
                i = currentAccount;
            } else if (state == 1) {
                TLRPC.TL_messages_importChatInvite req3 = new TLRPC.TL_messages_importChatInvite();
                req3.hash = group;
                i = currentAccount;
                ConnectionsManager.getInstance(currentAccount).sendRequest(req3, new RequestDelegate() { // from class: im.uecahxyvjd.ui.utils.QrCodeParseUtil$$ExternalSyntheticLambda10
                    @Override // im.uecahxyvjd.tgnet.RequestDelegate
                    public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                        QrCodeParseUtil.lambda$runLinkRequest$7(i, finalProgressDialog, hostObj, tLObject, tL_error);
                    }
                }, 2);
            } else {
                i = currentAccount;
            }
        }
        if (requestId != 0 && showProgressDialog) {
            final int finalRequestId = requestId;
            AlertDialog progressDialog4 = progressDialog2;
            progressDialog4.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.utils.QrCodeParseUtil$$ExternalSyntheticLambda11
                @Override // android.content.DialogInterface.OnCancelListener
                public final void onCancel(DialogInterface dialogInterface) {
                    ConnectionsManager.getInstance(i).cancelRequest(finalRequestId, true);
                }
            });
            try {
                progressDialog4.show();
            } catch (Exception e) {
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$runLinkRequest$1(AlertDialog finalProgressDialog, TLObject response, TLRPC.TL_error error, final Object hostObj, final int currentAccount, final String botChat, final boolean removeLast, final boolean forceWithoutAnimation, final boolean check, final boolean preview, String botUser) {
        long dialog_id;
        if (finalProgressDialog != null) {
            try {
                finalProgressDialog.dismiss();
            } catch (Exception e) {
                FileLog.e(e);
            }
        }
        TLRPC.TL_contacts_resolvedPeer res = (TLRPC.TL_contacts_resolvedPeer) response;
        if (error == null && getActionLayout(hostObj) != null) {
            MessagesController.getInstance(currentAccount).putUsers(res.users, false);
            MessagesController.getInstance(currentAccount).putChats(res.chats, false);
            MessagesStorage.getInstance(currentAccount).putUsersAndChats(res.users, res.chats, false, true);
            if (botChat != null) {
                final TLRPC.User user = !res.users.isEmpty() ? res.users.get(0) : null;
                if (user == null || (user.bot && user.bot_nochats)) {
                    try {
                        ToastUtils.show((int) R.string.BotCantJoinGroups);
                        return;
                    } catch (Exception e2) {
                        FileLog.e(e2);
                        return;
                    }
                }
                Bundle args = new Bundle();
                args.putBoolean("onlySelect", true);
                args.putInt("dialogsType", 2);
                args.putString("addToGroupAlertString", LocaleController.formatString("AddToTheGroupTitle", R.string.AddToTheGroupTitle, UserObject.getName(user), "%1$s"));
                DialogsActivity fragment = new DialogsActivity(args);
                fragment.setDelegate(new DialogsActivity.DialogsActivityDelegate() { // from class: im.uecahxyvjd.ui.utils.QrCodeParseUtil$$ExternalSyntheticLambda5
                    @Override // im.uecahxyvjd.ui.DialogsActivity.DialogsActivityDelegate
                    public final void didSelectDialogs(DialogsActivity dialogsActivity, ArrayList arrayList, CharSequence charSequence, boolean z) {
                        QrCodeParseUtil.lambda$runLinkRequest$0(currentAccount, hostObj, user, botChat, removeLast, forceWithoutAnimation, check, preview, dialogsActivity, arrayList, charSequence, z);
                    }
                });
                presentFragment(hostObj, fragment, removeLast, forceWithoutAnimation, check, preview);
                return;
            }
            boolean isBot = false;
            Bundle args2 = new Bundle();
            if (!res.chats.isEmpty()) {
                args2.putInt("chat_id", res.chats.get(0).id);
                dialog_id = -res.chats.get(0).id;
            } else {
                args2.putInt("user_id", res.users.get(0).id);
                dialog_id = res.users.get(0).id;
            }
            if (botUser != null && res.users.size() > 0 && res.users.get(0).bot) {
                args2.putString("botUser", botUser);
                isBot = true;
            }
            BaseFragment lastFragment = getLastFragment(hostObj);
            if (lastFragment == null || MessagesController.getInstance(currentAccount).checkCanOpenChat(args2, lastFragment)) {
                if (isBot && (lastFragment instanceof ChatActivity) && ((ChatActivity) lastFragment).getDialogId() == dialog_id) {
                    ((ChatActivity) lastFragment).setBotUser(botUser);
                    return;
                } else {
                    presentFragment(hostObj, new ChatActivity(args2), removeLast, forceWithoutAnimation);
                    return;
                }
            }
            return;
        }
        try {
            AlertsCreator.createSimpleAlert(getContext(hostObj), LocaleController.getString("JoinToGroupErrorNotExist", R.string.JoinToGroupErrorNotExist)).show();
        } catch (Exception e3) {
            FileLog.e(e3);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$runLinkRequest$0(int currentAccount, Object hostObj, TLRPC.User user, String botChat, boolean removeLast, boolean forceWithoutAnimation, boolean check, boolean preview, DialogsActivity fragment12, ArrayList dids, CharSequence message1, boolean param) {
        long did = ((Long) dids.get(0)).longValue();
        Bundle args12 = new Bundle();
        args12.putBoolean("scrollToTopOnResume", true);
        args12.putInt("chat_id", -((int) did));
        if (MessagesController.getInstance(currentAccount).checkCanOpenChat(args12, getLastFragment(hostObj))) {
            MessagesController.getInstance(currentAccount).addUserToChat(-((int) did), user, null, 0, botChat, null, null);
            presentFragment(hostObj, new ChatActivity(args12), removeLast, forceWithoutAnimation, check, preview);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:45:0x00eb  */
    /* JADX WARN: Removed duplicated region for block: B:46:0x00f0  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static /* synthetic */ void lambda$runLinkRequest$4(AlertDialog finalProgressDialog, TLRPC.TL_error error, final Object hostObj, TLObject response, final int currentAccount, final String group, final boolean showProgressDialog, final String code, final String username, final String botUser, final String botChat, final boolean removeLast, final boolean forceWithoutAnimation, final boolean check, final boolean preview) {
        if (finalProgressDialog != null) {
            try {
                finalProgressDialog.dismiss();
            } catch (Exception e) {
                FileLog.e(e);
            }
        }
        if (error == null && getActionLayout(hostObj) != null) {
            TLRPC.ChatInvite invite = (TLRPC.ChatInvite) response;
            if (invite.chat != null && (!ChatObject.isLeftFromChat(invite.chat) || (!invite.chat.kicked && !TextUtils.isEmpty(invite.chat.username)))) {
                MessagesController.getInstance(currentAccount).putChat(invite.chat, false);
                ArrayList<TLRPC.Chat> chats = new ArrayList<>();
                chats.add(invite.chat);
                MessagesStorage.getInstance(currentAccount).putUsersAndChats(null, chats, false, true);
                Bundle args = new Bundle();
                args.putInt("chat_id", invite.chat.id);
                if (MessagesController.getInstance(currentAccount).checkCanOpenChat(args, getLastFragment(hostObj))) {
                    presentFragment(hostObj, new ChatActivity(args), false, true, true, false);
                }
            } else {
                if (invite.chat != null || (invite.channel && !invite.megagroup)) {
                    if (invite.chat != null) {
                        if (ChatObject.isChannel(invite.chat) && !invite.chat.megagroup) {
                            AlertDialog.Builder builder = new AlertDialog.Builder(getContext(hostObj));
                            builder.setTitle(LocaleController.getString("AppName", R.string.AppName));
                            Object[] objArr = new Object[1];
                            objArr[0] = invite.chat != null ? invite.chat.title : invite.title;
                            builder.setMessage(LocaleController.formatString("ChannelJoinTo", R.string.ChannelJoinTo, objArr));
                            builder.setPositiveButton(LocaleController.getString("OK", R.string.OK), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.utils.QrCodeParseUtil$$ExternalSyntheticLambda7
                                @Override // android.content.DialogInterface.OnClickListener
                                public final void onClick(DialogInterface dialogInterface, int i) {
                                    QrCodeParseUtil.runLinkRequest(hostObj, currentAccount, showProgressDialog, code, username, group, botUser, botChat, removeLast, forceWithoutAnimation, check, preview, 1);
                                }
                            });
                            builder.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
                            showDialog(hostObj, builder.create());
                        }
                    }
                    AlertDialog.Builder builder2 = new AlertDialog.Builder(getContext(hostObj));
                    builder2.setTitle(LocaleController.getString("AppName", R.string.AppName));
                    Object[] objArr2 = new Object[1];
                    objArr2[0] = invite.chat != null ? invite.chat.title : invite.title;
                    builder2.setMessage(LocaleController.formatString("ChannelJoinTo", R.string.ChannelJoinTo, objArr2));
                    builder2.setPositiveButton(LocaleController.getString("OK", R.string.OK), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.utils.QrCodeParseUtil$$ExternalSyntheticLambda7
                        @Override // android.content.DialogInterface.OnClickListener
                        public final void onClick(DialogInterface dialogInterface, int i) {
                            QrCodeParseUtil.runLinkRequest(hostObj, currentAccount, showProgressDialog, code, username, group, botUser, botChat, removeLast, forceWithoutAnimation, check, preview, 1);
                        }
                    });
                    builder2.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
                    showDialog(hostObj, builder2.create());
                }
                if (!getActionLayout(hostObj).fragmentsStack.isEmpty()) {
                    BaseFragment fragment = getLastFragment(hostObj);
                    fragment.showDialog(new JoinGroupAlert(getContext(hostObj), invite, group, fragment));
                }
                AlertDialog.Builder builder22 = new AlertDialog.Builder(getContext(hostObj));
                builder22.setTitle(LocaleController.getString("AppName", R.string.AppName));
                Object[] objArr22 = new Object[1];
                objArr22[0] = invite.chat != null ? invite.chat.title : invite.title;
                builder22.setMessage(LocaleController.formatString("ChannelJoinTo", R.string.ChannelJoinTo, objArr22));
                builder22.setPositiveButton(LocaleController.getString("OK", R.string.OK), new DialogInterface.OnClickListener() { // from class: im.uecahxyvjd.ui.utils.QrCodeParseUtil$$ExternalSyntheticLambda7
                    @Override // android.content.DialogInterface.OnClickListener
                    public final void onClick(DialogInterface dialogInterface, int i) {
                        QrCodeParseUtil.runLinkRequest(hostObj, currentAccount, showProgressDialog, code, username, group, botUser, botChat, removeLast, forceWithoutAnimation, check, preview, 1);
                    }
                });
                builder22.setNegativeButton(LocaleController.getString("Cancel", R.string.Cancel), null);
                showDialog(hostObj, builder22.create());
            }
            return;
        }
        AlertDialog.Builder builder3 = new AlertDialog.Builder(getContext(hostObj));
        builder3.setTitle(LocaleController.getString("AppName", R.string.AppName));
        if (error.text.startsWith("FLOOD_WAIT")) {
            builder3.setMessage(LocaleController.getString("FloodWait", R.string.FloodWait));
        } else {
            builder3.setMessage(LocaleController.getString("JoinToGroupErrorNotExist", R.string.JoinToGroupErrorNotExist));
        }
        builder3.setPositiveButton(LocaleController.getString("OK", R.string.OK), null);
        showDialog(hostObj, builder3.create());
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$runLinkRequest$7(final int currentAccount, final AlertDialog finalProgressDialog, final Object hostObj, final TLObject response, final TLRPC.TL_error error) {
        if (error == null) {
            TLRPC.Updates updates = (TLRPC.Updates) response;
            MessagesController.getInstance(currentAccount).processUpdates(updates, false);
        }
        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.utils.QrCodeParseUtil$$ExternalSyntheticLambda2
            @Override // java.lang.Runnable
            public final void run() {
                QrCodeParseUtil.lambda$runLinkRequest$6(AlertDialog.this, error, hostObj, response, currentAccount);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$runLinkRequest$6(AlertDialog finalProgressDialog, TLRPC.TL_error error, Object hostObj, TLObject response, int currentAccount) {
        if (finalProgressDialog != null) {
            try {
                finalProgressDialog.dismiss();
            } catch (Exception e) {
                FileLog.e(e);
            }
        }
        if (error == null) {
            if (getActionLayout(hostObj) != null) {
                TLRPC.Updates updates = (TLRPC.Updates) response;
                if (!updates.chats.isEmpty()) {
                    TLRPC.Chat chat = updates.chats.get(0);
                    chat.left = false;
                    chat.kicked = false;
                    MessagesController.getInstance(currentAccount).putUsers(updates.users, false);
                    MessagesController.getInstance(currentAccount).putChats(updates.chats, false);
                    Bundle args = new Bundle();
                    args.putInt("chat_id", chat.id);
                    if (MessagesController.getInstance(currentAccount).checkCanOpenChat(args, getLastFragment(hostObj))) {
                        ChatActivity fragment = new ChatActivity(args);
                        presentFragment(hostObj, fragment, false, true, true, false);
                        return;
                    }
                    return;
                }
                return;
            }
            return;
        }
        AlertDialog.Builder builder = new AlertDialog.Builder(getContext(hostObj));
        builder.setTitle(LocaleController.getString("AppName", R.string.AppName));
        if (error.text.startsWith("FLOOD_WAIT")) {
            builder.setMessage(LocaleController.getString("FloodWait", R.string.FloodWait));
        } else if (error.text.equals("USERS_TOO_MUCH")) {
            builder.setMessage(LocaleController.getString("JoinToGroupErrorFull", R.string.JoinToGroupErrorFull));
        } else {
            builder.setMessage(LocaleController.getString("JoinToGroupErrorNotExist", R.string.JoinToGroupErrorNotExist));
        }
        builder.setPositiveButton(LocaleController.getString("OK", R.string.OK), null);
        showDialog(hostObj, builder.create());
    }

    private static void tryToGroupOrChannelByUserName(Object hostObj, String userName) {
        MessagesController.getInstance(UserConfig.selectedAccount).openByUserName(userName, getLastFragment(hostObj), 1, true);
    }

    private static void tryToUser(final Object hostObj, final int currentAccount, boolean showProgressDialog, String userId, String userHash, final boolean removeLast, final boolean forceWithoutAnimation) {
        if (TextUtils.isEmpty(userId) || TextUtils.isEmpty(userHash)) {
            return;
        }
        TLRPC.User user = new TLRPC.TL_user();
        user.id = Utilities.parseInt(userId).intValue();
        user.access_hash = Utilities.parseLong(userHash).longValue();
        TLRPC.UserFull userFull = getMessagesController(currentAccount).getUserFull(user.id);
        if (userFull != null) {
            toUser(hostObj, currentAccount, true, userFull, removeLast, forceWithoutAnimation);
            return;
        }
        TLRPC.TL_users_getFullUser req = new TLRPC.TL_users_getFullUser();
        req.id = getMessagesController(currentAccount).getInputUser(user);
        AlertDialog progressDialog = null;
        if (showProgressDialog) {
            progressDialog = new AlertDialog(getContext(hostObj), 3);
            showDialog(hostObj, progressDialog);
        }
        final int reqId = getConnectionsManager(currentAccount).sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.utils.QrCodeParseUtil$$ExternalSyntheticLambda3
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.utils.QrCodeParseUtil$$ExternalSyntheticLambda1
                    @Override // java.lang.Runnable
                    public final void run() {
                        QrCodeParseUtil.lambda$tryToUser$9(TLRPC.TL_error.this, r2, r3, tLObject, r5, r6);
                    }
                });
            }
        });
        if (progressDialog != null) {
            progressDialog.setOnCancelListener(new DialogInterface.OnCancelListener() { // from class: im.uecahxyvjd.ui.utils.QrCodeParseUtil$$ExternalSyntheticLambda4
                @Override // android.content.DialogInterface.OnCancelListener
                public final void onCancel(DialogInterface dialogInterface) {
                    QrCodeParseUtil.getConnectionsManager(currentAccount).cancelRequest(reqId, false);
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$tryToUser$9(TLRPC.TL_error error, Object hostObj, int currentAccount, TLObject response, boolean removeLast, boolean forceWithoutAnimation) {
        if (error == null) {
            toUser(hostObj, currentAccount, false, (TLRPC.UserFull) response, removeLast, forceWithoutAnimation);
        } else {
            ToastUtils.show((int) R.string.NoUsernameFound);
        }
    }

    private static void toUser(Object hostObj, int currentAccount, boolean fromCache, TLRPC.UserFull userFull, boolean removeLast, boolean forceWithoutAnimation) {
        getMessagesController(currentAccount).putUser(userFull.user, false);
        if (userFull.user.self || userFull.user.contact) {
            Bundle bundle = new Bundle();
            bundle.putInt("user_id", userFull.user.id);
            presentFragment(hostObj, new NewProfileActivity(bundle), removeLast, forceWithoutAnimation);
            return;
        }
        Bundle bundle2 = new Bundle();
        bundle2.putInt("from_type", 1);
        presentFragment(hostObj, new AddContactsInfoActivity(bundle2, userFull.user), removeLast, forceWithoutAnimation);
    }

    private static void presentFragment(Object hostObj, BaseFragment fragment, boolean removeLast, boolean forceWithoutAnimation) {
        presentFragment(hostObj, fragment, removeLast, forceWithoutAnimation, true, false);
    }

    private static void presentFragment(Object hostObj, BaseFragment fragment, boolean removeLast, boolean forceWithoutAnimation, boolean check, boolean preview) {
        ActionBarLayout actionBarLayout;
        if (fragment != null && (actionBarLayout = getActionLayout(hostObj)) != null) {
            actionBarLayout.presentFragment(fragment, removeLast, forceWithoutAnimation, check, preview);
        }
    }

    private static MessagesController getMessagesController(int currentAccount) {
        return MessagesController.getInstance(currentAccount);
    }

    private static MessagesStorage getMessagesStorage(int currentAccount) {
        return MessagesStorage.getInstance(currentAccount);
    }

    private static ConnectionsManager getConnectionsManager(int currentAccount) {
        return ConnectionsManager.getInstance(currentAccount);
    }

    private static Dialog showDialog(Object host, Dialog dialog) {
        if (dialog == null) {
            return null;
        }
        if (host instanceof BaseFragment) {
            return ((BaseFragment) host).showDialog(dialog);
        }
        if (host instanceof BaseFmts) {
            return ((BaseFmts) host).showDialog(dialog);
        }
        if ((host instanceof LaunchActivity) && (dialog instanceof AlertDialog)) {
            return ((LaunchActivity) host).showAlertDialog((AlertDialog) dialog);
        }
        dialog.show();
        return dialog;
    }

    private static void checkHost(Object host) {
        if (!(host instanceof BaseFragment) && !(host instanceof BaseFmts) && !(host instanceof Activity) && !(host instanceof Fragment) && !(host instanceof View) && !(host instanceof Context)) {
            throw new IllegalArgumentException("host must be one of the BaseFragment, BaseFmts, Activity, Fragment, View");
        }
    }

    private static BaseFragment getLastFragment(Object host) {
        ActionBarLayout actionBarLayout = getActionLayout(host);
        if (actionBarLayout != null) {
            return actionBarLayout.getLastFragment();
        }
        return null;
    }

    private static ActionBarLayout getActionLayout(Object host) {
        if (host instanceof BaseFragment) {
            return ((BaseFragment) host).getParentLayout();
        }
        if (host instanceof BaseFmts) {
            return ((BaseFmts) host).getActionBarLayout();
        }
        if (host instanceof LaunchActivity) {
            return ((LaunchActivity) host).getActionBarLayout();
        }
        if (host instanceof ActionBarLayout) {
            return (ActionBarLayout) host;
        }
        return null;
    }

    private static Context getContext(Object host) {
        if (host instanceof BaseFragment) {
            return ((BaseFragment) host).getParentActivity();
        }
        if (host instanceof BaseFmts) {
            return ((BaseFmts) host).getParentActivity();
        }
        if (host instanceof Activity) {
            return (Activity) host;
        }
        if (host instanceof Fragment) {
            return ((Fragment) host).getActivity();
        }
        if (host instanceof View) {
            return ((View) host).getContext();
        }
        if (host instanceof Context) {
            return (Context) host;
        }
        return null;
    }
}
