package im.uecahxyvjd.ui.utils.picture;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.FileLog;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.messenger.UserConfig;
import im.uecahxyvjd.messenger.utils.DrawableUtils;
import im.uecahxyvjd.tgnet.ConnectionsManager;
import im.uecahxyvjd.tgnet.NativeByteBuffer;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.utils.picture.PictureUtil;
/* loaded from: classes10.dex */
public class PictureUtil {

    /* loaded from: classes10.dex */
    public interface CallBack {
        void loadPictureResult(boolean z, byte[] bArr, Bitmap bitmap, String str);
    }

    private static ConnectionsManager getConnectionsManager() {
        return ConnectionsManager.getInstance(UserConfig.selectedAccount);
    }

    public static void loadPictureByFileId(int classGuid, long fileId, long fileHash, int fileSize, final CallBack callBack) {
        int i = fileSize;
        byte[] downloadBytes = new byte[i];
        final int chunkSize = i > 1048576 ? 131072 : 32768;
        int i2 = 0;
        final int count = (i / chunkSize) + (i % chunkSize != 0 ? 1 : 0);
        int index = 0;
        while (index < count) {
            final TLRPC.TL_upload_getFile req = new TLRPC.TL_upload_getFile();
            req.location = new TLRPC.TL_inputDocumentFileLocation();
            req.location.file_reference = new byte[i2];
            req.location.thumb_size = "";
            req.location.access_hash = fileHash;
            req.location.id = fileId;
            req.offset = index * chunkSize;
            if (index == count - 1) {
                req.limit = i - req.offset;
            } else {
                req.limit = chunkSize;
            }
            final int finalIndex = index;
            final byte[] bArr = downloadBytes;
            getConnectionsManager().bindRequestToGuid(getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.utils.picture.PictureUtil$$ExternalSyntheticLambda3
                @Override // im.uecahxyvjd.tgnet.RequestDelegate
                public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                    PictureUtil.lambda$loadPictureByFileId$3(TLRPC.TL_upload_getFile.this, bArr, finalIndex, chunkSize, callBack, count, tLObject, tL_error);
                }
            }), classGuid);
            index++;
            i = fileSize;
            downloadBytes = downloadBytes;
            i2 = 0;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$loadPictureByFileId$3(TLRPC.TL_upload_getFile req, final byte[] downloadBytes, int finalIndex, int chunkSize, final CallBack callBack, int count, TLObject response, final TLRPC.TL_error error) {
        if (response != null) {
            if (response instanceof TLRPC.TL_upload_file) {
                TLRPC.TL_upload_file upload_file = (TLRPC.TL_upload_file) response;
                if (upload_file.bytes != null) {
                    NativeByteBuffer buffer = upload_file.bytes;
                    try {
                        byte[] array = buffer.readData(req.limit, true);
                        System.arraycopy(array, 0, downloadBytes, finalIndex * chunkSize, array.length);
                    } catch (Exception e) {
                        ToastUtils.show((int) R.string.LoadPictureFailed);
                        FileLog.e(e);
                        AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.utils.picture.PictureUtil$$ExternalSyntheticLambda0
                            @Override // java.lang.Runnable
                            public final void run() {
                                PictureUtil.lambda$loadPictureByFileId$0(PictureUtil.CallBack.this, e);
                            }
                        });
                    }
                }
            }
            if (finalIndex == count - 1) {
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.utils.picture.PictureUtil$$ExternalSyntheticLambda1
                    @Override // java.lang.Runnable
                    public final void run() {
                        PictureUtil.lambda$loadPictureByFileId$1(PictureUtil.CallBack.this, downloadBytes);
                    }
                });
            }
        } else if (error != null) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.utils.picture.PictureUtil$$ExternalSyntheticLambda2
                @Override // java.lang.Runnable
                public final void run() {
                    PictureUtil.lambda$loadPictureByFileId$2(PictureUtil.CallBack.this, error);
                }
            });
            ToastUtils.show((int) R.string.LoadPictureFailed);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$loadPictureByFileId$0(CallBack callBack, Exception e) {
        if (callBack != null) {
            callBack.loadPictureResult(false, null, null, e.getMessage());
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$loadPictureByFileId$1(CallBack callBack, byte[] downloadBytes) {
        BitmapFactory.Options options = new BitmapFactory.Options();
        if (callBack != null) {
            callBack.loadPictureResult(true, downloadBytes, DrawableUtils.getPicFromBytes(downloadBytes, options), null);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static /* synthetic */ void lambda$loadPictureByFileId$2(CallBack callBack, TLRPC.TL_error error) {
        if (callBack != null) {
            callBack.loadPictureResult(false, null, null, error.text);
        }
    }
}
