package im.uecahxyvjd.ui.utils.translate.utils;

import android.media.MediaCodec;
import android.media.MediaCrypto;
import android.media.MediaFormat;
import android.view.Surface;
import com.google.android.exoplayer2.util.MimeTypes;
import im.uecahxyvjd.ui.utils.translate.common.AudioEditConstant;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.nio.ByteBuffer;
/* loaded from: classes18.dex */
public class AudioEncodeUtil {
    public static void convertWav2Pcm(String inWaveFilePath, String outPcmFilePath) {
        FileInputStream in = null;
        FileOutputStream out = null;
        byte[] data = new byte[1024];
        try {
            try {
                try {
                    in = new FileInputStream(inWaveFilePath);
                    out = new FileOutputStream(outPcmFilePath);
                    byte[] header = new byte[44];
                    in.read(header);
                    while (true) {
                        int length = in.read(data);
                        if (length > 0) {
                            out.write(data, 0, length);
                        } else {
                            try {
                                break;
                            } catch (IOException e) {
                                e.printStackTrace();
                            }
                        }
                    }
                    in.close();
                    out.close();
                } catch (Exception e2) {
                    e2.printStackTrace();
                    if (in != null) {
                        try {
                            in.close();
                        } catch (IOException e3) {
                            e3.printStackTrace();
                        }
                    }
                    if (out != null) {
                        out.close();
                    }
                }
            } catch (IOException e4) {
                e4.printStackTrace();
            }
        } catch (Throwable th) {
            if (in != null) {
                try {
                    in.close();
                } catch (IOException e5) {
                    e5.printStackTrace();
                }
            }
            if (out != null) {
                try {
                    out.close();
                } catch (IOException e6) {
                    e6.printStackTrace();
                }
            }
            throw th;
        }
    }

    public static void convertPcm2Wav(String inPcmFilePath, String outWavFilePath) {
        convertPcm2Wav(inPcmFilePath, outWavFilePath, AudioEditConstant.ExportSampleRate, 1, 16);
    }

    public static void convertPcm2Wav(String inPcmFilePath, String outWavFilePath, int sampleRate, int channels, int bitNum) {
        FileInputStream in = null;
        FileOutputStream out = null;
        byte[] data = new byte[1024];
        try {
            try {
                try {
                    in = new FileInputStream(inPcmFilePath);
                    out = new FileOutputStream(outWavFilePath);
                    long totalAudioLen = in.getChannel().size();
                    writeWaveFileHeader(out, totalAudioLen, sampleRate, channels, bitNum);
                    while (true) {
                        int length = in.read(data);
                        if (length > 0) {
                            out.write(data, 0, length);
                        } else {
                            try {
                                break;
                            } catch (IOException e) {
                                e.printStackTrace();
                            }
                        }
                    }
                    in.close();
                    out.close();
                } catch (Throwable th) {
                    if (in != null) {
                        try {
                            in.close();
                        } catch (IOException e2) {
                            e2.printStackTrace();
                        }
                    }
                    if (out != null) {
                        try {
                            out.close();
                        } catch (IOException e3) {
                            e3.printStackTrace();
                        }
                    }
                    throw th;
                }
            } catch (Exception e4) {
                e4.printStackTrace();
                if (in != null) {
                    try {
                        in.close();
                    } catch (IOException e5) {
                        e5.printStackTrace();
                    }
                }
                if (out != null) {
                    out.close();
                }
            }
        } catch (IOException e6) {
            e6.printStackTrace();
        }
    }

    private static void writeWaveFileHeader(FileOutputStream out, long totalAudioLen, int sampleRate, int channels, int bitNum) throws IOException {
        byte[] header = getWaveHeader(totalAudioLen, sampleRate, channels, bitNum);
        out.write(header, 0, 44);
    }

    public static byte[] getWaveHeader(long totalAudioLen, int sampleRate, int channels, int bitNum) throws IOException {
        long totalDataLen = totalAudioLen + 36;
        long byteRate = ((sampleRate * channels) * bitNum) / 8;
        byte[] header = {82, 73, 70, 70, (byte) (totalDataLen & 255), (byte) ((totalDataLen >> 8) & 255), (byte) ((totalDataLen >> 16) & 255), (byte) ((totalDataLen >> 24) & 255), 87, 65, 86, 69, 102, 109, 116, 32, 16, 0, 0, 0, 1, 0, (byte) channels, 0, (byte) (sampleRate & 255), (byte) ((sampleRate >> 8) & 255), (byte) ((sampleRate >> 16) & 255), (byte) ((sampleRate >> 24) & 255), (byte) (byteRate & 255), (byte) ((byteRate >> 8) & 255), (byte) ((byteRate >> 16) & 255), (byte) ((byteRate >> 24) & 255), (byte) ((channels * 16) / 8), 0, 16, 0, 100, 97, 116, 97, (byte) (totalAudioLen & 255), (byte) ((totalAudioLen >> 8) & 255), (byte) ((totalAudioLen >> 16) & 255), (byte) ((totalAudioLen >> 24) & 255)};
        return header;
    }

    /* JADX WARN: Removed duplicated region for block: B:113:0x01eb A[EDGE_INSN: B:113:0x01eb->B:71:0x01eb ?: BREAK  , SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:23:0x00a5  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static void convertPcm2Acc(String inPcmFilePath, String outWavFilePath, int sampleRate, int channels, int bitNum) {
        int size;
        byte[] inBuffer;
        File inFile;
        FileInputStream in;
        FileInputStream in2;
        int size2;
        FileInputStream in3;
        int len;
        ByteBuffer[] inputBuffers;
        byte[] inBuffer2;
        long pts;
        File inFile2;
        long presentationTimeUs;
        byte[] outData;
        ByteBuffer[] outputBuffers;
        MediaCodec mediaCodec = null;
        ByteBuffer[] inputBuffers2 = null;
        ByteBuffer[] outputBuffers2 = null;
        MediaCodec.BufferInfo bufferInfo = null;
        long presentationTimeUs2 = 0;
        FileOutputStream encFi = null;
        ByteArrayOutputStream outputStream = null;
        try {
            mediaCodec = MediaCodec.createEncoderByType(MimeTypes.AUDIO_AAC);
            int[] iArr = {8000, 11025, AudioEditConstant.ExportSampleRate, 22050, 44100, 48000};
            int[] kBitRates = {64000, 96000, 128000};
            try {
                MediaFormat mediaFormat = MediaFormat.createAudioFormat(MimeTypes.AUDIO_AAC, sampleRate, channels);
                mediaFormat.setString("mime", MimeTypes.AUDIO_AAC);
                mediaFormat.setInteger("aac-profile", 2);
                mediaFormat.setInteger("bitrate", kBitRates[1]);
                mediaFormat.setInteger("max-input-size", 4096);
                mediaCodec.configure(mediaFormat, (Surface) null, (MediaCrypto) null, 1);
                mediaCodec.start();
                inputBuffers2 = mediaCodec.getInputBuffers();
                outputBuffers2 = mediaCodec.getOutputBuffers();
                bufferInfo = new MediaCodec.BufferInfo();
            } catch (IOException e) {
                e = e;
            }
        } catch (IOException e2) {
            e = e2;
        }
        try {
            File file = new File(outWavFilePath);
            encFi = new FileOutputStream(file);
            outputStream = new ByteArrayOutputStream();
        } catch (IOException e3) {
            e = e3;
            e.printStackTrace();
            size = 4096;
            inBuffer = new byte[4096];
            inFile = new File(inPcmFilePath);
            in = null;
            in2 = new FileInputStream(inFile);
            while (true) {
                size2 = size;
                in3 = in2;
                try {
                    len = in3.read(inBuffer, 0, 2048);
                    if (len > 0) {
                    }
                    in2 = in3;
                    presentationTimeUs2 = presentationTimeUs;
                    inBuffer = inBuffer;
                    size = size2;
                    inputBuffers2 = inputBuffers;
                    inFile = inFile2;
                    outputBuffers2 = outputBuffers;
                } catch (IOException e4) {
                    e = e4;
                    in = in3;
                } catch (Exception e5) {
                    e = e5;
                    in = in3;
                }
            }
            mediaCodec.stop();
            mediaCodec.release();
            outputStream.flush();
            outputStream.close();
            encFi.close();
        }
        size = 4096;
        inBuffer = new byte[4096];
        inFile = new File(inPcmFilePath);
        in = null;
        try {
            in2 = new FileInputStream(inFile);
            while (true) {
                size2 = size;
                in3 = in2;
                len = in3.read(inBuffer, 0, 2048);
                if (len > 0) {
                    break;
                }
                byte[] inBuffer3 = inBuffer;
                try {
                    int inputBufferIndex = mediaCodec.dequeueInputBuffer(-1L);
                    if (inputBufferIndex >= 0) {
                        try {
                            ByteBuffer inputBuffer = inputBuffers2[inputBufferIndex];
                            inputBuffer.clear();
                            inputBuffers = inputBuffers2;
                            inBuffer2 = inBuffer3;
                            try {
                                inputBuffer.put(inBuffer2);
                                inputBuffer.limit(inBuffer2.length);
                                pts = computePresentationTime(presentationTimeUs2);
                                inFile2 = inFile;
                            } catch (IOException e6) {
                                e = e6;
                                in = in3;
                            } catch (Exception e7) {
                                e = e7;
                                in = in3;
                            }
                        } catch (IOException e8) {
                            e = e8;
                            in = in3;
                        } catch (Exception e9) {
                            e = e9;
                            in = in3;
                        }
                        try {
                            mediaCodec.queueInputBuffer(inputBufferIndex, 1024, len, pts, 0);
                            presentationTimeUs2++;
                        } catch (IOException e10) {
                            e = e10;
                            in = in3;
                            e.printStackTrace();
                            mediaCodec.stop();
                            mediaCodec.release();
                            outputStream.flush();
                            outputStream.close();
                            encFi.close();
                        } catch (Exception e11) {
                            e = e11;
                            in = in3;
                            e.printStackTrace();
                            mediaCodec.stop();
                            mediaCodec.release();
                            outputStream.flush();
                            outputStream.close();
                            encFi.close();
                        }
                    } else {
                        inputBuffers = inputBuffers2;
                        inFile2 = inFile;
                        inBuffer2 = inBuffer3;
                    }
                    presentationTimeUs = presentationTimeUs2;
                    try {
                        int outputBufferIndex = mediaCodec.dequeueOutputBuffer(bufferInfo, 0L);
                        while (outputBufferIndex >= 0) {
                            int outBitsSize = bufferInfo.size;
                            int outPacketSize = outBitsSize + 7;
                            ByteBuffer outputBuffer = outputBuffers2[outputBufferIndex];
                            byte[] inBuffer4 = inBuffer2;
                            try {
                                outputBuffer.position(bufferInfo.offset);
                                outputBuffer.limit(bufferInfo.offset + outBitsSize);
                                outData = new byte[outPacketSize];
                                addADTStoPacket(outData, outPacketSize);
                                outputBuffers = outputBuffers2;
                            } catch (IOException e12) {
                                e = e12;
                                in = in3;
                            } catch (Exception e13) {
                                e = e13;
                                in = in3;
                            }
                            try {
                                outputBuffer.get(outData, 7, outBitsSize);
                                outputBuffer.position(bufferInfo.offset);
                                outputStream.write(outData);
                                mediaCodec.releaseOutputBuffer(outputBufferIndex, false);
                                outputBufferIndex = mediaCodec.dequeueOutputBuffer(bufferInfo, 0L);
                                inBuffer2 = inBuffer4;
                                outputBuffers2 = outputBuffers;
                            } catch (IOException e14) {
                                e = e14;
                                in = in3;
                                e.printStackTrace();
                                mediaCodec.stop();
                                mediaCodec.release();
                                outputStream.flush();
                                outputStream.close();
                                encFi.close();
                            } catch (Exception e15) {
                                e = e15;
                                in = in3;
                                e.printStackTrace();
                                mediaCodec.stop();
                                mediaCodec.release();
                                outputStream.flush();
                                outputStream.close();
                                encFi.close();
                            }
                        }
                        byte[] inBuffer5 = inBuffer2;
                        ByteBuffer[] outputBuffers3 = outputBuffers2;
                        byte[] out = outputStream.toByteArray();
                        encFi.write(out);
                        outputStream.flush();
                        outputStream.reset();
                        in2 = in3;
                        presentationTimeUs2 = presentationTimeUs;
                        inBuffer = inBuffer5;
                        size = size2;
                        inputBuffers2 = inputBuffers;
                        inFile = inFile2;
                        outputBuffers2 = outputBuffers3;
                    } catch (IOException e16) {
                        e = e16;
                        in = in3;
                    } catch (Exception e17) {
                        e = e17;
                        in = in3;
                    }
                } catch (IOException e18) {
                    e = e18;
                    in = in3;
                } catch (Exception e19) {
                    e = e19;
                    in = in3;
                }
            }
        } catch (IOException e20) {
            e = e20;
        } catch (Exception e21) {
            e = e21;
        }
        try {
            mediaCodec.stop();
            mediaCodec.release();
            outputStream.flush();
            outputStream.close();
            encFi.close();
        } catch (Exception e22) {
            e22.printStackTrace();
        }
    }

    private static void addADTStoPacket(byte[] packet, int packetLen) {
        packet[0] = -1;
        packet[1] = -7;
        packet[2] = (byte) (((2 - 1) << 6) + (4 << 2) + (2 >> 2));
        packet[3] = (byte) (((2 & 3) << 6) + (packetLen >> 11));
        packet[4] = (byte) ((packetLen & 2047) >> 3);
        packet[5] = (byte) (((packetLen & 7) << 5) + 31);
        packet[6] = -4;
    }

    private static long computePresentationTime(long frameIndex) {
        return ((90000 * frameIndex) * 1024) / 44100;
    }
}
