package im.uecahxyvjd.ui.wallet;

import android.content.Context;
import android.graphics.Typeface;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.blankj.utilcode.util.ColorUtils;
import com.blankj.utilcode.util.SpanUtils;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.tgnet.RequestDelegate;
import im.uecahxyvjd.tgnet.TLApiModel;
import im.uecahxyvjd.tgnet.TLJsonResolve;
import im.uecahxyvjd.tgnet.TLObject;
import im.uecahxyvjd.tgnet.TLRPC;
import im.uecahxyvjd.tgnet.TLRPCWallet;
import im.uecahxyvjd.ui.actionbar.ActionBar;
import im.uecahxyvjd.ui.actionbar.BaseFragment;
import im.uecahxyvjd.ui.components.AppTextView;
import im.uecahxyvjd.ui.load.SpinKitView;
import im.uecahxyvjd.ui.utils.number.MoneyUtil;
import im.uecahxyvjd.ui.utils.number.TimeUtils;
import im.uecahxyvjd.ui.wallet.model.BillRecordDetailBean;
import im.uecahxyvjd.ui.wallet.model.BillRecordResBillListBean;
import im.uecahxyvjd.ui.wallet.model.Constants;
import im.uecahxyvjd.ui.wallet.utils.AnimationUtils;
import java.math.BigDecimal;
/* loaded from: classes18.dex */
public class WalletRecordDetailActivity extends BaseFragment {
    BillRecordResBillListBean bean;
    private AppTextView btnEmpty;
    private LinearLayout content;
    BillRecordDetailBean detailBean;
    private LinearLayout emptyLayout;
    private LinearLayout fullLayout;
    private ImageView ivEmpty;
    private ImageView ivTradeIcon;
    private SpinKitView loadView;
    private LinearLayout tradeDescLayout;
    private TextView tvAmount;
    private TextView tvDesc;
    private TextView tvEmpty;
    private TextView tvFullRedPacket;
    private AppTextView tvOrderId;
    private TextView tvTitle;
    private TextView tvTradeDesc;
    private TextView tvTradeId;
    private TextView tvTradeStatus;
    private TextView tvTradeTime;
    private AppTextView tvTradeTimeDesc;

    public void setBean(BillRecordResBillListBean bean) {
        this.bean = bean;
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public boolean onFragmentCreate() {
        return super.onFragmentCreate();
    }

    @Override // im.uecahxyvjd.ui.actionbar.BaseFragment
    public View createView(Context context) {
        this.fragmentView = LayoutInflater.from(context).inflate(R.layout.activity_wallet_record_detail_layout, (ViewGroup) null);
        initActionBar();
        initViews();
        showLoading();
        this.fragmentView.postDelayed(new Runnable() { // from class: im.uecahxyvjd.ui.wallet.WalletRecordDetailActivity.1
            @Override // java.lang.Runnable
            public void run() {
                WalletRecordDetailActivity.this.loadRecordDetail();
            }
        }, 1000L);
        return this.fragmentView;
    }

    private void initActionBar() {
        if (this.bean != null) {
            this.actionBar.setTitle(getTitle(this.bean.getOrderType()));
        } else {
            this.actionBar.setTitle(LocaleController.getString(R.string.PayBillDetails));
        }
        this.actionBar.setBackButtonImage(R.mipmap.ic_back);
        this.actionBar.setCastShadows(false);
        this.actionBar.setActionBarMenuOnItemClick(new ActionBar.ActionBarMenuOnItemClick() { // from class: im.uecahxyvjd.ui.wallet.WalletRecordDetailActivity.2
            @Override // im.uecahxyvjd.ui.actionbar.ActionBar.ActionBarMenuOnItemClick
            public void onItemClick(int id) {
                if (id == -1) {
                    WalletRecordDetailActivity.this.finishFragment();
                }
            }
        });
    }

    private void initViews() {
        this.content = (LinearLayout) this.fragmentView.findViewById(R.id.content);
        this.ivTradeIcon = (ImageView) this.fragmentView.findViewById(R.id.ivTradeIcon);
        this.tvTitle = (TextView) this.fragmentView.findViewById(R.id.tvTitle);
        this.tvAmount = (TextView) this.fragmentView.findViewById(R.id.tvAmount);
        this.tradeDescLayout = (LinearLayout) this.fragmentView.findViewById(R.id.tradeDescLayout);
        this.tvTradeDesc = (TextView) this.fragmentView.findViewById(R.id.tvTradeDesc);
        this.fullLayout = (LinearLayout) this.fragmentView.findViewById(R.id.fullLayout);
        this.tvFullRedPacket = (TextView) this.fragmentView.findViewById(R.id.tvFullRedPacket);
        this.tvTradeStatus = (TextView) this.fragmentView.findViewById(R.id.tvTradeStatus);
        this.tvTradeTime = (TextView) this.fragmentView.findViewById(R.id.tvTradeTime);
        this.tvTradeId = (TextView) this.fragmentView.findViewById(R.id.tvTradeId);
        this.tvTradeTimeDesc = (AppTextView) this.fragmentView.findViewById(R.id.tvTradeTimeDesc);
        this.emptyLayout = (LinearLayout) this.fragmentView.findViewById(R.id.emptyLayout);
        this.loadView = (SpinKitView) this.fragmentView.findViewById(R.id.loadView);
        this.ivEmpty = (ImageView) this.fragmentView.findViewById(R.id.ivEmpty);
        this.tvEmpty = (TextView) this.fragmentView.findViewById(R.id.tvEmpty);
        this.tvDesc = (TextView) this.fragmentView.findViewById(R.id.tvDesc);
        this.btnEmpty = (AppTextView) this.fragmentView.findViewById(R.id.btnEmpty);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void showLoading() {
        this.content.setVisibility(8);
        this.emptyLayout.setVisibility(0);
        this.ivEmpty.setVisibility(8);
        this.tvDesc.setVisibility(8);
        this.btnEmpty.setVisibility(8);
        this.loadView.setVisibility(0);
        this.tvEmpty.setVisibility(0);
        this.tvEmpty.setText(LocaleController.getString(R.string.NowLoading));
        this.tvEmpty.setTextColor(ColorUtils.getColor(R.color.text_descriptive_color));
    }

    private void showContent() {
        this.content.setVisibility(0);
        this.emptyLayout.setVisibility(8);
        AnimationUtils.executeAlphaScaleDisplayAnimation(this.content);
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* renamed from: showError */
    public void m3925x54c16785() {
        this.content.setVisibility(8);
        this.emptyLayout.setVisibility(0);
        AnimationUtils.executeAlphaScaleDisplayAnimation(this.emptyLayout);
        this.ivEmpty.setVisibility(0);
        this.tvDesc.setVisibility(0);
        this.btnEmpty.setVisibility(0);
        this.loadView.setVisibility(8);
        this.tvEmpty.setVisibility(0);
        this.tvEmpty.setText(LocaleController.getString(R.string.SystemIsBusyAndTryAgainLater));
        this.tvEmpty.setTextColor(ColorUtils.getColor(R.color.text_primary_color));
        this.tvDesc.setText(LocaleController.getString(R.string.ClickTheButtonToTryAgain));
        this.btnEmpty.setText(LocaleController.getString(R.string.Refresh));
        this.btnEmpty.setOnClickListener(new View.OnClickListener() { // from class: im.uecahxyvjd.ui.wallet.WalletRecordDetailActivity.3
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                WalletRecordDetailActivity.this.showLoading();
                WalletRecordDetailActivity.this.loadRecordDetail();
            }
        });
    }

    private void initDatas() {
        if (this.detailBean == null) {
            return;
        }
        setHeaderInfo();
    }

    private void setHeaderInfo() {
        int orderType = this.detailBean.getOrderType();
        this.ivTradeIcon.setImageResource(getTradeIcon(orderType, this.detailBean.getStatus()));
        ctrlTradeDesc();
        SpanUtils.with(this.tvAmount).append(this.detailBean.getDp()).append("￥").setTypeface(Typeface.MONOSPACE).append(MoneyUtil.formatToString(new BigDecimal(this.detailBean.getAmount()).divide(new BigDecimal("100")).toString(), 2)).create();
        ctrlViews();
    }

    private void ctrlTradeDesc() {
        int orderType = this.detailBean.getOrderType();
        String target = "";
        if (!TextUtils.isEmpty(this.bean.getGroupsNumber())) {
            TLRPC.Chat chat = getMessagesController().getChat(Integer.valueOf(Integer.parseInt(this.bean.getGroupsNumber())));
            if (chat != null) {
                target = chat.title;
            }
            if (TextUtils.isEmpty(target) && !TextUtils.isEmpty(this.detailBean.getGroupsName())) {
                target = this.detailBean.getGroupsName();
            }
        }
        if (TextUtils.isEmpty(target) && !TextUtils.isEmpty(this.detailBean.getEffectUserId())) {
            TLRPC.User user = getMessagesController().getUser(Integer.valueOf(Integer.parseInt(this.detailBean.getEffectUserId())));
            if (user != null) {
                target = user.first_name;
            }
            if (TextUtils.isEmpty(target) && !TextUtils.isEmpty(this.detailBean.getEffectUserName())) {
                target = this.detailBean.getEffectUserName();
            }
        }
        this.tvTitle.setText(getTitleDesc(orderType, target));
    }

    private void ctrlViews() {
        int orderType = this.detailBean.getOrderType();
        initFullLayout();
        initStatus();
        this.tvTradeId.setText(this.detailBean.getOrderId());
        this.tvTradeTimeDesc.setText(getTradeTimeStr(orderType));
        this.tvTradeTime.setText(getTradeTime());
        initTradeDesc();
    }

    private void initFullLayout() {
        if (this.detailBean.isGroupRedPacketRefund()) {
            if (this.detailBean.isPartialRefund()) {
                this.fullLayout.setVisibility(0);
                SpanUtils.with(this.tvFullRedPacket).append("￥").setTypeface(Typeface.MONOSPACE).append(MoneyUtil.formatToString(new BigDecimal(this.detailBean.getOriginalAmount()).divide(new BigDecimal("100")).toString(), 2)).create();
                return;
            }
            this.fullLayout.setVisibility(8);
            return;
        }
        this.fullLayout.setVisibility(8);
    }

    private void initTradeDesc() {
        int orderType = this.detailBean.getOrderType();
        if (orderType == 7) {
            this.tradeDescLayout.setVisibility(0);
            if (this.detailBean.getRefundTypeInt() == 0) {
                this.tvTradeDesc.setText(LocaleController.getString(R.string.ManualRefund));
                return;
            } else {
                this.tvTradeDesc.setText(LocaleController.getString(R.string.OverTimeRefund));
                return;
            }
        }
        this.tradeDescLayout.setVisibility(8);
    }

    private String getTradeTime() {
        BillRecordDetailBean billRecordDetailBean = this.detailBean;
        if (billRecordDetailBean == null) {
            return "";
        }
        int orderType = billRecordDetailBean.getOrderType();
        switch (orderType) {
            case 5:
            case 7:
            case 8:
            case 12:
                String updateTime = this.detailBean.getUpdateTime();
                if (!TextUtils.isEmpty(updateTime)) {
                    return TimeUtils.getTimeLocalString("yyyy-MM-dd HH:mm:ss", updateTime, "HH:mm:ss dd/MM/yy");
                }
                return updateTime;
            default:
                String createTime = this.detailBean.getCreateTime();
                if (!TextUtils.isEmpty(createTime)) {
                    return TimeUtils.getTimeLocalString("yyyy-MM-dd HH:mm:ss", createTime, "HH:mm:ss dd/MM/yy");
                }
                return createTime;
        }
    }

    private String getTradeTimeStr(int type) {
        switch (type) {
            case 0:
            case 5:
                return LocaleController.getString(R.string.PayBillArrivalTime);
            case 6:
                return LocaleController.getString(R.string.TransferTime);
            case 7:
                return LocaleController.getString(R.string.RefundTime);
            case 8:
                return LocaleController.getString(R.string.PayBillArrivalTime);
            case 9:
            case 10:
            case 11:
                return LocaleController.getString(R.string.PaidTime);
            case 12:
                return LocaleController.getString(R.string.PayBillArrivalTime);
            case 13:
            case 21:
                return LocaleController.getString(R.string.PayBillArrivalTime);
            case 25:
                return LocaleController.getString(R.string.DebitTime);
            case 26:
            case 27:
                return LocaleController.getString(R.string.PayBillArrivalTime);
            default:
                return LocaleController.getString(R.string.UnKnown);
        }
    }

    private void initStatus() {
        if (this.detailBean == null) {
            this.tvTradeStatus.setText(LocaleController.getString(R.string.UnKnown));
            return;
        }
        SpanUtils span = SpanUtils.with(this.tvTradeStatus);
        int type = this.detailBean.getOrderType();
        if (type == 5 || type == 8 || type == 13 || type == 21) {
            span.append(LocaleController.getString(R.string.ArrivaledAccount));
        } else if (type == 0 || type == 6 || type == 9 || type == 10 || type == 11 || type == 25 || type == 26 || type == 27) {
            span.append(LocaleController.getString(R.string.Success));
        } else if (type == 7) {
            this.tvTradeStatus.setTextColor(ColorUtils.getColor(R.color.text_red_color));
            span.append(LocaleController.getString(R.string.Refunded));
            String amount = this.detailBean.getAmount();
            if (TextUtils.isEmpty(amount)) {
                amount = "0";
            }
            span.append(" ").append("￥").setTypeface(Typeface.MONOSPACE);
            span.append(MoneyUtil.formatToString(new BigDecimal(amount).divide(new BigDecimal("100")).toString(), 2));
        } else if (type == 12) {
            this.tvTradeStatus.setTextColor(ColorUtils.getColor(R.color.text_red_color));
            if (this.detailBean.isPersonalRedPacketRefund()) {
                span.append(LocaleController.getString(R.string.Refunded));
            } else if (this.detailBean.isPartialRefund()) {
                span.append(LocaleController.getString(R.string.PartiallyRefunded));
            } else {
                span.append(LocaleController.getString(R.string.FullyRefunded));
            }
            String amount2 = this.detailBean.getAmount();
            if (TextUtils.isEmpty(amount2)) {
                amount2 = "0";
            }
            span.append(" ").append("￥").setTypeface(Typeface.MONOSPACE);
            span.append(MoneyUtil.formatToString(new BigDecimal(amount2).divide(new BigDecimal("100")).toString(), 2));
        } else {
            span.append(LocaleController.getString(R.string.UnKnown));
        }
        span.create();
    }

    private int getTradeIcon(int type, int status) {
        switch (type) {
            case 0:
                if (status == 0 || status == 1) {
                    return R.mipmap.ic_top_up_success;
                }
                return R.mipmap.ic_top_up_failed;
            case 1:
                return (status == 0 || status == 1) ? R.mipmap.transfer_success_icon : R.mipmap.ic_transfer_failed;
            case 2:
            case 3:
            case 4:
            case 14:
            case 15:
            case 16:
            case 17:
            case 18:
            case 19:
            case 20:
            case 22:
            case 23:
            case 24:
            default:
                return R.mipmap.transfer_success_icon;
            case 5:
            case 6:
            case 7:
                return R.mipmap.ic_bill_detail_trasfer;
            case 8:
            case 9:
            case 10:
            case 11:
            case 12:
                return R.mipmap.ic_bill_detail_packet;
            case 13:
            case 21:
            case 25:
                return R.mipmap.ic_back_top_up;
            case 26:
            case 27:
                return R.mipmap.ic_order_live;
        }
    }

    private String getTitle(int type) {
        switch (type) {
            case 0:
                return LocaleController.getString(R.string.TopUp);
            case 5:
            case 6:
            case 7:
                return LocaleController.getString(R.string.Transfer);
            case 8:
            case 9:
            case 10:
            case 11:
                return LocaleController.getString(R.string.RedPacket);
            case 12:
                return LocaleController.getString(R.string.RefundRedPacketsWithOut_);
            case 13:
            case 21:
                return LocaleController.getString(R.string.BackstageAccount);
            case 25:
                return LocaleController.getString(R.string.BackOfficeAccount);
            case 26:
            case 27:
                return LocaleController.getString(R.string.LiveReward);
            default:
                return LocaleController.getString(R.string.PayBillDetails);
        }
    }

    private String getTitleDesc(int type, String target) {
        switch (type) {
            case 0:
                return LocaleController.getString(R.string.TopUpToWallet);
            case 5:
                return String.format(LocaleController.getString(R.string.TransferFromSomebody), target);
            case 6:
            case 7:
                return String.format(LocaleController.getString(R.string.TransferToSombody), target);
            case 8:
                return String.format(LocaleController.getString(R.string.RedPacketFromSomebody), target);
            case 9:
            case 10:
            case 11:
                return String.format(LocaleController.getString(R.string.RedPacketToSomebody), target);
            case 12:
                return String.format(LocaleController.getString(R.string.RedPacketRefundFromSomebody), target);
            case 13:
            case 21:
                return LocaleController.getString(R.string.BackstageAccount);
            case 25:
                return LocaleController.getString(R.string.BackOfficeAccount);
            case 26:
                return String.format(LocaleController.getString(R.string.LiveRewardToFormat), target);
            case 27:
                return String.format(LocaleController.getString(R.string.LiveRewardFromFormat), target);
            default:
                return LocaleController.getString(R.string.UnKnown);
        }
    }

    private String getTradeDesc(int type, String target) {
        switch (type) {
            case 5:
                return String.format(LocaleController.getString(R.string.SombodyTransferToYou), target);
            case 6:
            case 7:
                return String.format(LocaleController.getString(R.string.YouTransferToSomebody), target);
            case 8:
                return String.format(LocaleController.getString(R.string.RedPacketFromSomebody), target);
            case 9:
            case 10:
            case 11:
                return String.format(LocaleController.getString(R.string.RedPacketToSomebody), target);
            case 12:
                return String.format(LocaleController.getString(R.string.RedPacketToSomebodyReturned), target);
            case 13:
            case 21:
                return LocaleController.getString(R.string.BackgroundTopUp);
            case 14:
            case 15:
            case 16:
            case 17:
            case 18:
            case 19:
            case 20:
            default:
                return LocaleController.getString(R.string.UnKnown);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void loadRecordDetail() {
        if (this.bean == null) {
            return;
        }
        TLRPCWallet.Builder builder = new TLRPCWallet.Builder();
        builder.setBusinessKey(Constants.KEY_ORDER_DETAIL);
        builder.addParam("userId", Integer.valueOf(getUserConfig().clientUserId));
        builder.addParam("orderId", this.bean.getOrderId());
        builder.addParam("orderType", Integer.valueOf(this.bean.getOrderType()));
        TLRPCWallet.TL_paymentTrans req = builder.build();
        getConnectionsManager().bindRequestToGuid(getConnectionsManager().sendRequest(req, new RequestDelegate() { // from class: im.uecahxyvjd.ui.wallet.WalletRecordDetailActivity$$ExternalSyntheticLambda3
            @Override // im.uecahxyvjd.tgnet.RequestDelegate
            public final void run(TLObject tLObject, TLRPC.TL_error tL_error) {
                WalletRecordDetailActivity.this.m3926x829a01e4(tLObject, tL_error);
            }
        }), this.classGuid);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadRecordDetail$3$im-uecahxyvjd-ui-wallet-WalletRecordDetailActivity  reason: not valid java name */
    public /* synthetic */ void m3926x829a01e4(TLObject response, TLRPC.TL_error error) {
        if (error != null) {
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.wallet.WalletRecordDetailActivity$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    WalletRecordDetailActivity.this.m3923xf91032c7();
                }
            });
        } else if (response instanceof TLRPCWallet.TL_paymentTransResult) {
            TLRPCWallet.TL_paymentTransResult result = (TLRPCWallet.TL_paymentTransResult) response;
            TLApiModel<BillRecordDetailBean> parse = TLJsonResolve.parse3(result.data, BillRecordDetailBean.class);
            if (parse.isSuccess()) {
                this.detailBean = (BillRecordDetailBean) parse.model;
                AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.wallet.WalletRecordDetailActivity$$ExternalSyntheticLambda1
                    @Override // java.lang.Runnable
                    public final void run() {
                        WalletRecordDetailActivity.this.m3924x26e8cd26();
                    }
                });
                return;
            }
            AndroidUtilities.runOnUIThread(new Runnable() { // from class: im.uecahxyvjd.ui.wallet.WalletRecordDetailActivity$$ExternalSyntheticLambda2
                @Override // java.lang.Runnable
                public final void run() {
                    WalletRecordDetailActivity.this.m3925x54c16785();
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* renamed from: lambda$loadRecordDetail$1$im-uecahxyvjd-ui-wallet-WalletRecordDetailActivity  reason: not valid java name */
    public /* synthetic */ void m3924x26e8cd26() {
        showContent();
        initDatas();
    }
}
