package im.uecahxyvjd.ui.wallet.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import com.blankj.utilcode.util.ColorUtils;
import im.uecahxyvjd.messenger.AndroidUtilities;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.ui.actionbar.Theme;
import im.uecahxyvjd.ui.components.RecyclerListView;
import java.util.ArrayList;
import java.util.List;
/* loaded from: classes14.dex */
public class PasswordKeyboardAdapter extends RecyclerListView.SelectionAdapter {
    private Context mContext;
    private List<Integer> mNumbers;

    public PasswordKeyboardAdapter(Context context, List<Integer> list) {
        this.mNumbers = new ArrayList();
        this.mContext = context;
        this.mNumbers = list;
    }

    @Override // im.uecahxyvjd.ui.components.RecyclerListView.SelectionAdapter
    public boolean isEnabled(RecyclerView.ViewHolder holder) {
        return false;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        return this.mNumbers.size();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View view;
        switch (viewType) {
            case 0:
                view = LayoutInflater.from(this.mContext).inflate(R.layout.item_payment_password_number, parent, false);
                break;
            case 1:
                view = new View(this.mContext);
                break;
            case 2:
                view = new View(this.mContext);
                break;
            default:
                view = new View(this.mContext);
                break;
        }
        return new RecyclerListView.Holder(view);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
        switch (holder.getItemViewType()) {
            case 0:
                TextView tvNumber = (TextView) holder.itemView.findViewById(R.id.btn_number);
                ImageView ivDelete = (ImageView) holder.itemView.findViewById(R.id.iv_delete);
                tvNumber.setText(String.valueOf(this.mNumbers.get(position)));
                tvNumber.setBackground(Theme.getRoundRectSelectorDrawable(AndroidUtilities.dp(10.0f), ColorUtils.getColor(R.color.dialog_password_bg)));
                ivDelete.setBackground(Theme.getRoundRectSelectorDrawable(AndroidUtilities.dp(10.0f), ColorUtils.getColor(R.color.dialog_password_bg)));
                if (position == 11) {
                    tvNumber.setVisibility(8);
                    ivDelete.setVisibility(0);
                    return;
                }
                ivDelete.setVisibility(8);
                tvNumber.setVisibility(0);
                return;
            default:
                return;
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemViewType(int i) {
        if (i == 9) {
            return 1;
        }
        return 0;
    }
}
