package im.uecahxyvjd.ui.wallet.utils;

import im.uecahxyvjd.messenger.LocaleController;
import im.uecahxyvjd.messenger.R;
import im.uecahxyvjd.ui.components.toast.ToastUtils;
import im.uecahxyvjd.ui.hui.wallet_public.utils.WalletErrorUtil;
/* loaded from: classes15.dex */
public class ExceptionUtils {
    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    public static boolean handleCommonError(String error) {
        char c;
        switch (error.hashCode()) {
            case -1766454629:
                if (error.equals("ERROR_PHONE_NOT_NULL")) {
                    c = 5;
                    break;
                }
                c = 65535;
                break;
            case 21821413:
                if (error.equals("USER_INFONNOT_CODE")) {
                    c = 0;
                    break;
                }
                c = 65535;
                break;
            case 746324468:
                if (error.equals("SYSTEM_ERROR_CODE")) {
                    c = 6;
                    break;
                }
                c = 65535;
                break;
            case 1077990923:
                if (error.equals("ERROR_USER_IS_NOT_NULL")) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            case 1335086637:
                if (error.equals("ERROR_ILLEGAL_CODE")) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            case 1554846384:
                if (error.equals("ACCOUNT_HAS_BEEN_FROZEN_CODE")) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            case 1688152246:
                if (error.equals("SYSTEM_ERROR_ACCOUNT_EXCEPTION_CODE")) {
                    c = 4;
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        switch (c) {
            case 0:
                ToastUtils.show((CharSequence) LocaleController.getString("CurrentUserNotOpenedWalletAccount", R.string.CurrentUserNotOpenedWalletAccount));
                return true;
            case 1:
                ToastUtils.show((CharSequence) LocaleController.getString("UserNotNull", R.string.UserNotNull));
                return true;
            case 2:
                ToastUtils.show((CharSequence) LocaleController.getString("IllegalOperation", R.string.IllegalOperation));
                return true;
            case 3:
                ToastUtils.show((CharSequence) LocaleController.getString("AccountHadBeenForzen", R.string.AccountHadBeenForzen));
                return true;
            case 4:
                ToastUtils.show((CharSequence) LocaleController.getString("AbnormalAccountInformation", R.string.AbnormalAccountInformation));
                return true;
            case 5:
            case 6:
                ToastUtils.show((CharSequence) LocaleController.getString("SystemIsBusyAndTryAgainLater", R.string.SystemIsBusyAndTryAgainLater));
                return true;
            default:
                return false;
        }
    }

    public static void handleCreateAccountError(String error) {
        char c;
        if (handleCommonError(error)) {
            return;
        }
        switch (error.hashCode()) {
            case 1260306429:
                if (error.equals("ERROR_ACCOUNT_SYNCHRONIZED")) {
                    c = 0;
                    break;
                }
            default:
                c = 65535;
                break;
        }
        switch (c) {
            case 0:
                ToastUtils.show((CharSequence) LocaleController.getString(R.string.WalletAccountCreated));
                return;
            default:
                return;
        }
    }

    public static void handleGetAccountInfoError(String error) {
        char c;
        if (handleCommonError(error)) {
            return;
        }
        switch (error.hashCode()) {
            case 1260306429:
                if (error.equals("ERROR_ACCOUNT_SYNCHRONIZED")) {
                    c = 0;
                    break;
                }
            default:
                c = 65535;
                break;
        }
        switch (c) {
            case 0:
                ToastUtils.show((CharSequence) LocaleController.getString(R.string.WalletAccountCreated));
                return;
            default:
                return;
        }
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    public static void handlePaymentPasswordException(String ex) {
        char c;
        if (handleCommonError(ex)) {
            return;
        }
        switch (ex.hashCode()) {
            case -169668534:
                if (ex.equals("ERROR_CONFIRM_PAY_PASSWORD_NOT_NULL")) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            case -151239405:
                if (ex.equals("SMS_CODE_NULL")) {
                    c = 5;
                    break;
                }
                c = 65535;
                break;
            case 930821507:
                if (ex.equals("TYPE_IS_NOT_NULL")) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            case 1420798828:
                if (ex.equals("SAFETY_CODE_NULL")) {
                    c = 4;
                    break;
                }
                c = 65535;
                break;
            case 1730358686:
                if (ex.equals("ERROR_NEW_PASSWORD_IS_INCONSISTENT")) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            case 2000358825:
                if (ex.equals("ERROR_PAY_PASSWORD_NOT_NULL")) {
                    c = 0;
                    break;
                }
                c = 65535;
                break;
            case 2140948840:
                if (ex.equals("ERROR_OLD_PASSWORD_NOT_NULL")) {
                    c = 6;
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        switch (c) {
            case 0:
                ToastUtils.show((CharSequence) LocaleController.getString(R.string.PayPasswordNotNull));
                return;
            case 1:
                ToastUtils.show((CharSequence) LocaleController.getString(R.string.ComfirmPayPasswordNotNull));
                return;
            case 2:
                ToastUtils.show((CharSequence) LocaleController.getString(R.string.NewPasswordInconsistent));
                return;
            case 3:
                ToastUtils.show((CharSequence) LocaleController.getString(R.string.TypeCannotBeEmpty));
                return;
            case 4:
                ToastUtils.show((CharSequence) LocaleController.getString(R.string.SecurityCodeNotNull));
                return;
            case 5:
                ToastUtils.show((CharSequence) LocaleController.getString(R.string.VertificationCodeNotNull));
                return;
            case 6:
                ToastUtils.show((CharSequence) LocaleController.getString(R.string.OldPasswordNotNull));
                return;
            default:
                ToastUtils.show((CharSequence) WalletErrorUtil.getErrorDescription(ex));
                return;
        }
    }

    public static void handlePayChannelException(String ex) {
        if (handleCommonError(ex)) {
            return;
        }
        ToastUtils.show((CharSequence) WalletErrorUtil.getErrorDescription(ex));
    }

    public static void handleWithdrawException(String ex) {
        if (handleCommonError(ex)) {
            return;
        }
        ToastUtils.show((CharSequence) WalletErrorUtil.getErrorDescription(ex));
    }
}
