package io.openinstall.sdk;

import android.content.Context;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.os.Build;
import android.provider.Settings;
import android.text.TextUtils;
import android.util.Base64;
import com.king.zxing.util.LogUtils;
import java.io.IOException;
import java.io.RandomAccessFile;
import java.net.InetAddress;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.nio.channels.FileChannel;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.List;
import java.util.Locale;
import kotlin.UByte;
/* loaded from: classes19.dex */
public class j {
    private static j k;
    private static final Object l = new Object();

    /* renamed from: a  reason: collision with root package name */
    private final Context f675a;
    private final f b;
    private final String c;
    private final String d = Build.VERSION.RELEASE;
    private final Integer e;
    private final String f;
    private final String g;
    private final String h;
    private final String i;
    private final String j;
    private String m;
    private String n;
    private String o;

    private j(Context context, f fVar) {
        Integer num;
        this.f675a = context;
        this.b = fVar;
        this.c = context.getPackageName();
        String str = null;
        try {
            PackageInfo packageInfo = context.getPackageManager().getPackageInfo(context.getPackageName(), 0);
            num = Integer.valueOf(packageInfo.versionCode);
            try {
                str = packageInfo.versionName;
            } catch (PackageManager.NameNotFoundException e) {
            }
        } catch (PackageManager.NameNotFoundException e2) {
            num = null;
        }
        this.e = num;
        this.f = str;
        this.g = Build.MODEL;
        this.h = Build.ID;
        this.i = Build.DISPLAY;
        this.j = Build.BRAND;
    }

    public static j a(Context context, f fVar) {
        synchronized (l) {
            if (k == null) {
                k = new j(context.getApplicationContext(), fVar);
            }
        }
        return k;
    }

    private boolean a(String str) {
        return TextUtils.isEmpty(str) || str.equalsIgnoreCase(ca.m);
    }

    private boolean b(String str) {
        return TextUtils.isEmpty(str) || str.equalsIgnoreCase(ca.i) || str.equalsIgnoreCase(ca.m);
    }

    public String a() {
        String str = this.m;
        if (str != null) {
            return str;
        }
        String a2 = this.b.a("FM_android_id");
        if (TextUtils.isEmpty(a2)) {
            try {
                a2 = Settings.Secure.getString(this.f675a.getContentResolver(), "android_id");
            } catch (Throwable th) {
            }
        }
        if (b(a2)) {
            this.b.a("FM_android_id", ca.m);
            a2 = "";
        } else {
            this.b.a("FM_android_id", a2);
        }
        this.m = a2;
        return this.m;
    }

    public String b() {
        String str = this.n;
        if (str != null) {
            return str;
        }
        String a2 = this.b.a("FM_serial_number");
        if (TextUtils.isEmpty(a2)) {
            if (Build.VERSION.SDK_INT < 26) {
                a2 = Build.SERIAL;
            } else {
                try {
                    a2 = Build.getSerial();
                } catch (SecurityException e) {
                } catch (Throwable th) {
                }
            }
        }
        if (a(a2)) {
            this.b.a("FM_serial_number", ca.m);
            a2 = "";
        } else {
            this.b.a("FM_serial_number", a2);
        }
        this.n = a2;
        return this.n;
    }

    public String c() {
        String str = this.o;
        if (str != null) {
            return str;
        }
        try {
            byte[] digest = MessageDigest.getInstance("SHA1").digest(this.f675a.getPackageManager().getPackageInfo(this.f675a.getPackageName(), 64).signatures[0].toByteArray());
            StringBuilder sb = new StringBuilder();
            for (byte b : digest) {
                String upperCase = Integer.toHexString(b & UByte.MAX_VALUE).toUpperCase(Locale.US);
                if (upperCase.length() == 1) {
                    sb.append("0");
                }
                sb.append(upperCase);
                sb.append(LogUtils.COLON);
            }
            String sb2 = sb.toString();
            this.o = sb2.substring(0, sb2.length() - 1);
        } catch (PackageManager.NameNotFoundException e) {
        } catch (NoSuchAlgorithmException e2) {
        } catch (Throwable th) {
        }
        return this.o;
    }

    public String d() {
        return this.c;
    }

    public String e() {
        return this.d;
    }

    public Integer f() {
        return this.e;
    }

    public String g() {
        return this.g;
    }

    public String h() {
        return this.h;
    }

    public String i() {
        return this.i;
    }

    public String j() {
        return this.j;
    }

    public String k() {
        FileChannel fileChannel;
        try {
            fileChannel = new RandomAccessFile(this.f675a.getApplicationInfo().sourceDir, "r").getChannel();
            try {
                ao a2 = ap.a(fileChannel);
                if (a2 == null) {
                    if (fileChannel != null) {
                        try {
                            fileChannel.close();
                        } catch (IOException e) {
                        }
                    }
                    return "";
                }
                byte[] c = a2.c();
                if (c == null) {
                    if (fileChannel != null) {
                        try {
                            fileChannel.close();
                        } catch (IOException e2) {
                        }
                    }
                    return "";
                }
                String str = new String(Base64.encode(c, 10), ac.c);
                if (fileChannel != null) {
                    try {
                        fileChannel.close();
                    } catch (IOException e3) {
                    }
                }
                return str;
            } catch (IOException e4) {
                if (fileChannel == null) {
                    return null;
                }
                try {
                    fileChannel.close();
                    return null;
                } catch (IOException e5) {
                    return null;
                }
            } catch (Throwable th) {
                if (fileChannel == null) {
                    return null;
                }
                fileChannel.close();
                return null;
            }
        } catch (IOException e6) {
            fileChannel = null;
        } catch (Throwable th2) {
            fileChannel = null;
        }
    }

    public List<String> l() {
        ArrayList arrayList = new ArrayList();
        try {
            Enumeration<NetworkInterface> networkInterfaces = NetworkInterface.getNetworkInterfaces();
            if (networkInterfaces != null) {
                while (networkInterfaces.hasMoreElements()) {
                    NetworkInterface nextElement = networkInterfaces.nextElement();
                    if (!nextElement.isLoopback() && nextElement.isUp()) {
                        Enumeration<InetAddress> inetAddresses = nextElement.getInetAddresses();
                        while (inetAddresses.hasMoreElements()) {
                            arrayList.add(inetAddresses.nextElement().getHostAddress());
                        }
                    }
                }
            }
        } catch (SocketException e) {
        } catch (Throwable th) {
        }
        return arrayList;
    }
}
