package io.reactivex.internal.util;

import io.reactivex.Observer;
import io.reactivex.functions.BiPredicate;
import io.reactivex.functions.Predicate;
import org.reactivestreams.Subscriber;
/* loaded from: classes19.dex */
public class AppendOnlyLinkedArrayList<T> {
    final int capacity;
    final Object[] head;
    int offset;
    Object[] tail;

    /* loaded from: classes19.dex */
    public interface NonThrowingPredicate<T> extends Predicate<T> {
        @Override // io.reactivex.functions.Predicate
        boolean test(T t);
    }

    public AppendOnlyLinkedArrayList(int capacity) {
        this.capacity = capacity;
        Object[] objArr = new Object[capacity + 1];
        this.head = objArr;
        this.tail = objArr;
    }

    public void add(T value) {
        int c = this.capacity;
        int o = this.offset;
        if (o == c) {
            Object[] next = new Object[c + 1];
            this.tail[c] = next;
            this.tail = next;
            o = 0;
        }
        this.tail[o] = value;
        this.offset = o + 1;
    }

    public void setFirst(T value) {
        this.head[0] = value;
    }

    public void forEachWhile(NonThrowingPredicate<? super T> consumer) {
        int i;
        int c = this.capacity;
        for (Object[] a2 = this.head; a2 != null; a2 = a2[c]) {
            while (i < c) {
                Object o = a2[i];
                i = (o == null || consumer.test(o)) ? 0 : i + 1;
            }
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:20:0x0019, code lost:
        continue;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public <U> boolean accept(Subscriber<? super U> subscriber) {
        int c = this.capacity;
        for (Object[] a2 = this.head; a2 != null; a2 = (Object[]) a2[c]) {
            for (int i = 0; i < c; i++) {
                Object o = a2[i];
                if (o == null) {
                    break;
                } else if (NotificationLite.acceptFull(o, subscriber)) {
                    return true;
                }
            }
        }
        return false;
    }

    /* JADX WARN: Code restructure failed: missing block: B:20:0x0019, code lost:
        continue;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public <U> boolean accept(Observer<? super U> observer) {
        int c = this.capacity;
        for (Object[] a2 = this.head; a2 != null; a2 = (Object[]) a2[c]) {
            for (int i = 0; i < c; i++) {
                Object o = a2[i];
                if (o == null) {
                    break;
                } else if (NotificationLite.acceptFull(o, observer)) {
                    return true;
                }
            }
        }
        return false;
    }

    public <S> void forEachWhile(S state, BiPredicate<? super S, ? super T> consumer) throws Exception {
        Object[] a2 = this.head;
        int c = this.capacity;
        while (true) {
            for (int i = 0; i < c; i++) {
                Object o = a2[i];
                if (o == null || consumer.test(state, o)) {
                    return;
                }
            }
            a2 = a2[c];
        }
    }
}
