package java9.util;

import java9.util.concurrent.CountedCompleter;
import java9.util.concurrent.ForkJoinPool;
import java9.util.function.BinaryOperator;
import java9.util.function.DoubleBinaryOperator;
import java9.util.function.IntBinaryOperator;
import java9.util.function.LongBinaryOperator;
/* loaded from: classes19.dex */
public class ArrayPrefixHelpers {
    public static final int CUMULATE = 1;
    public static final int FINISHED = 4;
    public static final int MIN_PARTITION = 16;
    public static final int SUMMED = 2;

    /* loaded from: classes19.dex */
    public static final class CumulateTask<T> extends CountedCompleter<Void> {
        public final T[] array;
        public final int fence;
        public final BinaryOperator<T> function;
        public final int hi;
        public T in;
        public CumulateTask<T> left;
        public final int lo;
        public final int origin;
        public T out;
        public CumulateTask<T> right;
        public final int threshold;

        public CumulateTask(CumulateTask<T> cumulateTask, BinaryOperator<T> binaryOperator, T[] tArr, int i, int i2) {
            super(cumulateTask);
            this.function = binaryOperator;
            this.array = tArr;
            this.origin = i;
            this.lo = i;
            this.fence = i2;
            this.hi = i2;
            int commonPoolParallelism = (i2 - i) / (ForkJoinPool.getCommonPoolParallelism() << 3);
            this.threshold = commonPoolParallelism <= 16 ? 16 : commonPoolParallelism;
        }

        public CumulateTask(CumulateTask<T> cumulateTask, BinaryOperator<T> binaryOperator, T[] tArr, int i, int i2, int i3, int i4, int i5) {
            super(cumulateTask);
            this.function = binaryOperator;
            this.array = tArr;
            this.origin = i;
            this.fence = i2;
            this.threshold = i3;
            this.lo = i4;
            this.hi = i5;
        }

        /* JADX WARN: Removed duplicated region for block: B:110:0x0156 A[SYNTHETIC] */
        /* JADX WARN: Removed duplicated region for block: B:117:0x0086 A[SYNTHETIC] */
        /* JADX WARN: Removed duplicated region for block: B:33:0x0089  */
        /* JADX WARN: Removed duplicated region for block: B:41:0x009a  */
        @Override // java9.util.concurrent.CountedCompleter
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public final void compute() {
            T[] tArr;
            int i;
            int pendingCount;
            int i2;
            T t;
            CumulateTask<T> cumulateTask;
            int i3;
            int pendingCount2;
            CumulateTask<T> cumulateTask2;
            int pendingCount3;
            BinaryOperator<T> binaryOperator = this.function;
            if (binaryOperator == null || (tArr = this.array) == null) {
                throw null;
            }
            int i4 = this.threshold;
            int i5 = this.origin;
            int i6 = this.fence;
            CumulateTask<T> cumulateTask3 = this;
            while (true) {
                int i7 = cumulateTask3.lo;
                if (i7 < 0 || (i = cumulateTask3.hi) > tArr.length) {
                    return;
                }
                if (i - i7 > i4) {
                    CumulateTask<T> cumulateTask4 = cumulateTask3.left;
                    CumulateTask<T> cumulateTask5 = cumulateTask3.right;
                    if (cumulateTask4 == null) {
                        int i8 = (i7 + i) >>> 1;
                        CumulateTask<T> cumulateTask6 = cumulateTask3;
                        CumulateTask<T> cumulateTask7 = new CumulateTask<>(cumulateTask3, binaryOperator, tArr, i5, i6, i4, i8, i);
                        cumulateTask6.right = cumulateTask7;
                        CumulateTask<T> cumulateTask8 = new CumulateTask<>(cumulateTask6, binaryOperator, tArr, i5, i6, i4, i7, i8);
                        cumulateTask6.left = cumulateTask8;
                        cumulateTask3 = cumulateTask8;
                        cumulateTask2 = cumulateTask7;
                    } else {
                        T t2 = cumulateTask3.in;
                        cumulateTask4.in = t2;
                        if (cumulateTask5 != null) {
                            T t3 = cumulateTask4.out;
                            if (i7 != i5) {
                                t3 = (T) binaryOperator.apply(t2, t3);
                            }
                            cumulateTask5.in = t3;
                            do {
                                pendingCount3 = cumulateTask5.getPendingCount();
                                if ((pendingCount3 & 1) != 0) {
                                }
                            } while (!cumulateTask5.compareAndSetPendingCount(pendingCount3, pendingCount3 | 1));
                            while (true) {
                                pendingCount2 = cumulateTask4.getPendingCount();
                                if ((pendingCount2 & 1) == 0) {
                                    cumulateTask4 = cumulateTask5;
                                    cumulateTask2 = null;
                                    break;
                                } else if (cumulateTask4.compareAndSetPendingCount(pendingCount2, pendingCount2 | 1)) {
                                    if (cumulateTask5 == null) {
                                        cumulateTask5 = null;
                                    }
                                    cumulateTask2 = cumulateTask5;
                                }
                            }
                            if (cumulateTask4 != null) {
                                return;
                            }
                            cumulateTask3 = cumulateTask4;
                        }
                        cumulateTask5 = null;
                        while (true) {
                            pendingCount2 = cumulateTask4.getPendingCount();
                            if ((pendingCount2 & 1) == 0) {
                            }
                            

                            /* loaded from: classes19.dex */
                            public static final class DoubleCumulateTask extends CountedCompleter<Void> {
                                public final double[] array;
                                public final int fence;
                                public final DoubleBinaryOperator function;
                                public final int hi;
                                public double in;
                                public DoubleCumulateTask left;
                                public final int lo;
                                public final int origin;
                                public double out;
                                public DoubleCumulateTask right;
                                public final int threshold;

                                public DoubleCumulateTask(DoubleCumulateTask doubleCumulateTask, DoubleBinaryOperator doubleBinaryOperator, double[] dArr, int i, int i2) {
                                    super(doubleCumulateTask);
                                    this.function = doubleBinaryOperator;
                                    this.array = dArr;
                                    this.origin = i;
                                    this.lo = i;
                                    this.fence = i2;
                                    this.hi = i2;
                                    int commonPoolParallelism = (i2 - i) / (ForkJoinPool.getCommonPoolParallelism() << 3);
                                    this.threshold = commonPoolParallelism <= 16 ? 16 : commonPoolParallelism;
                                }

                                public DoubleCumulateTask(DoubleCumulateTask doubleCumulateTask, DoubleBinaryOperator doubleBinaryOperator, double[] dArr, int i, int i2, int i3, int i4, int i5) {
                                    super(doubleCumulateTask);
                                    this.function = doubleBinaryOperator;
                                    this.array = dArr;
                                    this.origin = i;
                                    this.fence = i2;
                                    this.threshold = i3;
                                    this.lo = i4;
                                    this.hi = i5;
                                }

                                /* JADX WARN: Removed duplicated region for block: B:109:0x0155 A[SYNTHETIC] */
                                /* JADX WARN: Removed duplicated region for block: B:116:0x0086 A[SYNTHETIC] */
                                /* JADX WARN: Removed duplicated region for block: B:33:0x0089  */
                                /* JADX WARN: Removed duplicated region for block: B:41:0x009a  */
                                @Override // java9.util.concurrent.CountedCompleter
                                /*
                                    Code decompiled incorrectly, please refer to instructions dump.
                                */
                                public final void compute() {
                                    double[] dArr;
                                    int i;
                                    int pendingCount;
                                    int i2;
                                    double d;
                                    DoubleCumulateTask doubleCumulateTask;
                                    int pendingCount2;
                                    DoubleCumulateTask doubleCumulateTask2;
                                    int pendingCount3;
                                    DoubleBinaryOperator doubleBinaryOperator = this.function;
                                    if (doubleBinaryOperator == null || (dArr = this.array) == null) {
                                        throw null;
                                    }
                                    int i3 = this.threshold;
                                    int i4 = this.origin;
                                    int i5 = this.fence;
                                    DoubleCumulateTask doubleCumulateTask3 = this;
                                    while (true) {
                                        int i6 = doubleCumulateTask3.lo;
                                        if (i6 < 0 || (i = doubleCumulateTask3.hi) > dArr.length) {
                                            return;
                                        }
                                        if (i - i6 > i3) {
                                            DoubleCumulateTask doubleCumulateTask4 = doubleCumulateTask3.left;
                                            DoubleCumulateTask doubleCumulateTask5 = doubleCumulateTask3.right;
                                            if (doubleCumulateTask4 == null) {
                                                int i7 = (i6 + i) >>> 1;
                                                DoubleCumulateTask doubleCumulateTask6 = doubleCumulateTask3;
                                                DoubleCumulateTask doubleCumulateTask7 = new DoubleCumulateTask(doubleCumulateTask3, doubleBinaryOperator, dArr, i4, i5, i3, i7, i);
                                                doubleCumulateTask6.right = doubleCumulateTask7;
                                                DoubleCumulateTask doubleCumulateTask8 = new DoubleCumulateTask(doubleCumulateTask6, doubleBinaryOperator, dArr, i4, i5, i3, i6, i7);
                                                doubleCumulateTask6.left = doubleCumulateTask8;
                                                doubleCumulateTask3 = doubleCumulateTask8;
                                                doubleCumulateTask2 = doubleCumulateTask7;
                                            } else {
                                                double d2 = doubleCumulateTask3.in;
                                                doubleCumulateTask4.in = d2;
                                                if (doubleCumulateTask5 != null) {
                                                    double d3 = doubleCumulateTask4.out;
                                                    if (i6 != i4) {
                                                        d3 = doubleBinaryOperator.applyAsDouble(d2, d3);
                                                    }
                                                    doubleCumulateTask5.in = d3;
                                                    do {
                                                        pendingCount3 = doubleCumulateTask5.getPendingCount();
                                                        if ((pendingCount3 & 1) != 0) {
                                                        }
                                                    } while (!doubleCumulateTask5.compareAndSetPendingCount(pendingCount3, pendingCount3 | 1));
                                                    while (true) {
                                                        pendingCount2 = doubleCumulateTask4.getPendingCount();
                                                        if ((pendingCount2 & 1) == 0) {
                                                            doubleCumulateTask4 = doubleCumulateTask5;
                                                            doubleCumulateTask2 = null;
                                                            break;
                                                        } else if (doubleCumulateTask4.compareAndSetPendingCount(pendingCount2, pendingCount2 | 1)) {
                                                            if (doubleCumulateTask5 == null) {
                                                                doubleCumulateTask5 = null;
                                                            }
                                                            doubleCumulateTask2 = doubleCumulateTask5;
                                                        }
                                                    }
                                                    if (doubleCumulateTask4 != null) {
                                                        return;
                                                    }
                                                    doubleCumulateTask3 = doubleCumulateTask4;
                                                }
                                                doubleCumulateTask5 = null;
                                                while (true) {
                                                    pendingCount2 = doubleCumulateTask4.getPendingCount();
                                                    if ((pendingCount2 & 1) == 0) {
                                                    }
                                                    

                                                    /* loaded from: classes19.dex */
                                                    public static final class IntCumulateTask extends CountedCompleter<Void> {
                                                        public final int[] array;
                                                        public final int fence;
                                                        public final IntBinaryOperator function;
                                                        public final int hi;
                                                        public int in;
                                                        public IntCumulateTask left;
                                                        public final int lo;
                                                        public final int origin;
                                                        public int out;
                                                        public IntCumulateTask right;
                                                        public final int threshold;

                                                        public IntCumulateTask(IntCumulateTask intCumulateTask, IntBinaryOperator intBinaryOperator, int[] iArr, int i, int i2) {
                                                            super(intCumulateTask);
                                                            this.function = intBinaryOperator;
                                                            this.array = iArr;
                                                            this.origin = i;
                                                            this.lo = i;
                                                            this.fence = i2;
                                                            this.hi = i2;
                                                            int commonPoolParallelism = (i2 - i) / (ForkJoinPool.getCommonPoolParallelism() << 3);
                                                            this.threshold = commonPoolParallelism <= 16 ? 16 : commonPoolParallelism;
                                                        }

                                                        public IntCumulateTask(IntCumulateTask intCumulateTask, IntBinaryOperator intBinaryOperator, int[] iArr, int i, int i2, int i3, int i4, int i5) {
                                                            super(intCumulateTask);
                                                            this.function = intBinaryOperator;
                                                            this.array = iArr;
                                                            this.origin = i;
                                                            this.fence = i2;
                                                            this.threshold = i3;
                                                            this.lo = i4;
                                                            this.hi = i5;
                                                        }

                                                        /* JADX WARN: Removed duplicated region for block: B:110:0x0156 A[SYNTHETIC] */
                                                        /* JADX WARN: Removed duplicated region for block: B:117:0x0086 A[SYNTHETIC] */
                                                        /* JADX WARN: Removed duplicated region for block: B:33:0x0089  */
                                                        /* JADX WARN: Removed duplicated region for block: B:41:0x009a  */
                                                        @Override // java9.util.concurrent.CountedCompleter
                                                        /*
                                                            Code decompiled incorrectly, please refer to instructions dump.
                                                        */
                                                        public final void compute() {
                                                            int[] iArr;
                                                            int i;
                                                            int pendingCount;
                                                            int i2;
                                                            int i3;
                                                            IntCumulateTask intCumulateTask;
                                                            int i4;
                                                            int pendingCount2;
                                                            IntCumulateTask intCumulateTask2;
                                                            int pendingCount3;
                                                            IntBinaryOperator intBinaryOperator = this.function;
                                                            if (intBinaryOperator == null || (iArr = this.array) == null) {
                                                                throw null;
                                                            }
                                                            int i5 = this.threshold;
                                                            int i6 = this.origin;
                                                            int i7 = this.fence;
                                                            IntCumulateTask intCumulateTask3 = this;
                                                            while (true) {
                                                                int i8 = intCumulateTask3.lo;
                                                                if (i8 < 0 || (i = intCumulateTask3.hi) > iArr.length) {
                                                                    return;
                                                                }
                                                                if (i - i8 > i5) {
                                                                    IntCumulateTask intCumulateTask4 = intCumulateTask3.left;
                                                                    IntCumulateTask intCumulateTask5 = intCumulateTask3.right;
                                                                    if (intCumulateTask4 == null) {
                                                                        int i9 = (i8 + i) >>> 1;
                                                                        IntCumulateTask intCumulateTask6 = intCumulateTask3;
                                                                        IntCumulateTask intCumulateTask7 = new IntCumulateTask(intCumulateTask3, intBinaryOperator, iArr, i6, i7, i5, i9, i);
                                                                        intCumulateTask6.right = intCumulateTask7;
                                                                        IntCumulateTask intCumulateTask8 = new IntCumulateTask(intCumulateTask6, intBinaryOperator, iArr, i6, i7, i5, i8, i9);
                                                                        intCumulateTask6.left = intCumulateTask8;
                                                                        intCumulateTask3 = intCumulateTask8;
                                                                        intCumulateTask2 = intCumulateTask7;
                                                                    } else {
                                                                        int i10 = intCumulateTask3.in;
                                                                        intCumulateTask4.in = i10;
                                                                        if (intCumulateTask5 != null) {
                                                                            int i11 = intCumulateTask4.out;
                                                                            if (i8 != i6) {
                                                                                i11 = intBinaryOperator.applyAsInt(i10, i11);
                                                                            }
                                                                            intCumulateTask5.in = i11;
                                                                            do {
                                                                                pendingCount3 = intCumulateTask5.getPendingCount();
                                                                                if ((pendingCount3 & 1) != 0) {
                                                                                }
                                                                            } while (!intCumulateTask5.compareAndSetPendingCount(pendingCount3, pendingCount3 | 1));
                                                                            while (true) {
                                                                                pendingCount2 = intCumulateTask4.getPendingCount();
                                                                                if ((pendingCount2 & 1) == 0) {
                                                                                    intCumulateTask4 = intCumulateTask5;
                                                                                    intCumulateTask2 = null;
                                                                                    break;
                                                                                } else if (intCumulateTask4.compareAndSetPendingCount(pendingCount2, pendingCount2 | 1)) {
                                                                                    if (intCumulateTask5 == null) {
                                                                                        intCumulateTask5 = null;
                                                                                    }
                                                                                    intCumulateTask2 = intCumulateTask5;
                                                                                }
                                                                            }
                                                                            if (intCumulateTask4 != null) {
                                                                                return;
                                                                            }
                                                                            intCumulateTask3 = intCumulateTask4;
                                                                        }
                                                                        intCumulateTask5 = null;
                                                                        while (true) {
                                                                            pendingCount2 = intCumulateTask4.getPendingCount();
                                                                            if ((pendingCount2 & 1) == 0) {
                                                                            }
                                                                            

                                                                            /* loaded from: classes19.dex */
                                                                            public static final class LongCumulateTask extends CountedCompleter<Void> {
                                                                                public final long[] array;
                                                                                public final int fence;
                                                                                public final LongBinaryOperator function;
                                                                                public final int hi;
                                                                                public long in;
                                                                                public LongCumulateTask left;
                                                                                public final int lo;
                                                                                public final int origin;
                                                                                public long out;
                                                                                public LongCumulateTask right;
                                                                                public final int threshold;

                                                                                public LongCumulateTask(LongCumulateTask longCumulateTask, LongBinaryOperator longBinaryOperator, long[] jArr, int i, int i2) {
                                                                                    super(longCumulateTask);
                                                                                    this.function = longBinaryOperator;
                                                                                    this.array = jArr;
                                                                                    this.origin = i;
                                                                                    this.lo = i;
                                                                                    this.fence = i2;
                                                                                    this.hi = i2;
                                                                                    int commonPoolParallelism = (i2 - i) / (ForkJoinPool.getCommonPoolParallelism() << 3);
                                                                                    this.threshold = commonPoolParallelism <= 16 ? 16 : commonPoolParallelism;
                                                                                }

                                                                                public LongCumulateTask(LongCumulateTask longCumulateTask, LongBinaryOperator longBinaryOperator, long[] jArr, int i, int i2, int i3, int i4, int i5) {
                                                                                    super(longCumulateTask);
                                                                                    this.function = longBinaryOperator;
                                                                                    this.array = jArr;
                                                                                    this.origin = i;
                                                                                    this.fence = i2;
                                                                                    this.threshold = i3;
                                                                                    this.lo = i4;
                                                                                    this.hi = i5;
                                                                                }

                                                                                /* JADX WARN: Removed duplicated region for block: B:109:0x0155 A[SYNTHETIC] */
                                                                                /* JADX WARN: Removed duplicated region for block: B:116:0x0086 A[SYNTHETIC] */
                                                                                /* JADX WARN: Removed duplicated region for block: B:33:0x0089  */
                                                                                /* JADX WARN: Removed duplicated region for block: B:41:0x009a  */
                                                                                @Override // java9.util.concurrent.CountedCompleter
                                                                                /*
                                                                                    Code decompiled incorrectly, please refer to instructions dump.
                                                                                */
                                                                                public final void compute() {
                                                                                    long[] jArr;
                                                                                    int i;
                                                                                    int pendingCount;
                                                                                    int i2;
                                                                                    long j;
                                                                                    LongCumulateTask longCumulateTask;
                                                                                    int pendingCount2;
                                                                                    LongCumulateTask longCumulateTask2;
                                                                                    int pendingCount3;
                                                                                    LongBinaryOperator longBinaryOperator = this.function;
                                                                                    if (longBinaryOperator == null || (jArr = this.array) == null) {
                                                                                        throw null;
                                                                                    }
                                                                                    int i3 = this.threshold;
                                                                                    int i4 = this.origin;
                                                                                    int i5 = this.fence;
                                                                                    LongCumulateTask longCumulateTask3 = this;
                                                                                    while (true) {
                                                                                        int i6 = longCumulateTask3.lo;
                                                                                        if (i6 < 0 || (i = longCumulateTask3.hi) > jArr.length) {
                                                                                            return;
                                                                                        }
                                                                                        if (i - i6 > i3) {
                                                                                            LongCumulateTask longCumulateTask4 = longCumulateTask3.left;
                                                                                            LongCumulateTask longCumulateTask5 = longCumulateTask3.right;
                                                                                            if (longCumulateTask4 == null) {
                                                                                                int i7 = (i6 + i) >>> 1;
                                                                                                LongCumulateTask longCumulateTask6 = longCumulateTask3;
                                                                                                LongCumulateTask longCumulateTask7 = new LongCumulateTask(longCumulateTask3, longBinaryOperator, jArr, i4, i5, i3, i7, i);
                                                                                                longCumulateTask6.right = longCumulateTask7;
                                                                                                LongCumulateTask longCumulateTask8 = new LongCumulateTask(longCumulateTask6, longBinaryOperator, jArr, i4, i5, i3, i6, i7);
                                                                                                longCumulateTask6.left = longCumulateTask8;
                                                                                                longCumulateTask3 = longCumulateTask8;
                                                                                                longCumulateTask2 = longCumulateTask7;
                                                                                            } else {
                                                                                                long j2 = longCumulateTask3.in;
                                                                                                longCumulateTask4.in = j2;
                                                                                                if (longCumulateTask5 != null) {
                                                                                                    long j3 = longCumulateTask4.out;
                                                                                                    if (i6 != i4) {
                                                                                                        j3 = longBinaryOperator.applyAsLong(j2, j3);
                                                                                                    }
                                                                                                    longCumulateTask5.in = j3;
                                                                                                    do {
                                                                                                        pendingCount3 = longCumulateTask5.getPendingCount();
                                                                                                        if ((pendingCount3 & 1) != 0) {
                                                                                                        }
                                                                                                    } while (!longCumulateTask5.compareAndSetPendingCount(pendingCount3, pendingCount3 | 1));
                                                                                                    while (true) {
                                                                                                        pendingCount2 = longCumulateTask4.getPendingCount();
                                                                                                        if ((pendingCount2 & 1) == 0) {
                                                                                                            longCumulateTask4 = longCumulateTask5;
                                                                                                            longCumulateTask2 = null;
                                                                                                            break;
                                                                                                        } else if (longCumulateTask4.compareAndSetPendingCount(pendingCount2, pendingCount2 | 1)) {
                                                                                                            if (longCumulateTask5 == null) {
                                                                                                                longCumulateTask5 = null;
                                                                                                            }
                                                                                                            longCumulateTask2 = longCumulateTask5;
                                                                                                        }
                                                                                                    }
                                                                                                    if (longCumulateTask4 != null) {
                                                                                                        return;
                                                                                                    }
                                                                                                    longCumulateTask3 = longCumulateTask4;
                                                                                                }
                                                                                                longCumulateTask5 = null;
                                                                                                while (true) {
                                                                                                    pendingCount2 = longCumulateTask4.getPendingCount();
                                                                                                    if ((pendingCount2 & 1) == 0) {
                                                                                                    }
                                                                                                    
                                                                                                }
