package java9.util;

import java.util.Comparator;
import java9.util.concurrent.CountedCompleter;
/* loaded from: classes19.dex */
public final class ArraysParallelSortHelpers {

    /* loaded from: classes19.dex */
    public static final class EmptyCompleter extends CountedCompleter<Void> {
        public static final long serialVersionUID = 2446542900576103244L;

        public EmptyCompleter(CountedCompleter<?> countedCompleter) {
            super(countedCompleter);
        }

        @Override // java9.util.concurrent.CountedCompleter
        public final void compute() {
        }
    }

    /* loaded from: classes19.dex */
    public static final class FJObject {

        /* loaded from: classes19.dex */
        public static final class Merger<T> extends CountedCompleter<Void> {
            public static final long serialVersionUID = 2446542900576103244L;

            /* renamed from: a  reason: collision with root package name */
            public final T[] f688a;
            public Comparator<? super T> comparator;
            public final int gran;
            public final int lbase;
            public final int lsize;
            public final int rbase;
            public final int rsize;
            public final T[] w;
            public final int wbase;

            public Merger(CountedCompleter<?> countedCompleter, T[] tArr, T[] tArr2, int i, int i2, int i3, int i4, int i5, int i6, Comparator<? super T> comparator) {
                super(countedCompleter);
                this.f688a = tArr;
                this.w = tArr2;
                this.lbase = i;
                this.lsize = i2;
                this.rbase = i3;
                this.rsize = i4;
                this.wbase = i5;
                this.gran = i6;
                this.comparator = comparator;
            }

            /* JADX WARN: Multi-variable type inference failed */
            @Override // java9.util.concurrent.CountedCompleter
            public final void compute() {
                int i;
                int i2;
                Comparator<? super T> comparator = this.comparator;
                Object[] objArr = this.f688a;
                T[] tArr = this.w;
                int i3 = this.lbase;
                int i4 = this.lsize;
                int i5 = this.rbase;
                int i6 = this.rsize;
                int i7 = this.wbase;
                int i8 = this.gran;
                if (objArr == null || tArr == 0 || i3 < 0 || i5 < 0 || i7 < 0 || comparator == null) {
                    throw new IllegalStateException();
                }
                while (true) {
                    int i9 = 0;
                    int i10 = 1;
                    if (i4 >= i6) {
                        if (i4 <= i8) {
                            break;
                        }
                        int i11 = i4 >>> 1;
                        Object obj = objArr[i11 + i3];
                        int i12 = i6;
                        while (i9 < i12) {
                            int i13 = (i9 + i12) >>> i10;
                            if (comparator.compare(obj, objArr[i13 + i5]) <= 0) {
                                i12 = i13;
                            } else {
                                i9 = i13 + 1;
                            }
                            i10 = 1;
                        }
                        i2 = i11;
                        i = i12;
                        int i14 = i8;
                        Merger merger = new Merger(this, objArr, tArr, i3 + i2, i4 - i2, i5 + i, i6 - i, i7 + i2 + i, i14, comparator);
                        addToPendingCount(1);
                        merger.fork();
                        i4 = i2;
                        i8 = i14;
                        i6 = i;
                        i7 = i7;
                        objArr = objArr;
                        i5 = i5;
                    } else if (i6 <= i8) {
                        break;
                    } else {
                        int i15 = i6 >>> 1;
                        Object obj2 = objArr[i15 + i5];
                        int i16 = i4;
                        while (i9 < i16) {
                            int i17 = (i9 + i16) >>> 1;
                            if (comparator.compare(obj2, objArr[i17 + i3]) <= 0) {
                                i16 = i17;
                            } else {
                                i9 = i17 + 1;
                            }
                        }
                        i = i15;
                        i2 = i16;
                        int i142 = i8;
                        Merger merger2 = new Merger(this, objArr, tArr, i3 + i2, i4 - i2, i5 + i, i6 - i, i7 + i2 + i, i142, comparator);
                        addToPendingCount(1);
                        merger2.fork();
                        i4 = i2;
                        i8 = i142;
                        i6 = i;
                        i7 = i7;
                        objArr = objArr;
                        i5 = i5;
                    }
                }
                int i18 = i4 + i3;
                int i19 = i6 + i5;
                while (i3 < i18 && i5 < i19) {
                    Object obj3 = objArr[i3];
                    Object obj4 = objArr[i5];
                    if (comparator.compare(obj3, obj4) <= 0) {
                        i3++;
                    } else {
                        i5++;
                        obj3 = obj4;
                    }
                    tArr[i7] = obj3;
                    i7++;
                }
                if (i5 < i19) {
                    System.arraycopy(objArr, i5, tArr, i7, i19 - i5);
                } else if (i3 < i18) {
                    System.arraycopy(objArr, i3, tArr, i7, i18 - i3);
                }
                tryComplete();
            }
        }

        /* loaded from: classes19.dex */
        public static final class Sorter<T> extends CountedCompleter<Void> {
            public static final long serialVersionUID = 2446542900576103244L;

            /* renamed from: a  reason: collision with root package name */
            public final T[] f689a;
            public final int base;
            public Comparator<? super T> comparator;
            public final int gran;
            public final int size;
            public final T[] w;
            public final int wbase;

            public Sorter(CountedCompleter<?> countedCompleter, T[] tArr, T[] tArr2, int i, int i2, int i3, int i4, Comparator<? super T> comparator) {
                super(countedCompleter);
                this.f689a = tArr;
                this.w = tArr2;
                this.base = i;
                this.size = i2;
                this.wbase = i3;
                this.gran = i4;
                this.comparator = comparator;
            }

            @Override // java9.util.concurrent.CountedCompleter
            public final void compute() {
                Comparator<? super T> comparator = this.comparator;
                T[] tArr = this.f689a;
                T[] tArr2 = this.w;
                int i = this.base;
                int i2 = this.size;
                int i3 = this.wbase;
                int i4 = this.gran;
                CountedCompleter countedCompleter = this;
                int i5 = i2;
                while (i5 > i4) {
                    int i6 = i5 >>> 1;
                    int i7 = i6 >>> 1;
                    int i8 = i6 + i7;
                    int i9 = i3 + i6;
                    T[] tArr3 = tArr2;
                    int i10 = i4;
                    int i11 = i3;
                    Relay relay = new Relay(new Merger(countedCompleter, tArr2, tArr, i3, i6, i9, i5 - i6, i, i4, comparator));
                    int i12 = i + i6;
                    int i13 = i + i8;
                    int i14 = i5 - i8;
                    Relay relay2 = new Relay(new Merger(relay, tArr, tArr3, i12, i7, i13, i14, i9, i4, comparator));
                    new Sorter(relay2, tArr, tArr3, i13, i14, i11 + i8, i10, comparator).fork();
                    new Sorter(relay2, tArr, tArr3, i12, i7, i9, i10, comparator).fork();
                    int i15 = i + i7;
                    int i16 = i6 - i7;
                    Relay relay3 = new Relay(new Merger(relay, tArr, tArr3, i, i7, i15, i16, i11, i4, comparator));
                    new Sorter(relay3, tArr, tArr3, i15, i16, i11 + i7, i10, comparator).fork();
                    countedCompleter = new EmptyCompleter(relay3);
                    i5 = i7;
                    tArr2 = tArr3;
                    i4 = i10;
                    i3 = i11;
                }
                int i17 = i5;
                int i18 = i + i17;
                TimSort.sort(tArr, i, i18, comparator, tArr2, i3, i17);
                countedCompleter.tryComplete();
            }
        }
    }

    /* loaded from: classes19.dex */
    public static final class Relay extends CountedCompleter<Void> {
        public static final long serialVersionUID = 2446542900576103244L;
        public final CountedCompleter<?> task;

        public Relay(CountedCompleter<?> countedCompleter) {
            super(null, 1);
            this.task = countedCompleter;
        }

        @Override // java9.util.concurrent.CountedCompleter
        public final void compute() {
        }

        @Override // java9.util.concurrent.CountedCompleter
        public final void onCompletion(CountedCompleter<?> countedCompleter) {
            this.task.compute();
        }
    }
}
