package java9.util;

import com.nmmedit.protect.NativeUtil;
import java.io.Serializable;
import java.lang.invoke.SerializedLambda;
import java.util.Collections;
import java.util.Comparator;
import java9.util.function.Function;
import java9.util.function.ToDoubleFunction;
import java9.util.function.ToIntFunction;
import java9.util.function.ToLongFunction;
/* loaded from: classes19.dex */
public final class Comparators {

    /* loaded from: classes19.dex */
    public enum NaturalOrderComparator implements Comparator<Comparable<Object>> {
        INSTANCE;

        @Override // java.util.Comparator
        public int compare(Comparable<Object> comparable, Comparable<Object> comparable2) {
            return comparable.compareTo(comparable2);
        }

        @Override // java.util.Comparator
        public Comparator<Comparable<Object>> reversed() {
            return Comparators.reverseOrder();
        }
    }

    /* loaded from: classes19.dex */
    public static final class NullComparator<T> implements Comparator<T>, Serializable {
        public static final long serialVersionUID = -7569533591570686392L;
        public final boolean nullFirst;
        public final Comparator<T> real;

        static {
            NativeUtil.classesInit0(17);
        }

        /* JADX WARN: Multi-variable type inference failed */
        public NullComparator(boolean z, Comparator<? super T> comparator) {
            this.nullFirst = z;
            this.real = comparator;
        }

        @Override // java.util.Comparator
        public native int compare(T t, T t2);

        @Override // java.util.Comparator
        public native Comparator<T> reversed();

        @Override // java.util.Comparator
        public native Comparator<T> thenComparing(Comparator<? super T> comparator);
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    public static /* synthetic */ Object $deserializeLambda$(SerializedLambda serializedLambda) {
        char c;
        String implMethodName = serializedLambda.getImplMethodName();
        switch (implMethodName.hashCode()) {
            case -1401815966:
                if (implMethodName.equals("lambda$comparingDouble$1e38a0fe$1")) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            case -1039857081:
                if (implMethodName.equals("lambda$comparing$73019568$1")) {
                    c = 0;
                    break;
                }
                c = 65535;
                break;
            case -143689684:
                if (implMethodName.equals("lambda$comparing$2cd0d0b9$1")) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            case 276880229:
                if (implMethodName.equals("lambda$comparingInt$535d0a$1")) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            case 1925838799:
                if (implMethodName.equals("lambda$thenComparing$aafead48$1")) {
                    c = 4;
                    break;
                }
                c = 65535;
                break;
            case 2019510994:
                if (implMethodName.equals("lambda$comparingLong$dc7bafe8$1")) {
                    c = 5;
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        switch (c) {
            case 0:
                if (serializedLambda.getImplMethodKind() == 6 && serializedLambda.getFunctionalInterfaceClass().equals("java/util/Comparator") && serializedLambda.getFunctionalInterfaceMethodName().equals("compare") && serializedLambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;Ljava/lang/Object;)I") && serializedLambda.getImplClass().equals("java9/util/Comparators") && serializedLambda.getImplMethodSignature().equals("(Ljava/util/Comparator;Ljava9/util/function/Function;Ljava/lang/Object;Ljava/lang/Object;)I")) {
                    return new Comparators$$ExternalSyntheticLambda1((Comparator) serializedLambda.getCapturedArg(0), (Function) serializedLambda.getCapturedArg(1));
                }
                break;
            case 1:
                if (serializedLambda.getImplMethodKind() == 6 && serializedLambda.getFunctionalInterfaceClass().equals("java/util/Comparator") && serializedLambda.getFunctionalInterfaceMethodName().equals("compare") && serializedLambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;Ljava/lang/Object;)I") && serializedLambda.getImplClass().equals("java9/util/Comparators") && serializedLambda.getImplMethodSignature().equals("(Ljava9/util/function/Function;Ljava/lang/Object;Ljava/lang/Object;)I")) {
                    return new Comparators$$ExternalSyntheticLambda5((Function) serializedLambda.getCapturedArg(0));
                }
                break;
            case 2:
                if (serializedLambda.getImplMethodKind() == 6 && serializedLambda.getFunctionalInterfaceClass().equals("java/util/Comparator") && serializedLambda.getFunctionalInterfaceMethodName().equals("compare") && serializedLambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;Ljava/lang/Object;)I") && serializedLambda.getImplClass().equals("java9/util/Comparators") && serializedLambda.getImplMethodSignature().equals("(Ljava9/util/function/ToDoubleFunction;Ljava/lang/Object;Ljava/lang/Object;)I")) {
                    return new Comparators$$ExternalSyntheticLambda4((ToDoubleFunction) serializedLambda.getCapturedArg(0));
                }
                break;
            case 3:
                if (serializedLambda.getImplMethodKind() == 6 && serializedLambda.getFunctionalInterfaceClass().equals("java/util/Comparator") && serializedLambda.getFunctionalInterfaceMethodName().equals("compare") && serializedLambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;Ljava/lang/Object;)I") && serializedLambda.getImplClass().equals("java9/util/Comparators") && serializedLambda.getImplMethodSignature().equals("(Ljava9/util/function/ToIntFunction;Ljava/lang/Object;Ljava/lang/Object;)I")) {
                    return new Comparators$$ExternalSyntheticLambda0((ToIntFunction) serializedLambda.getCapturedArg(0));
                }
                break;
            case 4:
                if (serializedLambda.getImplMethodKind() == 6 && serializedLambda.getFunctionalInterfaceClass().equals("java/util/Comparator") && serializedLambda.getFunctionalInterfaceMethodName().equals("compare") && serializedLambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;Ljava/lang/Object;)I") && serializedLambda.getImplClass().equals("java9/util/Comparators") && serializedLambda.getImplMethodSignature().equals("(Ljava/util/Comparator;Ljava/util/Comparator;Ljava/lang/Object;Ljava/lang/Object;)I")) {
                    return new Comparators$$ExternalSyntheticLambda3((Comparator) serializedLambda.getCapturedArg(0), (Comparator) serializedLambda.getCapturedArg(1));
                }
                break;
            case 5:
                if (serializedLambda.getImplMethodKind() == 6 && serializedLambda.getFunctionalInterfaceClass().equals("java/util/Comparator") && serializedLambda.getFunctionalInterfaceMethodName().equals("compare") && serializedLambda.getFunctionalInterfaceMethodSignature().equals("(Ljava/lang/Object;Ljava/lang/Object;)I") && serializedLambda.getImplClass().equals("java9/util/Comparators") && serializedLambda.getImplMethodSignature().equals("(Ljava9/util/function/ToLongFunction;Ljava/lang/Object;Ljava/lang/Object;)I")) {
                    return new Comparators$$ExternalSyntheticLambda2((ToLongFunction) serializedLambda.getCapturedArg(0));
                }
                break;
        }
        throw new IllegalArgumentException("Invalid lambda deserialization");
    }

    public static <T, U extends Comparable<? super U>> Comparator<T> comparing(Function<? super T, ? extends U> function) {
        Objects.requireNonNull(function);
        return new Comparators$$ExternalSyntheticLambda5(function);
    }

    public static <T, U> Comparator<T> comparing(Function<? super T, ? extends U> function, Comparator<? super U> comparator) {
        Objects.requireNonNull(function);
        Objects.requireNonNull(comparator);
        return new Comparators$$ExternalSyntheticLambda1(comparator, function);
    }

    public static <T> Comparator<T> comparingDouble(ToDoubleFunction<? super T> toDoubleFunction) {
        Objects.requireNonNull(toDoubleFunction);
        return new Comparators$$ExternalSyntheticLambda4(toDoubleFunction);
    }

    public static <T> Comparator<T> comparingInt(ToIntFunction<? super T> toIntFunction) {
        Objects.requireNonNull(toIntFunction);
        return new Comparators$$ExternalSyntheticLambda0(toIntFunction);
    }

    public static <T> Comparator<T> comparingLong(ToLongFunction<? super T> toLongFunction) {
        Objects.requireNonNull(toLongFunction);
        return new Comparators$$ExternalSyntheticLambda2(toLongFunction);
    }

    public static <T extends Comparable<? super T>> Comparator<T> naturalOrder() {
        return NaturalOrderComparator.INSTANCE;
    }

    public static <T> Comparator<T> nullsFirst(Comparator<? super T> comparator) {
        return new NullComparator(true, comparator);
    }

    public static <T> Comparator<T> nullsLast(Comparator<? super T> comparator) {
        return new NullComparator(false, comparator);
    }

    public static <T extends Comparable<? super T>> Comparator<T> reverseOrder() {
        return Collections.reverseOrder();
    }

    public static <T> Comparator<T> reversed(Comparator<T> comparator) {
        return comparator instanceof NullComparator ? ((NullComparator) comparator).reversed() : Collections.reverseOrder(comparator);
    }

    public static <T> Comparator<T> thenComparing(Comparator<? super T> comparator, Comparator<? super T> comparator2) {
        Objects.requireNonNull(comparator);
        Objects.requireNonNull(comparator2);
        return comparator instanceof NullComparator ? ((NullComparator) comparator).thenComparing(comparator2) : new Comparators$$ExternalSyntheticLambda3(comparator, comparator2);
    }

    public static <T, U extends Comparable<? super U>> Comparator<T> thenComparing(Comparator<? super T> comparator, Function<? super T, ? extends U> function) {
        return thenComparing(comparator, comparing(function));
    }

    public static <T, U> Comparator<T> thenComparing(Comparator<? super T> comparator, Function<? super T, ? extends U> function, Comparator<? super U> comparator2) {
        return thenComparing(comparator, comparing(function, comparator2));
    }

    public static <T> Comparator<T> thenComparingDouble(Comparator<? super T> comparator, ToDoubleFunction<? super T> toDoubleFunction) {
        return thenComparing(comparator, comparingDouble(toDoubleFunction));
    }

    public static <T> Comparator<T> thenComparingInt(Comparator<? super T> comparator, ToIntFunction<? super T> toIntFunction) {
        return thenComparing(comparator, comparingInt(toIntFunction));
    }

    public static <T> Comparator<T> thenComparingLong(Comparator<? super T> comparator, ToLongFunction<? super T> toLongFunction) {
        return thenComparing(comparator, comparingLong(toLongFunction));
    }
}
