package java9.util;

import java.util.Comparator;
import java.util.function.Consumer;
/* loaded from: classes19.dex */
public final class DelegatingSpliterator<T> implements Spliterator<T> {
    public final java.util.Spliterator<T> spliter;

    /* loaded from: classes19.dex */
    public static final class ConsumerDelegate<T> implements Consumer<T> {
        public final java9.util.function.Consumer<T> delegate;

        public ConsumerDelegate(java9.util.function.Consumer<T> consumer) {
            Objects.requireNonNull(consumer);
            this.delegate = consumer;
        }

        @Override // java.util.function.Consumer
        public void accept(T t) {
            this.delegate.accept(t);
        }

        @Override // java.util.function.Consumer
        public Consumer<T> andThen(final Consumer<? super T> consumer) {
            Objects.requireNonNull(consumer);
            return new ConsumerDelegate(this.delegate.andThen(new java9.util.function.Consumer<T>() { // from class: java9.util.DelegatingSpliterator.ConsumerDelegate.1
                @Override // java9.util.function.Consumer
                public void accept(T t) {
                    consumer.accept(t);
                }

                @Override // java9.util.function.Consumer
                public /* synthetic */ java9.util.function.Consumer andThen(java9.util.function.Consumer consumer2) {
                    return Objects.requireNonNull(consumer2);
                }
            }));
        }
    }

    public DelegatingSpliterator(java.util.Spliterator<T> spliterator) {
        Objects.requireNonNull(spliterator);
        this.spliter = spliterator;
    }

    @Override // java9.util.Spliterator
    public int characteristics() {
        return this.spliter.characteristics();
    }

    @Override // java9.util.Spliterator
    public long estimateSize() {
        return this.spliter.estimateSize();
    }

    @Override // java9.util.Spliterator
    public void forEachRemaining(java9.util.function.Consumer<? super T> consumer) {
        this.spliter.forEachRemaining(new ConsumerDelegate(consumer));
    }

    @Override // java9.util.Spliterator
    public Comparator<? super T> getComparator() {
        return this.spliter.getComparator();
    }

    @Override // java9.util.Spliterator
    public long getExactSizeIfKnown() {
        return this.spliter.getExactSizeIfKnown();
    }

    @Override // java9.util.Spliterator
    public boolean hasCharacteristics(int i) {
        return this.spliter.hasCharacteristics(i);
    }

    @Override // java9.util.Spliterator
    public boolean tryAdvance(java9.util.function.Consumer<? super T> consumer) {
        return this.spliter.tryAdvance(new ConsumerDelegate(consumer));
    }

    @Override // java9.util.Spliterator
    public Spliterator<T> trySplit() {
        java.util.Spliterator<T> trySplit = this.spliter.trySplit();
        if (trySplit == null) {
            return null;
        }
        return new DelegatingSpliterator(trySplit);
    }
}
