package java9.util;

import com.litesuits.orm.db.assit.SQLBuilder;
import com.nmmedit.protect.NativeUtil;
import java.io.IOException;
import java.io.InvalidObjectException;
import java.io.ObjectInputStream;
import java.io.Serializable;
import java.lang.reflect.Array;
import java.util.AbstractCollection;
import java.util.AbstractMap;
import java.util.AbstractSet;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.RandomAccess;
import java.util.Set;
import java9.util.Iterators;
import java9.util.concurrent.ForkJoinPool;
/* loaded from: classes19.dex */
public final class ImmutableCollections {
    public static final Object EMPTY;
    public static final ListN<?> EMPTY_LIST;
    public static final ListN<?> EMPTY_LIST_NULLS;
    public static final MapN<?, ?> EMPTY_MAP;
    public static final SetN<?> EMPTY_SET;
    public static final int EXPAND_FACTOR = 2;
    public static final boolean REVERSE;
    public static final long SALT32L;

    /* loaded from: classes19.dex */
    public static abstract class AbstractImmutableCollection<E> extends AbstractCollection<E> {
        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean add(E e) {
            throw ImmutableCollections.uoe();
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean addAll(Collection<? extends E> collection) {
            throw ImmutableCollections.uoe();
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public void clear() {
            throw ImmutableCollections.uoe();
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean remove(Object obj) {
            throw ImmutableCollections.uoe();
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean removeAll(Collection<?> collection) {
            throw ImmutableCollections.uoe();
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean retainAll(Collection<?> collection) {
            throw ImmutableCollections.uoe();
        }
    }

    /* loaded from: classes19.dex */
    public static abstract class AbstractImmutableList<E> extends AbstractImmutableCollection<E> implements List<E>, RandomAccess {
        public static void subListRangeCheck(int i, int i2, int i3) {
            if (i < 0) {
                throw new IndexOutOfBoundsException("fromIndex = " + i);
            }
            if (i2 > i3) {
                throw new IndexOutOfBoundsException("toIndex = " + i2);
            }
            if (i > i2) {
                throw new IllegalArgumentException("fromIndex(" + i + ") > toIndex(" + i2 + SQLBuilder.PARENTHESES_RIGHT);
            }
        }

        @Override // java.util.List
        public void add(int i, E e) {
            throw ImmutableCollections.uoe();
        }

        @Override // java.util.List
        public boolean addAll(int i, Collection<? extends E> collection) {
            ImmutableCollections.rangeCheckForAdd(i, size());
            throw ImmutableCollections.uoe();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.List
        public boolean contains(Object obj) {
            return indexOf(obj) >= 0;
        }

        @Override // java.util.Collection, java.util.List
        public boolean equals(Object obj) {
            if (obj == this) {
                return true;
            }
            if (obj instanceof List) {
                Iterator<E> it = ((List) obj).iterator();
                int size = size();
                for (int i = 0; i < size; i++) {
                    if (!it.hasNext() || !Objects.equals(get(i), it.next())) {
                        return false;
                    }
                }
                return !it.hasNext();
            }
            return false;
        }

        @Override // java.util.Collection, java.util.List
        public int hashCode() {
            int size = size();
            int i = 1;
            for (int i2 = 0; i2 < size; i2++) {
                i = (i * 31) + Objects.hashCode(get(i2));
            }
            return i;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable, java.util.List
        public Iterator<E> iterator() {
            return new ListItr(this, size());
        }

        @Override // java.util.List
        public ListIterator<E> listIterator() {
            return listIterator(0);
        }

        @Override // java.util.List
        public ListIterator<E> listIterator(int i) {
            int size = size();
            if (i < 0 || i > size) {
                throw outOfBounds(i);
            }
            return new ListItr(this, size, i);
        }

        public IndexOutOfBoundsException outOfBounds(int i) {
            return new IndexOutOfBoundsException("Index: " + i + " Size: " + size());
        }

        @Override // java.util.List
        public E remove(int i) {
            throw ImmutableCollections.uoe();
        }

        @Override // java.util.List
        public E set(int i, E e) {
            throw ImmutableCollections.uoe();
        }

        @Override // java.util.List
        public List<E> subList(int i, int i2) {
            subListRangeCheck(i, i2, size());
            return SubList.fromList(this, i, i2);
        }
    }

    /* loaded from: classes19.dex */
    public static abstract class AbstractImmutableMap<K, V> extends AbstractMap<K, V> implements Serializable {
        static {
            NativeUtil.classesInit0(14);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public native void clear();

        @Override // java.util.AbstractMap, java.util.Map
        public native V put(K k, V v);

        @Override // java.util.AbstractMap, java.util.Map
        public native void putAll(Map<? extends K, ? extends V> map);

        @Override // java.util.AbstractMap, java.util.Map
        public native V remove(Object obj);
    }

    /* loaded from: classes19.dex */
    public static abstract class AbstractImmutableSet<E> extends AbstractImmutableCollection<E> implements Set<E> {
        /* JADX WARN: Removed duplicated region for block: B:14:0x0021  */
        @Override // java.util.Collection, java.util.Set
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public boolean equals(Object obj) {
            if (obj == this) {
                return true;
            }
            if (obj instanceof Set) {
                Collection collection = (Collection) obj;
                if (collection.size() != size()) {
                    return false;
                }
                for (E e : collection) {
                    if (e == null || !contains(e)) {
                        return false;
                    }
                    while (r5.hasNext()) {
                    }
                }
                return true;
            }
            return false;
        }

        @Override // java.util.Collection, java.util.Set
        public abstract int hashCode();
    }

    /* loaded from: classes19.dex */
    public static final class List12<E> extends AbstractImmutableList<E> implements Serializable {
        public final E e0;
        public final Object e1;

        static {
            NativeUtil.classesInit0(15);
        }

        public List12(E e) {
            this.e0 = (E) Objects.requireNonNull(e);
            this.e1 = ImmutableCollections.EMPTY;
        }

        public List12(E e, E e2) {
            this.e0 = (E) Objects.requireNonNull(e);
            this.e1 = Objects.requireNonNull(e2);
        }

        private native void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException;

        private native Object writeReplace();

        @Override // java.util.List
        public native E get(int i);

        @Override // java.util.List
        public native int indexOf(Object obj);

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.List
        public native boolean isEmpty();

        @Override // java.util.List
        public native int lastIndexOf(Object obj);

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.List
        public native int size();

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.List
        public native Object[] toArray();

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.List
        public native <T> T[] toArray(T[] tArr);
    }

    /* loaded from: classes19.dex */
    public static final class ListItr<E> implements ListIterator<E> {
        public int cursor;
        public final boolean isListIterator;
        public final List<E> list;
        public final int size;

        public ListItr(List<E> list, int i) {
            this.list = list;
            this.size = i;
            this.cursor = 0;
            this.isListIterator = false;
        }

        public ListItr(List<E> list, int i, int i2) {
            this.list = list;
            this.size = i;
            this.cursor = i2;
            this.isListIterator = true;
        }

        @Override // java.util.ListIterator
        public void add(E e) {
            throw ImmutableCollections.uoe();
        }

        @Override // java.util.ListIterator, java.util.Iterator
        public boolean hasNext() {
            return this.cursor != this.size;
        }

        @Override // java.util.ListIterator
        public boolean hasPrevious() {
            if (this.isListIterator) {
                return this.cursor != 0;
            }
            throw ImmutableCollections.uoe();
        }

        @Override // java.util.ListIterator, java.util.Iterator
        public E next() {
            try {
                int i = this.cursor;
                E e = this.list.get(i);
                this.cursor = i + 1;
                return e;
            } catch (IndexOutOfBoundsException e2) {
                throw new NoSuchElementException();
            }
        }

        @Override // java.util.ListIterator
        public int nextIndex() {
            if (this.isListIterator) {
                return this.cursor;
            }
            throw ImmutableCollections.uoe();
        }

        @Override // java.util.ListIterator
        public E previous() {
            if (this.isListIterator) {
                try {
                    int i = this.cursor - 1;
                    E e = this.list.get(i);
                    this.cursor = i;
                    return e;
                } catch (IndexOutOfBoundsException e2) {
                    throw new NoSuchElementException();
                }
            }
            throw ImmutableCollections.uoe();
        }

        @Override // java.util.ListIterator
        public int previousIndex() {
            if (this.isListIterator) {
                return this.cursor - 1;
            }
            throw ImmutableCollections.uoe();
        }

        @Override // java.util.ListIterator, java.util.Iterator
        public void remove() {
            throw ImmutableCollections.uoe();
        }

        @Override // java.util.ListIterator
        public void set(E e) {
            throw ImmutableCollections.uoe();
        }
    }

    /* loaded from: classes19.dex */
    public static final class ListN<E> extends AbstractImmutableList<E> implements Serializable {
        public final boolean allowNulls;
        public final E[] elements;

        static {
            NativeUtil.classesInit0(8);
        }

        public ListN(E[] eArr, boolean z) {
            this.elements = eArr;
            this.allowNulls = z;
        }

        private native void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException;

        private native Object writeReplace();

        @Override // java.util.List
        public native E get(int i);

        @Override // java.util.List
        public native int indexOf(Object obj);

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.List
        public native boolean isEmpty();

        @Override // java.util.List
        public native int lastIndexOf(Object obj);

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.List
        public native int size();

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.List
        public native Object[] toArray();

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.List
        public native <T> T[] toArray(T[] tArr);
    }

    /* loaded from: classes19.dex */
    public static final class Map1<K, V> extends AbstractImmutableMap<K, V> {
        public final K k0;
        public final V v0;

        public Map1(K k, V v) {
            this.k0 = (K) Objects.requireNonNull(k);
            this.v0 = (V) Objects.requireNonNull(v);
        }

        private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
            throw new InvalidObjectException("not serial proxy");
        }

        private Object writeReplace() {
            return new ColSer(3, this.k0, this.v0);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public boolean containsKey(Object obj) {
            return obj.equals(this.k0);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public boolean containsValue(Object obj) {
            return obj.equals(this.v0);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public Set<Map.Entry<K, V>> entrySet() {
            return Sets.of(new KeyValueHolder(this.k0, this.v0));
        }

        @Override // java.util.AbstractMap, java.util.Map
        public V get(Object obj) {
            if (obj.equals(this.k0)) {
                return this.v0;
            }
            return null;
        }

        @Override // java.util.AbstractMap, java.util.Map
        public int hashCode() {
            return this.k0.hashCode() ^ this.v0.hashCode();
        }

        @Override // java.util.AbstractMap, java.util.Map
        public boolean isEmpty() {
            return false;
        }

        @Override // java.util.AbstractMap, java.util.Map
        public int size() {
            return 1;
        }
    }

    /* loaded from: classes19.dex */
    public static final class MapN<K, V> extends AbstractImmutableMap<K, V> {
        public final int size;
        public final Object[] table;

        /* loaded from: classes19.dex */
        public class MapNIterator extends Iterators.ImmutableIt<Map.Entry<K, V>> implements Iterator<Map.Entry<K, V>> {
            public int idx;
            public int remaining;

            public MapNIterator() {
                this.remaining = MapN.this.size;
                this.idx = ((int) ((ImmutableCollections.SALT32L * (MapN.this.table.length >> 1)) >>> 32)) << 1;
            }

            private int nextIndex() {
                int i;
                int i2 = this.idx;
                if (ImmutableCollections.REVERSE) {
                    i = i2 + 2;
                    if (i >= MapN.this.table.length) {
                        i = 0;
                    }
                } else {
                    i = i2 - 2;
                    if (i < 0) {
                        i = MapN.this.table.length - 2;
                    }
                }
                this.idx = i;
                return i;
            }

            @Override // java.util.Iterator
            public boolean hasNext() {
                return this.remaining > 0;
            }

            @Override // java.util.Iterator
            public Map.Entry<K, V> next() {
                Object[] objArr;
                int nextIndex;
                if (this.remaining > 0) {
                    do {
                        objArr = MapN.this.table;
                        nextIndex = nextIndex();
                    } while (objArr[nextIndex] == null);
                    Object[] objArr2 = MapN.this.table;
                    this.remaining--;
                    return new KeyValueHolder(objArr2[nextIndex], objArr2[nextIndex + 1]);
                }
                throw new NoSuchElementException();
            }
        }

        public MapN(Object... objArr) {
            if ((objArr.length & 1) != 0) {
                throw new InternalError("length is odd");
            }
            this.size = objArr.length >> 1;
            this.table = new Object[((objArr.length * 2) + 1) & (-2)];
            for (int i = 0; i < objArr.length; i += 2) {
                Object requireNonNull = Objects.requireNonNull(objArr[i]);
                Object requireNonNull2 = Objects.requireNonNull(objArr[i + 1]);
                int probe = probe(requireNonNull);
                if (probe >= 0) {
                    throw new IllegalArgumentException("duplicate key: " + requireNonNull);
                }
                int i2 = -(probe + 1);
                Object[] objArr2 = this.table;
                objArr2[i2] = requireNonNull;
                objArr2[i2 + 1] = requireNonNull2;
            }
        }

        private int probe(Object obj) {
            int floorMod = ImmutableCollections.floorMod(obj.hashCode(), this.table.length >> 1) << 1;
            while (true) {
                Object obj2 = this.table[floorMod];
                if (obj2 == null) {
                    return (-floorMod) - 1;
                }
                if (obj.equals(obj2)) {
                    return floorMod;
                }
                floorMod += 2;
                if (floorMod == this.table.length) {
                    floorMod = 0;
                }
            }
        }

        private void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException {
            throw new InvalidObjectException("not serial proxy");
        }

        private Object writeReplace() {
            Object[] objArr = new Object[this.size * 2];
            int length = this.table.length;
            int i = 0;
            for (int i2 = 0; i2 < length; i2 += 2) {
                Object[] objArr2 = this.table;
                Object obj = objArr2[i2];
                if (obj != null) {
                    int i3 = i + 1;
                    objArr[i] = obj;
                    i = i3 + 1;
                    objArr[i3] = objArr2[i2 + 1];
                }
            }
            return new ColSer(3, objArr);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public boolean containsKey(Object obj) {
            Objects.requireNonNull(obj);
            return this.size > 0 && probe(obj) >= 0;
        }

        @Override // java.util.AbstractMap, java.util.Map
        public boolean containsValue(Object obj) {
            Objects.requireNonNull(obj);
            int i = 1;
            while (true) {
                Object[] objArr = this.table;
                if (i >= objArr.length) {
                    return false;
                }
                Object obj2 = objArr[i];
                if (obj2 != null && obj.equals(obj2)) {
                    return true;
                }
                i += 2;
            }
        }

        @Override // java.util.AbstractMap, java.util.Map
        public Set<Map.Entry<K, V>> entrySet() {
            return new AbstractSet<Map.Entry<K, V>>() { // from class: java9.util.ImmutableCollections.MapN.1
                @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable, java.util.Set
                public Iterator<Map.Entry<K, V>> iterator() {
                    return new MapNIterator();
                }

                @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
                public int size() {
                    return MapN.this.size;
                }
            };
        }

        @Override // java.util.AbstractMap, java.util.Map
        public V get(Object obj) {
            if (this.size == 0) {
                Objects.requireNonNull(obj);
                return null;
            }
            int probe = probe(obj);
            if (probe >= 0) {
                return (V) this.table[probe + 1];
            }
            return null;
        }

        @Override // java.util.AbstractMap, java.util.Map
        public int hashCode() {
            int i = 0;
            int i2 = 0;
            while (true) {
                Object[] objArr = this.table;
                if (i >= objArr.length) {
                    return i2;
                }
                Object obj = objArr[i];
                if (obj != null) {
                    i2 += obj.hashCode() ^ this.table[i + 1].hashCode();
                }
                i += 2;
            }
        }

        @Override // java.util.AbstractMap, java.util.Map
        public boolean isEmpty() {
            return this.size == 0;
        }

        @Override // java.util.AbstractMap, java.util.Map
        public int size() {
            return this.size;
        }
    }

    /* loaded from: classes19.dex */
    public static final class Set12<E> extends AbstractImmutableSet<E> implements Serializable {
        public final E e0;
        public final Object e1;

        /* renamed from: java9.util.ImmutableCollections$Set12$1  reason: invalid class name */
        /* loaded from: classes19.dex */
        public class AnonymousClass1 extends Iterators.ImmutableIt<E> {
            public int idx;

            public AnonymousClass1() {
                this.idx = Set12.this.e1 == ImmutableCollections.EMPTY ? 1 : 2;
            }

            @Override // java.util.Iterator
            public boolean hasNext() {
                return this.idx > 0;
            }

            @Override // java.util.Iterator
            public E next() {
                E e;
                int i = this.idx;
                if (i == 1) {
                    this.idx = 0;
                    return (ImmutableCollections.REVERSE || (e = (E) Set12.this.e1) == ImmutableCollections.EMPTY) ? Set12.this.e0 : e;
                } else if (i == 2) {
                    this.idx = 1;
                    return ImmutableCollections.REVERSE ? (E) Set12.this.e1 : Set12.this.e0;
                } else {
                    throw new NoSuchElementException();
                }
            }
        }

        static {
            NativeUtil.classesInit0(16);
        }

        public Set12(E e) {
            this.e0 = (E) Objects.requireNonNull(e);
            this.e1 = ImmutableCollections.EMPTY;
        }

        public Set12(E e, E e2) {
            if (e.equals(Objects.requireNonNull(e2))) {
                throw new IllegalArgumentException("duplicate element: " + e);
            }
            this.e0 = e;
            this.e1 = e2;
        }

        private native void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException;

        private native Object writeReplace();

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public native boolean contains(Object obj);

        @Override // java9.util.ImmutableCollections.AbstractImmutableSet, java.util.Collection, java.util.Set
        public native int hashCode();

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public native boolean isEmpty();

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable, java.util.Set
        public native Iterator<E> iterator();

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public native int size();

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public native Object[] toArray();

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public native <T> T[] toArray(T[] tArr);
    }

    /* loaded from: classes19.dex */
    public static final class SetN<E> extends AbstractImmutableSet<E> implements Serializable {
        public final E[] elements;
        public final int size;

        /* loaded from: classes19.dex */
        public final class SetNIterator extends Iterators.ImmutableIt<E> implements Iterator<E> {
            public int idx;
            public int remaining;

            public SetNIterator() {
                this.remaining = SetN.this.size;
                this.idx = (int) ((ImmutableCollections.SALT32L * SetN.this.elements.length) >>> 32);
            }

            @Override // java.util.Iterator
            public boolean hasNext() {
                return this.remaining > 0;
            }

            @Override // java.util.Iterator
            public E next() {
                E e;
                if (this.remaining > 0) {
                    int i = this.idx;
                    int length = SetN.this.elements.length;
                    do {
                        if (ImmutableCollections.REVERSE) {
                            i++;
                            if (i >= length) {
                                i = 0;
                            }
                        } else {
                            i--;
                            if (i < 0) {
                                i = length - 1;
                            }
                        }
                        e = SetN.this.elements[i];
                    } while (e == null);
                    this.idx = i;
                    this.remaining--;
                    return e;
                }
                throw new NoSuchElementException();
            }
        }

        static {
            NativeUtil.classesInit0(9);
        }

        public SetN(E... eArr) {
            this.size = eArr.length;
            this.elements = (E[]) new Object[eArr.length * 2];
            for (E e : eArr) {
                int probe = probe(e);
                if (probe >= 0) {
                    throw new IllegalArgumentException("duplicate element: " + e);
                }
                this.elements[-(probe + 1)] = e;
            }
        }

        private native int probe(Object obj);

        private native void readObject(ObjectInputStream objectInputStream) throws IOException, ClassNotFoundException;

        private native Object writeReplace();

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public native boolean contains(Object obj);

        @Override // java9.util.ImmutableCollections.AbstractImmutableSet, java.util.Collection, java.util.Set
        public native int hashCode();

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public native boolean isEmpty();

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable, java.util.Set
        public native Iterator<E> iterator();

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public native int size();

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public native Object[] toArray();

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public native <T> T[] toArray(T[] tArr);
    }

    /* loaded from: classes19.dex */
    public static final class SubList<E> extends AbstractImmutableList<E> implements RandomAccess {
        public final int offset;
        public final AbstractImmutableList<E> root;
        public final int size;

        public SubList(AbstractImmutableList<E> abstractImmutableList, int i, int i2) {
            this.root = abstractImmutableList;
            this.offset = i;
            this.size = i2;
        }

        private boolean allowNulls() {
            AbstractImmutableList<E> abstractImmutableList = this.root;
            return (abstractImmutableList instanceof ListN) && ((ListN) abstractImmutableList).allowNulls;
        }

        public static <E> SubList<E> fromList(AbstractImmutableList<E> abstractImmutableList, int i, int i2) {
            return new SubList<>(abstractImmutableList, i, i2 - i);
        }

        public static <E> SubList<E> fromSubList(SubList<E> subList, int i, int i2) {
            return new SubList<>(subList.root, subList.offset + i, i2 - i);
        }

        private void rangeCheck(int i) {
            if (i < 0 || i > this.size) {
                throw outOfBounds(i);
            }
        }

        @Override // java.util.List
        public E get(int i) {
            Objects.checkIndex(i, this.size);
            return this.root.get(this.offset + i);
        }

        @Override // java.util.List
        public int indexOf(Object obj) {
            if (allowNulls() || obj != null) {
                int size = size();
                for (int i = 0; i < size; i++) {
                    if (Objects.equals(obj, get(i))) {
                        return i;
                    }
                }
                return -1;
            }
            throw null;
        }

        @Override // java9.util.ImmutableCollections.AbstractImmutableList, java.util.AbstractCollection, java.util.Collection, java.lang.Iterable, java.util.List
        public Iterator<E> iterator() {
            return new ListItr(this, size());
        }

        @Override // java.util.List
        public int lastIndexOf(Object obj) {
            if (allowNulls() || obj != null) {
                for (int size = size() - 1; size >= 0; size--) {
                    if (Objects.equals(obj, get(size))) {
                        return size;
                    }
                }
                return -1;
            }
            throw null;
        }

        @Override // java9.util.ImmutableCollections.AbstractImmutableList, java.util.List
        public ListIterator<E> listIterator(int i) {
            rangeCheck(i);
            return new ListItr(this, size(), i);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.List
        public int size() {
            return this.size;
        }

        @Override // java9.util.ImmutableCollections.AbstractImmutableList, java.util.List
        public List<E> subList(int i, int i2) {
            AbstractImmutableList.subListRangeCheck(i, i2, this.size);
            return fromSubList(this, i, i2);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.List
        public Object[] toArray() {
            Object[] objArr = new Object[this.size];
            for (int i = 0; i < this.size; i++) {
                objArr[i] = get(i);
            }
            return objArr;
        }

        /* JADX WARN: Multi-variable type inference failed */
        @Override // java.util.AbstractCollection, java.util.Collection, java.util.List
        public <T> T[] toArray(T[] tArr) {
            int i;
            if (tArr.length < this.size) {
                tArr = (T[]) ((Object[]) Array.newInstance(tArr.getClass().getComponentType(), this.size));
            }
            int i2 = 0;
            while (true) {
                i = this.size;
                if (i2 >= i) {
                    break;
                }
                tArr[i2] = get(i2);
                i2++;
            }
            if (tArr.length > i) {
                tArr[i] = null;
            }
            return tArr;
        }
    }

    static {
        long nanoTime = ((int) ((System.nanoTime() * 2611923443488327891L) >> 16)) & ForkJoinPool.SP_MASK;
        SALT32L = nanoTime;
        REVERSE = (nanoTime & 1) == 0;
        EMPTY = new Object();
        EMPTY_LIST = new ListN<>(new Object[0], false);
        EMPTY_LIST_NULLS = new ListN<>(new Object[0], true);
        EMPTY_SET = new SetN<>(new Object[0]);
        EMPTY_MAP = new MapN<>(new Object[0]);
    }

    public static int floorMod(int i, int i2) {
        int i3 = i % i2;
        return ((i ^ i2) >= 0 || i3 == 0) ? i3 : i3 + i2;
    }

    public static <E> List<E> listCopy(Collection<? extends E> collection) {
        return ((collection instanceof List12) || ((collection instanceof ListN) && !((ListN) collection).allowNulls)) ? (List) collection : Lists.of(collection.toArray());
    }

    public static <E> List<E> listFromArray(E... eArr) {
        Object[] objArr = new Object[eArr.length];
        for (int i = 0; i < eArr.length; i++) {
            objArr[i] = Objects.requireNonNull(eArr[i]);
        }
        return new ListN(objArr, false);
    }

    public static <E> List<E> listFromTrustedArray(Object... objArr) {
        for (Object obj : objArr) {
            Objects.requireNonNull(obj);
        }
        int length = objArr.length;
        return length != 0 ? length != 1 ? length != 2 ? new ListN(objArr, false) : new List12(objArr[0], objArr[1]) : new List12(objArr[0]) : EMPTY_LIST;
    }

    public static <E> List<E> listFromTrustedArrayNullsAllowed(Object... objArr) {
        return objArr.length == 0 ? EMPTY_LIST_NULLS : new ListN(objArr, true);
    }

    public static void rangeCheckForAdd(int i, int i2) {
        if (i < 0 || i > i2) {
            throw new IndexOutOfBoundsException("Index: " + i + ", Size: " + i2);
        }
    }

    public static UnsupportedOperationException uoe() {
        return new UnsupportedOperationException();
    }
}
