package java9.util;

import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.ListIterator;
import java9.util.ImmutableCollections;
import java9.util.function.UnaryOperator;
/* loaded from: classes19.dex */
public final class Lists {
    public static <E> List<E> copyOf(Collection<? extends E> collection) {
        return ImmutableCollections.listCopy(collection);
    }

    public static <E> List<E> of() {
        return ImmutableCollections.EMPTY_LIST;
    }

    public static <E> List<E> of(E e) {
        return new ImmutableCollections.List12(e);
    }

    public static <E> List<E> of(E e, E e2) {
        return new ImmutableCollections.List12(e, e2);
    }

    public static <E> List<E> of(E e, E e2, E e3) {
        return ImmutableCollections.listFromTrustedArray(e, e2, e3);
    }

    public static <E> List<E> of(E e, E e2, E e3, E e4) {
        return ImmutableCollections.listFromTrustedArray(e, e2, e3, e4);
    }

    public static <E> List<E> of(E e, E e2, E e3, E e4, E e5) {
        return ImmutableCollections.listFromTrustedArray(e, e2, e3, e4, e5);
    }

    public static <E> List<E> of(E e, E e2, E e3, E e4, E e5, E e6) {
        return ImmutableCollections.listFromTrustedArray(e, e2, e3, e4, e5, e6);
    }

    public static <E> List<E> of(E e, E e2, E e3, E e4, E e5, E e6, E e7) {
        return ImmutableCollections.listFromTrustedArray(e, e2, e3, e4, e5, e6, e7);
    }

    public static <E> List<E> of(E e, E e2, E e3, E e4, E e5, E e6, E e7, E e8) {
        return ImmutableCollections.listFromTrustedArray(e, e2, e3, e4, e5, e6, e7, e8);
    }

    public static <E> List<E> of(E e, E e2, E e3, E e4, E e5, E e6, E e7, E e8, E e9) {
        return ImmutableCollections.listFromTrustedArray(e, e2, e3, e4, e5, e6, e7, e8, e9);
    }

    public static <E> List<E> of(E e, E e2, E e3, E e4, E e5, E e6, E e7, E e8, E e9, E e10) {
        return ImmutableCollections.listFromTrustedArray(e, e2, e3, e4, e5, e6, e7, e8, e9, e10);
    }

    public static <E> List<E> of(E... eArr) {
        int length = eArr.length;
        return length != 0 ? length != 1 ? length != 2 ? ImmutableCollections.listFromArray(eArr) : new ImmutableCollections.List12(eArr[0], eArr[1]) : new ImmutableCollections.List12(eArr[0]) : ImmutableCollections.EMPTY_LIST;
    }

    public static <E> void replaceAll(List<E> list, UnaryOperator<E> unaryOperator) {
        Objects.requireNonNull(list);
        Objects.requireNonNull(unaryOperator);
        ListIterator<E> listIterator = list.listIterator();
        while (listIterator.hasNext()) {
            listIterator.set((E) unaryOperator.apply(listIterator.next()));
        }
    }

    public static <E> void sort(List<E> list, Comparator<? super E> comparator) {
        Collections.sort(list, comparator);
    }

    public static <E> Spliterator<E> spliterator(List<E> list) {
        return Spliterators.spliterator(list);
    }
}
