package java9.util;

import java.lang.reflect.Array;
import java.util.Comparator;
/* loaded from: classes19.dex */
public class TimSort<T> {
    public static final int INITIAL_TMP_STORAGE_LENGTH = 256;
    public static final int MIN_GALLOP = 7;
    public static final int MIN_MERGE = 32;

    /* renamed from: a  reason: collision with root package name */
    public final T[] f692a;
    public final Comparator<? super T> c;
    public final int[] runBase;
    public final int[] runLen;
    public T[] tmp;
    public int tmpBase;
    public int tmpLen;
    public int minGallop = 7;
    public int stackSize = 0;

    public TimSort(T[] tArr, Comparator<? super T> comparator, T[] tArr2, int i, int i2) {
        this.f692a = tArr;
        this.c = comparator;
        int length = tArr.length;
        int i3 = length < 512 ? length >>> 1 : 256;
        if (tArr2 == null || i2 < i3 || i + i3 > tArr2.length) {
            this.tmp = (T[]) ((Object[]) Array.newInstance(tArr.getClass().getComponentType(), i3));
            this.tmpBase = 0;
            this.tmpLen = i3;
        } else {
            this.tmp = tArr2;
            this.tmpBase = i;
            this.tmpLen = i2;
        }
        int i4 = length < 120 ? 5 : length < 1542 ? 10 : length < 119151 ? 24 : 49;
        this.runBase = new int[i4];
        this.runLen = new int[i4];
    }

    public static <T> void binarySort(T[] tArr, int i, int i2, int i3, Comparator<? super T> comparator) {
        if (i3 == i) {
            i3++;
        }
        while (i3 < i2) {
            T t = tArr[i3];
            int i4 = i;
            int i5 = i3;
            while (i4 < i5) {
                int i6 = (i4 + i5) >>> 1;
                if (comparator.compare(t, tArr[i6]) < 0) {
                    i5 = i6;
                } else {
                    i4 = i6 + 1;
                }
            }
            int i7 = i3 - i4;
            if (i7 != 1) {
                if (i7 != 2) {
                    System.arraycopy(tArr, i4, tArr, i4 + 1, i7);
                    tArr[i4] = t;
                    i3++;
                } else {
                    tArr[i4 + 2] = tArr[i4 + 1];
                }
            }
            tArr[i4 + 1] = tArr[i4];
            tArr[i4] = t;
            i3++;
        }
    }

    public static <T> int countRunAndMakeAscending(T[] tArr, int i, int i2, Comparator<? super T> comparator) {
        int i3 = i + 1;
        if (i3 == i2) {
            return 1;
        }
        int i4 = i3 + 1;
        if (comparator.compare(tArr[i3], tArr[i]) < 0) {
            while (i4 < i2 && comparator.compare(tArr[i4], tArr[i4 - 1]) < 0) {
                i4++;
            }
            reverseRange(tArr, i, i4);
        } else {
            while (i4 < i2 && comparator.compare(tArr[i4], tArr[i4 - 1]) >= 0) {
                i4++;
            }
        }
        return i4 - i;
    }

    private T[] ensureCapacity(int i) {
        if (this.tmpLen < i) {
            int i2 = (i >> 1) | i;
            int i3 = i2 | (i2 >> 2);
            int i4 = i3 | (i3 >> 4);
            int i5 = i4 | (i4 >> 8);
            int i6 = (i5 | (i5 >> 16)) + 1;
            if (i6 >= 0) {
                i = Math.min(i6, this.f692a.length >>> 1);
            }
            this.tmp = (T[]) ((Object[]) Array.newInstance(this.f692a.getClass().getComponentType(), i));
            this.tmpLen = i;
            this.tmpBase = 0;
        }
        return this.tmp;
    }

    public static <T> int gallopLeft(T t, T[] tArr, int i, int i2, int i3, Comparator<? super T> comparator) {
        int i4;
        int i5;
        int i6 = i + i3;
        if (comparator.compare(t, tArr[i6]) > 0) {
            int i7 = i2 - i3;
            int i8 = 0;
            int i9 = 1;
            while (i9 < i7 && comparator.compare(t, tArr[i6 + i9]) > 0) {
                int i10 = (i9 << 1) + 1;
                if (i10 <= 0) {
                    i8 = i9;
                    i9 = i7;
                } else {
                    int i11 = i9;
                    i9 = i10;
                    i8 = i11;
                }
            }
            if (i9 <= i7) {
                i7 = i9;
            }
            i4 = i8 + i3;
            i5 = i7 + i3;
        } else {
            int i12 = i3 + 1;
            int i13 = 0;
            int i14 = 1;
            while (i14 < i12 && comparator.compare(t, tArr[i6 - i14]) <= 0) {
                int i15 = (i14 << 1) + 1;
                if (i15 <= 0) {
                    i13 = i14;
                    i14 = i12;
                } else {
                    int i16 = i14;
                    i14 = i15;
                    i13 = i16;
                }
            }
            if (i14 <= i12) {
                i12 = i14;
            }
            int i17 = i3 - i12;
            int i18 = i3 - i13;
            i4 = i17;
            i5 = i18;
        }
        int i19 = i4 + 1;
        while (i19 < i5) {
            int i20 = ((i5 - i19) >>> 1) + i19;
            if (comparator.compare(t, tArr[i + i20]) > 0) {
                i19 = i20 + 1;
            } else {
                i5 = i20;
            }
        }
        return i5;
    }

    public static <T> int gallopRight(T t, T[] tArr, int i, int i2, int i3, Comparator<? super T> comparator) {
        int i4;
        int i5;
        int i6 = i + i3;
        if (comparator.compare(t, tArr[i6]) < 0) {
            int i7 = i3 + 1;
            int i8 = 0;
            int i9 = 1;
            while (i9 < i7 && comparator.compare(t, tArr[i6 - i9]) < 0) {
                int i10 = (i9 << 1) + 1;
                if (i10 <= 0) {
                    i8 = i9;
                    i9 = i7;
                } else {
                    int i11 = i9;
                    i9 = i10;
                    i8 = i11;
                }
            }
            if (i9 <= i7) {
                i7 = i9;
            }
            i5 = i3 - i7;
            i4 = i3 - i8;
        } else {
            int i12 = i2 - i3;
            int i13 = 0;
            int i14 = 1;
            while (i14 < i12 && comparator.compare(t, tArr[i6 + i14]) >= 0) {
                int i15 = (i14 << 1) + 1;
                if (i15 <= 0) {
                    i13 = i14;
                    i14 = i12;
                } else {
                    int i16 = i14;
                    i14 = i15;
                    i13 = i16;
                }
            }
            if (i14 <= i12) {
                i12 = i14;
            }
            int i17 = i13 + i3;
            i4 = i3 + i12;
            i5 = i17;
        }
        int i18 = i5 + 1;
        while (i18 < i4) {
            int i19 = ((i4 - i18) >>> 1) + i18;
            if (comparator.compare(t, tArr[i + i19]) < 0) {
                i4 = i19;
            } else {
                i18 = i19 + 1;
            }
        }
        return i4;
    }

    private void mergeAt(int i) {
        int[] iArr = this.runBase;
        int i2 = iArr[i];
        int[] iArr2 = this.runLen;
        int i3 = iArr2[i];
        int i4 = i + 1;
        int i5 = iArr[i4];
        int i6 = iArr2[i4];
        iArr2[i] = i3 + i6;
        int i7 = this.stackSize;
        if (i == i7 - 3) {
            int i8 = i + 2;
            iArr[i4] = iArr[i8];
            iArr2[i4] = iArr2[i8];
        }
        this.stackSize = i7 - 1;
        T[] tArr = this.f692a;
        int gallopRight = gallopRight(tArr[i5], tArr, i2, i3, 0, this.c);
        int i9 = i2 + gallopRight;
        int i10 = i3 - gallopRight;
        if (i10 == 0) {
            return;
        }
        T[] tArr2 = this.f692a;
        int gallopLeft = gallopLeft(tArr2[(i9 + i10) - 1], tArr2, i5, i6, i6 - 1, this.c);
        if (gallopLeft == 0) {
            return;
        }
        if (i10 <= gallopLeft) {
            mergeLo(i9, i10, i5, gallopLeft);
        } else {
            mergeHi(i9, i10, i5, gallopLeft);
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x0027, code lost:
        if (r1[r0 - 2] <= (r1[r0] + r1[r0 - 1])) goto L7;
     */
    /* JADX WARN: Code restructure failed: missing block: B:11:0x0029, code lost:
        r1 = r6.runLen;
     */
    /* JADX WARN: Code restructure failed: missing block: B:12:0x0033, code lost:
        if (r1[r0 - 1] >= r1[r0 + 1]) goto L12;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x0035, code lost:
        r0 = r0 - 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x0016, code lost:
        if (r2[r0 - 1] > (r2[r0] + r2[r0 + 1])) goto L13;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void mergeCollapse() {
        while (true) {
            int i = this.stackSize;
            if (i <= 1) {
                return;
            }
            int i2 = i - 2;
            if (i2 > 0) {
                int[] iArr = this.runLen;
            }
            if (i2 > 1) {
                int[] iArr2 = this.runLen;
            }
            int[] iArr3 = this.runLen;
            if (iArr3[i2] > iArr3[i2 + 1]) {
                return;
            }
            mergeAt(i2);
        }
    }

    private void mergeForceCollapse() {
        while (true) {
            int i = this.stackSize;
            if (i <= 1) {
                return;
            }
            int i2 = i - 2;
            if (i2 > 0) {
                int[] iArr = this.runLen;
                if (iArr[i2 - 1] < iArr[i2 + 1]) {
                    i2--;
                }
            }
            mergeAt(i2);
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:23:0x0077, code lost:
        r12 = r1;
        r13 = r2;
        r14 = r3;
        r15 = r4;
        r16 = r5;
        r17 = r6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x007f, code lost:
        r6 = r12 - gallopRight(r8[r15], r7, r21, r12, r12 - 1, r11);
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x008e, code lost:
        if (r6 == 0) goto L38;
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x0090, code lost:
        r1 = r16 - r6;
        r2 = r17 - r6;
        r3 = r12 - r6;
        java.lang.System.arraycopy(r7, r2 + 1, r7, r1 + 1, r6);
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x009d, code lost:
        if (r3 != 0) goto L24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x009f, code lost:
        r12 = r1;
        r6 = r2;
        r1 = r3;
        r2 = r13;
        r3 = r14;
        r4 = r15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x00a6, code lost:
        r16 = r1;
        r17 = r2;
        r12 = r3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x00ab, code lost:
        r18 = r16 - 1;
        r19 = r15 - 1;
        r7[r16] = r8[r15];
        r13 = r13 - 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x00b5, code lost:
        if (r13 != 1) goto L40;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x00bb, code lost:
        r1 = r13 - gallopLeft(r7[r17], r8, r9, r13, r13 - 1, r11);
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:0x00ca, code lost:
        if (r1 == 0) goto L47;
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x00cc, code lost:
        r18 = r18 - r1;
        r19 = r19 - r1;
        r13 = r13 - r1;
        java.lang.System.arraycopy(r8, r19 + 1, r7, r18 + 1, r1);
     */
    /* JADX WARN: Code restructure failed: missing block: B:36:0x00d8, code lost:
        if (r13 > 1) goto L47;
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x00e2, code lost:
        r16 = r18 - 1;
        r2 = r17 - 1;
        r7[r18] = r7[r17];
        r12 = r12 - 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:40:0x00ec, code lost:
        if (r12 != 0) goto L49;
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x00ee, code lost:
        r6 = r2;
        r1 = r12;
        r2 = r13;
        r3 = r14;
        r12 = r16;
        r4 = r19;
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x011b, code lost:
        r14 = r14 - 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x011e, code lost:
        if (r6 < 7) goto L64;
     */
    /* JADX WARN: Code restructure failed: missing block: B:54:0x0120, code lost:
        r4 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x0122, code lost:
        r4 = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:56:0x0123, code lost:
        if (r1 < 7) goto L63;
     */
    /* JADX WARN: Code restructure failed: missing block: B:57:0x0125, code lost:
        r1 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:58:0x0127, code lost:
        r1 = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:60:0x0129, code lost:
        if ((r1 | r4) != false) goto L56;
     */
    /* JADX WARN: Code restructure failed: missing block: B:61:0x012b, code lost:
        if (r14 >= 0) goto L62;
     */
    /* JADX WARN: Code restructure failed: missing block: B:62:0x012d, code lost:
        r14 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:64:0x0139, code lost:
        r17 = r2;
        r15 = r19;
     */
    /* JADX WARN: Removed duplicated region for block: B:73:0x0077 A[EDGE_INSN: B:73:0x0077->B:23:0x0077 ?: BREAK  , SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void mergeHi(int i, int i2, int i3, int i4) {
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int i13;
        int i14 = i4;
        T[] tArr = this.f692a;
        T[] ensureCapacity = ensureCapacity(i14);
        int i15 = this.tmpBase;
        System.arraycopy(tArr, i3, ensureCapacity, i15, i14);
        int i16 = (i + i2) - 1;
        int i17 = (i15 + i14) - 1;
        int i18 = (i3 + i14) - 1;
        int i19 = i18 - 1;
        int i20 = i16 - 1;
        tArr[i18] = tArr[i16];
        int i21 = i2 - 1;
        if (i21 == 0) {
            System.arraycopy(ensureCapacity, i15, tArr, i19 - (i14 - 1), i14);
        } else if (i14 == 1) {
            int i22 = i19 - i21;
            System.arraycopy(tArr, (i20 - i21) + 1, tArr, i22 + 1, i21);
            tArr[i22] = ensureCapacity[i17];
        } else {
            Comparator<? super T> comparator = this.c;
            int i23 = this.minGallop;
            loop0: while (true) {
                int i24 = 0;
                int i25 = 0;
                while (true) {
                    if (comparator.compare(ensureCapacity[i17], tArr[i20]) < 0) {
                        i5 = i19 - 1;
                        int i26 = i20 - 1;
                        tArr[i19] = tArr[i20];
                        i25++;
                        i21--;
                        if (i21 != 0) {
                            i19 = i5;
                            i20 = i26;
                            i24 = 0;
                            if ((i25 | i24) >= i23) {
                                break;
                            }
                        } else {
                            i20 = i26;
                            break loop0;
                        }
                    } else {
                        i5 = i19 - 1;
                        int i27 = i17 - 1;
                        tArr[i19] = ensureCapacity[i17];
                        i24++;
                        i14--;
                        if (i14 == 1) {
                            i17 = i27;
                            break loop0;
                        }
                        i19 = i5;
                        i17 = i27;
                        i25 = 0;
                        if ((i25 | i24) >= i23) {
                        }
                    }
                }
                i23 = i8 + 2;
                i20 = i13;
                i21 = i6;
                i14 = i7;
                i19 = i9;
                i17 = i12;
            }
            i14 = i7;
            i17 = i12;
            i21 = i6;
            i23 = i8;
            i20 = i10;
            i5 = i11;
            if (i23 < 1) {
                i23 = 1;
            }
            this.minGallop = i23;
            if (i14 == 1) {
                int i28 = i5 - i21;
                System.arraycopy(tArr, (i20 - i21) + 1, tArr, i28 + 1, i21);
                tArr[i28] = ensureCapacity[i17];
            } else if (i14 == 0) {
                throw new IllegalArgumentException("Comparison method violates its general contract!");
            } else {
                System.arraycopy(ensureCapacity, i15, tArr, i5 - (i14 - 1), i14);
            }
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:24:0x0067, code lost:
        r12 = r1;
        r13 = r2;
        r14 = r3;
        r15 = r4;
        r16 = r5;
        r17 = r6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x006f, code lost:
        r6 = gallopRight(r7[r16], r8, r14, r13, 0, r10);
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x007a, code lost:
        if (r6 == 0) goto L39;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x007c, code lost:
        java.lang.System.arraycopy(r8, r14, r7, r15, r6);
        r15 = r15 + r6;
        r14 = r14 + r6;
        r13 = r13 - r6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x0082, code lost:
        if (r13 > r9) goto L39;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x0084, code lost:
        r1 = r12;
        r2 = r13;
        r3 = r14;
        r12 = r15;
        r5 = r16;
        r6 = r17;
     */
    /* JADX WARN: Code restructure failed: missing block: B:30:0x008c, code lost:
        r14 = r5;
     */
    /* JADX WARN: Code restructure failed: missing block: B:31:0x008f, code lost:
        r5 = r15 + 1;
        r4 = r16 + 1;
        r7[r15] = r7[r16];
        r12 = r12 - 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x0099, code lost:
        if (r12 != 0) goto L41;
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:0x009e, code lost:
        r1 = gallopLeft(r8[r14], r7, r4, r12, 0, r10);
     */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x00ad, code lost:
        if (r1 == 0) goto L70;
     */
    /* JADX WARN: Code restructure failed: missing block: B:36:0x00af, code lost:
        java.lang.System.arraycopy(r7, r4, r7, r5, r1);
        r5 = r5 + r1;
        r4 = r4 + r1;
        r12 = r12 - r1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x00b7, code lost:
        if (r12 != 0) goto L45;
     */
    /* JADX WARN: Code restructure failed: missing block: B:40:0x00c1, code lost:
        r16 = r4;
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x00c4, code lost:
        r5 = r5;
        r16 = r4;
     */
    /* JADX WARN: Code restructure failed: missing block: B:42:0x00c7, code lost:
        r2 = r5 + 1;
        r3 = r14 + 1;
        r7[r5] = r8[r14];
        r13 = r13 - 1;
        r9 = 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:43:0x00d2, code lost:
        if (r13 != 1) goto L48;
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x00d4, code lost:
        r1 = r12;
        r14 = r16;
        r6 = r17;
        r12 = r2;
        r2 = r13;
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x00f9, code lost:
        r17 = r17 - 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:56:0x00fc, code lost:
        if (r6 < 7) goto L64;
     */
    /* JADX WARN: Code restructure failed: missing block: B:57:0x00fe, code lost:
        r5 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:58:0x0100, code lost:
        r5 = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:59:0x0101, code lost:
        if (r1 < 7) goto L63;
     */
    /* JADX WARN: Code restructure failed: missing block: B:60:0x0103, code lost:
        r1 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:61:0x0105, code lost:
        r1 = false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:63:0x0107, code lost:
        if ((r1 | r5) != false) goto L55;
     */
    /* JADX WARN: Code restructure failed: missing block: B:64:0x0109, code lost:
        if (r17 >= 0) goto L61;
     */
    /* JADX WARN: Code restructure failed: missing block: B:65:0x010b, code lost:
        r11 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:66:0x010d, code lost:
        r11 = r17;
     */
    /* JADX WARN: Code restructure failed: missing block: B:68:0x0118, code lost:
        r15 = r2;
        r14 = r3;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private void mergeLo(int i, int i2, int i3, int i4) {
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int i13;
        int i14;
        int i15;
        int i16 = i2;
        T[] tArr = this.f692a;
        T[] ensureCapacity = ensureCapacity(i16);
        int i17 = this.tmpBase;
        System.arraycopy(tArr, i, ensureCapacity, i17, i16);
        int i18 = i + 1;
        int i19 = i3 + 1;
        tArr[i] = tArr[i3];
        int i20 = i4 - 1;
        if (i20 == 0) {
            System.arraycopy(ensureCapacity, i17, tArr, i18, i16);
            return;
        }
        int i21 = 1;
        if (i16 == 1) {
            System.arraycopy(tArr, i19, tArr, i18, i20);
            tArr[i18 + i20] = ensureCapacity[i17];
            return;
        }
        Comparator<? super T> comparator = this.c;
        int i22 = this.minGallop;
        loop0: while (true) {
            int i23 = 0;
            int i24 = 0;
            while (true) {
                if (comparator.compare(tArr[i19], ensureCapacity[i17]) < 0) {
                    i5 = i18 + 1;
                    i6 = i19 + 1;
                    tArr[i18] = tArr[i19];
                    i24 += i21;
                    i20--;
                    if (i20 == 0) {
                        break loop0;
                    }
                    i18 = i5;
                    i19 = i6;
                    i23 = 0;
                } else {
                    int i25 = i18 + 1;
                    int i26 = i17 + 1;
                    tArr[i18] = ensureCapacity[i17];
                    i23 += i21;
                    i16--;
                    if (i16 == i21) {
                        i5 = i25;
                        i17 = i26;
                        break loop0;
                    }
                    i18 = i25;
                    i17 = i26;
                    i24 = 0;
                }
                if ((i23 | i24) >= i22) {
                    break;
                }
            }
            i22 = i15 + 2;
            i18 = i14;
            i20 = i7;
            i16 = i8;
            i19 = i10;
        }
        i20 = i7;
        i5 = i12;
        i16 = i8;
        i17 = i9;
        i22 = i11;
        i21 = 1;
        i6 = i13;
        if (i22 < i21) {
            i22 = 1;
        }
        this.minGallop = i22;
        if (i16 == i21) {
            System.arraycopy(tArr, i6, tArr, i5, i20);
            tArr[i5 + i20] = ensureCapacity[i17];
        } else if (i16 == 0) {
            throw new IllegalArgumentException("Comparison method violates its general contract!");
        } else {
            System.arraycopy(ensureCapacity, i17, tArr, i5, i16);
        }
    }

    public static int minRunLength(int i) {
        int i2 = 0;
        while (i >= 32) {
            i2 |= i & 1;
            i >>= 1;
        }
        return i + i2;
    }

    private void pushRun(int i, int i2) {
        int[] iArr = this.runBase;
        int i3 = this.stackSize;
        iArr[i3] = i;
        this.runLen[i3] = i2;
        this.stackSize = i3 + 1;
    }

    public static void reverseRange(Object[] objArr, int i, int i2) {
        int i3 = i2 - 1;
        while (i < i3) {
            Object obj = objArr[i];
            objArr[i] = objArr[i3];
            objArr[i3] = obj;
            i3--;
            i++;
        }
    }

    public static <T> void sort(T[] tArr, int i, int i2, Comparator<? super T> comparator, T[] tArr2, int i3, int i4) {
        int i5 = i2 - i;
        if (i5 < 2) {
            return;
        }
        if (i5 < 32) {
            binarySort(tArr, i, i2, countRunAndMakeAscending(tArr, i, i2, comparator) + i, comparator);
            return;
        }
        TimSort timSort = new TimSort(tArr, comparator, tArr2, i3, i4);
        int minRunLength = minRunLength(i5);
        do {
            int countRunAndMakeAscending = countRunAndMakeAscending(tArr, i, i2, comparator);
            if (countRunAndMakeAscending < minRunLength) {
                int i6 = i5 <= minRunLength ? i5 : minRunLength;
                binarySort(tArr, i, i + i6, countRunAndMakeAscending + i, comparator);
                countRunAndMakeAscending = i6;
            }
            timSort.pushRun(i, countRunAndMakeAscending);
            timSort.mergeCollapse();
            i += countRunAndMakeAscending;
            i5 -= countRunAndMakeAscending;
        } while (i5 != 0);
        timSort.mergeForceCollapse();
    }
}
