package java9.util.concurrent;

import java.lang.Thread;
import java.security.AccessControlContext;
import java.security.AccessController;
import java.security.Permission;
import java.security.Permissions;
import java.security.PrivilegedAction;
import java.security.ProtectionDomain;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.List;
import java.util.concurrent.AbstractExecutorService;
import java.util.concurrent.Callable;
import java.util.concurrent.Executor;
import java.util.concurrent.Future;
import java.util.concurrent.RejectedExecutionException;
import java.util.concurrent.RunnableFuture;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.LockSupport;
import java9.util.Objects;
import java9.util.concurrent.ForkJoinTask;
import java9.util.concurrent.ForkJoinWorkerThread;
import java9.util.function.Predicate;
import sun.misc.Unsafe;
/* loaded from: classes19.dex */
public class ForkJoinPool extends AbstractExecutorService {
    public static final int ABASE;
    public static final Class<?> ACTCLASS;
    public static final long ADD_WORKER = 140737488355328L;
    public static final int ASHIFT;
    public static final int COMMON_MAX_SPARES;
    public static final int COMMON_PARALLELISM;
    public static final long CTL;
    public static final int DEFAULT_COMMON_MAX_SPARES = 256;
    public static final long DEFAULT_KEEPALIVE = 60000;
    public static final int DORMANT = -1073741824;
    public static final int FIFO = 65536;
    public static final int MAX_CAP = 32767;
    public static final long MODE;
    public static final int OWNED = 1;
    public static final int POLL_LIMIT = 1024;
    public static final int QLOCK = 1;
    public static final int QUIET = 1073741824;
    public static final long RC_MASK = -281474976710656L;
    public static final int RC_SHIFT = 48;
    public static final long RC_UNIT = 281474976710656L;
    public static final int SEED_INCREMENT = -1640531527;
    public static final int SHUTDOWN = 262144;
    public static final int SMASK = 65535;
    public static final long SP_MASK = 4294967295L;
    public static final int SQMASK = 126;
    public static final int SS_SEQ = 65536;
    public static final int STOP = Integer.MIN_VALUE;
    public static final int SWIDTH = 16;
    public static final long TC_MASK = 281470681743360L;
    public static final int TC_SHIFT = 32;
    public static final long TC_UNIT = 4294967296L;
    public static final int TERMINATED = 524288;
    public static final long TIMEOUT_SLOP = 20;
    public static final Unsafe U;
    public static final long UC_MASK = -4294967296L;
    public static final int UNSIGNALLED = Integer.MIN_VALUE;
    public static final ForkJoinPool common;
    public static final ForkJoinWorkerThreadFactory defaultForkJoinWorkerThreadFactory;
    public static final RuntimePermission modifyThreadPermission;
    public static int poolNumberSequence;
    public final int bounds;
    public volatile long ctl;
    public final ForkJoinWorkerThreadFactory factory;
    public int indexSeed;
    public final long keepAlive;
    public volatile int mode;
    public volatile long pad00;
    public volatile long pad01;
    public volatile long pad02;
    public volatile long pad03;
    public volatile long pad04;
    public volatile long pad05;
    public volatile long pad06;
    public volatile long pad07;
    public volatile long pad08;
    public volatile long pad09;
    public volatile long pad0a;
    public volatile long pad0b;
    public volatile long pad0c;
    public volatile long pad0d;
    public volatile long pad0e;
    public volatile long pad0f;
    public volatile long pad10;
    public volatile long pad11;
    public volatile long pad12;
    public volatile long pad13;
    public volatile long pad14;
    public volatile long pad15;
    public volatile long pad16;
    public volatile long pad17;
    public volatile long pad18;
    public volatile long pad19;
    public volatile long pad1a;
    public volatile long pad1b;
    public volatile long pad1c;
    public volatile long pad1d;
    public volatile long pad1e;
    public final Predicate<? super ForkJoinPool> saturate;
    public volatile long stealCount;
    public final Thread.UncaughtExceptionHandler ueh;
    public WorkQueue[] workQueues;
    public final String workerNamePrefix;

    /* loaded from: classes19.dex */
    public static final class DefaultForkJoinWorkerThreadFactory implements ForkJoinWorkerThreadFactory {
        public static final AccessControlContext ACC = ForkJoinPool.contextWithPermissions(new RuntimePermission("getClassLoader"));

        @Override // java9.util.concurrent.ForkJoinPool.ForkJoinWorkerThreadFactory
        public final ForkJoinWorkerThread newThread(final ForkJoinPool forkJoinPool) {
            return (ForkJoinWorkerThread) AccessController.doPrivileged(new PrivilegedAction<ForkJoinWorkerThread>() { // from class: java9.util.concurrent.ForkJoinPool.DefaultForkJoinWorkerThreadFactory.1
                @Override // java.security.PrivilegedAction
                public ForkJoinWorkerThread run() {
                    return new ForkJoinWorkerThread(forkJoinPool, ClassLoader.getSystemClassLoader());
                }
            }, ACC);
        }
    }

    /* loaded from: classes19.dex */
    public interface ForkJoinWorkerThreadFactory {
        ForkJoinWorkerThread newThread(ForkJoinPool forkJoinPool);
    }

    /* loaded from: classes19.dex */
    public static final class InnocuousForkJoinWorkerThreadFactory implements ForkJoinWorkerThreadFactory {
        public static final AccessControlContext ACC = ForkJoinPool.contextWithPermissions(ForkJoinPool.modifyThreadPermission, new RuntimePermission("enableContextClassLoaderOverride"), new RuntimePermission("modifyThreadGroup"), new RuntimePermission("getClassLoader"), new RuntimePermission("setContextClassLoader"));

        @Override // java9.util.concurrent.ForkJoinPool.ForkJoinWorkerThreadFactory
        public final ForkJoinWorkerThread newThread(final ForkJoinPool forkJoinPool) {
            return (ForkJoinWorkerThread) AccessController.doPrivileged(new PrivilegedAction<ForkJoinWorkerThread>() { // from class: java9.util.concurrent.ForkJoinPool.InnocuousForkJoinWorkerThreadFactory.1
                @Override // java.security.PrivilegedAction
                public ForkJoinWorkerThread run() {
                    return new ForkJoinWorkerThread.InnocuousForkJoinWorkerThread(forkJoinPool);
                }
            }, ACC);
        }
    }

    /* loaded from: classes19.dex */
    public interface ManagedBlocker {
        boolean block() throws InterruptedException;

        boolean isReleasable();
    }

    /* loaded from: classes19.dex */
    public static final class MemBar {
        public static final long OFF;
        public static final Unsafe U;
        public static final Mock x = new Mock();

        static {
            Unsafe unsafe = UnsafeAccess.unsafe;
            U = unsafe;
            try {
                OFF = unsafe.objectFieldOffset(Mock.class.getDeclaredField("v"));
            } catch (Exception e) {
                throw new ExceptionInInitializerError(e);
            }
        }

        public static void fullFence() {
            U.putIntVolatile(x, OFF, 0);
        }

        public static void loadFence() {
            U.getIntVolatile(x, OFF);
        }

        public static void storeFence() {
            U.putOrderedInt(x, OFF, 0);
        }
    }

    /* loaded from: classes19.dex */
    public static final class WorkQueue {
        public static final int ABASE;
        public static final int ASHIFT;
        public static final int INITIAL_QUEUE_CAPACITY = 8192;
        public static final int MAXIMUM_QUEUE_CAPACITY = 67108864;
        public static final long PHASE;
        public static final Unsafe U;
        public ForkJoinTask<?>[] array;
        public int id;
        public int nsteals;
        public final ForkJoinWorkerThread owner;
        public volatile long pad00;
        public volatile long pad01;
        public volatile long pad02;
        public volatile long pad03;
        public volatile long pad04;
        public volatile long pad05;
        public volatile long pad06;
        public volatile long pad07;
        public volatile long pad08;
        public volatile long pad09;
        public volatile long pad0a;
        public volatile long pad0b;
        public volatile long pad0c;
        public volatile long pad0d;
        public volatile long pad0e;
        public volatile long pad0f;
        public volatile Object pad10;
        public volatile Object pad11;
        public volatile Object pad12;
        public volatile Object pad13;
        public volatile Object pad14;
        public volatile Object pad15;
        public volatile Object pad16;
        public volatile Object pad17;
        public volatile Object pad18;
        public volatile Object pad19;
        public volatile Object pad1a;
        public volatile Object pad1b;
        public volatile Object pad1c;
        public volatile Object pad1d;
        public volatile Object pad1e;
        public volatile Object pad1f;
        public volatile int phase;
        public final ForkJoinPool pool;
        public volatile int source;
        public int stackPred;
        public int top = 4096;
        public volatile int base = 4096;

        static {
            Unsafe unsafe = UnsafeAccess.unsafe;
            U = unsafe;
            try {
                PHASE = unsafe.objectFieldOffset(WorkQueue.class.getDeclaredField("phase"));
                ABASE = unsafe.arrayBaseOffset(ForkJoinTask[].class);
                int arrayIndexScale = unsafe.arrayIndexScale(ForkJoinTask[].class);
                if (((arrayIndexScale - 1) & arrayIndexScale) != 0) {
                    throw new ExceptionInInitializerError("array index scale not a power of two");
                }
                ASHIFT = 31 - Integer.numberOfLeadingZeros(arrayIndexScale);
            } catch (Exception e) {
                throw new ExceptionInInitializerError(e);
            }
        }

        public WorkQueue(ForkJoinPool forkJoinPool, ForkJoinWorkerThread forkJoinWorkerThread) {
            this.pool = forkJoinPool;
            this.owner = forkJoinWorkerThread;
        }

        public final void cancelAll() {
            while (true) {
                ForkJoinTask<?> poll = poll();
                if (poll == null) {
                    return;
                }
                ForkJoinTask.cancelIgnoringExceptions(poll);
            }
        }

        public final int getPoolIndex() {
            return (this.id & 65535) >>> 1;
        }

        public final ForkJoinTask<?>[] growArray() {
            int i;
            ForkJoinTask<?>[] forkJoinTaskArr = this.array;
            int length = forkJoinTaskArr != null ? forkJoinTaskArr.length : 0;
            int i2 = length > 0 ? length << 1 : 8192;
            if (i2 < 8192 || i2 > 67108864) {
                throw new RejectedExecutionException("Queue capacity exceeded");
            }
            ForkJoinTask<?>[] forkJoinTaskArr2 = new ForkJoinTask[i2];
            this.array = forkJoinTaskArr2;
            if (forkJoinTaskArr != null && length - 1 > 0) {
                int i3 = this.top;
                int i4 = this.base;
                if (i3 - i4 > 0) {
                    int i5 = i2 - 1;
                    int i6 = i4;
                    do {
                        long j = ABASE + ((i6 & i) << ASHIFT);
                        Unsafe unsafe = U;
                        ForkJoinTask<?> forkJoinTask = (ForkJoinTask) unsafe.getObjectVolatile(forkJoinTaskArr, j);
                        if (forkJoinTask != null && CompletableFuture$$ExternalSyntheticBackportWithForwarding0.m(unsafe, forkJoinTaskArr, j, forkJoinTask, null)) {
                            forkJoinTaskArr2[i6 & i5] = forkJoinTask;
                        }
                        i6++;
                    } while (i6 != i3);
                    MemBar.storeFence();
                }
            }
            return forkJoinTaskArr2;
        }

        public final boolean isApparentlyUnblocked() {
            Thread.State state;
            ForkJoinWorkerThread forkJoinWorkerThread = this.owner;
            return (forkJoinWorkerThread == null || (state = forkJoinWorkerThread.getState()) == Thread.State.BLOCKED || state == Thread.State.WAITING || state == Thread.State.TIMED_WAITING) ? false : true;
        }

        public final boolean isEmpty() {
            ForkJoinTask<?>[] forkJoinTaskArr;
            int length;
            int i = this.base;
            int i2 = i - this.top;
            if (i2 < 0) {
                return i2 == -1 && ((forkJoinTaskArr = this.array) == null || (length = forkJoinTaskArr.length) == 0 || forkJoinTaskArr[i & (length - 1)] == null);
            }
            return true;
        }

        public final int localHelpCC(CountedCompleter<?> countedCompleter, int i) {
            boolean z;
            int length;
            int i2 = 0;
            if (countedCompleter != null) {
                int i3 = countedCompleter.status;
                if (i3 >= 0) {
                    while (true) {
                        int i4 = this.base;
                        int i5 = this.top;
                        ForkJoinTask<?>[] forkJoinTaskArr = this.array;
                        if (forkJoinTaskArr != null && i4 != i5 && (length = forkJoinTaskArr.length) > 0) {
                            int i6 = i5 - 1;
                            long j = (((length - 1) & i6) << ASHIFT) + ABASE;
                            ForkJoinTask forkJoinTask = (ForkJoinTask) U.getObject(forkJoinTaskArr, j);
                            if (forkJoinTask instanceof CountedCompleter) {
                                CountedCompleter<?> countedCompleter2 = (CountedCompleter) forkJoinTask;
                                CountedCompleter<?> countedCompleter3 = countedCompleter2;
                                while (true) {
                                    if (countedCompleter3 != countedCompleter) {
                                        countedCompleter3 = countedCompleter3.completer;
                                        if (countedCompleter3 == null) {
                                            break;
                                        }
                                    } else if (CompletableFuture$$ExternalSyntheticBackportWithForwarding0.m(U, forkJoinTaskArr, j, countedCompleter2, null)) {
                                        this.top = i6;
                                        MemBar.storeFence();
                                        countedCompleter2.doExec();
                                        z = true;
                                    }
                                }
                            }
                        }
                        z = false;
                        int i7 = countedCompleter.status;
                        if (i7 < 0 || !z) {
                            return i7;
                        }
                        if (i != 0 && i - 1 == 0) {
                            return i7;
                        }
                    }
                } else {
                    i2 = i3;
                }
            }
            return i2;
        }

        public final void localPollAndExec(int i) {
            int i2;
            int length;
            do {
                int i3 = 0;
                while (true) {
                    int i4 = this.base;
                    int i5 = this.top;
                    ForkJoinTask<?>[] forkJoinTaskArr = this.array;
                    if (forkJoinTaskArr == null || (i2 = i4 - i5) >= 0 || (length = forkJoinTaskArr.length) <= 0) {
                        return;
                    }
                    int i6 = i4 + 1;
                    ForkJoinTask forkJoinTask = (ForkJoinTask) ForkJoinPool.getAndSetObject(forkJoinTaskArr, ((i4 & (length - 1)) << ASHIFT) + ABASE, null);
                    if (forkJoinTask != null) {
                        this.base = i6;
                        forkJoinTask.doExec();
                        if (i != 0 && (i3 = i3 + 1) == i) {
                            return;
                        }
                    }
                }
            } while (i2 != -1);
        }

        public final void localPopAndExec(int i) {
            int length;
            while (true) {
                int i2 = this.base;
                int i3 = this.top;
                ForkJoinTask<?>[] forkJoinTaskArr = this.array;
                if (forkJoinTaskArr == null || i2 == i3 || (length = forkJoinTaskArr.length) <= 0) {
                    return;
                }
                int i4 = i3 - 1;
                ForkJoinTask forkJoinTask = (ForkJoinTask) ForkJoinPool.getAndSetObject(forkJoinTaskArr, (((length - 1) & i4) << ASHIFT) + ABASE, null);
                if (forkJoinTask == null) {
                    return;
                }
                this.top = i4;
                MemBar.storeFence();
                forkJoinTask.doExec();
                if (i != 0 && i - 1 == 0) {
                    return;
                }
            }
        }

        public final ForkJoinTask<?> nextLocalTask() {
            return (this.id & 65536) != 0 ? poll() : pop();
        }

        public final ForkJoinTask<?> peek() {
            int length;
            ForkJoinTask<?>[] forkJoinTaskArr = this.array;
            if (forkJoinTaskArr == null || (length = forkJoinTaskArr.length) <= 0) {
                return null;
            }
            return forkJoinTaskArr[(length - 1) & ((this.id & 65536) != 0 ? this.base : this.top - 1)];
        }

        public final ForkJoinTask<?> poll() {
            int i;
            int length;
            while (true) {
                int i2 = this.base;
                int i3 = this.top;
                ForkJoinTask<?>[] forkJoinTaskArr = this.array;
                if (forkJoinTaskArr == null || (i = i2 - i3) >= 0 || (length = forkJoinTaskArr.length) <= 0) {
                    return null;
                }
                long j = (((length - 1) & i2) << ASHIFT) + ABASE;
                Unsafe unsafe = U;
                ForkJoinTask<?> forkJoinTask = (ForkJoinTask) unsafe.getObjectVolatile(forkJoinTaskArr, j);
                int i4 = i2 + 1;
                if (i2 == this.base) {
                    if (forkJoinTask != null) {
                        if (CompletableFuture$$ExternalSyntheticBackportWithForwarding0.m(unsafe, forkJoinTaskArr, j, forkJoinTask, null)) {
                            this.base = i4;
                            return forkJoinTask;
                        }
                    } else if (i == -1) {
                        return null;
                    }
                }
            }
        }

        public final ForkJoinTask<?> pop() {
            int length;
            int i = this.base;
            int i2 = this.top;
            ForkJoinTask<?>[] forkJoinTaskArr = this.array;
            if (forkJoinTaskArr == null || i == i2 || (length = forkJoinTaskArr.length) <= 0) {
                return null;
            }
            int i3 = i2 - 1;
            long j = (((length - 1) & i3) << ASHIFT) + ABASE;
            Unsafe unsafe = U;
            ForkJoinTask<?> forkJoinTask = (ForkJoinTask) unsafe.getObject(forkJoinTaskArr, j);
            if (forkJoinTask == null || !CompletableFuture$$ExternalSyntheticBackportWithForwarding0.m(unsafe, forkJoinTaskArr, j, forkJoinTask, null)) {
                return null;
            }
            this.top = i3;
            MemBar.storeFence();
            return forkJoinTask;
        }

        public final void push(ForkJoinTask<?> forkJoinTask) {
            int length;
            int i = this.top;
            ForkJoinTask<?>[] forkJoinTaskArr = this.array;
            if (forkJoinTaskArr == null || (length = forkJoinTaskArr.length) <= 0) {
                return;
            }
            long j = (((length - 1) & i) << ASHIFT) + ABASE;
            ForkJoinPool forkJoinPool = this.pool;
            this.top = i + 1;
            U.putOrderedObject(forkJoinTaskArr, j, forkJoinTask);
            int i2 = this.base - i;
            if (i2 == 0 && forkJoinPool != null) {
                MemBar.fullFence();
                forkJoinPool.signalWork();
            } else if (i2 + length == 1) {
                growArray();
            }
        }

        public final int queueSize() {
            int i = this.base - this.top;
            if (i >= 0) {
                return 0;
            }
            return -i;
        }

        /* JADX WARN: Removed duplicated region for block: B:32:0x007c  */
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public final int sharedHelpCC(CountedCompleter<?> countedCompleter, int i) {
            boolean z;
            int length;
            Unsafe unsafe;
            long j;
            int i2 = 0;
            if (countedCompleter != null) {
                int i3 = countedCompleter.status;
                if (i3 >= 0) {
                    int i4 = i;
                    while (true) {
                        int i5 = this.base;
                        int i6 = this.top;
                        ForkJoinTask<?>[] forkJoinTaskArr = this.array;
                        if (forkJoinTaskArr != null && i5 != i6 && (length = forkJoinTaskArr.length) > 0) {
                            int i7 = i6 - 1;
                            long j2 = (((length - 1) & i7) << ASHIFT) + ABASE;
                            ForkJoinTask forkJoinTask = (ForkJoinTask) U.getObject(forkJoinTaskArr, j2);
                            if (forkJoinTask instanceof CountedCompleter) {
                                CountedCompleter<?> countedCompleter2 = (CountedCompleter) forkJoinTask;
                                CountedCompleter<?> countedCompleter3 = countedCompleter2;
                                while (true) {
                                    if (countedCompleter3 != countedCompleter) {
                                        countedCompleter3 = countedCompleter3.completer;
                                        if (countedCompleter3 == null) {
                                            break;
                                        }
                                    } else {
                                        Unsafe unsafe2 = U;
                                        long j3 = PHASE;
                                        if (unsafe2.compareAndSwapInt(this, j3, 0, 1)) {
                                            if (this.top == i6 && this.array == forkJoinTaskArr) {
                                                unsafe = unsafe2;
                                                if (CompletableFuture$$ExternalSyntheticBackportWithForwarding0.m(unsafe2, forkJoinTaskArr, j2, countedCompleter2, null)) {
                                                    this.top = i7;
                                                    z = true;
                                                    j = j3;
                                                    unsafe.putOrderedInt(this, j, 0);
                                                    if (z) {
                                                        countedCompleter2.doExec();
                                                    }
                                                }
                                            } else {
                                                unsafe = unsafe2;
                                            }
                                            j = j3;
                                            z = false;
                                            unsafe.putOrderedInt(this, j, 0);
                                            if (z) {
                                            }
                                        }
                                    }
                                }
                            }
                        }
                        z = false;
                        int i8 = countedCompleter.status;
                        if (i8 < 0 || !z) {
                            return i8;
                        }
                        if (i4 != 0 && i4 - 1 == 0) {
                            return i8;
                        }
                    }
                } else {
                    i2 = i3;
                }
            }
            return i2;
        }

        public final boolean tryLockSharedQueue() {
            return U.compareAndSwapInt(this, PHASE, 0, 1);
        }

        public final void tryRemoveAndExec(ForkJoinTask<?> forkJoinTask) {
            ForkJoinTask<?>[] forkJoinTaskArr;
            int length;
            int i;
            int i2 = this.base;
            int i3 = this.top;
            if (i2 - i3 >= 0 || (forkJoinTaskArr = this.array) == null || (length = forkJoinTaskArr.length) <= 0) {
                return;
            }
            int i4 = length - 1;
            int i5 = i3 - 1;
            int i6 = i5;
            while (true) {
                long j = ((i6 & i4) << ASHIFT) + ABASE;
                Unsafe unsafe = U;
                ForkJoinTask<?> forkJoinTask2 = (ForkJoinTask) unsafe.getObject(forkJoinTaskArr, j);
                if (forkJoinTask2 == null) {
                    return;
                }
                if (forkJoinTask2 == forkJoinTask) {
                    if (CompletableFuture$$ExternalSyntheticBackportWithForwarding0.m(unsafe, forkJoinTaskArr, j, forkJoinTask2, null)) {
                        this.top = i5;
                        while (i6 != i5) {
                            int i7 = i6 + 1;
                            int i8 = ASHIFT;
                            long j2 = ((i7 & i4) << i8) + ABASE;
                            Unsafe unsafe2 = U;
                            unsafe2.putObjectVolatile(forkJoinTaskArr, j2, (Object) null);
                            unsafe2.putOrderedObject(forkJoinTaskArr, ((i6 & i4) << i8) + i, (ForkJoinTask) unsafe2.getObject(forkJoinTaskArr, j2));
                            i6 = i7;
                        }
                        MemBar.storeFence();
                        forkJoinTask2.doExec();
                        return;
                    }
                    return;
                }
                i6--;
            }
        }

        public final boolean trySharedUnpush(ForkJoinTask<?> forkJoinTask) {
            int length;
            long j;
            boolean z = true;
            int i = this.top - 1;
            ForkJoinTask<?>[] forkJoinTaskArr = this.array;
            if (forkJoinTaskArr == null || (length = forkJoinTaskArr.length) <= 0) {
                return false;
            }
            long j2 = (((length - 1) & i) << ASHIFT) + ABASE;
            Unsafe unsafe = U;
            if (((ForkJoinTask) unsafe.getObject(forkJoinTaskArr, j2)) == forkJoinTask) {
                long j3 = PHASE;
                if (unsafe.compareAndSwapInt(this, j3, 0, 1)) {
                    if (this.top == i + 1 && this.array == forkJoinTaskArr && CompletableFuture$$ExternalSyntheticBackportWithForwarding0.m(unsafe, forkJoinTaskArr, j2, forkJoinTask, null)) {
                        this.top = i;
                        j = j3;
                    } else {
                        j = j3;
                        z = false;
                    }
                    unsafe.putOrderedInt(this, j, 0);
                    return z;
                }
                return false;
            }
            return false;
        }

        public final boolean tryUnpush(ForkJoinTask<?> forkJoinTask) {
            int length;
            int i = this.base;
            int i2 = this.top;
            ForkJoinTask<?>[] forkJoinTaskArr = this.array;
            if (forkJoinTaskArr == null || i == i2 || (length = forkJoinTaskArr.length) <= 0) {
                return false;
            }
            int i3 = i2 - 1;
            if (CompletableFuture$$ExternalSyntheticBackportWithForwarding0.m(U, forkJoinTaskArr, (((length - 1) & i3) << ASHIFT) + ABASE, forkJoinTask, null)) {
                this.top = i3;
                MemBar.storeFence();
                return true;
            }
            return false;
        }
    }

    /* JADX WARN: Can't wrap try/catch for region: R(10:5|6|7|(6:9|10|11|12|13|14)|22|10|11|12|13|14) */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x007d, code lost:
        r1 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x007e, code lost:
        java9.util.concurrent.ForkJoinPool.ACTCLASS = null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x0080, code lost:
        throw r1;
     */
    static {
        int i;
        String property;
        Unsafe unsafe = UnsafeAccess.unsafe;
        U = unsafe;
        try {
            CTL = unsafe.objectFieldOffset(ForkJoinPool.class.getDeclaredField("ctl"));
            MODE = unsafe.objectFieldOffset(ForkJoinPool.class.getDeclaredField("mode"));
            ABASE = unsafe.arrayBaseOffset(ForkJoinTask[].class);
            int arrayIndexScale = unsafe.arrayIndexScale(ForkJoinTask[].class);
            if (((arrayIndexScale - 1) & arrayIndexScale) != 0) {
                throw new ExceptionInInitializerError("array index scale not a power of two");
            }
            ASHIFT = 31 - Integer.numberOfLeadingZeros(arrayIndexScale);
            try {
                property = System.getProperty("java.util.concurrent.ForkJoinPool.common.maximumSpares");
            } catch (Exception e) {
            }
            if (property != null) {
                i = Integer.parseInt(property);
                COMMON_MAX_SPARES = i;
                defaultForkJoinWorkerThreadFactory = new DefaultForkJoinWorkerThreadFactory();
                modifyThreadPermission = new RuntimePermission("modifyThread");
                ForkJoinPool forkJoinPool = (ForkJoinPool) AccessController.doPrivileged(new PrivilegedAction<ForkJoinPool>() { // from class: java9.util.concurrent.ForkJoinPool.1
                    @Override // java.security.PrivilegedAction
                    public ForkJoinPool run() {
                        return new ForkJoinPool((byte) 0);
                    }
                });
                common = forkJoinPool;
                COMMON_PARALLELISM = Math.max(forkJoinPool.mode & 65535, 1);
                Class<?> cls = null;
                cls = Class.forName("java9.util.concurrent.CompletableFuture$AsynchronousCompletionTask");
                ACTCLASS = cls;
            }
            i = 256;
            COMMON_MAX_SPARES = i;
            defaultForkJoinWorkerThreadFactory = new DefaultForkJoinWorkerThreadFactory();
            modifyThreadPermission = new RuntimePermission("modifyThread");
            ForkJoinPool forkJoinPool2 = (ForkJoinPool) AccessController.doPrivileged(new PrivilegedAction<ForkJoinPool>() { // from class: java9.util.concurrent.ForkJoinPool.1
                @Override // java.security.PrivilegedAction
                public ForkJoinPool run() {
                    return new ForkJoinPool((byte) 0);
                }
            });
            common = forkJoinPool2;
            COMMON_PARALLELISM = Math.max(forkJoinPool2.mode & 65535, 1);
            Class<?> cls2 = null;
            cls2 = Class.forName("java9.util.concurrent.CompletableFuture$AsynchronousCompletionTask");
            ACTCLASS = cls2;
        } catch (Exception e2) {
            throw new ExceptionInInitializerError(e2);
        }
    }

    public ForkJoinPool() {
        this(Math.min((int) MAX_CAP, Runtime.getRuntime().availableProcessors()), defaultForkJoinWorkerThreadFactory, null, false, 0, MAX_CAP, 1, null, 60000L, TimeUnit.MILLISECONDS);
    }

    /* JADX WARN: Removed duplicated region for block: B:15:0x0029  */
    /* JADX WARN: Removed duplicated region for block: B:26:0x004a  */
    /* JADX WARN: Removed duplicated region for block: B:29:0x006c  */
    /* JADX WARN: Removed duplicated region for block: B:30:0x006f  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public ForkJoinPool(byte b) {
        ForkJoinWorkerThreadFactory forkJoinWorkerThreadFactory;
        Thread.UncaughtExceptionHandler uncaughtExceptionHandler;
        try {
            String property = System.getProperty("java.util.concurrent.ForkJoinPool.common.parallelism");
            r11 = property != null ? Integer.parseInt(property) : -1;
            forkJoinWorkerThreadFactory = (ForkJoinWorkerThreadFactory) newInstanceFromSystemProperty("java.util.concurrent.ForkJoinPool.common.threadFactory");
        } catch (Exception e) {
            forkJoinWorkerThreadFactory = null;
        }
        try {
            uncaughtExceptionHandler = (Thread.UncaughtExceptionHandler) newInstanceFromSystemProperty("java.util.concurrent.ForkJoinPool.common.exceptionHandler");
        } catch (Exception e2) {
            uncaughtExceptionHandler = null;
            if (forkJoinWorkerThreadFactory == null) {
            }
            if (r11 < 0) {
                r11 = 1;
            }
            if (r11 > 32767) {
            }
            long j = -r11;
            long j2 = ((j << 48) & RC_MASK) | ((j << 32) & TC_MASK);
            int i = ((1 - r11) & 65535) | (COMMON_MAX_SPARES << 16);
            if (r11 <= 1) {
            }
            int i2 = r7 | (r7 >>> 1);
            int i3 = i2 | (i2 >>> 2);
            int i4 = i3 | (i3 >>> 4);
            int i5 = i4 | (i4 >>> 8);
            this.workerNamePrefix = "ForkJoinPool.commonPool-worker-";
            this.workQueues = new WorkQueue[((i5 | (i5 >>> 16)) + 1) << 1];
            this.factory = forkJoinWorkerThreadFactory;
            this.ueh = uncaughtExceptionHandler;
            this.saturate = null;
            this.keepAlive = 60000L;
            this.bounds = i;
            this.mode = r11;
            this.ctl = j2;
        }
        forkJoinWorkerThreadFactory = forkJoinWorkerThreadFactory == null ? System.getSecurityManager() == null ? defaultForkJoinWorkerThreadFactory : new InnocuousForkJoinWorkerThreadFactory() : forkJoinWorkerThreadFactory;
        if (r11 < 0 && (r11 = Runtime.getRuntime().availableProcessors() - 1) <= 0) {
            r11 = 1;
        }
        r11 = r11 > 32767 ? MAX_CAP : r11;
        long j3 = -r11;
        long j22 = ((j3 << 48) & RC_MASK) | ((j3 << 32) & TC_MASK);
        int i6 = ((1 - r11) & 65535) | (COMMON_MAX_SPARES << 16);
        int i7 = r11 <= 1 ? r11 - 1 : 1;
        int i22 = i7 | (i7 >>> 1);
        int i32 = i22 | (i22 >>> 2);
        int i42 = i32 | (i32 >>> 4);
        int i52 = i42 | (i42 >>> 8);
        this.workerNamePrefix = "ForkJoinPool.commonPool-worker-";
        this.workQueues = new WorkQueue[((i52 | (i52 >>> 16)) + 1) << 1];
        this.factory = forkJoinWorkerThreadFactory;
        this.ueh = uncaughtExceptionHandler;
        this.saturate = null;
        this.keepAlive = 60000L;
        this.bounds = i6;
        this.mode = r11;
        this.ctl = j22;
    }

    public ForkJoinPool(int i) {
        this(i, defaultForkJoinWorkerThreadFactory, null, false, 0, MAX_CAP, 1, null, 60000L, TimeUnit.MILLISECONDS);
    }

    public ForkJoinPool(int i, ForkJoinWorkerThreadFactory forkJoinWorkerThreadFactory, Thread.UncaughtExceptionHandler uncaughtExceptionHandler, boolean z) {
        this(i, forkJoinWorkerThreadFactory, uncaughtExceptionHandler, z, 0, MAX_CAP, 1, null, 60000L, TimeUnit.MILLISECONDS);
    }

    public ForkJoinPool(int i, ForkJoinWorkerThreadFactory forkJoinWorkerThreadFactory, Thread.UncaughtExceptionHandler uncaughtExceptionHandler, boolean z, int i2, int i3, int i4, Predicate<? super ForkJoinPool> predicate, long j, TimeUnit timeUnit) {
        if (i <= 0 || i > 32767 || i3 < i || j <= 0) {
            throw new IllegalArgumentException();
        }
        Objects.requireNonNull(forkJoinWorkerThreadFactory);
        long max = Math.max(timeUnit.toMillis(j), 20L);
        long j2 = (((-Math.min(Math.max(i2, i), (int) MAX_CAP)) << 32) & TC_MASK) | (((-i) << 48) & RC_MASK);
        int i5 = (z ? 65536 : 0) | i;
        int min = ((Math.min(i3, (int) MAX_CAP) - i) << 16) | ((Math.min(Math.max(i4, 0), (int) MAX_CAP) - i) & 65535);
        int i6 = i > 1 ? i - 1 : 1;
        int i7 = i6 | (i6 >>> 1);
        int i8 = i7 | (i7 >>> 2);
        int i9 = i8 | (i8 >>> 4);
        int i10 = i9 | (i9 >>> 8);
        this.workerNamePrefix = "ForkJoinPool-" + nextPoolId() + "-worker-";
        this.workQueues = new WorkQueue[((i10 | (i10 >>> 16)) + 1) << 1];
        this.factory = forkJoinWorkerThreadFactory;
        this.ueh = uncaughtExceptionHandler;
        this.saturate = predicate;
        this.keepAlive = max;
        this.bounds = min;
        this.mode = i5;
        this.ctl = j2;
        checkPermission();
    }

    public static void checkPermission() {
        SecurityManager securityManager = System.getSecurityManager();
        if (securityManager != null) {
            securityManager.checkPermission(modifyThreadPermission);
        }
    }

    public static ForkJoinPool commonPool() {
        return common;
    }

    public static WorkQueue commonSubmitterQueue() {
        WorkQueue[] workQueueArr;
        int length;
        ForkJoinPool forkJoinPool = common;
        int probe = TLRandom.getProbe();
        if (forkJoinPool == null || (workQueueArr = forkJoinPool.workQueues) == null || (length = workQueueArr.length) <= 0) {
            return null;
        }
        return workQueueArr[probe & (length - 1) & SQMASK];
    }

    public static AccessControlContext contextWithPermissions(Permission... permissionArr) {
        Permissions permissions = new Permissions();
        for (Permission permission : permissionArr) {
            permissions.add(permission);
        }
        return new AccessControlContext(new ProtectionDomain[]{new ProtectionDomain(null, permissions)});
    }

    private boolean createWorker() {
        ForkJoinWorkerThread forkJoinWorkerThread;
        ForkJoinWorkerThreadFactory forkJoinWorkerThreadFactory = this.factory;
        Throwable th = null;
        if (forkJoinWorkerThreadFactory != null) {
            try {
                forkJoinWorkerThread = forkJoinWorkerThreadFactory.newThread(this);
                if (forkJoinWorkerThread != null) {
                    try {
                        forkJoinWorkerThread.start();
                        return true;
                    } catch (Throwable th2) {
                        th = th2;
                    }
                }
            } catch (Throwable th3) {
                th = th3;
                forkJoinWorkerThread = null;
            }
        } else {
            forkJoinWorkerThread = null;
        }
        deregisterWorker(forkJoinWorkerThread, th);
        return false;
    }

    private <T> ForkJoinTask<T> externalSubmit(ForkJoinTask<T> forkJoinTask) {
        WorkQueue workQueue;
        Objects.requireNonNull(forkJoinTask);
        Thread currentThread = Thread.currentThread();
        if (currentThread instanceof ForkJoinWorkerThread) {
            ForkJoinWorkerThread forkJoinWorkerThread = (ForkJoinWorkerThread) currentThread;
            if (forkJoinWorkerThread.pool == this && (workQueue = forkJoinWorkerThread.workQueue) != null) {
                workQueue.push(forkJoinTask);
                return forkJoinTask;
            }
        }
        externalPush(forkJoinTask);
        return forkJoinTask;
    }

    public static long getAndAddLong(Object obj, long j, long j2) {
        Unsafe unsafe;
        long longVolatile;
        do {
            unsafe = U;
            longVolatile = unsafe.getLongVolatile(obj, j);
        } while (!unsafe.compareAndSwapLong(obj, j, longVolatile, longVolatile + j2));
        return longVolatile;
    }

    public static Object getAndSetObject(Object obj, long j, Object obj2) {
        Unsafe unsafe;
        Object objectVolatile;
        do {
            unsafe = U;
            objectVolatile = unsafe.getObjectVolatile(obj, j);
        } while (!CompletableFuture$$ExternalSyntheticBackportWithForwarding0.m(unsafe, obj, j, objectVolatile, obj2));
        return objectVolatile;
    }

    public static int getCommonPoolParallelism() {
        return COMMON_PARALLELISM;
    }

    public static int getSurplusQueuedTaskCount() {
        ForkJoinWorkerThread forkJoinWorkerThread;
        ForkJoinPool forkJoinPool;
        WorkQueue workQueue;
        Thread currentThread = Thread.currentThread();
        int i = 0;
        if (!(currentThread instanceof ForkJoinWorkerThread) || (forkJoinPool = (forkJoinWorkerThread = (ForkJoinWorkerThread) currentThread).pool) == null || (workQueue = forkJoinWorkerThread.workQueue) == null) {
            return 0;
        }
        int i2 = forkJoinPool.mode & 65535;
        int i3 = ((int) (forkJoinPool.ctl >> 48)) + i2;
        int i4 = workQueue.top - workQueue.base;
        int i5 = i2 >>> 1;
        if (i3 <= i5) {
            int i6 = i5 >>> 1;
            if (i3 > i6) {
                i = 1;
            } else {
                int i7 = i6 >>> 1;
                i = i3 > i7 ? 2 : i3 > (i7 >>> 1) ? 4 : 8;
            }
        }
        return i4 - i;
    }

    /* JADX WARN: Removed duplicated region for block: B:19:0x0031 A[LOOP:0: B:19:0x0031->B:51:0x0031, LOOP_START] */
    /* JADX WARN: Removed duplicated region for block: B:57:? A[RETURN, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static void helpAsyncBlocker(Executor executor, ManagedBlocker managedBlocker) {
        WorkQueue workQueue;
        WorkQueue[] workQueueArr;
        int length;
        int i;
        int length2;
        if (managedBlocker == null || !(executor instanceof ForkJoinPool)) {
            return;
        }
        ForkJoinPool forkJoinPool = (ForkJoinPool) executor;
        Thread currentThread = Thread.currentThread();
        if (currentThread instanceof ForkJoinWorkerThread) {
            ForkJoinWorkerThread forkJoinWorkerThread = (ForkJoinWorkerThread) currentThread;
            if (forkJoinWorkerThread.pool == forkJoinPool) {
                workQueue = forkJoinWorkerThread.workQueue;
                if (workQueue != null) {
                    return;
                }
                while (true) {
                    int i2 = workQueue.base;
                    int i3 = workQueue.top;
                    ForkJoinTask<?>[] forkJoinTaskArr = workQueue.array;
                    if (forkJoinTaskArr == null || (i = i2 - i3) >= 0 || (length2 = forkJoinTaskArr.length) <= 0) {
                        return;
                    }
                    long j = (((length2 - 1) & i2) << ASHIFT) + ABASE;
                    Unsafe unsafe = U;
                    ForkJoinTask forkJoinTask = (ForkJoinTask) unsafe.getObjectVolatile(forkJoinTaskArr, j);
                    if (managedBlocker.isReleasable()) {
                        return;
                    }
                    int i4 = i2 + 1;
                    if (i2 == workQueue.base) {
                        if (forkJoinTask == null) {
                            if (i == -1) {
                                return;
                            }
                        } else if (!isInstanceOfAsynCompTask(forkJoinTask)) {
                            return;
                        } else {
                            if (CompletableFuture$$ExternalSyntheticBackportWithForwarding0.m(unsafe, forkJoinTaskArr, j, forkJoinTask, null)) {
                                workQueue.base = i4;
                                forkJoinTask.doExec();
                            }
                        }
                    }
                }
            }
        }
        int probe = TLRandom.getProbe();
        workQueue = (probe == 0 || (workQueueArr = forkJoinPool.workQueues) == null || (length = workQueueArr.length) <= 0) ? null : workQueueArr[probe & (length - 1) & SQMASK];
        if (workQueue != null) {
        }
    }

    public static boolean isInstanceOfAsynCompTask(ForkJoinTask<?> forkJoinTask) {
        Class<?> cls;
        if (forkJoinTask == null || (cls = ACTCLASS) == null) {
            return false;
        }
        return cls.isAssignableFrom(forkJoinTask.getClass());
    }

    public static void managedBlock(ManagedBlocker managedBlocker) throws InterruptedException {
        ForkJoinWorkerThread forkJoinWorkerThread;
        ForkJoinPool forkJoinPool;
        WorkQueue workQueue;
        Thread currentThread = Thread.currentThread();
        if (!(currentThread instanceof ForkJoinWorkerThread) || (forkJoinPool = (forkJoinWorkerThread = (ForkJoinWorkerThread) currentThread).pool) == null || (workQueue = forkJoinWorkerThread.workQueue) == null) {
            while (!managedBlocker.isReleasable() && !managedBlocker.block()) {
            }
            return;
        }
        while (!managedBlocker.isReleasable()) {
            int tryCompensate = forkJoinPool.tryCompensate(workQueue);
            if (tryCompensate != 0) {
                do {
                    long j = RC_UNIT;
                    try {
                        if (managedBlocker.isReleasable()) {
                            break;
                        }
                    } finally {
                        long j2 = CTL;
                        if (tryCompensate <= 0) {
                            j = 0;
                        }
                        getAndAddLong(forkJoinPool, j2, j);
                    }
                } while (!managedBlocker.block());
                return;
            }
        }
    }

    public static Object newInstanceFromSystemProperty(String str) throws Exception {
        String property = System.getProperty(str);
        if (property == null) {
            return null;
        }
        return ClassLoader.getSystemClassLoader().loadClass(property).getConstructor(new Class[0]).newInstance(new Object[0]);
    }

    public static final synchronized int nextPoolId() {
        int i;
        synchronized (ForkJoinPool.class) {
            i = poolNumberSequence + 1;
            poolNumberSequence = i;
        }
        return i;
    }

    /* JADX WARN: Code restructure failed: missing block: B:22:0x003d, code lost:
        r14 = (((r11 - 1) & r10) << java9.util.concurrent.ForkJoinPool.ASHIFT) + java9.util.concurrent.ForkJoinPool.ABASE;
        r12 = java9.util.concurrent.ForkJoinPool.U;
        r1 = (java9.util.concurrent.ForkJoinTask) r12.getObjectVolatile(r13, r14);
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x0052, code lost:
        if (r1 == null) goto L36;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x0054, code lost:
        r2 = r10 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:25:0x0058, code lost:
        if (r10 != r9.base) goto L35;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0062, code lost:
        if (java9.util.concurrent.CompletableFuture$$ExternalSyntheticBackportWithForwarding0.m(r12, r13, r14, r1, null) == false) goto L33;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:0x0064, code lost:
        r9.base = r2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:29:0x0066, code lost:
        return r1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:46:0x0002, code lost:
        continue;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private ForkJoinTask<?> pollScan(boolean z) {
        WorkQueue[] workQueueArr;
        int length;
        int i;
        int i2;
        ForkJoinTask<?>[] forkJoinTaskArr;
        while ((this.mode & Integer.MIN_VALUE) == 0 && (workQueueArr = this.workQueues) != null && (length = workQueueArr.length) > 0) {
            int i3 = length - 1;
            int nextSecondarySeed = TLRandom.nextSecondarySeed();
            int i4 = nextSecondarySeed >>> 16;
            if (z) {
                i = nextSecondarySeed & (-2) & i3;
                i2 = (i4 & (-2)) | 2;
            } else {
                i = nextSecondarySeed & i3;
                i2 = i4 | 1;
            }
            int i5 = i;
            int i6 = 0;
            int i7 = 0;
            while (true) {
                WorkQueue workQueue = workQueueArr[i5];
                if (workQueue != null) {
                    int i8 = workQueue.base;
                    i6 += i8;
                    if (i8 - workQueue.top < 0 && (forkJoinTaskArr = workQueue.array) != null && (r11 = forkJoinTaskArr.length) > 0) {
                        break;
                    }
                }
                i5 = (i5 + i2) & i3;
                if (i5 == i) {
                    if (i7 == i6) {
                        return null;
                    }
                    i7 = i6;
                    i6 = 0;
                }
            }
        }
        return null;
    }

    public static void quiesceCommonPool() {
        common.awaitQuiescence(Long.MAX_VALUE, TimeUnit.NANOSECONDS);
    }

    private void tryAddWorker(long j) {
        long j2 = j;
        do {
            long j3 = ((RC_UNIT + j2) & RC_MASK) | ((TC_UNIT + j2) & TC_MASK);
            if (this.ctl == j2 && U.compareAndSwapLong(this, CTL, j2, j3)) {
                createWorker();
                return;
            }
            j2 = this.ctl;
            if ((ADD_WORKER & j2) == 0) {
                return;
            }
        } while (((int) j2) == 0);
    }

    private int tryCompensate(WorkQueue workQueue) {
        int length;
        Thread.State state;
        long j = this.ctl;
        WorkQueue[] workQueueArr = this.workQueues;
        short s = (short) (j >>> 32);
        if (s >= 0) {
            if (workQueueArr == null || (length = workQueueArr.length) <= 0 || workQueue == null) {
                return 0;
            }
            int i = (int) j;
            if (i != 0) {
                WorkQueue workQueue2 = workQueueArr[i & (length - 1)];
                int i2 = workQueue.phase;
                long j2 = UC_MASK & (i2 < 0 ? RC_UNIT + j : j);
                int i3 = i & Integer.MAX_VALUE;
                if (workQueue2 != null) {
                    int i4 = workQueue2.phase;
                    ForkJoinWorkerThread forkJoinWorkerThread = workQueue2.owner;
                    long j3 = (workQueue2.stackPred & SP_MASK) | j2;
                    if (i4 == i && U.compareAndSwapLong(this, CTL, j, j3)) {
                        workQueue2.phase = i3;
                        if (workQueue2.source < 0) {
                            LockSupport.unpark(forkJoinWorkerThread);
                        }
                        return i2 < 0 ? -1 : 1;
                    }
                    return 0;
                }
                return 0;
            } else if (((int) (j >> 48)) - ((short) (this.bounds & 65535)) > 0) {
                return U.compareAndSwapLong(this, CTL, j, ((j - RC_UNIT) & RC_MASK) | (281474976710655L & j)) ? 1 : 0;
            } else {
                int i5 = this.mode & 65535;
                int i6 = i5 + s;
                int i7 = i6;
                int i8 = 0;
                for (int i9 = 1; i9 < length; i9 += 2) {
                    WorkQueue workQueue3 = workQueueArr[i9];
                    if (workQueue3 != null) {
                        if (workQueue3.source == 0) {
                            return 0;
                        }
                        i7--;
                        ForkJoinWorkerThread forkJoinWorkerThread2 = workQueue3.owner;
                        if (forkJoinWorkerThread2 != null && ((state = forkJoinWorkerThread2.getState()) == Thread.State.BLOCKED || state == Thread.State.WAITING)) {
                            i8++;
                        }
                    }
                }
                if (i7 != 0 || this.ctl != j) {
                    return 0;
                }
                if (i6 >= 32767 || s >= (this.bounds >>> 16)) {
                    Predicate<? super ForkJoinPool> predicate = this.saturate;
                    if (predicate == null || !predicate.test(this)) {
                        if (i8 < i5) {
                            Thread.yield();
                            return 0;
                        }
                        throw new RejectedExecutionException("Thread limit exceeded replacing blocked worker");
                    }
                    return -1;
                }
            }
        }
        return (U.compareAndSwapLong(this, CTL, j, ((TC_UNIT + j) & TC_MASK) | ((-281470681743361L) & j)) && createWorker()) ? 1 : 0;
    }

    /* JADX WARN: Removed duplicated region for block: B:106:0x0095 A[EDGE_INSN: B:106:0x0095->B:48:0x0095 ?: BREAK  , SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:38:0x0081  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private boolean tryTerminate(boolean z, boolean z2) {
        int i;
        int i2;
        int i3;
        boolean z3;
        while (true) {
            int i4 = this.mode;
            if ((i4 & 262144) != 0) {
                while (true) {
                    int i5 = this.mode;
                    int i6 = 65535;
                    int i7 = 1;
                    if ((i5 & Integer.MIN_VALUE) != 0) {
                        while ((this.mode & 524288) == 0) {
                            long j = 0;
                            while (true) {
                                long j2 = this.ctl;
                                WorkQueue[] workQueueArr = this.workQueues;
                                if (workQueueArr != null) {
                                    for (WorkQueue workQueue : workQueueArr) {
                                        if (workQueue != null) {
                                            ForkJoinWorkerThread forkJoinWorkerThread = workQueue.owner;
                                            workQueue.cancelAll();
                                            if (forkJoinWorkerThread != null) {
                                                try {
                                                    forkJoinWorkerThread.interrupt();
                                                } catch (Throwable th) {
                                                }
                                            }
                                            j2 += (workQueue.phase << 32) + workQueue.base;
                                        }
                                    }
                                }
                                i = this.mode;
                                i2 = i & 524288;
                                if (i2 != 0) {
                                    break;
                                } else if (this.workQueues == workQueueArr) {
                                    if (j == j2) {
                                        break;
                                    }
                                    j = j2;
                                }
                            }
                            if (i2 != 0 || (i & 65535) + ((short) (this.ctl >>> 32)) > 0) {
                                return true;
                            }
                            if (U.compareAndSwapInt(this, MODE, i, i | 524288)) {
                                synchronized (this) {
                                    notifyAll();
                                }
                                return true;
                            }
                        }
                        return true;
                    }
                    if (z) {
                        i3 = i5;
                    } else {
                        long j3 = 0;
                        while (true) {
                            long j4 = this.ctl;
                            WorkQueue[] workQueueArr2 = this.workQueues;
                            char c = '0';
                            if ((i5 & i6) + ((int) (j4 >> 48)) <= 0) {
                                if (workQueueArr2 != null) {
                                    int i8 = 0;
                                    while (i8 < workQueueArr2.length) {
                                        WorkQueue workQueue2 = workQueueArr2[i8];
                                        if (workQueue2 != null) {
                                            int i9 = workQueue2.source;
                                            int i10 = workQueue2.phase;
                                            int i11 = workQueue2.id;
                                            int i12 = workQueue2.base;
                                            if (i12 == workQueue2.top && ((i11 & 1) != i7 || (i9 < 0 && i10 < 0))) {
                                                j4 += (i9 << c) + (i10 << 32) + (i12 << 16) + i11;
                                            }
                                        }
                                        i8++;
                                        c = '0';
                                        i7 = 1;
                                    }
                                }
                                z3 = false;
                                i3 = this.mode;
                                if ((i3 & Integer.MIN_VALUE) != 0) {
                                    break;
                                } else if (z3) {
                                    return false;
                                } else {
                                    if (this.workQueues == workQueueArr2) {
                                        if (j3 == j4) {
                                            break;
                                        }
                                        j3 = j4;
                                    }
                                    i5 = i3;
                                    i6 = 65535;
                                    i7 = 1;
                                }
                            }
                            z3 = true;
                            i3 = this.mode;
                            if ((i3 & Integer.MIN_VALUE) != 0) {
                            }
                        }
                    }
                    if ((i3 & Integer.MIN_VALUE) == 0) {
                        U.compareAndSwapInt(this, MODE, i3, i3 | Integer.MIN_VALUE);
                    }
                }
            } else if (!z2 || this == common) {
                break;
            } else {
                U.compareAndSwapInt(this, MODE, i4, i4 | 262144);
            }
        }
        return false;
    }

    /* JADX WARN: Removed duplicated region for block: B:44:0x0099  */
    /* JADX WARN: Removed duplicated region for block: B:65:0x00d4 A[SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final int awaitJoin(WorkQueue workQueue, ForkJoinTask<?> forkJoinTask, long j) {
        int i;
        long millis;
        WorkQueue workQueue2;
        ForkJoinTask<?>[] forkJoinTaskArr;
        int length;
        int localHelpCC;
        if (workQueue == null || forkJoinTask == null) {
            i = 0;
        } else if (!(forkJoinTask instanceof CountedCompleter) || (localHelpCC = workQueue.localHelpCC((CountedCompleter) forkJoinTask, 0)) >= 0) {
            workQueue.tryRemoveAndExec(forkJoinTask);
            int i2 = workQueue.source;
            int i3 = workQueue.id;
            int i4 = forkJoinTask.status;
            while (i4 >= 0) {
                boolean z = true;
                int nextSecondarySeed = TLRandom.nextSecondarySeed() | 1;
                WorkQueue[] workQueueArr = this.workQueues;
                if (workQueueArr != null) {
                    int length2 = workQueueArr.length;
                    int i5 = length2 - 1;
                    for (int i6 = -length2; i6 < length2; i6 += 2) {
                        int i7 = (nextSecondarySeed + i6) & i5;
                        if (i7 >= 0 && i7 < length2 && (workQueue2 = workQueueArr[i7]) != null && workQueue2.source == i3) {
                            int i8 = workQueue2.base;
                            if (i8 - workQueue2.top < 0 && (forkJoinTaskArr = workQueue2.array) != null && (length = forkJoinTaskArr.length) > 0) {
                                int i9 = workQueue2.id;
                                long j2 = (((length - 1) & i8) << ASHIFT) + ABASE;
                                Unsafe unsafe = U;
                                ForkJoinTask forkJoinTask2 = (ForkJoinTask) unsafe.getObjectVolatile(forkJoinTaskArr, j2);
                                if (forkJoinTask2 != null) {
                                    int i10 = i8 + 1;
                                    if (i8 == workQueue2.base && i3 == workQueue2.source && CompletableFuture$$ExternalSyntheticBackportWithForwarding0.m(unsafe, forkJoinTaskArr, j2, forkJoinTask2, null)) {
                                        workQueue2.base = i10;
                                        workQueue.source = i9;
                                        forkJoinTask2.doExec();
                                        workQueue.source = i2;
                                    }
                                }
                                i4 = forkJoinTask.status;
                                if (i4 >= 0) {
                                    return i4;
                                }
                                if (!z) {
                                    if (j == 0) {
                                        millis = 0;
                                    } else {
                                        long nanoTime = j - System.nanoTime();
                                        if (nanoTime <= 0) {
                                            return i4;
                                        }
                                        millis = TimeUnit.NANOSECONDS.toMillis(nanoTime);
                                        if (millis <= 0) {
                                            millis = 1;
                                        }
                                    }
                                    int tryCompensate = tryCompensate(workQueue);
                                    if (tryCompensate != 0) {
                                        forkJoinTask.internalWait(millis);
                                        getAndAddLong(this, CTL, tryCompensate > 0 ? RC_UNIT : 0L);
                                    }
                                    i4 = forkJoinTask.status;
                                }
                            }
                        }
                    }
                }
                z = false;
                i4 = forkJoinTask.status;
                if (i4 >= 0) {
                }
            }
            return i4;
        } else {
            i = localHelpCC;
        }
        return i;
    }

    public boolean awaitQuiescence(long j, TimeUnit timeUnit) {
        long nanos = timeUnit.toNanos(j);
        Thread currentThread = Thread.currentThread();
        if (currentThread instanceof ForkJoinWorkerThread) {
            ForkJoinWorkerThread forkJoinWorkerThread = (ForkJoinWorkerThread) currentThread;
            if (forkJoinWorkerThread.pool == this) {
                helpQuiescePool(forkJoinWorkerThread.workQueue);
                return true;
            }
        }
        long nanoTime = System.nanoTime();
        while (true) {
            ForkJoinTask<?> pollScan = pollScan(false);
            if (pollScan != null) {
                pollScan.doExec();
            } else if (isQuiescent()) {
                return true;
            } else {
                if (System.nanoTime() - nanoTime > nanos) {
                    return false;
                }
                Thread.yield();
            }
        }
    }

    @Override // java.util.concurrent.ExecutorService
    public boolean awaitTermination(long j, TimeUnit timeUnit) throws InterruptedException {
        if (Thread.interrupted()) {
            throw new InterruptedException();
        }
        if (this == common) {
            awaitQuiescence(j, timeUnit);
            return false;
        }
        long nanos = timeUnit.toNanos(j);
        if (isTerminated()) {
            return true;
        }
        if (nanos <= 0) {
            return false;
        }
        long nanoTime = System.nanoTime() + nanos;
        synchronized (this) {
            while (!isTerminated()) {
                if (nanos <= 0) {
                    return false;
                }
                long millis = TimeUnit.NANOSECONDS.toMillis(nanos);
                if (millis <= 0) {
                    millis = 1;
                }
                wait(millis);
                nanos = nanoTime - System.nanoTime();
            }
            return true;
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:27:0x0040 A[LOOP:0: B:27:0x0040->B:28:0x0064, LOOP_START] */
    /* JADX WARN: Removed duplicated region for block: B:29:0x0066  */
    /* JADX WARN: Removed duplicated region for block: B:30:0x0068  */
    /* JADX WARN: Removed duplicated region for block: B:38:0x007c  */
    /* JADX WARN: Removed duplicated region for block: B:39:0x0080  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void deregisterWorker(ForkJoinWorkerThread forkJoinWorkerThread, Throwable th) {
        WorkQueue workQueue;
        int i;
        Unsafe unsafe;
        long j;
        long j2;
        if (forkJoinWorkerThread != null) {
            workQueue = forkJoinWorkerThread.workQueue;
            if (workQueue != null) {
                String str = this.workerNamePrefix;
                long j3 = workQueue.nsteals & SP_MASK;
                int i2 = workQueue.id & 65535;
                if (str != null) {
                    synchronized (str) {
                        WorkQueue[] workQueueArr = this.workQueues;
                        if (workQueueArr != null && workQueueArr.length > i2 && workQueueArr[i2] == workQueue) {
                            workQueueArr[i2] = null;
                        }
                        this.stealCount += j3;
                    }
                }
                i = workQueue.phase;
                if (i == 1073741824) {
                    do {
                        unsafe = U;
                        j = CTL;
                        j2 = this.ctl;
                    } while (!unsafe.compareAndSwapLong(this, j, j2, ((j2 - RC_UNIT) & RC_MASK) | ((j2 - TC_UNIT) & TC_MASK) | (j2 & SP_MASK)));
                    if (workQueue != null) {
                        workQueue.cancelAll();
                    }
                    if (!tryTerminate(false, false) && workQueue != null && workQueue.array != null) {
                        signalWork();
                    }
                    if (th != null) {
                        ForkJoinTask.helpExpungeStaleExceptions();
                        return;
                    } else {
                        ForkJoinTask.rethrow(th);
                        return;
                    }
                }
                if (workQueue != null) {
                }
                if (!tryTerminate(false, false)) {
                    signalWork();
                }
                if (th != null) {
                }
            }
        } else {
            workQueue = null;
        }
        i = 0;
        if (i == 1073741824) {
        }
    }

    public int drainTasksTo(Collection<? super ForkJoinTask<?>> collection) {
        WorkQueue[] workQueueArr = this.workQueues;
        if (workQueueArr != null) {
            int i = 0;
            for (WorkQueue workQueue : workQueueArr) {
                if (workQueue != null) {
                    while (true) {
                        ForkJoinTask<?> poll = workQueue.poll();
                        if (poll != null) {
                            collection.add(poll);
                            i++;
                        }
                    }
                }
            }
            return i;
        }
        return 0;
    }

    @Override // java.util.concurrent.Executor
    public void execute(Runnable runnable) {
        Objects.requireNonNull(runnable);
        externalSubmit(runnable instanceof ForkJoinTask ? (ForkJoinTask) runnable : new ForkJoinTask.RunnableExecuteAction(runnable));
    }

    public void execute(ForkJoinTask<?> forkJoinTask) {
        externalSubmit(forkJoinTask);
    }

    public final int externalHelpComplete(CountedCompleter<?> countedCompleter, int i) {
        int length;
        WorkQueue workQueue;
        int probe = TLRandom.getProbe();
        WorkQueue[] workQueueArr = this.workQueues;
        if (workQueueArr == null || (length = workQueueArr.length) <= 0 || (workQueue = workQueueArr[probe & (length - 1) & SQMASK]) == null) {
            return 0;
        }
        return workQueue.sharedHelpCC(countedCompleter, i);
    }

    public final void externalPush(ForkJoinTask<?> forkJoinTask) {
        int length;
        boolean z;
        boolean z2;
        int length2;
        int length3;
        int length4;
        int probe = TLRandom.getProbe();
        if (probe == 0) {
            TLRandom.localInit();
            probe = TLRandom.getProbe();
        }
        while (true) {
            int i = this.mode;
            WorkQueue[] workQueueArr = this.workQueues;
            if ((i & 262144) != 0 || workQueueArr == null || (length = workQueueArr.length) <= 0) {
                break;
            }
            WorkQueue workQueue = workQueueArr[(length - 1) & probe & SQMASK];
            if (workQueue == null) {
                String str = this.workerNamePrefix;
                int i2 = (probe | 1073741824) & (-65538);
                WorkQueue workQueue2 = new WorkQueue(this, null);
                workQueue2.id = i2;
                workQueue2.source = 1073741824;
                workQueue2.phase = 1;
                if (str != null) {
                    synchronized (str) {
                        WorkQueue[] workQueueArr2 = this.workQueues;
                        if (workQueueArr2 != null && (length4 = workQueueArr2.length) > 0) {
                            int i3 = i2 & (length4 - 1) & SQMASK;
                            if (workQueueArr2[i3] == null) {
                                workQueueArr2[i3] = workQueue2;
                                z = true;
                                z2 = true;
                            }
                        }
                        z = false;
                        z2 = false;
                    }
                } else {
                    z = false;
                    z2 = false;
                }
                workQueue = workQueue2;
            } else if (workQueue.tryLockSharedQueue()) {
                int i4 = workQueue.base;
                int i5 = workQueue.top;
                ForkJoinTask<?>[] forkJoinTaskArr = workQueue.array;
                if (forkJoinTaskArr != null && (length2 = forkJoinTaskArr.length) > 0) {
                    int i6 = length2 - 1;
                    int i7 = i4 - i5;
                    if (i6 + i7 > 0) {
                        forkJoinTaskArr[i6 & i5] = forkJoinTask;
                        workQueue.top = i5 + 1;
                        if (i7 < 0 && workQueue.base - i5 < -1) {
                            return;
                        }
                        z = false;
                        z2 = true;
                    }
                }
                z = true;
                z2 = true;
            } else {
                z = false;
                z2 = false;
            }
            if (z2) {
                if (z) {
                    try {
                        workQueue.growArray();
                        int i8 = workQueue.top;
                        ForkJoinTask<?>[] forkJoinTaskArr2 = workQueue.array;
                        if (forkJoinTaskArr2 != null && (length3 = forkJoinTaskArr2.length) > 0) {
                            forkJoinTaskArr2[(length3 - 1) & i8] = forkJoinTask;
                            workQueue.top = i8 + 1;
                        }
                    } finally {
                        workQueue.phase = 0;
                    }
                }
                signalWork();
                return;
            }
            probe = TLRandom.advanceProbe(probe);
        }
        throw new RejectedExecutionException();
    }

    public int getActiveThreadCount() {
        int i = (this.mode & 65535) + ((int) (this.ctl >> 48));
        if (i <= 0) {
            return 0;
        }
        return i;
    }

    public boolean getAsyncMode() {
        return (this.mode & 65536) != 0;
    }

    public ForkJoinWorkerThreadFactory getFactory() {
        return this.factory;
    }

    public int getParallelism() {
        int i = this.mode & 65535;
        if (i > 0) {
            return i;
        }
        return 1;
    }

    public int getPoolSize() {
        return (this.mode & 65535) + ((short) (this.ctl >>> 32));
    }

    public int getQueuedSubmissionCount() {
        WorkQueue[] workQueueArr = this.workQueues;
        if (workQueueArr != null) {
            int i = 0;
            for (int i2 = 0; i2 < workQueueArr.length; i2 += 2) {
                WorkQueue workQueue = workQueueArr[i2];
                if (workQueue != null) {
                    i += workQueue.queueSize();
                }
            }
            return i;
        }
        return 0;
    }

    public long getQueuedTaskCount() {
        WorkQueue[] workQueueArr = this.workQueues;
        long j = 0;
        if (workQueueArr != null) {
            for (int i = 1; i < workQueueArr.length; i += 2) {
                WorkQueue workQueue = workQueueArr[i];
                if (workQueue != null) {
                    j += workQueue.queueSize();
                }
            }
        }
        return j;
    }

    public int getRunningThreadCount() {
        WorkQueue[] workQueueArr = this.workQueues;
        int i = 0;
        if (workQueueArr != null) {
            for (int i2 = 1; i2 < workQueueArr.length; i2 += 2) {
                WorkQueue workQueue = workQueueArr[i2];
                if (workQueue != null && workQueue.isApparentlyUnblocked()) {
                    i++;
                }
            }
        }
        return i;
    }

    public long getStealCount() {
        long j = this.stealCount;
        WorkQueue[] workQueueArr = this.workQueues;
        if (workQueueArr != null) {
            for (int i = 1; i < workQueueArr.length; i += 2) {
                WorkQueue workQueue = workQueueArr[i];
                if (workQueue != null) {
                    j += workQueue.nsteals & SP_MASK;
                }
            }
        }
        return j;
    }

    public Thread.UncaughtExceptionHandler getUncaughtExceptionHandler() {
        return this.ueh;
    }

    public boolean hasQueuedSubmissions() {
        WorkQueue[] workQueueArr = this.workQueues;
        if (workQueueArr != null) {
            for (int i = 0; i < workQueueArr.length; i += 2) {
                WorkQueue workQueue = workQueueArr[i];
                if (workQueue != null && !workQueue.isEmpty()) {
                    return true;
                }
            }
        }
        return false;
    }

    public final int helpComplete(WorkQueue workQueue, CountedCompleter<?> countedCompleter, int i) {
        if (workQueue == null) {
            return 0;
        }
        return workQueue.localHelpCC(countedCompleter, i);
    }

    public final void helpQuiescePool(WorkQueue workQueue) {
        boolean z;
        boolean z2;
        char c;
        WorkQueue workQueue2;
        ForkJoinTask<?>[] forkJoinTaskArr;
        int length;
        int i = workQueue.source;
        int i2 = workQueue.id & 65536;
        char c2 = 65535;
        int i3 = i;
        char c3 = 65535;
        while (true) {
            if (i2 != 0) {
                workQueue.localPollAndExec(0);
            } else {
                workQueue.localPopAndExec(0);
            }
            if (c3 == c2 && workQueue.phase >= 0) {
                c3 = 1;
            }
            int nextSecondarySeed = TLRandom.nextSecondarySeed();
            WorkQueue[] workQueueArr = this.workQueues;
            long j = RC_UNIT;
            if (workQueueArr != null) {
                int length2 = workQueueArr.length;
                int i4 = length2 - 1;
                int i5 = length2;
                z2 = true;
                while (true) {
                    if (i5 <= 0) {
                        z = true;
                        break;
                    }
                    int i6 = (nextSecondarySeed - i5) & i4;
                    if (i6 >= 0 && i6 < length2 && (workQueue2 = workQueueArr[i6]) != null) {
                        int i7 = workQueue2.base;
                        if (i7 - workQueue2.top < 0 && (forkJoinTaskArr = workQueue2.array) != null && (length = forkJoinTaskArr.length) > 0) {
                            if (c3 == 0) {
                                getAndAddLong(this, CTL, j);
                                c3 = 1;
                            }
                            long j2 = (((length - 1) & i7) << ASHIFT) + ABASE;
                            Unsafe unsafe = U;
                            ForkJoinTask forkJoinTask = (ForkJoinTask) unsafe.getObjectVolatile(forkJoinTaskArr, j2);
                            if (forkJoinTask != null) {
                                int i8 = i7 + 1;
                                if (i7 == workQueue2.base && CompletableFuture$$ExternalSyntheticBackportWithForwarding0.m(unsafe, forkJoinTaskArr, j2, forkJoinTask, null)) {
                                    workQueue2.base = i8;
                                    workQueue.source = workQueue2.id;
                                    forkJoinTask.doExec();
                                    workQueue.source = i;
                                    i3 = i;
                                }
                            }
                            z = false;
                            z2 = false;
                        } else if ((workQueue2.source & 1073741824) == 0) {
                            z2 = false;
                        }
                    }
                    i5--;
                    j = RC_UNIT;
                }
            } else {
                z = true;
                z2 = true;
            }
            if (z2) {
                break;
            }
            if (z) {
                if (i3 != 1073741824) {
                    workQueue.source = 1073741824;
                    c = 1;
                    i3 = 1073741824;
                } else {
                    c = 1;
                }
                if (c3 == c) {
                    getAndAddLong(this, CTL, RC_MASK);
                    c2 = 65535;
                    c3 = 0;
                }
            }
            c2 = 65535;
        }
        if (c3 == 0) {
            getAndAddLong(this, CTL, RC_UNIT);
        }
        workQueue.source = i;
    }

    public <T> T invoke(ForkJoinTask<T> forkJoinTask) {
        externalSubmit((ForkJoinTask) Objects.requireNonNull(forkJoinTask));
        return forkJoinTask.join();
    }

    @Override // java.util.concurrent.AbstractExecutorService, java.util.concurrent.ExecutorService
    public <T> List<Future<T>> invokeAll(Collection<? extends Callable<T>> collection) {
        ArrayList arrayList = new ArrayList(collection.size());
        try {
            for (Callable<T> callable : collection) {
                ForkJoinTask.AdaptedCallable adaptedCallable = new ForkJoinTask.AdaptedCallable(callable);
                arrayList.add(adaptedCallable);
                externalSubmit(adaptedCallable);
            }
            int size = arrayList.size();
            for (int i = 0; i < size; i++) {
                ((ForkJoinTask) arrayList.get(i)).quietlyJoin();
            }
            return arrayList;
        } catch (Throwable th) {
            int size2 = arrayList.size();
            for (int i2 = 0; i2 < size2; i2++) {
                ((Future) arrayList.get(i2)).cancel(false);
            }
            throw th;
        }
    }

    public boolean isQuiescent() {
        while (true) {
            long j = this.ctl;
            int i = this.mode;
            int i2 = 65535 & i;
            int i3 = ((short) (j >>> 32)) + i2;
            int i4 = i2 + ((int) (j >> 48));
            if ((i & (-2146959360)) != 0) {
                return true;
            }
            if (i4 > 0) {
                return false;
            }
            WorkQueue[] workQueueArr = this.workQueues;
            if (workQueueArr != null) {
                for (int i5 = 1; i5 < workQueueArr.length; i5 += 2) {
                    WorkQueue workQueue = workQueueArr[i5];
                    if (workQueue != null) {
                        if ((workQueue.source & 1073741824) == 0) {
                            return false;
                        }
                        i3--;
                    }
                }
            }
            if (i3 == 0 && this.ctl == j) {
                return true;
            }
        }
    }

    @Override // java.util.concurrent.ExecutorService
    public boolean isShutdown() {
        return (this.mode & 262144) != 0;
    }

    @Override // java.util.concurrent.ExecutorService
    public boolean isTerminated() {
        return (this.mode & 524288) != 0;
    }

    public boolean isTerminating() {
        int i = this.mode;
        return (Integer.MIN_VALUE & i) != 0 && (i & 524288) == 0;
    }

    @Override // java.util.concurrent.AbstractExecutorService
    public <T> RunnableFuture<T> newTaskFor(Runnable runnable, T t) {
        return new ForkJoinTask.AdaptedRunnable(runnable, t);
    }

    @Override // java.util.concurrent.AbstractExecutorService
    public <T> RunnableFuture<T> newTaskFor(Callable<T> callable) {
        return new ForkJoinTask.AdaptedCallable(callable);
    }

    public final ForkJoinTask<?> nextTaskFor(WorkQueue workQueue) {
        if (workQueue != null) {
            ForkJoinTask<?> poll = (workQueue.id & 65536) != 0 ? workQueue.poll() : workQueue.pop();
            if (poll != null) {
                return poll;
            }
        }
        return pollScan(false);
    }

    public ForkJoinTask<?> pollSubmission() {
        return pollScan(true);
    }

    public final WorkQueue registerWorker(ForkJoinWorkerThread forkJoinWorkerThread) {
        int i;
        int length;
        forkJoinWorkerThread.setDaemon(true);
        Thread.UncaughtExceptionHandler uncaughtExceptionHandler = this.ueh;
        if (uncaughtExceptionHandler != null) {
            forkJoinWorkerThread.setUncaughtExceptionHandler(uncaughtExceptionHandler);
        }
        WorkQueue workQueue = new WorkQueue(this, forkJoinWorkerThread);
        int i2 = this.mode & 65536;
        String str = this.workerNamePrefix;
        if (str != null) {
            synchronized (str) {
                WorkQueue[] workQueueArr = this.workQueues;
                int i3 = this.indexSeed - 1640531527;
                this.indexSeed = i3;
                i = 0;
                if (workQueueArr != null && (length = workQueueArr.length) > 1) {
                    int i4 = length - 1;
                    int i5 = i3 & i4;
                    int i6 = ((i3 << 1) | 1) & i4;
                    int i7 = length >>> 1;
                    while (true) {
                        WorkQueue workQueue2 = workQueueArr[i6];
                        if (workQueue2 == null || workQueue2.phase == 1073741824) {
                            break;
                        }
                        i7--;
                        if (i7 == 0) {
                            i6 = length | 1;
                            break;
                        }
                        i6 = (i6 + 2) & i4;
                    }
                    int i8 = i2 | i6 | (i3 & 1073610752);
                    workQueue.id = i8;
                    workQueue.phase = i8;
                    if (i6 < length) {
                        workQueueArr[i6] = workQueue;
                    } else {
                        int i9 = length << 1;
                        WorkQueue[] workQueueArr2 = new WorkQueue[i9];
                        workQueueArr2[i6] = workQueue;
                        int i10 = i9 - 1;
                        while (i < length) {
                            WorkQueue workQueue3 = workQueueArr[i];
                            if (workQueue3 != null) {
                                workQueueArr2[workQueue3.id & i10 & SQMASK] = workQueue3;
                            }
                            int i11 = i + 1;
                            if (i11 >= length) {
                                break;
                            }
                            workQueueArr2[i11] = workQueueArr[i11];
                            i = i11 + 1;
                        }
                        this.workQueues = workQueueArr2;
                    }
                    i = i5;
                }
            }
            forkJoinWorkerThread.setName(str.concat(Integer.toString(i)));
        }
        return workQueue;
    }

    /* JADX WARN: Code restructure failed: missing block: B:49:0x00c2, code lost:
        r10 = r24.phase;
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x00ce, code lost:
        if (r10 < 0) goto L58;
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x00d0, code lost:
        r15 = (r10 + 65536) | Integer.MIN_VALUE;
        r24.phase = r15;
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x00d9, code lost:
        r4 = r23.ctl;
        r24.stackPred = (int) r4;
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x00f1, code lost:
        if (java9.util.concurrent.ForkJoinPool.U.compareAndSwapLong(r23, java9.util.concurrent.ForkJoinPool.CTL, r4, ((r4 - java9.util.concurrent.ForkJoinPool.RC_UNIT) & java9.util.concurrent.ForkJoinPool.UC_MASK) | (r15 & java9.util.concurrent.ForkJoinPool.SP_MASK)) == false) goto L54;
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x00f4, code lost:
        r15 = r24.stackPred;
        r24.source = -1073741824;
        r2 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:57:0x00fd, code lost:
        if (r24.phase < 0) goto L61;
     */
    /* JADX WARN: Code restructure failed: missing block: B:58:0x00ff, code lost:
        r24.source = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:60:0x0106, code lost:
        r0 = r23.mode;
     */
    /* JADX WARN: Code restructure failed: missing block: B:61:0x0108, code lost:
        if (r0 >= 0) goto L63;
     */
    /* JADX WARN: Code restructure failed: missing block: B:62:0x010a, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:63:0x010b, code lost:
        r4 = r23.ctl;
        r1 = (65535 & r0) + ((int) (r4 >> 48));
     */
    /* JADX WARN: Code restructure failed: missing block: B:64:0x0117, code lost:
        if (r1 > 0) goto L94;
     */
    /* JADX WARN: Code restructure failed: missing block: B:66:0x011c, code lost:
        if ((r0 & 262144) == 0) goto L94;
     */
    /* JADX WARN: Code restructure failed: missing block: B:68:0x0123, code lost:
        if (tryTerminate(false, false) == false) goto L69;
     */
    /* JADX WARN: Code restructure failed: missing block: B:69:0x0125, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:71:0x0127, code lost:
        r17 = r2 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:72:0x012d, code lost:
        if ((r17 & 1) != 0) goto L75;
     */
    /* JADX WARN: Code restructure failed: missing block: B:73:0x012f, code lost:
        java.lang.Thread.interrupted();
     */
    /* JADX WARN: Code restructure failed: missing block: B:75:0x0135, code lost:
        if (r1 > 0) goto L90;
     */
    /* JADX WARN: Code restructure failed: missing block: B:76:0x0137, code lost:
        if (r15 == 0) goto L90;
     */
    /* JADX WARN: Code restructure failed: missing block: B:78:0x013a, code lost:
        if (r10 != ((int) r4)) goto L90;
     */
    /* JADX WARN: Code restructure failed: missing block: B:79:0x013c, code lost:
        r0 = r23.keepAlive + java.lang.System.currentTimeMillis();
        java.util.concurrent.locks.LockSupport.parkUntil(r23, r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:80:0x014a, code lost:
        if (r23.ctl != r4) goto L72;
     */
    /* JADX WARN: Code restructure failed: missing block: B:82:0x0155, code lost:
        if ((r0 - java.lang.System.currentTimeMillis()) > 20) goto L72;
     */
    /* JADX WARN: Code restructure failed: missing block: B:84:0x0171, code lost:
        if (java9.util.concurrent.ForkJoinPool.U.compareAndSwapLong(r23, java9.util.concurrent.ForkJoinPool.CTL, r4, ((r4 - java9.util.concurrent.ForkJoinPool.TC_UNIT) & java9.util.concurrent.ForkJoinPool.UC_MASK) | (r15 & java9.util.concurrent.ForkJoinPool.SP_MASK)) == false) goto L89;
     */
    /* JADX WARN: Code restructure failed: missing block: B:85:0x0173, code lost:
        r24.phase = 1073741824;
     */
    /* JADX WARN: Code restructure failed: missing block: B:86:0x0177, code lost:
        return;
     */
    /* JADX WARN: Code restructure failed: missing block: B:87:0x0178, code lost:
        java.util.concurrent.locks.LockSupport.park(r23);
     */
    /* JADX WARN: Code restructure failed: missing block: B:88:0x017d, code lost:
        r2 = r17;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void runWorker(WorkQueue workQueue) {
        int i;
        WorkQueue[] workQueueArr;
        WorkQueue workQueue2;
        ForkJoinTask<?>[] forkJoinTaskArr;
        int length;
        workQueue.growArray();
        int nextSecondarySeed = workQueue.id ^ TLRandom.nextSecondarySeed();
        if (nextSecondarySeed == 0) {
            nextSecondarySeed = 1;
        }
        while (true) {
            int i2 = 0;
            while (true) {
                WorkQueue[] workQueueArr2 = this.workQueues;
                if (workQueueArr2 == null) {
                    return;
                }
                int length2 = workQueueArr2.length;
                int i3 = length2 - 1;
                int i4 = nextSecondarySeed;
                int i5 = length2;
                boolean z = false;
                while (true) {
                    if (i5 <= 0) {
                        i = i4;
                        break;
                    }
                    int i6 = i4 & i3;
                    if (i6 >= 0 && i6 < length2 && (workQueue2 = workQueueArr2[i6]) != null) {
                        int i7 = workQueue2.base;
                        if (i7 - workQueue2.top < 0 && (forkJoinTaskArr = workQueue2.array) != null && (length = forkJoinTaskArr.length) > 0) {
                            int i8 = workQueue2.id;
                            int i9 = i4;
                            long j = ABASE + (((length - 1) & i7) << ASHIFT);
                            Unsafe unsafe = U;
                            ForkJoinTask forkJoinTask = (ForkJoinTask) unsafe.getObjectVolatile(forkJoinTaskArr, j);
                            if (forkJoinTask != null) {
                                int i10 = i7 + 1;
                                workQueueArr = workQueueArr2;
                                if (i7 == workQueue2.base && CompletableFuture$$ExternalSyntheticBackportWithForwarding0.m(unsafe, forkJoinTaskArr, j, forkJoinTask, null)) {
                                    workQueue2.base = i10;
                                    if (i10 - workQueue2.top < 0 && i8 != i2) {
                                        signalWork();
                                    }
                                    workQueue.source = i8;
                                    forkJoinTask.doExec();
                                    if ((workQueue.id & 65536) != 0) {
                                        workQueue.localPollAndExec(1024);
                                    } else {
                                        workQueue.localPopAndExec(1024);
                                    }
                                    ForkJoinWorkerThread forkJoinWorkerThread = workQueue.owner;
                                    workQueue.nsteals++;
                                    workQueue.source = 0;
                                    if (forkJoinWorkerThread != null) {
                                        forkJoinWorkerThread.afterTopLevelExec();
                                    }
                                    i2 = i8;
                                }
                            } else {
                                workQueueArr = workQueueArr2;
                            }
                            i4 = i9;
                            z = true;
                            i5--;
                            workQueueArr2 = workQueueArr;
                        }
                    }
                    workQueueArr = workQueueArr2;
                    i = i4;
                    if (z) {
                        break;
                    }
                    i4 = i + 1;
                    i5--;
                    workQueueArr2 = workQueueArr;
                }
                if (!z) {
                    break;
                }
                int i11 = i ^ (i << 13);
                int i12 = i11 ^ (i11 >>> 17);
                nextSecondarySeed = i12 ^ (i12 << 5);
            }
            nextSecondarySeed = i;
        }
    }

    @Override // java.util.concurrent.ExecutorService
    public void shutdown() {
        checkPermission();
        tryTerminate(false, true);
    }

    @Override // java.util.concurrent.ExecutorService
    public List<Runnable> shutdownNow() {
        checkPermission();
        tryTerminate(true, true);
        return Collections.emptyList();
    }

    public final void signalWork() {
        int i;
        WorkQueue workQueue;
        while (true) {
            long j = this.ctl;
            if (j >= 0) {
                return;
            }
            int i2 = (int) j;
            if (i2 == 0) {
                if ((ADD_WORKER & j) != 0) {
                    tryAddWorker(j);
                    return;
                }
                return;
            }
            WorkQueue[] workQueueArr = this.workQueues;
            if (workQueueArr == null || workQueueArr.length <= (i = 65535 & i2) || (workQueue = workQueueArr[i]) == null) {
                return;
            }
            int i3 = i2 & Integer.MAX_VALUE;
            int i4 = workQueue.phase;
            long j2 = (workQueue.stackPred & SP_MASK) | ((RC_UNIT + j) & UC_MASK);
            ForkJoinWorkerThread forkJoinWorkerThread = workQueue.owner;
            if (i2 == i4 && U.compareAndSwapLong(this, CTL, j, j2)) {
                workQueue.phase = i3;
                if (workQueue.source < 0) {
                    LockSupport.unpark(forkJoinWorkerThread);
                    return;
                }
                return;
            }
        }
    }

    @Override // java.util.concurrent.AbstractExecutorService, java.util.concurrent.ExecutorService
    public /* bridge */ /* synthetic */ Future submit(Runnable runnable, Object obj) {
        return submit(runnable, (Runnable) obj);
    }

    @Override // java.util.concurrent.AbstractExecutorService, java.util.concurrent.ExecutorService
    public ForkJoinTask<?> submit(Runnable runnable) {
        Objects.requireNonNull(runnable);
        return externalSubmit(runnable instanceof ForkJoinTask ? (ForkJoinTask) runnable : new ForkJoinTask.AdaptedRunnableAction(runnable));
    }

    @Override // java.util.concurrent.AbstractExecutorService, java.util.concurrent.ExecutorService
    public <T> ForkJoinTask<T> submit(Runnable runnable, T t) {
        return externalSubmit(new ForkJoinTask.AdaptedRunnable(runnable, t));
    }

    @Override // java.util.concurrent.AbstractExecutorService, java.util.concurrent.ExecutorService
    public <T> ForkJoinTask<T> submit(Callable<T> callable) {
        return externalSubmit(new ForkJoinTask.AdaptedCallable(callable));
    }

    public <T> ForkJoinTask<T> submit(ForkJoinTask<T> forkJoinTask) {
        return externalSubmit(forkJoinTask);
    }

    public String toString() {
        int i;
        long j;
        int i2;
        long j2 = this.stealCount;
        WorkQueue[] workQueueArr = this.workQueues;
        long j3 = 0;
        long j4 = 0;
        if (workQueueArr != null) {
            i = 0;
            for (int i3 = 0; i3 < workQueueArr.length; i3++) {
                WorkQueue workQueue = workQueueArr[i3];
                if (workQueue != null) {
                    int queueSize = workQueue.queueSize();
                    if ((i3 & 1) == 0) {
                        j4 += queueSize;
                    } else {
                        j3 += queueSize;
                        j2 += workQueue.nsteals & SP_MASK;
                        if (workQueue.isApparentlyUnblocked()) {
                            i++;
                        }
                    }
                }
            }
        } else {
            i = 0;
        }
        int i4 = this.mode;
        int i5 = 65535 & i4;
        return super.toString() + "[" + ((524288 & i4) != 0 ? "Terminated" : (Integer.MIN_VALUE & i4) != 0 ? "Terminating" : (i4 & 262144) != 0 ? "Shutting down" : "Running") + ", parallelism = " + i5 + ", size = " + (((short) (j >>> 32)) + i5) + ", active = " + (((int) (this.ctl >> 48)) + i5 >= 0 ? i2 : 0) + ", running = " + i + ", steals = " + j2 + ", tasks = " + j3 + ", submissions = " + j4 + "]";
    }

    public final boolean tryExternalUnpush(ForkJoinTask<?> forkJoinTask) {
        int length;
        WorkQueue workQueue;
        int probe = TLRandom.getProbe();
        WorkQueue[] workQueueArr = this.workQueues;
        return workQueueArr != null && (length = workQueueArr.length) > 0 && (workQueue = workQueueArr[(probe & (length - 1)) & SQMASK]) != null && workQueue.trySharedUnpush(forkJoinTask);
    }
}
