package java9.util.stream;

import com.google.android.gms.common.api.internal.zap$$ExternalSyntheticBackportWithForwarding0;
import java.util.concurrent.atomic.AtomicReference;
import java9.util.Spliterator;
import java9.util.stream.AbstractShortCircuitTask;
/* loaded from: classes19.dex */
public abstract class AbstractShortCircuitTask<P_IN, P_OUT, R, K extends AbstractShortCircuitTask<P_IN, P_OUT, R, K>> extends AbstractTask<P_IN, P_OUT, R, K> {
    public volatile boolean canceled;
    public final AtomicReference<R> sharedResult;

    public AbstractShortCircuitTask(K k, Spliterator<P_IN> spliterator) {
        super(k, spliterator);
        this.sharedResult = k.sharedResult;
    }

    public AbstractShortCircuitTask(PipelineHelper<P_OUT> pipelineHelper, Spliterator<P_IN> spliterator) {
        super(pipelineHelper, spliterator);
        this.sharedResult = new AtomicReference<>(null);
    }

    public void cancel() {
        this.canceled = true;
    }

    public void cancelLaterNodes() {
        AbstractShortCircuitTask<P_IN, P_OUT, R, K> abstractShortCircuitTask = this;
        for (AbstractShortCircuitTask<P_IN, P_OUT, R, K> abstractShortCircuitTask2 = (AbstractShortCircuitTask) getParent(); abstractShortCircuitTask2 != null; abstractShortCircuitTask2 = (AbstractShortCircuitTask) abstractShortCircuitTask2.getParent()) {
            if (abstractShortCircuitTask2.leftChild == abstractShortCircuitTask) {
                AbstractShortCircuitTask abstractShortCircuitTask3 = (AbstractShortCircuitTask) abstractShortCircuitTask2.rightChild;
                if (!abstractShortCircuitTask3.canceled) {
                    abstractShortCircuitTask3.cancel();
                }
            }
            abstractShortCircuitTask = abstractShortCircuitTask2;
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:18:0x004f, code lost:
        r8 = r7.doLeaf();
     */
    @Override // java9.util.stream.AbstractTask, java9.util.concurrent.CountedCompleter
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void compute() {
        R r;
        Spliterator<P_IN> trySplit;
        Spliterator<P_IN> spliterator = this.spliterator;
        long estimateSize = spliterator.estimateSize();
        long targetSize = getTargetSize(estimateSize);
        AtomicReference<R> atomicReference = this.sharedResult;
        boolean z = false;
        AbstractShortCircuitTask<P_IN, P_OUT, R, K> abstractShortCircuitTask = this;
        while (true) {
            r = atomicReference.get();
            if (r != null) {
                break;
            } else if (abstractShortCircuitTask.taskCanceled()) {
                r = abstractShortCircuitTask.getEmptyResult();
                break;
            } else if (estimateSize <= targetSize || (trySplit = spliterator.trySplit()) == null) {
                break;
            } else {
                AbstractShortCircuitTask<P_IN, P_OUT, R, K> abstractShortCircuitTask2 = (AbstractShortCircuitTask) abstractShortCircuitTask.makeChild(trySplit);
                abstractShortCircuitTask.leftChild = abstractShortCircuitTask2;
                AbstractShortCircuitTask<P_IN, P_OUT, R, K> abstractShortCircuitTask3 = (AbstractShortCircuitTask) abstractShortCircuitTask.makeChild(spliterator);
                abstractShortCircuitTask.rightChild = abstractShortCircuitTask3;
                abstractShortCircuitTask.setPendingCount(1);
                if (z) {
                    spliterator = trySplit;
                    abstractShortCircuitTask = abstractShortCircuitTask2;
                    abstractShortCircuitTask2 = abstractShortCircuitTask3;
                } else {
                    abstractShortCircuitTask = abstractShortCircuitTask3;
                }
                z = !z;
                abstractShortCircuitTask2.fork();
                estimateSize = spliterator.estimateSize();
            }
        }
        abstractShortCircuitTask.setLocalResult(r);
        abstractShortCircuitTask.tryComplete();
    }

    public abstract R getEmptyResult();

    @Override // java9.util.stream.AbstractTask
    public R getLocalResult() {
        if (isRoot()) {
            R r = this.sharedResult.get();
            return r == null ? getEmptyResult() : r;
        }
        return (R) super.getLocalResult();
    }

    @Override // java9.util.stream.AbstractTask, java9.util.concurrent.CountedCompleter, java9.util.concurrent.ForkJoinTask
    public R getRawResult() {
        return getLocalResult();
    }

    @Override // java9.util.stream.AbstractTask
    public void setLocalResult(R r) {
        if (!isRoot()) {
            super.setLocalResult(r);
        } else if (r != null) {
            zap$$ExternalSyntheticBackportWithForwarding0.m(this.sharedResult, null, r);
        }
    }

    public void shortCircuit(R r) {
        if (r != null) {
            zap$$ExternalSyntheticBackportWithForwarding0.m(this.sharedResult, null, r);
        }
    }

    public boolean taskCanceled() {
        boolean z = this.canceled;
        if (!z) {
            Object parent = getParent();
            while (true) {
                AbstractShortCircuitTask abstractShortCircuitTask = (AbstractShortCircuitTask) parent;
                if (z || abstractShortCircuitTask == null) {
                    break;
                }
                z = abstractShortCircuitTask.canceled;
                parent = abstractShortCircuitTask.getParent();
            }
        }
        return z;
    }
}
