package java9.util.stream;

import com.google.firebase.remoteconfig.FirebaseRemoteConfig;
import java.lang.reflect.Method;
import java.util.AbstractMap;
import java.util.AbstractSet;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.EnumSet;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;
import java9.util.DoubleSummaryStatistics;
import java9.util.IntSummaryStatistics;
import java9.util.LongSummaryStatistics;
import java9.util.Maps;
import java9.util.Objects;
import java9.util.Optional;
import java9.util.Sets;
import java9.util.StringJoiner;
import java9.util.concurrent.ConcurrentMaps;
import java9.util.function.BiConsumer;
import java9.util.function.BiFunction;
import java9.util.function.BinaryOperator;
import java9.util.function.Consumer;
import java9.util.function.Function;
import java9.util.function.Predicate;
import java9.util.function.Supplier;
import java9.util.function.ToDoubleFunction;
import java9.util.function.ToIntFunction;
import java9.util.function.ToLongFunction;
import java9.util.stream.Collector;
import java9.util.stream.Collectors;
/* loaded from: classes19.dex */
public final class Collectors {
    public static final Method LIST_FROM_TRUSTED_ARRAY;
    public static final Method LIST_FROM_TRUSTED_ARRAY_NULLS_ALLOWED;
    public static final Set<Collector.Characteristics> CH_CONCURRENT_ID = Collections.unmodifiableSet(EnumSet.of(Collector.Characteristics.CONCURRENT, Collector.Characteristics.UNORDERED, Collector.Characteristics.IDENTITY_FINISH));
    public static final Set<Collector.Characteristics> CH_CONCURRENT_NOID = Collections.unmodifiableSet(EnumSet.of(Collector.Characteristics.CONCURRENT, Collector.Characteristics.UNORDERED));
    public static final Set<Collector.Characteristics> CH_ID = Collections.unmodifiableSet(EnumSet.of(Collector.Characteristics.IDENTITY_FINISH));
    public static final Set<Collector.Characteristics> CH_UNORDERED_ID = Collections.unmodifiableSet(EnumSet.of(Collector.Characteristics.UNORDERED, Collector.Characteristics.IDENTITY_FINISH));
    public static final Set<Collector.Characteristics> CH_NOID = Collections.emptySet();
    public static final Set<Collector.Characteristics> CH_UNORDERED_NOID = Collections.unmodifiableSet(EnumSet.of(Collector.Characteristics.UNORDERED));
    public static final Supplier<DoubleSummaryStatistics> DBL_SUM_STATS = new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda25
        @Override // java9.util.function.Supplier
        public final Object get() {
            return new DoubleSummaryStatistics();
        }
    };
    public static final Supplier<IntSummaryStatistics> INT_SUM_STATS = new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda26
        @Override // java9.util.function.Supplier
        public final Object get() {
            return new IntSummaryStatistics();
        }
    };
    public static final Supplier<LongSummaryStatistics> LNG_SUM_STATS = new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda27
        @Override // java9.util.function.Supplier
        public final Object get() {
            return new LongSummaryStatistics();
        }
    };
    public static final Function<Map<?, ?>, Map<?, ?>> UNMOD_MAP_FINISHER = new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda28
        @Override // java9.util.function.Function
        public /* synthetic */ Function andThen(Function function) {
            return Objects.requireNonNull(function);
        }

        @Override // java9.util.function.Function
        public final Object apply(Object obj) {
            Map ofEntries;
            ofEntries = Maps.ofEntries((Map.Entry[]) ((Map) obj).entrySet().toArray(new Map.Entry[0]));
            return ofEntries;
        }

        @Override // java9.util.function.Function
        public /* synthetic */ Function compose(Function function) {
            return Objects.requireNonNull(function);
        }
    };
    public static final BiConsumer<List<Object>, ?> LIST_ADD = new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda29
        @Override // java9.util.function.BiConsumer
        public final void accept(Object obj, Object obj2) {
            ((List) obj).add(obj2);
        }

        @Override // java9.util.function.BiConsumer
        public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
            return Objects.requireNonNull(biConsumer);
        }
    };
    public static final BiConsumer<Set<Object>, ?> SET_ADD = new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda30
        @Override // java9.util.function.BiConsumer
        public final void accept(Object obj, Object obj2) {
            ((Set) obj).add(obj2);
        }

        @Override // java9.util.function.BiConsumer
        public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
            return Objects.requireNonNull(biConsumer);
        }
    };

    /* renamed from: java9.util.stream.Collectors$1OptionalBox  reason: invalid class name */
    /* loaded from: classes19.dex */
    public class C1OptionalBox implements Consumer<T> {
        public final /* synthetic */ BinaryOperator val$op;
        public T value = null;
        public boolean present = false;

        public C1OptionalBox(BinaryOperator binaryOperator) {
            this.val$op = binaryOperator;
        }

        @Override // java9.util.function.Consumer
        public void accept(T t) {
            if (this.present) {
                this.value = this.val$op.apply(this.value, t);
                return;
            }
            this.value = t;
            this.present = true;
        }

        @Override // java9.util.function.Consumer
        public /* synthetic */ Consumer andThen(Consumer consumer) {
            return Objects.requireNonNull(consumer);
        }
    }

    /* renamed from: java9.util.stream.Collectors$1PairBox  reason: invalid class name */
    /* loaded from: classes19.dex */
    public class C1PairBox {
        public A1 left;
        public A2 right;
        public final /* synthetic */ BiConsumer val$c1Accumulator;
        public final /* synthetic */ BinaryOperator val$c1Combiner;
        public final /* synthetic */ Function val$c1Finisher;
        public final /* synthetic */ Supplier val$c1Supplier;
        public final /* synthetic */ BiConsumer val$c2Accumulator;
        public final /* synthetic */ BinaryOperator val$c2Combiner;
        public final /* synthetic */ Function val$c2Finisher;
        public final /* synthetic */ Supplier val$c2Supplier;
        public final /* synthetic */ BiFunction val$merger;

        /* JADX WARN: Type inference failed for: r1v1, types: [A1, java.lang.Object] */
        /* JADX WARN: Type inference failed for: r1v2, types: [A2, java.lang.Object] */
        public C1PairBox(Supplier supplier, Supplier supplier2, BiConsumer biConsumer, BiConsumer biConsumer2, BinaryOperator binaryOperator, BinaryOperator binaryOperator2, Function function, Function function2, BiFunction biFunction) {
            this.val$c1Supplier = supplier;
            this.val$c2Supplier = supplier2;
            this.val$c1Accumulator = biConsumer;
            this.val$c2Accumulator = biConsumer2;
            this.val$c1Combiner = binaryOperator;
            this.val$c2Combiner = binaryOperator2;
            this.val$c1Finisher = function;
            this.val$c2Finisher = function2;
            this.val$merger = biFunction;
            this.left = supplier.get();
            this.right = supplier2.get();
        }

        public void add(T t) {
            this.val$c1Accumulator.accept(this.left, t);
            this.val$c2Accumulator.accept(this.right, t);
        }

        /* JADX WARN: Type inference failed for: r0v1, types: [A1, java.lang.Object] */
        /* JADX WARN: Type inference failed for: r4v2, types: [A2, java.lang.Object] */
        public C1PairBox combine(C1PairBox c1PairBox) {
            this.left = this.val$c1Combiner.apply(this.left, c1PairBox.left);
            this.right = this.val$c2Combiner.apply(this.right, c1PairBox.right);
            return this;
        }

        /* JADX WARN: Type inference failed for: r0v2, types: [R, java.lang.Object] */
        public R get() {
            return this.val$merger.apply(this.val$c1Finisher.apply(this.left), this.val$c2Finisher.apply(this.right));
        }
    }

    /* loaded from: classes19.dex */
    public static class CollectorImpl<T, A, R> implements Collector<T, A, R> {
        public final BiConsumer<A, T> accumulator;
        public final Set<Collector.Characteristics> characteristics;
        public final BinaryOperator<A> combiner;
        public final Function<A, R> finisher;
        public final Supplier<A> supplier;

        public CollectorImpl(Supplier<A> supplier, BiConsumer<A, T> biConsumer, BinaryOperator<A> binaryOperator, Set<Collector.Characteristics> set) {
            this(supplier, biConsumer, binaryOperator, new Function() { // from class: java9.util.stream.Collectors$CollectorImpl$$ExternalSyntheticLambda0
                @Override // java9.util.function.Function
                public /* synthetic */ Function andThen(Function function) {
                    return Objects.requireNonNull(function);
                }

                @Override // java9.util.function.Function
                public final Object apply(Object obj) {
                    return Collectors.CollectorImpl.a(obj);
                }

                @Override // java9.util.function.Function
                public /* synthetic */ Function compose(Function function) {
                    return Objects.requireNonNull(function);
                }
            }, set);
        }

        public CollectorImpl(Supplier<A> supplier, BiConsumer<A, T> biConsumer, BinaryOperator<A> binaryOperator, Function<A, R> function, Set<Collector.Characteristics> set) {
            this.supplier = supplier;
            this.accumulator = biConsumer;
            this.combiner = binaryOperator;
            this.finisher = function;
            this.characteristics = set;
        }

        public static /* synthetic */ Object a(Object obj) {
            return obj;
        }

        @Override // java9.util.stream.Collector
        public BiConsumer<A, T> accumulator() {
            return this.accumulator;
        }

        @Override // java9.util.stream.Collector
        public Set<Collector.Characteristics> characteristics() {
            return this.characteristics;
        }

        @Override // java9.util.stream.Collector
        public BinaryOperator<A> combiner() {
            return this.combiner;
        }

        @Override // java9.util.stream.Collector
        public Function<A, R> finisher() {
            return this.finisher;
        }

        @Override // java9.util.stream.Collector
        public Supplier<A> supplier() {
            return this.supplier;
        }
    }

    /* loaded from: classes19.dex */
    public static final class Partition<T> extends AbstractMap<Boolean, T> implements Map<Boolean, T> {
        public final T forFalse;
        public final T forTrue;

        public Partition(T t, T t2) {
            this.forTrue = t;
            this.forFalse = t2;
        }

        @Override // java.util.AbstractMap, java.util.Map
        public boolean containsKey(Object obj) {
            return obj instanceof Boolean;
        }

        @Override // java.util.AbstractMap, java.util.Map
        public Set<Map.Entry<Boolean, T>> entrySet() {
            return new AbstractSet<Map.Entry<Boolean, T>>() { // from class: java9.util.stream.Collectors.Partition.1
                @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable, java.util.Set
                public Iterator<Map.Entry<Boolean, T>> iterator() {
                    return Arrays.asList(new AbstractMap.SimpleImmutableEntry(false, Partition.this.forFalse), new AbstractMap.SimpleImmutableEntry(true, Partition.this.forTrue)).iterator();
                }

                @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
                public int size() {
                    return 2;
                }
            };
        }

        @Override // java.util.AbstractMap, java.util.Map
        public T get(Object obj) {
            if (obj instanceof Boolean) {
                return ((Boolean) obj).booleanValue() ? this.forTrue : this.forFalse;
            }
            return null;
        }

        @Override // java.util.AbstractMap, java.util.Map
        public boolean isEmpty() {
            return false;
        }

        @Override // java.util.AbstractMap, java.util.Map
        public int size() {
            return 2;
        }
    }

    static {
        try {
            Class<?> cls = Class.forName("java9.util.ImmutableCollections");
            Method declaredMethod = cls.getDeclaredMethod("listFromTrustedArray", Object[].class);
            LIST_FROM_TRUSTED_ARRAY = declaredMethod;
            Method declaredMethod2 = cls.getDeclaredMethod("listFromTrustedArrayNullsAllowed", Object[].class);
            LIST_FROM_TRUSTED_ARRAY_NULLS_ALLOWED = declaredMethod2;
            declaredMethod.setAccessible(true);
            declaredMethod2.setAccessible(true);
        } catch (Exception e) {
            throw new Error(e);
        }
    }

    public static /* synthetic */ Double a(double[] dArr) {
        double d = dArr[2];
        double d2 = FirebaseRemoteConfig.DEFAULT_VALUE_FOR_DOUBLE;
        if (d != FirebaseRemoteConfig.DEFAULT_VALUE_FOR_DOUBLE) {
            d2 = computeFinalSum(dArr) / dArr[2];
        }
        return Double.valueOf(d2);
    }

    public static /* synthetic */ Double a(long[] jArr) {
        long j = jArr[1];
        return Double.valueOf(j == 0 ? FirebaseRemoteConfig.DEFAULT_VALUE_FOR_DOUBLE : jArr[0] / j);
    }

    public static /* synthetic */ Object a(Object[] objArr) {
        return objArr[0];
    }

    public static /* synthetic */ List a(List list) {
        if (list.getClass() == ArrayList.class) {
            return listFromTrustedArray(list.toArray());
        }
        throw new IllegalArgumentException();
    }

    public static /* synthetic */ Map a(Map map, Map map2) {
        Object putIfAbsent;
        for (Map.Entry entry : map2.entrySet()) {
            Object key = entry.getKey();
            Object requireNonNull = Objects.requireNonNull(entry.getValue());
            if (map instanceof ConcurrentMap) {
                putIfAbsent = ((ConcurrentMap) map).putIfAbsent(key, requireNonNull);
                continue;
            } else {
                putIfAbsent = Maps.putIfAbsent(map, key, requireNonNull);
                continue;
            }
            if (putIfAbsent != null) {
                throw duplicateKeyException(key, putIfAbsent, requireNonNull);
            }
        }
        return map;
    }

    public static /* synthetic */ Map a(BinaryOperator binaryOperator, Map map, Map map2) {
        for (Map.Entry entry : map2.entrySet()) {
            Maps.merge(map, entry.getKey(), entry.getValue(), binaryOperator);
        }
        return map;
    }

    public static /* synthetic */ Map a(Collector collector, Partition partition) {
        return new Partition(collector.finisher().apply(partition.forTrue), collector.finisher().apply(partition.forFalse));
    }

    public static /* synthetic */ Set a(Set set, Set set2) {
        if (set.size() < set2.size()) {
            set2.addAll(set);
            return set2;
        }
        set.addAll(set2);
        return set;
    }

    public static /* synthetic */ ConcurrentMap a(BinaryOperator binaryOperator, ConcurrentMap concurrentMap, ConcurrentMap concurrentMap2) {
        for (Map.Entry entry : concurrentMap2.entrySet()) {
            ConcurrentMaps.merge(concurrentMap, entry.getKey(), entry.getValue(), binaryOperator);
        }
        return concurrentMap;
    }

    public static /* synthetic */ StringJoiner a(CharSequence charSequence, CharSequence charSequence2, CharSequence charSequence3) {
        return new StringJoiner(charSequence, charSequence2, charSequence3);
    }

    public static /* synthetic */ C1OptionalBox a(BinaryOperator binaryOperator) {
        return new C1OptionalBox(binaryOperator);
    }

    public static /* synthetic */ C1OptionalBox a(C1OptionalBox c1OptionalBox, C1OptionalBox c1OptionalBox2) {
        if (c1OptionalBox2.present) {
            c1OptionalBox.accept(c1OptionalBox2.value);
        }
        return c1OptionalBox;
    }

    public static /* synthetic */ C1PairBox a(Supplier supplier, Supplier supplier2, BiConsumer biConsumer, BiConsumer biConsumer2, BinaryOperator binaryOperator, BinaryOperator binaryOperator2, Function function, Function function2, BiFunction biFunction) {
        return new C1PairBox(supplier, supplier2, biConsumer, biConsumer2, binaryOperator, binaryOperator2, function, function2, biFunction);
    }

    public static /* synthetic */ Partition a(BinaryOperator binaryOperator, Partition partition, Partition partition2) {
        return new Partition(binaryOperator.apply(partition.forTrue, partition2.forTrue), binaryOperator.apply(partition.forFalse, partition2.forFalse));
    }

    public static /* synthetic */ Partition a(Collector collector) {
        return new Partition(collector.supplier().get(), collector.supplier().get());
    }

    public static /* synthetic */ void a(BinaryOperator binaryOperator, Function function, Object[] objArr, Object obj) {
        objArr[0] = binaryOperator.apply(objArr[0], function.apply(obj));
    }

    public static /* synthetic */ void a(BinaryOperator binaryOperator, Object[] objArr, Object obj) {
        objArr[0] = binaryOperator.apply(objArr[0], obj);
    }

    public static /* synthetic */ void a(Function function, final BiConsumer biConsumer, final Object obj, Object obj2) {
        Stream stream = null;
        try {
            Stream stream2 = (Stream) function.apply(obj2);
            if (stream2 != null) {
                try {
                    stream2.sequential().forEach(new Consumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda81
                        @Override // java9.util.function.Consumer
                        public final void accept(Object obj3) {
                            BiConsumer.this.accept(obj, obj3);
                        }

                        @Override // java9.util.function.Consumer
                        public /* synthetic */ Consumer andThen(Consumer consumer) {
                            return Objects.requireNonNull(consumer);
                        }
                    });
                } catch (Throwable th) {
                    th = th;
                    stream = stream2;
                    if (stream != null) {
                        try {
                            stream.close();
                        } catch (Exception e) {
                        }
                    }
                    throw th;
                }
            }
            if (stream2 != null) {
                try {
                    stream2.close();
                } catch (Exception e2) {
                }
            }
        } catch (Throwable th2) {
            th = th2;
        }
    }

    public static /* synthetic */ void a(Function function, Function function2, Map map, Object obj) {
        Object apply = function.apply(obj);
        Object requireNonNull = Objects.requireNonNull(function2.apply(obj));
        Object putIfAbsent = map instanceof ConcurrentMap ? ((ConcurrentMap) map).putIfAbsent(apply, requireNonNull) : Maps.putIfAbsent(map, apply, requireNonNull);
        if (putIfAbsent != null) {
            throw duplicateKeyException(apply, putIfAbsent, requireNonNull);
        }
    }

    public static /* synthetic */ void a(Predicate predicate, BiConsumer biConsumer, Object obj, Object obj2) {
        if (predicate.test(obj2)) {
            biConsumer.accept(obj, obj2);
        }
    }

    public static /* synthetic */ void a(ToDoubleFunction toDoubleFunction, double[] dArr, Object obj) {
        double applyAsDouble = toDoubleFunction.applyAsDouble(obj);
        sumWithCompensation(dArr, applyAsDouble);
        dArr[2] = dArr[2] + 1.0d;
        dArr[3] = dArr[3] + applyAsDouble;
    }

    public static /* synthetic */ void a(ToIntFunction toIntFunction, int[] iArr, Object obj) {
        iArr[0] = iArr[0] + toIntFunction.applyAsInt(obj);
    }

    public static /* synthetic */ void a(ToIntFunction toIntFunction, long[] jArr, Object obj) {
        jArr[0] = jArr[0] + toIntFunction.applyAsInt(obj);
        jArr[1] = jArr[1] + 1;
    }

    public static /* synthetic */ void a(ToLongFunction toLongFunction, long[] jArr, Object obj) {
        jArr[0] = jArr[0] + toLongFunction.applyAsLong(obj);
        jArr[1] = jArr[1] + 1;
    }

    public static /* synthetic */ double[] a() {
        return new double[4];
    }

    public static /* synthetic */ double[] a(double[] dArr, double[] dArr2) {
        sumWithCompensation(dArr, dArr2[0]);
        sumWithCompensation(dArr, -dArr2[1]);
        dArr[2] = dArr[2] + dArr2[2];
        dArr[3] = dArr[3] + dArr2[3];
        return dArr;
    }

    public static /* synthetic */ int[] a(int[] iArr, int[] iArr2) {
        iArr[0] = iArr[0] + iArr2[0];
        return iArr;
    }

    public static /* synthetic */ long[] a(long[] jArr, long[] jArr2) {
        jArr[0] = jArr[0] + jArr2[0];
        jArr[1] = jArr[1] + jArr2[1];
        return jArr;
    }

    public static /* synthetic */ Object[] a(Object obj) {
        return new Object[]{obj};
    }

    public static /* synthetic */ Object[] a(BinaryOperator binaryOperator, Object[] objArr, Object[] objArr2) {
        objArr[0] = binaryOperator.apply(objArr[0], objArr2[0]);
        return objArr;
    }

    public static <T> Supplier<List<T>> arrayListNew() {
        return new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda12
            @Override // java9.util.function.Supplier
            public final Object get() {
                return new ArrayList();
            }
        };
    }

    public static <T> Collector<T, ?, Double> averagingDouble(final ToDoubleFunction<? super T> toDoubleFunction) {
        return new CollectorImpl(new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda58
            @Override // java9.util.function.Supplier
            public final Object get() {
                return Collectors.a();
            }
        }, new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda59
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                Collectors.a(ToDoubleFunction.this, (double[]) obj, obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda60
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return Collectors.a((double[]) obj, (double[]) obj2);
            }
        }, new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda61
            @Override // java9.util.function.Function
            public /* synthetic */ Function andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.Function
            public final Object apply(Object obj) {
                return Collectors.a((double[]) obj);
            }

            @Override // java9.util.function.Function
            public /* synthetic */ Function compose(Function function) {
                return Objects.requireNonNull(function);
            }
        }, CH_NOID);
    }

    public static <T> Collector<T, ?, Double> averagingInt(final ToIntFunction<? super T> toIntFunction) {
        return new CollectorImpl(new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda84
            @Override // java9.util.function.Supplier
            public final Object get() {
                return Collectors.b();
            }
        }, new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda85
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                Collectors.a(ToIntFunction.this, (long[]) obj, obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda86
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return Collectors.a((long[]) obj, (long[]) obj2);
            }
        }, new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda87
            @Override // java9.util.function.Function
            public /* synthetic */ Function andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.Function
            public final Object apply(Object obj) {
                return Collectors.a((long[]) obj);
            }

            @Override // java9.util.function.Function
            public /* synthetic */ Function compose(Function function) {
                return Objects.requireNonNull(function);
            }
        }, CH_NOID);
    }

    public static <T> Collector<T, ?, Double> averagingLong(final ToLongFunction<? super T> toLongFunction) {
        return new CollectorImpl(new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda53
            @Override // java9.util.function.Supplier
            public final Object get() {
                return Collectors.c();
            }
        }, new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda54
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                Collectors.a(ToLongFunction.this, (long[]) obj, obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda56
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return Collectors.b((long[]) obj, (long[]) obj2);
            }
        }, new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda57
            @Override // java9.util.function.Function
            public /* synthetic */ Function andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.Function
            public final Object apply(Object obj) {
                return Collectors.b((long[]) obj);
            }

            @Override // java9.util.function.Function
            public /* synthetic */ Function compose(Function function) {
                return Objects.requireNonNull(function);
            }
        }, CH_NOID);
    }

    public static /* synthetic */ long b(Object obj) {
        return 1L;
    }

    public static /* synthetic */ Double b(long[] jArr) {
        long j = jArr[1];
        return Double.valueOf(j == 0 ? FirebaseRemoteConfig.DEFAULT_VALUE_FOR_DOUBLE : jArr[0] / j);
    }

    public static /* synthetic */ Object b(Object[] objArr) {
        return objArr[0];
    }

    public static /* synthetic */ Set b(Set set, Set set2) {
        if (set.size() < set2.size()) {
            set2.addAll(set);
            return set2;
        }
        set.addAll(set2);
        return set;
    }

    public static /* synthetic */ void b(Function function, final Supplier supplier, BiConsumer biConsumer, ConcurrentMap concurrentMap, Object obj) {
        Object computeIfAbsent = ConcurrentMaps.computeIfAbsent(concurrentMap, Objects.requireNonNull(function.apply(obj), "element cannot be mapped to a null key"), new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda36
            @Override // java9.util.function.Function
            public /* synthetic */ Function andThen(Function function2) {
                return Objects.requireNonNull(function2);
            }

            @Override // java9.util.function.Function
            public final Object apply(Object obj2) {
                Object obj3;
                obj3 = Supplier.this.get();
                return obj3;
            }

            @Override // java9.util.function.Function
            public /* synthetic */ Function compose(Function function2) {
                return Objects.requireNonNull(function2);
            }
        });
        synchronized (computeIfAbsent) {
            biConsumer.accept(computeIfAbsent, obj);
        }
    }

    public static /* synthetic */ void b(ToDoubleFunction toDoubleFunction, double[] dArr, Object obj) {
        double applyAsDouble = toDoubleFunction.applyAsDouble(obj);
        sumWithCompensation(dArr, applyAsDouble);
        dArr[2] = dArr[2] + applyAsDouble;
    }

    public static /* synthetic */ void b(ToLongFunction toLongFunction, long[] jArr, Object obj) {
        jArr[0] = jArr[0] + toLongFunction.applyAsLong(obj);
    }

    public static /* synthetic */ double[] b(double[] dArr, double[] dArr2) {
        sumWithCompensation(dArr, dArr2[0]);
        dArr[2] = dArr[2] + dArr2[2];
        return sumWithCompensation(dArr, -dArr2[1]);
    }

    public static /* synthetic */ long[] b() {
        return new long[2];
    }

    public static /* synthetic */ long[] b(long[] jArr, long[] jArr2) {
        jArr[0] = jArr[0] + jArr2[0];
        jArr[1] = jArr[1] + jArr2[1];
        return jArr;
    }

    public static /* synthetic */ Object[] b(BinaryOperator binaryOperator, Object[] objArr, Object[] objArr2) {
        objArr[0] = binaryOperator.apply(objArr[0], objArr2[0]);
        return objArr;
    }

    public static <T> Supplier<T[]> boxSupplier(final T t) {
        return new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda13
            @Override // java9.util.function.Supplier
            public final Object get() {
                return Collectors.a(t);
            }
        };
    }

    public static /* synthetic */ long[] c() {
        return new long[2];
    }

    public static /* synthetic */ long[] c(long[] jArr, long[] jArr2) {
        jArr[0] = jArr[0] + jArr2[0];
        return jArr;
    }

    /* JADX WARN: Multi-variable type inference failed */
    public static <T, A, R, RR> Collector<T, A, RR> collectingAndThen(Collector<T, A, R> collector, Function<R, RR> function) {
        Set<Collector.Characteristics> characteristics = collector.characteristics();
        if (characteristics.contains(Collector.Characteristics.IDENTITY_FINISH)) {
            if (characteristics.size() == 1) {
                characteristics = CH_NOID;
            } else {
                EnumSet copyOf = EnumSet.copyOf((Collection) characteristics);
                copyOf.remove(Collector.Characteristics.IDENTITY_FINISH);
                characteristics = Collections.unmodifiableSet(copyOf);
            }
        }
        return new CollectorImpl(collector.supplier(), collector.accumulator(), collector.combiner(), collector.finisher().andThen(function), characteristics);
    }

    public static double computeFinalSum(double[] dArr) {
        double d = dArr[0] - dArr[1];
        double d2 = dArr[dArr.length - 1];
        return (Double.isNaN(d) && Double.isInfinite(d2)) ? d2 : d;
    }

    public static <K, V> Supplier<ConcurrentMap<K, V>> concHashMapNew() {
        return new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda91
            @Override // java9.util.function.Supplier
            public final Object get() {
                return new ConcurrentHashMap();
            }
        };
    }

    public static <K, V> Supplier<Map<K, V>> concHashMapNew2() {
        return concHashMapNew();
    }

    public static <T> Collector<T, ?, Long> counting() {
        return summingLong(new ToLongFunction() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda80
            @Override // java9.util.function.ToLongFunction
            public final long applyAsLong(Object obj) {
                return Collectors.b(obj);
            }
        });
    }

    public static /* synthetic */ double[] d() {
        return new double[3];
    }

    public static IllegalStateException duplicateKeyException(Object obj, Object obj2, Object obj3) {
        return new IllegalStateException(String.format("Duplicate key %s (attempted merging values %s and %s)", obj, obj2, obj3));
    }

    public static /* synthetic */ int[] e() {
        return new int[1];
    }

    public static /* synthetic */ long[] f() {
        return new long[1];
    }

    public static <T, A, R> Collector<T, ?, R> filtering(final Predicate<? super T> predicate, Collector<? super T, A, R> collector) {
        final BiConsumer<A, ? super T> accumulator = collector.accumulator();
        return new CollectorImpl(collector.supplier(), new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda24
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                Collectors.a(Predicate.this, accumulator, obj, obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, collector.combiner(), collector.finisher(), collector.characteristics());
    }

    public static <T, U, A, R> Collector<T, ?, R> flatMapping(final Function<? super T, ? extends Stream<? extends U>> function, Collector<? super U, A, R> collector) {
        final BiConsumer<A, ? super U> accumulator = collector.accumulator();
        return new CollectorImpl(collector.supplier(), new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda0
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                Collectors.a(Function.this, accumulator, obj, obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, collector.combiner(), collector.finisher(), collector.characteristics());
    }

    public static <T, K> Collector<T, ?, Map<K, List<T>>> groupingBy(Function<? super T, ? extends K> function) {
        return groupingBy(function, toList());
    }

    public static <T, K, D, A, M extends Map<K, D>> Collector<T, ?, M> groupingBy(final Function<? super T, ? extends K> function, Supplier<M> supplier, Collector<? super T, A, D> collector) {
        final Supplier<A> supplier2 = collector.supplier();
        final BiConsumer<A, ? super T> accumulator = collector.accumulator();
        BiConsumer biConsumer = new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda82
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                accumulator.accept(Maps.computeIfAbsent((Map) obj, Objects.requireNonNull(Function.this.apply(obj2), "element cannot be mapped to a null key"), new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda19
                    @Override // java9.util.function.Function
                    public /* synthetic */ Function andThen(Function function2) {
                        return Objects.requireNonNull(function2);
                    }

                    @Override // java9.util.function.Function
                    public final Object apply(Object obj3) {
                        Object obj4;
                        obj4 = Supplier.this.get();
                        return obj4;
                    }

                    @Override // java9.util.function.Function
                    public /* synthetic */ Function compose(Function function2) {
                        return Objects.requireNonNull(function2);
                    }
                }), obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer2) {
                return Objects.requireNonNull(biConsumer2);
            }
        };
        BinaryOperator mapMerger = mapMerger(collector.combiner());
        if (collector.characteristics().contains(Collector.Characteristics.IDENTITY_FINISH)) {
            return new CollectorImpl(supplier, biConsumer, mapMerger, CH_ID);
        }
        final Function<A, D> finisher = collector.finisher();
        return new CollectorImpl(supplier, biConsumer, mapMerger, new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda83
            @Override // java9.util.function.Function
            public /* synthetic */ Function andThen(Function function2) {
                return Objects.requireNonNull(function2);
            }

            @Override // java9.util.function.Function
            public final Object apply(Object obj) {
                return Maps.replaceAll((Map) obj, new BiFunction() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda55
                    @Override // java9.util.function.BiFunction
                    public /* synthetic */ BiFunction andThen(Function function2) {
                        return Objects.requireNonNull(function2);
                    }

                    @Override // java9.util.function.BiFunction
                    public final Object apply(Object obj2, Object obj3) {
                        Object apply;
                        apply = Function.this.apply(obj3);
                        return apply;
                    }
                });
            }

            @Override // java9.util.function.Function
            public /* synthetic */ Function compose(Function function2) {
                return Objects.requireNonNull(function2);
            }
        }, CH_NOID);
    }

    public static <T, K, A, D> Collector<T, ?, Map<K, D>> groupingBy(Function<? super T, ? extends K> function, Collector<? super T, A, D> collector) {
        return groupingBy(function, hashMapNew(), collector);
    }

    public static <T, K> Collector<T, ?, ConcurrentMap<K, List<T>>> groupingByConcurrent(Function<? super T, ? extends K> function) {
        return groupingByConcurrent(function, concHashMapNew(), toList());
    }

    public static <T, K, A, D, M extends ConcurrentMap<K, D>> Collector<T, ?, M> groupingByConcurrent(final Function<? super T, ? extends K> function, Supplier<M> supplier, Collector<? super T, A, D> collector) {
        final Supplier<A> supplier2 = collector.supplier();
        final BiConsumer<A, ? super T> accumulator = collector.accumulator();
        BinaryOperator mapMergerConcurrent = mapMergerConcurrent(collector.combiner());
        BiConsumer biConsumer = collector.characteristics().contains(Collector.Characteristics.CONCURRENT) ? new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda20
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                accumulator.accept(ConcurrentMaps.computeIfAbsent((ConcurrentMap) obj, Objects.requireNonNull(Function.this.apply(obj2), "element cannot be mapped to a null key"), new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda62
                    @Override // java9.util.function.Function
                    public /* synthetic */ Function andThen(Function function2) {
                        return Objects.requireNonNull(function2);
                    }

                    @Override // java9.util.function.Function
                    public final Object apply(Object obj3) {
                        Object obj4;
                        obj4 = Supplier.this.get();
                        return obj4;
                    }

                    @Override // java9.util.function.Function
                    public /* synthetic */ Function compose(Function function2) {
                        return Objects.requireNonNull(function2);
                    }
                }), obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer2) {
                return Objects.requireNonNull(biConsumer2);
            }
        } : new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda21
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                Collectors.b(Function.this, supplier2, accumulator, (ConcurrentMap) obj, obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer2) {
                return Objects.requireNonNull(biConsumer2);
            }
        };
        if (collector.characteristics().contains(Collector.Characteristics.IDENTITY_FINISH)) {
            return new CollectorImpl(supplier, biConsumer, mapMergerConcurrent, CH_CONCURRENT_ID);
        }
        final Function<A, D> finisher = collector.finisher();
        return new CollectorImpl(supplier, biConsumer, mapMergerConcurrent, new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda23
            @Override // java9.util.function.Function
            public /* synthetic */ Function andThen(Function function2) {
                return Objects.requireNonNull(function2);
            }

            @Override // java9.util.function.Function
            public final Object apply(Object obj) {
                return ConcurrentMaps.replaceAll((ConcurrentMap) obj, new BiFunction() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda38
                    @Override // java9.util.function.BiFunction
                    public /* synthetic */ BiFunction andThen(Function function2) {
                        return Objects.requireNonNull(function2);
                    }

                    @Override // java9.util.function.BiFunction
                    public final Object apply(Object obj2, Object obj3) {
                        Object apply;
                        apply = Function.this.apply(obj3);
                        return apply;
                    }
                });
            }

            @Override // java9.util.function.Function
            public /* synthetic */ Function compose(Function function2) {
                return Objects.requireNonNull(function2);
            }
        }, CH_CONCURRENT_NOID);
    }

    public static <T, K, A, D> Collector<T, ?, ConcurrentMap<K, D>> groupingByConcurrent(Function<? super T, ? extends K> function, Collector<? super T, A, D> collector) {
        return groupingByConcurrent(function, concHashMapNew(), collector);
    }

    public static <K, V> Supplier<Map<K, V>> hashMapNew() {
        return new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda41
            @Override // java9.util.function.Supplier
            public final Object get() {
                return new HashMap();
            }
        };
    }

    public static <T> Supplier<Set<T>> hashSetNew() {
        return new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda37
            @Override // java9.util.function.Supplier
            public final Object get() {
                return new HashSet();
            }
        };
    }

    public static Collector<CharSequence, ?, String> joining() {
        return new CollectorImpl(new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda31
            @Override // java9.util.function.Supplier
            public final Object get() {
                return new StringBuilder();
            }
        }, new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda32
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                ((StringBuilder) obj).append((CharSequence) obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda34
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return ((StringBuilder) obj).append((CharSequence) ((StringBuilder) obj2));
            }
        }, new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda35
            @Override // java9.util.function.Function
            public /* synthetic */ Function andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.Function
            public final Object apply(Object obj) {
                return ((StringBuilder) obj).toString();
            }

            @Override // java9.util.function.Function
            public /* synthetic */ Function compose(Function function) {
                return Objects.requireNonNull(function);
            }
        }, CH_NOID);
    }

    public static Collector<CharSequence, ?, String> joining(CharSequence charSequence) {
        return joining(charSequence, "", "");
    }

    public static Collector<CharSequence, ?, String> joining(final CharSequence charSequence, final CharSequence charSequence2, final CharSequence charSequence3) {
        return new CollectorImpl(new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda3
            @Override // java9.util.function.Supplier
            public final Object get() {
                return Collectors.a(charSequence, charSequence2, charSequence3);
            }
        }, new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda4
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                ((StringJoiner) obj).add((CharSequence) obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda5
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return ((StringJoiner) obj).merge((StringJoiner) obj2);
            }
        }, new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda6
            @Override // java9.util.function.Function
            public /* synthetic */ Function andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.Function
            public final Object apply(Object obj) {
                return ((StringJoiner) obj).toString();
            }

            @Override // java9.util.function.Function
            public /* synthetic */ Function compose(Function function) {
                return Objects.requireNonNull(function);
            }
        }, CH_NOID);
    }

    public static final <T> BiConsumer<List<T>, T> listAdd() {
        return (BiConsumer<List<T>, T>) LIST_ADD;
    }

    public static <T> List<T> listFromTrustedArray(Object[] objArr) {
        try {
            return (List) LIST_FROM_TRUSTED_ARRAY.invoke(null, objArr);
        } catch (Exception e) {
            throw new Error(e);
        }
    }

    public static <T> List<T> listFromTrustedArrayNullsAllowed(Object[] objArr) {
        try {
            return (List) LIST_FROM_TRUSTED_ARRAY_NULLS_ALLOWED.invoke(null, objArr);
        } catch (Exception e) {
            throw new Error(e);
        }
    }

    public static <K, V, M extends Map<K, V>> BinaryOperator<M> mapMerger(final BinaryOperator<V> binaryOperator) {
        return new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda52
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return Collectors.a(BinaryOperator.this, (Map) obj, (Map) obj2);
            }
        };
    }

    public static <K, V, M extends ConcurrentMap<K, V>> BinaryOperator<M> mapMergerConcurrent(final BinaryOperator<V> binaryOperator) {
        return new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda68
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return Collectors.a(BinaryOperator.this, (ConcurrentMap) obj, (ConcurrentMap) obj2);
            }
        };
    }

    public static <T, U, A, R> Collector<T, ?, R> mapping(final Function<? super T, ? extends U> function, Collector<? super U, A, R> collector) {
        final BiConsumer<A, ? super U> accumulator = collector.accumulator();
        return new CollectorImpl(collector.supplier(), new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda66
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                BiConsumer.this.accept(obj, function.apply(obj2));
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, collector.combiner(), collector.finisher(), collector.characteristics());
    }

    public static <T> Collector<T, ?, Optional<T>> maxBy(Comparator<? super T> comparator) {
        return reducing(BinaryOperator.CC.maxBy(comparator));
    }

    public static <T> Collector<T, ?, Optional<T>> minBy(Comparator<? super T> comparator) {
        return reducing(BinaryOperator.CC.minBy(comparator));
    }

    public static <T> Collector<T, ?, Map<Boolean, List<T>>> partitioningBy(Predicate<? super T> predicate) {
        return partitioningBy(predicate, toList());
    }

    public static <T, D, A> Collector<T, ?, Map<Boolean, D>> partitioningBy(final Predicate<? super T> predicate, final Collector<? super T, A, D> collector) {
        final BiConsumer<A, ? super T> accumulator = collector.accumulator();
        BiConsumer biConsumer = new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda43
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                BiConsumer biConsumer2 = BiConsumer.this;
                Predicate predicate2 = predicate;
                biConsumer2.accept(r1.test(r3) ? r3.forTrue : ((Collectors.Partition) obj).forFalse, obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer2) {
                return Objects.requireNonNull(biConsumer2);
            }
        };
        final BinaryOperator<A> combiner = collector.combiner();
        BinaryOperator binaryOperator = new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda45
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return Collectors.a(BinaryOperator.this, (Collectors.Partition) obj, (Collectors.Partition) obj2);
            }
        };
        Supplier supplier = new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda46
            @Override // java9.util.function.Supplier
            public final Object get() {
                return Collectors.a(Collector.this);
            }
        };
        return collector.characteristics().contains(Collector.Characteristics.IDENTITY_FINISH) ? new CollectorImpl(supplier, biConsumer, binaryOperator, CH_ID) : new CollectorImpl(supplier, biConsumer, binaryOperator, new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda47
            @Override // java9.util.function.Function
            public /* synthetic */ Function andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.Function
            public final Object apply(Object obj) {
                return Collectors.a(Collector.this, (Collectors.Partition) obj);
            }

            @Override // java9.util.function.Function
            public /* synthetic */ Function compose(Function function) {
                return Objects.requireNonNull(function);
            }
        }, CH_NOID);
    }

    public static <T> Collector<T, ?, T> reducing(T t, final BinaryOperator<T> binaryOperator) {
        return new CollectorImpl(boxSupplier(t), new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda92
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                Collectors.a(BinaryOperator.this, (Object[]) obj, obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda93
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return Collectors.a(BinaryOperator.this, (Object[]) obj, (Object[]) obj2);
            }
        }, new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda94
            @Override // java9.util.function.Function
            public /* synthetic */ Function andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.Function
            public final Object apply(Object obj) {
                return Collectors.a((Object[]) obj);
            }

            @Override // java9.util.function.Function
            public /* synthetic */ Function compose(Function function) {
                return Objects.requireNonNull(function);
            }
        }, CH_NOID);
    }

    public static <T, U> Collector<T, ?, U> reducing(U u, final Function<? super T, ? extends U> function, final BinaryOperator<U> binaryOperator) {
        return new CollectorImpl(boxSupplier(u), new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda95
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                Collectors.a(BinaryOperator.this, function, (Object[]) obj, obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda1
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function2) {
                return Objects.requireNonNull(function2);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return Collectors.b(BinaryOperator.this, (Object[]) obj, (Object[]) obj2);
            }
        }, new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda2
            @Override // java9.util.function.Function
            public /* synthetic */ Function andThen(Function function2) {
                return Objects.requireNonNull(function2);
            }

            @Override // java9.util.function.Function
            public final Object apply(Object obj) {
                return Collectors.b((Object[]) obj);
            }

            @Override // java9.util.function.Function
            public /* synthetic */ Function compose(Function function2) {
                return Objects.requireNonNull(function2);
            }
        }, CH_NOID);
    }

    public static <T> Collector<T, ?, Optional<T>> reducing(final BinaryOperator<T> binaryOperator) {
        return new CollectorImpl(new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda14
            @Override // java9.util.function.Supplier
            public final Object get() {
                return Collectors.a(BinaryOperator.this);
            }
        }, new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda15
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                ((Collectors.C1OptionalBox) obj).accept(obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda16
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return Collectors.a((Collectors.C1OptionalBox) obj, (Collectors.C1OptionalBox) obj2);
            }
        }, new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda17
            @Override // java9.util.function.Function
            public /* synthetic */ Function andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.Function
            public final Object apply(Object obj) {
                Optional ofNullable;
                ofNullable = Optional.ofNullable(((Collectors.C1OptionalBox) obj).value);
                return ofNullable;
            }

            @Override // java9.util.function.Function
            public /* synthetic */ Function compose(Function function) {
                return Objects.requireNonNull(function);
            }
        }, CH_NOID);
    }

    public static final <T> BiConsumer<Set<T>, T> setAdd() {
        return (BiConsumer<Set<T>, T>) SET_ADD;
    }

    public static double[] sumWithCompensation(double[] dArr, double d) {
        double d2 = d - dArr[1];
        double d3 = dArr[0];
        double d4 = d3 + d2;
        dArr[1] = (d4 - d3) - d2;
        dArr[0] = d4;
        return dArr;
    }

    public static <T> Collector<T, ?, DoubleSummaryStatistics> summarizingDouble(final ToDoubleFunction<? super T> toDoubleFunction) {
        return new CollectorImpl(DBL_SUM_STATS, new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda89
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                ((DoubleSummaryStatistics) obj).accept(ToDoubleFunction.this.applyAsDouble(obj2));
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda90
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return ((DoubleSummaryStatistics) obj).combine((DoubleSummaryStatistics) obj2);
            }
        }, CH_ID);
    }

    public static <T> Collector<T, ?, IntSummaryStatistics> summarizingInt(final ToIntFunction<? super T> toIntFunction) {
        return new CollectorImpl(INT_SUM_STATS, new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda69
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                ((IntSummaryStatistics) obj).accept(ToIntFunction.this.applyAsInt(obj2));
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda70
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return ((IntSummaryStatistics) obj).combine((IntSummaryStatistics) obj2);
            }
        }, CH_ID);
    }

    public static <T> Collector<T, ?, LongSummaryStatistics> summarizingLong(final ToLongFunction<? super T> toLongFunction) {
        return new CollectorImpl(LNG_SUM_STATS, new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda7
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                ((LongSummaryStatistics) obj).accept(ToLongFunction.this.applyAsLong(obj2));
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda8
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return ((LongSummaryStatistics) obj).combine((LongSummaryStatistics) obj2);
            }
        }, CH_ID);
    }

    public static <T> Collector<T, ?, Double> summingDouble(final ToDoubleFunction<? super T> toDoubleFunction) {
        return new CollectorImpl(new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda48
            @Override // java9.util.function.Supplier
            public final Object get() {
                return Collectors.d();
            }
        }, new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda49
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                Collectors.b(ToDoubleFunction.this, (double[]) obj, obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda50
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return Collectors.b((double[]) obj, (double[]) obj2);
            }
        }, new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda51
            @Override // java9.util.function.Function
            public /* synthetic */ Function andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.Function
            public final Object apply(Object obj) {
                Double valueOf;
                valueOf = Double.valueOf(Collectors.computeFinalSum((double[]) obj));
                return valueOf;
            }

            @Override // java9.util.function.Function
            public /* synthetic */ Function compose(Function function) {
                return Objects.requireNonNull(function);
            }
        }, CH_NOID);
    }

    public static <T> Collector<T, ?, Integer> summingInt(final ToIntFunction<? super T> toIntFunction) {
        return new CollectorImpl(new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda75
            @Override // java9.util.function.Supplier
            public final Object get() {
                return Collectors.e();
            }
        }, new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda76
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                Collectors.a(ToIntFunction.this, (int[]) obj, obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda78
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return Collectors.a((int[]) obj, (int[]) obj2);
            }
        }, new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda79
            @Override // java9.util.function.Function
            public /* synthetic */ Function andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.Function
            public final Object apply(Object obj) {
                Integer valueOf;
                valueOf = Integer.valueOf(((int[]) obj)[0]);
                return valueOf;
            }

            @Override // java9.util.function.Function
            public /* synthetic */ Function compose(Function function) {
                return Objects.requireNonNull(function);
            }
        }, CH_NOID);
    }

    public static <T> Collector<T, ?, Long> summingLong(final ToLongFunction<? super T> toLongFunction) {
        return new CollectorImpl(new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda63
            @Override // java9.util.function.Supplier
            public final Object get() {
                return Collectors.f();
            }
        }, new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda64
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                Collectors.b(ToLongFunction.this, (long[]) obj, obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda65
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return Collectors.c((long[]) obj, (long[]) obj2);
            }
        }, new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda67
            @Override // java9.util.function.Function
            public /* synthetic */ Function andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.Function
            public final Object apply(Object obj) {
                Long valueOf;
                valueOf = Long.valueOf(((long[]) obj)[0]);
                return valueOf;
            }

            @Override // java9.util.function.Function
            public /* synthetic */ Function compose(Function function) {
                return Objects.requireNonNull(function);
            }
        }, CH_NOID);
    }

    public static <T, R1, R2, R> Collector<T, ?, R> teeing(Collector<? super T, ?, R1> collector, Collector<? super T, ?, R2> collector2, BiFunction<? super R1, ? super R2, R> biFunction) {
        return teeing0(collector, collector2, biFunction);
    }

    public static <T, A1, A2, R1, R2, R> Collector<T, ?, R> teeing0(Collector<? super T, A1, R1> collector, Collector<? super T, A2, R2> collector2, final BiFunction<? super R1, ? super R2, R> biFunction) {
        Set<Collector.Characteristics> set;
        Objects.requireNonNull(collector, "downstream1");
        Objects.requireNonNull(collector2, "downstream2");
        Objects.requireNonNull(biFunction, "merger");
        final Supplier supplier = (Supplier) Objects.requireNonNull(collector.supplier(), "downstream1 supplier");
        final Supplier supplier2 = (Supplier) Objects.requireNonNull(collector2.supplier(), "downstream2 supplier");
        final BiConsumer biConsumer = (BiConsumer) Objects.requireNonNull(collector.accumulator(), "downstream1 accumulator");
        final BiConsumer biConsumer2 = (BiConsumer) Objects.requireNonNull(collector2.accumulator(), "downstream2 accumulator");
        final BinaryOperator binaryOperator = (BinaryOperator) Objects.requireNonNull(collector.combiner(), "downstream1 combiner");
        final BinaryOperator binaryOperator2 = (BinaryOperator) Objects.requireNonNull(collector2.combiner(), "downstream2 combiner");
        final Function function = (Function) Objects.requireNonNull(collector.finisher(), "downstream1 finisher");
        final Function function2 = (Function) Objects.requireNonNull(collector2.finisher(), "downstream2 finisher");
        Set<Collector.Characteristics> characteristics = collector.characteristics();
        Set<Collector.Characteristics> characteristics2 = collector2.characteristics();
        Set<Collector.Characteristics> set2 = CH_ID;
        if (set2.containsAll(characteristics) || set2.containsAll(characteristics2)) {
            set = CH_NOID;
        } else {
            EnumSet noneOf = EnumSet.noneOf(Collector.Characteristics.class);
            noneOf.addAll(characteristics);
            noneOf.retainAll(characteristics2);
            noneOf.remove(Collector.Characteristics.IDENTITY_FINISH);
            set = Collections.unmodifiableSet(noneOf);
        }
        return new CollectorImpl(new Supplier() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda11
            @Override // java9.util.function.Supplier
            public final Object get() {
                return Collectors.a(Supplier.this, supplier2, biConsumer, biConsumer2, binaryOperator, binaryOperator2, function, function2, biFunction);
            }
        }, new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda22
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                ((Collectors.C1PairBox) obj).add(obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer3) {
                return Objects.requireNonNull(biConsumer3);
            }
        }, new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda33
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function3) {
                return Objects.requireNonNull(function3);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return ((Collectors.C1PairBox) obj).combine((Collectors.C1PairBox) obj2);
            }
        }, new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda44
            @Override // java9.util.function.Function
            public /* synthetic */ Function andThen(Function function3) {
                return Objects.requireNonNull(function3);
            }

            @Override // java9.util.function.Function
            public final Object apply(Object obj) {
                return ((Collectors.C1PairBox) obj).get();
            }

            @Override // java9.util.function.Function
            public /* synthetic */ Function compose(Function function3) {
                return Objects.requireNonNull(function3);
            }
        }, set);
    }

    public static <T, C extends Collection<T>> Collector<T, ?, C> toCollection(Supplier<C> supplier) {
        return new CollectorImpl(supplier, new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda73
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                ((Collection) obj).add(obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda74
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return ((Collection) obj).addAll((Collection) obj2);
            }
        }, CH_ID);
    }

    public static <T, K, U> Collector<T, ?, ConcurrentMap<K, U>> toConcurrentMap(Function<? super T, ? extends K> function, Function<? super T, ? extends U> function2) {
        return new CollectorImpl(concHashMapNew2(), uniqKeysMapAccumulator(function, function2), uniqKeysMapMerger(), CH_CONCURRENT_ID);
    }

    public static <T, K, U> Collector<T, ?, ConcurrentMap<K, U>> toConcurrentMap(Function<? super T, ? extends K> function, Function<? super T, ? extends U> function2, BinaryOperator<U> binaryOperator) {
        return toConcurrentMap(function, function2, binaryOperator, concHashMapNew());
    }

    public static <T, K, U, M extends ConcurrentMap<K, U>> Collector<T, ?, M> toConcurrentMap(final Function<? super T, ? extends K> function, final Function<? super T, ? extends U> function2, final BinaryOperator<U> binaryOperator, Supplier<M> supplier) {
        return new CollectorImpl(supplier, new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda10
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                ConcurrentMap concurrentMap = (ConcurrentMap) obj;
                ConcurrentMaps.merge(concurrentMap, Function.this.apply(obj2), function2.apply(obj2), binaryOperator);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, mapMergerConcurrent(binaryOperator), CH_CONCURRENT_ID);
    }

    public static <T> Collector<T, ?, List<T>> toList() {
        return new CollectorImpl(arrayListNew(), listAdd(), new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda71
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return ((List) obj).addAll((List) obj2);
            }
        }, CH_ID);
    }

    public static <T, K, U> Collector<T, ?, Map<K, U>> toMap(Function<? super T, ? extends K> function, Function<? super T, ? extends U> function2) {
        return new CollectorImpl(hashMapNew(), uniqKeysMapAccumulator(function, function2), uniqKeysMapMerger(), CH_ID);
    }

    public static <T, K, U> Collector<T, ?, Map<K, U>> toMap(Function<? super T, ? extends K> function, Function<? super T, ? extends U> function2, BinaryOperator<U> binaryOperator) {
        return toMap(function, function2, binaryOperator, hashMapNew());
    }

    public static <T, K, U, M extends Map<K, U>> Collector<T, ?, M> toMap(final Function<? super T, ? extends K> function, final Function<? super T, ? extends U> function2, final BinaryOperator<U> binaryOperator, Supplier<M> supplier) {
        return new CollectorImpl(supplier, new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda9
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                Map map = (Map) obj;
                Maps.merge(map, Function.this.apply(obj2), function2.apply(obj2), binaryOperator);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        }, mapMerger(binaryOperator), CH_ID);
    }

    public static <T> Collector<T, ?, Set<T>> toSet() {
        return new CollectorImpl(hashSetNew(), setAdd(), new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda18
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return Collectors.a((Set) obj, (Set) obj2);
            }
        }, CH_UNORDERED_ID);
    }

    public static <T> Collector<T, ?, List<T>> toUnmodifiableList() {
        return new CollectorImpl(arrayListNew(), listAdd(), new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda77
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return ((List) obj).addAll((List) obj2);
            }
        }, new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda88
            @Override // java9.util.function.Function
            public /* synthetic */ Function andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.Function
            public final Object apply(Object obj) {
                return Collectors.a((List) obj);
            }

            @Override // java9.util.function.Function
            public /* synthetic */ Function compose(Function function) {
                return Objects.requireNonNull(function);
            }
        }, CH_NOID);
    }

    public static <T, K, U> Collector<T, ?, Map<K, U>> toUnmodifiableMap(Function<? super T, ? extends K> function, Function<? super T, ? extends U> function2) {
        Objects.requireNonNull(function, "keyMapper");
        Objects.requireNonNull(function2, "valueMapper");
        return collectingAndThen(toMap(function, function2), unmodMapFinisher());
    }

    public static <T, K, U> Collector<T, ?, Map<K, U>> toUnmodifiableMap(Function<? super T, ? extends K> function, Function<? super T, ? extends U> function2, BinaryOperator<U> binaryOperator) {
        Objects.requireNonNull(function, "keyMapper");
        Objects.requireNonNull(function2, "valueMapper");
        Objects.requireNonNull(binaryOperator, "mergeFunction");
        return collectingAndThen(toMap(function, function2, binaryOperator, hashMapNew()), unmodMapFinisher());
    }

    public static <T> Collector<T, ?, Set<T>> toUnmodifiableSet() {
        return new CollectorImpl(hashSetNew(), setAdd(), new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda39
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return Collectors.b((Set) obj, (Set) obj2);
            }
        }, new Function() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda40
            @Override // java9.util.function.Function
            public /* synthetic */ Function andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.Function
            public final Object apply(Object obj) {
                Set of;
                of = Sets.of(((Set) obj).toArray());
                return of;
            }

            @Override // java9.util.function.Function
            public /* synthetic */ Function compose(Function function) {
                return Objects.requireNonNull(function);
            }
        }, CH_UNORDERED_NOID);
    }

    public static <T, K, V> BiConsumer<Map<K, V>, T> uniqKeysMapAccumulator(final Function<? super T, ? extends K> function, final Function<? super T, ? extends V> function2) {
        return new BiConsumer() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda72
            @Override // java9.util.function.BiConsumer
            public final void accept(Object obj, Object obj2) {
                Collectors.a(Function.this, function2, (Map) obj, obj2);
            }

            @Override // java9.util.function.BiConsumer
            public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                return Objects.requireNonNull(biConsumer);
            }
        };
    }

    public static <K, V, M extends Map<K, V>> BinaryOperator<M> uniqKeysMapMerger() {
        return new BinaryOperator() { // from class: java9.util.stream.Collectors$$ExternalSyntheticLambda42
            @Override // java9.util.function.BiFunction
            public /* synthetic */ BiFunction andThen(Function function) {
                return Objects.requireNonNull(function);
            }

            @Override // java9.util.function.BiFunction
            public final Object apply(Object obj, Object obj2) {
                return Collectors.a((Map) obj, (Map) obj2);
            }
        };
    }

    public static final <K, U> Function<Map<K, U>, Map<K, U>> unmodMapFinisher() {
        return (Function<Map<K, U>, Map<K, U>>) UNMOD_MAP_FINISHER;
    }
}
