package java9.util.stream;

import java.util.AbstractSet;
import java.util.Collection;
import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedHashSet;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;
import java.util.concurrent.atomic.AtomicBoolean;
import java9.util.Objects;
import java9.util.Spliterator;
import java9.util.concurrent.ForkJoinPool;
import java9.util.function.BiConsumer;
import java9.util.function.Consumer;
import java9.util.function.IntFunction;
import java9.util.function.Supplier;
import java9.util.stream.DistinctOps;
import java9.util.stream.ReferencePipeline;
import java9.util.stream.Sink;
import java9.util.stream.StreamSpliterators;
/* loaded from: classes19.dex */
public final class DistinctOps {

    /* renamed from: java9.util.stream.DistinctOps$1  reason: invalid class name */
    /* loaded from: classes19.dex */
    public static class AnonymousClass1 extends ReferencePipeline.StatefulOp<T, T> {
        public AnonymousClass1(AbstractPipeline abstractPipeline, StreamShape streamShape, int i) {
            super(abstractPipeline, streamShape, i);
        }

        public static /* synthetic */ void a(AtomicBoolean atomicBoolean, ConcurrentMap concurrentMap, Object obj) {
            if (obj == null) {
                atomicBoolean.set(true);
            } else {
                concurrentMap.putIfAbsent(obj, Boolean.TRUE);
            }
        }

        @Override // java9.util.stream.ReferencePipeline.StatefulOp, java9.util.stream.AbstractPipeline
        public <P_IN> Node<T> opEvaluateParallel(PipelineHelper<T> pipelineHelper, Spliterator<P_IN> spliterator, IntFunction<T[]> intFunction) {
            KeysAndNullSet keysAndNullSet;
            if (StreamOpFlag.DISTINCT.isKnown(pipelineHelper.getStreamAndOpFlags())) {
                return pipelineHelper.evaluate(spliterator, false, intFunction);
            }
            if (StreamOpFlag.ORDERED.isKnown(pipelineHelper.getStreamAndOpFlags())) {
                return reduce(pipelineHelper, spliterator);
            }
            final AtomicBoolean atomicBoolean = new AtomicBoolean();
            final ConcurrentHashMap concurrentHashMap = new ConcurrentHashMap(512, 0.75f, ForkJoinPool.getCommonPoolParallelism() + 1);
            ForEachOps.makeRef(new Consumer() { // from class: java9.util.stream.DistinctOps$1$$ExternalSyntheticLambda0
                @Override // java9.util.function.Consumer
                public final void accept(Object obj) {
                    DistinctOps.AnonymousClass1.a(atomicBoolean, concurrentHashMap, obj);
                }

                @Override // java9.util.function.Consumer
                public /* synthetic */ Consumer andThen(Consumer consumer) {
                    return Objects.requireNonNull(consumer);
                }
            }, false).evaluateParallel(pipelineHelper, spliterator);
            Set keySet = concurrentHashMap.keySet();
            if (atomicBoolean.get()) {
                int size = keySet.size();
                if (size >= 127) {
                    keysAndNullSet = new KeysAndNullSet(keySet, size);
                } else {
                    HashSet hashSet = new HashSet(Math.max(((int) ((size + 1) / 0.75f)) + 1, 16));
                    hashSet.addAll(keySet);
                    hashSet.add(null);
                    keysAndNullSet = hashSet;
                }
                keySet = keysAndNullSet;
            }
            return Nodes.node(keySet);
        }

        @Override // java9.util.stream.AbstractPipeline
        public <P_IN> Spliterator<T> opEvaluateParallelLazy(PipelineHelper<T> pipelineHelper, Spliterator<P_IN> spliterator) {
            return StreamOpFlag.DISTINCT.isKnown(pipelineHelper.getStreamAndOpFlags()) ? pipelineHelper.wrapSpliterator(spliterator) : StreamOpFlag.ORDERED.isKnown(pipelineHelper.getStreamAndOpFlags()) ? reduce(pipelineHelper, spliterator).spliterator() : new StreamSpliterators.DistinctSpliterator(pipelineHelper.wrapSpliterator(spliterator));
        }

        @Override // java9.util.stream.AbstractPipeline
        public Sink<T> opWrapSink(int i, Sink<T> sink) {
            Objects.requireNonNull(sink);
            return StreamOpFlag.DISTINCT.isKnown(i) ? sink : StreamOpFlag.SORTED.isKnown(i) ? new Sink.ChainedReference<T, T>(sink) { // from class: java9.util.stream.DistinctOps.1.1
                public T lastSeen;
                public boolean seenNull;

                /* JADX WARN: Multi-variable type inference failed */
                @Override // java9.util.function.Consumer
                public void accept(T t) {
                    if (t == 0) {
                        if (this.seenNull) {
                            return;
                        }
                        this.seenNull = true;
                        Consumer consumer = this.downstream;
                        this.lastSeen = null;
                        consumer.accept(null);
                        return;
                    }
                    Object obj = this.lastSeen;
                    if (obj == null || !t.equals(obj)) {
                        Consumer consumer2 = this.downstream;
                        this.lastSeen = t;
                        consumer2.accept(t);
                    }
                }

                @Override // java9.util.stream.Sink.ChainedReference, java9.util.stream.Sink
                public void begin(long j) {
                    this.seenNull = false;
                    this.lastSeen = null;
                    this.downstream.begin(-1L);
                }

                @Override // java9.util.stream.Sink.ChainedReference, java9.util.stream.Sink
                public void end() {
                    this.seenNull = false;
                    this.lastSeen = null;
                    this.downstream.end();
                }
            } : new Sink.ChainedReference<T, T>(sink) { // from class: java9.util.stream.DistinctOps.1.2
                public Set<T> seen;

                @Override // java9.util.function.Consumer
                public void accept(T t) {
                    if (this.seen.add(t)) {
                        this.downstream.accept(t);
                    }
                }

                @Override // java9.util.stream.Sink.ChainedReference, java9.util.stream.Sink
                public void begin(long j) {
                    this.seen = new HashSet();
                    this.downstream.begin(-1L);
                }

                @Override // java9.util.stream.Sink.ChainedReference, java9.util.stream.Sink
                public void end() {
                    this.seen = null;
                    this.downstream.end();
                }
            };
        }

        public <P_IN> Node<T> reduce(PipelineHelper<T> pipelineHelper, Spliterator<P_IN> spliterator) {
            return Nodes.node((Collection) ReduceOps.makeRef(new Supplier() { // from class: java9.util.stream.DistinctOps$1$$ExternalSyntheticLambda1
                @Override // java9.util.function.Supplier
                public final Object get() {
                    return new LinkedHashSet();
                }
            }, new BiConsumer() { // from class: java9.util.stream.DistinctOps$1$$ExternalSyntheticLambda2
                @Override // java9.util.function.BiConsumer
                public final void accept(Object obj, Object obj2) {
                    ((LinkedHashSet) obj).add(obj2);
                }

                @Override // java9.util.function.BiConsumer
                public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                    return Objects.requireNonNull(biConsumer);
                }
            }, new BiConsumer() { // from class: java9.util.stream.DistinctOps$1$$ExternalSyntheticLambda3
                @Override // java9.util.function.BiConsumer
                public final void accept(Object obj, Object obj2) {
                    ((LinkedHashSet) obj).addAll((LinkedHashSet) obj2);
                }

                @Override // java9.util.function.BiConsumer
                public /* synthetic */ BiConsumer andThen(BiConsumer biConsumer) {
                    return Objects.requireNonNull(biConsumer);
                }
            }).evaluateParallel(pipelineHelper, spliterator));
        }
    }

    /* loaded from: classes19.dex */
    public static final class KeysAndNullSet<E> extends AbstractSet<E> {
        public final Set<E> keys;
        public final int size;

        public KeysAndNullSet(Set<E> set, int i) {
            this.keys = set;
            this.size = i + 1;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable, java.util.Set
        public Iterator<E> iterator() {
            return new Iterator<E>() { // from class: java9.util.stream.DistinctOps.KeysAndNullSet.1
                public Iterator<E> it;
                public boolean nullDelivered = false;

                {
                    this.it = KeysAndNullSet.this.keys.iterator();
                }

                @Override // java.util.Iterator
                public boolean hasNext() {
                    if (this.nullDelivered) {
                        return this.it.hasNext();
                    }
                    return true;
                }

                @Override // java.util.Iterator
                public E next() {
                    if (this.nullDelivered) {
                        return this.it.next();
                    }
                    this.nullDelivered = true;
                    return null;
                }

                @Override // java.util.Iterator
                public void remove() {
                    throw new UnsupportedOperationException();
                }
            };
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public int size() {
            return this.size;
        }
    }

    public static <T> ReferencePipeline<T, T> makeRef(AbstractPipeline<?, T, ?> abstractPipeline) {
        return new AnonymousClass1(abstractPipeline, StreamShape.REFERENCE, StreamOpFlag.IS_DISTINCT | StreamOpFlag.NOT_SIZED);
    }
}
