package java9.util.stream;

import java.util.Iterator;
import java9.util.IntSummaryStatistics;
import java9.util.J8Arrays;
import java9.util.Objects;
import java9.util.OptionalDouble;
import java9.util.OptionalInt;
import java9.util.Spliterator;
import java9.util.Spliterators;
import java9.util.function.BiConsumer;
import java9.util.function.IntBinaryOperator;
import java9.util.function.IntConsumer;
import java9.util.function.IntFunction;
import java9.util.function.IntPredicate;
import java9.util.function.IntSupplier;
import java9.util.function.IntToDoubleFunction;
import java9.util.function.IntToLongFunction;
import java9.util.function.IntUnaryOperator;
import java9.util.function.ObjIntConsumer;
import java9.util.function.Supplier;
import java9.util.stream.SpinedBuffer;
import java9.util.stream.StreamSpliterators;
import java9.util.stream.Streams;
/* loaded from: classes19.dex */
public interface IntStream extends BaseStream<Integer, IntStream> {

    /* renamed from: java9.util.stream.IntStream$-CC  reason: invalid class name */
    /* loaded from: classes19.dex */
    public final /* synthetic */ class CC {
        public static /* synthetic */ IntStream a(IntMapMultiConsumer intMapMultiConsumer, int i) {
            SpinedBuffer.OfInt ofInt = new SpinedBuffer.OfInt();
            intMapMultiConsumer.accept(i, ofInt);
            return StreamSupport.intStream(ofInt.spliterator(), false);
        }

        public static Builder builder() {
            return new Streams.IntStreamBuilderImpl();
        }

        /* JADX WARN: Type inference failed for: r1v0, types: [java9.util.Spliterator$OfInt] */
        /* JADX WARN: Type inference failed for: r2v0, types: [java9.util.Spliterator$OfInt] */
        public static IntStream concat(IntStream intStream, IntStream intStream2) {
            Objects.requireNonNull(intStream);
            Objects.requireNonNull(intStream2);
            return StreamSupport.intStream(new Streams.ConcatSpliterator.OfInt(intStream.spliterator(), intStream2.spliterator()), intStream.isParallel() || intStream2.isParallel()).onClose(Streams.composedClose(intStream, intStream2));
        }

        public static IntStream empty() {
            return StreamSupport.intStream(Spliterators.emptyIntSpliterator(), false);
        }

        public static IntStream generate(IntSupplier intSupplier) {
            Objects.requireNonNull(intSupplier);
            return StreamSupport.intStream(new StreamSpliterators.InfiniteSupplyingSpliterator.OfInt(Long.MAX_VALUE, intSupplier), false);
        }

        public static IntStream iterate(final int i, final IntPredicate intPredicate, final IntUnaryOperator intUnaryOperator) {
            Objects.requireNonNull(intUnaryOperator);
            Objects.requireNonNull(intPredicate);
            return StreamSupport.intStream(new Spliterators.AbstractIntSpliterator(Long.MAX_VALUE, 1296) { // from class: java9.util.stream.IntStream.2
                public boolean finished;
                public int prev;
                public boolean started;

                @Override // java9.util.Spliterators.AbstractIntSpliterator, java9.util.Spliterator.OfPrimitive
                public void forEachRemaining(IntConsumer intConsumer) {
                    Objects.requireNonNull(intConsumer);
                    if (this.finished) {
                        return;
                    }
                    this.finished = true;
                    int applyAsInt = this.started ? intUnaryOperator.applyAsInt(this.prev) : i;
                    while (intPredicate.test(applyAsInt)) {
                        intConsumer.accept(applyAsInt);
                        applyAsInt = intUnaryOperator.applyAsInt(applyAsInt);
                    }
                }

                @Override // java9.util.Spliterators.AbstractIntSpliterator, java9.util.Spliterator.OfPrimitive
                public boolean tryAdvance(IntConsumer intConsumer) {
                    int i2;
                    Objects.requireNonNull(intConsumer);
                    if (this.finished) {
                        return false;
                    }
                    if (this.started) {
                        i2 = intUnaryOperator.applyAsInt(this.prev);
                    } else {
                        i2 = i;
                        this.started = true;
                    }
                    if (!intPredicate.test(i2)) {
                        this.finished = true;
                        return false;
                    }
                    this.prev = i2;
                    intConsumer.accept(i2);
                    return true;
                }
            }, false);
        }

        public static IntStream iterate(final int i, final IntUnaryOperator intUnaryOperator) {
            Objects.requireNonNull(intUnaryOperator);
            return StreamSupport.intStream(new Spliterators.AbstractIntSpliterator(Long.MAX_VALUE, 1296) { // from class: java9.util.stream.IntStream.1
                public int prev;
                public boolean started;

                @Override // java9.util.Spliterators.AbstractIntSpliterator, java9.util.Spliterator.OfPrimitive
                public boolean tryAdvance(IntConsumer intConsumer) {
                    int i2;
                    Objects.requireNonNull(intConsumer);
                    if (this.started) {
                        i2 = intUnaryOperator.applyAsInt(this.prev);
                    } else {
                        i2 = i;
                        this.started = true;
                    }
                    this.prev = i2;
                    intConsumer.accept(i2);
                    return true;
                }
            }, false);
        }

        public static IntStream of(int i) {
            return StreamSupport.intStream(new Streams.IntStreamBuilderImpl(i), false);
        }

        public static IntStream of(int... iArr) {
            return J8Arrays.stream(iArr);
        }

        public static IntStream range(int i, int i2) {
            return i >= i2 ? empty() : StreamSupport.intStream(new Streams.RangeIntSpliterator(i, i2, false), false);
        }

        public static IntStream rangeClosed(int i, int i2) {
            return i > i2 ? empty() : StreamSupport.intStream(new Streams.RangeIntSpliterator(i, i2, true), false);
        }
    }

    /* loaded from: classes19.dex */
    public interface Builder extends IntConsumer {

        /* renamed from: java9.util.stream.IntStream$Builder$-CC  reason: invalid class name */
        /* loaded from: classes19.dex */
        public final /* synthetic */ class CC {
        }

        @Override // java9.util.function.IntConsumer
        void accept(int i);

        Builder add(int i);

        IntStream build();
    }

    /* loaded from: classes19.dex */
    public interface IntMapMultiConsumer {
        void accept(int i, IntConsumer intConsumer);
    }

    boolean allMatch(IntPredicate intPredicate);

    boolean anyMatch(IntPredicate intPredicate);

    DoubleStream asDoubleStream();

    LongStream asLongStream();

    OptionalDouble average();

    Stream<Integer> boxed();

    <R> R collect(Supplier<R> supplier, ObjIntConsumer<R> objIntConsumer, BiConsumer<R, R> biConsumer);

    long count();

    IntStream distinct();

    IntStream dropWhile(IntPredicate intPredicate);

    IntStream filter(IntPredicate intPredicate);

    OptionalInt findAny();

    OptionalInt findFirst();

    IntStream flatMap(IntFunction<? extends IntStream> intFunction);

    void forEach(IntConsumer intConsumer);

    void forEachOrdered(IntConsumer intConsumer);

    @Override // java9.util.stream.BaseStream, java9.util.stream.DoubleStream
    Iterator<Integer> iterator();

    IntStream limit(long j);

    IntStream map(IntUnaryOperator intUnaryOperator);

    IntStream mapMulti(IntMapMultiConsumer intMapMultiConsumer);

    DoubleStream mapToDouble(IntToDoubleFunction intToDoubleFunction);

    LongStream mapToLong(IntToLongFunction intToLongFunction);

    <U> Stream<U> mapToObj(IntFunction<? extends U> intFunction);

    OptionalInt max();

    OptionalInt min();

    boolean noneMatch(IntPredicate intPredicate);

    @Override // java9.util.stream.BaseStream
    IntStream parallel();

    IntStream peek(IntConsumer intConsumer);

    int reduce(int i, IntBinaryOperator intBinaryOperator);

    OptionalInt reduce(IntBinaryOperator intBinaryOperator);

    @Override // java9.util.stream.BaseStream
    IntStream sequential();

    IntStream skip(long j);

    IntStream sorted();

    @Override // java9.util.stream.BaseStream
    Spliterator<Integer> spliterator();

    int sum();

    IntSummaryStatistics summaryStatistics();

    IntStream takeWhile(IntPredicate intPredicate);

    int[] toArray();
}
