package java9.util.stream;

import a.a.a.a;
import java.util.Iterator;
import java9.util.J8Arrays;
import java9.util.LongSummaryStatistics;
import java9.util.Objects;
import java9.util.OptionalDouble;
import java9.util.OptionalLong;
import java9.util.Spliterator;
import java9.util.Spliterators;
import java9.util.function.BiConsumer;
import java9.util.function.LongBinaryOperator;
import java9.util.function.LongConsumer;
import java9.util.function.LongFunction;
import java9.util.function.LongPredicate;
import java9.util.function.LongSupplier;
import java9.util.function.LongToDoubleFunction;
import java9.util.function.LongToIntFunction;
import java9.util.function.LongUnaryOperator;
import java9.util.function.ObjLongConsumer;
import java9.util.function.Supplier;
import java9.util.stream.SpinedBuffer;
import java9.util.stream.StreamSpliterators;
import java9.util.stream.Streams;
/* loaded from: classes19.dex */
public interface LongStream extends BaseStream<Long, LongStream> {

    /* renamed from: java9.util.stream.LongStream$-CC  reason: invalid class name */
    /* loaded from: classes19.dex */
    public final /* synthetic */ class CC {
        public static /* synthetic */ LongStream a(LongMapMultiConsumer longMapMultiConsumer, long j) {
            SpinedBuffer.OfLong ofLong = new SpinedBuffer.OfLong();
            longMapMultiConsumer.accept(j, ofLong);
            return StreamSupport.longStream(ofLong.spliterator(), false);
        }

        public static Builder builder() {
            return new Streams.LongStreamBuilderImpl();
        }

        /* JADX WARN: Type inference failed for: r1v0, types: [java9.util.Spliterator$OfLong] */
        /* JADX WARN: Type inference failed for: r2v0, types: [java9.util.Spliterator$OfLong] */
        public static LongStream concat(LongStream longStream, LongStream longStream2) {
            Objects.requireNonNull(longStream);
            Objects.requireNonNull(longStream2);
            return StreamSupport.longStream(new Streams.ConcatSpliterator.OfLong(longStream.spliterator(), longStream2.spliterator()), longStream.isParallel() || longStream2.isParallel()).onClose(Streams.composedClose(longStream, longStream2));
        }

        public static LongStream empty() {
            return StreamSupport.longStream(Spliterators.emptyLongSpliterator(), false);
        }

        public static LongStream generate(LongSupplier longSupplier) {
            Objects.requireNonNull(longSupplier);
            return StreamSupport.longStream(new StreamSpliterators.InfiniteSupplyingSpliterator.OfLong(Long.MAX_VALUE, longSupplier), false);
        }

        public static LongStream iterate(final long j, final LongPredicate longPredicate, final LongUnaryOperator longUnaryOperator) {
            Objects.requireNonNull(longUnaryOperator);
            Objects.requireNonNull(longPredicate);
            return StreamSupport.longStream(new Spliterators.AbstractLongSpliterator(Long.MAX_VALUE, 1296) { // from class: java9.util.stream.LongStream.2
                public boolean finished;
                public long prev;
                public boolean started;

                @Override // java9.util.Spliterators.AbstractLongSpliterator, java9.util.Spliterator.OfPrimitive
                public void forEachRemaining(LongConsumer longConsumer) {
                    Objects.requireNonNull(longConsumer);
                    if (this.finished) {
                        return;
                    }
                    this.finished = true;
                    long applyAsLong = this.started ? longUnaryOperator.applyAsLong(this.prev) : j;
                    while (longPredicate.test(applyAsLong)) {
                        longConsumer.accept(applyAsLong);
                        applyAsLong = longUnaryOperator.applyAsLong(applyAsLong);
                    }
                }

                @Override // java9.util.Spliterators.AbstractLongSpliterator, java9.util.Spliterator.OfPrimitive
                public boolean tryAdvance(LongConsumer longConsumer) {
                    long j2;
                    Objects.requireNonNull(longConsumer);
                    if (this.finished) {
                        return false;
                    }
                    if (this.started) {
                        j2 = longUnaryOperator.applyAsLong(this.prev);
                    } else {
                        j2 = j;
                        this.started = true;
                    }
                    if (!longPredicate.test(j2)) {
                        this.finished = true;
                        return false;
                    }
                    this.prev = j2;
                    longConsumer.accept(j2);
                    return true;
                }
            }, false);
        }

        public static LongStream iterate(final long j, final LongUnaryOperator longUnaryOperator) {
            Objects.requireNonNull(longUnaryOperator);
            return StreamSupport.longStream(new Spliterators.AbstractLongSpliterator(Long.MAX_VALUE, 1296) { // from class: java9.util.stream.LongStream.1
                public long prev;
                public boolean started;

                @Override // java9.util.Spliterators.AbstractLongSpliterator, java9.util.Spliterator.OfPrimitive
                public boolean tryAdvance(LongConsumer longConsumer) {
                    long j2;
                    Objects.requireNonNull(longConsumer);
                    if (this.started) {
                        j2 = longUnaryOperator.applyAsLong(this.prev);
                    } else {
                        j2 = j;
                        this.started = true;
                    }
                    this.prev = j2;
                    longConsumer.accept(j2);
                    return true;
                }
            }, false);
        }

        public static LongStream of(long j) {
            return StreamSupport.longStream(new Streams.LongStreamBuilderImpl(j), false);
        }

        public static LongStream of(long... jArr) {
            return J8Arrays.stream(jArr);
        }

        public static LongStream range(long j, long j2) {
            if (j >= j2) {
                return empty();
            }
            long j3 = j2 - j;
            if (j3 < 0) {
                long b = a.b(j3, 2L) + j + 1;
                return concat(range(j, b), range(b, j2));
            }
            return StreamSupport.longStream(new Streams.RangeLongSpliterator(j, j2, false), false);
        }

        public static LongStream rangeClosed(long j, long j2) {
            if (j > j2) {
                return empty();
            }
            long j3 = j2 - j;
            if (j3 + 1 <= 0) {
                long b = a.b(j3, 2L) + j + 1;
                return concat(range(j, b), rangeClosed(b, j2));
            }
            return StreamSupport.longStream(new Streams.RangeLongSpliterator(j, j2, true), false);
        }
    }

    /* loaded from: classes19.dex */
    public interface Builder extends LongConsumer {
        @Override // java9.util.function.LongConsumer
        void accept(long j);

        Builder add(long j);

        LongStream build();
    }

    /* loaded from: classes19.dex */
    public interface LongMapMultiConsumer {
        void accept(long j, LongConsumer longConsumer);
    }

    boolean allMatch(LongPredicate longPredicate);

    boolean anyMatch(LongPredicate longPredicate);

    DoubleStream asDoubleStream();

    OptionalDouble average();

    Stream<Long> boxed();

    <R> R collect(Supplier<R> supplier, ObjLongConsumer<R> objLongConsumer, BiConsumer<R, R> biConsumer);

    long count();

    LongStream distinct();

    LongStream dropWhile(LongPredicate longPredicate);

    LongStream filter(LongPredicate longPredicate);

    OptionalLong findAny();

    OptionalLong findFirst();

    LongStream flatMap(LongFunction<? extends LongStream> longFunction);

    void forEach(LongConsumer longConsumer);

    void forEachOrdered(LongConsumer longConsumer);

    @Override // java9.util.stream.BaseStream, java9.util.stream.DoubleStream
    Iterator<Long> iterator();

    LongStream limit(long j);

    LongStream map(LongUnaryOperator longUnaryOperator);

    LongStream mapMulti(LongMapMultiConsumer longMapMultiConsumer);

    DoubleStream mapToDouble(LongToDoubleFunction longToDoubleFunction);

    IntStream mapToInt(LongToIntFunction longToIntFunction);

    <U> Stream<U> mapToObj(LongFunction<? extends U> longFunction);

    OptionalLong max();

    OptionalLong min();

    boolean noneMatch(LongPredicate longPredicate);

    @Override // java9.util.stream.BaseStream
    LongStream parallel();

    LongStream peek(LongConsumer longConsumer);

    long reduce(long j, LongBinaryOperator longBinaryOperator);

    OptionalLong reduce(LongBinaryOperator longBinaryOperator);

    @Override // java9.util.stream.BaseStream
    LongStream sequential();

    LongStream skip(long j);

    LongStream sorted();

    @Override // java9.util.stream.BaseStream
    Spliterator<Long> spliterator();

    long sum();

    LongSummaryStatistics summaryStatistics();

    LongStream takeWhile(LongPredicate longPredicate);

    long[] toArray();
}
