package java9.util.stream;

import java9.util.Spliterator;
import java9.util.concurrent.CountedCompleter;
import java9.util.function.IntFunction;
import java9.util.stream.DoublePipeline;
import java9.util.stream.IntPipeline;
import java9.util.stream.LongPipeline;
import java9.util.stream.Node;
import java9.util.stream.ReferencePipeline;
import java9.util.stream.Sink;
import java9.util.stream.StreamSpliterators;
/* loaded from: classes19.dex */
public final class SliceOps {

    /* renamed from: java9.util.stream.SliceOps$5  reason: invalid class name */
    /* loaded from: classes19.dex */
    public static /* synthetic */ class AnonymousClass5 {
        public static final /* synthetic */ int[] $SwitchMap$java9$util$stream$StreamShape;

        static {
            int[] iArr = new int[StreamShape.values().length];
            $SwitchMap$java9$util$stream$StreamShape = iArr;
            try {
                StreamShape streamShape = StreamShape.REFERENCE;
                iArr[0] = 1;
            } catch (NoSuchFieldError e) {
            }
            try {
                int[] iArr2 = $SwitchMap$java9$util$stream$StreamShape;
                StreamShape streamShape2 = StreamShape.INT_VALUE;
                iArr2[1] = 2;
            } catch (NoSuchFieldError e2) {
            }
            try {
                int[] iArr3 = $SwitchMap$java9$util$stream$StreamShape;
                StreamShape streamShape3 = StreamShape.LONG_VALUE;
                iArr3[2] = 3;
            } catch (NoSuchFieldError e3) {
            }
            try {
                int[] iArr4 = $SwitchMap$java9$util$stream$StreamShape;
                StreamShape streamShape4 = StreamShape.DOUBLE_VALUE;
                iArr4[3] = 4;
            } catch (NoSuchFieldError e4) {
            }
        }
    }

    /* loaded from: classes19.dex */
    public static final class SliceTask<P_IN, P_OUT> extends AbstractShortCircuitTask<P_IN, P_OUT, Node<P_OUT>, SliceTask<P_IN, P_OUT>> {
        public volatile boolean completed;
        public final IntFunction<P_OUT[]> generator;
        public final AbstractPipeline<P_OUT, P_OUT, ?> op;
        public final long targetOffset;
        public final long targetSize;
        public long thisNodeSize;

        public SliceTask(AbstractPipeline<P_OUT, P_OUT, ?> abstractPipeline, PipelineHelper<P_OUT> pipelineHelper, Spliterator<P_IN> spliterator, IntFunction<P_OUT[]> intFunction, long j, long j2) {
            super(pipelineHelper, spliterator);
            this.op = abstractPipeline;
            this.generator = intFunction;
            this.targetOffset = j;
            this.targetSize = j2;
        }

        public SliceTask(SliceTask<P_IN, P_OUT> sliceTask, Spliterator<P_IN> spliterator) {
            super(sliceTask, spliterator);
            this.op = sliceTask.op;
            this.generator = sliceTask.generator;
            this.targetOffset = sliceTask.targetOffset;
            this.targetSize = sliceTask.targetSize;
        }

        private long completedSize(long j) {
            if (this.completed) {
                return this.thisNodeSize;
            }
            SliceTask sliceTask = (SliceTask) this.leftChild;
            SliceTask sliceTask2 = (SliceTask) this.rightChild;
            if (sliceTask == null || sliceTask2 == null) {
                return this.thisNodeSize;
            }
            long completedSize = sliceTask.completedSize(j);
            return completedSize >= j ? completedSize : completedSize + sliceTask2.completedSize(j);
        }

        private Node<P_OUT> doTruncate(Node<P_OUT> node) {
            return node.truncate(this.targetOffset, this.targetSize >= 0 ? Math.min(node.count(), this.targetOffset + this.targetSize) : this.thisNodeSize, this.generator);
        }

        private boolean isLeftCompleted(long j) {
            SliceTask sliceTask;
            long completedSize = this.completed ? this.thisNodeSize : completedSize(j);
            if (completedSize >= j) {
                return true;
            }
            SliceTask<P_IN, P_OUT> sliceTask2 = this;
            for (SliceTask<P_IN, P_OUT> sliceTask3 = (SliceTask) getParent(); sliceTask3 != null; sliceTask3 = (SliceTask) sliceTask3.getParent()) {
                if (sliceTask2 == sliceTask3.rightChild && (sliceTask = (SliceTask) sliceTask3.leftChild) != null) {
                    completedSize += sliceTask.completedSize(j);
                    if (completedSize >= j) {
                        return true;
                    }
                }
                sliceTask2 = sliceTask3;
            }
            return completedSize >= j;
        }

        @Override // java9.util.stream.AbstractShortCircuitTask
        public void cancel() {
            super.cancel();
            if (this.completed) {
                setLocalResult(getEmptyResult());
            }
        }

        @Override // java9.util.stream.AbstractTask
        public final Node<P_OUT> doLeaf() {
            if (isRoot()) {
                Node.Builder<P_OUT> makeNodeBuilder = this.op.makeNodeBuilder(StreamOpFlag.SIZED.isPreserved(this.op.sourceOrOpFlags) ? this.op.exactOutputSizeIfKnown(this.spliterator) : -1L, this.generator);
                Sink<P_OUT> opWrapSink = this.op.opWrapSink(this.helper.getStreamAndOpFlags(), makeNodeBuilder);
                PipelineHelper<P_OUT> pipelineHelper = this.helper;
                pipelineHelper.copyIntoWithCancel(pipelineHelper.wrapSink(opWrapSink), this.spliterator);
                return makeNodeBuilder.build();
            }
            Node.Builder<P_OUT> makeNodeBuilder2 = this.op.makeNodeBuilder(-1L, this.generator);
            if (this.targetOffset == 0) {
                Sink<P_OUT> opWrapSink2 = this.op.opWrapSink(this.helper.getStreamAndOpFlags(), makeNodeBuilder2);
                PipelineHelper<P_OUT> pipelineHelper2 = this.helper;
                pipelineHelper2.copyIntoWithCancel(pipelineHelper2.wrapSink(opWrapSink2), this.spliterator);
            } else {
                this.helper.wrapAndCopyInto(makeNodeBuilder2, this.spliterator);
            }
            Node<P_OUT> build = makeNodeBuilder2.build();
            this.thisNodeSize = build.count();
            this.completed = true;
            this.spliterator = null;
            return build;
        }

        @Override // java9.util.stream.AbstractShortCircuitTask
        public final Node<P_OUT> getEmptyResult() {
            return Nodes.emptyNode(this.op.getOutputShape());
        }

        @Override // java9.util.stream.AbstractTask
        public SliceTask<P_IN, P_OUT> makeChild(Spliterator<P_IN> spliterator) {
            return new SliceTask<>(this, spliterator);
        }

        /* JADX WARN: Removed duplicated region for block: B:17:0x0062  */
        @Override // java9.util.stream.AbstractTask, java9.util.concurrent.CountedCompleter
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public final void onCompletion(CountedCompleter<?> countedCompleter) {
            Node<P_OUT> localResult;
            if (!isLeaf()) {
                this.thisNodeSize = ((SliceTask) this.leftChild).thisNodeSize + ((SliceTask) this.rightChild).thisNodeSize;
                if (this.canceled) {
                    this.thisNodeSize = 0L;
                } else if (this.thisNodeSize != 0) {
                    localResult = ((SliceTask) this.leftChild).thisNodeSize == 0 ? ((SliceTask) this.rightChild).getLocalResult() : Nodes.conc(this.op.getOutputShape(), ((SliceTask) this.leftChild).getLocalResult(), ((SliceTask) this.rightChild).getLocalResult());
                    if (isRoot()) {
                        localResult = doTruncate(localResult);
                    }
                    setLocalResult(localResult);
                    this.completed = true;
                }
                localResult = getEmptyResult();
                if (isRoot()) {
                }
                setLocalResult(localResult);
                this.completed = true;
            }
            if (this.targetSize >= 0 && !isRoot() && isLeftCompleted(this.targetOffset + this.targetSize)) {
                cancelLaterNodes();
            }
            super.onCompletion(countedCompleter);
        }
    }

    public static long calcSize(long j, long j2, long j3) {
        if (j >= 0) {
            return Math.max(0L, Math.min(j - j2, j3));
        }
        return -1L;
    }

    public static long calcSliceFence(long j, long j2) {
        long j3 = j2 >= 0 ? j + j2 : Long.MAX_VALUE;
        if (j3 >= 0) {
            return j3;
        }
        return Long.MAX_VALUE;
    }

    public static int flags(long j) {
        return (j != -1 ? StreamOpFlag.IS_SHORT_CIRCUIT : 0) | StreamOpFlag.IS_SIZE_ADJUSTING;
    }

    public static DoubleStream makeDouble(AbstractPipeline<?, Double, ?> abstractPipeline, final long j, final long j2) {
        if (j >= 0) {
            final long j3 = j2 >= 0 ? j2 : Long.MAX_VALUE;
            return new DoublePipeline.StatefulOp<Double>(abstractPipeline, StreamShape.DOUBLE_VALUE, flags(j2)) { // from class: java9.util.stream.SliceOps.4
                @Override // java9.util.stream.AbstractPipeline
                public long exactOutputSize(long j4) {
                    return SliceOps.calcSize(j4, j, j3);
                }

                @Override // java9.util.stream.DoublePipeline.StatefulOp, java9.util.stream.AbstractPipeline
                public <P_IN> Node<Double> opEvaluateParallel(PipelineHelper<Double> pipelineHelper, Spliterator<P_IN> spliterator, IntFunction<Double[]> intFunction) {
                    long exactOutputSizeIfKnown = pipelineHelper.exactOutputSizeIfKnown(spliterator);
                    if (exactOutputSizeIfKnown > 0 && spliterator.hasCharacteristics(16384)) {
                        return Nodes.collectDouble(pipelineHelper, SliceOps.sliceSpliterator(pipelineHelper.getSourceShape(), spliterator, j, j2), true);
                    }
                    return !StreamOpFlag.ORDERED.isKnown(pipelineHelper.getStreamAndOpFlags()) ? Nodes.collectDouble(this, unorderedSkipLimitSpliterator((Spliterator.OfDouble) pipelineHelper.wrapSpliterator(spliterator), j, j2, exactOutputSizeIfKnown), true) : (Node) new SliceTask(this, pipelineHelper, spliterator, intFunction, j, j2).invoke();
                }

                @Override // java9.util.stream.AbstractPipeline
                public <P_IN> Spliterator<Double> opEvaluateParallelLazy(PipelineHelper<Double> pipelineHelper, Spliterator<P_IN> spliterator) {
                    long exactOutputSizeIfKnown = pipelineHelper.exactOutputSizeIfKnown(spliterator);
                    if (exactOutputSizeIfKnown > 0 && spliterator.hasCharacteristics(16384)) {
                        long j4 = j;
                        return new StreamSpliterators.SliceSpliterator.OfDouble((Spliterator.OfDouble) pipelineHelper.wrapSpliterator(spliterator), j4, SliceOps.calcSliceFence(j4, j2));
                    }
                    return !StreamOpFlag.ORDERED.isKnown(pipelineHelper.getStreamAndOpFlags()) ? unorderedSkipLimitSpliterator((Spliterator.OfDouble) pipelineHelper.wrapSpliterator(spliterator), j, j2, exactOutputSizeIfKnown) : new SliceTask(this, pipelineHelper, spliterator, WhileOps.DOUBLE_ARR_GEN, j, j2).invoke().spliterator();
                }

                @Override // java9.util.stream.AbstractPipeline
                public Sink<Double> opWrapSink(int i, Sink<Double> sink) {
                    return new Sink.ChainedDouble<Double>(sink) { // from class: java9.util.stream.SliceOps.4.1
                        public long m;
                        public long n;

                        {
                            this.n = j;
                            this.m = j3;
                        }

                        @Override // java9.util.stream.Sink.OfDouble, java9.util.stream.Sink, java9.util.function.DoubleConsumer
                        public void accept(double d) {
                            long j4 = this.n;
                            if (j4 != 0) {
                                this.n = j4 - 1;
                                return;
                            }
                            long j5 = this.m;
                            if (j5 > 0) {
                                this.m = j5 - 1;
                                this.downstream.accept(d);
                            }
                        }

                        @Override // java9.util.stream.Sink.ChainedDouble, java9.util.stream.Sink
                        public void begin(long j4) {
                            this.downstream.begin(SliceOps.calcSize(j4, j, this.m));
                        }

                        @Override // java9.util.stream.Sink.ChainedDouble, java9.util.stream.Sink
                        public boolean cancellationRequested() {
                            return this.m == 0 || this.downstream.cancellationRequested();
                        }
                    };
                }

                public Spliterator.OfDouble unorderedSkipLimitSpliterator(Spliterator.OfDouble ofDouble, long j4, long j5, long j6) {
                    long j7;
                    long j8;
                    if (j4 <= j6) {
                        long j9 = j6 - j4;
                        j8 = j5 >= 0 ? Math.min(j5, j9) : j9;
                        j7 = 0;
                    } else {
                        j7 = j4;
                        j8 = j5;
                    }
                    return new StreamSpliterators.UnorderedSliceSpliterator.OfDouble(ofDouble, j7, j8);
                }
            };
        }
        throw new IllegalArgumentException("Skip must be non-negative: " + j);
    }

    public static IntStream makeInt(AbstractPipeline<?, Integer, ?> abstractPipeline, final long j, final long j2) {
        if (j >= 0) {
            final long j3 = j2 >= 0 ? j2 : Long.MAX_VALUE;
            return new IntPipeline.StatefulOp<Integer>(abstractPipeline, StreamShape.INT_VALUE, flags(j2)) { // from class: java9.util.stream.SliceOps.2
                @Override // java9.util.stream.AbstractPipeline
                public long exactOutputSize(long j4) {
                    return SliceOps.calcSize(j4, j, j3);
                }

                @Override // java9.util.stream.IntPipeline.StatefulOp, java9.util.stream.AbstractPipeline
                public <P_IN> Node<Integer> opEvaluateParallel(PipelineHelper<Integer> pipelineHelper, Spliterator<P_IN> spliterator, IntFunction<Integer[]> intFunction) {
                    long exactOutputSizeIfKnown = pipelineHelper.exactOutputSizeIfKnown(spliterator);
                    if (exactOutputSizeIfKnown > 0 && spliterator.hasCharacteristics(16384)) {
                        return Nodes.collectInt(pipelineHelper, SliceOps.sliceSpliterator(pipelineHelper.getSourceShape(), spliterator, j, j2), true);
                    }
                    return !StreamOpFlag.ORDERED.isKnown(pipelineHelper.getStreamAndOpFlags()) ? Nodes.collectInt(this, unorderedSkipLimitSpliterator((Spliterator.OfInt) pipelineHelper.wrapSpliterator(spliterator), j, j2, exactOutputSizeIfKnown), true) : (Node) new SliceTask(this, pipelineHelper, spliterator, intFunction, j, j2).invoke();
                }

                @Override // java9.util.stream.AbstractPipeline
                public <P_IN> Spliterator<Integer> opEvaluateParallelLazy(PipelineHelper<Integer> pipelineHelper, Spliterator<P_IN> spliterator) {
                    long exactOutputSizeIfKnown = pipelineHelper.exactOutputSizeIfKnown(spliterator);
                    if (exactOutputSizeIfKnown > 0 && spliterator.hasCharacteristics(16384)) {
                        long j4 = j;
                        return new StreamSpliterators.SliceSpliterator.OfInt((Spliterator.OfInt) pipelineHelper.wrapSpliterator(spliterator), j4, SliceOps.calcSliceFence(j4, j2));
                    }
                    return !StreamOpFlag.ORDERED.isKnown(pipelineHelper.getStreamAndOpFlags()) ? unorderedSkipLimitSpliterator((Spliterator.OfInt) pipelineHelper.wrapSpliterator(spliterator), j, j2, exactOutputSizeIfKnown) : new SliceTask(this, pipelineHelper, spliterator, WhileOps.INT_ARR_GEN, j, j2).invoke().spliterator();
                }

                @Override // java9.util.stream.AbstractPipeline
                public Sink<Integer> opWrapSink(int i, Sink<Integer> sink) {
                    return new Sink.ChainedInt<Integer>(sink) { // from class: java9.util.stream.SliceOps.2.1
                        public long m;
                        public long n;

                        {
                            this.n = j;
                            this.m = j3;
                        }

                        @Override // java9.util.stream.Sink.OfInt, java9.util.stream.Sink
                        public void accept(int i2) {
                            long j4 = this.n;
                            if (j4 != 0) {
                                this.n = j4 - 1;
                                return;
                            }
                            long j5 = this.m;
                            if (j5 > 0) {
                                this.m = j5 - 1;
                                this.downstream.accept(i2);
                            }
                        }

                        @Override // java9.util.stream.Sink.ChainedInt, java9.util.stream.Sink
                        public void begin(long j4) {
                            this.downstream.begin(SliceOps.calcSize(j4, j, this.m));
                        }

                        @Override // java9.util.stream.Sink.ChainedInt, java9.util.stream.Sink
                        public boolean cancellationRequested() {
                            return this.m == 0 || this.downstream.cancellationRequested();
                        }
                    };
                }

                public Spliterator.OfInt unorderedSkipLimitSpliterator(Spliterator.OfInt ofInt, long j4, long j5, long j6) {
                    long j7;
                    long j8;
                    if (j4 <= j6) {
                        long j9 = j6 - j4;
                        j8 = j5 >= 0 ? Math.min(j5, j9) : j9;
                        j7 = 0;
                    } else {
                        j7 = j4;
                        j8 = j5;
                    }
                    return new StreamSpliterators.UnorderedSliceSpliterator.OfInt(ofInt, j7, j8);
                }
            };
        }
        throw new IllegalArgumentException("Skip must be non-negative: " + j);
    }

    public static LongStream makeLong(AbstractPipeline<?, Long, ?> abstractPipeline, final long j, final long j2) {
        if (j >= 0) {
            final long j3 = j2 >= 0 ? j2 : Long.MAX_VALUE;
            return new LongPipeline.StatefulOp<Long>(abstractPipeline, StreamShape.LONG_VALUE, flags(j2)) { // from class: java9.util.stream.SliceOps.3
                @Override // java9.util.stream.AbstractPipeline
                public long exactOutputSize(long j4) {
                    return SliceOps.calcSize(j4, j, j3);
                }

                @Override // java9.util.stream.LongPipeline.StatefulOp, java9.util.stream.AbstractPipeline
                public <P_IN> Node<Long> opEvaluateParallel(PipelineHelper<Long> pipelineHelper, Spliterator<P_IN> spliterator, IntFunction<Long[]> intFunction) {
                    long exactOutputSizeIfKnown = pipelineHelper.exactOutputSizeIfKnown(spliterator);
                    if (exactOutputSizeIfKnown > 0 && spliterator.hasCharacteristics(16384)) {
                        return Nodes.collectLong(pipelineHelper, SliceOps.sliceSpliterator(pipelineHelper.getSourceShape(), spliterator, j, j2), true);
                    }
                    return !StreamOpFlag.ORDERED.isKnown(pipelineHelper.getStreamAndOpFlags()) ? Nodes.collectLong(this, unorderedSkipLimitSpliterator((Spliterator.OfLong) pipelineHelper.wrapSpliterator(spliterator), j, j2, exactOutputSizeIfKnown), true) : (Node) new SliceTask(this, pipelineHelper, spliterator, intFunction, j, j2).invoke();
                }

                @Override // java9.util.stream.AbstractPipeline
                public <P_IN> Spliterator<Long> opEvaluateParallelLazy(PipelineHelper<Long> pipelineHelper, Spliterator<P_IN> spliterator) {
                    long exactOutputSizeIfKnown = pipelineHelper.exactOutputSizeIfKnown(spliterator);
                    if (exactOutputSizeIfKnown > 0 && spliterator.hasCharacteristics(16384)) {
                        long j4 = j;
                        return new StreamSpliterators.SliceSpliterator.OfLong((Spliterator.OfLong) pipelineHelper.wrapSpliterator(spliterator), j4, SliceOps.calcSliceFence(j4, j2));
                    }
                    return !StreamOpFlag.ORDERED.isKnown(pipelineHelper.getStreamAndOpFlags()) ? unorderedSkipLimitSpliterator((Spliterator.OfLong) pipelineHelper.wrapSpliterator(spliterator), j, j2, exactOutputSizeIfKnown) : new SliceTask(this, pipelineHelper, spliterator, WhileOps.LONG_ARR_GEN, j, j2).invoke().spliterator();
                }

                @Override // java9.util.stream.AbstractPipeline
                public Sink<Long> opWrapSink(int i, Sink<Long> sink) {
                    return new Sink.ChainedLong<Long>(sink) { // from class: java9.util.stream.SliceOps.3.1
                        public long m;
                        public long n;

                        {
                            this.n = j;
                            this.m = j3;
                        }

                        @Override // java9.util.stream.Sink.OfLong, java9.util.stream.Sink
                        public void accept(long j4) {
                            long j5 = this.n;
                            if (j5 != 0) {
                                this.n = j5 - 1;
                                return;
                            }
                            long j6 = this.m;
                            if (j6 > 0) {
                                this.m = j6 - 1;
                                this.downstream.accept(j4);
                            }
                        }

                        @Override // java9.util.stream.Sink.ChainedLong, java9.util.stream.Sink
                        public void begin(long j4) {
                            this.downstream.begin(SliceOps.calcSize(j4, j, this.m));
                        }

                        @Override // java9.util.stream.Sink.ChainedLong, java9.util.stream.Sink
                        public boolean cancellationRequested() {
                            return this.m == 0 || this.downstream.cancellationRequested();
                        }
                    };
                }

                public Spliterator.OfLong unorderedSkipLimitSpliterator(Spliterator.OfLong ofLong, long j4, long j5, long j6) {
                    long j7;
                    long j8;
                    if (j4 <= j6) {
                        long j9 = j6 - j4;
                        j8 = j5 >= 0 ? Math.min(j5, j9) : j9;
                        j7 = 0;
                    } else {
                        j7 = j4;
                        j8 = j5;
                    }
                    return new StreamSpliterators.UnorderedSliceSpliterator.OfLong(ofLong, j7, j8);
                }
            };
        }
        throw new IllegalArgumentException("Skip must be non-negative: " + j);
    }

    public static <T> Stream<T> makeRef(AbstractPipeline<?, T, ?> abstractPipeline, final long j, final long j2) {
        if (j >= 0) {
            final long j3 = j2 >= 0 ? j2 : Long.MAX_VALUE;
            return new ReferencePipeline.StatefulOp<T, T>(abstractPipeline, StreamShape.REFERENCE, flags(j2)) { // from class: java9.util.stream.SliceOps.1
                @Override // java9.util.stream.AbstractPipeline
                public long exactOutputSize(long j4) {
                    return SliceOps.calcSize(j4, j, j3);
                }

                @Override // java9.util.stream.ReferencePipeline.StatefulOp, java9.util.stream.AbstractPipeline
                public <P_IN> Node<T> opEvaluateParallel(PipelineHelper<T> pipelineHelper, Spliterator<P_IN> spliterator, IntFunction<T[]> intFunction) {
                    long exactOutputSizeIfKnown = pipelineHelper.exactOutputSizeIfKnown(spliterator);
                    if (exactOutputSizeIfKnown > 0 && spliterator.hasCharacteristics(16384)) {
                        return Nodes.collect(pipelineHelper, SliceOps.sliceSpliterator(pipelineHelper.getSourceShape(), spliterator, j, j2), true, intFunction);
                    }
                    return !StreamOpFlag.ORDERED.isKnown(pipelineHelper.getStreamAndOpFlags()) ? Nodes.collect(this, unorderedSkipLimitSpliterator(pipelineHelper.wrapSpliterator(spliterator), j, j2, exactOutputSizeIfKnown), true, intFunction) : (Node) new SliceTask(this, pipelineHelper, spliterator, intFunction, j, j2).invoke();
                }

                @Override // java9.util.stream.AbstractPipeline
                public <P_IN> Spliterator<T> opEvaluateParallelLazy(PipelineHelper<T> pipelineHelper, Spliterator<P_IN> spliterator) {
                    long exactOutputSizeIfKnown = pipelineHelper.exactOutputSizeIfKnown(spliterator);
                    if (exactOutputSizeIfKnown > 0 && spliterator.hasCharacteristics(16384)) {
                        Spliterator wrapSpliterator = pipelineHelper.wrapSpliterator(spliterator);
                        long j4 = j;
                        return new StreamSpliterators.SliceSpliterator.OfRef(wrapSpliterator, j4, SliceOps.calcSliceFence(j4, j2));
                    }
                    return !StreamOpFlag.ORDERED.isKnown(pipelineHelper.getStreamAndOpFlags()) ? unorderedSkipLimitSpliterator(pipelineHelper.wrapSpliterator(spliterator), j, j2, exactOutputSizeIfKnown) : new SliceTask(this, pipelineHelper, spliterator, Nodes.castingArray(), j, j2).invoke().spliterator();
                }

                @Override // java9.util.stream.AbstractPipeline
                public Sink<T> opWrapSink(int i, Sink<T> sink) {
                    return new Sink.ChainedReference<T, T>(sink) { // from class: java9.util.stream.SliceOps.1.1
                        public long m;
                        public long n;

                        {
                            this.n = j;
                            this.m = j3;
                        }

                        @Override // java9.util.function.Consumer
                        public void accept(T t) {
                            long j4 = this.n;
                            if (j4 != 0) {
                                this.n = j4 - 1;
                                return;
                            }
                            long j5 = this.m;
                            if (j5 > 0) {
                                this.m = j5 - 1;
                                this.downstream.accept(t);
                            }
                        }

                        @Override // java9.util.stream.Sink.ChainedReference, java9.util.stream.Sink
                        public void begin(long j4) {
                            this.downstream.begin(SliceOps.calcSize(j4, j, this.m));
                        }

                        @Override // java9.util.stream.Sink.ChainedReference, java9.util.stream.Sink
                        public boolean cancellationRequested() {
                            return this.m == 0 || this.downstream.cancellationRequested();
                        }
                    };
                }

                public Spliterator<T> unorderedSkipLimitSpliterator(Spliterator<T> spliterator, long j4, long j5, long j6) {
                    long j7;
                    long j8;
                    if (j4 <= j6) {
                        long j9 = j6 - j4;
                        j8 = j5 >= 0 ? Math.min(j5, j9) : j9;
                        j7 = 0;
                    } else {
                        j7 = j4;
                        j8 = j5;
                    }
                    return new StreamSpliterators.UnorderedSliceSpliterator.OfRef(spliterator, j7, j8);
                }
            };
        }
        throw new IllegalArgumentException("Skip must be non-negative: " + j);
    }

    public static <P_IN> Spliterator<P_IN> sliceSpliterator(StreamShape streamShape, Spliterator<P_IN> spliterator, long j, long j2) {
        long calcSliceFence = calcSliceFence(j, j2);
        switch (streamShape.ordinal()) {
            case 0:
                return new StreamSpliterators.SliceSpliterator.OfRef(spliterator, j, calcSliceFence);
            case 1:
                return new StreamSpliterators.SliceSpliterator.OfInt((Spliterator.OfInt) spliterator, j, calcSliceFence);
            case 2:
                return new StreamSpliterators.SliceSpliterator.OfLong((Spliterator.OfLong) spliterator, j, calcSliceFence);
            case 3:
                return new StreamSpliterators.SliceSpliterator.OfDouble((Spliterator.OfDouble) spliterator, j, calcSliceFence);
            default:
                throw new IllegalStateException("Unknown shape " + streamShape);
        }
    }
}
