package org.webrtc.ali;

import java.nio.ByteBuffer;
import org.webrtc.ali.VideoFrame;
/* loaded from: classes19.dex */
class I420BufferImpl implements VideoFrame.I420Buffer {
    private final int height;
    private final int strideUV;
    private final ByteBuffer u;
    private final ByteBuffer v;
    private final int width;
    private final ByteBuffer y;

    /* JADX INFO: Access modifiers changed from: package-private */
    public I420BufferImpl(int width, int height) {
        this.width = width;
        this.height = height;
        int i = (width + 1) / 2;
        this.strideUV = i;
        int halfHeight = (height + 1) / 2;
        this.y = ByteBuffer.allocateDirect(width * height);
        this.u = ByteBuffer.allocateDirect(i * halfHeight);
        this.v = ByteBuffer.allocateDirect(i * halfHeight);
    }

    @Override // org.webrtc.ali.VideoFrame.Buffer
    public int getWidth() {
        return this.width;
    }

    @Override // org.webrtc.ali.VideoFrame.Buffer
    public int getHeight() {
        return this.height;
    }

    @Override // org.webrtc.ali.VideoFrame.I420Buffer
    public ByteBuffer getDataY() {
        return this.y;
    }

    @Override // org.webrtc.ali.VideoFrame.I420Buffer
    public ByteBuffer getDataU() {
        return this.u;
    }

    @Override // org.webrtc.ali.VideoFrame.I420Buffer
    public ByteBuffer getDataV() {
        return this.v;
    }

    @Override // org.webrtc.ali.VideoFrame.I420Buffer
    public int getStrideY() {
        return this.width;
    }

    @Override // org.webrtc.ali.VideoFrame.I420Buffer
    public int getStrideU() {
        return this.strideUV;
    }

    @Override // org.webrtc.ali.VideoFrame.I420Buffer
    public int getStrideV() {
        return this.strideUV;
    }

    @Override // org.webrtc.ali.VideoFrame.Buffer
    public VideoFrame.I420Buffer toI420() {
        return this;
    }

    @Override // org.webrtc.ali.VideoFrame.Buffer
    public void retain() {
    }

    @Override // org.webrtc.ali.VideoFrame.Buffer
    public void release() {
    }
}
