package org.webrtc.ali;

import java.util.LinkedList;
/* loaded from: classes19.dex */
public class VideoTrack extends MediaStreamTrack {
    private final LinkedList<VideoRenderer> renderers;

    private static native void nativeAddRenderer(long j, long j2);

    private static native void nativeRemoveRenderer(long j, long j2);

    public VideoTrack(long nativeTrack) {
        super(nativeTrack);
        this.renderers = new LinkedList<>();
    }

    public void addRenderer(VideoRenderer renderer) {
        this.renderers.add(renderer);
        nativeAddRenderer(this.nativeTrack, renderer.nativeVideoRenderer);
    }

    public void removeRenderer(VideoRenderer renderer) {
        if (!this.renderers.remove(renderer)) {
            return;
        }
        nativeRemoveRenderer(this.nativeTrack, renderer.nativeVideoRenderer);
        renderer.dispose();
    }

    @Override // org.webrtc.ali.MediaStreamTrack
    public void dispose() {
        while (!this.renderers.isEmpty()) {
            removeRenderer(this.renderers.getFirst());
        }
        super.dispose();
    }
}
