package org.webrtc.ali;

import java.nio.ByteBuffer;
import org.webrtc.ali.VideoFrame;
/* loaded from: classes19.dex */
class WrappedNativeI420Buffer implements VideoFrame.I420Buffer {
    private final ByteBuffer dataU;
    private final ByteBuffer dataV;
    private final ByteBuffer dataY;
    private final int height;
    private final long nativeBuffer;
    private final int strideU;
    private final int strideV;
    private final int strideY;
    private final int width;

    private static native long nativeAddRef(long j);

    private static native long nativeRelease(long j);

    WrappedNativeI420Buffer(int width, int height, ByteBuffer dataY, int strideY, ByteBuffer dataU, int strideU, ByteBuffer dataV, int strideV, long nativeBuffer) {
        this.width = width;
        this.height = height;
        this.dataY = dataY;
        this.strideY = strideY;
        this.dataU = dataU;
        this.strideU = strideU;
        this.dataV = dataV;
        this.strideV = strideV;
        this.nativeBuffer = nativeBuffer;
    }

    @Override // org.webrtc.ali.VideoFrame.Buffer
    public int getWidth() {
        return this.width;
    }

    @Override // org.webrtc.ali.VideoFrame.Buffer
    public int getHeight() {
        return this.height;
    }

    @Override // org.webrtc.ali.VideoFrame.I420Buffer
    public ByteBuffer getDataY() {
        return this.dataY;
    }

    @Override // org.webrtc.ali.VideoFrame.I420Buffer
    public ByteBuffer getDataU() {
        return this.dataU;
    }

    @Override // org.webrtc.ali.VideoFrame.I420Buffer
    public ByteBuffer getDataV() {
        return this.dataV;
    }

    @Override // org.webrtc.ali.VideoFrame.I420Buffer
    public int getStrideY() {
        return this.strideY;
    }

    @Override // org.webrtc.ali.VideoFrame.I420Buffer
    public int getStrideU() {
        return this.strideU;
    }

    @Override // org.webrtc.ali.VideoFrame.I420Buffer
    public int getStrideV() {
        return this.strideV;
    }

    @Override // org.webrtc.ali.VideoFrame.Buffer
    public VideoFrame.I420Buffer toI420() {
        return this;
    }

    @Override // org.webrtc.ali.VideoFrame.Buffer
    public void retain() {
        nativeAddRef(this.nativeBuffer);
    }

    @Override // org.webrtc.ali.VideoFrame.Buffer
    public void release() {
        nativeRelease(this.nativeBuffer);
    }
}
