package tlschannel;

import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.channels.ByteChannel;
import java.nio.channels.GatheringByteChannel;
import java.nio.channels.ScatteringByteChannel;
import java.util.function.Consumer;
import javax.net.ssl.SSLEngine;
import javax.net.ssl.SSLSession;
/* loaded from: classes19.dex */
public interface TlsChannel extends ByteChannel, GatheringByteChannel, ScatteringByteChannel {
    public static final BufferAllocator defaultPlainBufferAllocator = new HeapBufferAllocator();
    public static final BufferAllocator defaultEncryptedBufferAllocator = new HeapBufferAllocator();

    @Override // java.nio.channels.Channel, java.io.Closeable, java.lang.AutoCloseable
    void close() throws IOException;

    TrackingAllocator getEncryptedBufferAllocator();

    TrackingAllocator getPlainBufferAllocator();

    boolean getRunTasks();

    Consumer<SSLSession> getSessionInitCallback();

    SSLEngine getSslEngine();

    ByteChannel getUnderlying();

    void handshake() throws IOException;

    @Override // java.nio.channels.ReadableByteChannel
    int read(ByteBuffer byteBuffer) throws IOException;

    long read(ByteBuffer[] byteBufferArr) throws IOException;

    long read(ByteBuffer[] byteBufferArr, int i, int i2) throws IOException;

    void renegotiate() throws IOException;

    boolean shutdown() throws IOException;

    boolean shutdownReceived();

    boolean shutdownSent();

    int write(ByteBuffer byteBuffer) throws IOException;

    long write(ByteBuffer[] byteBufferArr) throws IOException;

    long write(ByteBuffer[] byteBufferArr, int i, int i2) throws IOException;
}
