package tlschannel.impl;

import java.nio.ByteBuffer;
/* loaded from: classes19.dex */
public class ByteBufferUtil {
    public static void copy(ByteBuffer byteBuffer, ByteBuffer byteBuffer2, int i) {
        if (i < 0) {
            throw new IllegalArgumentException("negative length");
        }
        if (byteBuffer.remaining() < i) {
            throw new IllegalArgumentException(String.format("source buffer does not have enough remaining capacity (%d < %d)", Integer.valueOf(byteBuffer.remaining()), Integer.valueOf(i)));
        }
        if (byteBuffer2.remaining() < i) {
            throw new IllegalArgumentException(String.format("destination buffer does not have enough remaining capacity (%d < %d)", Integer.valueOf(byteBuffer2.remaining()), Integer.valueOf(i)));
        }
        if (i == 0) {
            return;
        }
        ByteBuffer duplicate = byteBuffer.duplicate();
        duplicate.limit(byteBuffer.position() + i);
        byteBuffer2.put(duplicate);
        byteBuffer.position(byteBuffer.position() + i);
    }
}
